Get Connected

Welcome to EasyBuilder®, which provides a step-by-step approach to building machine vision applications, or jobs. The Get Connected step is used to connect to In-Sight vision systems, vision sensors and/or Emulators and configure their settings, and begin the job building process.

  • Connecting to an In-Sight Sensor or Emulator
  • Starting or Opening an EasyBuilder Job
Note:
  • While building your job, save your work periodically by pressing CTRL+S. If the Allow Online Job Save checkbox on the User dialog is enabled, users with Full or Protected access are allowed to save jobs while Online. If the Allow Online Job Save checkbox is not enabled, the vision system must be Offline to save jobs. For more information, see User Access Settings Dialog.
  • An EasyBuilder Application Step can be disabled, depending on your access level, the task that is currently being performed or whether you are connected to a vision system or an emulator.

EasyBuilder Help

The EasyBuilder Help file is provided in two formats: Palette Help and Online Help. The EasyBuilder Palette Help is displayed in the Help tab of the Palette, and the EasyBuilder Online Help is in a Help System in CHM format with searching capabilities. To launch the EasyBuilder Online Help file, press the F1 keyboard, click the Help [image] button on the Help tab of the Palette, or select EasyBuilder Help from the Help menu.

Connecting to an In-Sight Sensor or Emulator

Starting or Opening an EasyBuilder Job

Copyright © 2008 - 2019 | Cognex Corporation | All Rights Reserved.

EasyBuilder Help | 2019 October 02 | Revision: 5.8.0.1


Connecting to an In-Sight Sensor or Emulator

The Select an In-Sight Sensor or Emulator group box lists the available In-Sight vision systems/sensors and emulators. Only one vision system/sensor or emulator can be connected at a time; the information of the connected vision system/sensor (name, model, etc.) will be displayed in the Sensor Information group box.

If you are not connected to the desired vision system/sensor or emulator in the list, do one of the following:

  • Double-click on the desired vision system/sensor or emulator in the list.
  • Select the desired vision system/sensor or emulator in the list and click the Connect button.

Click the Disconnect button if you want to discontinue connection with the connected sensor or emulator.

The settings pane contains other controls for:

  • Adding a Sensor to the List
  • Changing the Local Emulator Mode
Note:
  • If another user is already logged on to the desired vision system/sensor/emulator, a warning message will appear. Click Yes to disconnect the other user from the destination system and continue with the logon process. Click No to cancel the logon attempt and return to EasyBuilder.
  • If you are not authorized to connect to the desired vision system/sensor/emulator, the Log On/Off dialog will appear. For more information, see Log On/Off Dialog.
  • If you are having difficulty connecting to your vision system/sensor and the network, the problem may be your network card. For more information, see Network Troubleshooting.
  • When enabling the Continuous Trigger Type on the In-Sight 2000 series vision sensor, since the CPU of the sensor gets heavily loaded, it is likely that the communication between In-Sight Explorer and the sensor fails. In that case, please choose a different Trigger Type or adjust the Trigger Interval.
  • When connecting to In-Sight vision systems/sensors, the availability of certain Location and Inspection Tools is based on the model type.

Adding a Sensor to the List

Changing the Local Emulator Mode


Adding a Sensor to the List

If the desired sensor is physically connected to the local network but does not display in the list, click the Refresh or Add button, depending on the sensor's network settings.

  • The Refresh button updates the list to display all the In-Sight sensors that are connected to the local subnet.
  • The Add button opens the Add Sensor/Device to Network dialog, which allows users with Full access to reconfigure the network settings of sensors on the local network. Once configured, the sensors are automatically added to the list and can be connected to. For more information, see Add Sensor/Device to Network Dialog.

If the desired sensor is on a different subnet, from the System menu, select Explorer Host Table to open the Explorer Host Table Setup dialog. For more information, see Explorer Host Table Setup Dialog.


Changing the Local Emulator Mode

  1. From the Select an In-Sight Sensor or Emulator group box, select your desired emulator from the list by clicking on it.
  2. Press the Emulator button to launch the Emulator Options dialog, which includes all of the supported In-Sight vision systems and the tools that are available on those sensors.
  3. Select the model of In-Sight sensor to emulate from the Model drop-down list. By default, Standard is selected. Standard provides the core functionality found on most In-Sight vision sensors, with an image resolution of 640 x 480.

  4. After making your selection, click the OK button to change your emulation setting.

    Note: After the OK button is clicked, there is a delay as EasyBuilder disconnects from the previous emulator and starts the new emulator.


Starting or Opening an EasyBuilder Job

Closed Starting a new job:
  1. Ensure that the vision system is not Online.
  2. Click the New Job button in the Load Job group box or press CTRL+N, both of which open the New Job dialog.
  3. In the New Job dialog, click Yes to clear all data from the current job.　(If you want to save the data, click No in the dialog, press CTRL+S and complete the "save" process before starting a new job.)

The name of the new job will not display in the Current Job: field in the Sensor Information group box until the job is saved and named.

Closed Opening a current job:
  1. Ensure that the vision system is not Online.
  2. Click Open Job in the Load Job group box or press CTRL+O, both of which open the Open dialog. For more information, see Save & Open Dialogs.
  3. In that dialog, navigate to the job.
  4. Double-click on the job, or select it and click Open.
  5. The Load File dialog appears; in that dialog, click Yes to clear all data from the current job. (If you want to save the data, click No in the dialog, press CTRL+S and complete the "save" process before opening a job.)

The name of the opened job will display in the Current Job field.

Note:
  • The Job files created on the In-Sight 2000 series vision sensors are not compatible with those created on any other In-Sight models.
  • An "EasyBuilder Only" vision system cannot open EasyBuilder jobs that have been edited in the Spreadsheet View.
  • EasyBuilder cannot modify jobs created in the Spreadsheet View of In-Sight Explorer. If a spreadsheet job is opened, the remaining Application Steps become disabled. You can, however, work on the job from within the In-Sight Explorer environment by clicking Spreadsheet on EasyBuilder's View menu.
  • If an EasyBuilder job was created using In-Sight 4.7.3 or earlier and loaded to a vision system running In-Sight 5.x.x firmware, symbolic tags (EasyBuilder tags) within the job may be removed.


Set Up Image

The Set Up Image step is used to acquire or load an image, adjust the In-Sight sensor's acquisition settings, and, if your application requires results in real world units, such as millimeters or inches, you can calibrate the image's pixel coordinates.

  • Acquiring or Loading an Image
  • Adjusting the Acquisition Settings

  • Calibrating the Image to Real World Units

    Note: This topic describes the calibration feature when connected to an In-Sight vision system. If connected to an In-Sight 2000-130/130C or In-Sight 2000 series 23X vision sensor, refer to the Field of View (Width) section of Image Settings.

Acquiring or Loading an Image

Adjusting the Acquisition Settings

Calibrating the Image to Real World Units


Acquiring or Loading an Image

The Acquire/Load Image group box allows you to instantly acquire an image from the vision sensor, display live video from the vision sensor or load previously acquired images from a PC.

In-Sight 2000 Series Vision Sensors

  • Acquiring or Loading an Image

In-Sight Vision Systems

  • Acquiring or Loading an Image

In-Sight 2000 Series Vision Sensors

In-Sight Vision Systems

Copyright © 2008 - 2019 | Cognex Corporation | All Rights Reserved.

EasyBuilder Help | 2019 October 02 | Revision: 5.8.0.1


Acquiring or Loading an Image

Note: This topic describes the user interface when connected to an In-Sight 2000 series vision sensors. If connected to In-Sight vision systems, refer to Acquiring or Loading an Image.
Closed Trigger

The Trigger button is used to acquire a single image from the vision sensor. Click the Trigger button to acquire a single image. Alternately, you can use the F5 button on your keyboard or click the [image] button in the EasyBuilder Toolbar (Trigger must be set to Manual).

Closed Live Video

The Live Video button activates the vision sensor to stream images, allowing you to adjust the focus of the lens attached to the vision sensor, as well as adjust the lens aperture to achieve the optimal image brightness. Your application will function optimally when your images are clearly focused and the brightness is balanced to maximize contrast.

Note:
  • Alternatively, you can enter Live Video mode by selecting Live Video from the Image menu or clicking the [image] button in the EasyBuilder Toolbar. These Live Video options are available in all application steps.
  • You can adjust the Auto/Manual Exposure, Exposure (msec), Optimal Exposure, Light Control Mode and Image Magnification Mode settings when in Live Video mode.

The Focus Metric provided below the image helps you to determine an image focus score, which indicates the degree to which the image, or a region of the image includes the smallest resolvable features in a "scene".

Note:
  • When connected to the In-Sight 2000 series vision sensor, Focus Metric's Minimum, Maximum and Focus values are hidden.
  • The Focus Metric can be turned off by clicking the Focus Metric [image] icon in the EasyBuilder Toolbar while in Live Video. Alternatively, you can select Focus Metric from the View menu.
Closed Adjusting Focus

  1. Click the Live Video button. Alternately, you can click the [image] button in the EasyBuilder Toolbar.

    Note: The vision sensor must be Offline.
  2. If using the In-Sight 2000 Mini series vision sensor, you can automatically focus the lens using the Autofocus button. Alternatively, you can manually adjust the focus using the Focus Distance (%) slider control so that the details of the features to be inspected are clear and highly contrasted.
  3. If using other In-Sight 2000 series vision sensor, manually adjust the light module attached to the vision sensor so that the details of the features to be inspected are clear and highly contrasted.
  4. Once you are satisfied with the quality of your image, click the Live Video button again.
Closed Adjusting Brightness
  1. Click the Live Video button. Alternately, you can click the [image] button in the EasyBuilder Toolbar.

  2. From the EasyBuilder Toolbar, click the Brightness Feedback on. Areas of the image that are too dark are highlighted in blue, while areas of the image highlighted in red are over saturated (too light).

    Note: Alternatively, you can select Show Brightness Feedback from the Image menu to enable Brightness Feedback.
  3. You can adjust the brightness of the image through one of the following methods:
    • Manually adjust the aperture of the lens attached to the vision sensor until both the red and blue areas of the image are minimized.
    • Adjust the Exposure slider control until both the red and blue areas of the image are minimized. For more information, refer to Exposure.
    • Select Auto Exposure. For more information, refer to Auto Exposure.

  4. Once you are satisfied with the quality of your image, click the Brightness Feedback [image] icon again to turn off the display.

    Note: Alternatively, you can select Show Brightness Feedback from the Image menu to turn off Brightness Feedback.
Closed Loading Images from a PC

The Load Images from PC button launches the Record/Playback Options dialog, which is used to configure record and playback settings for individual vision sensors and emulators. After configuring the dialog settings, you can record acquired images to the Record Folder and play back acquired images stored in the Playback Folder, located on the PC. For more information, see Record/Playback Options Dialog: EasyBuilder View.

Note:
  • For run-time monitoring and debugging, images can be stored to the vision sensor rather than the PC; use the Filmstrip Application step to configure the Sensor Settings.
  • When color images are recorded to the PC, they are saved as 16-bit images, rather than 24-bit images. When color images need to be used for testing color tools, you can export the images via FTP (by adding an FTP device from the Communication Application Step) to save the images and maintain the full color depth.
Closed Playback Tab

After the Playback tab settings have been configured, when the Play button (in the PC filmstrip) is clicked, images stored in the specified Playback Folder on the PC are sent to the vision sensor and the job runs against the image being played back. By default, the Playback Folder references the EasyBuilder Sample Jobs folder.

Closed Record Tab

After the Record tab settings have been configured, when the Record button (in the EasyBuilder toolbar) is clicked and images are acquired, the pass and fail images are recorded and saved to the specified Record Folder on the PC. You can save the images from an Online or Offline vision sensor to any folder that has “write” privileges. Up to 10,000 images can be saved to the PC.


Acquiring or Loading an Image

The Acquire/Load Image group box allows you to instantly acquire an image from the vision system, display active, live video from the vision system or load previously acquired images from a PC.

Closed Trigger

The Trigger button is used to acquire a single image from the vision system. Press the Trigger button to acquire a single image. Alternately, you can use the F5 button on your keyboard or press the [image] button in the EasyBuilder Toolbar (the Trigger control in the Edit Acquisition Settings group must be set to Manual).

Closed Live Video

The Live Video button activates the vision system to stream images without acquiring them, allowing you to adjust the focus of the lens attached to the vision system, as well as compensate for exposure and brightness. Your application will function optimally when your images are clearly focused and the brightness is balanced to maximize contrast.

The Focus Metric provided below the image helps you to determine an image focus score, which indicates the degree to which the image, or a region of the image (defined by using the Focus Region button), includes the smallest resolvable features in a "scene" (i.e., the object and its background, as captured in the image).

Note:
  • To provide relevant data, the Focus Metric score should be compared against another Focus Metric score from the same, exact scene (the scenes being identical).
  • The Focus Metric can be turned off by pressing the Focus Metric [image] icon in the EasyBuilder Toolbar while in Live Video.
Closed Adjusting Focus
Closed In-Sight 5000 Series, In-Sight Micro Series, In-Sight 7000 Series and In-Sight 8000 Series Vision System with C-Mount Lens

  1. Press the Live Video button. Alternately, you can press the [image] button in the EasyBuilder Toolbar.

    Note: The vision system must be Offline.
  2. Manually adjust the focus ring of the lens attached to the vision system so that the details of the features to be inspected are clear and highly contrasted, and the Focus Metric score is acceptable.
  3. Once you are satisfied with the quality of your image and its score, press the Live Video button again.
  4. The last image acquired after pressing the Live Video button will then be displayed.
Closed In-Sight 7000 Series Vision Systems with Autofocus M12 Lens
Note: For In-Sight 70xx - 74xx series vision systems, the Focus Controls are only available for vision systems running In-Sight Explorer 4.7.3 or later, and In-Sight 4.7.3 firmware or later.

  1. Press the Live Video button. Alternately, you can press the [image] button in the EasyBuilder Toolbar.

    Note: The vision system must be Offline.

  2. Press the Autofocus button or manually adjust the Focus Position slider so that the details of the features to be inspected are clear and highly contrasted, and the Focus Metric score is acceptable.

    Note: When the Autofocus button is pressed, the Focus Position slider and the Save Focus button will be disabled.
  3. After pressing Autofocus button the focus position value will be updated, and a new image will be displayed.
  4. Once you are satisfied with the quality of your image and its score, press the Save Focus button. The current focus position will be saved as the default focus position, and the lens will be moved automatically to that position the next time when the vision system powers up.
Closed Adjusting Brightness
  1. Press the Live Video button. Alternately, you can press the [image] button in the EasyBuilder Toolbar.
  2. From the EasyBuilder Toolbar, press the Brightness Feedback on. Areas of the image that are too dark are highlighted in blue, while areas of the image highlighted in red are too light.
  3. You can adjust the brightness of the image through one of the following methods:
    • Manually adjust the aperture of the lens attached to the vision system until both the red and blue areas of the image are minimized.
    • From the Edit Acquisition Settings group box, increment the Exposure control until both the red and blue areas of the image are minimized.
    • From the Edit Acquisition Settings group box, activate the vision system's automatic exposure control by selecting either Continuous or Single-shot from the Auto-Exposure drop-down menu. Continuous activates the vision system to automatically adjust the exposure, depending up on light conditions, for every image acquisition. Single-shot adjusts the vision system's exposure based on the first image acquisition; the exposure settings will remain for each subsequent image acquisition.
  4. Once you are satisfied with the quality of your image, press the Brightness Feedback [image] icon again to turn off the display.
Closed Loading Images from a PC

The Load Images from PC button launches the Record/Playback Options dialog, which is used to configure record and playback settings for individual vision systems and emulators. After configuring the dialog settings, you can record acquired images to the Record Folder and play back acquired images stored in the Playback Folder, located on the PC.

Note:
  • For run-time monitoring and debugging, images can be stored to the vision system rather than the PC; use the Filmstrip Application step to configure the Sensor Settings.
  • When color images are recorded to the PC, they are saved as 16-bit images, rather than 24-bit images. When color images need to be used for testing color tools, you can export the images via FTP (by adding an FTP device from the Communication Application Step) to save the images and maintain the full color depth.
Closed Playback Tab

After the Playback tab settings have been configured, when the Play button (in the PC filmstrip) is pressed, images stored in the specified Playback Folder on the PC are sent to the vision system and the job runs against the image being played back. By default, the Playback Folder references the EasyBuilder Sample Jobs folder.

Note: The EasyBuilder sample jobs provide a powerful demonstration of the usefulness of the Record/Playback options. The Record/Playback options enable a series of previously acquired images to be cycled through, providing instantaneous feedback of tool results, allowing for quick configuration of thresholds and limits. For more information, see EasyBuilder Sample Jobs and Sample Images.
Closed Record Tab

After the Record tab settings have been configured, when the Record button (in the EasyBuilder toolbar) is pressed and images are acquired, the pass and fail images are recorded and saved to the specified Record Folder on the PC. You can save the images from an Online or Offline vision system to any folder that has “write” privileges. Up to 10,000 images can be saved to the PC.


Adjusting the Acquisition Settings

The Set Up Image application step allows you to adjust the acquisition trigger controls, compensate for exposure and brightness and control lights for In-Sight vision systems.

In-Sight 2000 Series Vision Sensors

  • Image Settings

In-Sight Vision Systems

  • Trigger Controls
  • Exposure Controls
  • Image Sensor Transfer Controls
  • Light Controls
  • High Dynamic Range (HDR)
  • White Balance
  • Focus Region
  • Focus Controls
  • Light Settings
  • Line Scan Settings

In-Sight 2000 Series Vision Sensors

In-Sight Vision Systems

Copyright © 2008 - 2019 | Cognex Corporation | All Rights Reserved.

EasyBuilder Help | 2019 October 02 | Revision: 5.8.0.1


Image Settings

Note: This topic describes the user interface when connected to an In-Sight 2000 series vision sensor. If connected to In-Sight vision systems, refer to the In-Sight Vision Systems section of Adjusting the Acquisition Settings.

Trigger

The Trigger controls, Type, Delay and Interval, allow you to customize how and when an image is acquired and the inspection will be performed.

Note: When enabling the Continuous Trigger Type on the In-Sight 2000 series vision sensor, since the CPU of the sensor gets heavily loaded, it is likely that the communication between In-Sight Explorer and the sensor fails. In that case, please choose a different Trigger Type or adjust the Trigger Interval.
Closed Type

The drop-down menu allows you to specify the source of the image acquisition trigger when the In-Sight vision sensor is Online.

Camera | Enables image acquisition on a rising edge sensed at the vision system's dedicated acquisition trigger input.
Continuous (default) | Enables "free running" (as fast as possible) image acquisitions.
Manual | Enables image acquisition when pressing F5. Note: You can manually trigger the sensor by pressing the TRG button on the vision sensor.
Industrial Ethernet | Enables triggering from an Industrial Ethernet protocol, such as EtherNet/IP, PROFINET, SLMP Scanner, or CC-Link IE Field Basic.
Closed Delay (msec)

The control allows you to specify a delay, in milliseconds (0 to 10,000), between the time the trigger is received and the time the In-Sight vision sensor begins the acquisition. The trigger Type must be set to Camera.

Note:
  • The Delay is accurate to one millisecond, plus or minus the maximum line exposure time, which is 64 microseconds.
  • If Acquisition Start is the specified Signal Type in the Inputs/Outputs step, these outputs will be delayed by the specified time.
Closed Interval (msec)

The control allows you to specify an interval, in milliseconds (0 to 10,000; default is 0), between acquisitions when the Type control is set to Continuous.

Note: This delay is dependent upon the amount of time the job takes to complete processing the image. For example, if the Interval was set to 500 milliseconds, the In-Sight vision sensor will acquire an image every 500 milliseconds, provided that the job completes its image processing within 500 milliseconds. If not, the In-Sight vision sensor will acquire an image as soon as it completes processing the image.

Focus (In-Sight 2000 Vision Sensors with Autofocus Only)

The Focus tab is used to control the focus position of the lens on supported In-Sight 2000 series vision sensors with the Autofocus feature, by either automatically focusing the lens or moving the lens to a specific focus position.

Closed Autofocus Region

Specifies the region of the image that will be used when automatically focusing the lens. Press the Autofocus Region button to configure the region.

Closed Autofocus Button

Automatically focuses the lens, to maximize image sharpness within the region.

Closed Autofocus On Job Load
  • Unchecked (= default): The current Focus Distance (%) will be saved with the job.
  • Checked: The vision sensor will automatically focus the lens when the job is loaded.
Closed Focus Distance (%)

Manually adjusts the focus position (0 - 100%. Default: 6.2mm lens = 66%, 16mm lens = 69.2%). When attempting to focus on an object placed near the vision sensor, move the handle to the left (towards 0%). When attempting to focus on an object placed far from the vision sensor, move the handle to the right (towards 100%). You can move the handle regardless of the Live Video mode status.

Note: 0% is representative of the closest possible focus plane. For example, when an object is placed very close to the vision sensor, you will see 0%. 100% is representative of the furthest supported focus plane, which is essentially "infinity focus".

Lighting

Note: Under some circumstances, the illumination on the In-Sight 2000 Mini series vision with Autofocus can be darker than that of other In-Sight 2000 series vision sensor.
Closed Auto Exposure

Automatically determine the exposure after each acquisition. This option helps to compensate for inconsistent lighting conditions, such as reflections from shiny metal surfaces, variable shadows and background lighting changes. Auto Exposure is disabled by default.

Closed Manual Exposure

Sets a fixed exposure value to use for every image acquisition. Manual Exposure is enabled by default. To disable, check Auto Exposure.

Closed Target Image Brightness

Allows you to specify a desired brightness level (0 - 100; default = 50) by adjusting the handle or by entering a value in the corresponding edit box. The value is a percentage of the pixels in the Exposure Region that are allowed to be saturated (i.e. white).

Tip: You can also move the handle by using ARROW keys (UP, DOWN, RIGHT and LEFT).
Closed Exposure (msec)

The Exposure control determines the duration of the exposure when an image acquired (0.000 - 1000.000; default = 0.250). The higher the exposure value, the brighter the acquired image. This control is disabled when Auto Exposure is selected.

Closed Light Intensity
Note: The Light Intensity slider bar is not supported on the In-Sight 2000 Mini series vision sensors.

Allows you to specify the effective intensity of the LEDs in percentage [(0 to 100); default = 70; OFF = 0] by adjusting the handle or by entering a value in the corresponding edit box. The light intensity will be saved with the job.

Tip: You can also move the handle by using ARROW keys (UP, DOWN, RIGHT and LEFT).

The blue background shows the maximum light intensity value available for the current settings. The maximum light intensity value varies depending on other image settings, such as Target Image Brightness, Exposure, Image Area Height or Image Magnification Mode.

Note: The Maximum value is displayed when hovering over the slider control.
Closed Exposure Region Button (Set Region)

Defines the Region to use when automatically calculating the exposure.

  1. Click the Exposure Region button.
  2. Position the region around the image area that the sensor will use to determine the automatic exposure to use for the next acquired image.
  3. Click the OK button.

The exposure will now be calculated automatically based on the brightness of the image area within the Exposure Region. For example, if the image area within the Exposure Region is brighter than the rest of the image, then the next acquired image will be darker.

Define Exposure Region | Next Acquired Image
Note: Click Reset to Default Region to reset to the default setting.
Closed Optimal Exposure

Automatically optimizes the exposure value. The same exposure value will be used for each subsequent image acquisition.

Closed Light Control Mode

On (Exposure) enables the ring light to be ON only for the duration of the exposure (default). When Disabled (Off), the light will be powered off and the sensor will be dependent on ambient (room) lighting.

White Balance (In-Sight 2000 Color Vision Sensors only)

Closed White Balance Region and Set White Balance

Removes color casts in a color image by calculating the image's red, green and blue (RGB) values and correcting them. As a result, items that are white in the real world, for example, will appear white in the image.

When creating a new job, the most recently performed white balance will be in effect. The white balance setting is saved with the job, and will be restored when the job is loaded.

Note:
  • The white balance setting must be configured while using Manual Exposure.

  • To ensure the most accurate color reproduction in the image, white balancing is recommended after making large adjustments to Light Intensity.

  1. Focus the In-Sight vision sensor on a flat test object, such as a piece of white matte paper, and adjust the Lighting controls to ensure that the image is not overexposed.

  2. Click White Balance Region, and enclose a region of the image containing only light pixels, and no "hot spots".

    Note: Click Reset to Default Region to reset to include the entire image.
  3. Click Set White Balance. All subsequent image acquisition will now use this setting.
Image Before White Balancing | White Balanced | Image After White Balancing

Image

Closed Image Area Height

Defines the number of image rows to acquire to reduce image acquisition time when the area of interest is always limited to the same band of rows within the image. You can define the values by moving the left (Start Row) and right (End Row) handles or by entering values in the corresponding edit boxes.

Tip: You can also move the handle by using ARROW keys (UP, DOWN, RIGHT and LEFT).
In-Sight Model | Resolution | Start Row value | End Row value
2000-110 | 640 x 480 | 0 - 479 (default = 0) | 0 - 479 (default = 479)
2000-120/120C | 640 x 480 | 0 - 479 (default = 0) | 0 - 479 (default = 479)
2000-130/130C1 2000-230/230C1 | 640 x 480 (default) | 0 - 479 (default = 0) | 0 - 479 (default = 479)
 | 800 x 600 | 0 - 599 (default = 0) | 0 - 599 (default = 599)
2000-23M1 | 640 x 480 | 0 - 479 (default = 0) | 0 - 479 (default = 479)
 | 800 x 600 (default) | 0 - 599 (default = 0) | 0 - 599 (default = 599)
2001-230/230C1 | 640 x 480 | 0 - 479 (default = 0) | 0 - 479 (default = 479)
 | 800 x 600 | 0 - 599 (default = 0) | 0 - 599 (default = 599)
 | 1280 x 960 (default) | 0 - 959 (default = 0) | 0 - 959 (default = 959)
1The resolution can be configured in the Image Settings dialog. For more information, see Image Settings Dialog.
Closed Image Magnification Mode

Enables Image Magnification Mode. When enabled, the FOV is reduced by 50%, while the optical resolution is increased by 200%.

In-Sight Model | Resolution | Image Magnification Mode
2000-110 | 640 x 480 | Not supported
2000-120/120C | 640 x 480 | Can be enabled and disabled
2000-130/130C1 2000-230/230C1 | 640 x 480 (default) | Can be enabled and disabled
 | 800 x 600 | Always enabled
2000-23M1 | 640 x 480 | Can be enabled and disabled
 | 800 x 600 (default) | Always enabled
2001-230/230C1 | 640 x 480 | Can be enabled and disabled
 | 800 x 600 | Always enabled
 | 1280 x 960 (default) | Always enabled
1The resolution can be configured in the Image Settings dialog. For more information, see Image Settings Dialog.
Image Magnification Mode Disabled | Image Magnification Mode Enabled
Closed Calibration Type

Allows you to convert or calibrate the Inspection tools from pixels into real world units of measurement. There are two options: Field of View or Import.

Note:
  • The Field of View option is not available on the In-Sight 2000-110 and 2000-120/120C vision sensors.
  • The Import option is only available on the In-Sight 2000-23M vision sensor.
Closed Field of View

Converts the results of the Measurement tools from pixels into real world units of measurement (millimeter, centimeters and/or inches).

Field of View (Width) = 640 pixels / 125 millimeters
  1. Select Field of View (Width) from the Calibration Type drop-down menu.
  2. Select the real world unit of measurement to use (Millimeters, Centimeters or Inches) from the drop-down menu. Pixels is selected by default and the value cannot be changed.
  3. Measure the width of the Field of View as accurately as possible in the selected unit of measurement, then enter the measured value.

  4. The conversion of the measurement result will be applied immediately. For example, if the Field of View (Width) is set to 125 millimeters and the measured distance between the two edges is 490 pixels, the measurement result will be returned as 95.703 mm.

    Note:
    • Followings are the formula and the actual calculation used in the example:
      • Field of View (real world units) / Field of View (pixels) * Measurement (pixels) = Results (real world units)
      • 125/640*490 = 95.703mm
Closed Import

The Import Calibration Type is used to load a calibration file that has been created by an N Point Calibration Tool, and exported to the In-Sight vision sensor's local file system. The imported calibration file automatically calibrates the current job as soon as it has been loaded.

Note: Prior to selecting Import as the Calibration Type, first add and configure an N Point Calibration Tool, and then export the calibration file to the In-Sight vision sensor's local file system.

The N Point Calibration Tool creates a 2D transformation to convert between pixel and real-world coordinate systems. The tool performs the following transformations:

  • Translation in two dimensions (using 2 or more point pairs).
  • Rotation about three axes (using 4 or more point pairs).
  • Scale in two dimensions (using 2 or more point pairs).
  • Perspective distortion (using 4 or more point pairs).
  • Parallelogramming or skewing (using 4 or more point pairs).

How to use

  1. Select Import from the Calibration Type drop-down menu.
  2. EasyBuilder will automatically examine your job for any calibration files generated by an N Point Calibration Tool, and load the calibration file. If you have created more than one calibration file, select your desired file from the File Name drop-down menu.
  3. From the Units drop-down menu, select the real-world measurement units that define the calibration: Microns, Millimeters (default), Centimeters or Inches.
  4. The calibration will be applied as soon as this option is selected and the values are configured.


Trigger Controls

The Trigger controls, Trigger, Trigger Delay and Trigger Interval, allow you to customize how and when an image is acquired.

  • Trigger: Defines the source of the image acquisition trigger when the vision system is Online.

    • Camera (default): Enables image acquisition on a rising edge sensed at the vision system's dedicated acquisition trigger input.
    • Continuous: Enables "free running" (as fast as possible) image acquisitions.

    • External: Enables image acquisition on either a serial command or on the rising edge applied to a discrete input bit configured as an Acquisition Trigger.

      Note:
      • Faster trigger rates can be achieved by using the vision system's built-in acquisition trigger input (by setting the Trigger to Camera) versus triggering the vision system with a general-purpose input line configured as an Acquisition Trigger (by setting the Trigger to External).
      • If the Trigger parameter is set to External and an acquisition is missed, the ERR: Missed Acquisition output will not be sent from the vision system; the ERR: Missed Acquisition signal is only supported when the Trigger parameter is set to Camera.
    • Manual: Enables image acquisition when pressing F5.
    • Industrial Ethernet: Enables triggering from an Industrial Ethernet protocol, such as EtherNet/IP, POWERLINK, Profinet, SLMP Scanner or CC-Link IE Field Basic.
    • Timestamp: Enables image acquisition when a timestamp trigger is sent to the vision system from a PLC over EtherNet/IP. The Timestamp option is only supported with the following vision systems:

      • In-Sight 5000 series vision systems with 128MB non-volatile flash memory and running firmware version 4.5.0 or later

        Note: The In-Sight 5605 vision system (Hardware Type 821-0032-1R), In-Sight 5705 vision system and In-Sight 5705C vision systems are not supported.
      • In-Sight 7000 Gen2 series vision systems
      • In-Sight 9000 series vision systems

  • Trigger Delay: Specifies a delay, in milliseconds (0 to 10,000), between the time the trigger is received and the time the vision system begins the acquisition.

    Note:
    • The Trigger control must be set to either Camera or Network to enable this functionality.
    • The delay is accurate to the requested millisecond, plus or minus the maximum line exposure time.
    • If Acquisition Start or Strobe is the specified Signal Type in the Inputs/Outputs step, these outputs will be delayed by the specified time.

  • Trigger Interval: Specify an interval, in milliseconds (0 to 10,000; default is 500), between acquisitions when the Trigger control is set to Continuous.

    Note: This delay is dependent on the amount of time the job takes to complete processing the image. For example, if the Delay parameter is set to 5,000 milliseconds, the vision system acquires an image every 5,000 milliseconds, provided the job completes its image processing within 5,000 milliseconds. If not, the In-Sight vision system acquires an image as soon as it completes processing the image.


Exposure Controls

The Exposure controls allow you to customize your application to better handle inconsistent lighting and balance brightness to maximize the detail of the features in your inspection.

Closed Exposure

The Exposure control allows you to specify the exposure time. When the In-Sight vision system receives a trigger signal, light is integrated in the image sensor array for the specified duration.

Note:
  • For the following vision systems/sensors, the resolution can be configured in the Image Settings dialog: In-Sight Micro 1500, In-Sight 2000-130, 2000-130C, 2000-230, 2000-230C, 2000-23M, 2001-230, 2001-230C, In-Sight 7500, 7600, 7600C, 7800, 7800C, 7900, 7900C, 7802, 7802C, 7902, 7902C.
  • For the 5604 and 5614 line scan vision systems, the Image Height can be configured in the LineScan Settings dialog.
  • For the 9902L line scan vision system, the 1K Resolution (Low Light Mode) and Max Image Height can be configured in the LineScan Settings dialog.
  • When connected to an In-Sight 5604, 5614 or 9902L line scan vision system, the exposure time is set in microseconds.
  • If using a strobe with the In-Sight 8405 vision system, a minimum Exposure value of 72ms is recommended for a full frame image capture, to ensure that all pixel rows are exposed when the strobe is pulsed. . For more information, see In-Sight 8405 Rolling Shutter Operation.

  • While the Exposure may technically be set to 0, the Exposure time is In-Sight vision system dependent, and an Exposure value of 0 will default to the minimum exposure time (in milliseconds or microseconds) for the selected vision system.

In-Sight Model | Resolution | Sensor Type | Exposure Time (ms)
Micro 1020, 1050, 1100, 1110, 1100C, 1400, 1410, 1400C | 640 x 480 | CCD, global shutter | 0.016 to 1000
Micro 1402, 1412 | 1280 x 1024 | CMOS, global shutter | 0.016 to 950
Micro 1403, 1413, 1403C | 1600 x 1200 | CCD, global shutter | 0.052 to 1000
Micro 1500 | 640 x 480 | CMOS, global shutter | 0.004 to 500
 | 800 x 600 | CMOS, global shutter | 0.005 to 500
2000-110, 2000-120, 2000-120C, 2000-130, 2000-130C, 2000-230, 2000-230C, 2000-23M, 2001-230, 2001-230C | 640 x 480 | CMOS, global shutter | 0.001 to 1000
2000-130, 2000-130C, 2000-230, 2000-230C, 2000-23M, 2001-230, 2001-230C | 800 x 600 | CMOS, global shutter | 0.001 to 1000
2001-230, 2001-230C | 1280 x 960 | CMOS, global shutter | 0.001 to 1000
5100, 5110, 5100C, 5400, 5410, 5400C, 5600, 5610 | 640 x 480 | CCD, global shutter | 0.016 to 1000
5403, 5413, 5603, 5613 | 1600 x 1200 | CCD, global shutter | 0.027 to 1000
5604 & 5614 Line Scan | 1024 x 8192 | CCD, global shutter | 1.33 µsec to 1000 µsec
5605, 5615, 5705, 5715 | 2448 x 2048 | CCD, global shutter | 0.014 to 1000
5705C | 2448 x 2048 | CCD, global shutter | 0.016 to 1000
7010, 7010C, 7020, 7050, 7200, 7210, 7230, 7200C, 7400, 7410, 7430, 7400C | 800 x 600 | CMOS, global shutter | 0.016 to 950
7402, 7412, 7432, 7402C | 1280 x 1024 | CMOS, global shutter | 0.016 to 950
7500, 7600, 7600C, 7800, 7800C, 7900, 7900C | 800 x 600 | CMOS, global shutter | 0.014 to 550
 | 640 x 480 | CMOS, global shutter | 0.014 to 520
7501, 7801, 7801C, 7901, 7901C | 1280 x 1024 | CMOS, global shutter | 0.017 to 750
7802, 7802C, 7902, 7902C | 1600 x 1200 | CMOS, global shutter | 0.020 to 940
 | 800 x 600 (Low Light Mode) | CMOS, global shutter | 0.020 to 940
7902P | 1920 x 1200 | CMOS, global shutter | 0.021 to 1000
7905, 7905C | 2448 x 2048 | CMOS, global shutter | 0.021 to 1000
8200, 8200C, 8400, 8400C | 640 x 480 | CMOS, global shutter | 0.014 to 520
8401, 8401C | 1280 x 1024 | CMOS, global shutter | 0.0174 to 750
8402, 8402C | 1600 x 1200 | CMOS, global shutter | 0.020 to 940
8405 | 2592 x 1944 | CMOS, rolling shutter | 0.032 to 1000
9902L Line Scan | 2048 x 16384 | CMOS, global shutter | 2.00 µsec to 1000 µsec
 | 1024 x 16384
9912, 9912C | 4096 x 3000 | CMOS, global shutter | 0.021 to 1000
Closed Auto-Exposure

The Auto-Exposure control allows the vision system to automatically determine the exposure. This control helps to compensate for inconsistent lighting conditions, such as reflections from shiny metal surfaces, shifting shadows and background lighting changes.

  • Continuous: Activates the vision system to automatically adjust the exposure, depending upon light conditions, for every image acquisition.

    Note: Time between acquisitions is increased while in Continuous mode.
  • Single-shot: Single-shot adjusts the vision system's exposure based on the first image acquisition; the exposure settings will remain for each subsequent image acquisition.
    • First Acquisition: If the vision system is Offline, the first acquisition is used to determine exposure and the exposure value is stored until Single-shot is disabled. If no acquisition has occurred while the vision system is Offline, when it is put Online, the first acquisition is used to determine exposure.
    • Subsequent Acquisitions: The vision system will acquire the image using the exposure value that was calculated at the first acquisition.
    Note:
    • If the vision system or vision sensor does not support this feature, it is not displayed.
    • Selecting a different Auto Exposure mode will reset the exposure value. The first acquisition, after the exposure value has been reset, will be used to determine a new exposure value.
Closed Exposure Region button

Defines the Region to use when automatically calculating the exposure.

Note: Either Continuous or Single-shot need to be selected from the Auto-Exposure drop-down menu, to enable this functionality.
  1. Click the Exposure Region button.
  2. Position the region around the image area that the sensor will use to determine the automatic exposure to use for the next acquired image.
  3. Click the OK button.

The exposure will now be calculated automatically based on the brightness of the image area within the Exposure Region. For example, if the image area within the Exposure Region is brighter than the rest of the image, then the next acquired image will be darker.

Define Exposure Region | Next Acquired Image
Closed Max Exposure Time

Allows you to specify the maximum exposure time used when determining the proper exposure.

Closed Target Image Brightness

Allows you to specify a desired brightness level (0 to 100).

Note: Either Continuous or Single-shot need to be selected from the Auto-Exposure drop-down menu, to enable this functionality.


Image Sensor Transfer Controls

The Image Sensor Transfer Controls allow you to define at what row of the image sensor (CCD or CMOS) the image will begin to be transferred, and how many rows of the image sensor will be used to construct the image.

In-Sight vision systems capture all images using asynchronous reset and progressive scan; greyscale In-Sight vision systems produce 8-bit images, while color In-Sight vision systems produce 24-bit images. The image acquisition process begins within approximately 250 µs for all vision systems, and proceeds as follows:

  1. The image sensor integrates light for the duration of time specified by the Exposure Controls.
  2. The image accumulated in the image sensor is transferred, row-by-row, into a serial shift register.
  3. For every row transfer, the vision system clocks the shift register, pixel-by-pixel, out of the image sensor.
  4. The transfer begins at the Start Row and proceeds for the specified Number of Rows.
Closed Start Row

Defines the first row to be transferred from the image sensor into memory on the In-Sight vision system:

Resolution | Valid Start Row Values
640 x 480 | 0 to 479
800 x 600 | 0 to 599
1024 x 768 | 0 to 767
1280 x 1024 | 0 to 1023
1600 x 1200 | 0 to 1199
2448 x 2048 | 0 to 2047
2592 x 1944 | 0 to 1943
Closed Number of Rows

Defines the number of rows to be transferred into memory on the In-Sight vision system:

Resolution | Valid Number of Rows
640 x 480 | 1 to 480
800 x 600 | 1 to 600
1024 x 768 | 1 to 768
1280 x 1024 | 1 to 1024
1600 x 1200 | 1 to 1200
2448 x 2048 | 1 to 2048
2592 x 1944 | 1 to 1944
Note: If you will be connecting to an Emulator and want to view images from an In-Sight vision system that had acquired images with the partial image acquisition parameters enabled, set the Start Row and Number of Rows parameters of the Emulator to the same settings as those on the In-Sight vision system.


Light Controls

The Light Controls allow you to configure LED light banks and rings for In-Sight vision systems.

Note: Either Continuous or Single-shot need to be selected from the Auto-Exposure drop-down menu, to enable this functionality.
Closed Light Control Mode (In-Sight 5000 Series and In-Sight 70xx - 74xx series Only)

The Light Control Mode specifies whether the ring light on an In-Sight 5000 series or 70xx - 74xx series vision system is only ON for the duration of the specified exposure or is constantly ON. On (Exposure) enables the ring light to be ON only for the duration of the exposure. On (Continuous) enables the ring light to be always ON, reducing the strobe effect by keeping the LEDs lit at 50% intensity when not exposing an image.

Closed Light Control (In-Sight 5000 Series Only)

Controls up to four (4) LED light banks on the In-Sight vision system.

Closed Example - In-Sight 5000 series vision system with ring light

  • Horizontal enables the two Horizontal LED banks.
  • Vertical enables the two Vertical LED banks.
  • All enables both the two Horizontal and Vertical LED banks.
Closed Light Intensity (In-Sight 70xx - 74xx Series Only)

Controls the effective intensity of the LEDs. The light intensity will be saved with the job.

  • In-Sight 70xx - 74xx series vision system: 0 to 100; default =1; OFF = 0.
Closed Gain (In-Sight 7000 Series and 9912 Only)

Controls the gain of the amplifier stage that precedes the analog-to-digital converter.

In-Sight Model | Gain Settings
70xx - 74xx series | 0 to 7; default = 0
7500, 7501, 7600, 7600C, 7800, 7800C, 7801, 7801C, 7802, 7802C , 7900, 7900C, 7901, 7901C, 7902, 7902C | 0 to 6; default = 0
7902P, 7905, 7905C | 0 to 240; default = 60
9912, 9912C | 0 to 255; default = 60


High Dynamic Range (HDR)

HDR (High Dynamic Range) provides better contrast and more brightness for darker regions of an image. This effect is completed in a single acquisition.

Note: HDR is supported only with In-Sight 7902P, 7905 and 9912 monochrome vision systems.

  • HDR Mode: Defines the method of HDR to use.
    • Disabled (default): Do not use HDR.
    • HDR+: Adjusts each pixel greyscale value by considering neighboring pixels (depending on the kernel size setting). This provides more contrast in dark (underexposed) and light (overexposed) regions than HDR.
    • HDR: Adjusts each pixel greyscale value individually. This provides more contrast with dark (underexposed) regions on the input image.
  • HDR Kernel Size: Defines the number of pixels that are processed simultaneously with HDR+.
    • Small: 121 pixels (11x11 grid)
    • Large: 484 pixels (22x22 grid)


White Balance (In-Sight Color Vision Systems only)

Note: This topic describes the white balance feature when connected to an In-Sight color vision system. If connected to an In-Sight 2000 series color vision sensor, refer to the White Balance section of Image Settings.

Available for color In-Sight vision systems and color-enabled emulators only, the White Balance button removes color casts in a color image by calculating the image's red, green and blue (RGB) values and correcting them according to color tables stored in the In-Sight job. As a result, items that are white in the real world, for example, will appear white in the image.

Image Before White Balancing | White Balanced | Image After White Balancing

You create the color tables by acquiring an image of a "neutral" reference (that is, one that has equal RGB values; for example, 18-18-18), while ensuring that the image does not approach saturation (255-255-255). After pressing the White Balance button, EasyBuilder generates a histogram of each color channel (red, green and blue) and "equalizes" the color values by considering the highest value as the baseline and dividing it by each color value to produce scale factors, which are then used to create the color tables (for example, an RGB of 200-100-50 will yield scale factors of 1-2-4).

The color tables for the current vision system settings are saved in the job file. To ensure that the proper White Balance information is applied, load the job before loading or acquiring an image.

To use the White Balance functionality:

  1. Focus the In-Sight sensor on a flat test object, such as a piece of white paper with black type, and set the Target Image Brightness accordingly.

    Note: The White Balance Region button is used to specify the region that will be used to calculate the white balance of the image. Press the White Balance Region button to specify the region.
  2. In place of the flat text object, insert another object, such as a blank piece of white paper. The second object should fit in the field of view in the same way as the original object.

  3. Press the White Balance button.

  4. EasyBuilder will now store these settings to the job file, and all subsequent image acquisitions will use this color balance setting.

    Note: For the In-Sight color vision systems, the White Balance setting is stored in the job file, and not on the In-Sight vision system. When creating a new job, you will need to repeat these steps to apply the White Balance settings for that job file. EasyBuilder does not allow the White Balance settings to persist on the vision system.


Focus Region

The Focus Region button is used to specify the region of the image that will be used to calculate the focus of the image for the Live Mode focus metric. Press the Focus Region button to configure the region.


Focus Controls

The Focus Controls are used to control the focus position of the lens on supported In-Sight 7000 series vision systems, by either automatically focusing the lens or moving the lens to a specific focus position.

Note:
  • For In-Sight 70xx - 74xx series vision systems, the Focus Controls are only available for vision systems running In-Sight Explorer 4.7.3 or later, and In-Sight 4.7.3 firmware or later.
  • The Focus Controls only work when the vision system is offline.
  • The Autofocus and Save Focus buttons can also be accessed from Live Video mode in both Spreadsheet View and EasyBuilder View.
Closed Focus Controls

Defines whether or not the Focus Controls are enabled. By default, if a sensor has a valid default focus position, the Focus Controls are enabled; if a focus position has not been established, the Focus Controls are disabled.

Closed Autofocus Button

Automatically focuses the lens, to maximize image sharpness within the region.

Closed Autofocus Offset (In-Sight 70xx - 74xx Series Only)

Defines an offset to be applied to the position (-100 to 100; default = 0) of the lens after Autofocus has been completed.

Note: This setting is not supported for the In-Sight 7000 Gen2 series vision system.
Closed Focus Position

Moves the lens to a specific focus position and acquires a new image.

  • In-Sight 70xx - 74xx series: 0 - 100; default = 0.
  • In-Sight 7000 Gen2 series: 0 - 250; default = 0.
Closed Save Focus Position with Job

Defines whether the focus position will be saved with the job and applied to the lens when the job is reloaded. By default, the Save Focus Position with Job checkbox is checked.


Line Scan Controls

The Line Scan controls allow you to configure the settings for your In-Sight 5604 or 9902L line scan vision system. The line scan vision system assembles an image row by row as the target object passes beneath it. This allows for the construction of full, "unwrapped" images of cylindrical objects or sliced, continuous images of a surface. With a user-provided encoder, the line scan vision system provides high-precision images despite target speed variability.

Note:
  • You must be connected to an In-Sight 5604 or 9902L line scan vision system or emulator to enable these controls.
  • The user must have their access level set to Full Access to configure the settings. For more information, see User Access Settings Dialog.
  • The line scan vision system must be Offline.

  • Trigger: Defines the source of the image acquisition trigger when the line scan vision system is Online.

    • Camera (default): Enables image acquisition on a rising edge sensed at the vision system's dedicated acquisition trigger input.
    • Continuous: Enables "free running" (as fast as possible) image acquisitions.

    • External: Enables image acquisition on either a serial command or on the rising edge applied to a discrete input bit configured as an Acquisition Trigger.

      Note:
      • Faster trigger rates can be achieved by using the vision system's built-in acquisition trigger input (by setting the Trigger to Camera) versus triggering the vision system with a general-purpose input line configured as an Acquisition Trigger (by setting the Trigger to External).
      • If the Trigger parameter is set to External and an acquisition is missed, the ERR: Missed Acquisition output will not be sent from the vision system; the ERR: Missed Acquisition signal is only supported when the Trigger parameter is set to Camera.
    • Manual: Enables image acquisition when pressing F5.
    • Industrial Ethernet: Enables triggering from an Industrial Ethernet protocol, such as EtherNet/IP, POWERLINK, PROFINET, SLMP Scanner or CC-Link IE Field Basic.

    • Timestamp: Enables image acquisition when a timestamp trigger is sent to the vision system from a PLC over EtherNet/IP. The Timestamp option is only supported with the following vision systems:

      • In-Sight 5000 series vision systems with 128MB non-volatile flash memory and running firmware version 4.5.0 or later

        Note: The In-Sight 5605 vision system (Hardware Type 821-0032-1R), In-Sight 5705 vision system and In-Sight 5705C vision systems are not supported.
      • In-Sight 7000 Gen2 series vision systems
      • In-Sight 9000 series vision systems

  • Line Delay (lines): Defines the number of lines to delay after the camera trigger occurs before starting an image acquisition.

    Note: The Trigger parameter must be set to Camera to enable this control.
  • Trigger Interval: Defines an interval, in milliseconds, between acquisitions when the Trigger control is set to Continuous (0 to 10,000; default is 500). This delay is dependent upon the amount of time the job takes to complete processing the image. For example, if the Trigger Interval is set to 5,000 milliseconds, the In-Sight vision system acquires an image every 5,000 milliseconds, provided the job completes its image processing within 5,000 milliseconds. If not, the In-Sight acquires an image as soon as it completes processing the image.

  • Exposure (µsec): Defines the exposure time, in microseconds (0 to 1,000 µsec; default is 8 µsec). When the vision system receives a trigger signal, light is integrated in the line scan CCD array for the specified duration.

    Note:
    • For the 5604, while this parameter can technically be set to 0, any value below 1.33 µsec will be exposed for 1.33 µsec, regardless of the defined Exposure value.
    • For the 9902L, while this parameter can technically be set to 0, any value below 2.00 µsec will be exposed for 2.00 µsec , regardless of the defined Exposure value.
  • Line Trigger Type: Defines the type of encoder: Software Encoder or Hardware Encoder. You must be connected to an In-Sight 5604 or 9902L to enable this control; this control is disabled for line scan emulators.
    • Hardware Encoder: Specifies that the Steps Per Line setting and an external hardware encoder will be used to drive the line triggers. A Hardware Encoder is a device that digitizes the position of the target object by providing a signal transition every time the target moves a specified direction or distance. The In-Sight 5604 and In-Sight 9902L support two different types of Hardware Encoders: Single or Quadrature. For more information, see Line Scan Settings.
    • Software Encoder (default): Specifies that the Line Period setting will be used as a clock to drive the line triggers at a defined interval. A Software Encoder is a software emulation of a hardware encoder and acquires lines at a defined rate. This method is primarily used for setup and troubleshooting, because this method is vulnerable to changes in target speed (low-frequency acceleration and higher-frequency shake) that could result in vertical image artifacts.
  • Number of Lines: Defines the number of lines that will be acquired to construct an image from the line scan vision system.
    • By default, the In-Sight 5604 produces standard area images in 1024 x 2048 resolution. The width cannot be adjusted. The maximum image height can be adjusted by pressing the Encoder Setup button to launch the Line Scan Settings dialog. The Number of Lines value can range from 1 to the Max Image Height.
    • By default, the In-Sight 9902L produces standard area images in 2048 x 4096 resolution. The width and maximum image height can be adjusted by pressing the Encoder Setup button to launch the Line Scan Settings dialog. If the 1K Resolution (Low Light Mode) check box is selected, the width is decreased to 1024, providing increased light sensitivity. The Number of Lines value can range from 1 to the Max Image Height.
    In-Sight Model | Maximum Resolution | Minimum | Maximum | Default
    In-Sight 5604 | 1024 x 8192 | 1 | 8192 | 2048
    In-Sight 9902L | 2048 x 16384 | 1 | 16384 | 4096
    1024 x 16384
    Note:
    • If acquiring images of rotating targets, the Number of Lines value should be smaller than number of rows between any two frame triggers to avoid missing image triggers.
    • While this parameter can technically be set to 1, any value below 8 results in an unsuccessful image acquisition.

  • Steps Per Line: When Line Trigger Type is set to Hardware Encoder, defines the number of encoder steps per image line. A "step" is a complete cycle of the encoder signal, or signals, when a quadrature hardware encoder is used. For a single line hardware encoder, that is equivalent to two signal transitions, and for a quadrature hardware encoder, that is equivalent to four signal transitions.

    In-Sight Model | Steps Per Line
    In-Sight 5604 | 0.250 to 256.000; default = 40.000
    In-Sight 9902L | 0.250 to 8191.000; default = 40.000
    Note:
    • The Steps Per Line value should be incremented by 0.5 for single line hardware encoders, and 0.25 for quadrature hardware encoders.
    • For the 5604, to prevent missing line triggers, the Steps Per Line value must be configured so the shortest time between any two lines is 21.47 µsec greater than the Exposure setting (at a minimum of 1.33 µsec).
    • For the 9902L, to prevent missing line triggers, the Steps Per Line value must be configured so the shortest time between any two lines is 3 µsec greater than the Exposure setting or 15µs, whichever is greater.
    Closed Steps Per Line Hardware Encoder Timing Diagram

  • Line Period (µsec): When Line Trigger Type is set to Software Encoder, defines the time, in microseconds, per image line.

    In-Sight Model | Line Period
    In-Sight 5604 | 21.000 to 1000000.000; default = 40.000
    In-Sight 9902L | 21.000 to 1000000.000; default = 40.000
    In-Sight Emulator | 10.000 to 1000000.000; default = 40.000
    Note:
    • For the 5604, to prevent missing line triggers, the Line Period value must be configured so the shortest time between any two lines is 21.47 µsec greater than the Exposure setting (at a minimum of 1.33 µsec).
    • For the 9902L, to prevent missing line triggers, the Line Period value must be configured so the shortest time between any two lines is 3 µsec greater than the Exposure setting or 15µs, whichever is greater.
  • Clip Mode: Defines an action if an image acquisition trigger is received, but the specified number of lines have not yet been acquired.
    • No Clipping (default): Specifies that the image trigger will be ignored and an "Acquisition error" event will be generated.
    • Fill Black: Specifies that the remaining lines will be filled with black pixels, and a new image will be immediately started. An "Acquisition error" event will not be generated.

    • Reduce Image Lines: Specifies that the current image will be reduced to the size of the number of rows currently acquired, and a new image will be immediately started.

    Note:
    • When either Fill Black or Reduce Image Lines are selected:
      • Set the Trigger type to Camera to clip images properly. With any other Trigger type, if the trigger arrives while an image is being acquired, the current image is not clipped and the trigger is missed.
      • If a Set Event Native Mode command is sent to trigger an acquisition and the trigger arrives while an image is being acquired, the current image is not clipped and the trigger is missed.
    • For time-critical applications, select the Reduce Image Lines option. Or, if using the Fill Black option, keep the fill under a few hundred lines.
      • For the 5604, the Fill Black option requires roughly 2 µsec per line of fill (e.g., 0.2 milliseconds for 100 lines).
      • For the 9902L, the Fill Black option requires roughly 3 µsec per line of fill (e.g. 0.3 milliseconds for 100 lines).
  • Acquisition Duration: Specifies when to end image acquisition when the Clip Mode parameter is set to Fill Black or Reduce Image lines. This option is only supported for the In-Sight 9902L vision system when Camera is the selected Trigger type.
    • 0 = Next Trigger (default): Image acquisition begins at the leading edge of the trigger pulse and ends at the beginning of the next trigger signal.
    • 1 = End of Trigger: Image acquisition begins at the leading edge of the trigger pulse and ends at the trailing edge of the trigger pulse. Image acquisition is complete when either:
      • The specified Number of Lines have been acquired, even if the trailing edge of the trigger pulse has not yet arrived.

      • The trailing edge of the pulse arrives and terminates acquisition before the specified Number of Lines have been acquired.

        Note: When End of Trigger is selected, the Delay parameter is disabled and no delay is applied to the acquisition.

Line Scan Settings


Line Scan Settings

The Line Scan Settings dialog configures the hardware encoder settings of In-Sight 5604 and 9902L line scan vision systems, as well as displays diagnostic information for the vision system.

Note: When using a quadrature hardware encoder, if the vision system begins to acquire an image and the quadrature encoder signals it is moving in the opposite direction and moves past the beginning of the frame trigger, the resulting image is incorrectly assembled and unusable. If this occurs, place the vision system Offline when the quadrature encoder signals that it is reversing direction. Place the vision system back Online once the quadrature encoder signals it is resuming its previous direction.

  • Max Image Height: Specifies the maximum number of pixel rows used to construct the image, and the maximum number of image buffers, for line scan vision systems.

    Vision System Max Image Height
    In-Sight 5604

    2048 (default)

    4096

    8192
    In-Sight 9902L

    2048

    4096 (default)

    8192

    12288

    16384
    Note:
    • Adjusting the Max Image Height setting of a line scan vision system requires a reboot of the vision system, and will erase the current job on the vision system. Save or backup your job before continuing.
    • The default number of image buffers allocated to the vision system at start up is dependent on the vision system's resolution and RAM size. Adjusting the Max Image Height setting may increase or decrease the maximum number of image buffers available to the vision system. If needed, use the Image Buffers dialog to modify the number of image buffers allocated to the vision system at start up. For more information, see Image Buffers Dialog.

    • When using a line scan vision system, the region Width for Location or Inspection Tools have a maximum limit. If you need to set the region Width to a higher value, you must access the Spreadsheet View and either manually enter the region value in the Formula Bar or create a separate Controls or Structure function and reference it in place of the tool’s Region parameter.

      Vision System | Resolution | Max Image Height | Maximum Width in Property Sheet
      In-Sight 5604 | 1024 x 8192 | 8192 | 3072
      In-Sight 9902L 2048 x 16384

      8192 and greater

               6144
      1024 x 16384 | 4096 and greater | 3072

  • Hardware Encoder

    Note: To modify the Encoder Type or Direction, the Line Trigger Type parameter in the AcquireImage property sheet must be set to Hardware Encoder, the line scan vision system must be Offline and the user must have Full Access.

    • Encoder Type: Specifies the type of hardware encoder used to trigger line acquisitions: Single (default) or Quadrature.

      Note:
      • When the Encoder Type is set to Single, the single line encoder must be wired to the first encoder input; connecting the line to the second input has no effect.
      • Quadrature Encoders provide direction information and require two high-speed inputs.

    • Direction: Specifies which direction should be considered the forward direction of the quadrature encoder: Positive (default) or Negative. The line scan vision system uses the Direction to determine the correct operating direction. Steps that are reverse direction are considered invalid and result in the current frame being aborted.

      Note: This control is disabled when the Encoder Type is set to Single.

  • Diagnostics

    • Encoder Count: Displays the number of hardware encoder steps (or microseconds for a software encoder).
    • Line Count: Displays a running total of acquired lines since the counters were last reset.
    • Line Overlap Count: Displays the number of lines lost due to excessive encoder rates.
    • Buffer Overrun Count: Displays the number of times the line scan vision system ran out of image buffers.
    • Frames Per Second: Displays the number of frames acquired per second.

    • Steps Per Second: Displays the number of steps that arrive from the external hardware encoder per second.

      Note: If a software encoder is used, the value displayed is the number of microseconds per second.

    • Reset Button: Resets all diagnostic statistics to zero.

      Note: All diagnostic statistics are reset when the Reset button is clicked or if the line scan vision system is placed Online or Offline.
  • 1K Resolution (Low Light Mode): Increases light sensitivity and decreases the standard area image to 1024 pixels wide. This option is only supported on the In-Sight 9902L line scan vision system.


Calibrating the Image to Real World Units

Note: This topic describes the calibration feature when connected to an In-Sight vision system. If connected to an In-Sight 2000-130/130C or In-Sight 2000 series 23X vision sensor, refer to the Field of View (Width) section of Image Settings.

The Calibrate Image to Real World Units group box allows you to calibrate the results of Location and Inspection Tools, displaying their results in real world measurement units (microns, millimeter, centimeters and/or inches), instead of pixel values.

For In-Sight vision systems, calibration refers to the process of "mapping" the image area by establishing a relationship between features in the image and known, real-world measurement units. In this process, a two-dimensional (2D) transformation mathematically maps points from an image's pixel coordinates to real-world coordinates. Once an image has been calibrated, the Location and Inspection Tools will report their results in the calibrated (real-world) units.

There are six different types of calibrations, with varying degrees of accuracy, that are used to calibrate an In-Sight vision system: X/Y Scale, Edge to Edge, X/Y Edge to Edge, Circle, Grid, Import or 9-Point.

To assign a calibration to the job, select a calibration option from the Calibration Type drop-down menu:

  • None (default)
  • X/Y Scale
  • Edge to Edge
  • X/Y Edge to Edge
  • 9-Point
  • Circle
  • Grid
  • Import
Note:
  • The X/Y Scale, Edge to Edge, X/Y Edge to Edge, Circle, Import and 9-Point calibration options rely on one to 16 user-specified points, respectively, in the image to relate the real-world measurements of the objects being inspected. These calibration options only compensate for linear and non-linear distortions. For the highest degree of accuracy, use the Grid calibration option.
  • When the default setting of None is used as a Calibration Type, all tool results will be returned in pixel coordinates.
  • Enable the Classic Orientation checkbox to view your calibrated results aligned to the traditional Spreadsheet View coordinates (Y/X).
  • When applying a calibration, the physical and optical set-up (the lens, vision system and the physical relationship between the vision system and the scene being acquired) must be the same for both the calibration and run-time operation. If any of these items is altered, the system must be re-calibrated. Therefore, it is recommended that the same vision system and lens be used to both calibrate and process the run-time images. The vision system and lens must also retain their original set-up and calibration settings. For example, changing the acquisition format (by altering the resolution) or moving the vision system will invalidate the computed 2D transformation that maps pixel to real-world coordinates.

X/Y Scale, Edge to Edge, X/Y Edge to Edge and Circle Calibration Types

9-Point Calibration Type

Grid Calibration

Import Calibration Type


X/Y Scale, Edge to Edge, X/Y Edge to Edge and Circle Calibration Types

The X/Y Scale, Edge to Edge, X/Y Edge to Edge and Circle calibration options are useful in applications where you are inspecting a part or object, and you know the real-world measurement of the part or object.

Note: The scale calibration options do not account for lens distortion, therefore, for the greatest degree of accuracy, ensure that the In-Sight vision system is mounted perpendicular to the inspected surface. Otherwise, consider using Grid Calibration to remove the distortion and more accurately calibrate your image.
Closed X/Y Scale

Used when you know the X and Y scale values for calculating a simple calibration.

Note: This option does not account for distortion.
  1. Select X/Y Scale from the Calibration Type drop-down menu.
  2. From the Units drop-down menu, select the real world units (Microns, Millimeters, Centimeters or Inches).
  3. In the Horizontal Scale parameter, enter the horizontal scale value (0 to 9,999,999)
  4. In the Vertical Scale parameter, enter the vertical scale value (0 to 9,999,999).
  5. The calibration will be applied as soon as this option is selected and the values are configured.
Closed Edge to Edge

Used when you know the distance between two edge features.

  1. Select Edge to Edge from the Calibration Type drop-down menu.
  2. Press the Select Edges button; EasyBuilder will examine your image and give you a selection of Smart Features that it has automatically detected (highlighted in cyan).
  3. First select one Smart Feature from the available features by clicking on it, at which point its color will change to magenta and a line will extend out from that feature.

  4. Next, select the second Smart Feature.

    Note: If the features you want to use are not automatically found by EasyBuilder, uncheck the Smart Features checkbox and position the region over the feature that you want to define instead.
  5. Press the OK button to define your features.
  6. From the Units drop-down menu, select the real world units (Microns, Millimeters, Centimeters or Inches).
  7. Enter the known, real world measurement of the feature into the Dimension field.
  8. Press the Calibrate button to finalize the calibration process. The results of Location and Inspection Tools will now appear in real-world units.
Closed X/Y Edge to Edge

Used when you know the distance between two edge pairs; one in the horizontal direction, and another in the vertical direction. Combining the horizontal measurement and dimension with the vertical measurement and dimension creates two independent scales.

  1. Select X/Y Edge to Edge from the Calibration Type drop-down menu.
  2. Press the Define Horizontal Measurement button; EasyBuilder will examine your image and give you a selection of Smart Features that it has automatically detected (highlighted in cyan).
  3. First select one Smart Feature from the available features by clicking on it, at which point its color will change to magenta and a line will extend out from that feature.

  4. Next, select the second Smart Feature.

    Note: If the features you want to use are not automatically found by EasyBuilder, uncheck the Smart Features checkbox and position the region over the feature that you want to define instead.
  5. Press the OK button to define your features.
  6. Press the Define Vertical Measurement button; EasyBuilder will examine your image and give you a selection of Smart Features that it has automatically detected (highlighted in cyan).
  7. First select one Smart Feature from the available features by clicking on it, at which point its color will change to magenta and a line will extend out from that feature.
  8. Next, select the second Smart Feature.
  9. Press the OK button to define your features.
  10. From the Units drop-down menu, select the real world units (Microns, Millimeters, Centimeters or Inches).
  11. Enter the known, real world horizontal dimension of the feature into the Horizontal Dimension field.
  12. Enter the known, real-world vertical dimension of the feature into the Vertical Dimension field.
  13. Press the Calibrate button to finalize the calibration process. The results of Location and Inspection Tools will now appear in real-world units.
Closed Circle

Used when you know the diameter of a circular feature.

  1. Select Circle from the Calibration Type drop-down menu.
  2. Press the Select Circle button; EasyBuilder will examine your image and give you a selection of Smart Features that it has automatically detected (highlighted in cyan).

  3. Select one Smart Feature from the available features by clicking on it, at which point its color will change to magenta.

    Note: If the features you want to use are not automatically found by EasyBuilder, uncheck the Smart Features checkbox and position the region over the feature that you want to define instead.
  4. Press the OK button to define your feature.
  5. From the Units drop-down menu, select the real world units (Microns, Millimeters, Centimeters or Inches).
  6. Enter the known, real world measurement of the feature into the Dimension field.
  7. Press the Calibrate button to finalize the calibration process. The results of Location and Inspection Tools will now appear in real-world units.


9-Point Calibration Type

The 9-Point calibration option is useful in robotic applications where you want to create the correct coordinate space for the robot. This calibration option relies on a circular target, as illustrated below. Ideally, the calibration plate should be composed of nine evenly spaced targets, in a grid pattern. The horizontal and vertical distance between targets should be known prior to beginning the calibration process.

Note:
  • The target in the center of the nine targets will be considered the origin (0,0) in the robot coordinate system.
  • The spacing between horizontal targets must be consistent and equal, and that applies to the spacing between the vertical targets, as well. However, the spacing between the horizontal and vertical targets does not need to be equal.
  • Each target must have a minimum circle diameter of 25 pixels.
Closed Example - Single Target

Closed Example - Nine Targets

Note: The coordinates should not be present in the actual image; they are inserted for illustration purposes, only.
Note: The 9-Point calibration option does not account for lens distortion, therefore, for the greatest degree of accuracy, ensure that the In-Sight vision system is mounted perpendicular to the inspected surface.

Before beginning the calibration process, capture an image of the calibration plate, which contains the nine evenly spaced targets.

  1. Select 9-Point from the Calibration Type drop-down menu.

  2. Press the Edit Model button, and configure the region so that it encloses the middle target, and then press the OK button. When configuring the region around the target, ensure that there is at least 3 to 4 pixels of blank pixels between the outer edge of the circle and the region. Also attempt to center the region over the target as much as possible.

    Closed Example

  3. After configuring the model, EasyBuilder will automatically detect all of the targets in the image, and will display a green cross over the detected targets.

    Note: If the target's fiducial is detected, but the circle surrounding the fiducial is not detected, a red cross will be displayed. Either re-train the model or acquire a new image to resolve the issue.
  4. From the Units drop-down menu, select the real world units (Microns, Millimeters, Centimeters or Inches).
  5. In the X-Dimension field, enter the real world measurement of the horizontal distance between two targets in the same row (measured from the center of each target).
  6. In the Y-Dimension field, enter the real world measurement of the vertical distance between two targets in the same column (measured from the center of each target).
  7. Press the Calibrate button to finalize the calibration process. The results of Location and Inspection Tools will now appear in real-world units.


Grid Calibration

In its deployment environment, the In-Sight vision system may capture images that exhibit distortions induced by certain setup conditions, such as lens and perspective distortions. Some lens may produce barrel or pincushion radial distortion patterns which cause lines which appear straight in the real-world to appear as curved lines in the image. Perspective distortion is induced when an In-Sight vision system cannot be mounted perpendicular to the inspection area. In these situations, the features in the image may appear stretched or oblong, depending on their location within the field of view, resulting in inaccurate results.

The Grid Calibration option creates a "map" of the image area by acquiring an image of a grid pattern of either dots or checkerboard squares. This option then relates the found features of the grid (the dots or intersections of squares) to the user-specified grid spacing of the grid pattern. This process creates a highly accurate computation that can then be used to transform distorted features into their correct shape.

Calibrating an In-Sight vision system enables you to more accurately locate objects at the edges of images, and provides greater mounting flexibility, including the ability to mount the In-Sight vision system up to 45° from the inspection surface.

Tip: If your application requires Grid Calibration, you can use the Transform Image Filter Tool to view undistorted results and have other inspection tools reference its Tool Image output.
  1. Select Grid from the Calibration Type drop-down menu.
  2. Press the Calibrate button, which will launch the CalibrateGrid Dialog. For more information, see CalibrateGrid.


Import Calibration Type

The Import Calibration Type is used to load a calibration file that has been created by an N Point or Sequential N Point Calibration Tool, and exported to the In-Sight vision system's local file system. The imported calibration file automatically calibrates the current job as soon as it has been loaded.

Note: Prior to selecting Import as the Calibration Type, first add and configure either an N Point or Sequential N Point Calibration Tool, and then export the calibration file to the In-Sight vision system's local file system.

The N Point and Sequential N Point Calibration Tools create a 2D transformation to convert between pixel and real-world coordinate systems. In this process, the tools account for linear and non-linear distortion, and offer a higher degree of accuracy than the X/Y Scale, Edge to Edge, X/Y Edge to Edge or Circle calibration methods, when five or more point pairs are used. The tool performs the following transformations:

  • Translation in two dimensions (using 2 or more point pairs).
  • Rotation about three axes (using 4 or more point pairs).
  • Scale in two dimensions (using 2 or more point pairs).
  • Perspective distortion (using 4 or more point pairs).
  • Parallelogramming or skewing (using 4 or more point pairs).
Closed Import
  1. Select Import from the Calibration Type drop-down menu.
  2. EasyBuilder will automatically examine your job for any calibration files generated by an N Point or Sequential N Point Calibration Tool, and load the calibration file. If you have created more than one calibration file, select your desired file from the File Name drop-down menu.
  3. From the Units drop-down menu, select the real-world measurement units that define the calibration: Microns, Millimeters (default), Centimeters or Inches.
  4. The calibration will be applied as soon as this option is selected and the values are configured.


Locate Part

The Location Tools are used to define a feature in the image that provides positional data. The Location Tools create a Fixture, which is used to locate a part in the image quickly and reliably, even if the part being inspected rotates or appears in different locations in the image. For more information, see Fixture.

Note:
  • If your job does not require positional data, or your part will be presented to the In-Sight sensor in the same location in every image, see Inspect Part.
  • The In-Sight 2000-110 and 120/120C vision sensors allow you to add only one fixture to a job.
  • The Links tab is not supported on the In-Sight 2000 series vision sensors.
  • Adding, Deleting and Editing Location Tools
  • Choosing a Location Tool

  • Create Links Between Location and Inspection Tools

The Location tools report the following results:

In-Sight Models | Results
In-Sight 2000-110 and 2000-120/120C Vision Sensors | Pass/Fail status only
In-Sight 2000-130/130C Vision Sensor | Pattern Location tool: Pass/Fail status and Pattern Score Other Location tools: Pass/Fail status only
In-Sight Vision Systems (All Models) and In-Sight 2000 Series 23X Vision Sensors (23M, 230) | Standard results (Positional Data and Pass/Fail status). The tool reports the results in pixels, unless the image was calibrated to real-world units in Set Up Image.

Adding, Deleting and Editing Location Tools

Choosing a Location Tool

Create Links Between Location and Inspection Tools


Adding, Deleting and Editing Location Tools

Closed Adding a Tool

To add a tool to your job, select an appropriate tool from the Add Tool group and press the Add button, or double-click on the tool. You will then be prompted to define the feature in the image, either through EasyBuilder Smart Feature selections, adjusting region graphics in the image or positioning geometric reference graphics.

After you have initially defined your feature, you can fine-tune the tool’s controls by adjusting the various parameters.

Note: You can search tools dynamically by using the Tool search box.
Closed Deleting a Tool

To delete a tool from your job, simply do one of the following:

  • Select the tool in the Results table (located in the Results tab of the Palette) and press the Delete key on your keyboard.
  • Select the tool in the Results table (located in the Results tab of the Palette) and press the Delete icon in the Standard toolbar.
  • Right-click on the tool in the Results table (located in the Results tab of the Palette) and select the Delete option from the menu.
Closed Editing a Tool

To edit a tool from any step in EasyBuilder, simply do one of the following:

  • Double-click on the tool in the Results table (located in the Results tab of the Palette).
  • Right-click on the tool in the Results table and select the Go to this tool and edit option from the menu.

To edit a tool from the Locate Part or Inspect Part steps, simply do one of the following:

  • Select the tool's region graphic in the image.
  • Double-click on the tool in the Results table (located in the Results tab of the Palette).
  • Right-click on the tool in the Results table and select the Go to this tool and edit option from the menu.
  • Double-click on the tool in the Results Table in the Run Job application step.
Note: If there is not enough space in the job to add more tools, leave the Locate or Inspect Part Application Steps, and from the Sensor menu, select Job Size Limit. Using the dialog, adjust the size of the job to allow more tools to be added. Adjusting the job size limit of an In-Sight vision system requires that the vision system be power cycled, and will erase all job and setting files from non-volatile flash memory. Save or backup your job before continuing. For more information, see Job Size Limit.

Features

Regions

Fixture


Features

In machine vision, features are referred to as the "objects of interest in the image," and vision inspections are designed around the types of features found in the image.

Types of features in the Locate Part step include:

Closed Edges

Linear areas of transition between light and dark pixels. Edges can be things like the ends of parts, pins on a circuit board or threads on a screw. Edges are one of the faster types of features to detect during an inspection, but when used as a Fixture, they should only move in one direction (horizontal or vertical) and be highly contrasted.

Closed Edge Fixture Example

In this example, the air freshener applicators don't appear in the same location in each image; they appear in the same vertical plane but move horizontally. Two Edge Location Tools are used as Fixtures; the one on the left locates the outer edge of the lower housing of the applicator and orients the regions of the other inspection tools on the left side, while the one on the right orients the tools on the right.

Closed Circles

Circles are essentially edges, areas defined by a transition between light and dark pixels that defines their geometric shape. Also one of the faster types of features to recognize, as long as they are highly contrasted, however circles do not provide any angular orientation data when used as a Fixture.

Closed Circle Fixture Example

In this example, two Fixtures are being used. The first fixture, a Blob Location Tool, locates the outside of the pipe, while the second fixture, a Circle Location Tool, locates the basic circular shape of the pipe within the found blob. Due to the demands of the application, the length of the screws is determined by measuring their distances from a point relative to a found shape, which must be uniform.

Closed Patterns

A pattern can be anything from a simple group of repeating shapes to complex configurations like logos or labels. The most reliable type of feature to use as a Fixture, patterns allow for the greatest range of positional rotation, movement and scale variations, but generally require the most amount of time to inspect.

Closed Pattern Fixture Example

In this example, the 2D code appears in varying locations and orientations in each image. A PatMax Patterns Location Tool is used to create a Fixture and orient the search of the Read ID Codes Identification Tool. The PatMax Patterns Location Tool is used because it can locate complicated patterns while accommodating a wide variety of locations, orientations and scales.

Closed Blobs

A group of dark or light-colored connected pixels, such as a splotch of white paint on a black background or a black screw on a white conveyor belt. Blobs fall between edges and patterns in terms of their detection speed, and blobs allow for a wider variance of the blob feature’s shape and size compared to a pattern, but have limited angular orientation value when used as a Fixture.

Closed Blob Fixture Example

In this example, two Fixtures are used because the features being inspected (the screws) are inside an object (the pipe) whose orientation and vertical and horizontal location can vary from image to image. The flanges of the pipe create an irregular shape, so a Blob Location Tool is used to create a fixture that locates the pipe within the field of view.


Regions

Regions define the area of the image where the Location or Inspection Tool will perform its operation, and are also referred to as the "Region of Interest."

There are several different types of regions used by the Location and Inspection Tools in EasyBuilder, depending upon the type of tool being used. The types of regions used by EasyBuilder are the following:

  • Rectangle
  • Circle
  • Annulus
  • Polygon

Annulus Regions

Circle Regions

Polygon Regions

Rectangle Regions


Annulus Regions

Annular Regions are used to define circular edge features. The annular region has an inner and outer radius, allowing you to define a circular edge feature while ignoring the center of the circle.

Closed Annular Region Mouse Actions
 | Controls | Description
1 | Move | By placing the mouse cursor between the inner and outer radiuses, the mouse cursor icon will automatically transform, allowing you to drag the region anywhere within the image.
2 | Resize | By placing the mouse cursor over either the annular region's inner or outer radius, the mouse cursor icon will automatically transform, allowing you to drag either the inner or outer radius resize it (the inner and outer radius must be resized independently).
Closed Annular Region Scan Direction

Annular regions scan for circular features from the inner radius to the outer radius.

Closed Annular Region Color Codes
 | Description
1 | A newly added, unselected annulus region.
2 | A selected, unconfirmed annulus region.
3 | A selected, configured and passing annulus region.
4 | An unselected, configured and passing annulus region.
5 | A selected, configured and failing annulus region.
6 | An unselected, configured and failing annulus region.


Circle Regions

Circle Regions are used to define circular features. The Circle Region captures everything inside the circle. To define a circular feature while ignoring the center of the circle, use an Annulus Region.

Closed Circle Region Mouse Actions
 | Controls | Description
1 | Move | By placing the mouse cursor inside the region, the mouse cursor icon will automatically transform, allowing you to drag the region anywhere within the image.
2 | Resize | By placing the mouse cursor over the circular region's boundary, the mouse cursor will automatically transform, allowing you to drag the region to resize it.
Closed Circular Region Scan Direction

Circular Regions scan for features from the center of the circle to the outer radius.

Closed Circular Region Color Codes
 | Description
1 | A newly added, unselected circular region.
2 | A selected, unconfirmed circular region.
3 | A selected, configured and passing circular region.
4 | An unselected, configured and passing circular region.
5 | A selected, configured and failing circular region.
6 | An unselected, configured and failing circular region.


Polygon Regions

Polygon Regions are used to define irregular features by constructing a shape out of line segments. You must configure the Polygon Region into your desired shape.

Closed Polygon Region Legend
 | Controls | Description
1 | Resizable Endpoint Boundary | Defines the initial three end-points of the Polygon Region (a maximum of 100 points may be created for one Polygon Region). Click on an end-point boundary to resize the region from one of its corners.
2 | Rotation Handle | Allows the region to be rotated 360°.
Closed Polygon Region Mouse Actions

By placing the mouse cursor over various parts of the region, it will automatically transform, enabling the following actions:

Mouse Icon | Description
 | Allows you to drag the entire polygon region anywhere within the image.
 | Allows you to scale the entire region either horizontally or vertically.
 | Allows you to rotate the entire region 360° from its current orientation.
 | Allows you to move one of the polygon region's resizable endpoint boundary points.
 | Allows you to add a resizable endpoint boundary point to the polygon region.
Closed Polygon Region Scan Direction
 | Controls | Description
1 | Top | Indicates the scan direction in the horizontal direction.
2 | Side | Indicates the scan direction in the vertical direction.
Closed Polygon Region Color Codes
 | Description
1 | A newly added, unselected polygon region.
2 | A selected, unconfirmed polygon region.
3 | A selected, configured and passing polygon region.
4 | An unselected, configured and passing polygon region.
5 | A selected, configured and failing polygon region.
6 | An unselected, configured and failing polygon region.


Rectangle Regions

Rectangular regions are the most common means of defining an inspection. They can be resized into arc segments or annular regions, to better meet the needs of your particular application.

Closed Rectangular Region Legend
 | Controls | Description
1 | Resizable Endpoint Boundary (x4) | Defines the four corners of the rectangular region. Click on an end-point boundary to resize the region from one of its corners.
2 | Scan Direction Indicator (x2) | Defines which direction the rectangular region will scan for features.
3 | Bend Handle | Allows the rectangular region to be bent into an arc or annular shape.
4 | Rotation Handle | Allows the region to be rotated 360°.
Closed Rectangular Region Mouse Actions
 | Controls | Description
1 | Move | By placing the mouse cursor inside the region, the mouse cursor icon will automatically transform, allowing you to drag the region anywhere within the image.
2 | Bend | By placing the cursor on the Bend Handle, the mouse cursor icon will automatically transform, allowing you to reshape the rectangular region into an arc or annular shape. The four sides of the shape can then be resized into a circular shape, for example.
3 | Resize | By placing the cursor over any of the four endpoint boundaries, or along any of its four sides, the mouse cursor icon will automatically transform, allowing you to drag the region to resize it.
4 | Rotate | By placing the cursor on the Rotation Handle, the mouse cursor icon will automatically transform, allowing you to rotate the region 360° from its current orientation.
Closed Rectangular Region Scan Direction
 | Controls | Description
1 | Top | Indicates the scan direction in the horizontal direction.
2 | Side | Indicates the scan direction in the vertical direction.
Closed Rectangular Region Color Codes
 | Description
1 | A newly added, unselected rectangle region.
2 | A selected, unconfirmed rectangle region.
3 | A selected, configured and passing rectangle region.
4 | An unselected, configured and passing rectangle region.
5 | A selected, configured and failing rectangle region.
6 | An unselected, configured and failing rectangle region.


Fixture

The Location Tools in the Locate Part step create an output known as a Fixture, which acts as a reference point for other vision inspection tools.

When creating a Fixture, look at your part in the image and determine which type of feature – a pattern, edge, circle or blob – is the most quickly and easily recognizable, and will be in every image of the part. Then, based on the type of feature on your part, select an appropriate Location Tool to define the feature.

When a feature is used as a fixture during an inspection, the In-Sight sensor will first search for the feature; once the feature has been located, the feature's position serves as a reference point for the other vision inspection tools, which use the position of the feature to orient their regions.

Closed Example - Job with a Pattern Fixture

Closed Example - Job without a Fixture

Note:
  • A fixture is unnecessary if your part will be presented to the In-Sight sensor in the same exact location in every image.
  • More than one fixture can be created and used in a job, and fixtures can be linked to each other.
  • The following Inspection Tools produce a fixture output that may be utilized by other tools: Edge Presence/Absence Tool, PatMax Pattern Presence/Absence Tool, Pattern Presence/Absence Tool, Read ID Code Identification Tool, PatMax Patterns Identification Tool, Patterns Identification Tool, Angle Measurement Tool, Distance Measurement Tool, Circle Concentricity Measurement Tool, Circle Diameter Measurement Tool, Point-to-Point: Mid-Point Geometry Tool, Circle From N Points Geometry Tool and User-Defined Point Geometry Tool.


Choosing a Location Tool

Examine your part and determine which type of feature (or features) meets your application’s requirements.

Location Tools | In-Sight Vision Systems (5.x.x firmware) | In-Sight 2000-110 | In-Sight 2000-120/120C | In-Sight 2000-130/130C | In-Sight 2000-230/230C In-Sight 2001-230/230C | In-Sight 2000-23M
PatMax RedLine Pattern 1 | X |  |  |  |  |
PatMax® Pattern | X |  |  |  |  |
Pattern | X | X | X | X | X | X
PatMax RedLine™ Patterns (1-10) 1 | X |  |  |  |  |
PatMax® Patterns (1-10) | X |  |  |  |  |
Patterns (1-10) | X |  |  |  | X |
Edge | X |  |  | X | X | X
Edge Intersection | X |  |  | X | X | X
Blob 2 | X |  |  |  | X |
Blobs (1-10) 2 | X |  |  |  | X |
Color Blob 3 | X |  |  |  | X |
Color Blobs (1-10) 3 | X |  |  |  | X |
Circle | X |  |  | X | X | X
Compute Fixture | X |  |  |  |  | X
1 In-Sight 5.x.x firmware only. 2Monochrome models only. 3Color models only.

PatMax RedLine Pattern, PatMax Pattern, PatMax RedLine Patterns (1-10) and PatMax Patterns (1-10)

Pattern and Patterns (1-10)

Edge

Edge Intersection

Blob and Blobs (1-10)

Color Blob and Color Blobs (1-10)

Circle

Compute Fixture


Location Tools - PatMax RedLine Pattern, PatMax Pattern, PatMax RedLine Patterns (1-10) and PatMax Patterns (1-10)

Note:
  • From In-Sight firmware 5.5.0 and later, the tool's algorithm has been changed to return more accurate results and decrease the execution time in some circumstances.
  • Due to this change, when attempting to load a job containing this tool configured on the In-Sight firmware 5.5.0 or later to an In-Sight vision system running firmware version 5.4.x or earlier, an error message is displayed.
  • The PatMax RedLine Pattern Location Tool and PatMax RedLine Patterns (1-10) Location Tool are only available on In-Sight vision systems running In-Sight firmware 5.2.0 and later. For a complete list of models and supported firmware versions, see Firmware Versions.

The PatMax RedLine Pattern Location Tool, PatMax Pattern Location Tool, PatMax RedLine Patterns (1-10) Location Tooland PatMax Patterns (1-10) Location Tool are used to locate the position of pattern features, using the PatMax RedLine or PatMax algorithm, based upon a trained representation of that pattern (called a Model). The PatMax RedLine Pattern and PatMax Pattern tools are used to locate a single pattern, while the PatMax RedLine Patterns (1-10) and PatMax Patterns (1-10) tools are used to locate up to 10 patterns.

Note: The tool reports X,Y coordinates in pixels, unless the image was calibrated to real-world units in Set Up Image.

These tools are useful in applications that require accurate positioning, such as vision guided robotic applications. These tools are also very useful as a Fixture for other vision tools, orienting their search within the image.

Setting Up the Tools

Adjusting the Tool Parameters


Setting Up the PatMax RedLine Pattern, PatMax Pattern, PatMax RedLine Patterns (1-10) and PatMax Patterns (1-10) Location Tools

Once the tool has been added, you will need to select the type of regions and configure them to define your pattern (the Model region), and where in the image the pattern will be found (the Search region).

  1. From the Model drop-down menu, select the type of region: Rectangle (default), Circle, Annulus or Polygon. Then position the Model region over the pattern that will be used as the training model; make sure that the Model region only covers the important features of the pattern.

    Note: After adding the tool, you can change the type of region by right-clicking the region in the image and selecting the desired shape from the Change Region to option.
  2. From the Search drop-down menu, select the type of region: Rectangle (default), Circle, Annulus or Polygon. Then position the Search region so that it covers the areas within the image where you expect the pattern to appear. To help the performance of the tool, create smaller Search regions; the larger the Search region, the longer it will take the tool to perform its inspection.

  3. Press the OK button to confirm the regions (press the Cancel button to not add the tool to the job).

  4. The Model region will be replaced by the [image] icon, indicating the location and angular orientation of the found pattern.
  5. With the tool initially configured, load several images and adjust the tool's parameters, as needed, to compensate for your expected ranges of variations.
  6. Finally, if desired, use the tool's Input/Output properties to share tool data between other tools and/or other external devices.

Selecting a Pattern Feature

PatMax RedLine Patterns, PatMax Patterns and Patterns


Selecting a Pattern Feature

When choosing a pattern to use for your inspection, consider the following guidelines to ensure the best results:

  • The pattern is consistently present in every image.
  • The pattern contains as many unique and consistently present features as possible, and the features that comprise the pattern are consistent in their appearance and relative geometry to one another, as well as being clearly defined.
  • If possible, choose a larger pattern; larger patterns generally imply more unique features in the pattern, which allow for more consistent and accurate detection.


PatMax RedLine Patterns, PatMax Patterns and Patterns

Note: The PatMax RedLine Pattern Location Tool and PatMax RedLine Patterns (1-10) Location Tool are only available on In-Sight vision systems running In-Sight firmware 5.2.0 and later. For a complete list of models and supported firmware versions, see Firmware Versions.

The PatMax RedLine Patterns, PatMax Patterns and Patterns locate trained Models of patterns, and they offer the highest accuracy among the location and inspection tools. However, PatMax RedLine Patterns and PatMax Patterns are more powerful than the Patterns, accounting for greater changes in lighting conditions and the pattern’s position. They also offer superior recognition of changes to the pattern’s scale and rotation, occlusion of elements of the pattern, and changes in the pattern’s appearance due to lighting variations.

The main difference between the PatMax RedLine Patterns and PatMax Patterns is the speed; the PatMax RedLine Pattern uses the latest pattern matching algorithm and can locate trained features in a 5 megapixel image up to 7x faster than PatMax Patterns. Therefore, PatMax RedLine Patterns is ideal for high resolution vision systems.

The Patterns (in most cases) is faster than the PatMax, but certain situations require the accuracy and reliability of the PatMax RedLine or PatMax version:

  • When variations in lighting and reflections are difficult to control. For example, metal parts can reflect light in random directions.
  • When the pattern being inspected is similarly shaped or shaded in comparison to something in the background, or the pattern is being overlapped or partially hidden by other objects in the image.
  • When you want to accurately recognize one type of pattern from other, similar, patterns.
  • When the conditions of your deployment environment are too demanding for the Patterns Tool to perform consistently and reliably.


Adjusting the PatMax RedLine Pattern, PatMax Pattern, PatMax RedLine Patterns (1-10) and PatMax Patterns (1-10) Location Tools Parameters

After the tool’s region has been positioned, you can optimize the tool for your application.

The settings pane of the PatMax RedLine Pattern, PatMax Pattern, PatMax RedLine Patterns (1-10) and PatMax Patterns (1-10) Location Tools consist of the following tabs:

  • General Tab
  • Settings Tab
  • Model and Search Tabs
  • Trained Image Tab
  • Table Tab
Note: The Table tab is only enabled for the PatMax RedLine Patterns (1-10) and PatMax Patterns (1-10) Location Tools.
Tip: Test your job, using TestRun. TestRun performs tests on the In-Sight vision system and compares the results of those tests against expected values. This will allow you to see whether or not the job is behaving as expected, or if you will need to adjust certain parameters for allowable variances.

General Tab

Settings Tab

Model and Search Tabs

Trained Image Tab

Table Tab


PatMax RedLine Pattern, PatMax Pattern, PatMax RedLine Patterns (1-10) and PatMax Patterns (1-10) Location Tool - General Tab

Closed Tool Name

Defines the name of your inspection tool, which will be utilized in configuring the results Inputs/Outputs and Communication); the default name is “Pattern_1” (if it is the first Pattern tool added to the job, otherwise it will be incremented, e.g. “Pattern_2”, “Pattern_3”, etc.). Customize your tool by giving it a name that is associated with your particular application.

Closed Tool Image

Defines which image the tool will utilize to perform its inspection; the unfiltered, acquired image (the default setting), or the output image of an Image Filter Tool. This control is only enabled if an Image Filter Tool has been added.

Closed Tool Fixture

Defines a fixture for the tool. This control is only enabled if another tool that defines a fixture has already been added.

Closed Tool Enabled

Defines when and whether or not the inspection tool should run (default setting is “On”). Select “Off” if you want to disable the tool; select "Expression" if you want to tie the tool's execution to the result of an Expression (this control is only enabled for tool's that provide an Expression parameter); or select an “Input” if you want the tool tied to a specific discrete input line, where it can be turned On or Off (a High signal, 1, is On, a Low signal, 0, is Off). Tying the tool to an input allows a control system, such as a PLC, to determine which tools should run.

Closed Include in Job Pass

Defines whether or not the tool's pass/failure status should be included in the job's overall pass/fail status; by default, it is checked and will be included in the job's overall pass/fail status. Uncheck the check box to keep the tool's pass/failure status separate from the other tools in the job. This control should be unchecked if a tool is expected to fail; for example, if two PatMax Patterns Identification Tools were being used to determine whether or not the part was a right-hand or left-hand part, one of the tools would be expected to fail every time. This situation would result in the job failing every time, regardless of which side of the part was identified, were the checkbox checked.

Closed Execution Time (ms)

Displays the amount of time, in milliseconds, that the tool took to perform its inspection. This time may vary, depending upon the complexity of the scene in the image, as well as the position of the feature within the image, and the amount of variance allowed in the parameters.

Closed Description

A comment that describes the purpose of the tool (by default, the field is blank). Up to 255 alpha-numeric characters or 127 Asian language characters may be used.


PatMax RedLine Pattern, PatMax Pattern, PatMax RedLine Patterns (1-10) and PatMax Patterns (1-10) Location Tools - Settings Tab

Closed Number to Find

Defines the number of instances of the Model pattern to detect (1-10; default = 1). Most applications only require a single fixture, however, multiple instances of the Model pattern can be located, which is useful in applications where there is more than one part or object in the image. The more trained instances the tool is asked to identify, the longer the tool’s execution time.

Closed Accept Threshold

Defines the degree of similarity that must exist between the Model pattern and the found pattern (0-100; default = 50). Found patterns above, or the equivalent of, the setting are considered a match. This tool executes faster with a higher setting, which also requires a greater degree of similarity between the Model and the found pattern. Lower settings allow for a higher likelihood of less accurate results, such as detection of patterns that are similar to, but not, the Model pattern.

Closed Contrast Threshold

Defines the minimum acceptable contrast that must be present in the found pattern; the contrast for a found pattern must be greater than the Contrast Threshold value to be considered a valid instance. The default value for PatMax RedLine Pattern(s) is 0, and the valid parameter range is 0-100. The default value for PatMax Pattern(s) is 10, and the valid parameter range is 0-255. A low Contrast Threshold value is used for low-contrast images, while a high Contrast Threshold value is used for high-contrast images.

Note: PatMax RedLine Pattern(s) contrast is the "relative" measure of contrast change between features in the trained pattern versus match features in search image, in percentage. Therefore, if feature contrast is similar or high to pattern contrast, reported Contrast will be ~100. If feature contrast is lower than pattern contrast, reported Contrast will be <100. Contrast for PatMax RedLine Pattern(s) is different than contrast for PatMax Pattern(s), which is the "absolute" image contrast of the search ROI, in grey scale level.
Closed Rotation Tolerance

Defines how far the found pattern can be rotated from the position of the Model pattern and still be recognized as a valid pattern (± 0-180°; default =15°).Allowing for a greater range of rotational variance of the pattern will increase the tool's execution time.

Closed Scale Tolerance

Defines the allowable percentage of scaling (size variations) between the found pattern and the Model pattern (0-50; default = 0). The value is a plus or minus percentage, e.g. a value of 5 will enable the tool to find patterns that are between 95% and 105% of the Model pattern’s size. Allowing for a greater range of scale variance of the pattern will increase the tool's execution time.

Closed Find Mode

Defines the search mode used for training and recognizing patterns, PatMax or PatQuick.By default, PatMax is selected.PatMax offers higher accuracy than PatQuick, but requires more time to execute, while PatQuick offers lower accuracy than PatMax, but requires less time to execute.

Closed Strict Scoring

Defines whether or not missing or occluded features of the found pattern will affect the score (default = Off, unchecked). When Strict Scoring is applied (On, checked), if features of the pattern are absent or blocked, the score of the found pattern will be lowered.

Closed Ignore Polarity

Defines whether or not found patterns can contain color-inverted match features , in respect to the Model pattern (default = Off, unchecked). When Ignore Polarity is applied (On, checked), detected patterns with color inverted features, such as black/white vs white/black in the Model pattern, for example, will be classified as matching the Model pattern.

Closed Sort By

Defines how found patterns are sorted, Score (the default), X or Y.When Score is selected, the found patterns are sorted based upon their score, with the pattern receiving the highest score listed first, with subsequent patterns in descending order. When X is selected, the found patterns are sorted based on their distance from the X-axis, from closest to furthest, in descending order. When Y is selected, the found patterns are sorted based on their distance from the Y-axis, from closest to furthest, in descending order.

Closed Horizontal Offset

Defines a horizontal offset position (measured in pixels) from the found pattern's center, relative to the trained Model pattern. This allows you to assign coordinates away from the center of the Model pattern, which is useful for defining a pick point in vision guided robotics applications.

Closed Vertical Offset

Defines a vertical offset position (measured in pixels) from the found pattern's center, relative to the trained Model pattern. This allows you to assign coordinates away from the center of the Model pattern, which is useful for defining a pick point in vision guided robotics applications.

Closed Timeout
Defines the amount of time, in milliseconds (0 to 30,000), that the tool will search for pattern(s) before execution is stopped and the tool returns a Fail. By default, this parameter is set to 5000.
Closed Result

Displays the X,Y coordinates of the found pattern's center and its angular orientation, as well as its comparative score to the Model pattern. If a Horizontal and/or Vertical Offset were applied, the X,Y coordinates will be adjusted by the amount specified in the offset fields.

Note: If the Number to Find parameter is set above 1, the Result displayed will always be the found pattern with the highest score unless the Sort By parameter has been set to X or Y.
Note:
  • The PatMax RedLine Pattern and PatMax RedLine Patterns (1-10) Location Tools do not contain the Find Mode parameter.
  • The Number to Find and Sort By parameters are only supported by the PatMax RedLine Patterns (1-10) and PatMax Patterns (1-10) Location Tools.


PatMax RedLine Pattern, PatMax Pattern, PatMax RedLine Patterns (1-10) and PatMax Patterns (1-10) Location Tools - Model and Search Tabs

The Model and Search tabs are used to configure composite region for the Model and Search regions of the tool. Composite regions are a collection of sub-regions (Rectangle, Annulus, Circle or Polygon) that either Add to the region (the region will be included in the image analysis) or Subtract from the region (the region will be excluded from the image analysis; also known as "masking").

Note:
  • In the Model tab, the composite regions are only enabled after pressing the Model Region button.
  • A maximum of 32 sub-regions can be used to construct a composite region.
  • A right-click menu is available while interacting with the region in the image, which allows you to change a selected sub-region's shape, add or remove a sub-region, or change a selected sub-region's Operation (Add or Subtract).
Closed Composite Region Table

Displays the type of sub-region(s) that comprise the composite region, as well as its Operation (Add or Subtract). Select a sub-region to enable the Delete, Move Up or Move Down buttons. Pressing the Delete button removes the selected sub-region from the list; pressing the Move Up button moves the selected sub-region up in the list; and pressing the Move Down button moves the selected sub-region down in the list.

Note:

The composite region is built based upon its sequence of sub-regions within the list. By placing sub-regions, and their Add or Subtract Operation, in a specific order, parts of the image may be highlighted while ignoring other areas. The image below shows an example of how to correctly order the sub-regions to exclude part of the image while focusing on other areas. In the first set, a Rectangle with an Add Operation is configured, and then a Circle, with a Subtract Operation, is set in the middle. Then a smaller Rectangle, with an Add Operation, is configured in the middle of the Circle. The Circle excludes part of the image, while the smaller Rectangle adds part of the image area back to the image analysis. In the second set, the smaller Rectangle is added before the Circle, and the Circle masks the smaller Rectangle, excluding it from the image analysis.

Closed Shape

Displays the shape of selected sub-region (Rectangle, Circle, Annulus or Polygon). To change the shape, select the desired region type from the drop-down menu.

Closed Operation

Defines the selected sub-region's action within the region: Add or Subtract. Add indicates that the sub-region will be included in the image analysis while Subtract indicates that the sub-region will be excluded from the image analysis (also known as "masking").

Closed Rectangle

Inserts a rectangle sub-region into the composite region. Configure the shape and size of the region as needed.

Closed Annulus

Inserts an annulus sub-region into the composite region. Configure the shape and size of the region as needed.

Closed Circle

Inserts a circle sub-region into the composite region. Configure the shape and size of the region as needed.

Closed Polygon

Inserts a polygon sub-region into the composite region. Configure the shape and size of the region as needed.


PatMax RedLine Pattern, PatMax Pattern, PatMax RedLine Patterns (1-10) and PatMax Patterns (1-10) Location Tools - Trained Image Tab

The image displayed in the Trained Image tab is a thumb-nail of the Model pattern. Press the Model Region button to re-size or move the Model region, and then press the Train button to re-train the Model pattern.


PatMax RedLine Patterns (1-10) and PatMax Patterns (1-10) Location Tools - Table Tab

The table created in the Table tab publishes the results of the found patterns:

Closed Index

Refers to the order of the found patterns; 1 to 10 (numerical ordering in EasyBuilder is based on 0=1).

Closed X

References the center of the found pattern’s X coordinate. If a Horizontal Offset was applied, the X coordinate will be adjusted by the amount specified.

Closed Y

References the center of the found pattern’s Y coordinate. If a Vertical Offset was applied, the Y coordinate will be adjusted by the amount specified.

Closed Angle

References the angle of the found pattern, relative to the Model pattern.

Closed Score

References how well the found pattern resembles the Model pattern.

Closed Scale

References the scale of the found pattern.


Location Tools - Pattern and Patterns (1-10)

The Pattern Location Tool and the Patterns (1-10) Location Tool are used to locate the position of pattern features, based upon a trained representation of that pattern (called a Model). The Pattern tool is used to locate a single pattern, while the Patterns (1-10) tool is used to locate up to 10 patterns.

The Pattern Location Tool and the Patterns (1-10) Location Tool are useful in applications that require accurate positioning, such as vision guided robotic applications. This tool is also very useful as fixtures for other vision tools, orienting their search within the image.

Tip:
  • For more information on how to select a location pattern feature, refer to Selecting a Pattern Feature.
  • For more information on location pattern tools, refer to PatMax RedLine Patterns, PatMax Patterns and Patterns.

The tool reports the following results:

In-Sight Models | Results
In-Sight 2000-110 and 2000-120/120C Vision Sensors | Pass/Fail status only
In-Sight 2000-130/130C Vision Sensor | Pass/Fail status and Pattern Score
In-Sight Vision Systems (All Models) and In-Sight 2000 Series 23X Vision Sensors (23M, 230) | X/Y coordinates*, angular orientation, score and pass/fail status
* The tool returns the results in pixels, unless the image was calibrated to real-world units (In-Sight vision systems) or Field of View (Width) was set to real-world units (In-Sight 2000 series vision sensors) in the Set Up Image application step.

Setting Up the Tools

Adjusting Tools Parameters


Setting Up the Pattern and Patterns (1-10) Location Tools

Once the tool has been added, you will need to configure the regions in the image that will define your pattern (the Model region), and where in the image the pattern will be found (the Search region).

  1. Position the Model region over the pattern that will be used as the training model; make sure that the Model region only covers the important features of the pattern.

  2. Position the Search region so that it covers the areas within the image where you expect the pattern to appear. To help the performance of the tool, create smaller Search regions; the larger the Search region, the longer it will take the tool to perform its inspection.

    Note: The Model and Search regions cannot be bent into an arc or annular shape.

  3. Press the OK button to confirm the regions (press the Cancel button to not add the tool to the job).

  4. The Model region will be replaced by the [image] icon, indicating the location and angular orientation of the found pattern.
  5. With the tool initially configured, load several images and adjust the tool's parameters, as needed, to compensate for your expected ranges of variations.
  6. Finally, if desired, use the tool's Input/Output properties to share tool data between other tools and/or other external devices.


Adjusting the Pattern and Patterns (1-10) Location Tools Parameters

After the tool’s region has been positioned, you can optimize the tool for your application.

In-Sight 2000 Series Vision Sensors

Pattern Tool

  • Edit Tool Group Box

Pattern (1-10) Tool

  • General Tab
  • Settings Tab
  • Trained Image Tab
  • Table Tab

In-Sight Vision Systems

The settings panes of the Pattern and Patterns (1-10) Location Tools consist of the following tabs:

  • General Tab
  • Settings Tab
  • Trained Image Tab
  • Table Tab
Note: The Table tab is only enabled for the- Patterns (1-10) Location Tool.
Tip: Test your job, using TestRun. TestRun performs tests on the In-Sight vision system and compares the results of those tests against expected values. This will allow you to see whether or not the job is behaving as expected, or if you will need to adjust certain parameters for allowable variances.

In-Sight 2000 Series Vision Sensors

In-Sight Vision Systems

Copyright © 2008 - 2019 | Cognex Corporation | All Rights Reserved.

EasyBuilder Help | 2019 October 02 | Revision: 5.8.0.1


Adjusting the Pattern Location Tool Parameters

Note:
  • This topic describes the Pattern Location Tool user interface when connected to an In-Sight 2000 series vision sensor. If connected to In-Sight vision systems or using the Patterns (1-10) Location Tool, refer to the In-Sight Vision Systems section of Adjusting the Pattern and Patterns (1-10) Location Tools Parameters.
  • When attempting to load a job containing this tool configured on the In-Sight firmware 5.7.0 or later to an In-Sight vision system running firmware version 5.6.x or earlier, an error message will display and the job load will fail.

After the tool’s region has been positioned, you can optimize the tool for your application.

Closed Pass/Fail Indicator

Displays a green circle [image] or a red rectangle [image] to indicate success and failure, respectively.

Closed Rotation Tolerance

Defines how far the found pattern can be rotated from the position of the trained Model and still be recognized as a valid pattern (± 0 to 180, default = ±45°). Allowing for a greater range of rotational variance of the pattern will increase the tool's execution time. The left handle sets the negative rotation tolerance and the right handle sets the positive rotation tolerance. You can adjust the Rotation Tolerance by adjusting the handles or by entering values in the corresponding edit boxes.

Tip: You can also move the handle by using ARROW keys (UP, DOWN, RIGHT and LEFT).
Closed Part Finding Meter

The Part Finding Meter shows how well the tool found the feature, and sets the minimum Accept Threshold. You can manually set the minimum accept Threshold value (0-100; default = 50) by adjusting the handle or by entering a value in the corresponding edit box.

Tip: You can also move the handle by using ARROW keys (UP, DOWN, RIGHT and LEFT).

If the meter is above the threshold, the tool will consider this part to be found and the meter turns green. If it is below the threshold, it will consider the part not to be found and the meter disappears. If the tool is detecting things that aren't parts, or if it is detecting the wrong feature, move the handle to the right. If the tool is failing to detect some parts, move the handle to the left (or create a new Model Region).Lower settings allow for a higher likelihood of less accurate results, such as detection of patterns that are similar to, but not, the Model pattern.

PASS
FAIL
Note: The Result and Threshold values are displayed when hovering over the slider control.
Closed ±10% Scale Tolerance

Defines whether or not the tool allows ±10% size variation between the found pattern and the Model pattern.

Trained Pattern | Found Pattern: +10% | Found Pattern: -10%
OFF (default) | (Fail) | (Fail)
ON | (Pass) | (Pass)
Closed Use Manual Timeout

Defines whether or not the timeout setting is applied.

  • Off (default): The timeout setting is disabled (no timeout).

  • On: The timeout setting is enabled. You can manually define the timeout value in milliseconds (0 to 30000), using the edit box.

    Note: Setting the value to 0 will disable the setting and a timeout will not be applied.
Closed Execution Time (ms)

Displays the amount of time, in milliseconds, that the tool took to perform its inspection. This time may vary, depending upon the complexity of the scene in the image, as well as the position of the feature within the image, and the amount of variance allowed in the parameters.

Closed Name

Defines the name of your inspection tool. The default name is “Pattern_1” (if it is the first Pattern tool added to the job, otherwise it will be incremented, e.g. “Pattern_2”, “Pattern_3”, etc.).

Closed Tool Image

Defines which image the tool will utilize to perform its inspection; the unfiltered, acquired image (the default setting), or the output image of an Image Filter Tool. This control is only enabled if an Image Filter Tool has been added.

Closed Include in Job Pass

Defines whether or not the tool's pass/failure status should be included in the job's overall pass/fail status; by default, it is checked and will be included in the job's overall pass/fail status. Uncheck the check box to keep the tool's pass/failure status separate from the other tools in the job. This control should be unchecked if a tool is expected to fail; for example, if two PatMax Patterns Identification Tools were being used to determine whether or not the part was a right-hand or left-hand part, one of the tools would be expected to fail every time. This situation would result in the job failing every time, regardless of which side of the part was identified, were the checkbox checked.

Closed Enabled

Defines when and whether or not the inspection tool should run (default setting is “On”).

  • Select “Off” if you want to disable the tool.
  • Select an Input line if you want the tool tied to a specific discrete input line, where it can be turned On or Off (a High signal, 1, is On, a Low signal, 0, is Off). Connecting the tool to an input allows a control system, such as a PLC, to determine which tools should run, and when.
Closed Fixture

Selects a fixture for the tool. The Fixture button turns orange when the fixture control is enabled.

Note: This control can only be enabled if another tool that defines a fixture has already been added.
Closed Train Input

Defines whether or not to train a Model pattern over an input line (default setting is "Off", disabled).

  • Input: Trains a Model pattern over an input line. The selected input line will be used as a train signal.

    Note:
    • This option will not be displayed when the In-Sight vision system does not have discrete inputs (e.g. In-Sight 8000 series vision system using Direct I/O).
    • The selected Input line's Signal Type must be set to Event Trigger in the Inputs/Outputs application step.
    • Training of a Model pattern will use the most recent image acquired by the vision system/sensor. It is not necessary to re-trigger the vision system/sensor in order to train.
    • For more information, refer to Inputs: Training a Model Pattern over an Input Line
Closed Description

A comment that describes the purpose of the tool (by default, the field is blank). Up to 255 alpha-numeric characters or 127 Asian language characters may be used.

Closed Model Region

The image is a thumb-nail of the Model pattern. Press the Model Region button to re-size or move the Model region, and then press the Train button to re-train the Model pattern.


Pattern and Patterns (1-10) Location Tool - General Tab

Closed Tool Name

Defines the name of your inspection tool, which will be utilized in configuring the results (Inputs/Outputs and Communication); the default name is “Pattern_1” (if it is the first Pattern tool added to the job, otherwise it will be incremented, e.g. “Pattern_2”, “Pattern_3”, etc.). Customize your tool by giving it a name that is associated with your particular application.

Closed Tool Image

Defines which image the tool will utilize to perform its inspection; the unfiltered, acquired image (the default setting), or the output image of an Image Filter Tool. This control is only enabled if an Image Filter Tool has been added.

Closed Tool Fixture

Defines a fixture for the tool. This control is only enabled if another tool that defines a fixture has already been added.

Closed Tool Enabled

Defines when and whether or not the inspection tool should run (default setting is “On”). Select “Off” if you want to disable the tool; select "Expression" if you want to tie the tool's execution to the result of an Expression (this control is only enabled for tool's that provide an Expression parameter); or select an “Input” if you want the tool tied to a specific discrete input line, where it can be turned On or Off (a High signal, 1, is On, a Low signal, 0, is Off). Tying the tool to an input allows a control system, such as a PLC, to determine which tools should run.

Closed Include in Job Pass

Defines whether or not the tool's pass/failure status should be included in the job's overall pass/fail status; by default, it is checked and will be included in the job's overall pass/fail status. Uncheck the check box to keep the tool's pass/failure status separate from the other tools in the job. This control should be unchecked if a tool is expected to fail; for example, if two PatMax Patterns Identification Tools were being used to determine whether or not the part was a right-hand or left-hand part, one of the tools would be expected to fail every time. This situation would result in the job failing every time, regardless of which side of the part was identified, were the checkbox checked.

Closed Execution Time (ms)

Displays the amount of time, in milliseconds, that the tool took to perform its inspection. This time may vary, depending upon the complexity of the scene in the image, as well as the position of the feature within the image, and the amount of variance allowed in the parameters.

Closed Description

A comment that describes the purpose of the tool (by default, the field is blank). Up to 255 alpha-numeric characters or 127 Asian language characters may be used.


Pattern and Patterns (1-10) Location Tool - Settings Tab

Closed Train Input

Defines whether or not to train a Model pattern over an input line (default setting is "Off", disabled).

  • Input: Trains a Model pattern over an input line. The selected input line will be used as a train signal.

    Note:
    • This option will not be displayed when the In-Sight vision system does not have discrete inputs (e.g. In-Sight 8000 series vision system using Direct I/O).
    • The selected Input line's Signal Type must be set to Event Trigger in the Inputs/Outputs application step.
    • Training of a Model pattern will use the most recent image acquired by the vision system/sensor. It is not necessary to re-trigger the vision system/sensor in order to train.
    • For more information, refer to Inputs: Training a Model Pattern over an Input Line
Closed Number to Find

Defines the number of instances of the Model pattern to detect (1-10; default = 1). Most applications only require a single fixture, however, multiple instances of the Model pattern can be located, which is useful in applications where there is more than one part or object in the image. The more trained instances the tool is asked to identify, the longer the tool’s execution time.

Closed Accept Threshold

Defines the degree of similarity that must exist between the Model pattern and the found pattern (0-100; default = 50). Found patterns above, or the equivalent of, the setting are considered a match. This tool executes faster with a higher setting, which also requires a greater degree of similarity between the Model and the found pattern. Lower settings allow for a higher likelihood of less accurate results, such as detection of patterns that are similar to, but not, the Model pattern.

Closed Rotation Tolerance

Defines how far the found pattern can be rotated from the position of the Model pattern and still be recognized as a valid pattern (± 0-180°; default =15°).Allowing for a greater range of rotational variance of the pattern will increase the tool's execution time.

Closed Scale Tolerance

Defines the allowable percentage of scaling (size variations within ±10%) between the found pattern and the Model pattern. By default, this setting is off (unchecked), which disables scale adjustments. In this mode of operation, the tool will still find patterns that are within ±10% range, but the score of the feature will decrease as the scale percentage increases.

Closed Sort By

Defines how found patterns are sorted, Score (the default), X or Y.When Score is selected, the found patterns are sorted based upon their score, with the pattern receiving the highest score listed first, with subsequent patterns in descending order. When X is selected, the found patterns are sorted based on their distance from the X-axis, from closest to furthest, in descending order. When Y is selected, the found patterns are sorted based on their distance from the Y-axis, from closest to furthest, in descending order.

Closed Horizontal Offset

Defines a horizontal offset position (measured in pixels) from the found pattern's center, relative to the trained Model pattern. This allows you to assign coordinates away from the center of the Model pattern, which is useful for defining a pick point in vision guided robotics applications.

Closed Vertical Offset

Defines a vertical offset position (measured in pixels) from the found pattern's center, relative to the trained Model pattern. This allows you to assign coordinates away from the center of the Model pattern, which is useful for defining a pick point in vision guided robotics applications.

Closed Model Type

Defines how the tool constructs the Model pattern; Area Model or Edge Model (the default). Area Model creates the Model pattern based on a uniform sampling of the grayscale values in the Model region. Edge Model creates the Model pattern based on the detected edges (light/dark transitions) of the pattern feature within the Model region.

Closed Accuracy

Defines how the tool will qualify the tradeoff between accuracy/reliability versus execution speed; Accurate, Medium (the default) and Fast. Accurate specifies a focus on higher accuracy/reliability, and slower execution speed, Fast specifies a lower focus on accuracy/reliability, and faster execution speed, while Medium specifies a middle stance between the two.

Closed Timeout

Defines the amount of time, in milliseconds (0 to 30,000), that the tool will search for pattern(s) before execution is stopped and the tool returns a Fail.

Closed Result

Displays the X,Y coordinates of the found pattern's center and its angular orientation, as well as its comparative score to the Model pattern. If a Horizontal and/or Vertical Offset were applied, the X,Y coordinates will be adjusted by the amount specified in the offset fields.

Note: If the Number to Find parameter is set above 1, the Result displayed will always be the found pattern with the highest score unless the Sort By parameter has been set to X or Y.
Note: The Pattern Location Tool does not contain the Number to Find or the Sort By parameters.


Patterns (1-10) Location Tool - Table Tab

The table created in the Table tab publishes the results of the found patterns:

Closed Index

Refers to the order of the found patterns; 1 to 10 (numerical ordering in EasyBuilder is based on 0=1).

Closed X

References the center of the found pattern’s X coordinate. If a Horizontal Offset was applied, the X coordinate will be adjusted by the amount specified.

Closed Y

References the center of the found pattern’s Y coordinate. If a Vertical Offset was applied, the Y coordinate will be adjusted by the amount specified.

Closed Angle

References the angle of the found pattern, relative to the Model pattern.

Closed Score

References how well the found pattern resembles the Model pattern.

Closed Scale

References the scale of the found pattern.


Pattern and Patterns (1-10) Location Tool - Trained Image Tab

The image displayed in the Trained Image tab is a thumb-nail of the Model pattern. Press the Model Region button to re-size or move the Model region, and then press the Train button to re-train the Model pattern.


Location Tools - Edge

The Edge Location Tool is used to locate linear edge features that fall within the specified parameters.

The Edge Location Tool is one of the faster tools, with the ability to recognize edges features much quicker than a Pattern Location Tool. This tool is also useful as a fixture for other vision tools when the edge feature has high contrast, travels in only one direction (horizontal or vertical) and does not experience rotation beyond 10°.

The tool reports the following results:

In-Sight Models | Results
In-Sight 2000 Series 1XX Vision Sensors (110, 120, 130) | Pass/Fail status only
In-Sight Vision Systems (All Models) and In-Sight 2000 Series 23X Vision Sensors (23M, 230) | X, Y coordinates of the mid-point of the found edge*, angular orientation and pass/fail status.
* The tool returns the results in pixels, unless the image was calibrated to real-world units (In-Sight vision systems) or Field of View (Width) was set to real-world units (In-Sight 2000 series vision sensors) in the Set Up Image application step.

Setting Up the Tool

Adjusting the Tool Parameters


Setting Up the Edge Location Tool

Once the tool has been added, you will need to define the edge feature that will be used as the fixture:

  1. After adding the tool, EasyBuilder will examine your image and give you a selection of Smart Features that it has automatically detected (highlighted in cyan), as well as any features that you have previously defined with another tool (highlighted in green).
  2. Select an edge from the available features by clicking on it, at which point its color will change to magenta.

  3. Confirm the selection by pressing the OK button (press the Cancel button to not add the tool to the job). EasyBuilder will automatically create an edge region around the selected edge feature and insert a [image] icon, indicating the location and orientation of the found edge.

    Note: If necessary, the region around the detected edge may be rotated or re-sized.
  4. With the tool initially configured, load several images and adjust the tool's parameters, as needed, to compensate for your expected ranges of variations.
  5. Finally, if desired, use the tool's Input/Output properties to share tool data between other tools and/or other external devices.


Adjusting the Edge Location Tool Parameters

After the tool’s region has been positioned, you can optimize the tool for your application.

The settings pane of the Edge Location Tool consists of the following:

  • General Tab
  • Settings Tab
  • Graph
Tip: Test your job, using TestRun. TestRun performs tests on the In-Sight vision system and compares the results of those tests against expected values. This will allow you to see whether or not the job is behaving as expected, or if you will need to adjust certain parameters for allowable variances.

General Tab

Settings Tab

Graph


Edge Location Tool - General Tab

Closed Tool Name

Defines the name of your inspection tool, which will be utilized in configuring the results Inputs/Outputs and Communication); the default name is “Edge_1” (if it is the first Edge tool added to the job, otherwise it will be incremented, e.g. “Edge_2”, “Edge_3”, etc.). Customize your tool by giving it a name that is associated with your particular application.

Closed Tool Image

Defines which image the tool will utilize to perform its inspection; the unfiltered, acquired image (the default setting), or the output image of an Image Filter Tool. This control is only enabled if an Image Filter Tool has been added.

Closed Tool Fixture

Defines a fixture for the tool. This control is only enabled if another tool that defines a fixture has already been added.

Closed Tool Enabled

Defines when and whether or not the inspection tool should run (default setting is “On”). Select “Off” if you want to disable the tool; select "Expression" if you want to tie the tool's execution to the result of an Expression (this control is only enabled for tool's that provide an Expression parameter); or select an “Input” if you want the tool tied to a specific discrete input line, where it can be turned On or Off (a High signal, 1, is On, a Low signal, 0, is Off). Tying the tool to an input allows a control system, such as a PLC, to determine which tools should run.

Closed Include in Job Pass

Defines whether or not the tool's pass/failure status should be included in the job's overall pass/fail status; by default, it is checked and will be included in the job's overall pass/fail status. Uncheck the check box to keep the tool's pass/failure status separate from the other tools in the job. This control should be unchecked if a tool is expected to fail; for example, if two PatMax Patterns Identification Tools were being used to determine whether or not the part was a right-hand or left-hand part, one of the tools would be expected to fail every time. This situation would result in the job failing every time, regardless of which side of the part was identified, were the checkbox checked.

Closed Execution Time (ms)

Displays the amount of time, in milliseconds, that the tool took to perform its inspection. This time may vary, depending upon the complexity of the scene in the image, as well as the position of the feature within the image, and the amount of variance allowed in the parameters.

Closed Description

A comment that describes the purpose of the tool (by default, the field is blank). Up to 255 alpha-numeric characters or 127 Asian language characters may be used.


Edge Location Tool - Settings Tab

Closed Edge Contrast

Defines the minimum acceptable edge contrast score for the found edge (1-100; default = a "Smart Setting" that is automatically decremented until an edge is detected). This setting determines the tool’s edge detection sensitivity - its ability to discriminate between the feature and the background; use this setting in conjunction with the tool’s Graph to set an acceptable range.

Note: If this parameter is set to 0, the tool may find unexpected edges.
Closed Normalize Score

Defines whether the edge scores will be normalized by the greyscale histogram of the Region.This parameter is useful for finding edges in a low contrast region. If the edges to be detected are expected to be only high contrast, disable this parameter.

  • Checked (default): Normalize the score.
  • Unchecked: Do not normalize the score.
Closed Edge Transition

Defines the transition of the edge (Dark to Light, Light to Dark or Both; default = Both). The scan direction arrows on the region indicate the direction that EasyBuilder will scan for the edge; for increased accuracy and speed, specify the type of transition.

Closed Edge Width

Defines the pixel distance (1 - 50; default = 3) over which an edge transition takes place. This setting helps filter noise from the image.

Closed Find By

Defines how the tool discriminates between found edges, if there are multiple edges present (default = Best Score).

  • Best Score = The edge feature with the best defined edge (highest contrast).
  • First Edge = The edge feature closest to the start of the region’s scan direction.
  • Last Edge = The edge feature furthest away from the start of the region’s scan direction.
Closed Angle Range

Defines the maximum amount of angular translation that the found edge can experience (0-10°; default = 10°). The higher the allowable angle variance, the longer the tool will take to execute.

Closed Result

Displays the X/Y coordinates of the mid-point of the found edge, and the angular orientation of the found edge.


Edge Location Tool - Graph

The Graph is a representation of the first derivative of the grayscale values contained in the region; peaks and valleys represent the major edge transitions.

For the tools that detect edges (Edge and Circle tools), the Score axis is a measure of how closely the found edge matches the defined parameters:

  • A positive score indicates that the edge transitions from dark to light;
  • A negative score indicates that the edge transitions from light to dark;
  • A score of 0 indicates that no edge was detected.

The Offset axis refers to the region defining the edge feature, with 0 representing the beginning boundary of the region, and the other value representing the maximum width (in pixels) of the region. The apex of the peaks or valleys along the Offset axis indicates the position of the found edge.

Note: The graph will be displayed regardless of the Online/Offline status and the pass/fail state of the tool. However, if the tool is failing, the graph may not update.


Location Tools - Edge Intersection

The Edge Intersection Location Tool is used to identify the point where two edge features intersect.

The tool reports the following results:

In-Sight Models | Results
In-Sight 2000 Series 1XX Vision Sensors (110, 120, 130) | Pass/Fail status only
In-Sight Vision Systems (All Models) and In-Sight 2000 Series 23X Vision Sensors (23M, 230) | X,Y coordinates of the intersection point*, the bisection angle between the two edges and pass/fail status.
* The tool returns the results in pixels, unless the image was calibrated to real-world units (In-Sight vision systems) or Field of View (Width) was set to real-world units (In-Sight 2000 series vision sensors) in the Set Up Image application step.

Setting Up the Tool

Adjusting Tool Parameters


Setting Up the Edge Intersection Location Tool

Once the tool has been added, you will need to define the edge features that will intersect:

  1. After adding the tool, EasyBuilder will examine your image and give you a selection of Smart Features that it has automatically detected (highlighted in cyan), as well as any features that you have previously defined with another tool (highlighted in green).
  2. First select one feature from the available features by clicking on it, at which point its color will change to magenta and a line will extend out from that feature.
  3. Next, select the edge feature that will intersect.
  4. After the second feature has been selected, EasyBuilder will automatically determine the intersection point of the lines, and insert a [image] icon, indicating the location and orientation of the found point. EasyBuilder will also automatically insert an Edge Presence/Absence tool for any edge features that were not previously defined.
  5. With the tool initially configured, load several images and adjust the tool's parameters, as needed, to compensate for your expected ranges of variations.
  6. Finally, if desired, use the tool's Input/Output properties to share tool data between other tools and/or other external devices.


Adjusting the Edge Intersection Location Tool Parameters

After the tool’s inputs have been set and accepted, you can begin customizing and fine-tuning the tool for your application.

The settings pane of the Edge Intersection Location Tool consists of the following:

Closed General Tab
Closed Tool Name

Defines the name of your inspection tool, which will be utilized in configuring the results (Inputs, Outputs and Communication); the default name is “Intersect_1” (if it is the first Edge Intersection Location Tool or Circle-Line or Line Intersection Geometry Tool added to the job, otherwise it will be incremented, e.g. “Intersect_2”, “Intersect_3”, etc.). Customize your tool by giving it a name that is associated with your particular application.

Closed Tool Image

Defines which image the tool will utilize to perform its inspection; the unfiltered, acquired image (the default setting), or the output image of an Image Filter Tool. This control is only enabled if an Image Filter Tool has been added.

Closed Tool Enabled

Defines when and whether or not the inspection tool should run (default setting is “On”). Select “Off” if you want to disable the tool; select "Expression" if you want to tie the tool's execution to the result of an Expression (this control is only enabled for tool's that provide an Expression parameter); or select an “Input” if you want the tool tied to a specific discrete input line, where it can be turned On or Off (a High signal, 1, is On, a Low signal, 0, is Off). Tying the tool to an input allows a control system, such as a PLC, to determine which tools should run.

Closed Include in Job Pass

Defines whether or not the tool's pass/failure status should be included in the job's overall pass/fail status; by default, it is checked and will be included in the job's overall pass/fail status. Uncheck the check box to keep the tool's pass/failure status separate from the other tools in the job. This control should be unchecked if a tool is expected to fail; for example, if two PatMax Patterns Identification Tools were being used to determine whether or not the part was a right-hand or left-hand part, one of the tools would be expected to fail every time. This situation would result in the job failing every time, regardless of which side of the part was identified, were the checkbox checked.

Closed Execution Time (ms)

Displays the amount of time, in milliseconds, that the tool took to perform its inspection. This time may vary, depending upon the complexity of the scene in the image, as well as the position of the feature within the image, and the amount of variance allowed in the parameters.

Closed Description

A comment that describes the purpose of the tool (by default, the field is blank). Up to 255 alpha-numeric characters or 127 Asian language characters may be used.

Tip: Test your job, using TestRun. TestRun performs tests on the In-Sight vision system and compares the results of those tests against expected values. This will allow you to see whether or not the job is behaving as expected, or if you will need to adjust certain parameters for allowable variances.


Location Tools - Blob and Blobs (1-10)

The Blob Location Tool and the Blobs (1-10) Location Tool locate blob features that fall within the specified parameters. The tool reports the X,Y coordinates of the centroid of the found blob, as well as the angle of the blob’s centroid. The Blob tool is used to locate a single blob, while the Blobs (1-10) tool is used to locate up to 10 blobs matching the inspection criteria.

Note: The tool returns the results in pixels, unless the image was calibrated to real-world units (In-Sight vision systems) or Field of View (Width) was set to real-world units (In-Sight 2000 series vision sensors) in the Set Up Image application step.

The Blob and Blobs (1-10) Location Tool's performance is in between that of the Edge/Circle tools and the Patterns tools, with the ability to locate blob features quicker than a Patterns Location Tool, but generally requiring more time to execute than the Edge or Circle tools. For example, these tools are useful as fixtures for other vision tools when you are attempting to anchor your inspection to an unclassifiable shape, such as a splotch of black paint on a white background, or the shape changes beyond the limits of the Patterns tools.

Setting Up the Tools

Adjusting the Tools Parameters


Setting Up the Blob and Blobs (1-10) Location Tools

After selecting the tool, you will need to choose the type of region and then configure it in the image where you expect to detect the blob feature(s):

  1. From the Region Type drop-down menu, select the type of region: Rectangle (default), Circle, Annulus or Polygon. Position and configure the region where you expect the blob(s) to appear. To help the performance of the tool, create smaller regions; larger regions take longer to inspect. When selecting a blob as a fixture, choose a blob that is present in roughly the same location in every image.

    Note: After adding the tool, you can change the type of region by right-clicking the region in the image and selecting the desired shape from the Change Region to option.
  2. Press the OK button to confirm the region (press the Cancel button to not add the tool to the job).
  3. The tool will then insert a [image] icon over the centroid of the found blob, indicating the location and orientation of the found feature.
  4. With the tool initially configured, load several images and adjust the tool's parameters, as needed, to compensate for your expected ranges of variations.
  5. Finally, if desired, use the tool's Input/Output properties to share tool data between other tools and/or other external devices.


Adjusting the Blob and Blobs (1-10) Location Tools Parameters

After the tool’s region has been positioned, you can optimize the tool for your application.

The settings panes of the Blob Location Tool and Blobs (1-10) Location Tool consist of the following tabs:

  • General Tab
  • Settings Tab
  • Table Tab
  • Histogram Tab
  • Composite Region Tab
Note: The Table tab is only available for the Blobs (1-10) Location Tool.
Tip: Test your job, using TestRun. TestRun performs tests on the In-Sight vision system and compares the results of those tests against expected values. This will allow you to see whether or not the job is behaving as expected, or if you will need to adjust certain parameters for allowable variances.

General Tab

Settings Tab

Table

Composite Region Tab

Histogram


Blob and Blobs (1-10) Location Tool - General Tab

Closed Tool Name

Defines the name of your inspection tool, which will be utilized in configuring the results Inputs/Outputs and Communication); the default name is “Blob_1” (if it is the first Blob tool added to the job, otherwise it will be incremented, e.g. “Blob_2”, “Blob_3”, etc.). Customize your tool by giving it a name that is associated with your particular application.

Closed Tool Image

Defines which image the tool will utilize to perform its inspection; the unfiltered, acquired image (the default setting), or the output image of an Image Filter Tool. This control is only enabled if an Image Filter Tool has been added.

Closed Tool Fixture

Defines a fixture for the tool. This control is only enabled if another tool that defines a fixture has already been added.

Closed Tool Enabled

Defines when and whether or not the inspection tool should run (default setting is “On”). Select “Off” if you want to disable the tool; select "Expression" if you want to tie the tool's execution to the result of an Expression (this control is only enabled for tool's that provide an Expression parameter); or select an “Input” if you want the tool tied to a specific discrete input line, where it can be turned On or Off (a High signal, 1, is On, a Low signal, 0, is Off). Tying the tool to an input allows a control system, such as a PLC, to determine which tools should run.

Closed Include in Job Pass

Defines whether or not the tool's pass/failure status should be included in the job's overall pass/fail status; by default, it is checked and will be included in the job's overall pass/fail status. Uncheck the check box to keep the tool's pass/failure status separate from the other tools in the job. This control should be unchecked if a tool is expected to fail; for example, if two PatMax Patterns Identification Tools were being used to determine whether or not the part was a right-hand or left-hand part, one of the tools would be expected to fail every time. This situation would result in the job failing every time, regardless of which side of the part was identified, were the checkbox checked.

Closed Execution Time (ms)

Displays the amount of time, in milliseconds, that the tool took to perform its inspection. This time may vary, depending upon the complexity of the scene in the image, as well as the position of the feature within the image, and the amount of variance allowed in the parameters.

Closed Description

A comment that describes the purpose of the tool (by default, the field is blank). Up to 255 alpha-numeric characters or 127 Asian language characters may be used.


Blob and Blobs (1-10) Location Tool - Settings Tab

Closed Threshold Mode

Defines the mode for determining the grayscale value that is used to separate blobs from the background. When Auto is selected (default = Auto), each time an image is acquired, the tool adjusts for changes in brightness from image to image. When Manual is selected, you manually enter and adjust the value.

Closed Blob Threshold

Defines the grayscale value that is used to separate blobs from the background (0 - 255, when enabled). This control is Off by default, and requires that the Threshold Mode be set to Manual to be enabled. Use the Histogram to set an optimal value for your application.

Closed Blob Color

Defines the color of the blob (Black, White, or Either; default = Either).

  • Either = There is no blob color requirement.
  • Black = Only returns blobs that are below the Blob Threshold.
  • White = Only returns blobs that are above the Blob Threshold.
Closed Boundary

Defines one of two ways of managing blobs that intersect the blob's region boundary (default = Off, unchecked):

  • Unchecked – Does not include blobs that intersect the region boundary; i.e. the blob must be located entirely within the region to be detected.
  • Checked – Includes blobs that intersect the region boundary; i.e. blobs that intersect, as long as they match the other criteria, are detected.
Closed Minimum Area

Defines a maximum area restriction, in number of pixels (0 to 900000; default = 100000), for all detected blobs; only blobs whose area is less than the Maximum Area will be recognized.

Closed Maximum Area

Defines a maximum area restriction, in number of pixels (0 to 900000; default = 100000), for all detected blobs; only blobs whose area is less than the Maximum Area will be recognized.

Closed Ignore Angle

Defines whether or not to account for the angular orientation of the centroid of the blob (default = On, checked).

Note: Blobs generally provide limited angular orientation value, therefore this parameter is On by default.
Closed Number to Find

Defines the number of blobs that should be detected (1-10; default = 1). Most applications only require a single fixture, however, multiple blobs can be located, which is useful in applications where there is more than one part or object in the image. The more blobs the tool is asked to identify, the longer the tool’s execution time.

Closed Sort By

Defines how the tool will measure and sort the found blobs (Area, Row, Col, Grid: Row then Col from Fixture, Grid: Col then Row from Fixture, Distance from Fixture Origin, Angle (CCW) from Fixture Row Axis, Angular Distance; default = Area):

  • Area = Sorts by the areas of the found blobs, from largest to smallest.
  • Row = Sorts by distance along the row image-axis, from closest to furthest, in descending order.
  • Col = Sorts by distance along the column image-axis, from closest to furthest, in descending order.
  • Grid: Row then Col from Fixture = Sorts by distance along the Fixture's row image-axis first, and then by distance along the column image-axis, from closest to furthest, in descending order.
  • Grid: Col then Row from Fixture = Sorts by distance along the Fixture's column image-axis first, and then by distance along the row image-axis, from closest to furthest, in descending order.
  • Distance from Fixture Origin = Sorts by the distance from the Fixture origin to the blob's centroid, from closest to furthest, in descending order.
  • Angle (CCW) from Fixture Row Axis = Sorts by the angle (0 to 360°), as measured from the row image-axis of the Fixture to the line segment defined by the blob centroid and the Fixture origin, from closest to furthest, in descending order.
  • Angular Distance = Sorts by the absolute value of the angle (-180 to 180°), as measured from the row image-axis of the Fixture to a line segment defined by the blob centroid and the Fixture origin, from closest to furthest.
Closed Result

Displays the X,Y coordinates and angle (always reported as 90° unless the Ignore Angle checkbox is disabled) of the centroid of the found blob, as well as its score.

Note: If the Number to Find parameter is set above 1, the Result displayed will always be the found pattern with the highest score unless the Sort By parameter has been set to X or Y.
Note: The Blob Location Tool does not contain the Number to Find parameter.


Blobs (1-10) Location Tool - Table

Note:
  • The Blob Location Tool does not support the Table tab; it is only available for the Blobs (1-10) Location Tool.
  • When the Sort By parameter is set to any other option except Area, the Pixel Row and Pixel Col columns are added to the table. Pixel Row and Pixel Col refer to the image coordinates, which are based on the 2D grid of the In-Sight vision system's image sensor (rows and columns of the array), and are the opposite (Y/X) of real-world coordinates (X/Y).

  • If Classic Orientation is enabled (checked) in the Calibrate Image to Real World Units group box of the Set Up Image step, the X and Y coordinates will be in the same coordinate space as the image coordinates (Y/X).

The Table tab publishes the results of the found blobs, depending on the Number to Find parameter in the Settings tab:

Closed Index

Refers to the order of the found blobs, based on the Sort By parameter in the Settings tab; 1 to 10 (numerical ordering in EasyBuilder is based on 0=1).

Closed X

Returns the X coordinate of the found blob's centroid; the tool reports results in pixels, unless the image was calibrated to real-world units in Set Up Image.

Closed Y

Returns the Y coordinate of the found blob's centroid; the tool reports results in pixels, unless the image was calibrated to real-world units in Set Up Image.

Closed Angle

Returns the angle of the found blob's centroid, relative to the center of the region.

Closed Area

Returns the area of the found blob (measured in pixels).

Closed Pixel Row

Returns the image row (X) coordinate of the found blob's centroid.

Closed Pixel Column

Returns the image column (Y) coordinate of the found blob's centroid.


Blob and Blobs (1-10) Location Tools - Composite Region Tab

The Composite Region tab is used to configure a composite region, a collection of sub-regions (Rectangle, Annulus, Circle or Polygon) that either Add to the region (the region will be included in the image analysis) or Subtract from the region (the region will be excluded from the image analysis; also known as "masking").

Note:
  • A maximum of 32 sub-regions can be used to construct a composite region.
  • A right-click menu is available while interacting with the region in the image, which allows you to change a selected sub-region's shape, add or remove a sub-region, or change a selected sub-region's Operation (Add or Subtract).
Closed Composite Region Table

Displays the type of sub-region(s) that comprise the composite region, as well as its Operation (Add or Subtract). Select a sub-region to enable the Delete, Move Up or Move Down buttons. Pressing the Delete button removes the selected sub-region from the list; pressing the Move Up button moves the selected sub-region up in the list; and pressing the Move Down button moves the selected sub-region down in the list.

Note:

The composite region is built based upon its sequence of sub-regions within the list. By placing sub-regions, and their Add or Subtract Operation, in a specific order, parts of the image may be highlighted while ignoring other areas. The image below shows an example of how to correctly order the sub-regions to exclude part of the image while focusing on other areas. In the first set, a Rectangle with an Add Operation is configured, and then a Circle, with a Subtract Operation, is set in the middle. Then a smaller Rectangle, with an Add Operation, is configured in the middle of the Circle. The Circle excludes part of the image, while the smaller Rectangle adds part of the image area back to the image analysis. In the second set, the smaller Rectangle is added before the Circle, and the Circle masks the smaller Rectangle, excluding it from the image analysis.

Closed Shape

Displays the shape of selected sub-region (Rectangle, Circle, Annulus or Polygon). To change the shape, select the desired region type from the drop-down menu.

Closed Operation

Defines the selected sub-region's action within the region: Add or Subtract. Add indicates that the sub-region will be included in the image analysis while Subtract indicates that the sub-region will be excluded from the image analysis (also known as "masking").

Closed Rectangle

Inserts a rectangle sub-region into the composite region. Configure the shape and size of the region as needed.

Closed Annulus

Inserts an annulus sub-region into the composite region. Configure the shape and size of the region as needed.

Closed Circle

Inserts a circle sub-region into the composite region. Configure the shape and size of the region as needed.

Closed Polygon

Inserts a polygon sub-region into the composite region. Configure the shape and size of the region as needed.


Blob and Blobs (1-10) Location Tool - Histogram

The Histogram displays a graphic representation of the grayscale values of the pixels in the region.

  • The X-axis of the graph represents the total number of greyscale values (0 to 255, or 256 total shades of grey).
  • The Y-axis of the graph represents the number of pixels at a given greyscale value, and the scale is established by displaying the greyscale value with the greatest number of pixels.
  • The blue vertical line indicates the threshold that is being used to separate the region of the image into black and white pixels; values to the left of the line are considered black and values to the right are considered white.
Note: The graph will be displayed regardless of the Online/Offline status and the pass/fail state of the tool. However, if the tool is failing, the graph may not update.


Location Tools - Color Blob and Color Blobs (1-10)

The Color Blob andColor Blobs (1-10) Location Tools locate colored blob features that fall within their specified parameters. The tools report the X,Y coordinates of the centroid of the found blob, as well as the angle of the blob’s centroid. The Color Blob tool is used to locate a single blob, while the Color Blobs (1-10) tool is used to locate up to 10 blobs matching the inspection criteria.

Note: The tool returns the results in pixels, unless the image was calibrated to real-world units (In-Sight vision systems) or Field of View (Width) was set to real-world units (In-Sight 2000 series vision sensors) in the Set Up Image application step.

The Color Blob and Color Blobs (1-10) tools reference a trained library of Color Models, and then determine the number of pixels present in the region that match the selected and trained Color Models in the trained library. The tool then creates a binary greyscale output image, where every pixel that matches an active Color Model is set to White (255), while all other pixels are set to Black (0). Using this binary output image, the tool then searches the image for the blob features created by the active Color Model(s).

Setting Up the Tools

Adjusting the Tools Parameters


Setting Up the Color Blob and Color Blobs (1-10) Location Tools

After selecting the tool, you will need to choose the type of region and then configure it in the image where you expect to detect the blob feature(s):

  1. From the Region Type drop-down menu, select the type of region: Rectangle (default), Circle, Annulus or Polygon. Position and configure the region where you expect the blob(s) to appear. To help the performance of the tool, create smaller regions; larger regions take longer to inspect. When selecting a blob as a fixture, choose a blob that is present in roughly the same location in every image.

    Note: After adding the tool, you can change the type of region by right-clicking the region in the image and selecting the desired shape from the Change Region to option.
  2. Press the OK button to confirm the region (press the Cancel button to not add the tool to the job).
  3. Once the search region has been configured, you will need to configure the tool's Color Library and activate the appropriate Color Model(s):

    • If this is the first time that a color tool (Color Blob and Color Blobs (1-10) Location Tools, Color Pixel Count and Color Blob Presence/Absence Tools, Color Blob Area and Color Blob Areas (1-10) Measurement Tools, Color Blobs Counting Tool, Color Model Identification Tool or Color to Binary Image Filter Tool) has been added, you will need to first define the Color Library(s) and its Color Model(s).

    • If another color tool has previously been added and you want to utilize an existing Color Library and its trained Color Models, go to the Settings tab and select your desired Color Library, and then activate your desired Color Models by checking them in the Library tab.

    • By default, the tool will automatically result in a Fail until a Color Library has been defined. If a Color Library has been defined, the tool will automatically use that library and activate all Color Models contained within.

  4. Once the Color Model(s) and Color Library(s) have been set, the tool will process the image and all pixels within the search region that match the selected Color Model(s) will be turned white (255), and those pixels not matching the selected Color Model(s) will be set to black (0).

  5. The tool will then insert a [image] icon over the centroid of the found blob, indicating the location and orientation of the found feature.

  6. With the tool initially configured, load several images and adjust the tool's parameters, as needed, to compensate for your expected ranges of variations.
  7. Finally, if desired, use the tool's Input/Output properties to share tool data between other tools and/or other external devices.


Adjusting the Color Blob and Color Blobs (1-10) Location Tools Parameters

After the tool’s region has been positioned, you can optimize the tool for your application.

The settings panes of the Color Blobs and Color Blobs (1-10) Location Tools consist of the following tabs:

  • General Tab
  • Settings Tab
  • Color Library Tab
  • Table Tab
  • Composite Region Tab
Note: The Table tab is only enabled for the Color Blobs (1-10) Location Tool.
Tip: Test your job, using TestRun. TestRun performs tests on the In-Sight vision system and compares the results of those tests against expected values. This will allow you to see whether or not the job is behaving as expected, or if you will need to adjust certain parameters for allowable variances.

General Tab

Settings Tab

Composite Region Tab

Table Tab

Library


Color Blobs Location Tool - General Tab

Closed Tool Name

Defines the name of your inspection tool, which will be utilized in configuring the results Inputs/Outputs and Communication); the default name is “ColorBlob_1” (if it is the first Color Blob tool added to the job, otherwise it will be incremented, e.g. “ColorBlob_2”, “ColorBlob_3”, etc.). Customize your tool by giving it a name that is associated with your particular application.

Closed Tool Fixture

Defines a fixture for the tool. This control is only enabled if another tool that defines a fixture has already been added.

Closed Tool Enabled

Defines when and whether or not the inspection tool should run (default setting is “On”). Select “Off” if you want to disable the tool; select "Expression" if you want to tie the tool's execution to the result of an Expression (this control is only enabled for tool's that provide an Expression parameter); or select an “Input” if you want the tool tied to a specific discrete input line, where it can be turned On or Off (a High signal, 1, is On, a Low signal, 0, is Off). Tying the tool to an input allows a control system, such as a PLC, to determine which tools should run.

Closed Include in Job Pass

Defines whether or not the tool's pass/failure status should be included in the job's overall pass/fail status; by default, it is checked and will be included in the job's overall pass/fail status. Uncheck the check box to keep the tool's pass/failure status separate from the other tools in the job. This control should be unchecked if a tool is expected to fail; for example, if two PatMax Patterns Identification Tools were being used to determine whether or not the part was a right-hand or left-hand part, one of the tools would be expected to fail every time. This situation would result in the job failing every time, regardless of which side of the part was identified, were the checkbox checked.

Closed Execution Time (ms)

Displays the amount of time, in milliseconds, that the tool took to perform its inspection. This time may vary, depending upon the complexity of the scene in the image, as well as the position of the feature within the image, and the amount of variance allowed in the parameters.

Closed Description

A comment that describes the purpose of the tool (by default, the field is blank). Up to 255 alpha-numeric characters or 127 Asian language characters may be used.


Color Blob and Color Blobs (1-10) Location Tools - Settings Tab

Closed Train Color

Launches the ExtractColor Training dialog; used to define the selected Color Library's Color Model(s).

Closed Color Library

Defines the Color Library that will be referenced by the tool. From the drop-down list, select the Color Library that you want to modify and then press the Train Color button to launch the ExtractColor Training dialog. Each Color Library may contain up to 100 distinct Color Models, which are composed of individual Colors.

EasyBuilder jobs may contain a maximum of 5 Color Libraries, which may be shared among the following tools:

  • Color Blob Location Tool
  • Color Blobs (1-10) Location Tool
  • Color Pixel Count Presence/Absence Tool
  • Color Blob Area Measurement Tool
  • Color Blobs Areas (1-10) Measurement Tool
  • Color Blobs Counting Tool
  • Color Model Identification Tool
  • Color to Binary Image Filter Tool
Closed Minimum Area

Defines a minimum area restriction, in number of pixels (0 to 900000; default = 100), for all detected blobs; only blobs whose area is greater than the Minimum Area will be recognized.

Closed Maximum Area

Defines a maximum area restriction, in number of pixels (0 to 900000; default = 100000), for all detected blobs; only blobs whose area is less than the Maximum Area will be recognized.

Closed Ignore Angle

Defines whether or not to account for the angular orientation of the centroid of the blob (default = On, checked).

Note: Blobs generally provide limited angular orientation value, therefore this parameter is On by default.
Closed Number to Find

Defines the number of color blobs that should be detected (1-10; default = 1). Most applications only require a single fixture, however, multiple blobs can be located, which is useful in applications where there is more than one part or object in the image. The more blobs the tool is asked to identify, the longer the tool’s execution time.

Note: This control is only available for the Color Blobs (1-10) Location Tool.
Closed Sort By

Defines how the tool will measure and sort the found blobs (Area, Row, Col, Grid: Row then Col from Fixture, Grid: Col then Row from Fixture, Distance from Fixture Origin, Angle (CCW) from Fixture Row Axis, Angular Distance; default = Area):

  • Area = Sorts by the areas of the found blobs, from largest to smallest.
  • Row = Sorts by distance along the row image-axis, from closest to furthest, in descending order.
  • Col = Sorts by distance along the column image-axis, from closest to furthest, in descending order.
  • Grid: Row then Col from Fixture = Sorts by distance along the Fixture's row image-axis first, and then by distance along the column image-axis, from closest to furthest, in descending order.
  • Grid: Col then Row from Fixture = Sorts by distance along the Fixture's column image-axis first, and then by distance along the row image-axis, from closest to furthest, in descending order.
  • Distance from Fixture Origin = Sorts by the distance from the Fixture origin to the blob's centroid, from closest to furthest, in descending order.
  • Angle (CCW) from Fixture Row Axis = Sorts by the angle (0 to 360°), as measured from the row image-axis of the Fixture to the line segment defined by the blob centroid and the Fixture origin, from closest to furthest, in descending order.
  • Angular Distance = Sorts by the absolute value of the angle (-180 to 180°), as measured from the row image-axis of the Fixture to a line segment defined by the blob centroid and the Fixture origin, from closest to furthest.
Closed Result

Displays the X,Y coordinates and angle (always reported as 90° unless the Ignore Angle checkbox is disabled) of the centroid of the found blob, as well as its score.


Color Blob and Color Blobs (1-10) Location Tools - Composite Region Tab

The Composite Region tab is used to configure a composite region, a collection of sub-regions (Rectangle, Annulus, Circle or Polygon) that either Add to the region (the region will be included in the image analysis) or Subtract from the region (the region will be excluded from the image analysis; also known as "masking").

Note:
  • A maximum of 32 sub-regions can be used to construct a composite region.
  • A right-click menu is available while interacting with the region in the image, which allows you to change a selected sub-region's shape, add or remove a sub-region, or change a selected sub-region's Operation (Add or Subtract).
Closed Composite Region Table

Displays the type of sub-region(s) that comprise the composite region, as well as its Operation (Add or Subtract). Select a sub-region to enable the Delete, Move Up or Move Down buttons. Pressing the Delete button removes the selected sub-region from the list; pressing the Move Up button moves the selected sub-region up in the list; and pressing the Move Down button moves the selected sub-region down in the list.

Note:

The composite region is built based upon its sequence of sub-regions within the list. By placing sub-regions, and their Add or Subtract Operation, in a specific order, parts of the image may be highlighted while ignoring other areas. The image below shows an example of how to correctly order the sub-regions to exclude part of the image while focusing on other areas. In the first set, a Rectangle with an Add Operation is configured, and then a Circle, with a Subtract Operation, is set in the middle. Then a smaller Rectangle, with an Add Operation, is configured in the middle of the Circle. The Circle excludes part of the image, while the smaller Rectangle adds part of the image area back to the image analysis. In the second set, the smaller Rectangle is added before the Circle, and the Circle masks the smaller Rectangle, excluding it from the image analysis.

Closed Shape

Displays the shape of selected sub-region (Rectangle, Circle, Annulus or Polygon). To change the shape, select the desired region type from the drop-down menu.

Closed Operation

Defines the selected sub-region's action within the region: Add or Subtract. Add indicates that the sub-region will be included in the image analysis while Subtract indicates that the sub-region will be excluded from the image analysis (also known as "masking").

Closed Rectangle

Inserts a rectangle sub-region into the composite region. Configure the shape and size of the region as needed.

Closed Annulus

Inserts an annulus sub-region into the composite region. Configure the shape and size of the region as needed.

Closed Circle

Inserts a circle sub-region into the composite region. Configure the shape and size of the region as needed.

Closed Polygon

Inserts a polygon sub-region into the composite region. Configure the shape and size of the region as needed.


Color Blobs (1-10) Location Tool - Table Tab

Note:
  • The Color Blob Location Tool does not support the Table tab; it is only available for the Color Blobs (1-10) Location Tool.
  • When the Sort By parameter is set to any other option except Area, the Pixel Row and Pixel Col columns are added to the table. Pixel Row and Pixel Col refer to the image coordinates, which are based on the 2D grid of the In-Sight vision system's image sensor (rows and columns of the array), and are the opposite (Y/X) of real-world coordinates (X/Y).

  • If Classic Orientation is enabled (checked) in the Calibrate Image to Real World Units group box of the Set Up Image step, the X and Y coordinates will be in the same coordinate space as the image coordinates (Y/X).

The Table tab publishes the results of the found blobs, depending on the Number to Find parameter in the Settings tab:

Closed Index

Refers to the order of the found blobs, based on the Sort By parameter in the Settings tab; 1 to 10 (numerical ordering in EasyBuilder is based on 0=1).

Closed X

Returns the X coordinate of the found blob's centroid; the tool reports results in pixels, unless the image was calibrated to real-world units in Set Up Image.

Closed Y

Returns the Y coordinate of the found blob's centroid; the tool reports results in pixels, unless the image was calibrated to real-world units in Set Up Image.

Closed Angle

Returns the angle of the found blob's centroid, relative to the center of the region.

Closed Area

Returns the area of the found blob (measured in pixels).

Closed Pixel Row

Returns the image row (X) coordinate of the found blob's centroid.

Closed Pixel Column

Returns the image column (Y) coordinate of the found blob's centroid.


Color Blob and Color Blobs (1-10) Location Tool - Library

Closed Color Models List

Displays a read-only list of the Color Model(s) contained in the selected Color Library. The Color Models are activated and de-activated by checking or unchecking the checkbox beside the Color Model's name.

Closed Color Table

Displays a read-only ordered table of the Color(s) in the selected Color Model.

Closed Color Name

Displays the name of the Color(s) in the selected Color Model.

Closed RGB

Displays the RGB values of the Color(s) in the selected Color Model.

Closed Operation

Displays the Operation (Add or Subtract) of the Color(s) in the selected Color Model.


Location Tools - Circle

The Circle Location Tool is used to locate a circular feature that fall within the specified parameters.

The Circle Location Tool is one of the faster tools, with the ability to recognize edge features much quicker than a Patterns Location Tool. These tools are also useful as fixtures for other vision tools, when you are inspecting circular objects or a part or object that does not rotate.

The tool reports the following results:

In-Sight Models | Results
In-Sight 2000 Series 1XX Vision Sensors (110, 120, 130) | Pass/Fail status only
In-Sight Vision Systems (All Models) and In-Sight 2000 Series 23X Vision Sensors (23M, 230) | Found circle’s X,Y coordinates (its center), diameter* and pass/fail status.
* The tool returns the results in pixels, unless the image was calibrated to real-world units (In-Sight vision systems) or Field of View (Width) was set to real-world units (In-Sight 2000 series vision sensors) in the Set Up Image application step.

Setting Up the Tool

Adjusting the Tool Parameters


Setting Up the Circle Location Tool

Once the tool has been added, you will need to configure the region in the image that will define your circular edge:

  1. Position the circular region over the circular edge feature; ensure that the circular region is resized to match the size and dimensions of the circular feature. When choosing a circle as a fixture,ensure that it is present in roughly the same location in every image and it has a high contrast between light and dark pixels.
  2. Press the OK button to confirm the region (press the Cancel button to not add the tool to the job).
  3. EasyBuilder will automatically create an annulus edge region around the circular edge feature and insert a [image] icon, indicating the location and angular orientation of the found circle.
  4. With the tool initially configured, load several images and adjust the tool's parameters, as needed, to compensate for your expected ranges of variations.
  5. Finally, if desired, use the tool's Input/Output properties to share tool data between other tools and/or other external devices.


Adjusting the Circle Location Tool Parameters

After the tool’s region has been positioned, you can optimize the tool for your application.

The settings pane of the Circle Location Tool consists of the following:

  • General Tab
  • Settings Tab
  • Graph
Tip: Test your job, using TestRun. TestRun performs tests on the In-Sight vision system and compares the results of those tests against expected values. This will allow you to see whether or not the job is behaving as expected, or if you will need to adjust certain parameters for allowable variances.

General Tab

Settings Tab

Graph


Circle Location Tool - General Tab

Closed Tool Name

Defines the name of your inspection tool, which will be utilized in configuring the results (Inputs/Outputs and Communication); the default name is “Circle_1” (if it is the first Circle tool added to the job, otherwise it will be incremented, e.g. “Circle_2”, “Circle_3”, etc.). Customize your tool by giving it a name that is associated with your particular application.

Closed Tool Image

Defines which image the tool will utilize to perform its inspection; the unfiltered, acquired image (the default setting), or the output image of an Image Filter Tool. This control is only enabled if an Image Filter Tool has been added.

Closed Tool Fixture

Defines a fixture for the tool. This control is only enabled if another tool that defines a fixture has already been added.

Closed Tool Enabled

Defines when and whether or not the inspection tool should run (default setting is “On”). Select “Off” if you want to disable the tool; select "Expression" if you want to tie the tool's execution to the result of an Expression (this control is only enabled for tool's that provide an Expression parameter); or select an “Input” if you want the tool tied to a specific discrete input line, where it can be turned On or Off (a High signal, 1, is On, a Low signal, 0, is Off). Tying the tool to an input allows a control system, such as a PLC, to determine which tools should run.

Closed Include in Job Pass

Defines whether or not the tool's pass/failure status should be included in the job's overall pass/fail status; by default, it is checked and will be included in the job's overall pass/fail status. Uncheck the check box to keep the tool's pass/failure status separate from the other tools in the job. This control should be unchecked if a tool is expected to fail; for example, if two PatMax Patterns Identification Tools were being used to determine whether or not the part was a right-hand or left-hand part, one of the tools would be expected to fail every time. This situation would result in the job failing every time, regardless of which side of the part was identified, were the checkbox checked.

Closed Execution Time (ms)

Displays the amount of time, in milliseconds, that the tool took to perform its inspection. This time may vary, depending upon the complexity of the scene in the image, as well as the position of the feature within the image, and the amount of variance allowed in the parameters.

Closed Description

A comment that describes the purpose of the tool (by default, the field is blank). Up to 255 alpha-numeric characters or 127 Asian language characters may be used.


Circle Location Tool - Settings Tab

Closed Edge Contrast

Defines the minimum acceptable edge contrast score for the found circular edge (1-100; default = a "Smart Setting" that is automatically decremented until a circular edge is detected). This setting determines the tool’s edge detection sensitivity - its ability to discriminate between the feature and the background; use this setting in conjunction with the tool’s Graph to set an acceptable range.

Note: If this parameter is set to 0, the tool may find unexpected edges.
Closed Normalize Score

Defines whether the edge scores will be normalized by the greyscale histogram of the Region.This parameter is useful for finding edges in a low contrast region. If the edges to be detected are expected to be only high contrast, disable this parameter.

  • Checked (default): Normalize the score.
  • Unchecked: Do not normalize the score.
Closed Edge Transition

Defines the transition of the edge (Dark to Light, Light to Dark or Both; default = Both). Annular regions scan for edge transitions from the inner annular region to the outer annular region; for increased accuracy and speed, specify the type of transition.

Closed Edge Width

Defines the pixel distance (1 - 50; default = 3) over which an edge transition takes place. This setting helps filter noise from the image.

Closed Find By

Defines how the tool discriminate between found circular edges, if there are multiple circular edges present (default = Best Score).

  • Best Score = The circular edge feature with the best defined edge (highest contrast and brightness) will be chosen.
  • Smallest Circle = The circular edge feature with the smallest diameter will be chosen.
  • Largest Circle = The circular edge feature with the largest diameter will be chosen.
Closed Result

Displays the found circle’s X,Y coordinates (reported from its center) and diameter.


Circle Location Tool - Graph

The Graph is a representation of the first derivative of the grayscale values contained in the region; peaks and valleys represent the major edge transitions.

For the tools that detect edges (Edge and Circle tools), the Score axis is a measure of how closely the found edge matches the defined parameters:

  • A positive score indicates that the edge transitions from dark to light;
  • A negative score indicates that the edge transitions from light to dark;
  • A score of 0 indicates that no edge was detected.

The Offset axis refers to the region defining the edge feature, with 0 representing the beginning boundary of the region, and the other value representing the maximum width (in pixels) of the region. The apex of the peaks or valleys along the Offset axis indicates the position of the found edge.

Note: The graph will be displayed regardless of the Online/Offline status and the pass/fail state of the tool. However, if the tool is failing, the graph may not update.


Location Tools - Compute Fixture

The Compute Fixture Location Tool is used to calculate a fixture location based on mathematical expressions related to the outputs of other Location and/or Inspection Tools. The tool reports the X, Y coordinates and angle of the computed fixture.

Note:
    The tool returns the results in pixels, unless the image was calibrated to real-world units (In-Sight vision systems) or Field of View (Width) was set to real-world units (In-Sight 2000 series vision sensors) in the Set Up Image application step.
  • If this tool is used in conjunction with Grid Calibration, inaccurate results may be generated if the angle value in the calibration changes. In these circumstances, Edge to Edge, Circular or an imported calibration may be used instead.

The Compute Fixture Location Tool is useful in situations where you want to utilize specific points, lines or angle data generated by Location and/or Inspection Tools to calculate a fixture; for example, if you wanted to construct a fixture based on two edges, their intersection point and resulting bisection angle. In this scenario, two Edge Presence/Absence Tools could be used to define the edges, and a Bisect Angle Geometry Tool defines the X, Y and Angle values. The Compute Fixture Location Tool then uses the Bisect Angle Geometry Tool output data as inputs for the X (Bisect_1.Point.X), Y (Bisect_1.Point.Y) and Angle (Bisect_1.Angle) Expressions.

Setting Up the Tool

Adjusting the Tool Parameters


Setting Up the Compute Fixture Location Tool

Once the tool has been added, you will need to construct the Expression for the X, Y and Angle values.

Note: This tool requires other Location and/or Inspection Tools to be used as inputs. Assemble the other Location and/or Inspection Tools that will be used as inputs to this tool prior to adding this tool; otherwise you will be unable to construct the Expressions and will have to add the necessary Location and/or Inspection Tools and then return to this tool after having configured the other tools.
  1. Construct each Expression by choosing and then entering the mathematical functions from the left-side of the settings pane, and/or values (tool and job data) from the right-side. To enter a function or value in the Expression formula editor, select the function or value and press the Enter key, double-click the function or value or press the Insert button.
  2. Once all three Expressions have been constructed, the tool will insert a [image] icon in the image, indicating the location and orientation of the computed fixture.
  3. With the tool initially configured, load several images and adjust the tool's parameters, as needed, to compensate for your expected ranges of variations.
  4. Finally, if desired, use the tool's Input/Output properties to share tool data between other tools and/or other external devices.


Adjusting the Compute Fixture Location Tool Parameters

After the tool has been added to your job, you can begin customizing and fine-tuning the tool for your application.

The settings pane of the Compute Fixture Location Tool consists of the following:

  • General Tab
  • Settings Tab
  • X, Y and Angle Tabs
Tip: Test your job, using TestRun. TestRun performs tests on the In-Sight vision system and compares the results of those tests against expected values. This will allow you to see whether or not the job is behaving as expected, or if you will need to adjust certain parameters for allowable variances.

General Tab

Settings Tab

X, Y and Angle Tabs


Compute Fixture Location Tool - General Tab

Closed Tool Name

Defines the name of your inspection tool, which will be utilized in configuring the results Inputs/Outputs and Communication); the default name is “Fixture_1” (if it is the first Compute Fixture tool added to the job, otherwise it will be incremented, e.g. “Fixture_2”, “Fixture_3”, etc.). Customize your tool by giving it a name that is associated with your particular application.

Closed Tool Enabled

Defines when and whether or not the inspection tool should run (default setting is “On”). Select “Off” if you want to disable the tool; select "Expression" if you want to tie the tool's execution to the result of an Expression (this control is only enabled for tool's that provide an Expression parameter); or select an “Input” if you want the tool tied to a specific discrete input line, where it can be turned On or Off (a High signal, 1, is On, a Low signal, 0, is Off). Tying the tool to an input allows a control system, such as a PLC, to determine which tools should run.

Closed Include in Job Pass

Defines whether or not the tool's pass/failure status should be included in the job's overall pass/fail status; by default, it is checked and will be included in the job's overall pass/fail status. Uncheck the check box to keep the tool's pass/failure status separate from the other tools in the job. This control should be unchecked if a tool is expected to fail; for example, if two PatMax Patterns Identification Tools were being used to determine whether or not the part was a right-hand or left-hand part, one of the tools would be expected to fail every time. This situation would result in the job failing every time, regardless of which side of the part was identified, were the checkbox checked.

Closed Execution Time (ms)

Displays the amount of time, in milliseconds, that the tool took to perform its inspection. This time may vary, depending upon the complexity of the scene in the image, as well as the position of the feature within the image, and the amount of variance allowed in the parameters.

Closed Description

A comment that describes the purpose of the tool (by default, the field is blank). Up to 255 alpha-numeric characters or 127 Asian language characters may be used.


Compute Fixture Location Tool - Settings Tab

Closed Result

Displays the computed X, Y and Angle values.

Closed Color

Specifies the color of computed fixture location: Default (=Green), Dark Red, Dark Green, Dark Yellow, Dark Blue, Dark Magenta, Dark Cyan, Red, Green, Yellow, Blue, Magenta, Cyan, Dark Grey, Grey, Black or White.


Compute Fixture Location Tool - X, Y and Angle Tabs

The X, Y and Angle tabs are used to construct the mathematical formulas that will define the X, Y and angle coordinates of the fixture.

Note: These controls are disabled when the In-Sight vision system is Online.
Closed Expression

The Expression text box is used to construct a mathematical formula that processes tool results and data. Enter data by either using the keyboard and typing in the name of the mathematical function or job/tool data, or utilize the Vision Tools Tree, Mathematics Tree, Text Tree and/or Vision Data Access Tree on the left-hand side, and the Job and Tool Data Symbol Tree on the right-hand side, to assemble the formula. You can enter items by either double-clicking the items, or highlighting them and pressing the Insert button.

Note:
  • If the Expression references a tool that has been deleted, the reference will automatically be replaced by "Job.MissingArg" in the formula. The tool will return a Fail until the reference is corrected.
  • When constructing formulas, EasyBuilder does not correctly parse tool names that begin with a cell address (e.g. A3_MyTool or P10_SortTool). If expressions need to be created for those tools, rename the tool before creating the formula.
Closed Vision Tools

The Vision Tools Tree contains additional edge functions that can be used to construct your Expression. Functions can be added to the Expression by one of three methods:

  • Expand the Edge tree, select the desired function and then press the Insert button.
  • Expand the Edge tree, and double-click the desired function.
  • Using a keyboard, type the name of the desired function directly in the text box of the Expression.
Note: The list of functions available is contingent upon the cursor's placement in the Expression. If the cursor is located within the Expression in a location that prohibits a mathematical function from being added, those functions are unavailable until the cursor is in a location where they can be added.
Closed Mathematics Function Tree

The Mathematics Function Tree contains mathematical functions that can be used to construct your Expression. Functions can be added to the Expression by one of three methods:

  • Expand the Mathematics tree, select the desired function and then press the Insert button.
  • Expand the Mathematics tree, and double-click the desired function.
  • Using a keyboard, type the name of the desired function directly in the text box of the Expression.
Note: The list of functions available is contingent upon the cursor's placement in the Expression. If the cursor is located within the Expression in a location that prohibits a mathematical function from being added, those functions are unavailable until the cursor is in a location where they can be added.
Closed Text Function Tree

The Text Function Tree contains functions to format alphanumeric data for display and communications, and can be used to construct your Expression. Functions can be added to the Expression by one of three methods:

  • Expand the Text tree, select the desired function and then press the Insert button.
  • Expand the Text tree, and double-click the desired function.
  • Using a keyboard, type the name of the desired function directly in the text box of the Expression.
Note: The list of functions available is contingent upon the cursor's placement in the Expression. If the cursor is located within the Expression in a location that prohibits a mathematical function from being added, those functions are unavailable until the cursor is in a location where they can be added.
Closed Vision Data Access

The Vision Data Access Tree contains additional data that is not available by default that can be used to construct your Expression. Functions can be added to the Expression by one of three methods:

  • Expand the Vision Data Access tree, select the desired function and then press the Insert button.
  • Expand the Vision Data Access tree, and double-click the desired function.
  • Using a keyboard, type the name of the desired function directly in the text box of the Expression.
Note:
  • The list of functions available is contingent upon the cursor's placement in the Expression. If the cursor is located within the Expression in a location that prohibits a mathematical function from being added, those functions are unavailable until the cursor is in a location where they can be added.
  • EasyBuilder only supports Blobs, Edges and Patterns Vision Data Access functions.
Closed Job and Tool Data Symbol Tree

The Job and Tool Data Symbol Tree contains the data output by Location and/or Inspection Tools, as well as Input lines and job data, such as image acquisition parameters. The job and tool data are symbolic references to the values contained within them. Symbols can be added to the Expression by one of three methods:

  • Expand the tree, select the desired symbolic reference and then press the Insert button.
  • Expand the tree, and double-click the desired symbolic reference.
  • Using a keyboard, type the name of the desired symbolic reference directly in the text box of the Expression.
Note: The list of symbols available is contingent upon the cursor's placement in the Expression. If the cursor is located within the Expression in a location that prohibits a symbol from being added, those symbols are unavailable until the cursor is in a location where they can be added.
Closed Insert Button

The Insert button is used to place mathematical functions and symbols into the Expression. Select the desired mathematical function or symbol and then press the Insert button to add the function or symbol to the Expression.

Note: This control works in conjunction with the Mathematics Function Tree and Job and Tool Data Symbol Tree; if the selected item in either list is valid for the particular location of the cursor in the Expression text box, the Insert button will be enabled.
Closed Open Parenthesis, Comma, Close Parenthesis Buttons

The Open Parenthesis, Comma and Close Parenthesis buttons are used to construct mathematical formulas. Press the appropriate button to add them to your formula.

Note: These controls work in conjunction with the Mathematics Function Tree and Job and Tool Data Symbol Tree; if the selected item in either list is valid for the particular location of the cursor in the Expression text box, the buttons will be enabled.


Create Links Between Location and Inspection Tools

After Location and/or Inspection Tools have been added to the job, their properties (their input parameters and output results) can be intertwined using the Links tab in the Palette. The Links tab allows a tool's output result to be used as an input parameter to another tool.

Closed Using the Links Tab

The Links tab in the Palette displays a tree view of all the Location and/or Inspection Tools currently loaded in the job. The tools' properties (input parameters and output results) are referenced with a Symbolic Tag, which is a symbolic reference to the values contained in them. The value has an associated Data Type (either Action, Floating Point, Integer or String).

Tool properties are divided into Input and Output properties, and links can only be established from Output properties to Input properties. Output properties can be linked to multiple, separate Input properties, while an Input property only accepts one Output property linked into it.

To select which tool properties are displayed and can be configured in the Links tab, right-click on a tool property and open the Select Properties dialog. The Select Properties dialog contains a tree view list of all the tools in the job, with all of their associated tool properties, both Input and Output. You can customize which tool properties are displayed in the Links tab by selecting which tool properties you want to appear (use the Add/Remove buttons to add or remove multiple selections after highlighting them).

Closed Links Tab Controls
Links Tab Controls
Opens all of the tool properties contained in the job.
Closes all of the tool properties contained in the job.

Press to toggle between three tool property display options:

  • Default: Displays only the tool properties selected from the Select Properties menu.
  • Show Standard Properties: Displays a smaller subset of the tool properties, with the Description, Include_In_Job_Pass, Error_Count, Execution_Time, Fail_Count, Pass_Count, Tool_Enabled_Status and Invert properties automatically hidden.
  • Show All Properties: Displays all of the tool properties.

Press to toggle between three sorting options:

  • Default: Displays the tools in the order in which they were added to the job, with the first tool added starting at the top of the list.
  • Alphabetical Order: Displays the tools in alphabetical ascending order, based on the tool name.
  • Dependency Order: Displays the tools based upon dependencies, with the Input properties placed above the Output properties.
Note:
  • If a tool that had links to other tools in the job is deleted, the links will automatically be removed.
  • If a tool that has both Input and Output properties linked is copied and pasted in the job, only the Input properties will be retained.
Closed Creating Links Between Tools

Links between tool Output properties and Input properties can be made by either dragging the Output property node to the applicable Input property node, or by right-clicking the Input property and selecting the applicable Output property from the Link From context menu.

Note: When using the drag-and-drop method to link properties, a shortcut icon will be displayed and a dark blue line with arrow will accompany the cursor. The cursor will display a block icon if the property cannot be linked.

Once the tool properties have been bound, the Input property parameter will be greyed out and unavailable, with a link icon [image] displayed to the right. Hovering the mouse cursor over the link icon will display a tool tip indicating the link's source, while right-clicking the link icon will open a context menu to unbind the link.

Note: To undo a created link, press the Undo button in the EasyBuilder toolbar (or use CTRL+Z).
Closed Removing Links Between Tools

Links between Input properties and Output properties can be removed by selecting the property with the Input link, and either pressing the DELETE key or using the right-click context menu and selecting Unlink.

Note: To undo the removal of a link, press the Undo button in the EasyBuilder toolbar (or use CTRL+Z).
Closed Example
Closed Link a Read ID Codes Identification Tool with a Read Text Identification Tool

A Read Text Identification Tool can be used to verify whether or not the text returned by a Read ID Codes Identification Tool is accurate. The Read Text Tool is configured with the expected Match String and the Mode parameter is set to Verify. By linking the Read ID Codes Tool's String output result to the Read Text Tool's Match_String input parameter, the Read Text Tool will verify whether or not the code inspected by the Read ID Codes Tool contains the correct text.


Inspect Part

The Inspect Part step is used to assemble and configure the Inspection Tools that will be used to build your job. Examine your part or object to be inspected and determine which types of features best lend themselves to your application’s requirements, and which Inspection Tools best suit themselves to solving your problem. For more information, see Features.

Note: The Links tab is not supported on the In-Sight 2000 series vision sensors.
  • Adding, Deleting and Editing Inspect Part Tools
  • Choosing Inspect Part Tools

  • Create Links Between Location and Inspection Tools

The Inspection tools return the following results:

In-Sight Models | Results
In-Sight 2000-110 and 2000-120/120C Vision Sensors | Pass/Fail status only
In-Sight 2000-130/130C Vision Sensors | Measurement and Counting Inspection tools: Standard Results (Numeric Data) Presence/Absence Pattern tool: Pass/Fail status and Pattern Score Other tools: Pass/Fail status only
In-Sight Vision Systems (All Models) and In-Sight 2000 Series 23X Vision Sensors (23M, 230) | Standard Results (No Limitations)

Adding, Deleting and Editing Inspect Part Tools

Choosing Inspect Part Tools

Create Links Between Location and Inspection Tools


Adding, Deleting and Editing Inspect Part Tools

Closed Adding a Tool

To add a tool to your job, select an appropriate tool from the Add Tool group and press the Add button, or double-click on the tool. You will then be prompted to define the feature in the image, either through EasyBuilder Smart Feature selections, adjusting region graphics in the image or positioning geometric reference graphics.

After you have initially defined your feature, you can fine-tune the tool’s controls by adjusting the various parameters.

Note: You can search tools dynamically by using the Tool search box.
Closed Deleting a Tool

To delete a tool from your job, simply do one of the following:

  • Select the tool in the Results table (located in the Results tab of the Palette) and press the Delete key on your keyboard.
  • Select the tool in the Results table (located in the Results tab of the Palette) and press the Delete icon in the Standard toolbar.
  • Right-click on the tool in the Results table (located in the Results tab of the Palette) and select the Delete option from the menu.
Closed Editing a Tool

To edit a tool from any step in EasyBuilder, simply do one of the following:

  • Double-click on the tool in the Results table (located in the Results tab of the Palette).
  • Right-click on the tool in the Results table and select the Go to this tool and edit option from the menu.

To edit a tool from the Locate Part or Inspect Part steps, simply do one of the following:

  • Select the tool's region graphic in the image.
  • Double-click on the tool in the Results table (located in the Results tab of the Palette).
  • Right-click on the tool in the Results table and select the Go to this tool and edit option from the menu.
  • Double-click on the tool in the Results Table in the Run Job application step.
Note: If there is not enough space in the job to add more tools, leave the Locate or Inspect Part Application Steps, and from the Sensor menu, select Job Size Limit. Using the dialog, adjust the size of the job to allow more tools to be added. Adjusting the job size limit of an In-Sight vision system requires that the vision system be power cycled, and will erase all job and setting files from non-volatile flash memory. Save or backup your job before continuing. For more information, see Job Size Limit.

Features

Regions

EasyBuilder Smart Selections


Features

In machine vision, features are referred to as the "objects of interest in the image," and vision inspections are designed around the types of features found in the image.

Types of features in the Inspect Part step include:

Closed Edges

Areas of transition between light and dark pixels; in the horizontal or vertical directions, or circular or arced. Edges can be things like the ends of parts, pins on a circuit board, threads on a screw, the bottoms of bottles or the coil of a spring. These types of features are generally the fastest and easiest to detect.

Closed Edges Example

Closed Circles, Lines and Points

Standard geometric references, which can be utilized to compute measurements.

Closed Circles, Lines and Points Example

Closed Patterns

A pattern can be anything from a simple group of repeating shapes to complex configurations like logos or labels. The most reliable type of feature, patterns allow for the greatest range of positional rotation, movement and scale variations, but generally require the most amount of time to inspect.

Closed Patterns Example

Closed Blobs

A group of dark or light-colored connected pixels, such as a splotch of white paint on a black background or a black screw on a white conveyor belt. Also one of the faster features to find and allows for variations of the blob feature’s shape and size, but has limited angular orientation value.

Closed Blobs Example

Closed Text

Alphanumeric text strings.

Closed Text Example

Closed Codes

1D barcodes and 2D matrix codes and symbols containing alphanumeric data strings.

Closed Codes Example

Closed Bead

A bead is a continuous, but not necessarily closed-off, pair of edges that define the boundary between two regions of different pixel values, with a width value defining them. For example, a path of welded metal, a path of adhesive or a path of sealant are referred to as "bead" paths.

Closed Bead Example


Regions

Regions define the area of the image where the Location or Inspection Tool will perform its operation, and are also referred to as the "Region of Interest."

There are several different types of regions used by the Location and Inspection Tools in EasyBuilder, depending upon the type of tool being used. The types of regions used by EasyBuilder are the following:

  • Rectangle
  • Circle
  • Annulus
  • Polygon
  • Masked Region
  • Polyline Path

Annulus Regions

Circle Regions

Masked Regions

Polygon Regions

Polyline Path Regions

Rectangle Regions


Masked Regions

The Masked Region is used to define an area of the image that will undergo edge analysis. This region is used in conjunction with Caliper arrays for precise edge detection.

Closed Masked Region Legend
Controls | Description
1 | Resizable Endpoint Boundary (x4) | Defines the four corners of the rectangular region. Click on an end-point boundary to resize the region from one of its corners.
2 Mask

Defines the area of the image that will NOT undergo image analysis. The mask can be moved and resized within the region. A total of 99 masks may be added to a region. When a mask is added, it will be added to the beginning of the region (if no other masks have been added), or behind the previously added mask.

Note: Masks may not overlap. If they are configured to overlap, a 1 pixel buffer will automatically be inserted to prevent them from overlapping.
3 | Scan Direction Indicator (x2) | Defines which direction the masked region will scan for features.
4 | Edge Detection Indicator | Defines the area within the region where edge transitions will be detected; also enables adding new masks to the region.
5 | Rotation Handle | Allows the region to be rotated 360°.
6 | Bend Handle | Allows the rectangular region to be bent into an arc or annular shape.
Closed Masked Region Mouse Actions

By placing the mouse cursor over various parts of the region, it will automatically transform, enabling the following actions:

Mouse Icon | Description
 | Allows you to drag the entire masked region anywhere within the image.
 | Allows you to scale the entire region either horizontally or vertically; also used to resize the mask.
 | Allows two separate actions, depending on where the mouse cursor is placed. When the mouse cursor is placed on the Rotation Handle, you can rotate the region 360° from its current orientation. When the mouse cursor is placed on the Bend Handle, you can reshape the region into an arc or annular shape for detecting circular edge features.
 | Allows you to drag the mask within the region.
 | Allows you to add or delete a mask from the region. When this icon appears, right-click the mouse to open a menu with two options: Add Mask or Delete Mask.


Polyline Path Regions

The Polyline Path Region is used to define an area of the image that will undergo edge analysis. This region is used in conjunction with Caliper arrays for precise edge detection.

Note:
  • A right-click menu is available during graphical editing, which allows you to add a path segment or delete a path segment.
  • The Maximize Region button in the EasyBuilder toolbar is disabled for the polyline path region.
Closed Polyline Path Region Legend
 | Controls | Description
1 | Polyline Path Vertices(x3) | Defines the path of the polyline segment(s). Click on a vertices to position the polyline.
2 | Scan Direction Indicator (x2) | Defines which direction the polyline path region will scan for features.
3 | Polyline Path | Graphically displays the plot of the polyline.
4 | Rotation Handle | Allows the region to be rotated 360°.
Closed Polyline Path Region Mouse Actions

By placing the mouse cursor over various parts of the region, it will automatically transform, enabling the following actions:

Mouse Icon | Description
 | Allows you to drag the entire polyline path region anywhere within the image.
 | Allows you to scale the entire region either horizontally or vertically; also used to resize the mask.
 | Allows you to rotate the region 360° from its current orientation.
 | Allows you to move the polyline path within the region.
 | Allows you to add a point to the polyline path. Up to 99 points may be added to a polyline. If 99 points have been added to a polyline, this option is disabled.


EasyBuilder Smart Selections

EasyBuilder Smart Selections – Smart Features, Smart Limits and Smart Settings – help speed the deployment of your application by automatically determining intelligent default threshold values, based on the requirements of the tool and your application.

Note: When developing applications in EasyBuilder, use a "Pass" image of your part or object to allow EasyBuilder to set the appropriate default thresholds for your application.
  • Smart Features
  • Smart Limits
  • Smart Settings

Smart Features

Smart Limits

Smart Settings


Smart Features

Certain Location and Inspection Tools automatically extract the relevant features from your image, based on the selected tool, allowing you point-and-click selection of the appropriate features for your inspection.

When one of these tools is added to your job, the tool automatically examines your image and determines which features match the requirements of the tool. For example, the Edge Location Tool only returns horizontal or vertical edge features, and the Circle Diameter and Circle Concentricity Measurement Tools only return circular features.

Closed Example
Closed Smart Features - Edges

Closed Smart Features - Circles

If a feature hasn't been previously defined, it will be highlighted in light blue, while existing features (such as patterns, blob centroids, distances, edges or circles defined by other Locate Part or Inspect Part tools) are highlighted in green.

Closed Example

Smart Features – Newly detected and previous defined

Simply click on the feature that you'd like to use, and EasyBuilder will automatically create the appropriate region, if one hasn't already been defined.

Note:
  • If your desired feature doesn't appear as a Smart Feature selection, do one of the following:
    • Choose an available Smart Feature, and re-position its automatically created region over the feature that you would like to use instead. Then adjust the tool's parameters until the desired feature is properly detected.
    • First define the feature that you would like to use with an appropriate Presence/Absence or Geometry Tool. Then re-add the tool and select your defined feature.


Smart Limits

The Inspect Part tools with a Range Limits tab automatically determine the Maximum and Minimum limits.

Note: For best results when using tools with Smart Limits, begin by training the tools on your "Pass" image.

When a tool with a Range Limit tab is added to your job, the tool automatically examines your image and determines the appropriate Maximum and Minimum limits based on the requirements of the tool. For example, the Maximum and Minimum Range Limits of Distance and Angle Measurement Tools is ±5% of the Distance and Angle value, respectively, while Counting Tools Range Limits are determined by the number of features found in the initial image.


Smart Settings

The Locate Part and Inspect Part tools that define Circles and Edges automatically increment the Contrast parameter until an edge feature is found, allowing you to quickly set thresholds based on your application.

Note: For best results when using tools with Smart Settings, begin by training the tools on your "Pass" image.

When a Circle or Edge Location or Inspection Tool is added to your job, the tool automatically examines your image and determines the appropriate Contrast setting, and lowers it by two levels to set the threshold. The default Contrast setting is 25, and the minimum is 5.


Choosing Inspect Part Tools

The Inspect Part tools are grouped by types of inspections:

Closed Presence/Absence Tools

The Presence/Absence Tools are used to qualify whether or not a feature is present or absent in the image.

Presence/Absence Tools | In-Sight Vision Systems (5.x.x firmware) | In-Sight 2000-110 | In-Sight 2000-120/120C | In-Sight 2000-130/130C | In-Sight 2000-230/230C In-Sight 2001-230/230C | In-Sight 2000-23M
Brightness | X |  | X | X | X | X
Contrast | X |  | X | X | X | X
PatMax RedLine Pattern 1 | X |  |  |  |  |
PatMax Pattern | X |  |  |  |  |
Pattern | X | X | X | X | X | X
Pixel Count 2 | X |  | X | X | X | X
Color Pixel Count 3 | X |  | X | X | X |
Blob 1 | X |  |  |  | X |
Color Blob 2 | X |  |  |  | X |
Edge | X |  |  | X | X | X
Circle | X |  |  | X | X | X
Sharpness | X |  |  |  | X |
1In-Sight 5.x.x firmware only. 2Monochrome models only. 3Color models only.
Closed Measurement Tools

The Measurement Tools are used to measure distances, diameters, angles and area of features in the image.

Measurement Tools | In-Sight Vision Systems | In-Sight 2000-110 | In-Sight 2000-120/120C | In-Sight 2000-130/130C | In-Sight 2000-230/230C In-Sight 2001-230/230C | In-Sight 2000-23M
Distance | X |  |  | X | X | X
Angle | X |  |  | X | X | X
Blob Area 1 | X |  |  |  | X |
Blob Areas (1-10) 1 | X |  |  |  | X |
Color Blob Area 2 | X |  |  |  | X |
Color Blob Areas (1-10) 2 | X |  |  |  | X |
Circle Diameter | X |  |  | X | X | X
Circle Concentricity | X |  |  |  |  | X
Measure Radius | X |  |  |  | X | X
Min/Max Points | X |  |  |  |  |
1Monochrome models only. 2Color models only.
Closed Counting Tools

The Counting Tools are used to count types of features in the image.

Counting Tools | In-Sight Vision Systems | In-Sight 2000-110 | In-Sight 2000-120/120C | In-Sight 2000-130/130C | In-Sight 2000-230/230C In-Sight 2001-230/230C | In-Sight 2000-23M
Blobs 1 | X |  |  |  | X |
Color Blobs 2 | X |  |  |  | X |
Edges | X |  |  | X | X | X
Edge Pairs | X |  |  |  |  |
PatMax RedLine Patterns 3 | X |  |  |  |  |
PatMax Patterns | X |  |  |  |  |
Patterns | X |  |  | X | X | X
1Monochrome models only. 2Color models only. 3In-Sight 5.x.x firmware only.
Closed Identification Tools

The Identification Tools are used to identify and verify 1D and 2D codes and symbols, alphanumeric text, pattern features and colors in the image.

Identification Tools | In-Sight Vision Systems (5.x.x firmware) | In-Sight 2000-110 | In-Sight 2000-120/120C | In-Sight 2000-130/130C | In-Sight 2000-230/230C In-Sight 2001-230/230C | In-Sight 2000-23M
Read 1D Code | X |  |  |  |  |
Read 1D Codes (1-20) | X |  |  |  |  |
Read 2D Code | X |  |  |  |  |
Read 2D Codes (1-20) | X |  |  |  |  |
Read Postal Code | X |  |  |  |  |
Read ID Codes 1 |  |  |  |  |  |
Read Text 1 |  |  |  |  |  |
Read Text (OCRMax) | X |  |  |  | X |
PatMax RedLine Patterns (1-10) 2 | X |  |  |  |  |
PatMax Patterns (1-10) | X |  |  |  |  |
Patterns (1-10) | X |  |  |  | X |
Color 3 | X |  |  |  |  |
Color Model 2 | X |  |  |  |  |
1The Read ID Codes and Read Text tools are legacy tools and are not supported on systems running In-Sight Explorer 4.7.0 and later. 2In-Sight 5.x.x firmware only. 3Color models only.
Closed Geometry Tools

The Geometry Tools are used to create geometric references in the image, which can be utilized by other Inspection Tools, such as Math & Logic Tools and Measurement Tools.

Geometry Tools | In-Sight Vision Systems | In-Sight 2000-110 | In-Sight 2000-120/120C | In-Sight 2000-130/130C | In-Sight 2000-230/230C In-Sight 2001-230/230C | In-Sight 2000-23M
Point-to-Point: Line | X |  |  |  | X | X
Point-to-Point: Mid-Point | X |  |  |  | X | X
Point-to-Point: Dimension | X |  |  |  | X | X
Perpendicular Line | X |  |  |  |  | X
Line Intersection | X |  |  |  | X | X
Bisect Angle | X |  |  |  |  | X
Line From N Points | X |  |  |  |  | X
Circle From N Points | X |  |  |  |  | X
Circle-Line Intersection | X |  |  |  |  | X
User-Defined Point | X |  |  |  |  | X
User-Defined Line | X |  |  |  |  | X
Circle Fit | X |  |  |  |  |
Line Fit | X |  |  |  |  |
Closed Math & Logic Tools

The Math & Logic Tools are used to conditionally link tools together based on tool and job data, perform mathematical operations on tool outputs, process statistics of tools, group tools together and create steps for the order of operation.

Math & Logic Tools | In-Sight Vision Systems | In-Sight 2000-110 | In-Sight 2000-120/120C | In-Sight 2000-130/130C | In-Sight 2000-230/230C In-Sight 2001-230/230C | In-Sight 2000-23M
Math | X |  |  |  | X | X
Logic | X | X | X | X | X | X
Trend | X |  |  |  |  | X
Statistics | X |  |  |  |  | X
Group | X |  |  | X | X | X
Sequence | X |  |  |  |  |
Compute Point | X |  |  |  |  | X
Variables | X |  |  |  | X | X
Robot Guidance | X |  |  |  |  |
Closed Plot Tools

The Plot Tools are used to compute graphics in the image based upon mathematical expressions.

Plot Tools | In-Sight Vision Systems | In-Sight 2000-110 | In-Sight 2000-120/120C | In-Sight 2000-130/130C | In-Sight 2000-230/230C In-Sight 2001-230/230C | In-Sight 2000-23M
Plot Arc | X |  |  |  | X | X
Plot Circle | X |  |  |  | X | X
Plot Cross | X |  |  |  | X | X
Plot Line | X |  |  |  | X | X
Plot Point | X |  |  |  | X | X
Plot Region | X |  |  |  | X | X
Plot String | X |  |  |  | X | X
Closed Image Filter Tools

The Image Filter Tools are used to enhance an image or area of the image for further image analysis.

Image Filter Tools | In-Sight Vision Systems (5.x.x firmware) | In-Sight 2000-110 | In-Sight 2000-120/120C | In-Sight 2000-130/130C | In-Sight 2000-230/230C In-Sight 2001-230/230C | In-Sight 2000-23M
Filter | X |  |  |  | X |
Neighbor 1 |  |  |  |  |  |
Scene Correction 1 |  |  |  |  |  |
Point 1 |  |  |  |  |  |
Color to Greyscale 2 | X |  |  |  |  |
Color to Binary 2 | X |  |  |  |  |
Transform | X |  |  |  |  |
Compare | X |  |  |  |  |
1Supported only on In-Sight vision systems running firmware version 4.x.x. 2Color models only.
Closed Defect Detection Tools

The Defect Detection Tools are used to determine if a part or object was produced with a defect, such as a crack, crimp, dent, gap, nick or scratch.

Note: The Defect Detection Tools are only supported on the In-Sight vision systems.
  • Surface Flaw
  • Edge
  • Edge Pair
  • Edge Width
  • Bead Finder
  • Bead Tracker
Closed Calibration Tools

The Calibration Tools are used to construct a calibration file that can be shared among jobs.

Calibration Tools | In-Sight Vision Systems | In-Sight 2000-110 | In-Sight 2000-120/120C | In-Sight 2000-130/130C | In-Sight 2000-230/230C In-Sight 2001-230/230C | In-Sight 2000-23M
Robot | X |  |  |  |  |
N Point | X |  |  |  |  | X
Sequence N Point | X |  |  |  |  |

Presence/Absence Tools

Measurement Tools

Counting Tools

Identification Tools

Geometry Tools

Math & Logic Tools

Plot Tools

Image Filter Tools

Calibration Tools


Presence/Absence Tools - Brightness

The Brightness Presence/Absence Tool determines whether or not a feature is present or absent, based upon an average greyscale (i.e. brightness) value of the pixels in the region, and reports that value.

This tool returns the following results:

In-Sight Models | Results
In-Sight 2000 Series 1XX Vision Sensors (110, 120, 130) | Pass/Fail status only
In-Sight Vision Systems (All Models) and In-Sight 2000 Series 23X Vision Sensors (23M, 230) | Standard Results (No Limitations)

The Brightness Presence/Absence Tool is useful in situations where a feature of a good part is much darker or brighter than the feature on a bad part. Increases or decreases in a feature's brightness are a good indication of a part or object's presence or absence. For example, whether or not a dark or light-colored bottle cap is present or absent can quickly be measured by the brightness within the region.

Tip: For more information how to select a feature, refer to Selecting a Feature.

Setting Up the Tool

Adjusting the Tool Parameters


Setting Up the Brightness Presence/Absence Tool

Once the tool has been added, you will need to select the type of region and then configure it within the image to isolate your feature:

  1. From the Region Type drop-down menu, select the type of region: Rectangle (default), Circle, Annulus or Polygon. Position the region over the feature and make sure that the boundaries of the region cover the feature. The boundaries should be configured so that they only enclose the feature you want to measure - if the region is larger than the feature, this may produce inaccurate results because the pixels in the background will be calculated, as well. To help the performance of the tool, create smaller regions; larger regions take longer to inspect. If you’re not using a fixture, ensure that the feature is present in roughly the same location in every image, or the region is large enough to account for the expected movement of the feature.

    Note: After adding the tool, you can change the type of region by right-clicking the region in the image and selecting the desired shape from the Change Region to option.
  2. Press the OK button to confirm the region (press the Cancel button to not add the tool to the job).
  3. With the tool initially configured, load several images and adjust the tool's parameters, as needed, to compensate for your expected ranges of variations.
  4. Finally, if desired, use the tool's Input/Output properties to share tool data between other tools and/or other external devices.

Selecting a Feature


Selecting a Feature

When choosing a feature to use for your inspection, consider the following guidelines to ensure the best results:

  • If you’re not using a fixture, ensure that the feature is present in roughly the same location in every image, or the region is large enough to account for the expected movement of the feature.
  • The Brightness Tool is useful in applications where the feature being inspected is all one greyscale value when present (for instance, black), and the opposite when absent.
Closed Example

In this example, two Edge Location Tools are being used on the bottle cap to fixture two Inspection Tools: a Brightness Tool, with the region set to detect the presence or absence of the liquid, and a Contrast Tool, with the region set to detect whether or not the bottle cap is correctly fastened. The Brightness Tool is focused on the liquid, because when the liquid is present, it is roughly one greyscale value (roughly 10 to 20), and another when absent (255). The Contrast Tool is focused on the bottle cap, because if the seal is broken, there will be a mixture of greyscale values, light and dark.


Adjusting the Brightness Presence/Absence Tool Parameters

After the tool’s region has been positioned, you can optimize the tool for your application.

In-Sight 2000 Series Vision Sensors

  • Edit Tool Group Box

In-Sight Vision Systems

The settings pane of the Brightness Presence/Absence Tool consists of the following tabs:

  • General Tab
  • Range Limits Tab
  • Histogram Tab
  • Composite Region Tab
Tip: Test your job, using TestRun. TestRun performs tests on the In-Sight vision system and compares the results of those tests against expected values. This will allow you to see whether or not the job is behaving as expected, or if you will need to adjust certain parameters for allowable variances.

In-Sight 2000 Series Vision Sensors

In-Sight Vision Systems

Copyright © 2008 - 2019 | Cognex Corporation | All Rights Reserved.

EasyBuilder Help | 2019 October 02 | Revision: 5.8.0.1


Adjusting the Brightness Presence/Absence Tool Parameters

Note: This topic describes the user interface when connected to an In-Sight 2000 series vision sensor. If connected to In-Sight vision systems, refer to the In-Sight Vision System section of Adjusting the Brightness Presence/Absence Tool Parameters.

After the tool’s region has been positioned, you can optimize the tool for your application.

Closed Pass/Fail Indicator

Displays a green circle [image] or a red rectangle [image] to indicate success and failure, respectively.

Closed Brightness Meter and Pass Range Slider Control

Sets the minimum and maximum brightness levels. You can manually set the values by adjusting the handles or by entering values in the corresponding edit boxes.

Tip: You can also move the handle by using ARROW keys (UP, DOWN, RIGHT and LEFT).
  • Left Handle: Sets the minimum acceptable average greyscale limit (0 - 255).
  • Right Handle: Sets the maximum acceptable average greyscale limit (0 - 255).
  • Result Indicator: Shows the average greyscale value of the pixels within the region. If the indicator is between the left and right handles, the tool passes and the result indicator is green. Otherwise, the tool fails and the result indicator is red.
PASS
FAIL
Note: The Result and Pass Range values are displayed when hovering over the slider control.
Closed Auto Button

Automatically sets the range limits to be the most recent tool result, +/- 10% of the maximum result value for the tool. For example, if the maximum result value for the tool is 255 and the most recent tool result is 150, then clicking the Auto button will set the minimum range limit to 125 (=150 - 25), and the maximum range limit to 175 (=150 + 25).

Closed Invert Result

When enabled, the tool fails if the result falls within the range limits. (Default = Off)

Pass/Fail | (Invert) | Pass/Fail
Pass/Fail | (Invert) | Pass/Fail
Closed Execution Time (ms)

Displays the amount of time, in milliseconds, that the tool took to perform its inspection. This time may vary, depending upon the complexity of the scene in the image, as well as the position of the feature within the image, and the amount of variance allowed in the parameters.

Closed Name

Defines the name of the brightness tool. The default name is “Brightness_1” (if it is the first Pattern tool added to the job, otherwise it will be incremented, e.g. “Brightness_2”, “Brightness_3”, etc.).

Closed Tool Image

Defines which image the tool will utilize to perform its inspection; the unfiltered, acquired image (the default setting), or the output image of an Image Filter Tool. This control is only enabled if an Image Filter Tool has been added.

Closed Include in Job Pass

Defines whether or not the tool's pass/failure status should be included in the job's overall pass/fail status; by default, it is checked and will be included in the job's overall pass/fail status. Uncheck the check box to keep the tool's pass/failure status separate from the other tools in the job. This control should be unchecked if a tool is expected to fail; for example, if two PatMax Patterns Identification Tools were being used to determine whether or not the part was a right-hand or left-hand part, one of the tools would be expected to fail every time. This situation would result in the job failing every time, regardless of which side of the part was identified, were the checkbox checked.

Closed Enabled

Defines when and whether or not the inspection tool should run (default setting is “On”).

  • Select “Off” if you want to disable the tool.
  • Select an Input line if you want the tool tied to a specific discrete input line, where it can be turned On or Off (a High signal, 1, is On, a Low signal, 0, is Off). Connecting the tool to an input allows a control system, such as a PLC, to determine which tools should run, and when.
Closed Fixture

Selects a fixture for the tool. The Fixture button turns orange when the fixture control is enabled.

Note: This control can only be enabled if another tool that defines a fixture has already been added.
Closed Description

A comment that describes the purpose of the tool (by default, the field is blank). Up to 255 alpha-numeric characters or 127 Asian language characters may be used.


Brightness Presence/Absence Tool - General Tab

Closed Tool Name

Defines the name of your inspection tool, which will be utilized in configuring the results Inputs/Outputs and Communication); the default name is “Brightness_1” (if it is the first Brightness tool added to the job, otherwise it will be incremented, e.g. “Brightness_2”, “Brightness_3”, etc.). Customize your tool by giving it a name that is associated with your particular application.

Closed Tool Image

Defines which image the tool will utilize to perform its inspection; the unfiltered, acquired image (the default setting), or the output image of an Image Filter Tool. This control is only enabled if an Image Filter Tool has been added.

Closed Tool Fixture

Defines a fixture for the tool. This control is only enabled if another tool that defines a fixture has already been added.

Closed Tool Enabled

Defines when and whether or not the inspection tool should run (default setting is “On”). Select “Off” if you want to disable the tool; select "Expression" if you want to tie the tool's execution to the result of an Expression (this control is only enabled for tool's that provide an Expression parameter); or select an “Input” if you want the tool tied to a specific discrete input line, where it can be turned On or Off (a High signal, 1, is On, a Low signal, 0, is Off). Tying the tool to an input allows a control system, such as a PLC, to determine which tools should run.

Closed Include in Job Pass

Defines whether or not the tool's pass/failure status should be included in the job's overall pass/fail status; by default, it is checked and will be included in the job's overall pass/fail status. Uncheck the check box to keep the tool's pass/failure status separate from the other tools in the job. This control should be unchecked if a tool is expected to fail; for example, if two PatMax Patterns Identification Tools were being used to determine whether or not the part was a right-hand or left-hand part, one of the tools would be expected to fail every time. This situation would result in the job failing every time, regardless of which side of the part was identified, were the checkbox checked.

Closed Execution Time (ms)

Displays the amount of time, in milliseconds, that the tool took to perform its inspection. This time may vary, depending upon the complexity of the scene in the image, as well as the position of the feature within the image, and the amount of variance allowed in the parameters.

Closed Description

A comment that describes the purpose of the tool (by default, the field is blank). Up to 255 alpha-numeric characters or 127 Asian language characters may be used.


Brightness Presence/Absence Tool - Range Limits Tab

Closed Maximum

Defines the maximum acceptable average greyscale value (0 to 255); the tool will create a "Smart Limit" default setting based on your image, which you can customize to suit the needs of your application.

Closed Brightness

Reports the average greyscale value of the pixels found in the region (0 to 255); values that fall exactly at, or between, the Minimum and Maximum settings are classified as a Pass.

Closed Minimum

Defines the minimum acceptable average greyscale value (0 to 255); the tool will create a "Smart Limit" default setting based on your image, which you can customize to suit the needs of your application.

Closed Invert Result

Defines whether or not the Pass/Fail logic of the tool should be inverted (default = Off, unchecked):

  • Unchecked - Standard results are applied, i.e. the tool result is a Pass if the feature was detected and falls within the Range Limits.
  • Checked - Inverts the results, i.e. the tool result is a Fail if the feature was detected and falls within the Range Limits.
Closed Auto Limits button

Defines the limits based on the Smart Limits settings. This button is useful when a parameter has been changed and the limits need to be adjusted, or the tool has been added and no limits have been defined.


Brightness Presence/Absence Tool - Histogram Tab

The Histogram Tab is a histogram representation of the greyscale values of the pixels in the region.

  • The X-axis of the graph represents the total number of greyscale values (0 to 255, or 256 total shades of grey).
  • The Y-axis of the graph represents the number of pixels at a given greyscale value, and the scale is established by displaying the greyscale value with the greatest number of pixels.
  • The three blue vertical lines indicate the Minimum, Brightness and Maximum pixel greyscale values, respectively.
Note: The graph will be displayed regardless of the Online/Offline status and the pass/fail state of the tool. However, if the tool is failing, the graph may not update.


Brightness Presence/Absence Tool - Composite Region Tab

The Composite Region tab is used to configure a composite region, a collection of sub-regions (Rectangle, Annulus, Circle or Polygon) that either Add to the region (the region will be included in the image analysis) or Subtract from the region (the region will be excluded from the image analysis; also known as "masking").

Note:
  • A maximum of 32 sub-regions can be used to construct a composite region.
  • A right-click menu is available while interacting with the region in the image, which allows you to change a selected sub-region's shape, add or remove a sub-region, or change a selected sub-region's Operation (Add or Subtract).
Closed Composite Region Table

Displays the type of sub-region(s) that comprise the composite region, as well as its Operation (Add or Subtract). Select a sub-region to enable the Delete, Move Up or Move Down buttons. Pressing the Delete button removes the selected sub-region from the list; pressing the Move Up button moves the selected sub-region up in the list; and pressing the Move Down button moves the selected sub-region down in the list.

Note:

The composite region is built based upon its sequence of sub-regions within the list. By placing sub-regions, and their Add or Subtract Operation, in a specific order, parts of the image may be highlighted while ignoring other areas. The image below shows an example of how to correctly order the sub-regions to exclude part of the image while focusing on other areas. In the first set, a Rectangle with an Add Operation is configured, and then a Circle, with a Subtract Operation, is set in the middle. Then a smaller Rectangle, with an Add Operation, is configured in the middle of the Circle. The Circle excludes part of the image, while the smaller Rectangle adds part of the image area back to the image analysis. In the second set, the smaller Rectangle is added before the Circle, and the Circle masks the smaller Rectangle, excluding it from the image analysis.

Closed Shape

Displays the shape of selected sub-region (Rectangle, Circle, Annulus or Polygon). To change the shape, select the desired region type from the drop-down menu.

Closed Operation

Defines the selected sub-region's action within the region: Add or Subtract. Add indicates that the sub-region will be included in the image analysis while Subtract indicates that the sub-region will be excluded from the image analysis (also known as "masking").

Closed Rectangle

Inserts a rectangle sub-region into the composite region. Configure the shape and size of the region as needed.

Closed Annulus

Inserts an annulus sub-region into the composite region. Configure the shape and size of the region as needed.

Closed Circle

Inserts a circle sub-region into the composite region. Configure the shape and size of the region as needed.

Closed Polygon

Inserts a polygon sub-region into the composite region. Configure the shape and size of the region as needed.


Presence/Absence Tools - Contrast

The Contrast Presence/Absence Tool determines whether or not a feature is present or absent, based upon the contrast value (the difference between the mean greyscale value above the threshold and the mean greyscale below the threshold) between features of the pixels in the region, and reports that value.

This tool returns the following results:

In-Sight Models | Results
In-Sight 2000 Series 1XX Vision Sensors (110, 120, 130) | Pass/Fail status only
In-Sight Vision Systems (All Models) and In-Sight 2000 Series 23X Vision Sensors (23M, 230) | Standard Results (No Limitations)

The Contrast Presence/Absence Tool is useful in situations where the feature on a good part has a very distinct light and/or dark areas, in relation to that of a bad part. For example, verifying the presence of dark print on a white label.

Tip: For more information on how to select a feature, refer to Selecting a Feature.

Setting Up the Tool


Setting Up the Contrast Presence/Absence Tool

Once the tool has been added, you will need to select the type of region and then configure it within the image to isolate your feature:

  1. From the Region Type drop-down menu, select the type of region: Rectangle (default), Circle, Annulus or Polygon. Position the region over the feature and make sure that the boundaries of the region cover the feature. The boundaries should be configured so that they only enclose the feature you want to measure - if the region is larger than the feature, this may produce inaccurate results because the pixels in the background will be calculated, as well. To help the performance of the tool, create smaller regions; larger regions take longer to inspect. If you’re not using a fixture, ensure that the feature is present in roughly the same location in every image, or the region is large enough to account for the expected movement of the feature.

    Note: After adding the tool, you can change the type of region by right-clicking the region in the image and selecting the desired shape from the Change Region to option.
  2. Press the OK button to confirm the region (press the Cancel button to not add the tool to the job).
  3. With the tool initially configured, load several images and adjust the tool's parameters, as needed, to compensate for your expected ranges of variations.
  4. Finally, if desired, use the tool's Input/Output properties to share tool data between other tools and/or other external devices.

Selecting a Feature

Adjusting the Tool Parameters


Selecting a Feature

When choosing a feature to use for your inspection, consider the following guidelines to ensure the best results:

  • If you’re not using a fixture, ensure that the feature is present in roughly the same location in every image, or the region is large enough to account for the expected movement of the feature.
  • The Contrast Tool is useful in applications where the feature being inspected contains a mixture of greyscale values when present, and a uniform set of greyscale values when absent.
  • If your application requires a more subtle differentiation between differences in brightness and contrast, consider using the Pixel Count Tool, which is more accurate in gauging those differences than the Contrast Tool.
Closed Example

In this example, two Edge Location Tools are being used on the bottle cap to fixture two Inspection Tools: a Brightness Tool, with the region set to detect the presence or absence of the liquid, and a Contrast Tool, with the region set to detect whether or not the bottle cap is correctly fastened. The Brightness Tool is focused on the liquid, because when the liquid is present, it is roughly one greyscale value (roughly 10 to 20), and another when absent (255). The Contrast Tool is focused on the bottle cap, because if the seal is broken, there will be a mixture of greyscale values.


Adjusting the Contrast Presence/Absence Tool Parameters

After the tool’s region has been positioned, you can optimize the tool for your application.

In-Sight 2000 Series Vision Sensors

  • Edit Tool Group Box

In-Sight Vision Systems

The settings pane of the Contrast Presence/Absence Tool consists of the following tabs:

  • General Tab
  • Range Limits Tab
  • Histogram Tab
  • Composite Region Tab
Tip: Test your job, using TestRun. TestRun performs tests on the In-Sight vision system and compares the results of those tests against expected values. This will allow you to see whether or not the job is behaving as expected, or if you will need to adjust certain parameters for allowable variances.

In-Sight 2000 Series Vision Sensors

In-Sight Vision Systems

Copyright © 2008 - 2019 | Cognex Corporation | All Rights Reserved.

EasyBuilder Help | 2019 October 02 | Revision: 5.8.0.1


Adjusting the Contrast Presence/Absence Tool Parameters

Note: This topic describes the user interface when connected to an In-Sight 2000 series vision sensor. If connected to In-Sight vision systems, refer to the In-Sight Vision System section of Adjusting the Contrast Presence/Absence Tool Parameters.

After the tool’s region has been positioned, you can optimize the tool for your application.

Closed Pass/Fail Indicator

Displays a green circle [image] or a red rectangle [image] to indicate success and failure, respectively.

Closed Contrast Meter and Pass Range Slider Control

Sets the minimum and maximum contrast levels. You can manually set the values by adjusting the handles or by entering values in the corresponding edit boxes.

Tip: You can also move the handle by using ARROW keys (UP, DOWN, RIGHT and LEFT).
  • Left Handle: Sets the minimum acceptable average greyscale limit (0 - 255).
  • Right Handle: Sets the maximum acceptable average greyscale limit (0 - 255).
  • Result Indicator: Shows the average greyscale value of the pixels within the region. If the indicator is between the left and right handles, the tool passes and the result indicator is green. Otherwise, the tool fails and the result indicator is red.
PASS
FAIL
Note: The Result is displayed when hovering over the slider control.
Closed Auto Button

Automatically sets the range limits to be the most recent tool result, +/- 10% of the maximum result value for the tool. For example, if the maximum result value for the tool is 255 and the most recent tool result is 150, then clicking the Auto button will set the minimum range limit to 125 (=150 - 25), and the maximum range limit to 175 (=150 + 25).

Closed Invert Result

When enabled, the tool fails if the result falls within the range limits. (Default = Off)

Pass/Fail | (Invert) | Pass/Fail
Pass/Fail | (Invert) | Pass/Fail
Closed Name

Defines the name of your inspection tool. The default name is “Contrast_1” (if it is the first Pattern tool added to the job, otherwise it will be incremented, e.g. “Contrast_2”, “Contrast_3”, etc.).

Closed Tool Image

Defines which image the tool will utilize to perform its inspection; the unfiltered, acquired image (the default setting), or the output image of an Image Filter Tool. This control is only enabled if an Image Filter Tool has been added.

Closed Include in Job Pass

Defines whether or not the tool's pass/failure status should be included in the job's overall pass/fail status; by default, it is checked and will be included in the job's overall pass/fail status. Uncheck the check box to keep the tool's pass/failure status separate from the other tools in the job. This control should be unchecked if a tool is expected to fail; for example, if two PatMax Patterns Identification Tools were being used to determine whether or not the part was a right-hand or left-hand part, one of the tools would be expected to fail every time. This situation would result in the job failing every time, regardless of which side of the part was identified, were the checkbox checked.

Closed Enabled

Defines when and whether or not the inspection tool should run (default setting is “On”).

  • Select “Off” if you want to disable the tool.
  • Select an Input line if you want the tool tied to a specific discrete input line, where it can be turned On or Off (a High signal, 1, is On, a Low signal, 0, is Off). Connecting the tool to an input allows a control system, such as a PLC, to determine which tools should run, and when.
Closed Fixture

Selects a fixture for the tool. The Fixture button turns orange when the fixture control is enabled.

Note: This control can only be enabled if another tool that defines a fixture has already been added.
Closed Description

A comment that describes the purpose of the tool (by default, the field is blank). Up to 255 alpha-numeric characters or 127 Asian language characters may be used.


Contrast Presence/Absence Tool - General Tab

Closed Tool Name

Defines the name of your inspection tool, which will be utilized in configuring the results Inputs/Outputs and Communication); the default name is “Contrast_1” (if it is the first Contrast tool added to the job, otherwise it will be incremented, e.g. “Contrast_2”, “Contrast_3”, etc.). Customize your tool by giving it a name that is associated with your particular application.

Closed Tool Image

Defines which image the tool will utilize to perform its inspection; the unfiltered, acquired image (the default setting), or the output image of an Image Filter Tool. This control is only enabled if an Image Filter Tool has been added.

Closed Tool Fixture

Defines a fixture for the tool. This control is only enabled if another tool that defines a fixture has already been added.

Closed Tool Enabled

Defines when and whether or not the inspection tool should run (default setting is “On”). Select “Off” if you want to disable the tool; select "Expression" if you want to tie the tool's execution to the result of an Expression (this control is only enabled for tool's that provide an Expression parameter); or select an “Input” if you want the tool tied to a specific discrete input line, where it can be turned On or Off (a High signal, 1, is On, a Low signal, 0, is Off). Tying the tool to an input allows a control system, such as a PLC, to determine which tools should run.

Closed Include in Job Pass

Defines whether or not the tool's pass/failure status should be included in the job's overall pass/fail status; by default, it is checked and will be included in the job's overall pass/fail status. Uncheck the check box to keep the tool's pass/failure status separate from the other tools in the job. This control should be unchecked if a tool is expected to fail; for example, if two PatMax Patterns Identification Tools were being used to determine whether or not the part was a right-hand or left-hand part, one of the tools would be expected to fail every time. This situation would result in the job failing every time, regardless of which side of the part was identified, were the checkbox checked.

Closed Execution Time (ms)

Displays the amount of time, in milliseconds, that the tool took to perform its inspection. This time may vary, depending upon the complexity of the scene in the image, as well as the position of the feature within the image, and the amount of variance allowed in the parameters.

Closed Description

A comment that describes the purpose of the tool (by default, the field is blank). Up to 255 alpha-numeric characters or 127 Asian language characters may be used.


Contrast Presence/Absence Tool - Range Limits Tab

Closed Maximum

Defines the maximum acceptable contrast value (0 - 255); the tool will create a "Smart Limit" default setting based on your image, which you can customize to suit the needs of your application.

Closed Contrast

Reports the difference between the average greyscale values above and below the "Smart" threshold created by the tool, found in the region; values that fall exactly at, or between, the Minimum and Maximum settings are classified as a Pass.

Closed Minimum

Defines the minimum acceptable contrast value (0 - 255); the tool will create a "Smart Limit" default setting based on your image, which you can customize to suit the needs of your application.

Closed Invert Result

Defines whether or not the Pass/Fail logic of the tool should be inverted (default = Off, unchecked):

  • Unchecked - Standard results are applied, i.e. the tool result is a Pass if the feature was detected and falls within the Range Limits.
  • Checked - Inverts the results, i.e. the tool result is a Fail if the feature was detected and falls within the Range Limits.
Closed Auto Limits button

Defines the limits based on the Smart Limits settings. This button is useful when a parameter has been changed and the limits need to be adjusted, or the tool has been added and no limits have been defined.


Contrast Presence/Absence Tool - Histogram Tab

The Histogram Tab is a histogram representation of the greyscale values of the pixels in the region.

  • The X-axis of the graph represents the total number of greyscale values (0 to 255, or 256 total shades of grey).
  • The Y-axis of the graph represents the number of pixels at a given greyscale value, and the scale is established by displaying the greyscale value with the greatest number of pixels.
  • The three blue vertical lines indicate the mean greyscale value below the threshold, the threshold and the mean greyscale value above the threshold, respectively.
Note: The graph will be displayed regardless of the Online/Offline status and the pass/fail state of the tool. However, if the tool is failing, the graph may not update.


Contrast Presence/Absence Tool - Composite Region Tab

The Composite Region tab is used to configure a composite region, a collection of sub-regions (Rectangle, Annulus, Circle or Polygon) that either Add to the region (the region will be included in the image analysis) or Subtract from the region (the region will be excluded from the image analysis; also known as "masking").

Note:
  • A maximum of 32 sub-regions can be used to construct a composite region.
  • A right-click menu is available while interacting with the region in the image, which allows you to change a selected sub-region's shape, add or remove a sub-region, or change a selected sub-region's Operation (Add or Subtract).
Closed Composite Region Table

Displays the type of sub-region(s) that comprise the composite region, as well as its Operation (Add or Subtract). Select a sub-region to enable the Delete, Move Up or Move Down buttons. Pressing the Delete button removes the selected sub-region from the list; pressing the Move Up button moves the selected sub-region up in the list; and pressing the Move Down button moves the selected sub-region down in the list.

Note:

The composite region is built based upon its sequence of sub-regions within the list. By placing sub-regions, and their Add or Subtract Operation, in a specific order, parts of the image may be highlighted while ignoring other areas. The image below shows an example of how to correctly order the sub-regions to exclude part of the image while focusing on other areas. In the first set, a Rectangle with an Add Operation is configured, and then a Circle, with a Subtract Operation, is set in the middle. Then a smaller Rectangle, with an Add Operation, is configured in the middle of the Circle. The Circle excludes part of the image, while the smaller Rectangle adds part of the image area back to the image analysis. In the second set, the smaller Rectangle is added before the Circle, and the Circle masks the smaller Rectangle, excluding it from the image analysis.

Closed Shape

Displays the shape of selected sub-region (Rectangle, Circle, Annulus or Polygon). To change the shape, select the desired region type from the drop-down menu.

Closed Operation

Defines the selected sub-region's action within the region: Add or Subtract. Add indicates that the sub-region will be included in the image analysis while Subtract indicates that the sub-region will be excluded from the image analysis (also known as "masking").

Closed Rectangle

Inserts a rectangle sub-region into the composite region. Configure the shape and size of the region as needed.

Closed Annulus

Inserts an annulus sub-region into the composite region. Configure the shape and size of the region as needed.

Closed Circle

Inserts a circle sub-region into the composite region. Configure the shape and size of the region as needed.

Closed Polygon

Inserts a polygon sub-region into the composite region. Configure the shape and size of the region as needed.


Presence/Absence Tools - PatMax RedLine Pattern and PatMax Pattern

Note:
  • From In-Sight firmware 5.5.0 and later, the tool's algorithm has been changed to return more accurate results and decrease the execution time in some circumstances.
  • Due to this change, when attempting to load a job containing this tool configured on the In-Sight firmware 5.5.0 or later to an In-Sight vision system running firmware version 5.4.x or earlier, an error message is displayed.
  • The PatMax RedLine Pattern Location Tool and PatMax RedLine Patterns (1-10) Location Tool are only available on In-Sight vision systems running In-Sight firmware 5.2.0 and later. For a complete list of models and supported firmware versions, see Firmware Versions.

The PatMax RedLine Pattern Tool and PatMax Pattern Presence/Absence Tool are used to determine the presence or absence of a pattern feature, using the PatMax RedLine or PatMax algorithm, based upon a trained representation of that pattern (called a Model).

These tools are useful in situations where the feature on a good part has a recognizable pattern that is not present on bad parts, or vice versa. For example, if you are trying to verify whether or not a Philips screw head pattern is present in a mechanical assembly.

Setting Up the Tools

Adjusting the Tools Parameters


Setting Up the PatMax RedLine Pattern and PatMax Pattern Presence/Absence Tools

Once the tool has been added, you will need to select the type of regions and configure them to define your pattern (the Model region), and where in the image the pattern will be found (the Search region).

  1. From the Model drop-down menu, select the type of region: Rectangle (default), Circle, Annulus or Polygon. Then position the Model region over the pattern that will be used as the training model; make sure that the Model region only covers the important features of the pattern.

    Note: After adding the tool, you can change the type of region by right-clicking the region in the image and selecting the desired shape from the Change Region to option.
  2. From the Search drop-down menu, select the type of region: Rectangle (default), Circle, Annulus or Polygon. Then position the Search region so that it covers the areas within the image where you expect the pattern to appear. To help the performance of the tool, create smaller Search regions; the larger the Search region, the longer it will take the tool to perform its inspection.
  3. Press the OK button to confirm the regions (press the Cancel button to not add the tool to the job).
  4. With the tool initially configured, load several images and adjust the tool's parameters, as needed, to compensate for your expected ranges of variations.
  5. Finally, if desired, use the tool's Input/Output properties to share tool data between other tools and/or other external devices.

PatMax RedLine Pattern, PatMax Pattern and Pattern

Selecting a Pattern Feature


PatMax RedLine Pattern, PatMax Pattern and Pattern

Note: The PatMax RedLine Pattern Presence/Absence Tool is only available on In-Sight vision systems running In-Sight firmware 5.2.0 and later. For a complete list of models and supported firmware versions, see Firmware Versions.

The PatMax RedLine Patterns, PatMax Patterns and Patterns locate trained Models of patterns, and they offer the highest accuracy among the location and inspection tools. However, PatMax RedLine Patterns and PatMax Patterns are more powerful than the Patterns, accounting for greater changes in lighting conditions and the pattern’s position. They also offer superior recognition of changes to the pattern’s scale and rotation, occlusion of elements of the pattern, and changes in the pattern’s appearance due to lighting variations.

The main difference between the PatMax RedLine Patterns and PatMax Patterns is the speed; the PatMax RedLine Pattern uses the latest pattern matching algorithm and can locate trained features in a 5 megapixel image up to 7x faster than PatMax Patterns. Therefore, PatMax RedLine Patterns is ideal for high resolution vision systems.

The Patterns (in most cases) is faster than the PatMax, but certain situations require the accuracy and reliability of the PatMax RedLine or PatMax version:

  • When variations in lighting and reflections are difficult to control. For example, metal parts can reflect light in random directions.
  • When the pattern being inspected is similarly shaped or shaded in comparison to something in the background, or the pattern is being overlapped or partially hidden by other objects in the image.
  • When you want to accurately recognize one type of pattern from other, similar, patterns.
  • When the conditions of your deployment environment are too demanding for the Patterns Tool to perform consistently and reliably.


Adjusting the PatMax RedLine Pattern and PatMax Pattern Presence/Absence Tool Parameters

After the tool’s region has been positioned, you can optimize the tool for your application.

The settings pane of the PatMax RedLine Pattern and PatMax Pattern Presence/Absence Tools consist of the following tabs:

  • General Tab
  • Settings Tab
  • Model and Search Tabs
  • Trained Image Tab
Tip: Test your job, using TestRun. TestRun performs tests on the In-Sight vision system and compares the results of those tests against expected values. This will allow you to see whether or not the job is behaving as expected, or if you will need to adjust certain parameters for allowable variances.

General Tab

Settings Tab

Model and Search Tabs

Trained Image Tab


PatMax RedLine Pattern and PatMax Pattern Presence/Absence Tool - General Tab

Closed Tool Name

Defines the name of your inspection tool, which will be utilized in configuring the results Inputs/Outputs and Communication); the default name is “Pattern_1” (if it is the first Pattern tool added to the job, otherwise it will be incremented, e.g. “Pattern_2”, “Pattern_3”, etc.). Customize your tool by giving it a name that is associated with your particular application.

Closed Tool Image

Defines which image the tool will utilize to perform its inspection; the unfiltered, acquired image (the default setting), or the output image of an Image Filter Tool. This control is only enabled if an Image Filter Tool has been added.

Closed Tool Fixture

Defines a fixture for the tool. This control is only enabled if another tool that defines a fixture has already been added.

Closed Tool Enabled

Defines when and whether or not the inspection tool should run (default setting is “On”). Select “Off” if you want to disable the tool; select "Expression" if you want to tie the tool's execution to the result of an Expression (this control is only enabled for tool's that provide an Expression parameter); or select an “Input” if you want the tool tied to a specific discrete input line, where it can be turned On or Off (a High signal, 1, is On, a Low signal, 0, is Off). Tying the tool to an input allows a control system, such as a PLC, to determine which tools should run.

Closed Include in Job Pass

Defines whether or not the tool's pass/failure status should be included in the job's overall pass/fail status; by default, it is checked and will be included in the job's overall pass/fail status. Uncheck the check box to keep the tool's pass/failure status separate from the other tools in the job. This control should be unchecked if a tool is expected to fail; for example, if two PatMax Patterns Identification Tools were being used to determine whether or not the part was a right-hand or left-hand part, one of the tools would be expected to fail every time. This situation would result in the job failing every time, regardless of which side of the part was identified, were the checkbox checked.

Closed Execution Time (ms)

Displays the amount of time, in milliseconds, that the tool took to perform its inspection. This time may vary, depending upon the complexity of the scene in the image, as well as the position of the feature within the image, and the amount of variance allowed in the parameters.

Closed Description

A comment that describes the purpose of the tool (by default, the field is blank). Up to 255 alpha-numeric characters or 127 Asian language characters may be used.


PatMax RedLine Pattern and PatMax Pattern Presence/Absence Tools - Settings Tab

Closed Accept Threshold

Defines the degree of similarity that must exist between the Model pattern and the found pattern (0-100; default = 50). Found patterns above, or the equivalent of, the setting are considered a match.This tool executes faster with a higher setting, which also requires a greater degree of similarity between the Model and the found pattern. Lower settings allow for a higher likelihood of less accurate results, such as detection of patterns that are similar to, but not, the Model pattern.

Closed Contrast Threshold

Defines the minimum acceptable contrast that must be present in the found pattern; the contrast for a found pattern must be greater than the Contrast Threshold value to be considered a valid instance. The default value for PatMax RedLine Pattern(s) is 0, and the valid parameter range is 0-100. The default value for PatMax Pattern(s) is 10, and the valid parameter range is 0-255. A low Contrast Threshold value is used for low-contrast images, while a high Contrast Threshold value is used for high-contrast images.

Note: PatMax RedLine Pattern(s) contrast is the "relative" measure of contrast change between features in the trained pattern versus match features in search image, in percentage. Therefore, if feature contrast is similar or high to pattern contrast, reported Contrast will be ~100. If feature contrast is lower than pattern contrast, reported Contrast will be <100. Contrast for PatMax RedLine Pattern(s) is different than contrast for PatMax Pattern(s), which is the "absolute" image contrast of the search ROI, in grey scale level.
Closed Angle Tolerance

Defines how far the found pattern can be rotated from the position of the Model pattern and still be recognized as a valid pattern (± 0-180°; default =15°). Allowing for a greater range of rotational variance of the pattern will increase the tool's execution time.

Closed Scale Tolerance

Defines the allowable percentage of scaling (size variations) between the found pattern and the Model pattern (0-50; default = 0). The value is a plus or minus percentage, e.g. a value of 5 will enable the tool to find patterns that are between 95% and 105% of the Model pattern’s size. Allowing for a greater range of scale variance of the pattern will increase the tool's execution time.

Closed Find Mode

Defines the search mode used for training and recognizing patterns, PatMax or PatQuick. By default, PatMax is selected. PatMax offers higher accuracy than PatQuick, but requires more time to execute, while PatQuick offers lower accuracy than PatMax, but requires less time to execute.

Closed Strict Scoring

Defines whether or not missing or occluded features of the found pattern will affect the score (default = Off, unchecked). When Strict Scoring is applied (On, checked), if features of the pattern are absent or blocked, the score of the found pattern will be lowered.

Closed Strict Scoring

Defines whether or not missing or occluded features of the found pattern will affect the score (default = Off, unchecked). When Strict Scoring is applied (On, checked), if features of the pattern are absent or blocked, the score of the found pattern will be lowered.

Closed Ignore Polarity

Defines whether or not found patterns can contain color-inverted match features , in respect to the Model pattern (default = Off, unchecked). When Ignore Polarity is applied (On, checked), detected patterns with color inverted features, such as black/white vs white/black in the Model pattern, for example, will be classified as matching the Model pattern.

Closed Invert
Defines whether or not the Pass/Fail logic of the tool should be inverted (default = Off, unchecked):Unchecked - Standard results are applied, i.e. the tool result is a Pass if the feature was detected and falls within the specified settings.Checked - Inverts the results, i.e. the tool result is a Fail if the feature was detected and falls within the specified settings.
Closed Timeout
Defines the amount of time, in milliseconds (0 to 30,000), that the tool will search for pattern(s) before execution is stopped and the tool returns a Fail. By default, this parameter is set to 5,000.
Closed Result

Displays the result of the tool: Present if the pattern feature was detected and a score that indicates how closely the found pattern resembles the Model pattern; Not Present if it was not detected or more than one instance of the pattern was detected. Present equates to a Boolean value of 1 (Pass); Not Present equates to a Boolean value of 0 (Fail).

Note: PatMax RedLine Pattern(s) does not contain the Find Mode parameter.


PatMax RedLine Pattern and PatMax Pattern Presence/Absence Tools - Model and Search Tabs

The Model and Search tabs are used to configure composite region for the Model and Search regions of the tool. Composite regions are a collection of sub-regions (Rectangle, Annulus, Circle or Polygon) that either Add to the region (the region will be included in the image analysis) or Subtract from the region (the region will be excluded from the image analysis; also known as "masking").

Note:
  • In the Model tab, the composite regions are only enabled after pressing the Model Region button.
  • A maximum of 32 sub-regions can be used to construct a composite region.
  • A right-click menu is available while interacting with the region in the image, which allows you to change a selected sub-region's shape, add or remove a sub-region, or change a selected sub-region's Operation (Add or Subtract).
Closed Composite Region Table

Displays the type of sub-region(s) that comprise the composite region, as well as its Operation (Add or Subtract). Select a sub-region to enable the Delete, Move Up or Move Down buttons. Pressing the Delete button removes the selected sub-region from the list; pressing the Move Up button moves the selected sub-region up in the list; and pressing the Move Down button moves the selected sub-region down in the list.

Note:

The composite region is built based upon its sequence of sub-regions within the list. By placing sub-regions, and their Add or Subtract Operation, in a specific order, parts of the image may be highlighted while ignoring other areas. The image below shows an example of how to correctly order the sub-regions to exclude part of the image while focusing on other areas. In the first set, a Rectangle with an Add Operation is configured, and then a Circle, with a Subtract Operation, is set in the middle. Then a smaller Rectangle, with an Add Operation, is configured in the middle of the Circle. The Circle excludes part of the image, while the smaller Rectangle adds part of the image area back to the image analysis. In the second set, the smaller Rectangle is added before the Circle, and the Circle masks the smaller Rectangle, excluding it from the image analysis.

Closed Shape

Displays the shape of selected sub-region (Rectangle, Circle, Annulus or Polygon). To change the shape, select the desired region type from the drop-down menu.

Closed Operation

Defines the selected sub-region's action within the region: Add or Subtract. Add indicates that the sub-region will be included in the image analysis while Subtract indicates that the sub-region will be excluded from the image analysis (also known as "masking").

Closed Rectangle

Inserts a rectangle sub-region into the composite region. Configure the shape and size of the region as needed.

Closed Annulus

Inserts an annulus sub-region into the composite region. Configure the shape and size of the region as needed.

Closed Circle

Inserts a circle sub-region into the composite region. Configure the shape and size of the region as needed.

Closed Polygon

Inserts a polygon sub-region into the composite region. Configure the shape and size of the region as needed.


PatMax RedLine Pattern and PatMax Pattern Presence/Absence Tools - Trained Image Tab

The image displayed in the Trained Image tab is a thumb-nail of the Model pattern. Press the Model Region button to re-size or move the Model region, and then press the Train button to re-train the Model pattern.


Presence/Absence Tools - Pattern

The Pattern Presence/Absence Toolis used to determine the presence or absence of a pattern feature, based upon a trained representation of that pattern (called a Model).

The Pattern Presence/Absence Tool is useful in situations where the feature on a good part has a recognizable pattern that isn't present on bad parts, or vice versa. For example, if you're trying to verify whether or not a Philips head screw is present or absent in a mechanical assembly.

This tool returns the following results:

In-Sight Models | Results
In-Sight 2000-110 and 2000-120/120C Vision Sensor | Pass/Fail status only
In-Sight 2000-130/130C Vision Sensor | Pass/Fail status and Pattern Score
In-Sight Vision Systems (All Models) and In-Sight 2000 Series 23X Vision Sensors (23M, 230) | Standard Results (No Limitations)

Setting Up the Tool

Adjusting the Tool Parameters


Setting Up the Pattern Presence/Absence Tool

Once the tool has been added, you will need to configure the regions in the image that will define your pattern (the Model region), and where in the image the pattern will be found (the Search region).

  1. Position the Model region over the pattern that will be used as the training model; make sure that the Model region only covers the important features of the pattern.

  2. Position the Search region so that it covers the areas within the image where you expect the pattern to appear. To help the performance of the tool, create smaller Search regions; the larger the Search region, the longer it will take the tool to perform its inspection.

    Note: The Model and Search regions cannot be bent into an arc or annular shape.
  3. Press the OK button to confirm the regions (press the Cancel button to not add the tool to the job).
  4. With the tool initially configured, load several images and adjust the tool's parameters, as needed, to compensate for your expected ranges of variations.
  5. Finally, if desired, use the tool's Input/Output properties to share tool data between other tools and/or other external devices.


Adjusting the Pattern Presence/Absence Tool Parameters

After the tool’s region has been positioned, you can optimize the tool for your application.

In-Sight 2000 Series Vision Sensors

  • Edit Tool Group Box

In-Sight Vision Systems

The settings pane of the Pattern Presence/Absence Tool consists of the following:

  • General Tab
  • Settings Tab
  • Trained Image Tab
Tip: Test your job, using TestRun. TestRun performs tests on the In-Sight vision system and compares the results of those tests against expected values. This will allow you to see whether or not the job is behaving as expected, or if you will need to adjust certain parameters for allowable variances.

In-Sight 2000 Series Vision Sensors

In-Sight Vision Systems

Copyright © 2008 - 2019 | Cognex Corporation | All Rights Reserved.

EasyBuilder Help | 2019 October 02 | Revision: 5.8.0.1


Adjusting the Pattern Presence/Absence Tool Parameters

Note:
  • This topic describes the user interface when connected to an In-Sight 2000 series vision sensor. If connected to In-Sight vision systems, refer to the In-Sight Vision Systems section of Adjusting the Pattern and Patterns (1-10) Location Tools Parameters.
  • When attempting to load a job containing this tool configured on the In-Sight firmware 5.7.0 or later to an In-Sight vision system running firmware version 5.6.x or earlier, an error message will display and the job load will fail.

After the tool’s region has been positioned, you can optimize the tool for your application.

Closed Pass/Fail Indicator

Displays a green circle [image] or a red rectangle [image] to indicate success and failure, respectively.

Closed Rotation Tolerance

Defines how far the found pattern can be rotated from the position of the trained Model and still be recognized as a valid pattern (± 0 to 180, default = ±45°). Allowing for a greater range of rotational variance of the pattern will increase the tool's execution time. The left handle sets the negative rotation tolerance and the right handle sets the positive rotation tolerance. You can adjust the Rotation Tolerance by adjusting the handles or by entering values in the corresponding edit boxes.

Tip: You can also move the handle by using ARROW keys (UP, DOWN, RIGHT and LEFT).
Closed Part Finding Meter

The Part Finding Meter shows how well the tool found the feature, and sets the minimum Accept Threshold. You can manually set the minimum accept Threshold value (0-100; default = 50) by adjusting the handle or by entering a value in the corresponding edit box.

Tip: You can also move the handle by using ARROW keys (UP, DOWN, RIGHT and LEFT).

If the meter is above the threshold, the tool will consider this part to be found and the meter turns green. If it is below the threshold, it will consider the part not to be found and the meter disappears. If the tool is detecting things that aren't parts, or if it is detecting the wrong feature, move the handle to the right. If the tool is failing to detect some parts, move the handle to the left (or create a new Model Region).Lower settings allow for a higher likelihood of less accurate results, such as detection of patterns that are similar to, but not, the Model pattern.

PASS
FAIL
Note: The Result and Threshold values are displayed when hovering over the slider control.
Closed Invert Result

When enabled, the tool fails if the result falls within the range limits. (Default = Off)

Pass/Fail | (Invert) | Pass/Fail
Pass/Fail | (Invert) | Pass/Fail
Closed ±10% Scale Tolerance

Defines whether or not the tool allows ±10% size variation between the found pattern and the Model pattern.

Trained Pattern | Found Pattern: +10% | Found Pattern: -10%
OFF (default) | (Fail) | (Fail)
ON | (Pass) | (Pass)
Closed Use Manual Timeout

Defines whether or not the timeout setting is applied.

  • Off (default): The timeout setting is disabled (no timeout).

  • On: The timeout setting is enabled. You can manually define the timeout value in milliseconds (0 to 30000), using the edit box.

    Note: Setting the value to 0 will disable the setting and a timeout will not be applied.
Closed Execution Time (ms)

Displays the amount of time, in milliseconds, that the tool took to perform its inspection. This time may vary, depending upon the complexity of the scene in the image, as well as the position of the feature within the image, and the amount of variance allowed in the parameters.

Closed Name

Defines the name of your inspection tool. The default name is “Pattern_1” (if it is the first Pattern tool added to the job, otherwise it will be incremented, e.g. “Pattern_2”, “Pattern_3”, etc.).

Closed Tool Image

Defines which image the tool will utilize to perform its inspection; the unfiltered, acquired image (the default setting), or the output image of an Image Filter Tool. This control is only enabled if an Image Filter Tool has been added.

Closed Include in Job Pass

Defines whether or not the tool's pass/failure status should be included in the job's overall pass/fail status; by default, it is checked and will be included in the job's overall pass/fail status. Uncheck the check box to keep the tool's pass/failure status separate from the other tools in the job. This control should be unchecked if a tool is expected to fail; for example, if two PatMax Patterns Identification Tools were being used to determine whether or not the part was a right-hand or left-hand part, one of the tools would be expected to fail every time. This situation would result in the job failing every time, regardless of which side of the part was identified, were the checkbox checked.

Closed Enabled

Defines when and whether or not the inspection tool should run (default setting is “On”).

  • Select “Off” if you want to disable the tool.
  • Select an Input line if you want the tool tied to a specific discrete input line, where it can be turned On or Off (a High signal, 1, is On, a Low signal, 0, is Off). Connecting the tool to an input allows a control system, such as a PLC, to determine which tools should run, and when.
Closed Fixture

Selects a fixture for the tool. The Fixture button turns orange when the fixture control is enabled.

Note: This control can only be enabled if another tool that defines a fixture has already been added.
Closed Train Input

Defines whether or not to train a Model pattern over an input line (default setting is "Off", disabled).

  • Input: Trains a Model pattern over an input line. The selected input line will be used as a train signal.

    Note:
    • This option will not be displayed when the In-Sight vision system does not have discrete inputs (e.g. In-Sight 8000 series vision system using Direct I/O).
    • The selected Input line's Signal Type must be set to Event Trigger in the Inputs/Outputs application step.
    • Training of a Model pattern will use the most recent image acquired by the vision system/sensor. It is not necessary to re-trigger the vision system/sensor in order to train.
    • For more information, refer to Inputs: Training a Model Pattern over an Input Line
Closed Description

A comment that describes the purpose of the tool (by default, the field is blank). Up to 255 alpha-numeric characters or 127 Asian language characters may be used.

Closed Model Region

The image is a thumb-nail of the Model pattern. Press the Model Region button to re-size or move the Model region, and then press the Train button to re-train the Model pattern.


Pattern Presence/Absence Tool - General Tab

Closed Tool Name

Defines the name of your inspection tool, which will be utilized in configuring the results (Inputs/Outputs and Communication); the default name is “Pattern_1” (if it is the first Pattern tool added to the job, otherwise it will be incremented, e.g. “Pattern_2”, “Pattern_3”, etc.). Customize your tool by giving it a name that is associated with your particular application.

Closed Tool Image

Defines which image the tool will utilize to perform its inspection; the unfiltered, acquired image (the default setting), or the output image of an Image Filter Tool. This control is only enabled if an Image Filter Tool has been added.

Closed Tool Fixture

Defines a fixture for the tool. This control is only enabled if another tool that defines a fixture has already been added.

Closed Tool Enabled

Defines when and whether or not the inspection tool should run (default setting is “On”). Select “Off” if you want to disable the tool; select "Expression" if you want to tie the tool's execution to the result of an Expression (this control is only enabled for tool's that provide an Expression parameter); or select an “Input” if you want the tool tied to a specific discrete input line, where it can be turned On or Off (a High signal, 1, is On, a Low signal, 0, is Off). Tying the tool to an input allows a control system, such as a PLC, to determine which tools should run.

Closed Include in Job Pass

Defines whether or not the tool's pass/failure status should be included in the job's overall pass/fail status; by default, it is checked and will be included in the job's overall pass/fail status. Uncheck the check box to keep the tool's pass/failure status separate from the other tools in the job. This control should be unchecked if a tool is expected to fail; for example, if two PatMax Patterns Identification Tools were being used to determine whether or not the part was a right-hand or left-hand part, one of the tools would be expected to fail every time. This situation would result in the job failing every time, regardless of which side of the part was identified, were the checkbox checked.

Closed Execution Time (ms)

Displays the amount of time, in milliseconds, that the tool took to perform its inspection. This time may vary, depending upon the complexity of the scene in the image, as well as the position of the feature within the image, and the amount of variance allowed in the parameters.

Closed Description

A comment that describes the purpose of the tool (by default, the field is blank). Up to 255 alpha-numeric characters or 127 Asian language characters may be used.


Pattern Presence/Absence Tool - Settings Tab

Closed Train Input

Defines whether or not to train a Model pattern over an input line (default setting is "Off", disabled).

  • Input: Trains a Model pattern over an input line. The selected input line will be used as a train signal.

    Note:
    • This option will not be displayed when the In-Sight vision system does not have discrete inputs (e.g. In-Sight 8000 series vision system using Direct I/O).
    • The selected Input line's Signal Type must be set to Event Trigger in the Inputs/Outputs application step.
    • Training of a Model pattern will use the most recent image acquired by the vision system/sensor. It is not necessary to re-trigger the vision system/sensor in order to train.
    • For more information, refer to Inputs: Training a Model Pattern over an Input Line
Closed Accept Threshold

Defines the degree of similarity that must exist between the Model pattern and the found pattern (0-100; default = 50). Found patterns above, or the equivalent of, the setting are considered a match. This tool executes faster with a higher setting, which also requires a greater degree of similarity between the Model and the found pattern. Lower settings allow for a higher likelihood of less accurate results, such as detection of patterns that are similar to, but not, the Model pattern.

Closed Rotation Tolerance

Defines how far the found pattern can be rotated from the position of the Model pattern and still be recognized as a valid pattern (± 0-180°; default =15°).Allowing for a greater range of rotational variance of the pattern will increase the tool's execution time.

Closed Scale Tolerance

Defines the tool's tolerance to changes in the pattern's scale, within ±10% of the trained pattern's size. By default, this setting is off (unchecked), which disables scale adjustments. In this mode of operation, the tool will still find patterns that are within ±10% range, but the score of the feature will decrease as the scale percentage increases.

Closed Invert Result
Defines whether or not the Pass/Fail logic of the tool should be inverted (default = Off, unchecked):Unchecked - Standard results are applied, i.e. the tool result is a Pass if the feature was detected and falls within the specified settings.Checked - Inverts the results, i.e. the tool result is a Fail if the feature was detected and falls within the specified settings.
Closed Model Type

Defines how the tool constructs the Model pattern; Area Model or Edge Model (the default). Area Model creates the Model pattern based on a uniform sampling of the grayscale values in the Model region. Edge Model creates the Model pattern based on the detected edges (light/dark transitions) of the pattern feature within the Model region.

Closed Accuracy

Defines how the tool will qualify the tradeoff between accuracy/reliability versus execution speed; Accurate, Medium (the default) and Fast. Accurate specifies a focus on higher accuracy/reliability, and slower execution speed, Fast specifies a lower focus on accuracy/reliability, and faster execution speed, while Medium specifies a middle stance between the two.

Closed Timeout

Defines the amount of time, in milliseconds (0 to 30,000), that the tool will search for pattern(s) before execution is stopped and the tool returns a Fail.

Closed Result

Displays the result of the tool: Present if the pattern feature was detected and a score that indicates how closely the found pattern resembles the Model pattern;Not Present if it was not detected or more than one instance of the pattern was detected.Present equates to a Boolean value of 1 (Pass); Not Present equates to a Boolean value of 0 (Fail).


Pattern Presence/Absence Tool - Trained Image Tab

The image displayed in the Trained Image tab is a thumb-nail of the Model pattern. Press the Model Region button to re-size or move the Model region, and then press the Train button to re-train the Model pattern.


Presence/Absence Tools - Pixel Count

The Pixel Count Presence/Absence Tool determines whether or not a feature is present or absent, based upon the number of the white or black pixels in the region, and reports that value.

The tool computes the optimal greyscale threshold value - 0 to 255 - that separates the image between white and black pixels, and then performs a count of the pixels that fall above or below that threshold (depending upon the settings).

The Pixel Count Presence/Absence Tool is useful in situations where you need to determine whether or not a feature is present or absent, based upon the number of white or black pixels in a region. For example, verifying that the right amount of solder has been dispensed around a circuit board lead, or verifying the presence of a complete inkjet text string on a label.

This tool returns the following results:

In-Sight Models | Results
In-Sight 2000 Series 1XX Vision Sensors (110, 120, 130) | Pass/Fail status only
In-Sight Vision Systems (All Models) and In-Sight 2000 Series 23X Vision Sensors (23M, 230) | Standard Results (No Limitations)

Setting Up the Tool

Adjusting the Tool Parameters


Setting Up the Pixel Count Presence/Absence Tool

Once the tool has been added, you will need to select the type of region and then configure it within the image to isolate your feature:

  1. From the Region Type drop-down menu, select the type of region: Rectangle (default), Circle, Annulus or Polygon. Position the region over the feature and make sure that the boundaries of the region cover the feature. The boundaries should be configured so that they only enclose the feature you want to measure - if the region is larger than the feature, this may produce inaccurate results because the pixels in the background will be calculated, as well. To help the performance of the tool, create smaller regions; larger regions take longer to inspect. If you’re not using a fixture, ensure that the feature is present in roughly the same location in every image, or the region is large enough to account for the expected movement of the feature.

    Note: After adding the tool, you can change the type of region by right-clicking the region in the image and selecting the desired shape from the Change Region to option.
  2. Press the OK button to confirm the region (press the Cancel button to not add the tool to the job).
  3. With the tool initially configured, load several images and adjust the tool's parameters, as needed, to compensate for your expected ranges of variations.
  4. Finally, if desired, use the tool's Input/Output properties to share tool data between other tools and/or other external devices.

Selecting a Feature


Selecting a Feature

When choosing a feature to use for your inspection, consider the following guidelines to ensure the best results:

  • If you’re not using a fixture, ensure that the feature is present in roughly the same location in every image, or the region is large enough to account for the expected movement of the feature.
  • The Pixel Count Tool is useful in applications where the feature being inspected contains a mixture of greyscale values when present, and a uniform set of greyscale values when absent.
  • The Pixel Count Tool is able to differentiate between subtle differences in brightness and contrast, and is more accurate in gauging those differences than the Brightness or Contrast Presence/Absence Tools..
Closed Example

In this example, three Pixel Count tools are being used to verify that the solder pads on the circuit board assembly are correctly soldered to the board and lead, and two Edge Location Tools are being used on the highly contrasted edges of circuit board to fixture the three Pixel Count tools.


Adjusting the Pixel Count Presence/Absence Tool Parameters

After the tool’s region has been positioned, you can optimize the tool for your application.

In-Sight 2000 Series Vision Sensors

  • Edit Tool Group Box

In-Sight Vision Systems

The settings pane of the Pixel Count Presence/Absence Tool consists of the following tabs:

  • General Tab
  • Settings Tab
  • Range Limits Tab
  • Histogram Tab
  • Composite Region Tab
Tip: Test your job, using TestRun. TestRun performs tests on the In-Sight vision system and compares the results of those tests against expected values. This will allow you to see whether or not the job is behaving as expected, or if you will need to adjust certain parameters for allowable variances.

In-Sight 2000 Series Vision Sensors

In-Sight Vision Systems

Copyright © 2008 - 2019 | Cognex Corporation | All Rights Reserved.

EasyBuilder Help | 2019 October 02 | Revision: 5.8.0.1


Adjusting the Pixel Count Presence/Absence Tool Parameters

Note: This topic describes the user interface when connected to an In-Sight 2000 series vision sensor. If connected to In-Sight vision systems, refer to the In-Sight Vision System section of Adjusting the Pixel Count Presence/Absence Tool Parameters .

After the tool’s region has been positioned, you can optimize the tool for your application.

Closed Pass/Fail Indicator

Displays a green circle [image] or a red rectangle [image] to indicate success and failure, respectively.

Closed Pixel Selector

Defines how the tool segments the image into areas of black pixels and white pixels. By default, the tool counts the black pixels, and the black pixels are highlighted yellow in the region.

Original Image
Selected Pixel Color = Black

The left handle sets the low threshold value (0 - 255) and the right handle sets the high threshold value (0 - 255). You can manually set the values by adjusting the handles or by entering values in the corresponding edit boxes.

Tip: You can also move the handle by using ARROW keys (UP, DOWN, RIGHT and LEFT).

To count white pixels, press [image]. Now the white pixels are highlighted yellow in the selected region.

Selected Pixel Color = White
Closed Auto Button

Automatically sets the range limits to be the most recent tool result, +/- 10% of the maximum result value for the tool. For example, if the maximum result value for the tool is 255 and the most recent tool result is 150, then clicking the Auto button will set the minimum range limit to 125 (=150 - 25), and the maximum range limit to 175 (=150 + 25).

Closed Pixel Counter Meter and Pass Range

Defines the acceptable number of pixels in the region. The handles set the minimum and maximum number of black or white pixels that must be counted within the range limits in order for the tool to pass.

PASS
FAIL

If the Result falls between the left and right handles, the tool passes and the green border is displayed around the meter. Otherwise, the tool fails and the red border is displayed around the meter.

You can manually set the values by adjusting the handles or by entering values in the corresponding edit boxes.

Tip: You can also move the handle by using ARROW keys (UP, DOWN, RIGHT and LEFT).
Note: The Result (the number of pixels found in the region) and Pass Range values are displayed when hovering over the slider control.
Closed Invert Result

When enabled, the tool fails if the result falls within the range limits. (Default = Off)

Pass/Fail | (Invert) | Pass/Fail
Pass/Fail | (Invert) | Pass/Fail
Closed Show Details

Defines whether or not the counted pixels are always displayed in the image area (highlighted yellow).

Tip: To display the counted pixels on VisionView, select the Show_Details symbolic name in EasyView in the Communication application step and check the Show_Details checkbox on the VisionView application. For more information on how data is displayed on VisionView, refer to Configuring an EasyView.
  • On ( [image] = default): the counted pixels are always displayed in the image area unless other location or inspection tool is being edited.

  • Off ( [image]): the counted pixels are displayed in the image area only when this tools is being edited.

Closed Invert Selected Pixels

Changes the color of the pixels to count - Black [image] or White [image] (default = Black ).

Closed Execution Time (ms)

Displays the amount of time, in milliseconds, that the tool took to perform its inspection. This time may vary, depending upon the complexity of the scene in the image, as well as the position of the feature within the image, and the amount of variance allowed in the parameters.

Closed Name

Defines the name of your inspection tool. ,The default name is “Pixels_1” (if it is the first Pattern tool added to the job, otherwise it will be incremented, e.g. “Pixels_2”, “Pixels_3”, etc.).

Closed Tool Image

Defines which image the tool will utilize to perform its inspection; the unfiltered, acquired image (the default setting), or the output image of an Image Filter Tool. This control is only enabled if an Image Filter Tool has been added.

Closed Include in Job Pass

Defines whether or not the tool's pass/failure status should be included in the job's overall pass/fail status; by default, it is checked and will be included in the job's overall pass/fail status. Uncheck the check box to keep the tool's pass/failure status separate from the other tools in the job. This control should be unchecked if a tool is expected to fail; for example, if two PatMax Patterns Identification Tools were being used to determine whether or not the part was a right-hand or left-hand part, one of the tools would be expected to fail every time. This situation would result in the job failing every time, regardless of which side of the part was identified, were the checkbox checked.

Closed Enabled

Defines when and whether or not the inspection tool should run (default setting is “On”).

  • Select “Off” if you want to disable the tool.
  • Select an Input line if you want the tool tied to a specific discrete input line, where it can be turned On or Off (a High signal, 1, is On, a Low signal, 0, is Off). Connecting the tool to an input allows a control system, such as a PLC, to determine which tools should run, and when.
Closed Fixture

Selects a fixture for the tool. The Fixture button turns orange when the fixture control is enabled.

Note: This control can only be enabled if another tool that defines a fixture has already been added.
Closed Description

A comment that describes the purpose of the tool (by default, the field is blank). Up to 255 alpha-numeric characters or 127 Asian language characters may be used.


Pixel Count Presence/Absence Tool - General Tab

Closed Tool Name

Defines the name of your inspection tool, which will be utilized in configuring the results Inputs/Outputs and Communication); the default name is “Pixels_1” (if it is the first Pixel Count tool added to the job, otherwise it will be incremented, e.g. “Pixels_2”, “Pixels_3”, etc.). Customize your tool by giving it a name that is associated with your particular application.

Closed Tool Image

Defines which image the tool will utilize to perform its inspection; the unfiltered, acquired image (the default setting), or the output image of an Image Filter Tool. This control is only enabled if an Image Filter Tool has been added.

Closed Tool Fixture

Defines a fixture for the tool. This control is only enabled if another tool that defines a fixture has already been added.

Closed Tool Enabled

Defines when and whether or not the inspection tool should run (default setting is “On”). Select “Off” if you want to disable the tool; select "Expression" if you want to tie the tool's execution to the result of an Expression (this control is only enabled for tool's that provide an Expression parameter); or select an “Input” if you want the tool tied to a specific discrete input line, where it can be turned On or Off (a High signal, 1, is On, a Low signal, 0, is Off). Tying the tool to an input allows a control system, such as a PLC, to determine which tools should run.

Closed Include in Job Pass

Defines whether or not the tool's pass/failure status should be included in the job's overall pass/fail status; by default, it is checked and will be included in the job's overall pass/fail status. Uncheck the check box to keep the tool's pass/failure status separate from the other tools in the job. This control should be unchecked if a tool is expected to fail; for example, if two PatMax Patterns Identification Tools were being used to determine whether or not the part was a right-hand or left-hand part, one of the tools would be expected to fail every time. This situation would result in the job failing every time, regardless of which side of the part was identified, were the checkbox checked.

Closed Execution Time (ms)

Displays the amount of time, in milliseconds, that the tool took to perform its inspection. This time may vary, depending upon the complexity of the scene in the image, as well as the position of the feature within the image, and the amount of variance allowed in the parameters.

Closed Description

A comment that describes the purpose of the tool (by default, the field is blank). Up to 255 alpha-numeric characters or 127 Asian language characters may be used.


Pixel Count Presence/Absence Tool - Settings Tab

Closed Threshold Mode

Defines the mode for determining the grayscale value that segments the region of the image into black and white pixels. When Auto is selected (default = Auto) , the tool will create a default "Smart Setting" based on your image, each time an image is acquired, constantly adjusting for changes in brightness from image to image. When Manual is selected, you manually enter and adjust the two threshold values.

Closed Low Threshold

Defines the grayscale value that separates black pixels from white pixels (0 - 255, when enabled). If the High Threshold value is ≥ the Low Threshold value, white pixels are defined as Low Threshold ≤ value ≤ High Threshold; if High Threshold < Low Threshold, white pixels are defined as value ≤ High Threshold or Low Threshold ≤ value. This control is Off by default, and requires that the Threshold Mode be set to Manual to be enabled. Use the graph in the Histogram tab to set an optimal value for your application.

  • Low Threshold ≤ High Threshold: Everything between the thresholds is considered "White" regardless of the actual grayscale value. Everything outside of the thresholds is considered to be "Black" regardless of the actual grayscale value.
  • High Threshold ≤ Low Threshold: Everything between the thresholds is considered "Black" regardless of the actual grayscale value. Everything outside of the thresholds is considered to be "White" regardless of the actual grayscale value.
Closed High Threshold

Defines the grayscale value that separates black pixels from white pixels (0 - 255, when enabled). If the High Threshold value is ≥ the Low Threshold value, white pixels are defined as Low Threshold ≤ value ≤ High Threshold; if High Threshold < Low Threshold, white pixels are defined as value ≤ High Threshold or Low Threshold ≤ value. This control is Off by default, and requires that the Threshold Mode be set to Manual to be enabled. Use the graph in the Histogram tab to set an optimal value for your application.

  • Low Threshold ≤ High Threshold: Everything between the thresholds is considered "White" regardless of the actual grayscale value. Everything outside of the thresholds is considered to be "Black" regardless of the actual grayscale value.
  • High Threshold ≤ Low Threshold: Everything between the thresholds is considered "Black" regardless of the actual grayscale value. Everything outside of the thresholds is considered to be "White" regardless of the actual grayscale value.
Closed Polarity

Defines the color of the pixels to count – Black or White (default = White).


Pixel Count Presence/Absence Tool - Range Limits Tab

Closed Maximum

Defines the maximum acceptable number of pixels in the region; the tool will create a "Smart Limit" default setting based on your image, which you can customize to suit the needs of your application.

Closed Pixels

Reports the number of pixels found in the region (the value can range from 0 to the maximum area of the region); values that fall exactly at, or between, the Minimum and Maximum settings are classified as a Pass.

Closed Minimum

Defines the minimum acceptable number of pixels in the region; the tool will create a "Smart Limit" default setting based on your image, which you can customize to suit the needs of your application.

Closed Invert Result

Defines whether or not the Pass/Fail logic of the tool should be inverted (default = Off, unchecked):

  • Unchecked - Standard results are applied, i.e. the tool result is a Pass if the feature was detected and falls within the specified settings.
  • Checked - Inverts the results, i.e. the tool result is a Fail if the feature was detected and falls within the specified settings.
Closed Auto Limits button

Defines the limits based on the Smart Limits settings. This button is useful when a parameter has been changed and the limits need to be adjusted, or the tool has been added and no limits have been defined.


Pixel Count Presence/Absence Tool - Histogram Tab

The Histogram Tab is a histogram representation of the greyscale values of the pixels in the region.

  • The X-axis of the graph represents the total number of greyscale values (0 to 255, or 256 total shades of grey).
  • The Y-axis of the graph represents the number of pixels at a given greyscale value, and the scale is established by displaying the greyscale value with the greatest number of pixels.
  • The blue vertical line indicates the threshold that is being used to separate the region of the image into black and white pixels; values to the left of the line are considered black and values to the right are considered white.
Note: The graph will be displayed regardless of the Online/Offline status and the pass/fail state of the tool. However, if the tool is failing, the graph may not update.


Pixel Count Presence/Absence Tool - Composite Region Tab

The Composite Region tab is used to configure a composite region, a collection of sub-regions (Rectangle, Annulus, Circle or Polygon) that either Add to the region (the region will be included in the image analysis) or Subtract from the region (the region will be excluded from the image analysis; also known as "masking").

Note:
  • A maximum of 32 sub-regions can be used to construct a composite region.
  • A right-click menu is available while interacting with the region in the image, which allows you to change a selected sub-region's shape, add or remove a sub-region, or change a selected sub-region's Operation (Add or Subtract).
Closed Composite Region Table

Displays the type of sub-region(s) that comprise the composite region, as well as its Operation (Add or Subtract). Select a sub-region to enable the Delete, Move Up or Move Down buttons. Pressing the Delete button removes the selected sub-region from the list; pressing the Move Up button moves the selected sub-region up in the list; and pressing the Move Down button moves the selected sub-region down in the list.

Note:

The composite region is built based upon its sequence of sub-regions within the list. By placing sub-regions, and their Add or Subtract Operation, in a specific order, parts of the image may be highlighted while ignoring other areas. The image below shows an example of how to correctly order the sub-regions to exclude part of the image while focusing on other areas. In the first set, a Rectangle with an Add Operation is configured, and then a Circle, with a Subtract Operation, is set in the middle. Then a smaller Rectangle, with an Add Operation, is configured in the middle of the Circle. The Circle excludes part of the image, while the smaller Rectangle adds part of the image area back to the image analysis. In the second set, the smaller Rectangle is added before the Circle, and the Circle masks the smaller Rectangle, excluding it from the image analysis.

Closed Shape

Displays the shape of selected sub-region (Rectangle, Circle, Annulus or Polygon). To change the shape, select the desired region type from the drop-down menu.

Closed Operation

Defines the selected sub-region's action within the region: Add or Subtract. Add indicates that the sub-region will be included in the image analysis while Subtract indicates that the sub-region will be excluded from the image analysis (also known as "masking").

Closed Rectangle

Inserts a rectangle sub-region into the composite region. Configure the shape and size of the region as needed.

Closed Annulus

Inserts an annulus sub-region into the composite region. Configure the shape and size of the region as needed.

Closed Circle

Inserts a circle sub-region into the composite region. Configure the shape and size of the region as needed.

Closed Polygon

Inserts a polygon sub-region into the composite region. Configure the shape and size of the region as needed.


Presence/Absence Tools - Color Pixel Count

The Color Pixel Count Presence/Absence Tool determines whether or not a feature is present or absent, based upon the number of pixels that matches the trained Colors in the Color Table (In-Sight 2000 series color vision sensors) or the selected Color Models in the trained library (In-Sight color vision systems) that are present in the region, and reports that value.

This tool returns the following results:

In-Sight Models | Results
In-Sight 2000 Series 1XX Vision Sensors (110, 120, 130) | Pass/Fail status only
In-Sight Vision Systems (All Models) and In-Sight 2000 Series 23X Vision Sensors (23M, 230) | Standard Results (No Limitations)

Setting Up the Tool

Adjusting the Tool Parameters


Setting Up the Color Pixel Count Presence/Absence Tool

Once the tool has been added, you will need to select the type of region and then configure it within the image to isolate your feature:

In-Sight 2000 Series Color Vision Sensors

In-Sight Color Vision Systems

In-Sight 2000 Series Color Vision Sensors

  1. From the Region Type drop-down menu, select the type of region: Rectangle (default), Circle, Annulus or Polygon. Position the region over the feature and make sure that the boundaries of the region cover the feature. The boundaries should be configured so that they only enclose the feature you want to measure - if the region is larger than the feature, this may produce inaccurate results because the pixels in the background will be calculated, as well. To help the performance of the tool, create smaller regions; larger regions take longer to inspect. If you’re not using a fixture, ensure that the feature is present in roughly the same location in every image, or the region is large enough to account for the expected movement of the feature.

    Note: After adding the tool, you can change the type of region by right-clicking the region in the image and selecting the desired shape from the Change Region to option.
  2. Press the OK button to confirm the region (press the Cancel button to not add the tool to the job).

  3. Once the region has been configured, you will need to train the tool's color settings.

    Note: By default, the tool will automatically result in a Fail until completing color selections.
  4. Press the Train Colors button. The color training context pane is displayed.
  5. To add colors, click [image].
  6. Move the cursor to the image area. In the context pane, a magnifier will be displayed to help you find the color.

  7. Click to select the desired color. Once clicked, the color is added to the color table below and all pixels within the region that match the selected color will be turned yellow.

    Before Adding Color Selecting Color After Adding Color
  8. Repeat steps 6 and 7 until the color table contains all necessary colors.
  9. To subtract colors, click [image] and repeat steps 6 through 8.
  10. Click the Finish Color Selection button to return to the general context pane.
  11. With the tool initially configured, load several images and adjust the tool's parameters, as needed, to compensate for your expected ranges of variations.
  12. Finally, if desired, use the tool's Input/Output properties to share tool data between other external devices.

In-Sight Color Vision Systems

The Color Pixel Count Presence/Absence Tool references a trained library of Color Models, and then determines the number of pixels present in the region that match the selected and trained Color Models in the trained library. The tool then creates a binary greyscale output image, where every pixel that matches an active Color Model is set to White (255), while all other pixels are set to Black (0). Using this binary output image, the tool then searches the image and records the number of pixels that match the active Color Model(s).

  1. From the Region Type drop-down menu, select the type of region: Rectangle (default), Circle, Annulus or Polygon. Position the region over the feature and make sure that the boundaries of the region cover the feature. The boundaries should be configured so that they only enclose the feature you want to measure - if the region is larger than the feature, this may produce inaccurate results because the pixels in the background will be calculated, as well. To help the performance of the tool, create smaller regions; larger regions take longer to inspect. If you’re not using a fixture, ensure that the feature is present in roughly the same location in every image, or the region is large enough to account for the expected movement of the feature.

    Note: After adding the tool, you can change the type of region by right-clicking the region in the image and selecting the desired shape from the Change Region to option.
  2. Press the OK button to confirm the region (press the Cancel button to not add the tool to the job).
  3. Once the search region has been configured, you will need to configure the tool's Color Library and activate the appropriate Color Model(s):

    • If this is the first time that a color tool (Color Blob and Color Blobs (1-10) Location Tools, Color Pixel Count and Color Blob Presence/Absence Tools, Color Blob Area and Color Blob Areas (1-10) Measurement Tools, Color Blobs Counting Tool, Color Model Identification Tool or Color to Binary Image Filter Tool) has been added, you will need to first define the Color Library(s) and its Color Model(s).

    • If another color tool has previously been added and you want to utilize an existing Color Library and its trained Color Models, go to the Settings tab and select your desired Color Library, and then activate your desired Color Models by checking them in the Library tab.

    • By default, the tool will automatically result in a Fail until a Color Library has been defined. If a Color Library has been defined, the tool will automatically use that library and activate all Color Models contained within.

  4. Once the Color Model(s) and Color Library(s) have been set, the tool will process the image and all pixels within the search region that match the selected Color Model(s) will be turned white (255), and those pixels not matching the selected Color Model(s) will be set to black (0).
  5. With the tool initially configured, load several images and adjust the tool's parameters, as needed, to compensate for your expected ranges of variations.
  6. Finally, if desired, use the tool's Input/Output properties to share tool data between other tools and/or other external devices.


Adjusting the Color Pixel Count Presence/Absence Tool Parameters

After the tool’s region has been positioned, you can optimize the tool for your application.

In-Sight 2000 Series Vision Sensors

  • Edit Tool Group Box

In-Sight Vision Systems

The settings pane of the Color Pixel Count Presence/Absence Tool consists of the following tabs:

  • General Tab
  • Settings Tab
  • Range Limits Tab
  • Color Library Tab
  • Composite Region Tab
Tip: Test your job, using TestRun. TestRun performs tests on the In-Sight vision system and compares the results of those tests against expected values. This will allow you to see whether or not the job is behaving as expected, or if you will need to adjust certain parameters for allowable variances.

In-Sight 2000 Series Vision Sensors

In-Sight Vision Systems

Copyright © 2008 - 2019 | Cognex Corporation | All Rights Reserved.

EasyBuilder Help | 2019 October 02 | Revision: 5.8.0.1


Adjusting the Color Pixel Count Presence/Absence Tool Parameters

Note: This topic describes the user interface when connected to an In-Sight 2000 series vision sensor. If connected to In-Sight vision systems, refer to the In-Sight Vision System section of Adjusting the Pixel Count Presence/Absence Tool Parameters .

After the tool’s region has been positioned, you can optimize the tool for your application.

General Context Pane

Closed Pass/Fail Indicator

Displays a green circle [image] or a red rectangle [image] to indicate success and failure, respectively.

Closed Train Colors

Opens the color training context pane.

Closed Color Tiles

Displays the first 5 trained colors added by the Select Colors to Add [image] button in the color training context pane. You can go to the color training context pane by clicking a color tile.

Closed Pixel Counter Meter and Pass Range

Defines the acceptable number of pixels in the region. The handles set the minimum and maximum number of pixels that must be counted within the range limits in order for the tool to pass.

PASS
FAIL

If the Result falls between the left and right handles, the tool passes and the green border is displayed around the meter. Otherwise, the tool fails and the red border is displayed around the meter.

You can manually set the values by adjusting the handles or by entering values in the corresponding edit boxes.

Tip: You can also move the handle by using ARROW keys (UP, DOWN, RIGHT and LEFT).
Note: The Result (the number of pixels found in the region) and Pass Range values are displayed when hovering over the slider control.
Closed Auto Button

Automatically sets the range limits to be the most recent tool result, +/- 10% of the maximum result value for the tool. For example, if the maximum result value for the tool is 255 and the most recent tool result is 150, then clicking the Auto button will set the minimum range limit to 125 (=150 - 25), and the maximum range limit to 175 (=150 + 25).

Closed Invert Result

When enabled, the tool fails if the result falls within the range limits. (Default = Off)

Pass/Fail | (Invert) | Pass/Fail
Pass/Fail | (Invert) | Pass/Fail
Closed Show Details

Defines whether or not the counted pixels are always displayed in the image area (highlighted yellow).

Tip: To display the counted pixels on VisionView, select the Show_Details symbolic name in EasyView in the Communication application step and check the Show_Details checkbox on the VisionView application. For more information on how data is displayed on VisionView, refer to Configuring an EasyView.
  • On ( [image] = default): the counted pixels are always displayed in the image area unless other location or inspection tool is being edited.

  • Off ( [image]): the counted pixels are displayed in the image area only when this tools is being edited.

Closed Execution Time (ms)

Displays the amount of time, in milliseconds, that the tool took to perform its inspection. This time may vary, depending upon the complexity of the scene in the image, as well as the position of the feature within the image, and the amount of variance allowed in the parameters.

Closed Name

Defines the name of your inspection tool. The default name is “ColorPixels_1” (if it is the first Pattern tool added to the job, otherwise it will be incremented, e.g. “ColorPixels_2”, “ColorPixels_3”, etc.).

Closed Include in Job Pass

Defines whether or not the tool's pass/failure status should be included in the job's overall pass/fail status; by default, it is checked and will be included in the job's overall pass/fail status. Uncheck the check box to keep the tool's pass/failure status separate from the other tools in the job. This control should be unchecked if a tool is expected to fail; for example, if two PatMax Patterns Identification Tools were being used to determine whether or not the part was a right-hand or left-hand part, one of the tools would be expected to fail every time. This situation would result in the job failing every time, regardless of which side of the part was identified, were the checkbox checked.

Closed Enabled

Defines when and whether or not the inspection tool should run (default setting is “On”).

  • Select “Off” if you want to disable the tool.
  • Select an Input line if you want the tool tied to a specific discrete input line, where it can be turned On or Off (a High signal, 1, is On, a Low signal, 0, is Off). Connecting the tool to an input allows a control system, such as a PLC, to determine which tools should run, and when.
Closed Fixture

Selects a fixture for the tool. The Fixture button turns orange when the fixture control is enabled.

Note: This control can only be enabled if another tool that defines a fixture has already been added.
Closed Description

A comment that describes the purpose of the tool (by default, the field is blank). Up to 255 alpha-numeric characters or 127 Asian language characters may be used.

Color Training Context Pane

Closed Select Colors to Add and Select Colors to Subtract Buttons

  • Select Colors to Add: Add "colors to add" to the color table. The colors selected by this button will be included when determining the number of pixels present in the region. After selecting a color you want to add, all pixels within the region that matches the selected color will be turned yellow.

    Note: The first 5 colors selected by this button will be displayed as "color tiles" in the general context pane.
    Before Adding Color After Adding Color
  • Select Colors to Subtract: Add "colors to subtract" to the color table. The colors selected by this button will be excluded when determining the number of pixels in the region.

Once the Select Colors to Add or Select Colors to Subtract button is clicked and the cursor is moved to the image area, an image magnifier will be displayed in the context pane to help you to find the color you want to select.

Image Magnifier
Closed Color Table

  • Color: Displays the Colors added using the Select Colors to Add and Select Colors to Subtract buttons.

    Note: The RBG values are displayed when hovering over the slider control.

  • Tolerance: Defines the Color's Tolerance setting (0 - 10; default = 2). You can increase/decrease the Tolerance to include more/fewer hues of the trained color.

    Note: The Tolerance value is displayed when hovering over the slider control.
    Original Image

    Tolerance = 0.5

             Tolerance = 2 (default) Tolerance = 7
  • Operations:
    • Change to Subtract Color: The Color is highlighted yellow in the region, and included when determining the number of pixels present in the region. This button is a toggle; to change to subtract color, click this button.
    • Change to Add Color: The Color is excluded when determining the number of pixels in the region. This button is a toggle; to change to add color, click this button.

    • Move Up/Down: Changes the order of operations of the Colors in the table. The color operation will be executed from top to bottom.

    • Delete Color: Deletes the Color from the table.
Closed Ignore Brightness

When the Ignore Brightness checkbox is checked (default), a larger number of pixels that are darker/lighter than the trained color(s) will be counted. This can help to improve the performance of the tool if the image intensity is not uniform across the field of view. However, if black and/or white pixels are being counted in addition to the trained colors, this option should be unchecked.

Closed Finish Color Selection

Returns to the general context pane.

Color Operations Examples

Closed Examples

In this example, you want to select the "blue" and "green" chalks in the image.

Example 1

  1. Select "blue" and "green" in the image using the Select Colors to Add [image] button.

    Original Image Select "Blue (Add) " & "Green (Add)"

  2. As a result, the purple chalks are also partially highlighted because these colors (blue, green and purple) are very similar. "Purple" comes from "blue" (see the image below); if you select a blue (or dark cyan) color, similar colors from purple will also be selected.

  3. Now you want to subtract "purple" from the image. Select "purple" from the purple chalk's highlighted area using the Select Colors to Subtract [image] button.

    Select "Purple (Subtract)"
  4. Now you have successfully selected the blue and green chalks.

Example 2

In this example, you also want to select the "blue" and "green" chalks in the image; however, you may not be able to achieve the desired result because the order of color operations is different.

  1. Select "blue" in the image using the Select Colors to Add [image] button.

  2. Select "purple" using the Select Colors to Subtract [image] button.

    Select "Blue (Add)" & "Purple (Subtract)"

  3. Select "green" in the image using the Select Colors to Add [image] button.

    Select "Green (Add)"
  4. As a result, the purple chalks are partially highlighted because "green" and "purple" are very similar. If you select a green color, similar colors from purple will also be selected.
  5. To remove "purple" from the image, move the purple operation to the bottom using the Move Down [image] button. Alternatively, you can add the second purple operation using the Select Colors to Subtract [image] button, after "green".


Color Pixel Count Presence/Absence Tool - General Tab

Closed Tool Name

Defines the name of your inspection tool, which will be utilized in configuring the results Inputs/Outputs and Communication); the default name is “Pixels_1” (if it is the first Pixel Count tool added to the job, otherwise it will be incremented, e.g. “Pixels_2”, “Pixels_3”, etc.). Customize your tool by giving it a name that is associated with your particular application.

Closed Tool Fixture

Defines a fixture for the tool. This control is only enabled if another tool that defines a fixture has already been added.

Closed Tool Enabled

Defines when and whether or not the inspection tool should run (default setting is “On”). Select “Off” if you want to disable the tool; select "Expression" if you want to tie the tool's execution to the result of an Expression (this control is only enabled for tool's that provide an Expression parameter); or select an “Input” if you want the tool tied to a specific discrete input line, where it can be turned On or Off (a High signal, 1, is On, a Low signal, 0, is Off). Tying the tool to an input allows a control system, such as a PLC, to determine which tools should run.

Closed Include in Job Pass

Defines whether or not the tool's pass/failure status should be included in the job's overall pass/fail status; by default, it is checked and will be included in the job's overall pass/fail status. Uncheck the check box to keep the tool's pass/failure status separate from the other tools in the job. This control should be unchecked if a tool is expected to fail; for example, if two PatMax Patterns Identification Tools were being used to determine whether or not the part was a right-hand or left-hand part, one of the tools would be expected to fail every time. This situation would result in the job failing every time, regardless of which side of the part was identified, were the checkbox checked.

Closed Execution Time (ms)

Displays the amount of time, in milliseconds, that the tool took to perform its inspection. This time may vary, depending upon the complexity of the scene in the image, as well as the position of the feature within the image, and the amount of variance allowed in the parameters.

Closed Description

A comment that describes the purpose of the tool (by default, the field is blank). Up to 255 alpha-numeric characters or 127 Asian language characters may be used.


Color Pixel Count Presence/Absence Tool - Settings Tab

Closed Train Color

Launches the ExtractColor Training dialog; used to define the selected Color Library's Color Model(s).

Closed Color Library

Defines the Color Library that will be referenced by the tool. From the drop-down list, select the Color Library that you want to modify and then press the Train Color button to launch the ExtractColor Training dialog. Each Color Library may contain up to 100 distinct Color Models, which are composed of individual Colors.

EasyBuilder jobs may contain a maximum of 5 Color Libraries, which may be shared among the following tools:

  • Color Blob Location Tool
  • Color Blobs (1-10) Location Tool
  • Color Pixel Count Presence/Absence Tool
  • Color Blob Area Measurement Tool
  • Color Blobs Areas (1-10) Measurement Tool
  • Color Blobs Counting Tool
  • Color Model Identification Tool
  • Color to Binary Image Filter Tool


Color Pixel Count Presence/Absence Tool - Range Limits Tab

Closed Maximum

Defines the maximum acceptable number of pixels in the region; the tool will create a "Smart Limit" default setting based on your image, which you can customize to suit the needs of your application.

Closed Pixels

Reports the number of pixels found in the region (the value can range from 0 to the maximum area of the region); values that fall exactly at, or between, the Minimum and Maximum settings are classified as a Pass.

Closed Minimum

Defines the minimum acceptable number of pixels in the region; the tool will create a "Smart Limit" default setting based on your image, which you can customize to suit the needs of your application.

Closed Invert Result

Defines whether or not the Pass/Fail logic of the tool should be inverted (default = Off, unchecked):

  • Unchecked - Standard results are applied, i.e. the tool result is a Pass if the feature was detected and falls within the specified settings.
  • Checked - Inverts the results, i.e. the tool result is a Fail if the feature was detected and falls within the specified settings.
Closed Auto Limits button

Defines the limits based on the Smart Limits settings. This button is useful when a parameter has been changed and the limits need to be adjusted, or the tool has been added and no limits have been defined.


Color Pixel Count Presence/Absence Tool - Color Library Tab

Closed Color Models List

Displays a read-only list of the Color Model(s) contained in the selected Color Library. The Color Models are activated and de-activated by checking or unchecking the checkbox beside the Color Model's name.

Closed Color Table

Displays a read-only ordered table of the Color(s) in the selected Color Model.

Closed Color Name

Displays the name of the Color(s) in the selected Color Model.

Closed RGB

Displays the RGB values of the Color(s) in the selected Color Model.

Closed Operation

Displays the Operation (Add or Subtract) of the Color(s) in the selected Color Model.


Color Pixel Count Presence/Absence Tool - Composite Region Tab

The Composite Region tab is used to configure a composite region, a collection of sub-regions (Rectangle, Annulus, Circle or Polygon) that either Add to the region (the region will be included in the image analysis) or Subtract from the region (the region will be excluded from the image analysis; also known as "masking").

Note:
  • A maximum of 32 sub-regions can be used to construct a composite region.
  • A right-click menu is available while interacting with the region in the image, which allows you to change a selected sub-region's shape, add or remove a sub-region, or change a selected sub-region's Operation (Add or Subtract).
Closed Composite Region Table

Displays the type of sub-region(s) that comprise the composite region, as well as its Operation (Add or Subtract). Select a sub-region to enable the Delete, Move Up or Move Down buttons. Pressing the Delete button removes the selected sub-region from the list; pressing the Move Up button moves the selected sub-region up in the list; and pressing the Move Down button moves the selected sub-region down in the list.

Note:

The composite region is built based upon its sequence of sub-regions within the list. By placing sub-regions, and their Add or Subtract Operation, in a specific order, parts of the image may be highlighted while ignoring other areas. The image below shows an example of how to correctly order the sub-regions to exclude part of the image while focusing on other areas. In the first set, a Rectangle with an Add Operation is configured, and then a Circle, with a Subtract Operation, is set in the middle. Then a smaller Rectangle, with an Add Operation, is configured in the middle of the Circle. The Circle excludes part of the image, while the smaller Rectangle adds part of the image area back to the image analysis. In the second set, the smaller Rectangle is added before the Circle, and the Circle masks the smaller Rectangle, excluding it from the image analysis.

Closed Shape

Displays the shape of selected sub-region (Rectangle, Circle, Annulus or Polygon). To change the shape, select the desired region type from the drop-down menu.

Closed Operation

Defines the selected sub-region's action within the region: Add or Subtract. Add indicates that the sub-region will be included in the image analysis while Subtract indicates that the sub-region will be excluded from the image analysis (also known as "masking").

Closed Rectangle

Inserts a rectangle sub-region into the composite region. Configure the shape and size of the region as needed.

Closed Annulus

Inserts an annulus sub-region into the composite region. Configure the shape and size of the region as needed.

Closed Circle

Inserts a circle sub-region into the composite region. Configure the shape and size of the region as needed.

Closed Polygon

Inserts a polygon sub-region into the composite region. Configure the shape and size of the region as needed.


Presence/Absence Tools - Blob

The Blob Presence/Absence Tool determines whether or not a blob feature is present or absent. If the Blob is detected, the tool reports "Present" and the tool result is Pass. If the Blob is not detected, or the blob detected falls outside of the specified limits, the tool result is Fail.

The Blob Presence/Absence Tool is one of the faster tools, with the ability to locate blob features much quicker than a Pattern Presence/Absence Tool. This tool is useful in situations where you are trying to verify the presence or absence of a feature made up of connected pixels. For example, verifying whether or not a hole on a stamped metal part is present.

Setting Up the Tool

Adjusting the Tool Parameters


Setting Up the Blob Presence/Absence Tool

After selecting the tool, you will need to choose the type of region and then configure it in the image where you expect to detect the blob feature(s):

  1. From the Region Type drop-down menu, select the type of region: Rectangle (default), Circle, Annulus or Polygon. Position and configure the region within the image where you expect the blob(s) to appear; make sure that the boundaries of the region cover the blob(s) and their possible locations. To help the performance of the tool, create smaller regions; larger regions require longer to inspect. If you’re not using a fixture, ensure that the blob(s) are present in roughly the same location in every image, or the region is large enough to account for the expected movement of the features.

    Note: After adding the tool, you can change the type of region by right-clicking the region in the image and selecting the desired shape from the Change Region to option.
  2. Press the OK button to confirm the region (press the Cancel button to not add the tool to the job).
  3. With the tool initially configured, load several images and adjust the tool's parameters, as needed, to compensate for your expected ranges of variations.
  4. Finally, if desired, use the tool's Input/Output properties to share tool data between other tools and/or other external devices.


Adjusting the Blob Presence/Absence Tool Parameters

After the tool’s region has been positioned, you can optimize the tool for your application.

The settings pane of the Blob Presence/Absence Tool consists of the following tabs:

  • General Tab
  • Settings Tab
  • Histogram Tab
  • Composite Region Tab
Tip: Test your job, using TestRun. TestRun performs tests on the In-Sight vision system and compares the results of those tests against expected values. This will allow you to see whether or not the job is behaving as expected, or if you will need to adjust certain parameters for allowable variances.

General Tab

Settings Tab

Histogram Tab

Composite Region Tab


Blob Presence/Absence Tool - General Tab

Closed Tool Name

Defines the name of your inspection tool, which will be utilized in configuring the results Inputs/Outputs and Communication); the default name is “Blob_1” (if it is the first Blob tool added to the job, otherwise it will be incremented, e.g. “Blob_2”, “Blob_3”, etc.). Customize your tool by giving it a name that is associated with your particular application.

Closed Tool Image

Defines which image the tool will utilize to perform its inspection; the unfiltered, acquired image (the default setting), or the output image of an Image Filter Tool. This control is only enabled if an Image Filter Tool has been added.

Closed Tool Fixture

Defines a fixture for the tool. This control is only enabled if another tool that defines a fixture has already been added.

Closed Tool Enabled

Defines when and whether or not the inspection tool should run (default setting is “On”). Select “Off” if you want to disable the tool; select "Expression" if you want to tie the tool's execution to the result of an Expression (this control is only enabled for tool's that provide an Expression parameter); or select an “Input” if you want the tool tied to a specific discrete input line, where it can be turned On or Off (a High signal, 1, is On, a Low signal, 0, is Off). Tying the tool to an input allows a control system, such as a PLC, to determine which tools should run.

Closed Include in Job Pass

Defines whether or not the tool's pass/failure status should be included in the job's overall pass/fail status; by default, it is checked and will be included in the job's overall pass/fail status. Uncheck the check box to keep the tool's pass/failure status separate from the other tools in the job. This control should be unchecked if a tool is expected to fail; for example, if two PatMax Patterns Identification Tools were being used to determine whether or not the part was a right-hand or left-hand part, one of the tools would be expected to fail every time. This situation would result in the job failing every time, regardless of which side of the part was identified, were the checkbox checked.

Closed Execution Time (ms)

Displays the amount of time, in milliseconds, that the tool took to perform its inspection. This time may vary, depending upon the complexity of the scene in the image, as well as the position of the feature within the image, and the amount of variance allowed in the parameters.

Closed Description

A comment that describes the purpose of the tool (by default, the field is blank). Up to 255 alpha-numeric characters or 127 Asian language characters may be used.


Blob Presence/Absence Tool - Settings Tab

Closed Threshold Mode

Defines the mode for determining the grayscale value that is used to separate blobs from the background. When Auto is selected (default = Auto), each time an image is acquired, the tool adjusts for changes in brightness from image to image. When Manual is selected, you manually enter and adjust the value.

Closed Blob Threshold

Defines the grayscale value that is used to separate blobs from the background (0 - 255, when enabled). This control is Off by default, and requires that the Threshold Mode be set to Manual to be enabled. Use the Graph to set an optimal value for your application.

Closed Blob Color

Defines the color of the blob (Black, White, or Either; default = Either).

  • Either = There is no blob color requirement.
  • Black = Only returns blobs that are below the Blob Threshold.
  • White = Only returns blobs that are above the Blob Threshold.
Closed Boundary

Defines one of two ways of managing blobs that intersect the blob's region boundary (default = Off, unchecked):

  • Unchecked – Does not include blobs that intersect the region boundary; i.e. the blob must be located entirely within the region to be detected.
  • Checked – Includes blobs that intersect the region boundary; i.e. blobs that intersect, as long as they match the other criteria, are detected.
Closed Minimum Area

Defines a minimum area restriction, in number of pixels (0 to 900000; default = 100), for all detected blobs; only blobs whose area is greater than the Minimum Area will be recognized.

Closed Maximum Area

Defines a maximum area restriction, in number of pixels (0 to 900000; default = 100000), for all detected blobs; only blobs whose area is less than the Maximum Area will be recognized.

Closed Result

Displays the result of the tool: Present if the blob feature was detected; Not Present if it was not detected or the found blob was outside of the specified limits. Present equates to a Boolean value of 1 (Pass); Not Present equates to a Boolean value of 0 (Fail).

Closed Invert Result
Defines whether or not the Pass/Fail logic of the tool should be inverted (default = Off, unchecked):Unchecked - Standard results are applied, i.e. the tool result is a Pass if the feature was detected and falls within the specified settings.Checked - Inverts the results, i.e. the tool result is a Fail if the feature was detected and falls within the specified settings.


Blob Presence/Absence Tool - Histogram Tab

The Histogram displays a graphic representation of the grayscale values of the pixels in the region.

  • The X-axis of the graph represents the total number of greyscale values (0 to 255, or 256 total shades of grey).
  • The Y-axis of the graph represents the number of pixels at a given greyscale value, and the scale is established by displaying the greyscale value with the greatest number of pixels.
  • The blue vertical line indicates the threshold that is being used to separate the region of the image into black and white pixels; values to the left of the line are considered black and values to the right are considered white.
Note: The graph will be displayed regardless of the Online/Offline status and the pass/fail state of the tool. However, if the tool is failing, the graph may not update.


Blob Presence/Absence Tool - Composite Region Tab

The Composite Region tab is used to configure a composite region, a collection of sub-regions (Rectangle, Annulus, Circle or Polygon) that either Add to the region (the region will be included in the image analysis) or Subtract from the region (the region will be excluded from the image analysis; also known as "masking").

Note:
  • A maximum of 32 sub-regions can be used to construct a composite region.
  • A right-click menu is available while interacting with the region in the image, which allows you to change a selected sub-region's shape, add or remove a sub-region, or change a selected sub-region's Operation (Add or Subtract).
Closed Composite Region Table

Displays the type of sub-region(s) that comprise the composite region, as well as its Operation (Add or Subtract). Select a sub-region to enable the Delete, Move Up or Move Down buttons. Pressing the Delete button removes the selected sub-region from the list; pressing the Move Up button moves the selected sub-region up in the list; and pressing the Move Down button moves the selected sub-region down in the list.

Note:

The composite region is built based upon its sequence of sub-regions within the list. By placing sub-regions, and their Add or Subtract Operation, in a specific order, parts of the image may be highlighted while ignoring other areas. The image below shows an example of how to correctly order the sub-regions to exclude part of the image while focusing on other areas. In the first set, a Rectangle with an Add Operation is configured, and then a Circle, with a Subtract Operation, is set in the middle. Then a smaller Rectangle, with an Add Operation, is configured in the middle of the Circle. The Circle excludes part of the image, while the smaller Rectangle adds part of the image area back to the image analysis. In the second set, the smaller Rectangle is added before the Circle, and the Circle masks the smaller Rectangle, excluding it from the image analysis.

Closed Shape

Displays the shape of selected sub-region (Rectangle, Circle, Annulus or Polygon). To change the shape, select the desired region type from the drop-down menu.

Closed Operation

Defines the selected sub-region's action within the region: Add or Subtract. Add indicates that the sub-region will be included in the image analysis while Subtract indicates that the sub-region will be excluded from the image analysis (also known as "masking").

Closed Rectangle

Inserts a rectangle sub-region into the composite region. Configure the shape and size of the region as needed.

Closed Annulus

Inserts an annulus sub-region into the composite region. Configure the shape and size of the region as needed.

Closed Circle

Inserts a circle sub-region into the composite region. Configure the shape and size of the region as needed.

Closed Polygon

Inserts a polygon sub-region into the composite region. Configure the shape and size of the region as needed.


Presence/Absence Tools - Color Blob

The Color Blob Presence/Absence Tool determines whether or not a color blob feature is present or absent.

The Color Blob tool references a trained library of Color Model(s), and then determines the number of pixels present in the region that match the selected and trained Color Models in the trained library. The tool then creates a binary greyscale output image, where every pixel that matches an active Color Model is set to White (255), while all other pixels are set to Black (0). Using this binary output image, the tool then searches the image for the blob features created by the active Color Model(s).

Setting Up the Tool

Adjusting the Tool Parameters


Setting Up the Color Blob Presence/Absence Tool

After selecting the tool, you will need to choose the type of region and then configure it in the image where you expect to detect the blob feature(s):

  1. From the Region Type drop-down menu, select the type of region: Rectangle (default), Circle, Annulus or Polygon. Position and configure the region within the image where you expect the blob(s) to appear; make sure that the boundaries of the region cover the blob(s) and their possible locations. To help the performance of the tool, create smaller regions; larger regions require longer to inspect. If you’re not using a fixture, ensure that the blob(s) are present in roughly the same location in every image, or the region is large enough to account for the expected movement of the features.

    Note: After adding the tool, you can change the type of region by right-clicking the region in the image and selecting the desired shape from the Change Region to option.
  2. Press the OK button to confirm the region (press the Cancel button to not add the tool to the job).
  3. Once the search region has been configured, you will need to configure the tool's Color Library and activate the appropriate Color Model(s):
    • If this is the first time that a color tool (Color Blob and Color Blobs (1-10) Location Tools, Color Pixel Count and Color Blob Presence/Absence Tools, Color Blob Area and Color Blob Areas (1-10) Measurement Tools, Color Blobs Counting Tool, Color Model Identification Tool or Color to Binary Image Filter Tool) has been added, you will need to first define the Color Library(s) and its Color Model(s).
    • If another color tool has previously been added and you want to utilize an existing Color Library and its trained Color Models, go to the Settings tab and select your desired Color Library, and then activate your desired Color Models by checking them in the Library tab.

    • By default, the tool will automatically result in a Fail until a Color Library has been defined. If a Color Library has been defined, the tool will automatically use that library and activate all Color Models contained within.

  4. Once the Color Model(s) and Color Library(s) have been set, the tool will process the image and all pixels within the search region that match the selected Color Model(s) will be turned white (255), and those pixels not matching the selected Color Model(s) will be set to black (0).
  5. With the tool initially configured, load several images and adjust the tool's parameters, as needed, to compensate for your expected ranges of variations.
  6. Finally, if desired, use the tool's Input/Output properties to share tool data between other tools and/or other external devices.


Adjusting the Color Blob Presence/Absence Tool

After the tool’s region has been positioned, you can optimize the tool for your application.

The settings pane of the Color Blob Presence/Absence Tool consists of the following:

  • General Tab
  • Settings Tab
  • Color Library Tab
  • Composite Region Tab
Tip: Test your job, using TestRun. TestRun performs tests on the In-Sight vision system and compares the results of those tests against expected values. This will allow you to see whether or not the job is behaving as expected, or if you will need to adjust certain parameters for allowable variances.

General Tab

Settings Tab

Composite Region Tab

Color Library


Color Blob Presence/Absence Tool - General Tab

Closed Tool Name

Defines the name of your inspection tool, which will be utilized in configuring the results Inputs/Outputs and Communication); the default name is “Pixels_1” (if it is the first Pixel Count tool added to the job, otherwise it will be incremented, e.g. “Pixels_2”, “Pixels_3”, etc.). Customize your tool by giving it a name that is associated with your particular application.

Closed Tool Fixture

Defines a fixture for the tool. This control is only enabled if another tool that defines a fixture has already been added.

Closed Tool Enabled

Defines when and whether or not the inspection tool should run (default setting is “On”). Select “Off” if you want to disable the tool; select "Expression" if you want to tie the tool's execution to the result of an Expression (this control is only enabled for tool's that provide an Expression parameter); or select an “Input” if you want the tool tied to a specific discrete input line, where it can be turned On or Off (a High signal, 1, is On, a Low signal, 0, is Off). Tying the tool to an input allows a control system, such as a PLC, to determine which tools should run.

Closed Include in Job Pass

Defines whether or not the tool's pass/failure status should be included in the job's overall pass/fail status; by default, it is checked and will be included in the job's overall pass/fail status. Uncheck the check box to keep the tool's pass/failure status separate from the other tools in the job. This control should be unchecked if a tool is expected to fail; for example, if two PatMax Patterns Identification Tools were being used to determine whether or not the part was a right-hand or left-hand part, one of the tools would be expected to fail every time. This situation would result in the job failing every time, regardless of which side of the part was identified, were the checkbox checked.

Closed Execution Time (ms)

Displays the amount of time, in milliseconds, that the tool took to perform its inspection. This time may vary, depending upon the complexity of the scene in the image, as well as the position of the feature within the image, and the amount of variance allowed in the parameters.

Closed Description

A comment that describes the purpose of the tool (by default, the field is blank). Up to 255 alpha-numeric characters or 127 Asian language characters may be used.


Color Blob Presence/Absence Tool - Settings Tab

Closed Train Color

Launches the ExtractColor Training dialog; used to define the selected Color Library's Color Model(s).

Closed Color Library

Defines the Color Library that will be referenced by the tool. From the drop-down list, select the Color Library that you want to modify and then press the Train Color button to launch the ExtractColor Training dialog. Each Color Library may contain up to 100 distinct Color Models, which are composed of individual Colors.

EasyBuilder jobs may contain a maximum of 5 Color Libraries, which may be shared among the following tools:

  • Color Blob Location Tool
  • Color Blobs (1-10) Location Tool
  • Color Pixel Count Presence/Absence Tool
  • Color Blob Area Measurement Tool
  • Color Blobs Areas (1-10) Measurement Tool
  • Color Blobs Counting Tool
  • Color Model Identification Tool
  • Color to Binary Image Filter Tool
Closed Boundary

Defines one of two ways of managing blobs that intersect the blob's region boundary (default = Off, unchecked):

  • Unchecked – Does not include blobs that intersect the region boundary; i.e. the blob must be located entirely within the region to be detected.
  • Checked – Includes blobs that intersect the region boundary; i.e. blobs that intersect, as long as they match the other criteria, are detected.
Closed Minimum Area

Defines a minimum area restriction, in number of pixels (0 to 900000; default = 100), for all detected blobs; only blobs whose area is greater than the Minimum Area will be recognized.

Closed Maximum Area

Defines a maximum area restriction, in number of pixels (0 to 900000; default = 100000), for all detected blobs; only blobs whose area is less than the Maximum Area will be recognized.

Closed Invert Result

Defines whether or not the Pass/Fail logic of the tool should be inverted (default = Off, unchecked):

  • Unchecked - Standard results are applied, i.e. the tool result is a Pass if the feature was detected and falls within the specified settings.
  • Checked - Inverts the results, i.e. the tool result is a Fail if the feature was detected and falls within the specified settings.
Closed Result

Displays the result of the tool: Present if the blob feature was detected; Not Present if it was not detected or the found blob was outside of the specified limits. Present equates to a Boolean value of 1 (Pass); Not Present equates to a Boolean value of 0 (Fail).


Color Blob Presence/Absence Tool - Composite Region Tab

The Composite Region tab is used to configure a composite region, a collection of sub-regions (Rectangle, Annulus, Circle or Polygon) that either Add to the region (the region will be included in the image analysis) or Subtract from the region (the region will be excluded from the image analysis; also known as "masking").

Note:
  • A maximum of 32 sub-regions can be used to construct a composite region.
  • A right-click menu is available while interacting with the region in the image, which allows you to change a selected sub-region's shape, add or remove a sub-region, or change a selected sub-region's Operation (Add or Subtract).
Closed Composite Region Table

Displays the type of sub-region(s) that comprise the composite region, as well as its Operation (Add or Subtract). Select a sub-region to enable the Delete, Move Up or Move Down buttons. Pressing the Delete button removes the selected sub-region from the list; pressing the Move Up button moves the selected sub-region up in the list; and pressing the Move Down button moves the selected sub-region down in the list.

Note:

The composite region is built based upon its sequence of sub-regions within the list. By placing sub-regions, and their Add or Subtract Operation, in a specific order, parts of the image may be highlighted while ignoring other areas. The image below shows an example of how to correctly order the sub-regions to exclude part of the image while focusing on other areas. In the first set, a Rectangle with an Add Operation is configured, and then a Circle, with a Subtract Operation, is set in the middle. Then a smaller Rectangle, with an Add Operation, is configured in the middle of the Circle. The Circle excludes part of the image, while the smaller Rectangle adds part of the image area back to the image analysis. In the second set, the smaller Rectangle is added before the Circle, and the Circle masks the smaller Rectangle, excluding it from the image analysis.

Closed Shape

Displays the shape of selected sub-region (Rectangle, Circle, Annulus or Polygon). To change the shape, select the desired region type from the drop-down menu.

Closed Operation

Defines the selected sub-region's action within the region: Add or Subtract. Add indicates that the sub-region will be included in the image analysis while Subtract indicates that the sub-region will be excluded from the image analysis (also known as "masking").

Closed Rectangle

Inserts a rectangle sub-region into the composite region. Configure the shape and size of the region as needed.

Closed Annulus

Inserts an annulus sub-region into the composite region. Configure the shape and size of the region as needed.

Closed Circle

Inserts a circle sub-region into the composite region. Configure the shape and size of the region as needed.

Closed Polygon

Inserts a polygon sub-region into the composite region. Configure the shape and size of the region as needed.


Color Blob Presence/Absence Tool - Color Library

Closed Color Models List

Displays a read-only list of the Color Model(s) contained in the selected Color Library. The Color Models are activated and de-activated by checking or unchecking the checkbox beside the Color Model's name.

Closed Color Table

Displays a read-only ordered table of the Color(s) in the selected Color Model.

Closed Color Name

Displays the name of the Color(s) in the selected Color Model.

Closed RGB

Displays the RGB values of the Color(s) in the selected Color Model.

Closed Operation

Displays the Operation (Add or Subtract) of the Color(s) in the selected Color Model.


Presence/Absence Tools - Edge

The Edge Presence/Absence Tool is used to determine the presence or absence of linear edge features that fall within the specified parameters.

The Edge Presence/Absence Tool is one of the faster tools, with the ability to recognize edges features much quicker than a Pattern Presence/Absence Tool.

This tool returns the following results:

In-Sight Models | Results
In-Sight 2000 Series 1XX Vision Sensors (110, 120, 130) | Pass/Fail status only
In-Sight Vision Systems (All Models) and In-Sight 2000 Series 23X Vision Sensors (23M, 230) | Standard Results (No Limitations)

Setting Up the Tool

Adjusting the Tool Parameters


Using the Edge Presence/Absence Tool

Once the tool has been added, you will need to select the type of region and then configure it within the image to isolate your feature:

  1. Position the line region along the edge feature.

    Closed Example

    Positioning the line region along the edge feature.

  2. Press the OK button to confirm the region (press the Cancel button to not add the tool to the job).

  3. EasyBuilder will automatically create an edge region around the selected edge feature.

    Closed Example

    Automatically created region.

  4. With the tool initially configured, load several images and adjust the tool's parameters, as needed, to compensate for your expected ranges of variations.
  5. Finally, if desired, use the tool's Input/Output properties to share tool data between other tools and/or other external devices.


Adjusting the Edge Presence/Absence Tool Parameters

After the tool’s region has been positioned, you can optimize the tool for your application.

The settings pane of the Edge Location Tool consists of the following:

  • General Tab
  • Settings Tab
  • Graph
Tip: Test your job, using TestRun. TestRun performs tests on the In-Sight vision system and compares the results of those tests against expected values. This will allow you to see whether or not the job is behaving as expected, or if you will need to adjust certain parameters for allowable variances.

General Tab

Settings Tab

Graph


Edge Presence/Absence Tool - General Tab

Closed Tool Name

Defines the name of your inspection tool, which will be utilized in configuring the results Inputs/Outputs and Communication); the default name is “Edge_1” (if it is the first Edge tool added to the job, otherwise it will be incremented, e.g. “Edge_2”, “Edge_3”, etc.). Customize your tool by giving it a name that is associated with your particular application.

Closed Tool Image

Defines which image the tool will utilize to perform its inspection; the unfiltered, acquired image (the default setting), or the output image of an Image Filter Tool. This control is only enabled if an Image Filter Tool has been added.

Closed Tool Fixture

Defines a fixture for the tool. This control is only enabled if another tool that defines a fixture has already been added.

Closed Tool Enabled

Defines when and whether or not the inspection tool should run (default setting is “On”). Select “Off” if you want to disable the tool; select "Expression" if you want to tie the tool's execution to the result of an Expression (this control is only enabled for tool's that provide an Expression parameter); or select an “Input” if you want the tool tied to a specific discrete input line, where it can be turned On or Off (a High signal, 1, is On, a Low signal, 0, is Off). Tying the tool to an input allows a control system, such as a PLC, to determine which tools should run.

Closed Include in Job Pass

Defines whether or not the tool's pass/failure status should be included in the job's overall pass/fail status; by default, it is checked and will be included in the job's overall pass/fail status. Uncheck the check box to keep the tool's pass/failure status separate from the other tools in the job. This control should be unchecked if a tool is expected to fail; for example, if two PatMax Patterns Identification Tools were being used to determine whether or not the part was a right-hand or left-hand part, one of the tools would be expected to fail every time. This situation would result in the job failing every time, regardless of which side of the part was identified, were the checkbox checked.

Closed Execution Time (ms)

Displays the amount of time, in milliseconds, that the tool took to perform its inspection. This time may vary, depending upon the complexity of the scene in the image, as well as the position of the feature within the image, and the amount of variance allowed in the parameters.

Closed Description

A comment that describes the purpose of the tool (by default, the field is blank). Up to 255 alpha-numeric characters or 127 Asian language characters may be used.


Edge Presence/Absence Tool - Settings Tab

Closed Edge Contrast

Defines the minimum acceptable edge contrast score for the found edge (1-100; default = a Smart Setting that is automatically decremented until an edge is detected). This setting determines the tool’s edge detection sensitivity - its ability to discriminate between the feature and the background; use this setting in conjunction with the tool’s Graph to set an acceptable range.

Note: If this parameter is set to 0, the tool may find unexpected edges.
Closed Normalize Score

Defines whether the edge scores will be normalized by the greyscale histogram of the Region.This parameter is useful for finding edges in a low contrast region. If the edges to be detected are expected to be only high contrast, disable this parameter.

  • Checked (default): Normalize the score.
  • Unchecked: Do not normalize the score.
Closed Edge Transition

Defines the transition of the edge (Dark to Light, Light to Dark or Both; default = Both). For increased accuracy and speed, specify the type of transition.

Closed Edge Width

Defines the pixel distance (1 - 50; default = 3) over which an edge transition takes place. This setting helps filter noise from the image.

Closed Find By

Defines how the tool discriminates between found edges, if there are multiple edges present (default = Best Score).

  • Best Score = The edge feature with the highest contrast edge.
  • First Edge = The edge feature closest to the start of the region’s scan direction.
  • Last Edge = The edge feature furthest away from the start of the region’s scan direction.
Closed Angle Range

Defines the maximum amount of angular translation that the found edge can experience (0-10°; default = 10°). The higher the allowable angle variance, the longer the tool will take to execute.

Closed Result

Displays the result of the tool: Present if the edge feature was detected; Not Present if it was not detected or the found edge was outside of the specified limits. Present equates to a Boolean value of 1 (Pass); Not Present equates to a Boolean value of 0 (Fail).

Closed Invert Result

Defines whether or not the Pass/Fail logic of the tool should be inverted (default = Off, unchecked):

  • Unchecked - Standard results are applied, i.e. the tool result is a Pass if the feature was detected and falls within the specified settings.
  • Checked - Inverts the results, i.e. the tool result is a Fail if the feature was detected and falls within the specified settings.


Edge Presence/Absence Tool - Graph

The Graph is a representation of the first derivative of the grayscale values contained in the region; peaks and valleys represent the major edge transitions.

For the tools that detect edges (Edge and Circle tools), the Score axis is a measure of how closely the found edge matches the defined parameters:

  • A positive score indicates that the edge transitions from dark to light;
  • A negative score indicates that the edge transitions from light to dark;
  • A score of 0 indicates that no edge was detected.

The Offset axis refers to the region defining the edge feature, with 0 representing the beginning boundary of the region, and the other value representing the maximum width (in pixels) of the region. The apex of the peaks or valleys along the Offset axis indicates the position of the found edge.

Note: The graph will be displayed regardless of the Online/Offline status and the pass/fail state of the tool. However, if the tool is failing, the graph may not update.


Presence/Absence Tools - Circle

The Circle Presence/Absence Tool is used to determine the presence or absence of circular edge features that fall within the specified parameters.

The Circle Location Tool is one of the faster tools, with the ability to recognize edge features much quicker than a Pattern Presence/Absence Tool.

This tool returns the following results:

In-Sight Models | Results
In-Sight 2000 Series 1XX Vision Sensors (110, 120, 130) | Pass/Fail status only
In-Sight Vision Systems (All Models) and In-Sight 2000 Series 23X Vision Sensors (23M, 230) | Standard Results (No Limitations)

Setting Up the Tool

Adjusting the Tool Parameters


Setting Up the Circle Presence/Absence Tool

Once the tool has been added, you will need to select the type of region and then configure it within the image to isolate your feature:

  1. Position and configure the circular region directly over the circular edge feature; ensure that the circular region is resized to match the size and dimensions of the circular feature.
Closed Example

Positioning the circular region over a feature

  2. Press the OK button to confirm the region (press the Cancel button to not add the tool to the job).
  3. EasyBuilder will automatically create an annulus edge region around the circular edge feature.
Closed Example

Annulus region around a circular edge feature

  4. With the tool initially configured, load several images and adjust the tool's parameters, as needed, to compensate for your expected ranges of variations.
  5. Finally, if desired, use the tool's Input/Output properties to share tool data between other tools and/or other external devices.


Adjusting the Circle Presence/Absence Tool Parameters

After the tool’s region has been positioned, you can optimize the tool for your application.

The settings pane of the Circle Presence/Absence Tool consists of the following:

  • General Tab
  • Settings Tab
  • Graph
Tip: Test your job, using TestRun. TestRun performs tests on the In-Sight vision system and compares the results of those tests against expected values. This will allow you to see whether or not the job is behaving as expected, or if you will need to adjust certain parameters for allowable variances.

General Tab

Settings Tab

Graph


Circle Presence/Absence Tool - General Tab

Closed Tool Name

Defines the name of your inspection tool, which will be utilized in configuring the results (Inputs/Outputs and Communication); the default name is “Circle_1” (if it is the first Circle tool added to the job, otherwise it will be incremented, e.g. “Circle_2”, “Circle_3”, etc.). Customize your tool by giving it a name that is associated with your particular application.

Closed Tool Image

Defines which image the tool will utilize to perform its inspection; the unfiltered, acquired image (the default setting), or the output image of an Image Filter Tool. This control is only enabled if an Image Filter Tool has been added.

Closed Tool Fixture

Defines a fixture for the tool. This control is only enabled if another tool that defines a fixture has already been added.

Closed Tool Enabled

Defines when and whether or not the inspection tool should run (default setting is “On”). Select “Off” if you want to disable the tool; select "Expression" if you want to tie the tool's execution to the result of an Expression (this control is only enabled for tool's that provide an Expression parameter); or select an “Input” if you want the tool tied to a specific discrete input line, where it can be turned On or Off (a High signal, 1, is On, a Low signal, 0, is Off). Tying the tool to an input allows a control system, such as a PLC, to determine which tools should run.

Closed Include in Job Pass

Defines whether or not the tool's pass/failure status should be included in the job's overall pass/fail status; by default, it is checked and will be included in the job's overall pass/fail status. Uncheck the check box to keep the tool's pass/failure status separate from the other tools in the job. This control should be unchecked if a tool is expected to fail; for example, if two PatMax Patterns Identification Tools were being used to determine whether or not the part was a right-hand or left-hand part, one of the tools would be expected to fail every time. This situation would result in the job failing every time, regardless of which side of the part was identified, were the checkbox checked.

Closed Execution Time (ms)

Displays the amount of time, in milliseconds, that the tool took to perform its inspection. This time may vary, depending upon the complexity of the scene in the image, as well as the position of the feature within the image, and the amount of variance allowed in the parameters.

Closed Description

A comment that describes the purpose of the tool (by default, the field is blank). Up to 255 alpha-numeric characters or 127 Asian language characters may be used.


Circle Presence/Absence Tool - Settings Tab

Closed Edge Contrast

Defines the minimum acceptable edge contrast score for the found edge (1-100; default = a "Smart Setting" that is automatically decremented until an edge is detected). This setting determines the tool’s edge detection sensitivity - its ability to discriminate between the feature and the background; use this setting in conjunction with the tool’s Graph to set an acceptable range.

Note: If this parameter is set to 0, the tool may find unexpected edges.
Closed Normalize Score

Defines whether the edge scores will be normalized by the greyscale histogram of the Region.This parameter is useful for finding edges in a low contrast region. If the edges to be detected are expected to be only high contrast, disable this parameter.

  • Checked (default): Normalize the score.
  • Unchecked: Do not normalize the score.
Closed Edge Transition

Defines the transition of the edge (Dark to Light, Light to Dark or Both; default = Both). For increased accuracy and speed, specify the type of transition.

Closed Edge Width

Defines the pixel distance (1 - 50; default = 3) over which an edge transition takes place. This setting helps filter noise from the image.

Closed Find By

Defines how the tool discriminate between found circular edges, if there are multiple circular edges present (default = Best Score).

  • Best Score = The circular edge feature with the highest contrast will be chosen.
  • Smallest Circle = The circular edge feature with the smallest diameter will be chosen.
  • Largest Circle = The circular edge feature with the largest diameter will be chosen.
Closed Result

Displays the result of the tool: Present if the circular edge feature was detected; Not Present if it was not detected or the found circular edge was outside of the specified limits. Present equates to a Boolean value of 1 (Pass); Not Present equates to a Boolean value of 0 (Fail).

Closed Invert Result
Defines whether or not the Pass/Fail logic of the tool should be inverted (default = Off, unchecked):Unchecked - Standard results are applied, i.e. the tool result is a Pass if the feature was detected and falls within the specified settings.Checked - Inverts the results, i.e. the tool result is a Fail if the feature was detected and falls within the specified settings.


Circle Presence/Absence Tool - Graph

The Graph is a representation of the first derivative of the grayscale values contained in the region; peaks and valleys represent the major edge transitions.

For the tools that detect edges (Edge and Circle tools), the Score axis is a measure of how closely the found edge matches the defined parameters:

  • A positive score indicates that the edge transitions from dark to light;
  • A negative score indicates that the edge transitions from light to dark;
  • A score of 0 indicates that no edge was detected.

The Offset axis refers to the region defining the edge feature, with 0 representing the beginning boundary of the region, and the other value representing the maximum width (in pixels) of the region. The apex of the peaks or valleys along the Offset axis indicates the position of the found edge.

Note: The graph will be displayed regardless of the Online/Offline status and the pass/fail state of the tool. However, if the tool is failing, the graph may not update.


Presence/Absence Tools - Sharpness

The Sharpness Presence/Absence Tool determines whether or not an image is focused properly, based upon the image sharpness score within the region. The tool computes a measure of the relative focus of an input image, as part of iterative process for refocusing the lens of an In-Sight vision system.

The image sharpness score indicates the degree to which the region within the image includes the smallest resolvable features in a "scene" (i.e., the object and its background, as captured in the image).

Setting Up the Tool

Adjusting the Tool Parameters


Setting Up the Sharpness Presence/Absence Tool

Once the tool has been added, you will need to configure the region in the image:

  1. Position the region within the image so that it encompasses the important parts of the "scene" (i.e., the object and its background). To help the performance of the tool, create smaller regions; larger regions take longer to inspect. If you're not using a fixture, ensure that the scene being measured is in the same location in each image.
  2. Press the OK button to confirm the region (press the Cancel button to not add the tool to the job).
  3. After the tool has been added, the image sharpness score must be compared against another image sharpness score, from the same, identical scene (i.e. object and background are the same, the In-Sight vision system remains in the same orientation and position, the lighting remains the same, etc.). A single image sharpness score does not convey enough information about the absolute sharpness of within the region of the image.
  4. Go to the Set Up Image step, and enter Live Video mode. Refocus the lens of the In-Sight vision system, ensuring that nothing else was changed within the scene.
  5. Exit Live Video mode. The tool will compute a new image sharpness score.
  6. Compare the new score against the previous score; the higher the score, the sharper the focus.
  7. Repeat steps 4 to 5 until the focus is deemed acceptable.
Note: If the focus remains unacceptable, consider changing the lens, adjusting the distance between the lens and the object or another image acquisition parameter in the Set Up Image Application Step.


Adjusting the Sharpness Presence/Absence Tool Parameters

After the tool’s region has been positioned, you can optimize the tool for your application.

The settings pane of the Sharpness Presence/Absence Tool consists of the following tabs:

  • General Tab
  • Range Limits Tab
Tip: Test your job, using TestRun. TestRun performs tests on the In-Sight vision system and compares the results of those tests against expected values. This will allow you to see whether or not the job is behaving as expected, or if you will need to adjust certain parameters for allowable variances.

General Tab

Range Limits Tab


Sharpness Presence/Absence Tool - General Tab

Closed Tool Name

Defines the name of your inspection tool, which will be utilized in configuring the results Inputs/Outputs and Communication); the default name is “Sharpness_1” (if it is the first Sharpness tool added to the job, otherwise it will be incremented, e.g. “Sharpness_2”, “Sharpness_3”, etc.). Customize your tool by giving it a name that is associated with your particular application.

Closed Tool Image

Defines which image the tool will utilize to perform its inspection; the unfiltered, acquired image (the default setting), or the output image of an Image Filter Tool. This control is only enabled if an Image Filter Tool has been added.

Closed Tool Fixture

Defines a fixture for the tool. This control is only enabled if another tool that defines a fixture has already been added.

Closed Tool Enabled

Defines when and whether or not the inspection tool should run (default setting is “On”). Select “Off” if you want to disable the tool; select "Expression" if you want to tie the tool's execution to the result of an Expression (this control is only enabled for tool's that provide an Expression parameter); or select an “Input” if you want the tool tied to a specific discrete input line, where it can be turned On or Off (a High signal, 1, is On, a Low signal, 0, is Off). Tying the tool to an input allows a control system, such as a PLC, to determine which tools should run.

Closed Include in Job Pass

Defines whether or not the tool's pass/failure status should be included in the job's overall pass/fail status; by default, it is checked and will be included in the job's overall pass/fail status. Uncheck the check box to keep the tool's pass/failure status separate from the other tools in the job. This control should be unchecked if a tool is expected to fail; for example, if two PatMax Patterns Identification Tools were being used to determine whether or not the part was a right-hand or left-hand part, one of the tools would be expected to fail every time. This situation would result in the job failing every time, regardless of which side of the part was identified, were the checkbox checked.

Closed Execution Time (ms)

Displays the amount of time, in milliseconds, that the tool took to perform its inspection. This time may vary, depending upon the complexity of the scene in the image, as well as the position of the feature within the image, and the amount of variance allowed in the parameters.

Closed Description

A comment that describes the purpose of the tool (by default, the field is blank). Up to 255 alpha-numeric characters or 127 Asian language characters may be used.


Sharpness Presence/Absence Tool - Range Limits Tab

Closed Maximum

Defines the maximum acceptable image sharpness score; the tool will create a "Smart Limit" default setting based on your image, which you can customize to suit the needs of your application.

Closed Sharpness

Reports the image sharpness score in the region; values that fall exactly at, or between, the Minimum and Maximum settings are classified as a Pass.

Closed Minimum

Defines the minimum acceptable average image sharpness score; the tool will create a "Smart Limit" default setting based on your image, which you can customize to suit the needs of your application.

Closed Invert Result

Defines whether or not the Pass/Fail logic of the tool should be inverted (default = Off, unchecked):

  • Unchecked - Standard results are applied, i.e. the tool result is a Pass if the feature was detected and falls within the specified settings.
  • Checked - Inverts the results, i.e. the tool result is a Fail if the feature was detected and falls within the specified settings.
Closed Auto Limits button

Defines the limits based on the Smart Limits settings. This button is useful when a parameter has been changed and the limits need to be adjusted, or the tool has been added and no limits have been defined.


Measurement Tools - Distance

The Distance Measurement Tool computes the distance between any two input features, and reports the calculated distance.

Note: . The tool returns the results in pixels, unless the image was calibrated to real-world units (In-Sight vision systems) or Field of View (Width) was set to real-world units (In-Sight 2000 series vision sensors) in the Set Up Image application step.

The Distance Measurement Tool is useful in situations where you need to accurately gauge a part or object. For example, determining the distance between the ends of a part or the center-to-center distance between two holes.

Setting Up the Tool

Adjusting the Tool Parameters


Setting Up the Distance Measurement Tool

Once the tool has been added, you will need to define the features that will be measured:

  1. After adding the tool, EasyBuilder will examine your image and give you a selection of Smart Features that it has automatically detected (highlighted in cyan), as well as any features that you have previously defined with another tool (highlighted in green).
  2. First select one feature from the available features by clicking on it, at which point its color will change to magenta and a line will extend out from that feature.
  3. Next, select the second feature.
  4. After the second feature has been selected, EasyBuilder will automatically calculate the distance between the features. EasyBuilder will also insert an Edge Presence/Absence Tool and/or Circle Presence/Absence Tool for any features that were not previously defined (depending upon the tool and the type of feature).
  5. With the tool initially configured, load several images and adjust the tool's parameters, as needed, to compensate for your expected ranges of variations.
  6. Finally, if desired, use the tool's Input/Output properties to share tool data between other tools and/or other external devices.


Adjusting the Distance Measurement Tool Parameters

After the tool’s inputs have been set and accepted, you can begin customizing and fine-tuning the tool for your application.

The settings pane of the Distance Measurement Tool consists of the following:

  • General Tab
  • Settings Tab
  • Range Limits Tab
Tip: Test your job, using TestRun. TestRun performs tests on the In-Sight vision system and compares the results of those tests against expected values. This will allow you to see whether or not the job is behaving as expected, or if you will need to adjust certain parameters for allowable variances.

General Tab

Settings Tab

Range Limits Tab


Distance Measurement Tool - General Tab

Closed Tool Name

Defines the name of your inspection tool, which will be utilized in configuring the results Inputs/Outputs and Communication); the default name is “Distance_1” (if it is the first Distance tool added to the job, otherwise it will be incremented, e.g. “Distance_2”, “Distance_3”, etc.). Customize your tool by giving it a name that is associated with your particular application.

Closed Tool Image

Defines which image the tool will utilize to perform its inspection; the unfiltered, acquired image (the default setting), or the output image of an Image Filter Tool. This control is only enabled if an Image Filter Tool has been added.

Closed Tool Enabled

Defines when and whether or not the inspection tool should run (default setting is “On”). Select “Off” if you want to disable the tool; select "Expression" if you want to tie the tool's execution to the result of an Expression (this control is only enabled for tool's that provide an Expression parameter); or select an “Input” if you want the tool tied to a specific discrete input line, where it can be turned On or Off (a High signal, 1, is On, a Low signal, 0, is Off). Tying the tool to an input allows a control system, such as a PLC, to determine which tools should run.

Closed Include in Job Pass

Defines whether or not the tool's pass/failure status should be included in the job's overall pass/fail status; by default, it is checked and will be included in the job's overall pass/fail status. Uncheck the check box to keep the tool's pass/failure status separate from the other tools in the job. This control should be unchecked if a tool is expected to fail; for example, if two PatMax Patterns Identification Tools were being used to determine whether or not the part was a right-hand or left-hand part, one of the tools would be expected to fail every time. This situation would result in the job failing every time, regardless of which side of the part was identified, were the checkbox checked.

Closed Execution Time (ms)

Displays the amount of time, in milliseconds, that the tool took to perform its inspection. This time may vary, depending upon the complexity of the scene in the image, as well as the position of the feature within the image, and the amount of variance allowed in the parameters.

Closed Description

A comment that describes the purpose of the tool (by default, the field is blank). Up to 255 alpha-numeric characters or 127 Asian language characters may be used.


Distance Measurement Tool - Settings Tab

Closed Measurement

Specifies how the distance will be calculated between two edge features: Mid-point to Line (which measures the perpendicular distance between the edge segments; the default setting) or Mid-point to Mid-point.

Note:

This control is only enabled when measuring the distance between at least one edge feature; otherwise the distance is automatically calculated in the following manner:

  • Circle-to-Line: Measures from the center of the circle to the perpendicular intersection of an edge feature or reference line.
  • Point-to-Line: Measures from the point to the perpendicular intersection of an edge feature or reference line.
  • Circle-to-Point: Measures from the center of the circle to the point.
  • Circle-to-Circle: Measures from the center of one circle to the center of another.
  • Point-to-Point: Measures from the two points.

A point refers to a previously defined feature, a blob, circle, edge, pattern or point, and are recognized as follows:

  • Blob: Measures from the X,Y coordinates of the blob's centroid.
  • Circle: Measures from the circle's X,Y center coordinates.
  • Edge: Measures from the edge's X,Y mid-point coordinates.
  • Pattern: Measures from the Model pattern's X,Y origin coordinates.
  • Point: Measures from the X,Y coordinates of the point.


Distance Measurement Tool - Range Limits Tab

Closed Maximum

Defines the maximum acceptable distance value; the tool will create a "Smart Limit" default setting based on your image, which you can customize to suit the needs of your application.

Closed Distance

Reports the current measured distance between the two features; values that fall exactly at, or between, the Minimum and Maximum settings are classified as a Pass.

Note: The tool reports measurements in pixels, unless the image was calibrated to real-world units in Set Up Image.
Closed Minimum

Defines the minimum acceptable distance value; the tool will create a "Smart Limit" default setting based on your image, which you can customize to suit the needs of your application.

Closed Invert Result

Defines whether or not the Pass/Fail logic of the tool should be inverted (default = Off, unchecked):

  • Unchecked - Standard results are applied, i.e. the tool result is a Pass if the feature was detected and falls within the Range Limits.
  • Checked - Inverts the results, i.e. the tool result is a Fail if the feature was detected and falls within the Range Limits.
Closed Auto Limits button

Defines the limits based on the Smart Limits settings. This button is useful when a parameter has been changed and the limits need to be adjusted, or the tool has been added and no limits have been defined.


Measurement Tools - Angle

The Angle Measurement Tool computes the angle between two edge features.

The Angle Measurement Tool is useful, for example, in situations where you need to accurately gauge a part or object.

Setting Up the Tool

Adjusting the Tool Parameters


Setting Up the Angle Measurement Tool

Once the tool has been added, you will need to define the input features that will be measured.

  1. After adding the tool, EasyBuilder will examine your image and give you a selection of Smart Features that it has automatically detected (highlighted in cyan), as well as any features that you have previously defined with another tool (highlighted in green).
  2. First select one feature from the available features by clicking on it, at which point its color will change to magenta and a line will extend out from that feature.
  3. Next, select the second feature.
  4. After the second feature has been selected, EasyBuilder will automatically calculate the angle between the features, and draw a graphic in the image indicating where the two edges intersect and the angle is being measured. EasyBuilder will also insert an Edge Presence/Absence Tool and/or Circle Presence/Absence Tool for any features that were not previously defined (depending upon the tool and the type of feature).
  5. With the tool initially configured, load several images and adjust the tool's parameters, as needed, to compensate for your expected ranges of variations.
  6. Finally, if desired, use the tool's Input/Output properties to share tool data between other tools and/or other external devices.


Adjusting the Angle Measurement Tool Parameters

After the tool’s inputs have been set and accepted, you can begin customizing and fine-tuning the tool for your application.

The settings pane of the Angle Measurement Tool consists of the following:

  • General Tab
  • Range Limits Tab
Tip: Test your job, using TestRun. TestRun performs tests on the In-Sight vision system and compares the results of those tests against expected values. This will allow you to see whether or not the job is behaving as expected, or if you will need to adjust certain parameters for allowable variances.

General Tab

Range Limits Tab


Angle Measurement Tool - General Tab

Closed Tool Name

Defines the name of your inspection tool, which will be utilized in configuring the results (Inputs/Outputs and Communication); the default name is “Angle_1” (if it is the first Angle tool added to the job, otherwise it will be incremented, e.g. “Angle_2”, “Angle_3”, etc.). Customize your tool by giving it a name that is associated with your particular application.

Closed Tool Image

Defines which image the tool will utilize to perform its inspection; the unfiltered, acquired image (the default setting), or the output image of an Image Filter Tool. This control is only enabled if an Image Filter Tool has been added.

Closed Tool Fixture

Defines a fixture for the tool. This control is only enabled if another tool that defines a fixture has already been added.

Closed Tool Enabled

Defines when and whether or not the inspection tool should run (default setting is “On”). Select “Off” if you want to disable the tool; select "Expression" if you want to tie the tool's execution to the result of an Expression (this control is only enabled for tool's that provide an Expression parameter); or select an “Input” if you want the tool tied to a specific discrete input line, where it can be turned On or Off (a High signal, 1, is On, a Low signal, 0, is Off). Tying the tool to an input allows a control system, such as a PLC, to determine which tools should run.

Closed Include in Job Pass

Defines whether or not the tool's pass/failure status should be included in the job's overall pass/fail status; by default, it is checked and will be included in the job's overall pass/fail status. Uncheck the check box to keep the tool's pass/failure status separate from the other tools in the job. This control should be unchecked if a tool is expected to fail; for example, if two PatMax Patterns Identification Tools were being used to determine whether or not the part was a right-hand or left-hand part, one of the tools would be expected to fail every time. This situation would result in the job failing every time, regardless of which side of the part was identified, were the checkbox checked.

Closed Execution Time (ms)

Displays the amount of time, in milliseconds, that the tool took to perform its inspection. This time may vary, depending upon the complexity of the scene in the image, as well as the position of the feature within the image, and the amount of variance allowed in the parameters.

Closed Description

A comment that describes the purpose of the tool (by default, the field is blank). Up to 255 alpha-numeric characters or 127 Asian language characters may be used.


Angle Measurement Tool - Range Limits Tab

Closed Maximum

Defines the maximum acceptable angle value; the tool will create a "Smart Limit" default setting based on your image, which you can customize to suit the needs of your application.

Closed Angle

Reports the current measured angle between the two features; values that fall exactly at, or between, the Minimum and Maximum settings are classified as a Pass.

Note: The tool reports X,Y coordinates in pixels, unless the image was calibrated to real-world units in Set Up Image.
Closed Minimum

Defines the minimum acceptable angle value; the tool will create a "Smart Limit" default setting based on your image, which you can customize to suit the needs of your application.

Closed Invert Result

Defines whether or not the Pass/Fail logic of the tool should be inverted (default = Off, unchecked):

  • Unchecked - Standard results are applied, i.e. the tool result is a Pass if the feature was detected and falls within the Range Limits.
  • Checked - Inverts the results, i.e. the tool result is a Fail if the feature was detected and falls within the Range Limits.
Closed Auto Limits button

Defines the limits based on the Smart Limits settings. This button is useful when a parameter has been changed and the limits need to be adjusted, or the tool has been added and no limits have been defined.


Measurement Tools - Blob Area and Blob Areas (1-10)

The Blob Area Measurement Tool and the Blob Areas (1-10) Measurement Tool measure the area of the largest found blob feature, and reports the size of the largest blob. The Blob Area tool is used to measure a single blob, while the Blob Areas (1-10) tool is used to measure up to 10 blobs.

Note: The tool returns the results in pixels, unless the image was calibrated to real-world units (In-Sight vision systems) or Field of View (Width) was set to real-world units (In-Sight 2000 series vision sensors) in the Set Up Image application step.

The Blob Areaand the Blob Areas (1-10) Measurement Tool are useful, for example, in situations where you are trying to gauge the expected area of a feature or detect through-hole blockages.

Setting Up the Tools

Adjusting the Tools Parameters


Setting Up the Blob Area and the Blob Areas (1-10) Measurement Tools

After selecting the tool, you will need to choose the type of region and then configure it in the image where you expect to detect the blob feature(s):

  1. From the Region Type drop-down menu, select the type of region: Rectangle (default), Circle, Annulus or Polygon. Position and configure the region within the image where you expect the blob(s) to appear; make sure that the boundaries of the region cover the blob(s) and their possible locations. To help the performance of the tool, create smaller regions; larger regions require longer to inspect. If you’re not using a fixture, ensure that the blob(s) are present in roughly the same location in every image, or the region is large enough to account for the expected movement of the features.

    Note: After adding the tool, you can change the type of region by right-clicking the region in the image and selecting the desired shape from the Change Region to option.
  2. Press the OK button to confirm the region (press the Cancel button to not add the tool to the job).
  3. With the tool initially configured, load several images and adjust the tool's parameters, as needed, to compensate for your expected ranges of variations.
  4. Finally, if desired, use the tool's Input/Output properties to share tool data between other tools and/or other external devices.


Adjusting the Blob Area and Blob Areas (1-10) Measurement Tools Parameters

After the tool’s region has been positioned, you can optimize the tool for your application.

The settings panes of the Blob Area and Blob Areas (1-10) Measurement Tool consist of the following tabs:

  • General Tab
  • Settings Tab
  • Range Limits Tab
  • Table Tab
  • Histogram Tab
  • Composite Region Tab
Note: The Table tab is only enabled for the Blobs Areas (1-10) Measurement Tool.
Tip: Test your job, using TestRun. TestRun performs tests on the In-Sight vision system and compares the results of those tests against expected values. This will allow you to see whether or not the job is behaving as expected, or if you will need to adjust certain parameters for allowable variances.

General Tab

Settings Tab

Range Limits Tab

Table

Histogram

Composite Region Tab


Blob Area and Blob Areas (1-10) Measurement Tool - General Tab

Closed Tool Name

Defines the name of your inspection tool, which will be utilized in configuring the results Inputs/Outputs and Communication); the default name is “Blob_1” (if it is the first Blob tool added to the job, otherwise it will be incremented, e.g. “Blob_2”, “Blob_3”, etc.). Customize your tool by giving it a name that is associated with your particular application.

Closed Tool Image

Defines which image the tool will utilize to perform its inspection; the unfiltered, acquired image (the default setting), or the output image of an Image Filter Tool. This control is only enabled if an Image Filter Tool has been added.

Closed Tool Fixture

Defines a fixture for the tool. This control is only enabled if another tool that defines a fixture has already been added.

Closed Tool Enabled

Defines when and whether or not the inspection tool should run (default setting is “On”). Select “Off” if you want to disable the tool; select "Expression" if you want to tie the tool's execution to the result of an Expression (this control is only enabled for tool's that provide an Expression parameter); or select an “Input” if you want the tool tied to a specific discrete input line, where it can be turned On or Off (a High signal, 1, is On, a Low signal, 0, is Off). Tying the tool to an input allows a control system, such as a PLC, to determine which tools should run.

Closed Include in Job Pass

Defines whether or not the tool's pass/failure status should be included in the job's overall pass/fail status; by default, it is checked and will be included in the job's overall pass/fail status. Uncheck the check box to keep the tool's pass/failure status separate from the other tools in the job. This control should be unchecked if a tool is expected to fail; for example, if two PatMax Patterns Identification Tools were being used to determine whether or not the part was a right-hand or left-hand part, one of the tools would be expected to fail every time. This situation would result in the job failing every time, regardless of which side of the part was identified, were the checkbox checked.

Closed Execution Time (ms)

Displays the amount of time, in milliseconds, that the tool took to perform its inspection. This time may vary, depending upon the complexity of the scene in the image, as well as the position of the feature within the image, and the amount of variance allowed in the parameters.

Closed Description

A comment that describes the purpose of the tool (by default, the field is blank). Up to 255 alpha-numeric characters or 127 Asian language characters may be used.


Blob Area and Blob Areas (1-10) Measurement Tool - Settings Tab

Closed Threshold Mode

Defines the mode for determining the grayscale value that is used to separate blobs from the background. When Auto is selected (default = Auto), each time an image is acquired, the tool will adjust for changes in brightness from image to image. When Manual is selected, you manually enter and adjust the value.

Closed Blob Threshold

Defines the grayscale value that is used to separate blobs from the background (0 - 255, when enabled). This control is Off by default, and requires that the Threshold Mode be set to Manual to be enabled. Use the Histogram to set an optimal value for your application.

Closed Blob Color

Defines the color of the blob (Black, White, or Either; default = Either).

  • Either = There is no blob color requirement.
  • Black = Only returns blobs that are below the Blob Threshold.
  • White = Only returns blobs that are above the Blob Threshold.
Closed Boundary

Defines one of two ways of managing blobs that intersect the blob's region boundary (default = Off, unchecked):

  • Unchecked – Does not include blobs that intersect the region boundary; i.e. the blob must be located entirely within the region to be detected.
  • Checked – Includes blobs that intersect the region boundary; i.e. blobs that intersect, as long as they match the other criteria, are detected.
Closed Minimum Area Limit

Defines a minimum area restriction, in number of pixels (0-900,000; default = 50), for detecting blobs; only blobs whose area is greater than the Minimum Area Limit value will be returned.

Note: The Minimum parameter in the Range Limit tab determines whether or not the tool passes or fails, while the Minimum Area Limit parameter determines whether or not blobs are reported.
Closed Maximum Area Limit

Defines a maximum area restriction, in number of pixels (0-307,200; default = 307,200), for detecting blobs; only blobs whose area is less than the Maximum Area Limit value will be returned.

Note: The Maximum parameter in the Range Limit tab determines whether or not the tool passes or fails, while the Maximum Area Limit parameter determines whether or not blobs are reported.
Closed Number to Find

Defines the number of blobs that should be detected (1-10; default = 1). Most applications only require a single fixture, however, multiple blobs can be located, which is useful in applications where there is more than one part or object in the image. The more blobs the tool is asked to identify, the longer the tool’s execution time.

Closed Sort By

Defines how the tool will measure and sort the found blobs (Area, Row, Col, Grid: Row then Col from Fixture, Grid: Col then Row from Fixture, Distance from Fixture Origin, Angle (CCW) from Fixture Row Axis, Angular Distance; default = Area):

  • Area = Sorts by the areas of the found blobs, from largest to smallest.
  • Row = Sorts by distance along the row image-axis, from closest to furthest, in descending order.
  • Col = Sorts by distance along the column image-axis, from closest to furthest, in descending order.
  • Grid: Row then Col from Fixture = Sorts by distance along the Fixture's row image-axis first, and then by distance along the column image-axis, from closest to furthest, in descending order.
  • Grid: Col then Row from Fixture = Sorts by distance along the Fixture's column image-axis first, and then by distance along the row image-axis, from closest to furthest, in descending order.
  • Distance from Fixture Origin = Sorts by the distance from the Fixture origin to the blob's centroid, from closest to furthest, in descending order.
  • Angle (CCW) from Fixture Row Axis = Sorts by the angle (0 to 360°), as measured from the row image-axis of the Fixture to the line segment defined by the blob centroid and the Fixture origin, from closest to furthest, in descending order.
  • Angular Distance = Sorts by the absolute value of the angle (-180 to 180°), as measured from the row image-axis of the Fixture to a line segment defined by the blob centroid and the Fixture origin, from closest to furthest.
Note: The Blob Area Measurement Tool does not contain the Number to Find parameter.


Blob Area and Blob Areas (1-10) Measurement Tool - Range Limits Tab

Closed Maximum

Defines the maximum acceptable blob area value; the tool will create a "Smart Limit" default setting based on your image, which you can customize to suit the needs of your application.

Closed Blob Area

Reports the current measured blob area; values that fall exactly at, or between, the Minimum and Maximum settings are classified as a Pass.

Note: The tool reports measurements in pixels, unless the image was calibrated to real-world units in Set Up Image.
Closed Minimum

Defines the minimum acceptable blob area value; the tool will create a "Smart Limit" default setting based on your image, which you can customize to suit the needs of your application.

Closed Invert Result
Defines whether or not the Pass/Fail logic of the tool should be inverted (default = Off, unchecked):Unchecked - Standard results are applied, i.e. the tool result is a Pass if the feature was detected and falls within the specified settings.Checked - Inverts the results, i.e. the tool result is a Fail if the feature was detected and falls within the specified settings.
Closed Auto Limits button

Defines the limits based on the Smart Limits settings. This button is useful when a parameter has been changed and the limits need to be adjusted, or the tool has been added and no limits have been defined.


Blob Areas (1-10) Measurement Tool - Table

Note:
  • The Blob Measurement Tool does not support the Table tab; it is only available for the Blobs (1-10) Measurement Tool.
  • When the Sort By parameter is set to any other option except Area, the Pixel Row and Pixel Col columns are added to the table. Pixel Row and Pixel Col refer to the image coordinates, which are based on the 2D grid of the In-Sight vision system's image sensor (rows and columns of the array), and are the opposite (Y/X) of real-world coordinates (X/Y).

  • If Classic Orientation is enabled (checked) in the Calibrate Image to Real World Units group box of the Set Up Image step, the X and Y coordinates will be in the same coordinate space as the image coordinates (Y/X).

The Table tab publishes the results of the found blobs, depending on the Number to Find parameter in the Settings tab:

Closed Index

Refers to the order of the found blobs, based on the Sort By parameter in the Settings tab; 1 to 10 (numerical ordering in EasyBuilder is based on 0=1).

Closed Area

Returns the area of the found blob (measured in pixels).

Closed X

Returns the X coordinate of the found blob's centroid; the tool reports results in pixels, unless the image was calibrated to real-world units in Set Up Image.

Closed Y

Returns the Y coordinate of the found blob's centroid; the tool reports results in pixels, unless the image was calibrated to real-world units in Set Up Image.

Closed Angle

Returns the angle of the found blob's centroid, relative to the center of the region.

Closed Error

Returns error results, if any are encountered, for the found blobs.

Closed Pixel Row

Returns the image row (X) coordinate of the found blob's centroid.

Closed Pixel Column

Returns the image column (Y) coordinate of the found blob's centroid.


Blob Area and Blob Areas (1-10) Measurement Tool - Histogram

The Histogram displays a graphic representation of the grayscale values of the pixels in the region.

  • The X-axis of the graph represents the total number of greyscale values (0 to 255, or 256 total shades of grey).
  • The Y-axis of the graph represents the number of pixels at a given greyscale value, and the scale is established by displaying the greyscale value with the greatest number of pixels.
  • The blue vertical line indicates the threshold that is being used to separate the region of the image into black and white pixels; values to the left of the line are considered black and values to the right are considered white.
Note: The graph will be displayed regardless of the Online/Offline status and the pass/fail state of the tool. However, if the tool is failing, the graph may not update.


Blob Area and Blob Areas (1-10) Measurement Tools - Composite Region Tab

The Composite Region tab is used to configure a composite region, a collection of sub-regions (Rectangle, Annulus, Circle or Polygon) that either Add to the region (the region will be included in the image analysis) or Subtract from the region (the region will be excluded from the image analysis; also known as "masking").

Note:
  • A maximum of 32 sub-regions can be used to construct a composite region.
  • A right-click menu is available while interacting with the region in the image, which allows you to change a selected sub-region's shape, add or remove a sub-region, or change a selected sub-region's Operation (Add or Subtract).
Closed Composite Region Table

Displays the type of sub-region(s) that comprise the composite region, as well as its Operation (Add or Subtract). Select a sub-region to enable the Delete, Move Up or Move Down buttons. Pressing the Delete button removes the selected sub-region from the list; pressing the Move Up button moves the selected sub-region up in the list; and pressing the Move Down button moves the selected sub-region down in the list.

Note:

The composite region is built based upon its sequence of sub-regions within the list. By placing sub-regions, and their Add or Subtract Operation, in a specific order, parts of the image may be highlighted while ignoring other areas. The image below shows an example of how to correctly order the sub-regions to exclude part of the image while focusing on other areas. In the first set, a Rectangle with an Add Operation is configured, and then a Circle, with a Subtract Operation, is set in the middle. Then a smaller Rectangle, with an Add Operation, is configured in the middle of the Circle. The Circle excludes part of the image, while the smaller Rectangle adds part of the image area back to the image analysis. In the second set, the smaller Rectangle is added before the Circle, and the Circle masks the smaller Rectangle, excluding it from the image analysis.

Closed Shape

Displays the shape of selected sub-region (Rectangle, Circle, Annulus or Polygon). To change the shape, select the desired region type from the drop-down menu.

Closed Operation

Defines the selected sub-region's action within the region: Add or Subtract. Add indicates that the sub-region will be included in the image analysis while Subtract indicates that the sub-region will be excluded from the image analysis (also known as "masking").

Closed Rectangle

Inserts a rectangle sub-region into the composite region. Configure the shape and size of the region as needed.

Closed Annulus

Inserts an annulus sub-region into the composite region. Configure the shape and size of the region as needed.

Closed Circle

Inserts a circle sub-region into the composite region. Configure the shape and size of the region as needed.

Closed Polygon

Inserts a polygon sub-region into the composite region. Configure the shape and size of the region as needed.


Measurement Tools - Color Blob Area and Color Blob Areas (1-10)

The Color Blob Area and Color Blob Areas (1-10) Measurement Tools measure the area of the largest found blob feature, and reports the size of the largest blob. The Color Blob Area tool is used to measure a single blob, while the Color Blob Areas (1-10) tool is used to measure up to 10 blobs.

Note: The tool returns the results in pixels, unless the image was calibrated to real-world units (In-Sight vision systems) or Field of View (Width) was set to real-world units (In-Sight 2000 series vision sensors) in the Set Up Image application step.

The Color Blob Area and Color Blob Areas (1-10) tools reference a trained library of Color Model(s), and then determine the number of pixels present in the region that match the selected and trained Color Model(s) in the library. The tool then creates a binary greyscale output image, where every pixel that matches an active Color Model is set to White (255), while all other pixels are set to Black (0). Using this binary output image, the tool then searches the image for the blob features created by the active Color Model(s).

Setting Up the Tools

Adjusting the Tools Parameters


Setting Up the Color Blob Area and Color Blob Areas (1-10) Measurement Tools

After selecting the tool, you will need to choose the type of region and then configure it in the image where you expect to detect the blob feature(s):

  1. From the Region Type drop-down menu, select the type of region: Rectangle (default), Circle, Annulus or Polygon. Position and configure the region within the image where you expect the blob(s) to appear; make sure that the boundaries of the region cover the blob(s) and their possible locations. To help the performance of the tool, create smaller regions; larger regions require longer to inspect. If you’re not using a fixture, ensure that the blob(s) are present in roughly the same location in every image, or the region is large enough to account for the expected movement of the features.

    Note: After adding the tool, you can change the type of region by right-clicking the region in the image and selecting the desired shape from the Change Region to option.
  2. Press the OK button to confirm the region (press the Cancel button to not add the tool to the job).
  3. Once the search region has been configured, you will need to configure the tool's Color Library and activate the appropriate Color Model(s):

    • If this is the first time that a color tool (Color Blob and Color Blobs (1-10) Location Tools, Color Pixel Count and Color Blob Presence/Absence Tools, Color Blob Area and Color Blob Areas (1-10) Measurement Tools, Color Blobs Counting Tool, Color Model Identification Tool or Color to Binary Image Filter Tool) has been added, you will need to first define the Color Library(s) and its Color Model(s).

    • If another color tool has previously been added and you want to utilize an existing Color Library and its trained Color Models, go to the Settings tab and select your desired Color Library, and then activate your desired Color Models by checking them in the Library tab.

    • By default, the tool will automatically result in a Fail until a Color Library has been defined. If a Color Library has been defined, the tool will automatically use that library and activate all Color Models contained within.

  4. Once the Color Model(s) and Color Library(s) have been set, the tool will process the image and all pixels within the search region that match the selected Color Model(s) will be turned white (255), and those pixels not matching the selected Color Model(s) will be set to black (0).
  5. With the tool initially configured, load several images and adjust the tool's parameters, as needed, to compensate for your expected ranges of variations.
  6. Finally, if desired, use the tool's Input/Output properties to share tool data between other tools and/or other external devices.


Adjusting the Color Blob Area and Color Blob Areas (1-10) Measurement Tools Parameters

After the tool’s region has been positioned, you can optimize the tool for your application.

The settings pane of the Color Blob Area and Color Blob Areas (1-10) Measurement Tools consist of the following tabs:

  • General Tab
  • Settings Tab
  • Range Limits Tab
  • Color Library Tab
  • Table Tab
  • Composite Region Tab
Note: The Table tab is only enabled for the Color Blob Areas (1-10) Measurement Tool.
Tip: Test your job, using TestRun. TestRun performs tests on the In-Sight vision system and compares the results of those tests against expected values. This will allow you to see whether or not the job is behaving as expected, or if you will need to adjust certain parameters for allowable variances.

General Tab

Settings Tab

Range Limits Tab

Library Tab

Table Tab

Composite Region Tab


Color Blob Area and Color Blob Areas (1-10) Measurement Tools - General Tab

Closed Tool Name

Defines the name of your inspection tool, which will be utilized in configuring the results (Inputs/Outputs and Communication); the default name is “ColorBlobAreas_1” (if it is the first Color Blob Area tool added to the job, otherwise it will be incremented, e.g. “ColorBlobAreas_2”, “ColorBlobAreas_3”, etc.). Customize your tool by giving it a name that is associated with your particular application.

Closed Tool Fixture

Defines a fixture for the tool. This control is only enabled if another tool that defines a fixture has already been added.

Closed Tool Enabled

Defines when and whether or not the inspection tool should run (default setting is “On”). Select “Off” if you want to disable the tool; select "Expression" if you want to tie the tool's execution to the result of an Expression (this control is only enabled for tool's that provide an Expression parameter); or select an “Input” if you want the tool tied to a specific discrete input line, where it can be turned On or Off (a High signal, 1, is On, a Low signal, 0, is Off). Tying the tool to an input allows a control system, such as a PLC, to determine which tools should run.

Closed Include in Job Pass

Defines whether or not the tool's pass/failure status should be included in the job's overall pass/fail status; by default, it is checked and will be included in the job's overall pass/fail status. Uncheck the check box to keep the tool's pass/failure status separate from the other tools in the job. This control should be unchecked if a tool is expected to fail; for example, if two PatMax Patterns Identification Tools were being used to determine whether or not the part was a right-hand or left-hand part, one of the tools would be expected to fail every time. This situation would result in the job failing every time, regardless of which side of the part was identified, were the checkbox checked.

Closed Execution Time (ms)

Displays the amount of time, in milliseconds, that the tool took to perform its inspection. This time may vary, depending upon the complexity of the scene in the image, as well as the position of the feature within the image, and the amount of variance allowed in the parameters.

Closed Description

A comment that describes the purpose of the tool (by default, the field is blank). Up to 255 alpha-numeric characters or 127 Asian language characters may be used.


Color Blob Area and Color Blob Areas (1-10) Measurement Tools - Settings Tab

Closed Train Color

Launches the ExtractColor Training dialog; used to define the selected Color Library's Color Model(s).

Closed Color Library

Defines the Color Library that will be referenced by the tool. From the drop-down list, select the Color Library that you want to modify and then press the Train Color button to launch the ExtractColor Training dialog. Each Color Library may contain up to 100 distinct Color Models, which are composed of individual Colors.

EasyBuilder jobs may contain a maximum of 5 Color Libraries, which may be shared among the following tools:

  • Color Blob Location Tool
  • Color Blobs (1-10) Location Tool
  • Color Pixel Count Presence/Absence Tool
  • Color Blob Area Measurement Tool
  • Color Blobs Areas (1-10) Measurement Tool
  • Color Blobs Counting Tool
  • Color Model Identification Tool
  • Color to Binary Image Filter Tool
Closed Boundary

Defines one of two ways of managing blobs that intersect the blob's region boundary (default = Off, unchecked):

  • Unchecked – Does not include blobs that intersect the region boundary; i.e. the blob must be located entirely within the region to be detected.
  • Checked – Includes blobs that intersect the region boundary; i.e. blobs that intersect, as long as they match the other criteria, are detected.
Closed Sort By

Defines how the tool will measure and sort the found blobs (Area, Row, Col, Grid: Row then Col from Fixture, Grid: Col then Row from Fixture, Distance from Fixture Origin, Angle (CCW) from Fixture Row Axis, Angular Distance; default = Area):

  • Area = Sorts by the areas of the found blobs, from largest to smallest.
  • Row = Sorts by distance along the row image-axis, from closest to furthest, in descending order.
  • Col = Sorts by distance along the column image-axis, from closest to furthest, in descending order.
  • Grid: Row then Col from Fixture = Sorts by distance along the Fixture's row image-axis first, and then by distance along the column image-axis, from closest to furthest, in descending order.
  • Grid: Col then Row from Fixture = Sorts by distance along the Fixture's column image-axis first, and then by distance along the row image-axis, from closest to furthest, in descending order.
  • Distance from Fixture Origin = Sorts by the distance from the Fixture origin to the blob's centroid, from closest to furthest, in descending order.
  • Angle (CCW) from Fixture Row Axis = Sorts by the angle (0 to 360°), as measured from the row image-axis of the Fixture to the line segment defined by the blob centroid and the Fixture origin, from closest to furthest, in descending order.
  • Angular Distance = Sorts by the absolute value of the angle (-180 to 180°), as measured from the row image-axis of the Fixture to a line segment defined by the blob centroid and the Fixture origin, from closest to furthest.
Closed Number to Find

Defines the number of blobs that should be detected (1-10; default = 1). The more blobs the tool is asked to identify, the longer the tool’s execution time.

Note: This control is only available for the Color Blob Areas (1-10) Measurement Tool.


Color Blob Area and Color Blob Areas (1-10) Measurement Tools - Range Limits Tab

Closed Maximum

Defines the maximum acceptable blob area value; the tool will create a "Smart Limit" default setting based on your image, which you can customize to suit the needs of your application.

Closed Blob Area

Reports the current measured blob area; values that fall exactly at, or between, the Minimum and Maximum settings are classified as a Pass.

Note: The tool reports measurements in pixels, unless the image was calibrated to real-world units in Set Up Image.
Closed Minimum

Defines the minimum acceptable blob area value; the tool will create a "Smart Limit" default setting based on your image, which you can customize to suit the needs of your application.

Closed Invert Result

Defines whether or not the Pass/Fail logic of the tool should be inverted (default = Off, unchecked):

  • Unchecked - Standard results are applied, i.e. the tool result is a Pass if the feature was detected and falls within the specified settings.
  • Checked - Inverts the results, i.e. the tool result is a Fail if the feature was detected and falls within the specified settings.
Closed Auto Limits button

Defines the limits based on the Smart Limits settings. This button is useful when a parameter has been changed and the limits need to be adjusted, or the tool has been added and no limits have been defined.


Color Blob Area and Color Blob Areas (1-10) Measurement Tools - Library Tab

Closed Color Models List

Displays a read-only list of the Color Model(s) contained in the selected Color Library. The Color Models are activated and de-activated by checking or unchecking the checkbox beside the Color Model's name.

Closed Color Table

Displays a read-only ordered table of the Color(s) in the selected Color Model.

Closed Color Name

Displays the name of the Color(s) in the selected Color Model.

Closed RGB

Displays the RGB values of the Color(s) in the selected Color Model.

Closed Operation

Displays the Operation (Add or Subtract) of the Color(s) in the selected Color Model.


Color Blob Areas (1-10) Measurement Tool - Table Tab

Note:
  • The Color Blob Area Measurement Tool does not support the Table tab; it is only available for the Color Blob Areas (1-10) Measurement Tool.
  • When the Sort By parameter is set to any other option except Area, the Pixel Row and Pixel Col columns are added to the table. Pixel Row and Pixel Col refer to the image coordinates, which are based on the 2D grid of the In-Sight vision system's image sensor (rows and columns of the array), and are the opposite (Y/X) of real-world coordinates (X/Y).

  • If Classic Orientation is enabled (checked) in the Calibrate Image to Real World Units group box of the Set Up Image step, the X and Y coordinates will be in the same coordinate space as the image coordinates (Y/X).

The Table tab publishes the results of the found blobs, depending on the Number to Find parameter in the Settings tab:

Closed Index

Refers to the order of the found blobs, based on the Sort By parameter in the Settings tab; 1 to 10 (numerical ordering in EasyBuilder is based on 0=1).

Closed Area

Returns the area of the found blob (measured in pixels).

Closed X

Returns the X coordinate of the found blob's centroid; the tool reports results in pixels, unless the image was calibrated to real-world units in Set Up Image.

Closed Y

Returns the Y coordinate of the found blob's centroid; the tool reports results in pixels, unless the image was calibrated to real-world units in Set Up Image.

Closed Angle

Returns the angle of the found blob's centroid, relative to the center of the region.

Closed Error

Returns error results, if any are encountered, for the found blobs.

Closed Pixel Row

Returns the image row (X) coordinate of the found blob's centroid.

Closed Pixel Column

Returns the image column (Y) coordinate of the found blob's centroid.


Color Blob Area and Color Blob Areas (1-10) Measurement Tools - Composite Region Tab

The Composite Region tab is used to configure a composite region, a collection of sub-regions (Rectangle, Annulus, Circle or Polygon) that either Add to the region (the region will be included in the image analysis) or Subtract from the region (the region will be excluded from the image analysis; also known as "masking").

Note:
  • A maximum of 32 sub-regions can be used to construct a composite region.
  • A right-click menu is available while interacting with the region in the image, which allows you to change a selected sub-region's shape, add or remove a sub-region, or change a selected sub-region's Operation (Add or Subtract).
Closed Composite Region Table

Displays the type of sub-region(s) that comprise the composite region, as well as its Operation (Add or Subtract). Select a sub-region to enable the Delete, Move Up or Move Down buttons. Pressing the Delete button removes the selected sub-region from the list; pressing the Move Up button moves the selected sub-region up in the list; and pressing the Move Down button moves the selected sub-region down in the list.

Note:

The composite region is built based upon its sequence of sub-regions within the list. By placing sub-regions, and their Add or Subtract Operation, in a specific order, parts of the image may be highlighted while ignoring other areas. The image below shows an example of how to correctly order the sub-regions to exclude part of the image while focusing on other areas. In the first set, a Rectangle with an Add Operation is configured, and then a Circle, with a Subtract Operation, is set in the middle. Then a smaller Rectangle, with an Add Operation, is configured in the middle of the Circle. The Circle excludes part of the image, while the smaller Rectangle adds part of the image area back to the image analysis. In the second set, the smaller Rectangle is added before the Circle, and the Circle masks the smaller Rectangle, excluding it from the image analysis.

Closed Shape

Displays the shape of selected sub-region (Rectangle, Circle, Annulus or Polygon). To change the shape, select the desired region type from the drop-down menu.

Closed Operation

Defines the selected sub-region's action within the region: Add or Subtract. Add indicates that the sub-region will be included in the image analysis while Subtract indicates that the sub-region will be excluded from the image analysis (also known as "masking").

Closed Rectangle

Inserts a rectangle sub-region into the composite region. Configure the shape and size of the region as needed.

Closed Annulus

Inserts an annulus sub-region into the composite region. Configure the shape and size of the region as needed.

Closed Circle

Inserts a circle sub-region into the composite region. Configure the shape and size of the region as needed.

Closed Polygon

Inserts a polygon sub-region into the composite region. Configure the shape and size of the region as needed.


Measurement Tools - Circle Diameter

The Circle Diameter Measurement Tool measures the diameter of a circular feature.

Note: The tool returns the results in pixels, unless the image was calibrated to real-world units (In-Sight vision systems) or Field of View (Width) was set to real-world units (In-Sight 2000 series vision sensors) in the Set Up Image application step.

Setting Up the Tool

Adjusting the Tool Parameters


Setting Up the Circle Diameter Measurement Tool

Once the tool has been added, you will need to select the input feature to be measured:

  1. After adding the tool, EasyBuilder will examine your image and give you a selection of Smart Features that it has automatically detected (highlighted in cyan), as well as any features that you have previously defined with another tool (highlighted in green).
  2. Select a Smart Feature from the available features by clicking on it, at which point its color will change to magenta.
  3. Confirm your selection by pressing the OK button (or press the Cancel button to undo the action).
  4. After the feature has been confirmed, EasyBuilder will automatically calculate the diameter of the feature. EasyBuilder will also insert an Edge Presence/Absence Tool and/or Circle Presence/Absence Tool for any features that were not previously defined (depending upon the tool and the type of feature).
  5. With the tool initially configured, load several images and adjust the tool's parameters, as needed, to compensate for your expected ranges of variations.
  6. Finally, if desired, use the tool's Input/Output properties to share tool data between other tools and/or other external devices.


Adjusting the Circle Diameter Measurement Tool Parameters

After the tool’s inputs have been set and accepted, you can begin customizing and fine-tuning the tool for your application.

The settings pane of the Circle Diameter Measurement Tool consists of the following:

  • General Tab
  • Settings Tab
  • Range Limits Tab
  • Graph
Tip: Test your job, using TestRun. TestRun performs tests on the In-Sight vision system and compares the results of those tests against expected values. This will allow you to see whether or not the job is behaving as expected, or if you will need to adjust certain parameters for allowable variances.

General Tab

Settings Tab

Range Limits Tab

Graph


Circle Diameter Measurement Tool - General Tab

Closed Tool Name

Defines the name of your inspection tool, which will be utilized in configuring the results (Inputs/Outputs and Communication); the default name is “Circle_1” (if it is the first Circle tool added to the job, otherwise it will be incremented, e.g. “Circle_2”, “Circle_3”, etc.). Customize your tool by giving it a name that is associated with your particular application.

Closed Tool Image

Defines which image the tool will utilize to perform its inspection; the unfiltered, acquired image (the default setting), or the output image of an Image Filter Tool. This control is only enabled if an Image Filter Tool has been added.

Closed Tool Fixture

Defines a fixture for the tool. This control is only enabled if another tool that defines a fixture has already been added.

Closed Tool Enabled

Defines when and whether or not the inspection tool should run (default setting is “On”). Select “Off” if you want to disable the tool; select "Expression" if you want to tie the tool's execution to the result of an Expression (this control is only enabled for tool's that provide an Expression parameter); or select an “Input” if you want the tool tied to a specific discrete input line, where it can be turned On or Off (a High signal, 1, is On, a Low signal, 0, is Off). Tying the tool to an input allows a control system, such as a PLC, to determine which tools should run.

Closed Include in Job Pass

Defines whether or not the tool's pass/failure status should be included in the job's overall pass/fail status; by default, it is checked and will be included in the job's overall pass/fail status. Uncheck the check box to keep the tool's pass/failure status separate from the other tools in the job. This control should be unchecked if a tool is expected to fail; for example, if two PatMax Patterns Identification Tools were being used to determine whether or not the part was a right-hand or left-hand part, one of the tools would be expected to fail every time. This situation would result in the job failing every time, regardless of which side of the part was identified, were the checkbox checked.

Closed Execution Time (ms)

Displays the amount of time, in milliseconds, that the tool took to perform its inspection. This time may vary, depending upon the complexity of the scene in the image, as well as the position of the feature within the image, and the amount of variance allowed in the parameters.

Closed Description

A comment that describes the purpose of the tool (by default, the field is blank). Up to 255 alpha-numeric characters or 127 Asian language characters may be used.


Circle Diameter Measurement Tool - Settings Tab

Closed Edge Contrast

Defines the minimum acceptable edge contrast score for the found edge (1-100; default = a Smart Setting that is automatically decremented until an edge is detected). This setting determines the tool’s edge detection sensitivity - its ability to discriminate between the feature and the background; use this setting in conjunction with the tool’s Graph to set an acceptable range.

Note: If this parameter is set to 0, the tool may find unexpected edges.
Closed Normalize Score

Defines whether the edge scores will be normalized by the greyscale histogram of the Region.This parameter is useful for finding edges in a low contrast region. If the edges to be detected are expected to be only high contrast, disable this parameter.

  • Checked (default): Normalize the score.
  • Unchecked: Do not normalize the score.
Closed Edge Transition

Defines the transition of the edge (Dark to Light, Light to Dark or Both; default = Both). For increased accuracy and speed, specify the type of transition.

Closed Edge Width

Defines the pixel distance (1 - 50; default = 3) over which an edge transition takes place. This setting helps filter noise from the image.

Closed Find By

Defines how the tool discriminate between found circular edges, if there are multiple circular edges present (default = Best Score).

  • Best Score = The circular edge feature with the best defined edge (highest contrast and brightness) will be chosen.
  • Smallest Circle = The circular edge feature with the smallest diameter will be chosen.
  • Largest Circle = The circular edge feature with the largest diameter will be chosen.


Circle Diameter Measurement Tool - Range Limits Tab

Closed Maximum

Defines the maximum acceptable diameter value; the tool will create a Smart Limit default setting based on your image, which you can customize to suit the needs of your application.

Closed Diameter

Reports the current measured diameter of the found circular edge feature; values that fall exactly at, or between, the Minimum and Maximum settings are classified as a Pass.

Note: The tool reports results in pixels, unless the image was calibrated to real-world units in Set Up Image.
Closed Minimum

Defines the minimum acceptable diameter value; the tool will create a Smart Limit default setting based on your image, which you can customize to suit the needs of your application.

Closed Invert Result

Defines whether or not the Pass/Fail logic of the tool should be inverted (default = Off, unchecked):

  • Unchecked - Standard results are applied, i.e. the tool result is a Pass if the feature was detected and falls within the Range Limits.
  • Checked - Inverts the results, i.e. the tool result is a Fail if the feature was detected and falls within the Range Limits.
Closed Auto Limits button

Defines the limits based on the Smart Limits settings. This button is useful when a parameter has been changed and the limits need to be adjusted, or the tool has been added and no limits have been defined.


Circle Diameter Measurement Tool - Graph

The Graph is a representation of the first derivative of the grayscale values contained in the region; peaks and valleys represent the major edge transitions.

For the tools that detect edges (Edge and Circle tools), the Score axis is a measure of how closely the found edge matches the defined parameters:

  • A positive score indicates that the edge transitions from dark to light;
  • A negative score indicates that the edge transitions from light to dark;
  • A score of 0 indicates that no edge was detected.

The Offset axis refers to the region defining the edge feature, with 0 representing the beginning boundary of the region, and the other value representing the maximum width (in pixels) of the region. The apex of the peaks or valleys along the Offset axis indicates the position of the found edge.

Note: The graph will be displayed regardless of the Online/Offline status and the pass/fail state of the tool. However, if the tool is failing, the graph may not update.


Measurement Tools - Circle Concentricity

The Circle Concentricity Measurement Tool is used to measure the distance between the centers of two circular features.

Note: The tool returns the results in pixels, unless the image was calibrated to real-world units (In-Sight vision systems) or Field of View (Width) was set to real-world units (In-Sight 2000 series vision sensors) in the Set Up Image application step.

This tool can be used, for example, to verify that a circular label is centered on a circular cap, or to measure the concentricity of a machined counter-sink hole.

Setting Up the Tool

Adjusting the Tool Parameters


Setting Up the Circle Concentricity Measurement Tool

Once the tool has been added, you will need to define the input features (circular features or reference circles) that will be used to construct the circle concentricity measurement.

  1. After adding the tool, EasyBuilder will examine your image and give you a selection of Smart Features that it has automatically detected (highlighted in cyan), as well as any features that you have previously defined with another tool (highlighted in green).
  2. First select one feature from the available features by clicking on it, at which point its color will change to magenta and a line will extend out from that feature.
  3. Next, select the second feature.
  4. After the second feature has been selected, EasyBuilder will automatically calculate the distance between the features. EasyBuilder will also insert an Edge Presence/Absence Tool and/or Circle Presence/Absence Tool for any features that were not previously defined (depending upon the tool and the type of feature).
  5. With the tool initially configured, load several images and adjust the tool's parameters, as needed, to compensate for your expected ranges of variations.
  6. Finally, if desired, use the tool's Input/Output properties to share tool data between other tools and/or other external devices.


Adjusting the Circle Concentricity Measurement Tool Parameters

After the tool’s inputs have been set and accepted, you can begin customizing and fine-tuning the tool for your application.

The settings pane of the Circle Concentricity Measurement Tool consists of the following:

  • General Tab
  • Range Limits Tab
Tip: Test your job, using TestRun. TestRun performs tests on the In-Sight vision system and compares the results of those tests against expected values. This will allow you to see whether or not the job is behaving as expected, or if you will need to adjust certain parameters for allowable variances.

General Tab

Range Limits Tab


Circle Concentricity Measurement Tool - General Tab

Closed Tool Name

Defines the name of your inspection tool, which will be utilized in configuring the results Inputs/Outputs and Communication); the default name is “Concentricity_1” (if it is the first Circle Concentricity Tool added to the job, otherwise it will be incremented, e.g. “Concentricity_2”, “Concentricity_3”, etc.). Customize your tool by giving it a name that is associated with your particular application.

Closed Tool Image

Defines which image the tool will utilize to perform its inspection; the unfiltered, acquired image (the default setting), or the output image of an Image Filter Tool. This control is only enabled if an Image Filter Tool has been added.

Closed Tool Enabled

Defines when and whether or not the inspection tool should run (default setting is “On”). Select “Off” if you want to disable the tool; select "Expression" if you want to tie the tool's execution to the result of an Expression (this control is only enabled for tool's that provide an Expression parameter); or select an “Input” if you want the tool tied to a specific discrete input line, where it can be turned On or Off (a High signal, 1, is On, a Low signal, 0, is Off). Tying the tool to an input allows a control system, such as a PLC, to determine which tools should run.

Closed Include in Job Pass

Defines whether or not the tool's pass/failure status should be included in the job's overall pass/fail status; by default, it is checked and will be included in the job's overall pass/fail status. Uncheck the check box to keep the tool's pass/failure status separate from the other tools in the job. This control should be unchecked if a tool is expected to fail; for example, if two PatMax Patterns Identification Tools were being used to determine whether or not the part was a right-hand or left-hand part, one of the tools would be expected to fail every time. This situation would result in the job failing every time, regardless of which side of the part was identified, were the checkbox checked.

Closed Execution Time (ms)

Displays the amount of time, in milliseconds, that the tool took to perform its inspection. This time may vary, depending upon the complexity of the scene in the image, as well as the position of the feature within the image, and the amount of variance allowed in the parameters.

Closed Description

A comment that describes the purpose of the tool (by default, the field is blank). Up to 255 alpha-numeric characters or 127 Asian language characters may be used.


Circle Concentricity Measurement Tool - Range Limits Tab

Closed Distance

Reports the current measured distance between the centers of the two found circular edge features; values that fall exactly at or between 0 and the Maximum setting are classified as a Pass.

Note: The tool reports measurements in pixels, unless the image was calibrated to real-world units in Set Up Image.
Closed Maximum

Defines the maximum acceptable distance value; the tool will create a "Smart Limit" default setting based on your image, which you can customize to suit the needs of your application.

Closed Invert Result

Defines whether or not the Pass/Fail logic of the tool should be inverted (default = Off, unchecked):

  • Unchecked - Standard results are applied, i.e. the tool result is a Pass if the feature was detected and falls within the Range Limits.
  • Checked - Inverts the results, i.e. the tool result is a Fail if the feature was detected and falls within the Range Limits.
Closed Auto Limits button

Defines the limits based on the Smart Limits settings. This button is useful when a parameter has been changed and the limits need to be adjusted, or the tool has been added and no limits have been defined.


Measurement Tools - Measure Radius

The Measure Radius MeasurementTool is used to define a curved edge feature and construct a reference line and point to represent the axis of the curve. The tool reports the radius of the curve.

Note: The tool returns the results in pixels, unless the image was calibrated to real-world units (In-Sight vision systems) or Field of View (Width) was set to real-world units (In-Sight 2000 series vision sensors) in the Set Up Image application step.

Setting Up the Tool

Adjusting the Tool Parameters


Using the Measure Radius Measurement Tool

Once the tool has been added, you will need to configure the region in the image that will define your curved edge feature:

  1. Position the region over the curved edge feature.
  2. Press the OK button to confirm the region (press the Cancel button to not add the tool to the job).
  3. EasyBuilder then automatically calculates the radius of the curve and constructs a reference line and point that represent the axis of the curve.
  4. With the tool initially configured, load several images and adjust the tool's parameters, as needed, to compensate for your expected ranges of variations.
  5. Finally, if desired, use the tool's Input/Output properties to share tool data between other tools and/or other external devices.


Adjusting the Measure Radius Measurement Tool Parameters

After the tool’s region has been positioned, you can optimize the tool for your application.

The settings pane of the Measure Radius Measurement Tool consists of the following:

  • General Tab
  • Settings Tab
  • Range Limits Tab
Tip: Test your job, using TestRun. TestRun performs tests on the In-Sight vision system and compares the results of those tests against expected values. This will allow you to see whether or not the job is behaving as expected, or if you will need to adjust certain parameters for allowable variances.

General Tab

Settings Tab

Range Limits Tab


Measure Radius Measurement Tool - General Tab

Closed Tool Name

Defines the name of your inspection tool, which will be utilized in configuring the results (Inputs, Outputs and Communication); the default name is “Curve_1” (if it is the first Measure Radius Measurement Tool added to the job, otherwise it will be incremented, e.g. “Curve_2”, “Curve_3”, etc.). Customize your tool by giving it a name that is associated with your particular application.

Closed Tool Image

Defines which image the tool will utilize to perform its inspection; the unfiltered, acquired image (the default setting), or the output image of an Image Filter Tool. This control is only enabled if an Image Filter Tool has been added.

Closed Tool Fixture

Defines a fixture for the tool. This control is only enabled if another tool that defines a fixture has already been added.

Closed Tool Enabled

Defines when and whether or not the inspection tool should run (default setting is “On”). Select “Off” if you want to disable the tool; select "Expression" if you want to tie the tool's execution to the result of an Expression (this control is only enabled for tool's that provide an Expression parameter); or select an “Input” if you want the tool tied to a specific discrete input line, where it can be turned On or Off (a High signal, 1, is On, a Low signal, 0, is Off). Tying the tool to an input allows a control system, such as a PLC, to determine which tools should run.

Closed Include in Job Pass

Defines whether or not the tool's pass/failure status should be included in the job's overall pass/fail status; by default, it is checked and will be included in the job's overall pass/fail status. Uncheck the check box to keep the tool's pass/failure status separate from the other tools in the job. This control should be unchecked if a tool is expected to fail; for example, if two PatMax Patterns Identification Tools were being used to determine whether or not the part was a right-hand or left-hand part, one of the tools would be expected to fail every time. This situation would result in the job failing every time, regardless of which side of the part was identified, were the checkbox checked.

Closed Execution Time (ms)

Displays the amount of time, in milliseconds, that the tool took to perform its inspection. This time may vary, depending upon the complexity of the scene in the image, as well as the position of the feature within the image, and the amount of variance allowed in the parameters.

Closed Description

A comment that describes the purpose of the tool (by default, the field is blank). Up to 255 alpha-numeric characters or 127 Asian language characters may be used.


Measure Radius Measurement Tool - Settings Tab

Closed Edge Contrast

Defines the minimum acceptable edge contrast score for the found edge (1-100; default = a Smart Setting that is automatically decremented until an edge is detected). This setting determines the tool’s edge detection sensitivity - its ability to discriminate between the feature and the background; use this setting in conjunction with the tool’s Graph to set an acceptable range.

Note: If this parameter is set to 0, the tool may find unexpected edges.
Closed Normalize Score

Defines whether the edge scores will be normalized by the greyscale histogram of the Region.This parameter is useful for finding edges in a low contrast region. If the edges to be detected are expected to be only high contrast, disable this parameter.

  • Checked (default): Normalize the score.
  • Unchecked: Do not normalize the score.
Closed Edge Transition

Defines the transition of the edge (Dark to Light, Light to Dark or Both; default = Both). For increased accuracy and speed, specify the type of transition.

Closed Edge Width

Defines the pixel distance (1 - 50; default = 3) over which an edge transition takes place. This setting helps filter noise from the image.

Closed Find By

Defines how the tool discriminates between found edges, if there are multiple edges present (default = Best Score).

  • Best Score = The edge feature with the highest contrast edge.
  • First Edge = The edge feature closest to the start of the region’s scan direction.
  • Last Edge = The edge feature furthest away from the start of the region’s scan direction.


Measure Radius Measurement Tool - Range Limits Tab

Closed Maximum

Defines the maximum acceptable radius value; the tool will create a Smart Limit default setting based on your image, which you can customize to suit the needs of your application.

Closed Radius (units)

Reports the current measured radius of the found curved edge feature; values that fall exactly at, or between, the Minimum and Maximum settings are classified as a Pass.

Note: The tool reports results in pixels, unless the image was calibrated to real-world units in Set Up Image.
Closed Minimum

Defines the minimum acceptable radius value; the tool will create a Smart Limit default setting based on your image, which you can customize to suit the needs of your application.

Closed Invert Result

Defines whether or not the Pass/Fail logic of the tool should be inverted (default = Off, unchecked):

  • Unchecked - Standard results are applied, i.e. the tool result is a Pass if the feature was detected and falls within the specified settings.
  • Checked - Inverts the results, i.e. the tool result is a Fail if the feature was detected and falls within the specified settings.
Closed Auto Limits button

Defines the limits based on the Smart Limits settings. This button is useful when a parameter has been changed and the limits need to be adjusted, or the tool has been added and no limits have been defined.


Measurement Tools - Min/Max Points

The Min/Max Points Measurement Tool measures the position of edges and determines which edge points are closest and furthest from either the found edge or the region defining the edge. The tool uses edge analysis Caliper arrays to precisely locate edge features. Once the edge has been identified, the tool constructs a best-fit line or circle (depending on whether or not there is a curve in the edge feature) over the edge feature. The tool then reports the edge points that are closest and furthest from the best-fit line or circle.

Note:
  • The tool reports results in pixels, unless the image was calibrated to real-world units in Set Up Image.
  • All input values are in pixels, regardless if the tool was calibrated to real-world units.

The Min/Max Points Measurement Tool is useful in situations where you want to ensure that your part or object doesn't have any edge features that deviate from their expected position. For example, if you want to make sure that the edge of a blade doesn't have any nicks or dents or any edge spurs.

Setting Up the Tool

Adjusting the Tool Parameters


Setting Up the Min/Max Points Measurement Tool

Once the tool has been added, you will need to configure the masked region in the image over the edge feature that you want to inspect:

  1. Position and configure the region within the image over the edge feature. When positioning the region, ensure that the edges are parallel to the region's search direction, and that the region encloses as much of the edge feature as possible, while also excluding unnecessary or unwanted noise from the region.

    Note: The dashed yellow line within the Masked Region defines the area within the region where edge transitions will be detected.

  2. Press the OK button to confirm the region (press the Cancel button to not add the tool to the job).

  3. After you have confirmed the region, select the various tabs, Edges, Edge Scoringand Fit, and adjust the parameters and region, as needed, to ensure that the tool is detecting the correct edge candidates and creating the correct best-fit line or circle. When initially setting up the tool, use an image that contains the ideal edge feature. Subsequent image acquisitions will then contain edge candidates that will be examined to determine if there are deviations such as defects or gaps.
  4. With the tool initially configured, load several images and adjust the tool's parameters, as needed, to compensate for your expected ranges and variations.
  5. Finally, if desired, use the tool's Input/Output properties to share tool data between other tools and/or other external devices.


Adjusting the Min/Max Points Measurement Tool Parameters

After the tool’s region has been positioned, you can optimize the tool for your application.

The settings pane of the Min/Max Points Measurement Tool consists of the following tabs:

  • General Tab
  • Edges Tab
  • Edge Scoring Tab
  • Fit Tab
Tip: Test your job, using TestRun. TestRun performs tests on the In-Sight vision system and compares the results of those tests against expected values. This will allow you to see whether or not the job is behaving as expected, or if you will need to adjust certain parameters for allowable variances.

General Tab

Edges Tab

Edge Scoring Tab

Fit Tab


Min/Max Points Measurement Tool - General Tab

Closed Tool Name

Defines the name of your inspection tool, which will be utilized in configuring the results (Inputs/Outputs and Communication); the default name is “MinMaxPoints_1” (if it is the first Min/Max Points Measurement Tool added to the job, otherwise it will be incremented, e.g. “MinMaxPoints_2”, “MinMaxPoints_3”, etc.). Customize your tool by giving it a name that is associated with your particular application.

Closed Tool Image

Defines which image the tool will utilize to perform its inspection; the unfiltered, acquired image (the default setting), or the output image of an Image Filter Tool. This control is only enabled if an Image Filter Tool has been added.

Closed Tool Fixture

Defines a fixture for the tool. This control is only enabled if another tool that defines a fixture has already been added.

Closed Tool Enabled

Defines when and whether or not the inspection tool should run (default setting is “On”). Select “Off” if you want to disable the tool; select "Expression" if you want to tie the tool's execution to the result of an Expression (this control is only enabled for tool's that provide an Expression parameter); or select an “Input” if you want the tool tied to a specific discrete input line, where it can be turned On or Off (a High signal, 1, is On, a Low signal, 0, is Off). Tying the tool to an input allows a control system, such as a PLC, to determine which tools should run.

Closed Include in Job Pass

Defines whether or not the tool's pass/failure status should be included in the job's overall pass/fail status; by default, it is checked and will be included in the job's overall pass/fail status. Uncheck the check box to keep the tool's pass/failure status separate from the other tools in the job. This control should be unchecked if a tool is expected to fail; for example, if two PatMax Patterns Identification Tools were being used to determine whether or not the part was a right-hand or left-hand part, one of the tools would be expected to fail every time. This situation would result in the job failing every time, regardless of which side of the part was identified, were the checkbox checked.

Closed Execution Time (ms)

Displays the amount of time, in milliseconds, that the tool took to perform its inspection. This time may vary, depending upon the complexity of the scene in the image, as well as the position of the feature within the image, and the amount of variance allowed in the parameters.

Closed Description

A comment that describes the purpose of the tool (by default, the field is blank). Up to 255 alpha-numeric characters or 127 Asian language characters may be used.


Min/Max Points Measurement Tool - Edges Tab

When the Edges tab is selected, the tool will display all of the detected edges, outlined in dark green, within the region. You can adjust the Caliper Size, Caliper Spacing, Edge Width and Minimum Contrast parameters, as needed, to isolate the desired edges.

You may also choose to view all of the Calipers by enabling the Show All Calipers parameter.

The region may also be selected and adjusted while in this tab.

Closed Caliper Size

Defines the number of pixels, per Caliper, that are to be analyzed along the direction of the inspection (1 - 639; default = 5).

Closed Caliper Spacing

Defines the distance, in pixels, between the end of one Caliper and the start of the next Caliper (-1 - 639; default = 0).

Closed Edge Width

Defines the pixel distance (1 - 10; default = 3) over which an edge transition takes place. This setting helps filter noise from the image.

Closed Minimum Contrast

Defines the minimum greyscale contrast transition (1 - 255; default = 10) to be considered an edge.

Closed Caliper Count

Displays the total number of Calipers within the region.

Closed Caliper Index

Defines which individual Caliper to isolate and display.

Closed Show All Calipers

Defines whether or not all of the Calipers within the region are displayed at all times; by default, the Calipers are hidden.


Min/Max Points Measurement Tool - Edge Scoring Tab

When the Edge Scoring tab is selected, the tool will display all of the detected edge candidates, indicated by small, color coded circles, within the region (which may be selected and adjusted) and the best-fit line or circle result. The edge candidates represent the possible edges to be considered when constructing the best-fit line or circle; adjust the parameters to isolate the desired edge candidates.

Any detected defects and gaps will also be displayed.

Closed Find Edge Direction

Defines the direction in which the tool will attempt to detect edges, relative to the region (Left-to-Right or Right-to-Left; default = Left-to-Right).

Closed Edge Transition

Defines the transition of the edge (Dark-to-Light, Light-to-Dark or Either; default = Either). For increased accuracy and speed, specify the type of transition.

Closed Rule:First Edge

Defines whether or not the first edge detected receives the highest consideration when determining whether or not an edge candidate meets the criteria to be considered an edge (by default, this setting is enabled).

Closed Rule:Strongest Edge

Defines whether or not the edge with the strongest contrast transition receives the highest consideration when determining whether or not an edge candidate meets the criteria to be considered an edge (by default, this setting is enabled).

Closed Score Threshold

Defines a scoring threshold to filter out edges with scores (0 - 255; default = 10) lower than this value.


Min/Max Points Measurement Tool - Fit Tab

When the Fit tab is selected, the tool will display all of the found edge candidates within the region and the best-fit line or circle result. The edge candidates represent the possible edges to be considered when constructing the best-fit line or circle, and edge candidates are indicated by small circles.

Closed Line Fit

Defines what type of best-fit line (None, Straight Line Fit, Circle Line Fit, Auto Fit or Region; default = Auto Fit) will be constructed out of the found edges.

  • When None is selected, the tool will not create a best-fit line, and the position of found edges will be measured relative to the center of the region.
  • When Straight Line Fit is selected, the tool will create a straight best-fit line from the detected edges, and the position of found edges will be measured relative to the best-fit line.
  • When Circle Line Fit is selected, the tool will create a circular best-fit line from the detected edges, and the position of found edges will be measured relative to the best-fit line.
  • When Auto Fit is selected, the tool will automatically create either a straight or circular best-fit line from the detected edges, and the position of found edges will be measured relative to the best-fit line.
  • When Region is selected, the tool will automatically create either a straight or circular best-fit line from the detected edges, and the position of found edges will be measured relative to the side of the region.
Closed Filter Outliers

Defines whether or not the tool will remove points from the best-fit line that are further than the distance defined by the Fit Distance Filter parameter (by default, this parameter is disabled).

Closed Fit Distance Filter

Defines the distance (1 - 1920; default = 2), in pixels, from which an edge must be from the original best-fit line to be utilized in a re-fit calculation. This parameter is helpful in preventing defects from affecting the line fit.

Note: The Filter Outliers parameter must be checked (enabled) to use this parameter.
Closed Furthest Point Filter Distance

Defines the outlier distance (1 - 1920; default = 1000) beyond which edges are not used to determine the minimum and maximum distances; any edge which is greater than this value will be ignored.

Closed Re-Score

Defines whether or not the detected edges will be re-scored to ensure that detected edges that were initially discarded were filtered correctly (by default, this parameter is enabled).

Closed Re-Fit

Defines whether or not the tool will re-fit the best-fit line after the edges have been re-scored (by default, this parameter is enabled).

Note: The accuracy of the tool will be higher with this parameter enabled, however it adds processing time.
Closed Result

Displays the best-fit line in the image and reports the location of the closest and furthest points from the best-fit line.


Counting Tools - Blobs

The Blobs Counting Tool counts the number of instances of blob features present in a region of the image.

The Blobs Counting Tool is one of the faster tools, with the ability to locate blob features much quicker than a Pattern Presence/Absence Tool. This tool is useful in many counting applications, for example, verifying that the correct number of pins are present on a connector, or counting the number of chocolate chips in a cookie.

Setting Up the Tool

Adjusting the Tool Parameters


Setting Up the Blobs Counting Tool

After selecting the tool, you will need to choose the type of region and then configure it in the image where you expect to detect the blob feature(s):

Note: When choosing blobs to use for your inspection, try to select blobs that have a high contrast between light and dark pixels.

  1. From the Region Type drop-down menu, select the type of region: Rectangle (default), Circle, Annulus or Polygon. Position and configure the region within the image where you expect the blob(s) to appear; make sure that the boundaries of the region cover the blob(s) and their possible locations. To help the performance of the tool, create smaller regions; larger regions require longer to inspect. If you’re not using a fixture, ensure that the blob(s) are present in roughly the same location in every image, or the region is large enough to account for the expected movement of the features.

    Note: After adding the tool, you can change the type of region by right-clicking the region in the image and selecting the desired shape from the Change Region to option.

  2. Press the OK button to confirm the region (press the Cancel button to not add the tool to the job).

  3. With the tool initially configured, load several images and adjust the tool's parameters, as needed, to compensate for your expected ranges of variations.
  4. Finally, if desired, use the tool's Input/Output properties to share tool data between other tools and/or other external devices.


Adjusting the Blobs Counting Tool Parameters

After the tool’s region has been positioned, you can optimize the tool for your application.

The settings pane of the Blobs Counting Tool consists of the following:

  • General Tab
  • Settings Tab
  • Range Limits Tab
  • Histogram Tab
  • Composite Region Tab
Tip: Test your job, using TestRun. TestRun performs tests on the In-Sight vision system and compares the results of those tests against expected values. This will allow you to see whether or not the job is behaving as expected, or if you will need to adjust certain parameters for allowable variances.

General Tab

Settings Tab

Range Limits Tab

Histogram Tab

Composite Region Tab


Blobs Counting Tool - General Tab

Closed Tool Name

Defines the name of your inspection tool, which will be utilized in configuring the results (Inputs/Outputs and Communication); the default name is “Blob_1” (if it is the first Blob tool added to the job, otherwise it will be incremented, e.g. “Blob_2”, “Blob_3”, etc.). Customize your tool by giving it a name that is associated with your particular application.

Closed Tool Image

Defines which image the tool will utilize to perform its inspection; the unfiltered, acquired image (the default setting), or the output image of an Image Filter Tool. This control is only enabled if an Image Filter Tool has been added.

Closed Tool Fixture

Defines a fixture for the tool. This control is only enabled if another tool that defines a fixture has already been added.

Closed Tool Enabled

Defines when and whether or not the inspection tool should run (default setting is “On”). Select “Off” if you want to disable the tool; select "Expression" if you want to tie the tool's execution to the result of an Expression (this control is only enabled for tool's that provide an Expression parameter); or select an “Input” if you want the tool tied to a specific discrete input line, where it can be turned On or Off (a High signal, 1, is On, a Low signal, 0, is Off). Tying the tool to an input allows a control system, such as a PLC, to determine which tools should run.

Closed Include in Job Pass

Defines whether or not the tool's pass/failure status should be included in the job's overall pass/fail status; by default, it is checked and will be included in the job's overall pass/fail status. Uncheck the check box to keep the tool's pass/failure status separate from the other tools in the job. This control should be unchecked if a tool is expected to fail; for example, if two PatMax Patterns Identification Tools were being used to determine whether or not the part was a right-hand or left-hand part, one of the tools would be expected to fail every time. This situation would result in the job failing every time, regardless of which side of the part was identified, were the checkbox checked.

Closed Execution Time (ms)

Displays the amount of time, in milliseconds, that the tool took to perform its inspection. This time may vary, depending upon the complexity of the scene in the image, as well as the position of the feature within the image, and the amount of variance allowed in the parameters.

Closed Description

A comment that describes the purpose of the tool (by default, the field is blank). Up to 255 alpha-numeric characters or 127 Asian language characters may be used.


Blobs Counting Tool - Settings Tab

Closed Threshold Mode

Defines the mode for determining the grayscale value that is used to separate blobs from the background. When Auto is selected (default = Auto), each time an image is acquired, the tool adjusts for changes in brightness from image to image. When Manual is selected, you manually enter and adjust the value.

Closed Blob Threshold

Defines the grayscale value that is used to separate blobs from the background (0 - 255, when enabled). This control is Off by default, and requires that the Threshold Mode be set to Manual to be enabled. Use the Graph to set an optimal value for your application.

Closed Blob Color

Defines the color of the blob (Black, White, or Either; default = Either).

  • Either = There is no blob color requirement.
  • Black = Only returns blobs that are below the Blob Threshold.
  • White = Only returns blobs that are above the Blob Threshold.
Closed Boundary

Defines one of two ways of managing blobs that intersect the blob's region boundary (default = Off, unchecked):

  • Unchecked – Does not include blobs that intersect the region boundary; i.e. the blob must be located entirely within the region to be detected.
  • Checked – Includes blobs that intersect the region boundary; i.e. blobs that intersect, as long as they match the other criteria, are detected.
Closed Minimum Area

Defines a minimum area restriction, in number of pixels (0 to 900000; default = 100), for all detected blobs; only blobs whose area is greater than the Minimum Area will be recognized.

Closed Maximum Area

Defines a maximum area restriction, in number of pixels (0 to 900000; default = 100000), for all detected blobs; only blobs whose area is less than the Maximum Area will be recognized.


Blobs Counting Tool - Range Limits Tab

Closed Maximum

Defines the maximum acceptable number of blobs to detect; the tool will create a Smart Limits default setting based on your image, which you can customize to suit the needs of your application.

Closed Blob Count

Reports the current number of detected blobs (the blobs counted in the image are based on a numerical order where 0 = 1); values that fall exactly at, or between, the Minimum and Maximum settings are classified as a Pass.

Closed Minimum

Defines the minimum acceptable number of blobs to detect; the tool will create a Smart Limits default setting based on your image, which you can customize to suit the needs of your application.

Closed Invert Result

Defines whether or not the Pass/Fail logic of the tool should be inverted (default = Off, unchecked):

  • Unchecked - Standard results are applied, i.e. the tool result is a Pass if the feature was detected and falls within the specified settings.
  • Checked - Inverts the results, i.e. the tool result is a Fail if the feature was detected and falls within the specified settings.
Closed Auto Limits button

Defines the limits based on the Smart Limits settings. This button is useful when a parameter has been changed and the limits need to be adjusted, or the tool has been added and no limits have been defined.


Blobs Counting Tool - Histogram Tab

The Histogram displays a graphic representation of the grayscale values of the pixels in the region.

  • The X-axis of the graph represents the total number of greyscale values (0 to 255, or 256 total shades of grey).
  • The Y-axis of the graph represents the number of pixels at a given greyscale value, and the scale is established by displaying the greyscale value with the greatest number of pixels.
  • The blue vertical line indicates the threshold that is being used to separate the region of the image into black and white pixels; values to the left of the line are considered black and values to the right are considered white.
Note: The graph will be displayed regardless of the Online/Offline status and the pass/fail state of the tool. However, if the tool is failing, the graph may not update.


Blobs Counting Tool - Composite Region Tab

The Composite Region tab is used to configure a composite region, a collection of sub-regions (Rectangle, Annulus, Circle or Polygon) that either Add to the region (the region will be included in the image analysis) or Subtract from the region (the region will be excluded from the image analysis; also known as "masking").

Note:
  • A maximum of 32 sub-regions can be used to construct a composite region.
  • A right-click menu is available while interacting with the region in the image, which allows you to change a selected sub-region's shape, add or remove a sub-region, or change a selected sub-region's Operation (Add or Subtract).
Closed Composite Region Table

Displays the type of sub-region(s) that comprise the composite region, as well as its Operation (Add or Subtract). Select a sub-region to enable the Delete, Move Up or Move Down buttons. Pressing the Delete button removes the selected sub-region from the list; pressing the Move Up button moves the selected sub-region up in the list; and pressing the Move Down button moves the selected sub-region down in the list.

Note:

The composite region is built based upon its sequence of sub-regions within the list. By placing sub-regions, and their Add or Subtract Operation, in a specific order, parts of the image may be highlighted while ignoring other areas. The image below shows an example of how to correctly order the sub-regions to exclude part of the image while focusing on other areas. In the first set, a Rectangle with an Add Operation is configured, and then a Circle, with a Subtract Operation, is set in the middle. Then a smaller Rectangle, with an Add Operation, is configured in the middle of the Circle. The Circle excludes part of the image, while the smaller Rectangle adds part of the image area back to the image analysis. In the second set, the smaller Rectangle is added before the Circle, and the Circle masks the smaller Rectangle, excluding it from the image analysis.

Closed Shape

Displays the shape of selected sub-region (Rectangle, Circle, Annulus or Polygon). To change the shape, select the desired region type from the drop-down menu.

Closed Operation

Defines the selected sub-region's action within the region: Add or Subtract. Add indicates that the sub-region will be included in the image analysis while Subtract indicates that the sub-region will be excluded from the image analysis (also known as "masking").

Closed Rectangle

Inserts a rectangle sub-region into the composite region. Configure the shape and size of the region as needed.

Closed Annulus

Inserts an annulus sub-region into the composite region. Configure the shape and size of the region as needed.

Closed Circle

Inserts a circle sub-region into the composite region. Configure the shape and size of the region as needed.

Closed Polygon

Inserts a polygon sub-region into the composite region. Configure the shape and size of the region as needed.


Counting Tools - Color Blobs

The Color Blobs Counting Tool counts the number of instances of blob features present in a region of the image.

The Color Blobs Counting Tool is one of the faster tools, with the ability to locate blob features much quicker than a Pattern Presence/Absence Tool. This tool is useful in many counting applications, for example, verifying that the correct number of pins are present on a connector, or counting the number of chocolate chips in a cookie.

Setting Up the Tool

Adjusting the Tool Parameters


Setting Up the Color Blobs Counting Tool

After selecting the tool, you will need to choose the type of region and then configure it in the image where you expect to detect the blob feature(s):

  1. From the Region Type drop-down menu, select the type of region: Rectangle (default), Circle, Annulus or Polygon. Position and configure the region within the image where you expect the blob(s) to appear; make sure that the boundaries of the region cover the blob(s) and their possible locations. To help the performance of the tool, create smaller regions; larger regions require longer to inspect. If you’re not using a fixture, ensure that the blob(s) are present in roughly the same location in every image, or the region is large enough to account for the expected movement of the features.

    Note: After adding the tool, you can change the type of region by right-clicking the region in the image and selecting the desired shape from the Change Region to option.
  2. Press the OK button to confirm the region (press the Cancel button to not add the tool to the job).

  3. Once the search region has been configured, you will need to configure the tool's Color Library and activate the appropriate Color Model(s):

    • If this is the first time that a color tool (Color Blob and Color Blobs (1-10) Location Tools, Color Pixel Count and Color Blob Presence/Absence Tools, Color Blob Area and Color Blob Areas (1-10) Measurement Tools, Color Blobs Counting Tool, Color Model Identification Tool or Color to Binary Image Filter Tool) has been added, you will need to first define the Color Library(s) and its Color Model(s).

    • If another color tool has previously been added and you want to utilize an existing Color Library and its trained Color Models, go to the Settings tab and select your desired Color Library, and then activate your desired Color Models by checking them in the Library tab.

    • By default, the tool will automatically result in a Fail until a Color Library has been defined. If a Color Library has been defined, the tool will automatically use that library and activate all Color Models contained within.

  4. Once the Color Model(s) and Color Library(s) have been set, the tool will process the image and all pixels within the search region that match the selected Color Model(s) will be turned white (255), and those pixels not matching the selected Color Model(s) will be set to black (0).
  5. With the tool initially configured, load several images and adjust the tool's parameters, as needed, to compensate for your expected ranges of variations.
  6. Finally, if desired, use the tool's Input/Output properties to share tool data between other tools and/or other external devices.


Adjusting the Color Blobs Counting Tool Parameters

After the tool’s region has been positioned, you can optimize the tool for your application.

The settings pane of the Color Blobs Counting Tool consists of the following:

  • General Tab
  • Settings Tab
  • Range Limits Tab
  • Color Library Tab
  • Composite Region Tab
Tip: Test your job, using TestRun. TestRun performs tests on the In-Sight vision system and compares the results of those tests against expected values. This will allow you to see whether or not the job is behaving as expected, or if you will need to adjust certain parameters for allowable variances.

General Tab

Settings Tab

Range Limits Tab

Color Library Tab

Composite Region Tab


Color Blobs Counting Tool - General Tab

Closed Tool Name

Defines the name of your inspection tool, which will be utilized in configuring the results (Inputs/Outputs and Communication); the default name is “Blob_1” (if it is the first Blob tool added to the job, otherwise it will be incremented, e.g. “Blob_2”, “Blob_3”, etc.). Customize your tool by giving it a name that is associated with your particular application.

Closed Tool Fixture

Defines a fixture for the tool. This control is only enabled if another tool that defines a fixture has already been added.

Closed Tool Enabled

Defines when and whether or not the inspection tool should run (default setting is “On”). Select “Off” if you want to disable the tool; select "Expression" if you want to tie the tool's execution to the result of an Expression (this control is only enabled for tool's that provide an Expression parameter); or select an “Input” if you want the tool tied to a specific discrete input line, where it can be turned On or Off (a High signal, 1, is On, a Low signal, 0, is Off). Tying the tool to an input allows a control system, such as a PLC, to determine which tools should run.

Closed Include in Job Pass

Defines whether or not the tool's pass/failure status should be included in the job's overall pass/fail status; by default, it is checked and will be included in the job's overall pass/fail status. Uncheck the check box to keep the tool's pass/failure status separate from the other tools in the job. This control should be unchecked if a tool is expected to fail; for example, if two PatMax Patterns Identification Tools were being used to determine whether or not the part was a right-hand or left-hand part, one of the tools would be expected to fail every time. This situation would result in the job failing every time, regardless of which side of the part was identified, were the checkbox checked.

Closed Execution Time (ms)

Displays the amount of time, in milliseconds, that the tool took to perform its inspection. This time may vary, depending upon the complexity of the scene in the image, as well as the position of the feature within the image, and the amount of variance allowed in the parameters.

Closed Description

A comment that describes the purpose of the tool (by default, the field is blank). Up to 255 alpha-numeric characters or 127 Asian language characters may be used.


Color Blobs Counting Tool - Settings Tab

Closed Train Color

Launches the ExtractColor Training dialog; used to define the selected Color Library's Color Model(s).

Closed Color Library

Defines the Color Library that will be referenced by the tool. From the drop-down list, select the Color Library that you want to modify and then press the Train Color button to launch the ExtractColor Training dialog. Each Color Library may contain up to 100 distinct Color Models, which are composed of individual Colors.

EasyBuilder jobs may contain a maximum of 5 Color Libraries, which may be shared among the following tools:

  • Color Blob Location Tool
  • Color Blobs (1-10) Location Tool
  • Color Pixel Count Presence/Absence Tool
  • Color Blob Area Measurement Tool
  • Color Blobs Areas (1-10) Measurement Tool
  • Color Blobs Counting Tool
  • Color Model Identification Tool
  • Color to Binary Image Filter Tool
Closed Boundary

Defines one of two ways of managing blobs that intersect the blob's region boundary (default = Off, unchecked):

  • Unchecked – Does not include blobs that intersect the region boundary; i.e. the blob must be located entirely within the region to be detected.
  • Checked – Includes blobs that intersect the region boundary; i.e. blobs that intersect, as long as they match the other criteria, are detected.
Closed Minimum Area

Defines a minimum area restriction, in number of pixels (0 to 900000; default = 100), for all detected blobs; only blobs whose area is greater than the Minimum Area will be recognized.

Closed Maximum Area

Defines a maximum area restriction, in number of pixels (0 to 900000; default = 100000), for all detected blobs; only blobs whose area is less than the Maximum Area will be recognized.


Color Blobs Counting Tool - Range Limits Tab

Closed Maximum

Defines the maximum acceptable number of blobs to detect; the tool will create a Smart Limits default setting based on your image, which you can customize to suit the needs of your application.

Closed Blob Count

Reports the current number of detected blobs (the blobs counted in the image are based on a numerical order where 0 = 1); values that fall exactly at, or between, the Minimum and Maximum settings are classified as a Pass.

Closed Minimum

Defines the minimum acceptable number of blobs to detect; the tool will create a Smart Limits default setting based on your image, which you can customize to suit the needs of your application.

Closed Invert Result

Defines whether or not the Pass/Fail logic of the tool should be inverted (default = Off, unchecked):

  • Unchecked - Standard results are applied, i.e. the tool result is a Pass if the feature was detected and falls within the specified settings.
  • Checked - Inverts the results, i.e. the tool result is a Fail if the feature was detected and falls within the specified settings.
Closed Auto Limits button

Defines the limits based on the Smart Limits settings. This button is useful when a parameter has been changed and the limits need to be adjusted, or the tool has been added and no limits have been defined.


Color Blobs Counting Tool - Color Library Tab

Closed Color Models List

Displays a read-only list of the Color Model(s) contained in the selected Color Library. The Color Models are activated and de-activated by checking or unchecking the checkbox beside the Color Model's name.

Closed Color Table

Displays a read-only ordered table of the Color(s) in the selected Color Model.

Closed Color Name

Displays the name of the Color(s) in the selected Color Model.

Closed RGB

Displays the RGB values of the Color(s) in the selected Color Model.

Closed Operation

Displays the Operation (Add or Subtract) of the Color(s) in the selected Color Model.


Color Blobs Counting Tool - Composite Region Tab

The Composite Region tab is used to configure a composite region, a collection of sub-regions (Rectangle, Annulus, Circle or Polygon) that either Add to the region (the region will be included in the image analysis) or Subtract from the region (the region will be excluded from the image analysis; also known as "masking").

Note:
  • A maximum of 32 sub-regions can be used to construct a composite region.
  • A right-click menu is available while interacting with the region in the image, which allows you to change a selected sub-region's shape, add or remove a sub-region, or change a selected sub-region's Operation (Add or Subtract).
Closed Composite Region Table

Displays the type of sub-region(s) that comprise the composite region, as well as its Operation (Add or Subtract). Select a sub-region to enable the Delete, Move Up or Move Down buttons. Pressing the Delete button removes the selected sub-region from the list; pressing the Move Up button moves the selected sub-region up in the list; and pressing the Move Down button moves the selected sub-region down in the list.

Note:

The composite region is built based upon its sequence of sub-regions within the list. By placing sub-regions, and their Add or Subtract Operation, in a specific order, parts of the image may be highlighted while ignoring other areas. The image below shows an example of how to correctly order the sub-regions to exclude part of the image while focusing on other areas. In the first set, a Rectangle with an Add Operation is configured, and then a Circle, with a Subtract Operation, is set in the middle. Then a smaller Rectangle, with an Add Operation, is configured in the middle of the Circle. The Circle excludes part of the image, while the smaller Rectangle adds part of the image area back to the image analysis. In the second set, the smaller Rectangle is added before the Circle, and the Circle masks the smaller Rectangle, excluding it from the image analysis.

Closed Shape

Displays the shape of selected sub-region (Rectangle, Circle, Annulus or Polygon). To change the shape, select the desired region type from the drop-down menu.

Closed Operation

Defines the selected sub-region's action within the region: Add or Subtract. Add indicates that the sub-region will be included in the image analysis while Subtract indicates that the sub-region will be excluded from the image analysis (also known as "masking").

Closed Rectangle

Inserts a rectangle sub-region into the composite region. Configure the shape and size of the region as needed.

Closed Annulus

Inserts an annulus sub-region into the composite region. Configure the shape and size of the region as needed.

Closed Circle

Inserts a circle sub-region into the composite region. Configure the shape and size of the region as needed.

Closed Polygon

Inserts a polygon sub-region into the composite region. Configure the shape and size of the region as needed.


Counting Tool - Edges

The Edges Counting Tool counts the number of edge features present in a region of the image.

This tool is useful, for example, in counting the number of threads present on a screw, or counting the number of crackers in a tray.

Setting Up the Tool

Adjusting the Tool Parameters


Using the Edges Counting Tool

Once the tool has been added, you will need to configure the region in the image that will define where to detect the edge(s):

  1. Position and configure the region over the area of the edge features and make sure that the boundaries of the region cover the edges and their possible locations. Pay special attention to the scan direction arrows on the region to ensure that the region is positioned to optimize the detection of your desired edges.

To help the performance of the tool, create smaller regions; larger regions take longer to inspect. If you’re not using a fixture, ensure that the edges are present in roughly the same location in every image, or the region is large enough to account for the expected movement of the features.

  2. Press the OK button to confirm the region (press the Cancel button to not add the tool to the job).
  3. With the tool initially configured, load several images and adjust the tool's parameters, as needed, to compensate for your expected ranges of variations.
  4. Finally, if desired, use the tool's Input/Output properties to share tool data between other tools and/or other external devices.


Adjusting the Edges Counting Tool Parameters

After the tool’s region has been positioned, you can optimize the tool for your application.

The settings pane of the Edges Counting Tool consists of the following:

  • General Tab
  • Settings Tab
  • Range Limits Tab
  • Graph
Tip: Test your job, using TestRun. TestRun performs tests on the In-Sight vision system and compares the results of those tests against expected values. This will allow you to see whether or not the job is behaving as expected, or if you will need to adjust certain parameters for allowable variances.

General Tab

Settings Tab

Range Limits Tab

Graph


Edges Counting Tool - General Tab

Closed Tool Name

Defines the name of your inspection tool, which will be utilized in configuring the results Inputs/Outputs and Communication); the default name is “Edges_1” (if it is the first tool added to the job that defines an edge, otherwise it will be incremented, e.g. “Edges_2”, “Edges_3”, etc.). Customize your tool by giving it a name that is associated with your particular application.

Closed Tool Image

Defines which image the tool will utilize to perform its inspection; the unfiltered, acquired image (the default setting), or the output image of an Image Filter Tool. This control is only enabled if an Image Filter Tool has been added.

Closed Tool Fixture

Defines a fixture for the tool. This control is only enabled if another tool that defines a fixture has already been added.

Closed Tool Enabled

Defines when and whether or not the inspection tool should run (default setting is “On”). Select “Off” if you want to disable the tool; select "Expression" if you want to tie the tool's execution to the result of an Expression (this control is only enabled for tool's that provide an Expression parameter); or select an “Input” if you want the tool tied to a specific discrete input line, where it can be turned On or Off (a High signal, 1, is On, a Low signal, 0, is Off). Tying the tool to an input allows a control system, such as a PLC, to determine which tools should run.

Closed Include in Job Pass

Defines whether or not the tool's pass/failure status should be included in the job's overall pass/fail status; by default, it is checked and will be included in the job's overall pass/fail status. Uncheck the check box to keep the tool's pass/failure status separate from the other tools in the job. This control should be unchecked if a tool is expected to fail; for example, if two PatMax Patterns Identification Tools were being used to determine whether or not the part was a right-hand or left-hand part, one of the tools would be expected to fail every time. This situation would result in the job failing every time, regardless of which side of the part was identified, were the checkbox checked.

Closed Execution Time (ms)

Displays the amount of time, in milliseconds, that the tool took to perform its inspection. This time may vary, depending upon the complexity of the scene in the image, as well as the position of the feature within the image, and the amount of variance allowed in the parameters.

Closed Description

A comment that describes the purpose of the tool (by default, the field is blank). Up to 255 alpha-numeric characters or 127 Asian language characters may be used.


Edges Counting Tool - Settings Tab

Closed Edge Contrast

Defines the minimum acceptable edge contrast score for the found edge (1-100; default = a "Smart Setting" that is automatically decremented until an edge is detected). This setting determines the tool’s edge detection sensitivity - its ability to discriminate between the feature and the background; use this setting in conjunction with the tool’s Graph to set an acceptable range.

Note: If this parameter is set to 0, the tool may find unexpected edges.
Closed Normalize Score

Defines whether the edge scores will be normalized by the greyscale histogram of the Region.This parameter is useful for finding edges in a low contrast region. If the edges to be detected are expected to be only high contrast, disable this parameter.

  • Checked (default): Normalize the score.
  • Unchecked: Do not normalize the score.
Closed Edge Transition

Defines the transition of the edge (Dark to Light, Light to Dark or Both; default = Both). For increased accuracy and speed, specify the type of transition.

Closed Edge Width

Defines the pixel distance (1 - 50; default = 3) over which an edge transition takes place. This setting helps filter noise from the image.

Closed Angle Range

Defines the maximum amount of angular translation that the found edge can experience (0-10°; default = 10°). The higher the allowable angle variance, the longer the tool will take to execute.


Edges Counting Tool - Range Limits Tab

Closed Maximum

Defines the maximum acceptable number of edges to detect; the tool will create a "Smart Limit" default setting based on your image, which you can customize to suit the needs of your application.

Closed Edges

Reports the current number of detected edges (the edges counted in the image are based on a numerical order where 0 = 1); values that fall exactly at, or between, the Minimum and Maximum settings are classified as a Pass.

Closed Minimum

Defines the minimum acceptable number of edges to detect; the tool will create a "Smart Limit" default setting based on your image, which you can customize to suit the needs of your application.

Closed Invert Result
Defines whether or not the Pass/Fail logic of the tool should be inverted (default = Off, unchecked):Unchecked - Standard results are applied, i.e. the tool result is a Pass if the feature was detected and falls within the specified settings.Checked - Inverts the results, i.e. the tool result is a Fail if the feature was detected and falls within the specified settings.
Closed Auto Limits button

Defines the limits based on the Smart Limits settings. This button is useful when a parameter has been changed and the limits need to be adjusted, or the tool has been added and no limits have been defined.


Edges Counting Tool - Graph

The Graph is a representation of the first derivative of the grayscale values contained in the region; peaks and valleys represent the major edge transitions.

For the tools that detect edges (Edge and Circle tools), the Score axis is a measure of how closely the found edge matches the defined parameters:

  • A positive score indicates that the edge transitions from dark to light;
  • A negative score indicates that the edge transitions from light to dark;
  • A score of 0 indicates that no edge was detected.

The Offset axis refers to the region defining the edge feature, with 0 representing the beginning boundary of the region, and the other value representing the maximum width (in pixels) of the region. The apex of the peaks or valleys along the Offset axis indicates the position of the found edge.

Note: The graph will be displayed regardless of the Online/Offline status and the pass/fail state of the tool. However, if the tool is failing, the graph may not update.


Counting Tools - Edge Pairs

The Edge Pairs Counting Tool counts the number of instances of linear edge pairs present in a region of the image.

The Edge Pairs Counting Tool differs from the Edges Counting Tool because the Edge Pairs Counting Tool allows you to set an expected width between edge pairs, which is useful, for example, in applications like counting the number of teeth on a gear, or counting the number of leads on a computer chip.

Setting Up the Tool

Adjusting the Tool Parameters


Setting Up the Edge Pairs Counting Tool

Once the tool has been added, you will need to configure the region in the image that will define where to detect the edge(s):

  1. Position and configure the region over the area of the edge features and make sure that the boundaries of the region cover the edges and their possible locations.

The scan direction of the region, the parameters in the Settings tab and the configured Range Limits play an important part in determining the number of edge pairs that are detected:

Closed Example 1

Closed Example 2

Closed Example 3

To help the performance of the tool, create smaller regions; larger regions take longer to inspect. If you’re not using a fixture, ensure that the edges are present in roughly the same location in every image, or the region is large enough to account for the expected movement of the features.

  2. Press the OK button to confirm the region (press the Cancel button to not add the tool to the job).
  3. With the tool initially configured, load several images and adjust the tool's parameters, as needed, to compensate for your expected ranges of variations.
  4. Finally, if desired, use the tool's Input/Output properties to share tool data between other tools and/or other external devices.


Adjusting the Edge Pairs Counting Tool Parameters

After the tool’s region has been positioned, you can optimize the tool for your application.

The settings pane of the Edge Pairs Counting Tool consists of the following:

  • General Tab
  • Settings Tab
  • Range Limits Tab
  • Graph
Tip: Test your job, using TestRun. TestRun performs tests on the In-Sight vision system and compares the results of those tests against expected values. This will allow you to see whether or not the job is behaving as expected, or if you will need to adjust certain parameters for allowable variances.

General Tab

Settings Tab

Range Limits Tab

Graph


Edge Pairs Counting Tool - General Tab

Closed Tool Name

Defines the name of your inspection tool, which will be utilized in configuring the results Inputs/Outputs and Communication); the default name is “EdgePairs_1” (if it is the first Edge Pairs Counting Tool added to the job, otherwise it will be incremented, e.g. “EdgePairs_2”, “EdgePairs_3”, etc.). Customize your tool by giving it a name that is associated with your particular application.

Closed Tool Image

Defines which image the tool will utilize to perform its inspection; the unfiltered, acquired image (the default setting), or the output image of an Image Filter Tool. This control is only enabled if an Image Filter Tool has been added.

Closed Tool Fixture

Defines a fixture for the tool. This control is only enabled if another tool that defines a fixture has already been added.

Closed Tool Enabled

Defines when and whether or not the inspection tool should run (default setting is “On”). Select “Off” if you want to disable the tool; select "Expression" if you want to tie the tool's execution to the result of an Expression (this control is only enabled for tool's that provide an Expression parameter); or select an “Input” if you want the tool tied to a specific discrete input line, where it can be turned On or Off (a High signal, 1, is On, a Low signal, 0, is Off). Tying the tool to an input allows a control system, such as a PLC, to determine which tools should run.

Closed Include in Job Pass

Defines whether or not the tool's pass/failure status should be included in the job's overall pass/fail status; by default, it is checked and will be included in the job's overall pass/fail status. Uncheck the check box to keep the tool's pass/failure status separate from the other tools in the job. This control should be unchecked if a tool is expected to fail; for example, if two PatMax Patterns Identification Tools were being used to determine whether or not the part was a right-hand or left-hand part, one of the tools would be expected to fail every time. This situation would result in the job failing every time, regardless of which side of the part was identified, were the checkbox checked.

Closed Execution Time (ms)

Displays the amount of time, in milliseconds, that the tool took to perform its inspection. This time may vary, depending upon the complexity of the scene in the image, as well as the position of the feature within the image, and the amount of variance allowed in the parameters.

Closed Description

A comment that describes the purpose of the tool (by default, the field is blank). Up to 255 alpha-numeric characters or 127 Asian language characters may be used.


Edge Pairs Counting Tool - Settings Tab

Closed Edge Contrast

Defines the minimum acceptable edge contrast score for the found edge (1-100; default = a Smart Setting that is automatically decremented until an edge is detected). This setting determines the tool’s edge detection sensitivity - its ability to discriminate between the feature and the background.

Note: If this parameter is set to 0, the tool may find unexpected edges.
Closed Normalize Score

Defines whether the edge scores will be normalized by the greyscale histogram of the Region.This parameter is useful for finding edges in a low contrast region. If the edges to be detected are expected to be only high contrast, disable this parameter.

  • Checked (default): Normalize the score.
  • Unchecked: Do not normalize the score.
Closed First Edge Transition

Defines the transition of the first edge (Dark to Light, Light to Dark or Both; default = Both). For increased accuracy and speed, specify the type of transition.

Closed Second Edge Transition

Defines the transition of the second edge (Dark to Light, Light to Dark or Both; default = Both). For increased accuracy and speed, specify the type of transition.

Closed Edge Width

Defines the pixel distance (1 - 50; default = 3) over which an edge transition takes place. This setting helps filter noise from the image.

Closed Angle Range

Defines the maximum amount of angular translation that the found edge can experience (0-10°; default = 10°). The higher the allowable angle variance, the longer the tool will take to execute.

Closed Minimum Distance

Defines a minimum distance, in number of pixels (0 to 900000; default = 10), between edges for all detected edge pairs; only edge pairs whose distance is greater than the Minimum Distance will be recognized.

Closed Maximum Distance

Defines a maximum distance, in number of pixels (0 to 900000; default = 50), between edges for all detected edge pairs; only edge pairs whose distance is less than the Maximum Distance will be recognized.


Edge Pairs Counting Tool - Range Limits Tab

Closed Maximum

Defines the maximum acceptable number of edge pairs to detect; the tool will create a "Smart Limit" default setting based on your image, which you can customize to suit the needs of your application.

Closed Edge Pairs

Reports the current number of detected edge pairs (the edge pairs counted in the image are based on a numerical order where 0 = 1); values that fall exactly at, or between, the Minimum and Maximum settings are classified as a Pass.

Closed Minimum

Defines the minimum acceptable number of edge pairs to detect; the tool will create a "Smart Limit" default setting based on your image, which you can customize to suit the needs of your application.

Closed Invert Result
Defines whether or not the Pass/Fail logic of the tool should be inverted (default = Off, unchecked):Unchecked - Standard results are applied, i.e. the tool result is a Pass if the feature was detected and falls within the specified settings.Checked - Inverts the results, i.e. the tool result is a Fail if the feature was detected and falls within the specified settings.
Closed Auto Limits button

Defines the limits based on the Smart Limits settings. This button is useful when a parameter has been changed and the limits need to be adjusted, or the tool has been added and no limits have been defined.


Edge Pairs Counting Tool - Graph

The Graph is a representation of the first derivative of the grayscale values contained in the region; peaks and valleys represent the major edge transitions.

For the tools that detect edges (Edge and Circle tools), the Score axis is a measure of how closely the found edge matches the defined parameters:

  • A positive score indicates that the edge transitions from dark to light;
  • A negative score indicates that the edge transitions from light to dark;
  • A score of 0 indicates that no edge was detected.

The Offset axis refers to the region defining the edge feature, with 0 representing the beginning boundary of the region, and the other value representing the maximum width (in pixels) of the region. The apex of the peaks or valleys along the Offset axis indicates the position of the found edge.

Note: The graph will be displayed regardless of the Online/Offline status and the pass/fail state of the tool. However, if the tool is failing, the graph may not update.


Counting Tools - PatMax RedLine Patterns and PatMax Patterns

Note:
  • From In-Sight firmware 5.5.0 and later, the tool's algorithm has been changed to return more accurate results and decrease the execution time in some circumstances.
  • Due to this change, when attempting to load a job containing this tool configured on the In-Sight firmware 5.5.0 or later to an In-Sight vision system running firmware version 5.4.x or earlier, an error message is displayed.
  • The PatMax RedLine Patterns Counting Tool is only available on In-Sight vision systems running In-Sight firmware 5.2.0 and later. For a complete list of models and supported firmware versions, see Firmware Versions.

The PatMax RedLine Patterns Tool and PatMax Patterns Counting Tool are used to count the instances of a pattern feature, using the PatMax RedLine or PatMax algorithm, based upon a trained representation of that pattern (called a Model).

These tools are useful, for example, in applications like counting the number of bolts on a mechanical assembly, or counting the number of vials in a tray.

Setting Up the Tool

Adjusting the Tool Parameters


Setting Up the PatMax RedLine Patterns and PatMax Patterns Counting Tools

Once the tool has been added, you will need to select the type of regions and configure them to define your pattern (the Model region), and where in the image the pattern will be found (the Search region).

  1. From the Model drop-down menu, select the type of region: Rectangle (default), Circle, Annulus or Polygon. Then position the Model region over the pattern that will be used as the training model; make sure that the Model region only covers the important features of the pattern.

    Note: After adding the tool, you can change the type of region by right-clicking the region in the image and selecting the desired shape from the Change Region to option.
  2. From the Search drop-down menu, select the type of region: Rectangle (default), Circle, Annulus or Polygon. Then position the Search region so that it covers the areas within the image where you expect the pattern to appear. To help the performance of the tool, create smaller Search regions; the larger the Search region, the longer it will take the tool to perform its inspection.
  3. Press the OK button to confirm the regions (press the Cancel button to not add the tool to the job).
  4. With the tool initially configured, load several images and adjust the tool's parameters, as needed, to compensate for your expected ranges of variations.
  5. Finally, if desired, use the tool's Input/Output properties to share tool data between other tools and/or other external devices.

Selecting a Pattern Feature

PatMax RedLine Patterns, PatMax Pattern and Pattern


PatMax RedLine Patterns, PatMax Patterns and Patterns

Note: The PatMax RedLine Patterns Counting Tool is only available on In-Sight vision systems running In-Sight firmware 5.2.0 and later. For a complete list of models and supported firmware versions, see Firmware Versions.

The PatMax RedLine Patterns, PatMax Patterns and Patterns locate trained Models of patterns, and they offer the highest accuracy among the location and inspection tools. However, PatMax RedLine Patterns and PatMax Patterns are more powerful than the Patterns, accounting for greater changes in lighting conditions and the pattern’s position. They also offer superior recognition of changes to the pattern’s scale and rotation, occlusion of elements of the pattern, and changes in the pattern’s appearance due to lighting variations.

The main difference between the PatMax RedLine Patterns and PatMax Patterns is the speed; the PatMax RedLine Pattern uses the latest pattern matching algorithm and can locate trained features in a 5 megapixel image up to 7x faster than PatMax Patterns. Therefore, PatMax RedLine Patterns is ideal for high resolution vision systems.

The Patterns (in most cases) is faster than the PatMax, but certain situations require the accuracy and reliability of the PatMax RedLine or PatMax version:

  • When variations in lighting and reflections are difficult to control. For example, metal parts can reflect light in random directions.
  • When the pattern being inspected is similarly shaped or shaded in comparison to something in the background, or the pattern is being overlapped or partially hidden by other objects in the image.
  • When you want to accurately recognize one type of pattern from other, similar, patterns.
  • When the conditions of your deployment environment are too demanding for the Patterns Tool to perform consistently and reliably.


Adjusting the PatMax RedLine Patterns and PatMax Patterns Counting Tools Parameters

After the tool’s region has been positioned, you can optimize the tool for your application.

The settings pane of the PatMax RedLine Patterns and PatMax Patterns Counting Tools consist of the following:

  • General Tab
  • Settings Tab
  • Range Limits Tab
  • Model and Search Tabs
  • Trained Image Tab
Tip: Test your job, using TestRun. TestRun performs tests on the In-Sight vision system and compares the results of those tests against expected values. This will allow you to see whether or not the job is behaving as expected, or if you will need to adjust certain parameters for allowable variances.

General Tab

Settings Tab

Range Limits Tab

Model and Search Tabs

Trained Image Tab


PatMax RedLine Patterns and PatMax Patterns Counting Tool - General Tab

Closed Tool Name

Defines the name of your inspection tool, which will be utilized in configuring the results (Inputs/Outputs and Communication); the default name is “Pattern_1” (if it is the first Pattern tool added to the job, otherwise it will be incremented, e.g. “Pattern_2”, “Pattern_3”, etc.). Customize your tool by giving it a name that is associated with your particular application.

Closed Tool Image

Defines which image the tool will utilize to perform its inspection; the unfiltered, acquired image (the default setting), or the output image of an Image Filter Tool. This control is only enabled if an Image Filter Tool has been added.

Closed Tool Fixture

Defines a fixture for the tool. This control is only enabled if another tool that defines a fixture has already been added.

Closed Tool Enabled

Defines when and whether or not the inspection tool should run (default setting is “On”). Select “Off” if you want to disable the tool; select "Expression" if you want to tie the tool's execution to the result of an Expression (this control is only enabled for tool's that provide an Expression parameter); or select an “Input” if you want the tool tied to a specific discrete input line, where it can be turned On or Off (a High signal, 1, is On, a Low signal, 0, is Off). Tying the tool to an input allows a control system, such as a PLC, to determine which tools should run.

Closed Include in Job Pass

Defines whether or not the tool's pass/failure status should be included in the job's overall pass/fail status; by default, it is checked and will be included in the job's overall pass/fail status. Uncheck the check box to keep the tool's pass/failure status separate from the other tools in the job. This control should be unchecked if a tool is expected to fail; for example, if two PatMax Patterns Identification Tools were being used to determine whether or not the part was a right-hand or left-hand part, one of the tools would be expected to fail every time. This situation would result in the job failing every time, regardless of which side of the part was identified, were the checkbox checked.

Closed Execution Time (ms)

Displays the amount of time, in milliseconds, that the tool took to perform its inspection. This time may vary, depending upon the complexity of the scene in the image, as well as the position of the feature within the image, and the amount of variance allowed in the parameters.

Closed Description

A comment that describes the purpose of the tool (by default, the field is blank). Up to 255 alpha-numeric characters or 127 Asian language characters may be used.


PatMax RedLine Patterns and PatMax Patterns Counting Tools - Settings Tab

Closed Accept Threshold

Defines the degree of similarity that must exist between the Model pattern and the found pattern (0-100; default = 50). Found patterns above, or the equivalent of, the setting are considered a match.This tool executes faster with a higher setting, which also requires a greater degree of similarity between the Model and the found pattern. Lower settings allow for a higher likelihood of less accurate results, such as detection of patterns that are similar to, but not, the Model pattern.

Closed Contrast Threshold

Defines the minimum acceptable contrast that must be present in the found pattern; the contrast for a found pattern must be greater than the Contrast Threshold value to be considered a valid instance. The default value for PatMax RedLine Pattern(s) is 0, and the valid parameter range is 0-100. The default value for PatMax Pattern(s) is 10, and the valid parameter range is 0-255. A low Contrast Threshold value is used for low-contrast images, while a high Contrast Threshold value is used for high-contrast images.

Note: PatMax RedLine Pattern(s) contrast is the "relative" measure of contrast change between features in the trained pattern versus match features in search image, in percentage. Therefore, if feature contrast is similar or high to pattern contrast, reported Contrast will be ~100. If feature contrast is lower than pattern contrast, reported Contrast will be <100. Contrast for PatMax RedLine Pattern(s) is different than contrast for PatMax Pattern(s), which is the "absolute" image contrast of the search ROI, in grey scale level.
Closed Angle Tolerance

Defines how far the found pattern can be rotated from the position of the Model pattern and still be recognized as a valid pattern (± 0-180°; default =15°). Allowing for a greater range of rotational variance of the pattern will increase the tool's execution time.

Closed Scale Tolerance

Defines the allowable percentage of scaling (size variations) between the found pattern and the Model pattern (0-50; default = 0). The value is a plus or minus percentage, e.g. a value of 5 will enable the tool to find patterns that are between 95% and 105% of the Model pattern’s size. Allowing for a greater range of scale variance of the pattern will increase the tool's execution time.

Closed Find Mode

Defines the search mode used for training and recognizing patterns, PatMax or PatQuick. By default, PatMax is selected. PatMax offers higher accuracy than PatQuick, but requires more time to execute, while PatQuick offers lower accuracy than PatMax, but requires less time to execute.

Closed Strict Scoring

Defines whether or not missing or occluded features of the found pattern will affect the score (default = Off, unchecked). When Strict Scoring is applied (On, checked), if features of the pattern are absent or blocked, the score of the found pattern will be lowered.

Closed Ignore Polarity

Defines whether or not found patterns can contain color-inverted match features , in respect to the Model pattern (default = Off, unchecked). When Ignore Polarity is applied (On, checked), detected patterns with color inverted features, such as black/white vs white/black in the Model pattern, for example, will be classified as matching the Model pattern.

Closed Timeout
Defines the amount of time, in milliseconds (0 to 30,000), that the tool will search for pattern(s) before execution is stopped and the tool returns a Fail. By default, this parameter is set to 5,000.
Note: PatMax RedLine Pattern(s) does not contain the Find Mode parameter.


PatMax RedLine Patterns and PatMax Patterns Counting Tools - Range Limits Tab

Closed Maximum

Defines the maximum acceptable number of patterns to detect; the tool will create a "Smart Limit" default setting based on your image, which you can customize to suit the needs of your application.

Closed Patterns

Reports the current number of detected patterns (the patterns counted in the image are based on a numerical order where 0 = 1); values that fall exactly at, or between, the Minimum and Maximum settings are classified as a Pass.

Closed Minimum

Defines the minimum acceptable number of patterns to detect; the tool will create a "Smart Limit" default setting based on your image, which you can customize to suit the needs of your application.

Closed Invert

Defines whether or not the Pass/Fail logic of the tool should be inverted (default = Off, unchecked):

  • Unchecked - Standard results are applied, i.e. the tool result is a Pass if the feature was detected and falls within the specified settings.
  • Checked - Inverts the results, i.e. the tool result is a Fail if the feature was detected and falls within the specified settings.
Closed Auto Limits button

Defines the limits based on the Smart Limits settings. This button is useful when a parameter has been changed and the limits need to be adjusted, or the tool has been added and no limits have been defined.


PatMax RedLine Patterns and PatMax Patterns Counting Tools - Model and Search Tabs

The Model and Search tabs are used to configure composite region for the Model and Search regions of the tool. Composite regions are a collection of sub-regions (Rectangle, Annulus, Circle or Polygon) that either Add to the region (the region will be included in the image analysis) or Subtract from the region (the region will be excluded from the image analysis; also known as "masking").

Note:
  • In the Model tab, the composite regions are only enabled after pressing the Model Region button.
  • A maximum of 32 sub-regions can be used to construct a composite region.
  • A right-click menu is available while interacting with the region in the image, which allows you to change a selected sub-region's shape, add or remove a sub-region, or change a selected sub-region's Operation (Add or Subtract).
Closed Composite Region Table

Displays the type of sub-region(s) that comprise the composite region, as well as its Operation (Add or Subtract). Select a sub-region to enable the Delete, Move Up or Move Down buttons. Pressing the Delete button removes the selected sub-region from the list; pressing the Move Up button moves the selected sub-region up in the list; and pressing the Move Down button moves the selected sub-region down in the list.

Note:

The composite region is built based upon its sequence of sub-regions within the list. By placing sub-regions, and their Add or Subtract Operation, in a specific order, parts of the image may be highlighted while ignoring other areas. The image below shows an example of how to correctly order the sub-regions to exclude part of the image while focusing on other areas. In the first set, a Rectangle with an Add Operation is configured, and then a Circle, with a Subtract Operation, is set in the middle. Then a smaller Rectangle, with an Add Operation, is configured in the middle of the Circle. The Circle excludes part of the image, while the smaller Rectangle adds part of the image area back to the image analysis. In the second set, the smaller Rectangle is added before the Circle, and the Circle masks the smaller Rectangle, excluding it from the image analysis.

Closed Shape

Displays the shape of selected sub-region (Rectangle, Circle, Annulus or Polygon). To change the shape, select the desired region type from the drop-down menu.

Closed Operation

Defines the selected sub-region's action within the region: Add or Subtract. Add indicates that the sub-region will be included in the image analysis while Subtract indicates that the sub-region will be excluded from the image analysis (also known as "masking").

Closed Rectangle

Inserts a rectangle sub-region into the composite region. Configure the shape and size of the region as needed.

Closed Annulus

Inserts an annulus sub-region into the composite region. Configure the shape and size of the region as needed.

Closed Circle

Inserts a circle sub-region into the composite region. Configure the shape and size of the region as needed.

Closed Polygon

Inserts a polygon sub-region into the composite region. Configure the shape and size of the region as needed.


PatMax RedLine Patterns and PatMax Patterns Counting Tools - Trained Image Tab

The image displayed in the Trained Image tab is a thumb-nail of the Model pattern. Press the Model Region button to re-size or move the Model region, and then press the Train button to re-train the Model pattern.


Counting Tools - Patterns

The Patterns Counting Tool is used to count the instances of a pattern feature, based upon a trained representation of that pattern (called a Model).

The Patterns Counting Tool is useful, for example, in applications like counting the number of bolts on a mechanical assembly, or counting the number of vials in a tray.

Setting Up the Tool

Adjusting the Tool Parameters


Setting Up the Patterns Counting Tool

Once the tool has been added, you will need to configure the regions in the image that will define your pattern (the Model region), and where in the image the pattern will be found (the Search region).

  1. Position the Model region over the pattern that will be used as the training model; make sure that the Model region only covers the important features of the pattern.

  2. Position the Search region so that it covers the areas within the image where you expect the pattern to appear. To help the performance of the tool, create smaller Search regions; the larger the Search region, the longer it will take the tool to perform its inspection.

    Note: The Model and Search regions cannot be bent into an arc or annular shape.
  3. Press the OK button to confirm the regions (press the Cancel button to not add the tool to the job).
  4. With the tool initially configured, load several images and adjust the tool's parameters, as needed, to compensate for your expected ranges of variations.
  5. Finally, if desired, use the tool's Input/Output properties to share tool data between other tools and/or other external devices.

Selecting a Pattern Feature


Adjusting the Patterns Counting Tool Parameters

After the tool’s region has been positioned, you can optimize the tool for your application.

The settings pane of the Patterns Counting Tool consists of the following:

  • General Tab
  • Settings Tab
  • Range Limits Tab
  • Trained Image Tab
Tip: Test your job, using TestRun. TestRun performs tests on the In-Sight vision system and compares the results of those tests against expected values. This will allow you to see whether or not the job is behaving as expected, or if you will need to adjust certain parameters for allowable variances.

General Tab

Settings Tab

Range Limits Tab

Trained Image Tab


Patterns Counting Tool - General Tab

Closed Tool Name

Defines the name of your inspection tool, which will be utilized in configuring the results Inputs/Outputs and Communication); the default name is “Pattern_1” (if it is the first Pattern tool added to the job, otherwise it will be incremented, e.g. “Pattern_2”, “Pattern_3”, etc.). Customize your tool by giving it a name that is associated with your particular application.

Closed Tool Image

Defines which image the tool will utilize to perform its inspection; the unfiltered, acquired image (the default setting), or the output image of an Image Filter Tool. This control is only enabled if an Image Filter Tool has been added.

Closed Tool Fixture

Defines a fixture for the tool. This control is only enabled if another tool that defines a fixture has already been added.

Closed Tool Enabled

Defines when and whether or not the inspection tool should run (default setting is “On”). Select “Off” if you want to disable the tool; select "Expression" if you want to tie the tool's execution to the result of an Expression (this control is only enabled for tool's that provide an Expression parameter); or select an “Input” if you want the tool tied to a specific discrete input line, where it can be turned On or Off (a High signal, 1, is On, a Low signal, 0, is Off). Tying the tool to an input allows a control system, such as a PLC, to determine which tools should run.

Closed Include in Job Pass

Defines whether or not the tool's pass/failure status should be included in the job's overall pass/fail status; by default, it is checked and will be included in the job's overall pass/fail status. Uncheck the check box to keep the tool's pass/failure status separate from the other tools in the job. This control should be unchecked if a tool is expected to fail; for example, if two PatMax Patterns Identification Tools were being used to determine whether or not the part was a right-hand or left-hand part, one of the tools would be expected to fail every time. This situation would result in the job failing every time, regardless of which side of the part was identified, were the checkbox checked.

Closed Execution Time (ms)

Displays the amount of time, in milliseconds, that the tool took to perform its inspection. This time may vary, depending upon the complexity of the scene in the image, as well as the position of the feature within the image, and the amount of variance allowed in the parameters.

Closed Description

A comment that describes the purpose of the tool (by default, the field is blank). Up to 255 alpha-numeric characters or 127 Asian language characters may be used.


Patterns Counting Tool - Settings Tab

Closed Train Input

Defines whether or not to train a Model pattern over an input line (default setting is "Off", disabled).

  • Input: Trains a Model pattern over an input line. The selected input line will be used as a train signal.

    Note:
    • This option will not be displayed when the In-Sight vision system does not have discrete inputs (e.g. In-Sight 8000 series vision system using Direct I/O).
    • The selected Input line's Signal Type must be set to Event Trigger in the Inputs/Outputs application step.
    • Training of a Model pattern will use the most recent image acquired by the vision system/sensor. It is not necessary to re-trigger the vision system/sensor in order to train.
    • For more information, refer to Inputs: Training a Model Pattern over an Input Line
Closed Accept Threshold

Defines the degree of similarity that must exist between the Model pattern and the found pattern (0-100; default = 50). Found patterns above, or the equivalent of, the setting are considered a match. This tool executes faster with a higher setting, which also requires a greater degree of similarity between the Model and the found pattern. Lower settings allow for a higher likelihood of less accurate results, such as detection of patterns that are similar to, but not, the Model pattern.

Closed Rotation Tolerance

Defines how far the found pattern can be rotated from the position of the Model pattern and still be recognized as a valid pattern (± 0-180°; default =15°).Allowing for a greater range of rotational variance of the pattern will increase the tool's execution time.

Closed Scale Tolerance

Defines the tool's tolerance to changes in the pattern's scale, within ±10% of the trained pattern's size. By default, this setting is off (unchecked), which disables scale adjustments. In this mode of operation, the tool will still find patterns that are within ±10% range, but the score of the feature will decrease as the scale percentage increases.

Closed Model Type

Defines how the tool constructs the Model pattern; Area Model or Edge Model (the default). Area Model creates the Model pattern based on a uniform sampling of the grayscale values in the Model region. Edge Model creates the Model pattern based on the detected edges (light/dark transitions) of the pattern feature within the Model region.

Closed Accuracy

Defines how the tool will qualify the tradeoff between accuracy/reliability versus execution speed; Accurate, Medium (the default) and Fast. Accurate specifies a focus on higher accuracy/reliability, and slower execution speed, Fast specifies a lower focus on accuracy/reliability, and faster execution speed, while Medium specifies a middle stance between the two.

Closed Timeout

Defines the amount of time, in milliseconds (0 to 30,000), that the tool will search for pattern(s) before execution is stopped and the tool returns a Fail.


Patterns Counting Tool - Range Limits Tab

Closed Maximum

Defines the maximum acceptable number of patterns to detect; the tool will create a "Smart Limit" default setting based on your image, which you can customize to suit the needs of your application.

Closed Patterns

Reports the current number of detected patterns (the patterns counted in the image are based on a numerical order where 0 = 1); values that fall exactly at, or between, the Minimum and Maximum settings are classified as a Pass.

Closed Minimum

Defines the minimum acceptable number of patterns to detect; the tool will create a "Smart Limit" default setting based on your image, which you can customize to suit the needs of your application.

Closed Invert Result

Defines whether or not the Pass/Fail logic of the tool should be inverted (default = Off, unchecked):

  • Unchecked - Standard results are applied, i.e. the tool result is a Pass if the feature was detected and falls within the specified settings.
  • Checked - Inverts the results, i.e. the tool result is a Fail if the feature was detected and falls within the specified settings.
Closed Auto Limits button

Defines the limits based on the Smart Limits settings. This button is useful when a parameter has been changed and the limits need to be adjusted, or the tool has been added and no limits have been defined.


Patterns Counting Tool - Trained Image Tab

The image displayed in the Trained Image tab is a thumb-nail of the Model pattern. Press the Model Region button to re-size or move the Model region, and then press the Train button to re-train the Model pattern.


/ Identification Tools - Read 1D Code and Read 1D Codes (1-20)

The Read 1D Code and Read 1D Codes (1-20) Identification Tools decode and/or verify 1D and/or Stacked bar codes, using the ReadIDMax® algorithm. The tools report the information that was decoded and a Pass if the code(s) were correctly decoded and the code was within the specified threshold limits.

The Read 1D Code Identification Tool is used to read and/or verify a single code within the region, while the Read 1D Codes (1-20) Identification Tool is used to read and/or verify up to 20 codes within the region.

Setting Up the Tools

Adjusting the Tools Parameters


/ Setting Up the Read 1D Code and Read 1D Codes (1-20) Identification Tools

Once the tool has been added, you will need to configure the region in the image:

  1. For the Read 1D Code Identification Tool, position the region over the code/symbol, and make sure that the boundaries of the region encompass all of the code/symbol. For the Read 1D Codes (1-20) Identification Tool, position the region over the area where you expect the codes/symbols to appear, and make sure that the boundaries of the region encompass all of the codes/symbols that you want to decode. To help speed up the performance of the tool, try and create smaller regions; larger regions take longer to inspect.

  2. Press the OK button to confirm the region (press the Cancel button to not add the tool to the job).

  3. Once the region has been confirmed, you will need to define parameters in the Settings tab:
    1. The Mode parameter, which defines how the tool will operate: Read or Match String (by default, the Mode is set to Read).
    2. For the Read 1D Codes (1-20) Identification Tool, you will also need to define the Maximum Results parameter, which defines the number of codes/symbols to decode (by default, it is set to 1).
  4. The tool will draw a non-editable bounding box around the decoded code/symbol, and insert a [image] icon to indicate the fixture created from the decoded code/symbol.
  5. With the tool initially configured, load several images and adjust the tool's parameters, as needed, to compensate for your expected ranges of variations.
  6. Finally, if desired, use the tool's Input/Output properties to share tool data between other tools and/or other external devices.


/ Adjusting the Read 1D Code and Read 1D Codes (1-20) Identification Tools Parameters

After the tool’s region has been positioned, you can optimize the tool for your application.

The settings pane of the Read 1D Code and Read 1D Codes (1-20) Identification Tools consist of the following tabs:

  • General Tab
  • Settings Tab
  • 1D Tab
  • Stacked Tab
  • Results Tab
  • Table
Note:
  • The Results tab is only enabled for the Read 1D Code Identification Tool.
  • The Table is only enabled for the Read 1D Codes (1-20) Identification Tool.
Tip: Test your job, using TestRun. TestRun performs tests on the In-Sight vision system and compares the results of those tests against expected values. This will allow you to see whether or not the job is behaving as expected, or if you will need to adjust certain parameters for allowable variances.

General Tabs

Settings Tabs

1D Tab

Stacked Tabs

Results Tab

Table


/ Read 1D Code and Read 1D Codes (1-20) Identification Tool - General Tabs

Closed Tool Name

Defines the name of your inspection tool, which will be utilized in configuring the results Inputs/Outputs and Communication); the default name is “IDCode_1” (if it is the first Read 1D Code, Read 1D Codes (1-20), Read 2D Code, Read 2D Codes (1-20) or Read Postal Code Identification Tool added to the job, otherwise it will be incremented, e.g. “IDCode_2”, “IDCode_3”, etc.). Customize your tool by giving it a name that is associated with your particular application.

Closed Tool Image

Defines which image the tool will utilize to perform its inspection; the unfiltered, acquired image (the default setting), or the output image of an Image Filter Tool. This control is only enabled if an Image Filter Tool has been added.

Closed Tool Fixture

Defines a fixture for the tool. This control is only enabled if another tool that defines a fixture has already been added.

Closed Tool Enabled

Defines when and whether or not the inspection tool should run (default setting is “On”). Select “Off” if you want to disable the tool; select "Expression" if you want to tie the tool's execution to the result of an Expression (this control is only enabled for tool's that provide an Expression parameter); or select an “Input” if you want the tool tied to a specific discrete input line, where it can be turned On or Off (a High signal, 1, is On, a Low signal, 0, is Off). Tying the tool to an input allows a control system, such as a PLC, to determine which tools should run.

Closed Include in Job Pass

Defines whether or not the tool's pass/failure status should be included in the job's overall pass/fail status; by default, it is checked and will be included in the job's overall pass/fail status. Uncheck the check box to keep the tool's pass/failure status separate from the other tools in the job. This control should be unchecked if a tool is expected to fail; for example, if two PatMax Patterns Identification Tools were being used to determine whether or not the part was a right-hand or left-hand part, one of the tools would be expected to fail every time. This situation would result in the job failing every time, regardless of which side of the part was identified, were the checkbox checked.

Closed Execution Time (ms)

Displays the amount of time, in milliseconds, that the tool took to perform its inspection. This time may vary, depending upon the complexity of the scene in the image, as well as the position of the feature within the image, and the amount of variance allowed in the parameters.

Closed Description

A comment that describes the purpose of the tool (by default, the field is blank). Up to 255 alpha-numeric characters or 127 Asian language characters may be used.


/ Read 1D Code and Read 1D Codes (1-20) Identification Tool - Settings Tabs

Closed Maximum Results

Defines the maximum number of codes/symbols to be read (1 - 20; default = 1).

Note: If the specified Maximum Results value exceeds the number of codes/symbols in the Field of View (FOV), the tool will still continue to search for the specified number of codes/symbols. If the number of codes/symbols in the FOV will vary, the execution time of the tool can be reduced by adjusting the value in the Timeout parameter.
Closed Trained

Displays whether or not the tool has been trained on a particular code/symbol; displays a 1 when the tool has been trained, and a 0 if it has not been trained.

Closed Train

Trains a model of the code/symbol read; trained information is retained until the Untrain button is pressed. To retrain a code/symbol, press the Untrain button, then press the Train button with the new code/symbol present. Training is used to help the speed and performance of the tool, by teaching the tool which type of code/symbol to decode. When using either the Read 1D Codes (1-20) Identification Tool or Read 2D Codes (1-20) Identification Tool and training, configure the region around a single code/symbol before pressing the Train button. Once the code/symbol has been trained, you can adjust the region to search more of the Field of View (FOV) for multiple codes/symbols. Training only works with a single code/symbol in the region; if you press the Train button with multiple codes/symbols in the region, there is no way to dictate which code/symbol will be trained. Before training, ensure that the correct code types are selected in the 1D and Stacked tabs.

Closed Untrain

Undoes the training of a trained model code/symbol. To retrain a symbol, press the Untrain button, then press the Train button with the new code present.

Closed Mode

Defines the operational mode (Read or Match String; default = Read) of the tool.

  • Read = Used when the information in the code/symbol is unknown. The tool will automatically decode the information contained in the code/symbol, and display the decoded information in the String parameter.
  • Match String = Used to verify that a known code/symbol is present and readable. The tool will decode the information contained in codes/symbols and compare the decoded information against the information you entered in the Match String parameter.
Closed Match String

Defines the expected string to be read (only enabled when the Mode parameter is set to Match String). Enter the information that you expect the tool to decode.

Note: The match string can be input from another device. When you run the job, the identification tool can read the text string from your input device and compare it to the recognized ID code/symbol. The tool will result in a Fail and the Match String field will display TRIG until the Match String is input from the external device.
Closed Match Mode

Defines whether or not all of the decoded codes/symbols in the region should match the string defined in the Match String parameter to pass. The Match String parameter must be configured to enable this option.

  • All Match = All of the decoded codes/symbols must match the string defined in the Match String parameter.
  • Any Match = At least one of the decoded codes/symbols must match the string defined in the Match String parameter.
Closed Checksum

Defines whether or not the code/symbol will be validated to ensure reliability using an error-detection algorithm (by default, this setting is disabled). Checksum only applies to codes/symbols with optional checksum algorithms included in the code/symbol; each code/symbol has its own unique checksum algorithm. The type of checksum, if any, that is used depends on the code/symbol type selected.

Note: Code 128, Code 93, RSS, UPC and EAN barcodes are validated with a checksum regardless of the parameter selection. If Checksum is enabled for any other barcode, and no checksum is encoded, the read will fail.
Closed Sort Mode

Defines the order, if any, in which results are returned (None, Top Down, Left to Right, Alphabetical or String Length; default = None).

  • None = Sorts by first decoded results. Any undecoded results will follow decoded results.
  • Top Down = Sorts in ascending X fixture coordinate value order.
  • Left to Right = Sorts in ascending Y fixture coordinate value order.
  • Alphabetical = Sorts the results alphabetically.
  • String Length = Sorts the results by string length (shortest to longest).
  • Row = Sorts the results by grouping the symbols into rows, and then sorting them from left-to-right within each row.
  • Column = Sorts the results by grouping the symbols into columns, and then sorting them from top-to-bottom within each column.
Closed Allow Identical 1D Symbols

Defines whether or not the tool should decode all symbols within the region, even if they are identical. Two symbols are considered identical if they have the same length, symbology type and decoded string (by default, this setting is disabled).

Closed Verify

Defines whether or not the print quality tests will be performed (by default, this setting is disabled). For more information, see ID.

Closed Expand UPC-E

Defines whether the decoded symbol returns the 6-digit UPC-E string or the expanded 11-digit UPC-A equivalent string (by default, this setting is enabled).

Note: The Expand UPC-E parameter is only supported on In-Sight Micro 1000 series, In-Sight 5000 series and In-Sight 70xx - 74xx series vision systems with firmware version 4.10.1 and higher.
Closed Timeout

Defines the amount of time, in milliseconds (0 - 30000;default = 0), that the tool will search for a valid code/symbol before execution is stopped and the tool results in a Fail.

Closed Number Decoded

Displays the number of decoded codes/symbols.

Note: The Maximum Results, Match Mode , Sort Mode, Allow Identical 1D Symbols and Number Decoded parameters are only available for the Read 1D Codes (1-20) Identification Tool.


/ Read 1D Code and Read 1D Codes (1-20) Identification Tools - 1D Tab

This tab defines which codes/symbols to attempt to decode. By default, all code/symbol types are enabled. Multiple symbologies can be selected and read.

Closed Code 128

Defines whether or not the tool will attempt Code 128 reading.

Closed Code 39

Defines whether or not the tool will attempt Code 39 (also known as Code 3 of 9 and BC39) reading.

Closed Interleaved 2 of 5

Defines whether or not the tool will attempt ITF-14 reading.

Closed Pharmacode

Defines whether or not the tool will attempt PharmaCode reading.

Closed UPC/EAN

Defines whether or not the tool will attempt UPC (Universal Product Code) and EAN (European Article Numbering) reading. UPC supports Version A (Regular version) and Version E (Zero-suppression version) UPC barcodes, as well as two- and five-character supplemental encodations. EAN supports EAN-8 and EAN-13 barcodes, as well as two- and five-character supplemental encodations.

Closed Code 93

Defines whether or not the tool will attempt Code 93 reading.

Closed Codabar

Defines whether or not the tool will attempt Codabar (also known as USD-4 and Code 2 of 7) reading.


/ Read 1D Code and Read 1D Codes (1-20) Identification Tool - Stacked Tabs

This tab defines which codes/symbols to attempt to decode. By default, all code/symbol types are enabled. Multiple symbologies can be selected and read.

Closed PDF 417

Defines whether or not the tool will attempt PDF 417 reading.

Closed DataBar

Defines whether or not the tool will attempt DataBar reading.

Closed DataBar Limited

Defines whether or not the tool will attempt DataBar Limited reading.

Closed DataBar Expanded

Defines whether or not the tool will attempt DataBar Expanded reading.

Closed EAN.UCC Composite

Defines whether or not the tool will attempt EAN.UCC Composite reading.


Read 1D Code Identification Tool - Results Tab

The Results tab displays the following information about the decoded code/symbol:

Closed String

Returns the string contained in the decoded code/symbol.

Closed Symbology

Returns the type of symbology that was decoded.

Closed Grade

Returns the grade given to the decoded code/symbol.


Read 1D Codes (1-20) Identification Tool - Table

The Table reports the following information for each decoded code/symbol:

Closed Index

Refers to the order of the decoded code/symbol, based on the Sort Mode parameter; 1 to 20 (numerical ordering in EasyBuilder is based on 0=1).

Closed String

Returns the string contained in the decoded code/symbol.

Closed Symbology

Returns the type of symbology that was decoded.

Closed X

Returns the X coordinate of the decoded code/symbol fixture output.

Closed Y

Returns the Y coordinate of the decoded code/symbol fixture output.

Closed Angle

Returns the angle value of the decoded code/symbol fixture output.

Closed Grade

Returns the grade given to the decoded code/symbol.


/ Identification Tools - Read 2D Code and Read 2D Codes (1-20)

The Read 2D Code and Read 2D Codes (1-20) Identification Tools decode and/or verify QR Code and/or Data Matrix symbologies, using the ReadIDMax® algorithm. The tools report the information that was decoded and a Pass if the code(s) were correctly decoded and the code was within the specified threshold limits.

The Read 2D Code Identification Tool is used to read and/or verify a single symbol within the region, while the Read 2D Codes (1-20) Identification Tool is used to read and/or verify up to 20 symbols within the region.

Setting Up the Tools

Adjusting the Tools Parameters


/ Setting Up the Read 2D Code and Read 2D Codes (1-20) Identification Tools

Once the tool has been added, you will need to configure the region in the image:

  1. For the Read 2D Code Identification Tool, position the region over the code/symbol, and make sure that the boundaries of the region encompass all of the code/symbol. For the Read 2D Codes (1-20) Identification Tool, position the region over the area where you expect the codes/symbols to appear, and make sure that the boundaries of the region encompass all of the codes/symbols that you want to decode. To help speed up the performance of the tool, try and create smaller regions; larger regions take longer to inspect.

    Note: When reading 2D codes, it is important to allow a "quiet zone" between the code and the region. The "quiet zone" implies at least a 3 pixel separation between the edge of the code and region defining the code.

  2. Press the OK button to confirm the region (press the Cancel button to not add the tool to the job).

  3. Once the region has been confirmed, you will need to define parameters in the Settings tab:
    1. The Symbology Group parameter, which defines the type of symbology, Data Matrix or QR Code (by default, the symbology is set to Data Matrix.
    2. The Mode parameter, which defines how the tool will operate: Read or Match String (by default, the Mode is set to Read).
    3. For the Read 2D Codes (1-20) Identification Tool, you will also need to define the Maximum Results parameter, which defines the number of codes/symbols to decode (by default, it is set to 1).
  4. The tool will draw a non-editable bounding box around the decoded code/symbol, and insert a [image] icon to indicate the fixture created from the decoded code/symbol.
  5. With the tool initially configured, load several images and adjust the tool's parameters, as needed, to compensate for your expected ranges of variations.
  6. Finally, if desired, use the tool's Input/Output properties to share tool data between other tools and/or other external devices.


/ Adjusting the Read 2D Code and Read 2D Codes (1-20) Identification Tools Parameters

After the tool’s region has been positioned, you can optimize the tool for your application.

The settings pane of the Read 2D Code and Read 2D Codes (1-20) Identification Tools consist of the following tabs:

  • General Tab
  • Settings Tab
  • Results Tab
  • Table
Note:
  • The Results tab is only enabled for the Read 2D Code Identification Tool.
  • The Table is only enabled for the Read 2D Codes (1-20) Identification Tool.
Tip: Test your job, using TestRun. TestRun performs tests on the In-Sight vision system and compares the results of those tests against expected values. This will allow you to see whether or not the job is behaving as expected, or if you will need to adjust certain parameters for allowable variances.

General Tabs

Settings Tabs

Results Tab

Table


/ Read 2D Code and Read 2D Codes (1-20) Identification Tool - General Tabs

Closed Tool Name

Defines the name of your inspection tool, which will be utilized in configuring the results Inputs/Outputs and Communication); the default name is “IDCode_1” (if it is the first Read 1D Code, Read 1D Codes (1-20), Read 2D Code, Read 2D Codes (1-20) or Read Postal Code Identification Tool added to the job, otherwise it will be incremented, e.g. “IDCode_2”, “IDCode_3”, etc.). Customize your tool by giving it a name that is associated with your particular application.

Closed Tool Image

Defines which image the tool will utilize to perform its inspection; the unfiltered, acquired image (the default setting), or the output image of an Image Filter Tool. This control is only enabled if an Image Filter Tool has been added.

Closed Tool Fixture

Defines a fixture for the tool. This control is only enabled if another tool that defines a fixture has already been added.

Closed Tool Enabled

Defines when and whether or not the inspection tool should run (default setting is “On”). Select “Off” if you want to disable the tool; select "Expression" if you want to tie the tool's execution to the result of an Expression (this control is only enabled for tool's that provide an Expression parameter); or select an “Input” if you want the tool tied to a specific discrete input line, where it can be turned On or Off (a High signal, 1, is On, a Low signal, 0, is Off). Tying the tool to an input allows a control system, such as a PLC, to determine which tools should run.

Closed Include in Job Pass

Defines whether or not the tool's pass/failure status should be included in the job's overall pass/fail status; by default, it is checked and will be included in the job's overall pass/fail status. Uncheck the check box to keep the tool's pass/failure status separate from the other tools in the job. This control should be unchecked if a tool is expected to fail; for example, if two PatMax Patterns Identification Tools were being used to determine whether or not the part was a right-hand or left-hand part, one of the tools would be expected to fail every time. This situation would result in the job failing every time, regardless of which side of the part was identified, were the checkbox checked.

Closed Execution Time (ms)

Displays the amount of time, in milliseconds, that the tool took to perform its inspection. This time may vary, depending upon the complexity of the scene in the image, as well as the position of the feature within the image, and the amount of variance allowed in the parameters.

Closed Description

A comment that describes the purpose of the tool (by default, the field is blank). Up to 255 alpha-numeric characters or 127 Asian language characters may be used.


/ Read 2D Code and Read 2D Codes (1-20) Identification Tool - Settings Tabs

Closed Symbology Group

Defines the type of symbology (Data Matrix or QR Code; default = Data Matrix) to attempt to decode.

Note: When QR Code is selected, the tool will attempt to decode all QR Code types (QR Model 1/2, Micro QR and QR Model 1/2).
Closed Maximum Results

Defines the maximum number of codes/symbols to be read (1 - 20; default = 1).

Note: If the specified Maximum Results value exceeds the number of codes/symbols in the Field of View (FOV), the tool will still continue to search for the specified number of codes/symbols. If the number of codes/symbols in the FOV will vary, the execution time of the tool can be reduced by adjusting the value in the Timeout parameter.
Closed Trained

Displays whether or not the tool has been trained on a particular code/symbol; displays a 1 when the tool has been trained, and a 0 if it has not been trained.

Closed Train

Trains a model of the code/symbol read; trained information is retained until the Untrain button is pressed. To retrain a code/symbol, press the Untrain button, then press the Train button with the new code/symbol present. Training is used to help the speed and performance of the tool, by teaching the tool which type of code/symbol to decode. When using either the Read 1D Codes (1-20) Identification Tool or Read 2D Codes (1-20) Identification Tool and training, configure the region around a single code/symbol before pressing the Train button. Once the code/symbol has been trained, you can adjust the region to search more of the Field of View (FOV) for multiple codes/symbols. Training only works with a single code/symbol in the region; if you press the Train button with multiple codes/symbols in the region, there is no way to dictate which code/symbol will be trained. Before training, ensure that the correct symbology group (Data Matrix or QR) is selected in the Symbology Group parameter.

Closed Untrain

Undoes the training of a trained model code/symbol. To retrain a symbol, press the Untrain button, then press the Train button with the new code present.

Closed Perspective

Defines the decoding settings (No Perspective, Perspective or Train Perspective; default = No Perspective) for Data Matrix symbologies. The Symbology Group parameter must be set to Data Matrix to enable this parameter.

  • No Perspective = Decodes Data Matrix symbols that have no perspective distortion.
  • Perspective = Decodes Data Matrix symbols with perspective distortion; the perspective distortion is estimated independently during model training and run time.

  • Train Perspective = Decodes Data Matrix symbols with a known perspective distortion. The perspective is trained along with other attributes when using a trained model of a symbol. At run time, the symbol is searched in a space where the perspective distortion in the input image is compensated using the trained attributes. This option requires that the run time symbol is placed on the same plane as that of the training symbol. This option allows you to decode severely damaged symbols with known perspective distortion.

    Tip: It is recommended that the In-Sight vision system be mounted so the angle of incidence (the angle between the optical axis of the sensor and the normal vector of the plane on which the symbol is presented) is no more than 40 degrees and the resolution of the symbol be at least 5 pixels per cell.
Closed Mode

Defines the operational mode (Read or Match String; default = Read) of the tool.

  • Read = Used when the information in the code/symbol is unknown. The tool will automatically decode the information contained in the code/symbol, and display the decoded information in the String parameter.
  • Match String = Used to verify that a known code/symbol is present and readable. The tool will decode the information contained in codes/symbols and compare the decoded information against the information you entered in the Match String parameter.
Closed Match String

Defines the expected string to be read (only enabled when the Mode parameter is set to Match String). Enter the information that you expect the tool to decode.

Note: The match string can be input from another device. When you run the job, the identification tool can read the text string from your input device and compare it to the recognized ID code/symbol. The tool will result in a Fail and the Match String field will display TRIG until the Match String is input from the external device.
Closed Match Mode

Defines whether or not all of the decoded codes/symbols in the region should match the string defined in the Match String parameter to pass. The Match String parameter must be configured to enable this option.

  • All Match = All of the decoded codes/symbols must match the string defined in the Match String parameter.
  • Any Match = At least one of the decoded codes/symbols must match the string defined in the Match String parameter.
Closed Sort Mode

Defines the order, if any, in which results are returned (None, Top Down, Left to Right, Alphabetical or String Length; default = None).

  • None = Sorts by first decoded results. Any undecoded results will follow decoded results.
  • Top Down = Sorts in ascending X fixture coordinate value order.
  • Left to Right = Sorts in ascending Y fixture coordinate value order.
  • Alphabetical = Sorts the results alphabetically.
  • String Length = Sorts the results by string length (shortest to longest).
  • Row = Sorts the results by grouping the symbols into rows, and then sorting them from left-to-right within each row.
  • Column = Sorts the results by grouping the symbols into columns, and then sorting them from top-to-bottom within each column.
Closed Verify

Defines whether or not the print quality tests will be performed (by default, this setting is disabled). For more information, see ID.

Closed Allow Binary Results

Defines whether or not the function will decode as hex ASCII DataMatrix symbols encoded as base-256 binary data (by default, this setting is disabled).

Closed Timeout

Defines the amount of time, in milliseconds (0 - 30000;default = 5000), that the tool will search for a valid code/symbol before execution is stopped and the tool results in a Fail.

Closed Number Decoded

Displays the number of decoded codes/symbols.

Note: The Maximum Results, Match Mode , Sort Modeand Number Decoded parameters are only available for the Read 2D Codes (1-20) Identification Tool.


Read 2D Code Identification Tool - Results Tab

The Results tab displays the following information about the decoded code/symbol:

Closed String

Returns the string contained in the decoded code/symbol.

Closed Symbology

Returns the type of symbology that was decoded.

Closed Grade

Returns the grade given to the decoded code/symbol.


Read 2D Codes (1-20) Identification Tool - Table

The Table reports the following information for each decoded code/symbol:

Closed Index

Refers to the order of the decoded code/symbol, based on the Sort Mode parameter; 1 to 20 (numerical ordering in EasyBuilder is based on 0=1).

Closed String

Returns the string contained in the decoded code/symbol.

Closed Symbology

Returns the type of symbology that was decoded.

Closed X

Returns the X coordinate of the decoded code/symbol fixture output.

Closed Y

Returns the Y coordinate of the decoded code/symbol fixture output.

Closed Angle

Returns the angle value of the decoded code/symbol fixture output.

Closed Grade

Returns the grade given to the decoded code/symbol.


Identification Tools - Read ID Codes

The Read ID Codes Identification Tool automatically decodes and verifies information contained in 1D bar codes and 2D matrix symbols.

Note: From In-Sight Explorer 4.5.0 and later, the Read ID Codes Identification Tool will only be available on In-Sight vision systems that do not support ReadIDMax®.

Setting Up the Tool

Adjusting the Tool Parameters


Setting Up the Read ID Codes Identification Tool

Once the tool has been added, you will need to select the type of region and then configure it in the image:

  1. Position the region over the area where you expect the code or symbol to appear, and make sure that the boundaries of the region encompass all of the code or symbol. To help speed up the performance of the tool, try and create smaller regions; larger regions take longer to inspect.

    Note: When reading 2D codes, it is important to allow a "quiet zone" between the code and the region. The "quiet zone" implies at least a 3 pixel separation between the edge of the code and the region defining the code.
  2. Press the OK button to confirm the region (press the Cancel button to not add the tool to the job).
  3. Once the region is confirmed, you will need to define the mode of operation: Read or Match String (by default, the Mode is set to Read). This setting is configured in the Settings tab.
  4. The tool will remember the code type and search for that specific code type during its run-time operation. If the code type changes, press the Learn button in the Settings tab to allow the tool to identify the new code type, and subsequently search for that code type.
  5. With the tool initially configured, load several images and adjust the tool's parameters, as needed, to compensate for your expected ranges of variations.
  6. Finally, if desired, use the tool's Input/Output properties to share tool data between other tools and/or other external devices.

Supported ID Codes


Supported ID Codes

The Read ID Codes Identification Tool supports the following types of codes and symbols:

Code 39* | Code 128
Code I2of5* | UPC
EAN | PharmaCode
POSTNET | PLANET
RSS-14 & Stacked | RSS-Limited
Codabar (NW-7)* | Code 93
UPU 4-State | Australia Post 4-State
Japan Post 4-State | USPS OneCode 4-State
Data Matrix | QR
RSS CC-A | RSS CC-B
PDF 417 |
* These codes and symbols contain an optional Checksum algorithm.


Adjusting the Read ID Codes Identification Tool Parameters

After the tool’s region has been positioned, you can optimize the tool for your application.

The settings pane of the Read ID Codes Identification Tool consists of four tabs:

  • General Tab
  • Settings Tab
Tip: Test your job, using TestRun. TestRun performs tests on the In-Sight vision system and compares the results of those tests against expected values. This will allow you to see whether or not the job is behaving as expected, or if you will need to adjust certain parameters for allowable variances.

General Tab

Settings Tab


Read ID Codes Identification Tool - General Tab

Closed Tool Name

Defines the name of your inspection tool, which will be utilized in configuring the results (Inputs/Outputs and Communication); the default name is “IDCode_1” (if it is the first Read ID Codes Identification Tool added to the job, otherwise it will be incremented, e.g. “IDCode_2”, “IDCode_3”, etc.). Customize your tool by giving it a name that is associated with your particular application.

Closed Tool Image

Defines which image the tool will utilize to perform its inspection; the unfiltered, acquired image (the default setting), or the output image of an Image Filter Tool. This control is only enabled if an Image Filter Tool has been added.

Closed Tool Fixture

Defines a fixture for the tool. This control is only enabled if another tool that defines a fixture has already been added.

Closed Tool Enabled

Defines when and whether or not the inspection tool should run (default setting is “On”). Select “Off” if you want to disable the tool; select "Expression" if you want to tie the tool's execution to the result of an Expression (this control is only enabled for tool's that provide an Expression parameter); or select an “Input” if you want the tool tied to a specific discrete input line, where it can be turned On or Off (a High signal, 1, is On, a Low signal, 0, is Off). Tying the tool to an input allows a control system, such as a PLC, to determine which tools should run.

Closed Include in Job Pass

Defines whether or not the tool's pass/failure status should be included in the job's overall pass/fail status; by default, it is checked and will be included in the job's overall pass/fail status. Uncheck the check box to keep the tool's pass/failure status separate from the other tools in the job. This control should be unchecked if a tool is expected to fail; for example, if two PatMax Patterns Identification Tools were being used to determine whether or not the part was a right-hand or left-hand part, one of the tools would be expected to fail every time. This situation would result in the job failing every time, regardless of which side of the part was identified, were the checkbox checked.

Closed Execution Time (ms)

Displays the amount of time, in milliseconds, that the tool took to perform its inspection. This time may vary, depending upon the complexity of the scene in the image, as well as the position of the feature within the image, and the amount of variance allowed in the parameters.

Closed Description

A comment that describes the purpose of the tool (by default, the field is blank). Up to 255 alpha-numeric characters or 127 Asian language characters may be used.


Read ID Codes Identification Tool - Settings Tab

Closed Learn Button

Defines a new code type or symbol. The Learn button is used when you are presenting a new code or symbol to the tool. Press the Learn button after you have presented the tool with a new code or symbol, and the tool will automatically attempt to decode it. After successfully decoding the new code type or symbol, the tool will subsequently only read or verify codes or symbols of that type.

Closed Code

Displays the type of decoded code or symbol.

Closed Mode

Defines the operational mode of the tool: Read or Match String.

Read (the default Mode) is used when the information in the code or symbol is unknown. The tool will automatically decode the information contained in the code or symbol, and display the decoded information in the String parameter.

Match String is used to verify that a known barcode or symbol is present and readable. The tool will decode the information contained in barcodes or symbols and compare the decoded information against the information you entered in the Match String parameter.

Note: The tool has two states: Pass or Fail. When the tool's Mode control is set to Match String, the tool returns a Fail in two different scenarios - when the read fails, or when the read is successful but the decoded information does not match the text string entered in the Match String parameter.

In the latter case, the tool outputs the mismatch data (Mismatch and Mismatch_Count) which can be used by the EasyView and other communication devices in the Communication Application Step. The mismatch data can be selected from the Select EasyView Items dialog, the Select OPC Tags dialog or the Select Input/Output Data dialog.

The mismatch data is useful when the user needs to determine if the tool is not able to read the code, or if the code can be read but the decoded information does not match the defined Match String. For example, when the tool is not able to read the code, there might be an issue with the label printing process or the vision system setup. When the code is read successfully but the decoded information does not match the defined Match String, the wrong label could be printed.
Closed Match String

Defines the expected string to be read (only enabled when the Mode parameter is set to Match String). Enter the information that you expect the tool to decode.

Note: The match string can be input from another device. When you run the job, the identification tool can read the text string from your input device and compare it to the recognized ID Code. The Read ID Codes tool will result in a Fail and the Match String field will display TRIG until the Match String is input from the external device.
Closed Timeout

Defines the amount of time, in milliseconds (0 to 30,000), that the tool will search for codes before execution is stopped and the tool returns a Fail.

Closed String

Displays the decoded information.


Identification Tools - Color

The Color Identification Tool is used to determine, from a library of trained Colors, which Color best matches the color in the image.

This tool is useful, for example, in applications where you want to ensure that the correct product is running on the production line, based on the color of a part or object, or to recognize which product is running and communicate that information to other factory floor devices.

Setting Up the Tool

Adjusting the Tool Parameters


Setting Up the Color Identification Tool

Once the tool has been added, you will need to select the type of region and then configure it in the image:

  1. From the Model drop-down menu, select the type of region: Rectangle (default), Circle, Annulus or Polygon. Position and configure the region within the image where you expect the color(s) to appear; make sure that the boundaries of the region cover the color(s) and their possible locations. To help the performance of the tool, create smaller regions; larger regions require longer to inspect. If you’re not using a fixture, ensure that the color(s) are present in roughly the same location in every image, or the region is large enough to account for the expected movement of the color(s).

    Note: After adding the tool, you can change the type of region by right-clicking the region in the image and selecting the desired shape from the Change Region to option.
  2. Press the OK button to confirm the region (press the Cancel button to not add the tool to the job).
  3. Once the search region has been configured, you will need to configure the tool's Color Library and activate the appropriate Color(s):
    • If this is the first time that a Color Identification Tool has been added, you will need to first define the Color Library(s) and its Color(s).
    • If another Color Identification Tool has previously been added and you want to utilize an existing Color Library and its trained Color(s), go to the Settings tab and select your desired Color Library, and then activate your desired Color by checking them in the Library tab.
    • By default, the tool will automatically result in a Fail until a Color Library has been defined. If a Color Library has been defined, the tool will automatically use that library and activate all Color(s) contained within.
  4. With the tool initially configured, load several images and adjust the tool's parameters, as needed, to compensate for your expected ranges of variations.
  5. Finally, if desired, use the tool's Input/Output properties to share tool data between other tools and/or other external devices.

Color Components of a Pixel


Color Components of a Pixel

Each color is composed of three separate color components. These components can be represented as combinations of red, green and blue (RGB), or hue, saturation and intensity (HSI). For both RGB and HSI, each component of a pixel is converted to a value from 0 to 255.

Closed RGB

RGB colors are created by combining shades of red (255, 0, 0), green (0, 255, 0) and blue (0, 0, 255) in different proportions. The combination produces a specific color for each pixel.

Closed HSI

For HSI, the hue of a color corresponds to its location within the visible portion of the electromagnetic spectrum of radiation.

The saturation of a color is the degree to which the color is mixed with grey or white. A fully saturated color is pure; as a color becomes mixed with grey or white, it becomes less saturated.

The intensity of a color is a measure of its brightness. The intensity of a color is defined as the average value of the red, green and blue components that make up the color. The resulting mixture of hue, saturation and intensity produces the correct color for each pixel.

Closed Comparative RGB and HSI Values

RGB values = 255, 0, 0

HSI values = 0, 255, 85

RGB values = 0, 255, 0

HSI values = 85, 255, 85

RGB values = 0, 0, 255

HSI values = 170, 255, 85


Adjusting the Color Identification Tool Parameters

After the tool’s region has been positioned, you can optimize the tool for your application.

The settings pane of the Color Identification Tool consists of the following tabs:

  • General Tab
  • Settings Tab
  • Table Tab
  • Library Tab
  • Composite Region Tab
Tip: Test your job, using TestRun. TestRun performs tests on the In-Sight vision system and compares the results of those tests against expected values. This will allow you to see whether or not the job is behaving as expected, or if you will need to adjust certain parameters for allowable variances.

General Tab

Settings Tab

Table Tab

Color Library Tab

Composite Region Tab


Color Identification Tool - General Tab

Closed Tool Name

Defines the name of your inspection tool, which will be utilized in configuring the results Inputs/Outputs and Communication); the default name is “ColorID_1” (if it is the first Color Identification Tool added to the job, otherwise it will be incremented, e.g. “ColorID_2”, “ColorID_3”, etc.). Customize your tool by giving it a name that is associated with your particular application.

Closed Tool Fixture

Defines a fixture for the tool. This control is only enabled if another tool that defines a fixture has already been added.

Closed Tool Enabled

Defines when and whether or not the inspection tool should run (default setting is “On”). Select “Off” if you want to disable the tool; select "Expression" if you want to tie the tool's execution to the result of an Expression (this control is only enabled for tool's that provide an Expression parameter); or select an “Input” if you want the tool tied to a specific discrete input line, where it can be turned On or Off (a High signal, 1, is On, a Low signal, 0, is Off). Tying the tool to an input allows a control system, such as a PLC, to determine which tools should run.

Closed Include in Job Pass

Defines whether or not the tool's pass/failure status should be included in the job's overall pass/fail status; by default, it is checked and will be included in the job's overall pass/fail status. Uncheck the check box to keep the tool's pass/failure status separate from the other tools in the job. This control should be unchecked if a tool is expected to fail; for example, if two PatMax Patterns Identification Tools were being used to determine whether or not the part was a right-hand or left-hand part, one of the tools would be expected to fail every time. This situation would result in the job failing every time, regardless of which side of the part was identified, were the checkbox checked.

Closed Execution Time (ms)

Displays the amount of time, in milliseconds, that the tool took to perform its inspection. This time may vary, depending upon the complexity of the scene in the image, as well as the position of the feature within the image, and the amount of variance allowed in the parameters.

Closed Description

A comment that describes the purpose of the tool (by default, the field is blank). Up to 255 alpha-numeric characters or 127 Asian language characters may be used.


Color Identification Tool - Settings Tab

Closed Train Color

Launches the MatchColor Training dialog; used to define the selected Color Library's Color(s).

Closed Color Library

Defines the Color Library that will be referenced by the tool. From the drop-down list, select the Color Library that you want to modify and then press the Train Color button to launch the MatchColor Training dialog. EasyBuilder jobs may contain 5 Match Color Libraries. Each Color Library may contain up to 100 distinct Colors, which are composed of RGB/HSI values of the object being inspected.

Closed Color Space

Defines which values the tool will use in its comparative calculation: RGB (default) or HSI. Each color pixel is composed of three separate components. These components are represented as combinations of red, green and blue (RGB), or hue, saturation and intensity (HSI). Both RGB and HSI convert each component of the pixel to a value between 0 and 255.

Closed Mode

Defines the operational mode of the tool: Identify (default) or Match.

  • Identify: Used when the colors in the image are unknown. The tool will determine which Color Model best matches the colors in the image, and order and rank the results based on their pixel counts, if there are multiple, active Color Models in the selected Color Library.
  • Match: Used to verify that an expected Color Model is present in the image. The tool will process the image and determine whether or not the colors in the image match those expected from the specified Color Model, in the Match Color parameter.
Closed Match Color

Defines the expected Color to be detected. This field is only enabled when the Mode parameter is set to Match. Enter the name of the Color that you expect to detect in the field.

Closed Accept Threshold

Defines the degree of similarity that must exist between the Color and the found Color (0-100; default = 90).

Closed Result

Displays the name of the found Color.


Color Identification Tool - Table Tab

The Table tab displays a read-only list of found Color(s), sorted by their rank and score for the 10 best matches.

Closed Rank

Displays a numeric ranking of the Color(s) best matching the inspection criteria, from 1 to 10.

Closed Color Name

Displays the name of the found Color(s).

Closed Score

Displays the score of the found Color.


Color Identification Tool - Color Library Tab

Closed Color Name

Displays a read-only list of the Color(s) in the selected Match Color Library. The Color(s) are activated or de-activated by checking or unchecking the checkbox beside the Color's Name.

Note: By default, any pre-existing Color(s) in a Match Color Library are automatically activated (checked) when a tool is first added. The Color(s) must be manually de-activated (unchecked) for each tool that references the selected Color Library. If no Color(s) have been trained for the selected Color Library, this list will be empty.
Closed RGB

Displays a read-only list of the mean RGB values of the Color(s) in the selected Match Color Library.

Closed HSI

Displays a read-only list of the mean HSI values of the Color(s) in the selected Match Color Library.


Color Identification Tool - Composite Region Tab

The Composite Region tab is used to configure a composite region, a collection of sub-regions (Rectangle, Annulus, Circle or Polygon) that either Add to the region (the region will be included in the image analysis) or Subtract from the region (the region will be excluded from the image analysis; also known as "masking").

Note:
  • A maximum of 32 sub-regions can be used to construct a composite region.
  • A right-click menu is available while interacting with the region in the image, which allows you to change a selected sub-region's shape, add or remove a sub-region, or change a selected sub-region's Operation (Add or Subtract).

Closed Composite Region Table

Displays the type of sub-region(s) that comprise the composite region, as well as its Operation (Add or Subtract). Select a sub-region to enable the Delete, Move Up or Move Down buttons. Pressing the Delete button removes the selected sub-region from the list; pressing the Move Up button moves the selected sub-region up in the list; and pressing the Move Down button moves the selected sub-region down in the list.

Note:

The composite region is built based upon its sequence of sub-regions within the list. By placing sub-regions, and their Add or Subtract Operation, in a specific order, parts of the image may be highlighted while ignoring other areas. The image below shows an example of how to correctly order the sub-regions to exclude part of the image while focusing on other areas. In the first set, a Rectangle with an Add Operation is configured, and then a Circle, with a Subtract Operation, is set in the middle. Then a smaller Rectangle, with an Add Operation, is configured in the middle of the Circle. The Circle excludes part of the image, while the smaller Rectangle adds part of the image area back to the image analysis. In the second set, the smaller Rectangle is added before the Circle, and the Circle masks the smaller Rectangle, excluding it from the image analysis.

Closed Shape

Displays the shape of selected sub-region (Rectangle, Circle, Annulus or Polygon). To change the shape, select the desired region type from the drop-down menu.

Closed Operation

Defines the selected sub-region's action within the region: Add or Subtract. Add indicates that the sub-region will be included in the image analysis while Subtract indicates that the sub-region will be excluded from the image analysis (also known as "masking").

Closed Rectangle

Inserts a rectangle sub-region into the composite region. Configure the shape and size of the region as needed.

Closed Annulus

Inserts an annulus sub-region into the composite region. Configure the shape and size of the region as needed.

Closed Circle

Inserts a circle sub-region into the composite region. Configure the shape and size of the region as needed.

Closed Polygon

Inserts a polygon sub-region into the composite region. Configure the shape and size of the region as needed.


Identification Tools - Read Postal Code

The Read Postal Code Identification Tool decodes and/or verifies a single Postal Stacked Symbol within a region using the ReadIDMax® algorithm. The tool reports the information that was decoded and a Pass if the code/symbol was correctly decoded and the code/symbol was within the specified threshold limits.

Setting Up the Tool

Adjusting the Tool Parameters


Setting Up the Read Postal Code Identification Tool

Once the tool has been added, you will need to configure the region in the image:

  1. Position the region over the code/symbol, and make sure that the boundaries of the region encompass all of the code/symbol. To help speed up the performance of the tool, try and create smaller regions; larger regions take longer to inspect.

  2. Press the OK button to confirm the region (press the Cancel button to not add the tool to the job).

  3. Once the region has been confirmed, you will need to define parameters in the Settings tab: The Mode parameter, which defines how the tool will operate: Read or Match String (by default, the Mode is set to Read).
  4. The tool will draw a non-editable bounding box around the decoded code/symbol, and insert a [image] icon to indicate the fixture created from the decoded code/symbol.
  5. With the tool initially configured, load several images and adjust the tool's parameters, as needed, to compensate for your expected ranges of variations.
  6. Finally, if desired, use the tool's Input/Output properties to share tool data between other tools and/or other external devices.


Adjusting the Read Postal Code Identification Tool Parameters

After the tool’s region has been positioned, you can optimize the tool for your application.

The settings pane of the Read Postal Code Identification Tool consists of the following tabs:

  • General Tab
  • Settings Tab
  • Postal Tab
  • Results Tab
Tip: Test your job, using TestRun. TestRun performs tests on the In-Sight vision system and compares the results of those tests against expected values. This will allow you to see whether or not the job is behaving as expected, or if you will need to adjust certain parameters for allowable variances.

General Tab

Settings Tab

Postal Tab

Results Tab


Read Postal Code Identification Tool - General Tab

Closed Tool Name

Defines the name of your inspection tool, which will be utilized in configuring the results Inputs/Outputs and Communication); the default name is “IDCode_1” (if it is the first Read 1D Code, Read 1D Codes (1-20), Read 2D Code, Read 2D Codes (1-20) or Read Postal Code Identification Tool added to the job, otherwise it will be incremented, e.g. “IDCode_2”, “IDCode_3”, etc.). Customize your tool by giving it a name that is associated with your particular application.

Closed Tool Image

Defines which image the tool will utilize to perform its inspection; the unfiltered, acquired image (the default setting), or the output image of an Image Filter Tool. This control is only enabled if an Image Filter Tool has been added.

Closed Tool Fixture

Defines a fixture for the tool. This control is only enabled if another tool that defines a fixture has already been added.

Closed Tool Enabled

Defines when and whether or not the inspection tool should run (default setting is “On”). Select “Off” if you want to disable the tool; select "Expression" if you want to tie the tool's execution to the result of an Expression (this control is only enabled for tool's that provide an Expression parameter); or select an “Input” if you want the tool tied to a specific discrete input line, where it can be turned On or Off (a High signal, 1, is On, a Low signal, 0, is Off). Tying the tool to an input allows a control system, such as a PLC, to determine which tools should run.

Closed Include in Job Pass

Defines whether or not the tool's pass/failure status should be included in the job's overall pass/fail status; by default, it is checked and will be included in the job's overall pass/fail status. Uncheck the check box to keep the tool's pass/failure status separate from the other tools in the job. This control should be unchecked if a tool is expected to fail; for example, if two PatMax Patterns Identification Tools were being used to determine whether or not the part was a right-hand or left-hand part, one of the tools would be expected to fail every time. This situation would result in the job failing every time, regardless of which side of the part was identified, were the checkbox checked.

Closed Execution Time (ms)

Displays the amount of time, in milliseconds, that the tool took to perform its inspection. This time may vary, depending upon the complexity of the scene in the image, as well as the position of the feature within the image, and the amount of variance allowed in the parameters.

Closed Description

A comment that describes the purpose of the tool (by default, the field is blank). Up to 255 alpha-numeric characters or 127 Asian language characters may be used.


Read Postal Code Identification Tool - Settings Tab

Closed Trained

Displays whether or not the tool has been trained on a particular code/symbol; displays a 1 when the tool has been trained, and a 0 if it has not been trained.

Closed Train

Trains a model of the code/symbol read; trained information is retained until the Untrain button is pressed. To retrain a code/symbol, press the Untrain button, then press the Train button with the new code/symbol present. Training is used to help the speed and performance of the tool, by teaching the tool which type of code/symbol to decode. When using either the Read 1D Codes (1-20) Identification Tool or Read 2D Codes (1-20) Identification Tool and training, configure the region around a single code/symbol before pressing the Train button. Once the code/symbol has been trained, you can adjust the region to search more of the Field of View (FOV) for multiple codes/symbols. Training only works with a single code/symbol in the region; if you press the Train button with multiple codes/symbols in the region, there is no way to dictate which code/symbol will be trained. Before training, ensure that the correct code types are selected in the Postal tab.

Closed Untrain

Undoes the training of a trained model code/symbol. To retrain a symbol, press the Untrain button, then press the Train button with the new code present.

Closed Mode

Defines the operational mode (Read or Match String; default = Read) of the tool.

  • Read = Used when the information in the code/symbol is unknown. The tool will automatically decode the information contained in the code/symbol, and display the decoded information in the String parameter.
  • Match String = Used to verify that a known code/symbol is present and readable. The tool will decode the information contained in codes/symbols and compare the decoded information against the information you entered in the Match String parameter.
Closed Match String

Defines the expected string to be read (only enabled when the Mode parameter is set to Match String). Enter the information that you expect the tool to decode.

Note: The match string can be input from another device. When you run the job, the identification tool can read the text string from your input device and compare it to the recognized ID code/symbol. The tool will result in a Fail and the Match String field will display TRIG until the Match String is input from the external device.
Closed Match Mode

Defines whether or not all of the decoded codes/symbols in the region should match the string defined in the Match String parameter to pass. The Match String parameter must be configured to enable this option.

  • All Match = All of the decoded codes/symbols must match the string defined in the Match String parameter.
  • Any Match = At least one of the decoded codes/symbols must match the string defined in the Match String parameter.
Closed Verify

Defines whether or not the print quality tests will be performed (by default, this setting is disabled). For more information, see ID.

Closed Timeout

Defines the amount of time, in milliseconds (0 - 30000;default = 0), that the tool will search for a valid code/symbol before execution is stopped and the tool results in a Fail.

Closed Omnidirectional

Defines whether or not the tool will attempt to find the barcode using the omnidirectional mode (by default, this setting is disabled). This setting specifies the direction in which scan lines (for 1D symbols, the barcode is divided into a maximum of 10 equally spaced lines, referred to as scan lines, which run perpendicular to the direction of the bars) are projected within the region, in order to detect all of the elements in the barcode. At least one scan line must project across every element of the barcode for a successful decode. When disabled, the scan lines are projected in one direction to detect a barcode parallel to the region. When enabled, scan lines are projected at various angles to detect a barcode that is rotated, relative to the region.


Read Postal Code Identification Tool - Postal Tab

This tab defines which codes/symbols to attempt to decode. By default, all code/symbol types are enabled. Multiple symbologies can be selected and read.

Closed POSTNET

Defines whether or not the tool will attempt POSTNET reading.

Closed PLANET

Defines whether or not the tool will attempt PLANET reading.

Closed Japan Post

Defines whether or not the tool will attempt Japan Post reading.

Closed Australia Post

Defines whether or not the tool will attempt Australia Post reading.

Closed UPU

Defines whether or not the tool will attempt UPU reading.

Closed Intelligent Mail Barcode

Defines whether or not the tool will attempt Intelligent Mail Barcode reading.


Read Postal Code Identification Tool - Results Tab

The Results tab displays the following information about the decoded code/symbol:

Closed String

Returns the string contained in the decoded code/symbol.

Closed Symbology

Returns the type of symbology that was decoded.

Closed Grade

Returns the grade given to the decoded code/symbol.


Identification Tools - Read Text (OCRMax)

The Read Text (OCRMax) Identification Tool is used to read and/or verify a text string within a region, after training and creating user-defined character fonts.

The Read Text (OCRMax) Identification Tool performs Optical Character Recognition (OCR) through a process of segmentation and classification. Segmentation occurs first and uses threshold techniques to identify the areas of the image that appear to contain lines of text. After the text has been segmented into characters, the characters are trained and stored as a font database. Classification occurs during run-time, and is responsible for “reading” any text found after the function performs segmentation. This is done by comparing the images of the segmented characters to the trained characters in the font.

Setting Up the Tool

Adjusting the Tool Parameters


Setting Up the Read Text (OCRMax) Identification Tool

The operation of the Read Text (OCRMax) Identification Tool involves two phases: train-time and run-time.

  • Train-time involves loading multiple images of the characters that will be read, extracting them from the image, segmenting them and creating a trained font database of characters.
  • Run-time involves placing the In-Sight vision system Online, acquiring images and extracting and classifying characters based on the trained font database.
Note: Before beginning to set up the tool, load the training images. When training a font database, Cognex recommends beginning the process with images that best represent how the characters should look (i.e. use your best images first), working from best to worst.
Closed Training the Read Text (OCRMax) Identification Tool
  1. Load the first training image.
  2. Add the Read Text (OCRMax) Identification Tool to the job.
  3. Once the tool has been added, you will need to configure the region in the image. Position the tool’s region over the line of text to be read:
  • The X-axis of the region should be parallel to the baseline of the text, and the Y-axis should be parallel to the vertical strokes of the characters; if there is no skew, the Y-axis is perpendicular to the X-axis.
  • The positive direction of the X-axis corresponds to the reading direction.
  • The region should only contain one line of text to be read, and some surrounding background. The background can be noisy and have significant background gradients/shading.
  • In images with text that are clearly printed and have little noise, the region may be significantly larger than the line of text.
  • For noisy images, the region should be relatively tight around the line of text.

  • As an approximate rule of thumb, the region should be larger than the line of text by at least half a character width on all sides, if possible (i.e. unless a border that large would cause other features to be enclosed within the region).

Note:
  • The baseline of the text may have any angle (0-360) in the image, as long as the region is oriented at approximately the same angle.
  • The region shouldn’t contain any other significant features in the image, other than the line of text. For example, the region shouldn’t partially enclose a different line of nearby text, or the edge of a label.
  • If the region is curved, the tool will automatically unwrap the image into a straightened output region with a label "Curved Region Position," which may be re-positioned in the image, for display purposes.

  4. The tool will automatically create character regions around the “text” that the tool determines to be characters, based on the default settings in the Segmentation tab.

  5. If the function has not correctly drawn the character regions around the text, there are two options:
    • Use the Auto-Tune dialog and allow the Read Text (OCRMax) Identification Tool to automatically calculate the optimal segmentation settings. The Auto-Tune dialog combines the segmentation and training phases into one step. Follow the instructions in the Auto-Tune dialog topic to successfully segment and train a font database.

    • Go to the Segmentation tab and adjust the parameters until the text is correctly enclosed within individual character regions. Follow the Segmentation Process to successfully segment all of the characters in the image database prior to training.

    Note:
    • For noisy images and hard to read text, the Advanced tab parameters may be helpful in compensating for the difficult conditions.
    • If there are spaces between characters, go to the Spaces tab and adjust the parameters to compensate for the spaces.
Closed Manually Training the Read Text (OCRMax) Identification Tool After Segmentation

Once the text has been segmented, the characters are ready to be trained and added to the font. First, select a font database by going to the Settings tab and selecting a font from the Font Library parameter.

  • If creating a new Custom font, go to the Training tab and enter the exact text string to be trained, and then press the Train All button. The characters will be added and stored in the selected Customfont.

    To add additional characters to an existing Custom font, acquire or load another image containing the characters to be trained. If necessary, reconfigure the region and Segmentation parameters to ensure that the characters are properly segmented, and then press either the Train New or Train Selected buttons in the Training tab.

    Note: A Custom font may be exported or imported as an OCRMax data file (*.ocm), from theTraining tab.
  • If using a pre-defined OCRA or OCRB font, simply position the tool’s region over the text to be read, and the tool will automatically segment the characters in the region, based on the defined Segmentation and Advanced parameter settings.
Note: The pre-defined OCRA or OCRB fonts cannot be edited.
Closed Run-Time Operation

Once the tool has a trained font database, the tool is ready for run-time operation.

  1. Set the tool's run-time Inspection Mode, which determines if the tool will simply read text within its region, or if it will read and verify that the correct string was read.
  2. During run-time, the In-Sight vision system will be placed Online and acquire images as defined by the job. When an image is acquired, the text string in the image will be automatically segmented based on the Segmentation parameters, and the characters will be compared against the trained instances of the characters.


Adjusting the Read Text (OCRMax) Identification Tool Parameters

After the tool’s region has been positioned, you can optimize the tool for your application.

The settings pane of the Read Text (OCRMax) Identification Tool consists of the following tabs:

  • General Tab
  • Settings Tab
  • Segmentation Tab
  • Advanced Tab
  • Spaces Tab
  • Variable Length Tab
  • Training Tab
  • Fielding Tab
  • Diagnostics Tab
  • Results Tab
Tip: Test your job, using TestRun. TestRun performs tests on the In-Sight vision system and compares the results of those tests against expected values. This will allow you to see whether or not the job is behaving as expected, or if you will need to adjust certain parameters for allowable variances.

General Tab

Settings Tab

Segmentation Tab

Advanced Tab

Spaces Tab

Variable Length Tab

Training Tab

Fielding Tab

Diagnostics Tab

Results Tab


Read Text (OCRMax) Identification Tool - General Tab

Closed Tool Name

Defines the name of your inspection tool, which will be utilized in configuring the results (Inputs/Outputs and Communication); the default name is “Text_1” (if it is the first Read Text (OCRMax) Identification Tool added to the job, otherwise it will be incremented, e.g. “Text_2”, “Text_3”, etc.). Customize your tool by giving it a name that is associated with your particular application.

Closed Tool Image

Defines which image the tool will utilize to perform its inspection; the unfiltered, acquired image (the default setting), or the output image of an Image Filter Tool. This control is only enabled if an Image Filter Tool has been added.

Closed Tool Fixture

Defines a fixture for the tool. This control is only enabled if another tool that defines a fixture has already been added.

Closed Tool Enabled

Defines when and whether or not the inspection tool should run (default setting is “On”). Select “Off” if you want to disable the tool; select "Expression" if you want to tie the tool's execution to the result of an Expression (this control is only enabled for tool's that provide an Expression parameter); or select an “Input” if you want the tool tied to a specific discrete input line, where it can be turned On or Off (a High signal, 1, is On, a Low signal, 0, is Off). Tying the tool to an input allows a control system, such as a PLC, to determine which tools should run.

Closed Include in Job Pass

Defines whether or not the tool's pass/failure status should be included in the job's overall pass/fail status; by default, it is checked and will be included in the job's overall pass/fail status. Uncheck the check box to keep the tool's pass/failure status separate from the other tools in the job. This control should be unchecked if a tool is expected to fail; for example, if two PatMax Patterns Identification Tools were being used to determine whether or not the part was a right-hand or left-hand part, one of the tools would be expected to fail every time. This situation would result in the job failing every time, regardless of which side of the part was identified, were the checkbox checked.

Closed Execution Time (ms)

Displays the amount of time, in milliseconds, that the tool took to perform its inspection. This time may vary, depending upon the complexity of the scene in the image, as well as the position of the feature within the image, and the amount of variance allowed in the parameters.

Closed Description

A comment that describes the purpose of the tool (by default, the field is blank). Up to 255 alpha-numeric characters or 127 Asian language characters may be used.


Read Text (OCRMax) Identification Tool - Settings Tab

Closed Font Library

Defines a font database reference for the tool. Select from four predefined fonts (OCRA or OCRB, either white-on-black or black-on-white), or create a Custom font database by training characters (up to eight Custom font databases may be created per job).

Note: The four OCRA and OCRB fonts are read-only, and may not be re-trained, cleared or renamed.
  • When selecting one of the pre-defined fonts, simply position the tool’s region over the text to be read, and the tool will automatically segment the characters in the region.
  • When selecting a Custom font, follow the steps outlined in the Setting Up the Read Text (OCRMax) Identification Tool topic when first building the Custom font database. If an existing Custom font is modified, any other Read Text (OCRMax) tools that are using the same Custom font, will be affected, as well.
Closed Inspection Mode

Defines the operational mode of the tool: Read (default) or Read/Verify.

  • Read: The tool will attempt to read the characters in the region, based on trained instances of the characters.
  • Read/Verify: The tool will attempt to first read the characters in the region, based on trained instances of the characters, and then verify that the read characters correspond to the text string specified in the Match String parameter.
Closed Match String

Defines the text string that must be correctly matched when in Read/Verify Inspection Mode.

Closed Accept Threshold

Defines the minimum acceptable match score (0 to 100; default = 80) for each character. Any character with a match score below the Accept Threshold will fail.

Closed Confusion Threshold

Defines the minimum difference required between the match scores of the highest scoring character and the second highest scoring character (0 to 40; default = 0).

Closed Use Subsampling

Defines whether or not to enable image subsampling, which decreases character resolution to increase the reading speed of the function.

Closed Timeout

Defines the amount of time, in milliseconds (0 to 30000; default = 5000), that the tool will search for characters before execution is halted and it reports a Fail. Setting the value to 0 will disable the setting and a timeout will not be applied.

Closed Show Characters

Defines whether or not the characters and their character regions will be displayed in the other Application Steps, or just in the Locate Part and Inspect Part steps (by default, this setting is enabled).

Closed Character Label Position

Defines where the character labels will be positioned, in relation to the character region: Above Character (default), Right of Character, Below Character or Left of Character.


Read Text (OCRMax) Identification Tool - Segmentation Tab

The Segmentation tab is used to adjust and modify the settings that segment characters in the region. Typically, the default values and settings will read most text, however, in more challenging cases, some parameter values may need to be adjusted. In these types of cases, specifying a minimum character width, a maximum width and/or a minimum pitch (i.e. the character-to-character distance; for example, from the left edge of one character to the left edge of the one after it) will typically address the issues. For difficult cases, and to help speed the creation of the font database, use the Auto-Tune button to launch the Auto-Tune dialog and allow the tool to automatically calculate the optimal segmentation settings.

Closed Segmentation Guidelines
  • Images that contain backgrounds with strong textures and/or so much noise that the characters blend into the background will be difficult to segment.
  • The region should only contain the characters to be read, and not any extraneous strong features, such as other characters or label edges.
  • In instances where two characters touch, most likely, parameters will need to be adjusted. Fixed-width touching characters can be compensated for by specifying the character width; however, proportional fonts with touching characters are problematic, with the function correctly processing some cases, but not others.
  • In cases involving short lines of text (for example, three or fewer characters) or relatively short lines with a lot of line jitter, specifying the expected Angle Range should help the function properly compensate for the inherent uncertainty in determining the orientation of a short line of text.
  • All the characters in a line of characters must have the same orientation and skew.
  • For well-separated dot-matrix print (e.g. where the dots are not touching), adjusting parameters such as the Minimum Character Fragment Size may be necessary to properly segment the characters.
  • Character stroke width must be greater than or equal to two pixels.
  • The minimum character size for large characters (typically alphanumeric) is 8 x 8 pixels. The minimum character size for small characters (such as periods) is 2 x 2 pixels.
Closed Auto-Tune

Launches the Auto-Tune dialog, which is used in conjunction with the Read Text (OCRMax) Identification Tool to configure the segmentation parameters of the tool, and train a font database, through the construction of Auto-Tune Records to create an Auto-Tune Model. An Auto-Tune Record consists of an image, the training string and the user-verified location of the characters within the image. The Auto-Tune Model consists of one or more Auto-Tune Records, plus the settings that best segments all of the images within the Auto-Tune Records.

Note:
  • Cognex recommends that when using the Auto-Tune dialog, the segmentation tuning be performed on an In-Sight Emulator instead of an In-Sight vision system. The Read Text (OCRMax) tool's Auto-Tune algorithm requires a large amount of computational resources, and performance will be better on the Emulator versus a vision system.
  • When training a font database and using the Auto-Tune dialog to segment the characters, Cognex recommends beginning the process with images that best represent how the characters should look (i.e. use your best images first), working from best to worst. This will allow the Read Text (OCRMax) tool's Auto-Tune algorithm to tune more successfully.
Closed Character Polarity

Defines the polarity of the characters in the input image: Black on White, White on Black or Auto (default).

Note: To improve the performance of the tool, define the polarity of the text.
  • Black on White: The polarity of the text is black text on a white background.
  • White on Black: The polarity of the text is white text on a black background.
  • Auto: The tool will automatically determine the polarity of the text and background.
Closed Character Width Type

Defines how the widths of the characters in the font are expected to vary: Auto (default), Fixed or Variable.

Note: The character width is the width of the character rectangle, not the region.
  • Auto: The character width is unknown; the font may have either fixed or proportional width.
  • Fixed: All of the character rectangles in the font have the same width.
  • Variable: The characters in the font may have character rectangles with different widths.
Closed Minimum Character Width

Defines the minimum width of a character's character rectangle, in pixels (1 - 1000; default = 3), that a character must have to be reported.

Closed Minimum Character Height

Defines the minimum height of a character's character rectangle, in pixels (1 - 1000; default = 3), that a character must have to be reported.

Closed Use Maximum Character Width

Defines whether or not the tool should account for the maximum allowable width of a character's character rectangle (by default, the parameter is disabled).

Note: When enabled, a character wider than the specified value will be split into segments that are not too wide.
Closed Maximum Character Width

Defines the maximum width of a character's character rectangle, in pixels (1 - 5000; default = 100), that a character must have to be reported.

Closed Use Maximum Character Height

Defines whether or not the tool should account for the maximum allowable height of a character's character rectangle (by default, the parameter is disabled).

Note: This value is used in two ways: First, this value is used when finding the line, as a whole, e.g. to reject vertically adjacent noise, and/or other lines of vertically adjacent characters. Second, an individual character whose height exceeds this value will be trimmed to meet this height.
Closed Maximum Character Height

Defines the maximum height of a character's character rectangle, in pixels (1 - 5000; default = 100), that a character must have to be reported.

Closed Use Minimum Character Aspect Ratio

Defines whether or not the function will account for the minimum allowable aspect ratio of a character, where the aspect ratio is defined as the height of the entire line of characters, divided by the width of the character’s character rectangle (by default, this parameter is enabled).

Note: When enabled, a character whose aspect ratio is smaller than this value (i.e. whose width is too large) will be split into segments that are not too wide.
Closed Minimum Character Aspect Ratio

Defines the minimum allowable aspect ratio (0-500; default = 80) of a character.

Closed Angle Range

Defines the angel search range (0 - 45; default = 0), in degrees.

Note: Any value above 0 will increase the execution time of the segmentation process.
Closed Skew Range

Defines the skew search range (0 - 45; default = 0), in degrees.

Note: Any value above 0 will increase the execution time of the segmentation process.
Closed Show Diagnostics

Defines whether or not to display graphical diagnostic data on the image. When enabled, Regions will be drawn around kept characters (green), rejected characters (red), kept fragments (cyan), rejected fragments (yellow), the mainline of the text (blue) and the extended mainline of the text (magenta).


Read Text (OCRMax) Identification Tool - Advanced Tab

Closed Character Fragment Merge Mode

Defines how the tool should merge character fragments when forming characters during segmentation: Require Overlap (default), Set Min Inter-Character Gap or Set Min Inter-Character Gap/Max Intra-Character Gap.

  • Require Overlap: Character fragments must overlap horizontally by at least one pixel to be merged.
  • Set Min Inter-Character Gap: Character fragments with a horizontal gap between them may be merged to form characters, where any two fragments with a gap less than the value defined in the Min Inter-Character Gap parameter will be merged.
  • Set Min Inter-Character Gap/Max Intra-Character Gap: Character fragments with a horizontal gap between them may be merged to form characters, with the decision to merge two fragments based on the values defined in the Min Inter-Character Gap and Max Intra-Character Gap parameters.
Closed Minimum Character Fragment Overlap

Defines the minimum fraction (0 - 100; default = 0) by which two character fragments must overlap each other in the X direction, in order for the two fragments to be considered as part of the same character.

Closed Max Intra-Character Gap

Defines the maximum gap size, in pixels (0 - 1000; default = 5), that can occur within a single character, even for damaged characters.

Closed Min Inter-Character Gap

Defines the minimum gap size, in pixels (0 - 1000; default = 0), that can occur between two characters. The gap is measured from the right edge of the character rectangle of one character, to the left edge of the character rectangle of the next character. If the gap between two fragments is smaller than this value, then the fragments must be considered to be part of the same character, unless the combined character would be too wide (as specified by the Maximum Character Width and/or Minimum Character Aspect Ratio parameters).

Closed Minimum Character Fragment Size

Defines the minimum number of foreground (i.e. text) pixels (0 - 1000; default = 15) that a fragment must have in order to be considered for possible inclusion in a character. A character fragment is a blob in the binarized image.

Closed Minimum Character Size

Defines the minimum number of foreground (i.e. text) pixels (0 - 5000; default = 30) that a character must have in order to be reported.

Closed Normalization Mode

Defines the mode used to normalize the image: None, Global, Local or Local Advanced (default).

Note: This setting should be the same for both training and run-time; changing this setting after training may cause classification issues.
  • None: No normalization will be performed.
  • Global: A global normalization is performed, using information in the whole region, not local variations.
  • Local: A local normalization is performed, using information about each local character rectangle in the region to normalize the image.
  • Local Advanced: A local normalization is performed, using information about each local character rectangle in the region to normalize the image, including adjustments for not only the background, but also the contrast of the foreground.
Closed Use Stroke Width Filter

Defines whether or not to remove from a normalized image everything that does not have the same stroke width as the as the rest of the image (by default, this setting is enabled). This setting is helpful if, for example, characters appear to be connected to each other by thin noise streaks. However, using this setting may also incorrectly remove real characters, if their stroke widths are inconsistent.

Note: This setting should be the same for both training and run-time; changing this setting after training may cause classification issues.
Closed Ignore Border Fragments

Defines whether or not the function will completely ignore any fragments that touch any border of the region (by default, this setting is disabled). Ignoring such fragments can be useful for non-text features, such as the edges of labels, that might be included within the region.

Note: If a fragment extends from the border of the character rectangle to the mainline of the text, the fragment will be considered to be a character. The fragment must not extend into the mainline of the text to be excluded when this parameter is enabled.
Closed Binarization Threshold

Defines a percentage modifier (0 - 100; default = 50) in the range that is used to compute the binarization threshold, in the normalized image, that binarizes the image between foreground and background.

Closed Character Fragment Contrast Threshold

Defines the minimum amount of contrast [in normalized image grayscale levels (0 - 255; default = 30)] that a fragment must have, relative to the Binarization Threshold, in order to be considered for possible inclusion in a character.

Closed Maximum Fragment Distance To Mainline

Defines the distance, in pixels (0 - 1000; default = 0), that a fragment may be removed from the "mainline" running horizontally through the text.

Closed Segmentation Analysis Mode

Defines the type of character analysis mode to perform to determine the optimal character segmentation: Minimal or Standard (default).

  • Minimal: Performs straightforward segmentation, according to the Segmentation parameters.
  • Standard: Performs an analysis of the line as a whole, including character spacing, to determine the optimal segmentation.
Closed Minimum Pitch

Defines the minimum pitch, in pixels (0 - 1000; default = 0), that can occur between two characters, where the pitch is computed based on the Character Pitch Position parameter. If the pitch between two fragments is smaller than this, then they must be considered to be part of the same character, unless the combined character would be too wide (as specified by the Maximum Character Width and/or Minimum Character Aspect Ratio parameters). Pitch is defined as the distance between (approximately) corresponding points on adjacent characters, and not the distance from the end of one character to the beginning of the next character (which is called the inter-character gap).

Closed Character Pitch Position

Defines how the pitch between characters will be measured: Auto (default), Left-To-Left, Center-To-Center or Right-To-Right.

Note:
  • If the Segmentation Analysis Mode parameter is set to Minimal, this parameter will be disabled.
  • The terms "left" and "right" are relative to the coordinate axis defined by the region, i.e. "right" is equal to the positive X direction.
  • Auto: Specifies that an unknown metric is being used; the appropriate pitch may be any of the other pitch positions, or else there is not a constant pitch position (as may be the case for a proportional-pitch font).
  • Left-To-Left: Specifies that pitch is measured as the distance from the left-side of a character's character rectangle to the left-side of the adjacent character's character rectangle.
  • Center-To-Center: Specifies that pitch is measured as the distance from the center of a character's character rectangle to the center of the adjacent character's character rectangle.
  • Right-To-Right: Specifies that pitch is measured as the distance from the right-side of a character's character rectangle to the right-side of the adjacent character's character rectangle.
Closed Character Pitch Type

Defines the metric used to define the spacing of characters: Auto (default), Fixed, Proportional or Variable.

Note: If the Segmentation Analysis Mode parameter is set to Minimal, this parameter will be disabled.
  • Auto: Specifies that pitch type is unknown, but the pitch type is expected to be either fixed or proportional, and not variable.
  • Fixed: Specifies that pitch is fixed, which means that the pitch between any pair of characters is constant, e.g. regardless of the width of the character rectangles of the characters. The pitch is measured based on the Character Pitch Position parameter.

  • Proportional: Specifies that the pitch is proportional, which means that the pitch between any pair of characters depends on the particular characters.

    Note:
    • Although no pitch measurement is constant throughout a string, typically the inter-character gap, which is the distance from the right-side of one character's character rectangle to the left-side of the adjacent character's character rectangle, is approximately constant.
    • The terms "left" and "right" are relative to the coordinate axis defined by the region, i.e. "right" is equal to the positive X direction.

  • Variable: Specifies that no character-to-character distance metric is consistent throughout a string, e.g. character placement is erratic, and the pitch is neither fixed nor proportional.

    Note: Variable pitch is different from Auto, since Auto assumes that the pitch is either fixed or proportional, but which is not known.
Closed Skip Additional Character Validation

Defines whether or not the tool will perform additional character validation during classification (by default, this parameter is disabled). When off, the tool will perform additional character validation during classification; which reduces the chances for misreads (i.e. false acceptance of a character).

Closed Output Image Graphic

Defines the type of output image that should be displayed: Input Image (default), Normalized Image or Binarized Image.

  • Input Image: The active input image will be displayed.
  • Normalized Image: The normalized version of the image will be displayed.
  • Binarized Image: The binarized version of the image will be displayed.


Read Text (OCRMax) Identification Tool - Spaces Tab

The Spaces tab is used to specify how the tool will account for spaces between characters, if necessary. The Read Text (OCRMax) Identification Tool processes inter-character gaps by classifying them as space characters, and these are user-defined.

Closed Find Spaces

Defines how the tool will handle the insertion of space characters into gaps between other characters: None (default), Insert Single Space or Insert Multiple Spaces.

  • None: The tool will never insert a space character, regardless how large the inter-character gap between characters.
  • Insert Single Space: The tool will insert a single space character per inter-character gap, regardless how large the inter-character gap between characters.
  • Insert Multiple Spaces: The tool will insert x-number (zero or more) of space characters per inter-character gap.
Closed Space Score Mode

Defines how the function will calculate scores for spaces: Always Score 100 (default) or Score Based on Clutter.

  • Always Score 100: Space characters will always receive a score of 100.
  • Score Based on Clutter: The score of a space character is based on the fraction of pixels that are background; a space character that consists entirely of background pixels will receive a score of 100.
Closed Space Minimum Width

Defines the minimum width of a space character, in pixels (0 - 1000; default = 10).

Closed Space Maximum Width

Defines the maximum width of a space character, in pixels (0 - 1000; default = 100).


Read Text (OCRMax) Identification Tool - Variable Length Tab

The Variable Length tab is used to provide information about what characters are expected at different positions in the string.

Note: These parameters are only used when the Fielding tab parameters have been enabled and configured.
Closed String Length

Defines whether or not fielding will be run in fixed-length (default) or variable-length mode.

  • Variable: The tool will operate in variable-length mode.
  • Fixed: The tool will operate in fixed-length mode.
Closed Maximum String Length

Defines the maximum acceptable string length (0 - 100; default = 15).

Note: This parameter is disabled if the String Length parameter is set to Fixed.
Closed Minimum String Length

Defines the minimum acceptable string length (0 - 100; default = 5).

Note: This parameter is disabled if the String Length parameter is set to Fixed.
Closed Maximum Last Fielded Index

Defines the fielding subsequences to be considered, which must start at a position that is no greater than this index value (0 - 100; default = 100).

Note: This parameter is disabled if the String Length parameter is set to Fixed.
Closed Minimum First Fielded Index

Defines the fielding subsequences to be considered, which must end at a position that is no smaller than this index value (0 - 100; default = 0).

Note: This parameter is disabled if the String Length parameter is set to Fixed.


Read Text (OCRMax) Identification Tool - Training Tab

The Training tab is used to train, view, rename and remove characters. The tab is divided into two groups, Training, where the character training parameters are defined, and Characters, where the trained fonts are managed.

Note:
  • While in the Training tab, the region can be adjusted and the segmentation graphics (character rectangles) will be updated as the region is modified.
  • Multiple-byte character names (e.g. Kanji) are not supported. Multiple-byte characters can be trained, but the name given to the character must be a single byte name.
Closed Training controls
Note: Before characters can be trained, they must be correctly segmented.
  • Train String: Specifies the text string to be trained. The number of characters in the Train String text entry box must match the number of segmented characters. A maximum of 50 characters may be trained.
  • Train All: Specifies that all of the characters in the region will be trained. The characters expected to be trained are entered into the Train String text entry box, before the Train All button is pressed. The number of characters in the Train String text entry box must match the number of segmented characters.
  • Train New: Specifies that only new characters in the region will be trained. The characters expected to be trained are entered into the Train String text entry box, before the Train button is pressed. The number of characters in the Train String text entry box must match the number of segmented characters.
  • Train Selected: Specifies that specific characters in the region will be trained. When this option is selected, the Train String text entry box will be disabled, and the Train Selected button will launch the Add Selected Characters to Font dialog. This dialog contains an unwrapped image of the region, with a label and text-entry boxes below each of the segmented characters. The label is the currently associated symbol for that character (a "?" denotes an unknown or untrained character). Below the label is a text-entry box. Enter a label for each segmented character in the text-entry box; leave the text-entry box empty to not retrain characters. Press the Train button to close the dialog.
Closed Characters controls

After training, each trained character will be visible in the tree, where the character will assigned a folder and label, and grouped together (if the characters have matching labels).

  • Select the root Font folder to display all of the characters in the font in the panel on the right-side. The characters will be displayed as icons with a label underneath.
  • Select a character folder to display all of the trained instances of that character in the panel on the right-side. The characters will be displayed as icons with a label underneath.

  • Select a trained instance of a character to display that character, zoomed to fit the panel on the right-side.

    Tip: Providing the tool with multiple training instances of each character to be read during run-time allows the function to better discriminate between similar character types. However, training multiple instances of the same characters has advantages and disadvantages. The advantage to training multiple instances is that better classification performance can be expected, especially when reading text that could easily be mis-classified (e.g. 8 and B). The disadvantages of training multiple instances are: a decrease in the function's execution time; possible decreases in the confidence scores, because multiple training instances should not only improve the highest score, but also improve the second-highest score, as well; and possibly training bad characters.
  • Import: Launches the Open dialog, where a font, saved as an OCRMax data file (*.ocm), may be imported. For more information, see Save & Open Dialogs.
  • Export: Launches the Save As dialog, where a font can be saved as an OCRMax data file (*.ocm). For more information, see Save & Open Dialogs.

  • Rename: Press after selecting an item to rename it. Any element in the tree or in the list panel on the right-side can be renamed.

    Note: Renaming a group of characters will assign a new label to all of the characters in the group. Renaming a single character will assign a new label to that single, selected character; the character will be moved to a new or different group in the tree.

  • Delete: Press after selecting an item to remove it from the font. Any element in the tree or in the list panel on the right-side can be renamed.

    Note: Deleting the Font folder will clear the font; all characters will be deleted. Deleting a group of characters will delete all of the characters whose label matched the deleted group's label.


Read Text (OCRMax) Identification Tool - Fielding Tab

The Fielding tab provides a graphical means of creating and editing the Field String and Field Definitions parameters of the Read Text (OCRMax) Identification Tool. The resulting values are inserted into the tool as literal strings.

Fielding provides the functionality to verify and correct strings, returning the set of best matching valid strings. There are two primary usages for fielding:

  • OCR result verification, where the string returned is determined to be correct or not based on the Field String and Field Definitions parameters.
  • OCR result correction, where the string returned is not among the list of acceptable results, and an attempt is made to find an acceptable string allowed by the field that is closest to the returned string.

A typical use-case for fielding is when the string contains prefix and/or suffix characters, and fielding is used to ignore those prefix/suffix characters. In this case, the Field String and Field Definitions determine the offset of the string position in the region.

Closed Fielding String

Specifies the number of characters contained in the character string. A Field String entry can be any alphanumeric character found in the text entry dialog, including (A to Z), (a to z), (0 to 9), dashes (-), dots (.), and spaces ( ).

Each character in the Field String corresponds to an indexed field position between 0 and 31. The Field String must contain at least the same number of positions as there are characters in the string for the read to pass (i.e. if there are 10 characters present, but the Field String only specifies 9 characters, the best matching 9 will be returned; however, if there are 8 characters present and the Field String defines 9 characters, the function will return #ERR). By default, each position in the Field String is represented as an asterisk (*) character, or alphanumeric "wildcard." This means that any character is valid at any position in the string.

However, an individual position in the Field String can be limited to consider only a subset of possible characters at that position. This increases overall performance and reliability because characters that are not possible at a position will not be considered during a read.

The pre-defined Field String entries are:

Field String Entry | Description | Valid Characters
* | Wildcard | Any trained character in the font.
N | Numeric | 0123456789
A | Uppercase alphabetical | ABCDEFGHIJKLMNOPQRSTUVWXYZ
a | Lowercase alphabetical | abcdefghijklmnopqrstuvwxyz
H | Hexadecimal, uppercase alphabetical and numerical | 0123456789ABCDEF
h | Hexadecimal, lowercase alphabetical and numerical | 0123456789abcdef
O | Octal | 01234567
Note:
  • To restrict a position in a Field String to a single character, simply enter that character. The character must have been trained in the font and cannot be one of the pre-defined Field String entries listed above, unless it has been remapped using the Field Definitions parameter.
  • To read a string containing a space, include the space in the Field String. ReadText will not read a space if the corresponding Field String entry in that position is an asterisk (*).
Closed Field String Example 1

If the Field String is **********AN, any character in the font is valid in the first 10 Field String positions. But in the 11th position, only uppercase alpha characters will be considered during the read. And in the 12th position, only numeric characters will be considered.

Closed Field String Example 2

The font contains only numeric characters 0-9 and /. If the Field String is NN/NN/NN, only numeric characters will be considered in the first and second, fourth and fifth, and seventh and eighth positions. Only the forward slash (/) character will be considered in the third and sixth positions.

But if the Field String is NN/NN/AA, the read would return #ERR because the font does not contain any alpha characters.

Closed Ignore Unfielded Characters

Defines whether or not, at each character position, to constrain the results to only include characters specified by the character's fielding. When enabled, all other characters in the font will be ignored, regardless of their classification score.

Closed Field Definitions

Optionally, the Field Definitions settings can be used to create user-defined entries for the Field String. When included in the Field String, these entries restrict the list of valid characters at the positions in which they are inserted. There are several pre-defined field definitions, and user-defined field definitions can be added. The pre-defined definitions are displayed in grey text and may not be deleted or edited, only enabled or disabled. User-defined definitions are displayed in black text, can be added, deleted or edited. To add a field definition, press the Add New button, assign an icon for the Character and then assign a definition to the Character.

Characters listed for a Field Definitions entry must be contained in the font. For example: #=123 is valid if 1, 2, and 3 are included in the user-trained font. However, #=123 would be invalid if 1, 2, and 3 are not included in the font.

Note: Using one of the predefined entries (*, A, a, N, H, h, O) in the Field Definitions parameter will remap the list of valid characters in the new definition.
Closed Field Definitions Example 1

If the value of Field Definitions is #=123;$=3456;%=789, and the Field String is #$%*******, then the only characters that will be valid in the first position will be 1, 2, or 3. The only valid characters in the second position will be 3, 4, 5, or 6. And in the third position, only 7, 8, or 9 will be valid. Any character in the font is valid in the fourth through tenth positions.

Closed Field Definitions Example 2

If the value of Field Definitions is #=123;$=3456;%=789, A=A, and the Field String is #$%******A, then the only characters that will be valid in the first position will be 1, 2, or 3. The only valid characters in the second position will be 3, 4, 5, or 6. And in the third position, only 7, 8, or 9 will be valid. Any character in the font is valid in the fourth through ninth positions. Only the A character will be considered in the tenth position because the Field Definition A=A remaps the predefined Field String entry.


Read Text (OCRMax) Identification Tool - Diagnostics Tab

The Diagnostics tab displays information about how the Read Text (OCRMax) tool segmented characters in the region. This data can be useful in determining which parameters to adjust, and how much, if characters and/or character fragments are not being correctly segmented. Use this tab in conjunction with the Show Diagnostics parameter for a graphic display of the diagnostic data.

Closed Mainline Angle

Displays the angular orientation measurement of the character regions, relative to the region, in degrees.

Closed Character Skew

Displays the angular skew measurement of the character regions, relative to the region, in degrees.

Closed Inter-Character Gap

Displays the minimum and maximum measured inter-character gap, in pixels.

Closed Intra-Character Gap

Displays the minimum and maximum measured intra-character gap, in pixels.

Closed Character Pitch

Displays the minimum and maximum pitch measurement of the characters, in pixels.

Closed Accepted Fragment Size

Displays the minimum and maximum measured size of the accepted fragments, in pixels.

Closed Accepted Fragment Contrast

Displays the minimum and maximum measured contrast of the accepted fragments, as a percentage.

Closed Accepted Fragment Distance to Mainline (%)

Displays the maximum Y distance of all the accepted fragments, as a percentage of the mainline height.

Closed Rejected Fragment Size

Displays the minimum and maximum measured size of the rejected fragments, in pixels.

Closed Rejected Fragment Contrast

Displays the minimum and maximum measured contrast of the rejected fragments, as a percentage.

Closed Rejected Fragment Distance to Mainline (%)

Displays the maximum Y distance of all the rejected fragments, as a percentage of the mainline height.

Closed Accepted Character Width

Displays the minimum and maximum measured width of the accepted characters, in pixels.

Closed Accepted Character Height

Displays the minimum and maximum measured height of the accepted characters, in pixels.

Closed Accepted Character Size

Displays the minimum and maximum measured size of the accepted characters, in pixels.

Closed Rejected Character Width

Displays the minimum and maximum measured width of the rejected characters, in pixels.

Note: If there are no rejected characters, #ERR will be displayed.
Closed Rejected Character Height

Displays the minimum and maximum measured height of the rejected characters, in pixels.

Note: If there are no rejected characters, #ERR will be displayed.
Closed Rejected Character Size

Displays the minimum and maximum measured size of the rejected characters, in pixels.

Note: If there are no rejected characters, #ERR will be displayed.


Read Text (OCRMax) Identification Tool - Results Tab

Closed Char

Displays the character read at that position.

Closed Status

Displays the status (Bad Read, Good Read, Ignored, Confused, Mismatch, Confused Mismatch, No Read or Validation Failed) of the read character.

  • Bad Read: No characters scored high enough above the Accept Threshold to be considered a good read.
  • Good Read: The tool successfully read the character at this position.
  • Ignored: When fielding is enabled, if a fielding string is specified and it is shorter than the string read by the function, the characters at the beginning or end of the string will be segmented (in yellow), but will not be included with the overall result. For example, if the fielding definition is ABC, and the string read by the function is "12ABC34", then "1234" will be ignored.
  • Confused: The tool identified a character that scored high enough to be a good read (above the Accept Threshold parameter value), however, a different a different character scored close enough to the same score (within the Confusion Threshold parameter value), such that the tool is not confident that it picked the correct character [Confused = (Primary Score - Secondary Score)/Confidence Threshold].
  • Mismatch: The tool found a character that does not match the fielding, which scored much higher than any characters that do not match the fielding. It is likely that a character that does not match the fielding was printed at this position. Fielding must be enabled to return this status.
  • Confused Mismatch: The function found a character that meets both the requirements of Confused and Mismatch.
  • Validation Failed: If the Skip Additional Character Validation parameter is disabled, the function will parse the characters through an additional validation step, to ensure that the function does not produce false reads.
Closed Score

Displays a score that measures how closely the read character matches the trained character in the font database.

Closed Confusion

Displays the next, best matching character.

Closed Confusion Score

Displays a measure of how certain the function is of the chosen match, when compared against the next, best match.


Identification Tools - Read Text

The Read Text Identification Tool is used read and/or verify alpha-numeric text strings, using trained character models.

Note: From In-Sight Explorer 4.7.0 and later, the Read Text Identification Tool is only available on In-Sight vision systems that do not support OCRMax, and is not available on In-Sight vision systems running In-Sight firmware 5.1.0 and later.

Setting Up the Tool

Adjusting the Tool Parameters


Setting Up the Read Text Identification Tool

Once the tool has been added, you will need to select the type of region and then configure it in the image:

  1. Position the region over the text and make sure that the boundaries of the region cover the text (see the Selecting Text to Read topic for more information). To help speed up the performance of the tool, try and create smaller regions; the larger the region, the longer it will take the tool to perform its inspection.
  2. Press the OK button to confirm the region (press the Cancel button to not add the tool to the job).
  3. After the region has been accepted, you will need to define the Mode of operation (Read, Verify or Read and Verify) choose the type of Font (OCR-A Black on White, OCR-A White on Black, OCR-B Black on White, OCR-B White on Black, or Custom), and specify the number of characters in the Field String or Match String parameter in the Settings tab, depending on the Mode.
    • If you selected Read as the Mode of operation, and an OCR-A or OCR-B as the Font type, specify the number of characters in the Field String parameter and press the Tune button to set the proper scale.

    • If you selected Verify or Read and Verify as the Mode of operation, and an OCR-A or OCR-B as the Font type, enter the characters in the Match String parameter and press the Tune button to set the proper scale.

      Note: If you are using any of the OCR-A or OCR-B Fonts, the characters in the image must be between 15 and 60 pixels high. Press the Tune button to properly scale your characters. If your characters are smaller than 15 pixels or larger than 60 pixels, you will need to create a Custom Font.
    • If you selected Custom for the Font type, first press the Train Font button and create a Font library. Once you have created your Font library, select your Mode of operation, and specify the number of characters in the Field String parameter for Read Mode, or enter the number of characters in the Match String parameter for Verify or Read and Verify Mode.
    • You can use up to four custom fonts (for example, "Custom_1," "Custom_2," "Custom_3" and "Custom_4") within a single job, and a trained font can be shared between Read Text Identification Tools when more than one custom font is added to the job.
  4. With the tool initially configured, load several images and adjust the tool's parameters, as needed, to compensate for your expected ranges of variations.
  5. Finally, if desired, use the tool's Input/Output properties to share tool data between other tools and/or other external devices.

Creating a Custom Font

Selecting Text to Read


Creating a Custom Font

  1. To define a Custom Font, click the Settings tab and press the Train Font button. This will launch the Train Font dialog, where you can configure the text for your application.

    Note: You can use up to four custom fonts (for example, "Custom_1," "Custom_2," "Custom_3" and "Custom_4") within a single job.
  2. Under the Training tab, enter a custom name for your font, if necessary (this is especially helpful if you'll have more than one font library).

  3. Set the Polarity of your characters: if the characters you'll be training are lighter than their surrounding background, then select Light on Dark, otherwise, choose Dark on Light.

    Note: Ensure that you set the correct character Polarity before clicking Add to Font; Polarity cannot be changed once character models have been added to the font.
  4. Enter the expected text string. Ensure that the expected text string's casing matches that of the model characters (upper and lower case), and add spaces to the expected string if there are spaces in the model.
  5. Once you've entered your text string, click the Segment button. Ensure that each character has an individual region and identifier; if not, use the Segment Adjustments to perform the following:
    • Press the Modify button to adjust the region surrounding a particular character instance.
    • Press the Relabel button to assign a new name to a character instance.
    • Press the Delete button to remove a character instance.
  6. If you're satisfied with the identification of your characters, click the Add to Font button. Your font will now contain instances for each character that was identified from your expected String.
  7. Your font now contains several Character Models, which may contain multiple instances. All characters, including spaces and punctuation, are segmented and given Character Models.

  8. At this point, you can browse through your Character Models and add, delete, edit, rename or enable/disable any particular Character Model or character instance.

    Note: A trained font can be shared between Read Text Identification Tools when more than one custom font is added to the job.
  9. Once you're satisfied with your trained font, press the OK button.


Selecting Text to Read

The following guidelines and considerations can help you achieve consistent results:

Closed Fonts
  • Use special fonts designed for OCR/OCV applications.
  • Ensure that the characters are at least 5 pixels per stroke width. The goal should be to have the characters fill as much of the image as possible. The more pixels per character, the higher the accuracy of the tool, though the execution will also take slightly longer.
  • If you have multiple types of fonts in your image, use a separate Read Text Identification Tool for each type of font.
  • If you have multiple font sizes in your image, use a separate Read Text Identification Tool for each size.
Closed Specialized OCR/OCV Fonts

Closed Character Models and Instances
  • Use high resolution characters to create clear and distinct Character Models.
  • A single Read Text Identification Tool supports up to 255 Character Models, and each Character Model is based on up to 8 trained instances of that Character Model. Training additional instances of a Character Model increases the tool's tolerance to variations in the Character Model. If your application doesn't tolerate much variation, only train your Character Models on a single, good example. If your application needs to tolerate variations, train the Character Model against as many of the possible instances.
  • When training instances of a Character Model, ensure that the print of the characters is as consistent as possible, as dramatic changes to a character's shape and size create poor Character Models and fail during run-time.
Closed Training Instances Examples

Good training instances of a Character Model.

Bad training instances of a Character Model.


Adjusting the Read Text Identification Tool Parameters

After the tool’s region has been positioned, you can optimize the tool for your application.

The settings pane of the Read Text Identification Tool consists of four tabs:

  • General Tab
  • Settings Tab
  • Character Model Table
Tip: Test your job, using TestRun. TestRun performs tests on the In-Sight vision system and compares the results of those tests against expected values. This will allow you to see whether or not the job is behaving as expected, or if you will need to adjust certain parameters for allowable variances.

General Tab

Settings Tab

Character Model Table


Read Text Identification Tool - General Tab

Closed Tool Name

Defines the name of your inspection tool, which will be utilized in configuring the results Inputs/Outputs and Communication); the default name is “Text_1” (if it is the first Read Text Identification Tool added to the job, otherwise it will be incremented, e.g. “Text_2”, “Text_3”, etc.). Customize your tool by giving it a name that is associated with your particular application.

Closed Tool Image

Defines which image the tool will utilize to perform its inspection; the unfiltered, acquired image (the default setting), or the output image of an Image Filter Tool. This control is only enabled if an Image Filter Tool has been added.

Closed Tool Fixture

Defines a fixture for the tool. This control is only enabled if another tool that defines a fixture has already been added.

Closed Tool Enabled

Defines when and whether or not the inspection tool should run (default setting is “On”). Select “Off” if you want to disable the tool; select "Expression" if you want to tie the tool's execution to the result of an Expression (this control is only enabled for tool's that provide an Expression parameter); or select an “Input” if you want the tool tied to a specific discrete input line, where it can be turned On or Off (a High signal, 1, is On, a Low signal, 0, is Off). Tying the tool to an input allows a control system, such as a PLC, to determine which tools should run.

Closed Include in Job Pass

Defines whether or not the tool's pass/failure status should be included in the job's overall pass/fail status; by default, it is checked and will be included in the job's overall pass/fail status. Uncheck the check box to keep the tool's pass/failure status separate from the other tools in the job. This control should be unchecked if a tool is expected to fail; for example, if two PatMax Patterns Identification Tools were being used to determine whether or not the part was a right-hand or left-hand part, one of the tools would be expected to fail every time. This situation would result in the job failing every time, regardless of which side of the part was identified, were the checkbox checked.

Closed Execution Time (ms)

Displays the amount of time, in milliseconds, that the tool took to perform its inspection. This time may vary, depending upon the complexity of the scene in the image, as well as the position of the feature within the image, and the amount of variance allowed in the parameters.

Closed Description

A comment that describes the purpose of the tool (by default, the field is blank). Up to 255 alpha-numeric characters or 127 Asian language characters may be used.


Read Text Identification Tool - Settings Tab

Closed Train Font Button

Launches the Train Font dialog, where you will define and edit your fonts (Character Models and their instances).

Closed Mode

Defines the operational mode of the tool: Read, Verify or Read and Verify.

  • Read: The tool decodes the text string based upon the trained Character Models. The decoded text string must match the number of characters defined in the Field String parameter.
  • Verify:The tool decodes the text string based upon the text string defined in the Match String parameter.
  • Read and Verify: The tool decodes the text string and compares the decoded string against the string defined in the Match String parameter. The decoded text string must match the string defined in the Match String parameter to be classified as a Pass..
Note: The tool has two states: Pass or Fail. When the tool's Mode control is set to Verify or Read and Verify, the tool returns a Fail in two different scenarios - when the read fails, or when the read is successful but does not match the text string entered in the Match String parameter.

In the latter case, when the Read and Verify Mode is selected, the tool outputs the mismatch data (Mismatch and Mismatch_Count) which can be used by the EasyView and other communication devices in the Communication Application Step. The mismatch data can be selected from the Select EasyView Items dialog, the Select OPC Tags dialog or the Select Input/Output Data dialog.

The mismatch data is useful when the user needs to determine if the tool is not able to read the text, or if the text can be read but does not match the defined Match String. For example, when the tool is not able to read the text, there might be an issue with the text printing process or the vision system setup. When the text is read successfully but does not match the defined Match String, the wrong text could be printed.
Closed Font

Defines the font type. You can select a predefined font type (OCR-A or OCR-B, either white-on-black or black-on-white), or create a Custom font by training Character Models.

Note: You can use up to four custom fonts (for example, "Custom_1," "Custom_2," "Custom_3" and "Custom_4") within a single job.
Closed Field String

Defines the number of characters contained in the text string for a Read operation. Each character in the Field String corresponds to an indexed position between 0 and 31 (the maximum number of characters). The number of positions in a Field String must be equal to the number of characters in the text string.

A Field String entry can include uppercase or lowercase text, numbers, dashes, dots and spaces. By default, each position in the Field String is represented as an "*" (an alphanumeric "Wildcard"), which means that any character is valid at that position in the text string.

Individual positions in the Field String can be defined, so the tool only considers a subset of possible characters at that position, increasing the tool's overall performance and reliability.

Field String Entry | Description | Valid Characters
* | Wildcard | Any trained character in the font.
N | Numeric | 0123456789
A | Uppercase alphabetical | ABCDEFGHIJKLMNOPQRSTUVWXYZ
a | Lowercase alphabetical | abcdefghijklmnopqrstuvwxyz
H | Hexadecimal, uppercase alphabetical and numerical | 0123456789ABCDEF
h | Hexadecimal, lowercase alphabetical and numerical | 0123456789abcdef
O | Octal | 01234567
Closed Match String

Defines the expected text string to be read (only enabled when the Mode parameter is set to Verify or Read and Verify). Enter the information that you expect the tool to decode.

Note: The match string can be input from another device. When you run the job, the identification tool can read the text string from your input device and compare it to the recognized text. The Read Text tool will result in a Fail and the Match String field will display TRIG until the Match String is input from the external device.
Closed Tune Button

Calculates the scale difference (50% to 200%) between the trained Character Models of the Font library versus the characters in the image. The Tune button should only be used when the difference between the size of the Character Models and the characters in the text string exceed ±5%.

Closed Accept Threshold

Defines the minimum acceptable score (0-100; default = 70) for each character in the text string. If any character in the text string is below the Accept Threshold, the result of the entire text string will be a failure.

Closed Read Mode

Defines the text reading algorithm mode: Speed or Accuracy. The Speed Mode (default Read Mode) is more effective when dealing with good, highly contrasted images that require a very fast tool execution time, while the Accuracy Mode is more effective when dealing with more difficult, lower contrasted images that do not require the tool to execute quickly.

Closed Difference Accept

Defines the minimum acceptable difference value required between a character's highest and second-highest scores (0-20; default = 0). If a difference score is equal to or below the Difference Accept value, the result of the entire text string will be a failure.

Closed Confusing Background

Compensates for extra features in the image being confused with the text string (by default, this option is Off, or unchecked). When Confusing Background is enabled, the tool's execution time is slightly increased. This option is especially useful when other features in the region are being mistaken for the beginning of the text string.

Closed Scale Tolerance

Allows variations in character scale (by default, this option is Off, or unchecked).

Closed Timeout

Defines the amount of time, in milliseconds (0 to 30,000), that the tool will search for text before execution is stopped and the tool returns a Fail.

Closed Result

Displays the decoded or verified information from the text string.


Read Text Identification Tool - Character Model Table

Closed Index

Indicates the position of the character in the text string.

Closed Char

Displays the Model Character with the highest score (i.e. the Model Character that best matches the character in the text string).

Closed Score

Indicates the level of confidence in the Model Character with the highest score. If the value returned is equal to or below the Accept Threshold value, the result of the entire text string will be a failure.

Closed Passed

Displays whether or not the character failed or passed, based on whether the values in the Score and Char Difference columns are equal to or below (Fail), or above (Pass), the Accept Threshold and Difference Accept parameters, respectively.

Closed 2nd Char

Displays the Model Character with the second-highest score (i.e. the Model Character that is the second-to-best match to the character in the text string).

Closed 2nd Score

Indicates the level of confidence in the Model Character with the second highest score.

Closed Char Difference

Displays the difference between the highest and second-highest scores. If the value is equal to or below the Difference Accept parameter, the result of the entire text string will be a failure.


Identification Tools - PatMax RedLine Patterns (1-10) and PatMax Patterns (1-10)

Note:
  • From In-Sight firmware 5.5.0 and later, the tool's algorithm has been changed to return more accurate results and decrease the execution time in some circumstances.
  • Due to this change, when attempting to load a job containing this tool configured on the In-Sight firmware 5.5.0 or later to an In-Sight vision system running firmware version 5.4.x or earlier, an error message is displayed.
  • The PatMax RedLine Patterns Identification Tool is only available on In-Sight vision systems running In-Sight firmware 5.2.0 and later. For a complete list of models and supported firmware versions, see Firmware Versions.

The PatMax RedLine Patterns Tool and PatMax Patterns Identification Tool are used to train occurrences of pattern features, using the PatMax RedLine or PatMax algorithms, and then verify or identify the particular occurrence of the pattern features in the image.

These tools are useful, for example, in applications where you want to ensure that the correct product is running on the production line, based on a logo, label or part, or to recognize which product is running and communicate that information to other factory floor devices.

Setting Up the Tool

Adjusting the Tool Parameters


Setting Up the PatMax RedLine Patterns (1-10) and PatMax Patterns (1-10) Identification Tools

Once the tool has been added, you will need to select the type of regions and configure them to define your pattern (the Model region), and where in the image the pattern will be found (the Search region).

The PatMax RedLine Patterns (1-10) and PatMax Patterns (1-10) Identification Tools allow you to create a library of up to 10 different Model patterns. Each Model pattern must be trained using a separate image; the tool searches the image for individual instances of the trained patterns, and will not recognized multiple instances of a pattern in the image.

  1. From the Model drop-down menu, select the type of region: Rectangle (default), Circle, Annulus or Polygon. Then position the Model region over the pattern that will be used as the training model; make sure that the Model region only covers the important features of the pattern.

    Note: After adding the tool, you can change the type of region by right-clicking the region in the image and selecting the desired shape from the Change Region to option.

  2. From the Search drop-down menu, select the type of region: Rectangle (default), Circle, Annulus or Polygon. Then position the Search region so that it covers the areas within the image where you expect the pattern to appear. To help the performance of the tool, create smaller Search regions; the larger the Search region, the longer it will take the tool to perform its inspection.

  3. Press the OK button to confirm the regions (press the Cancel button to not add the tool to the job). The Model region will be replaced by a green outline of the trained pattern.

  4. To define another Model pattern, load or acquire a new image with a new pattern, select an untrained Pattern from the Table (marked "Not Trained" in the Trained column) and press the Model Region button, and repeat steps 1 through 3.
  5. With the tool initially configured, load several images and adjust the tool's parameters, as needed, to compensate for your expected ranges of variations.
  6. Finally, if desired, use the tool's Input/Output properties to share tool data between other tools and/or other external devices.

Selecting a Pattern Feature

PatMax RedLine Pattern, PatMax Pattern and Pattern


PatMax RedLine Pattern, PatMax Pattern and Pattern

Note: The PatMax RedLine Patterns Identification Tool is only available on In-Sight vision systems running In-Sight firmware 5.2.0 and later. For a complete list of models and supported firmware versions, see Firmware Versions.

The PatMax RedLine Patterns, PatMax Patterns and Patterns locate trained Models of patterns, and they offer the highest accuracy among the location and inspection tools. However, PatMax RedLine Patterns and PatMax Patterns are more powerful than the Patterns, accounting for greater changes in lighting conditions and the pattern’s position. They also offer superior recognition of changes to the pattern’s scale and rotation, occlusion of elements of the pattern, and changes in the pattern’s appearance due to lighting variations.

The main difference between the PatMax RedLine Patterns and PatMax Patterns is the speed; the PatMax RedLine Pattern uses the latest pattern matching algorithm and can locate trained features in a 5 megapixel image up to 7x faster than PatMax Patterns. Therefore, PatMax RedLine Patterns is ideal for high resolution vision systems.

The Patterns (in most cases) is faster than the PatMax, but certain situations require the accuracy and reliability of the PatMax RedLine or PatMax version:

  • When variations in lighting and reflections are difficult to control. For example, metal parts can reflect light in random directions.
  • When the pattern being inspected is similarly shaped or shaded in comparison to something in the background, or the pattern is being overlapped or partially hidden by other objects in the image.
  • When you want to accurately recognize one type of pattern from other, similar, patterns.
  • When the conditions of your deployment environment are too demanding for the Patterns Tool to perform consistently and reliably.


Adjusting the PatMax RedLine Patterns (1-10) and PatMax Patterns (1-10) Identification Tools Parameters

After the tool’s region has been positioned, you can optimize the tool for your application.

The settings pane of the PatMax RedLine Patterns (1-10) and PatMax Patterns (1-10) Identification Tools consist of the following tabs:

  • General Tab
  • Settings Tab
  • Model and Search Tabs
  • Table Tab
Tip: Test your job, using TestRun. TestRun performs tests on the In-Sight vision system and compares the results of those tests against expected values. This will allow you to see whether or not the job is behaving as expected, or if you will need to adjust certain parameters for allowable variances.

General Tab

Settings Tab

Model and Search Tabs

Table Tab


PatMax RedLine Patterns (1-10) and PatMax Patterns (1-10) Identification Tool - General Tab

Closed Tool Name

Defines the name of your inspection tool, which will be utilized in configuring the results Inputs/Outputs and Communication); the default name is “ProductID_1” (if it is the first PatMax Patterns Identification Tool added to the job, otherwise it will be incremented, e.g. “ProductID_2”, “ProductID_3”, etc.). Customize your tool by giving it a name that is associated with your particular application.

Closed Tool Image

Defines which image the tool will utilize to perform its inspection; the unfiltered, acquired image (the default setting), or the output image of an Image Filter Tool. This control is only enabled if an Image Filter Tool has been added.

Closed Tool Fixture

Defines a fixture for the tool. This control is only enabled if another tool that defines a fixture has already been added.

Closed Tool Enabled

Defines when and whether or not the inspection tool should run (default setting is “On”). Select “Off” if you want to disable the tool; select "Expression" if you want to tie the tool's execution to the result of an Expression (this control is only enabled for tool's that provide an Expression parameter); or select an “Input” if you want the tool tied to a specific discrete input line, where it can be turned On or Off (a High signal, 1, is On, a Low signal, 0, is Off). Tying the tool to an input allows a control system, such as a PLC, to determine which tools should run.

Closed Include in Job Pass

Defines whether or not the tool's pass/failure status should be included in the job's overall pass/fail status; by default, it is checked and will be included in the job's overall pass/fail status. Uncheck the check box to keep the tool's pass/failure status separate from the other tools in the job. This control should be unchecked if a tool is expected to fail; for example, if two PatMax Patterns Identification Tools were being used to determine whether or not the part was a right-hand or left-hand part, one of the tools would be expected to fail every time. This situation would result in the job failing every time, regardless of which side of the part was identified, were the checkbox checked.

Closed Execution Time (ms)

Displays the amount of time, in milliseconds, that the tool took to perform its inspection. This time may vary, depending upon the complexity of the scene in the image, as well as the position of the feature within the image, and the amount of variance allowed in the parameters.

Closed Description

A comment that describes the purpose of the tool (by default, the field is blank). Up to 255 alpha-numeric characters or 127 Asian language characters may be used.


PatMax RedLine Patterns (1-10) and PatMax Patterns (1-10) Identification Tools - Settings Tab

Closed Mode

Defines the operational mode of the tool: Identify or Verify.

Identify (the default mode) is used when the pattern being inspected is unknown. The tool will automatically examine the image (based on your regions) and determine which pattern, from the trained library of patterns, is being displayed and report that information in the Result parameter.

Verify is used to verify that the correct pattern is present. The tool will examine the image for a specified pattern and compare the found pattern against the pattern specified in the Pattern parameter.

Closed Pattern

Defines which trained pattern to verify ( to enable this setting, the Mode must be set to Verify). Choose from the patterns you trained.

Closed Accept Threshold

Defines the degree of similarity that must exist between the Model pattern and the found pattern (0-100; default = 65). Found patterns above, or the equivalent of, the setting are considered a match. This tool executes faster with a higher setting, which also requires a greater degree of similarity between the Model and the found pattern.Lower settings allow for a higher likelihood of less accurate results, such as detection of patterns that are similar to, but not, the Model pattern.

Closed Contrast Threshold

Defines the minimum acceptable contrast that must be present in the found pattern; the contrast for a found pattern must be greater than the Contrast Threshold value to be considered a valid instance. The default value for PatMax RedLine Pattern(s) is 0, and the valid parameter range is 0-100. The default value for PatMax Pattern(s) is 10, and the valid parameter range is 0-255. A low Contrast Threshold value is used for low-contrast images, while a high Contrast Threshold value is used for high-contrast images.

Note: PatMax RedLine Pattern(s) contrast is the "relative" measure of contrast change between features in the trained pattern versus match features in search image, in percentage. Therefore, if feature contrast is similar or high to pattern contrast, reported Contrast will be ~100. If feature contrast is lower than pattern contrast, reported Contrast will be <100. Contrast for PatMax RedLine Pattern(s) is different than contrast for PatMax Pattern(s), which is the "absolute" image contrast of the search ROI, in grey scale level.
Closed Angle Tolerance

Defines how far the found pattern can be rotated from the position of the Model pattern and still be recognized as a valid pattern (± 0-180°; default =15°).Allowing for a greater range of rotational variance of the pattern will increase the tool's execution time.

Closed Scale Tolerance

Defines the allowable percentage of scaling (size variations) between the found pattern and the Model pattern (0-50; default = 0). The value is a plus or minus percentage, e.g. a value of 5 will enable the tool to find patterns that are between 95% and 105% of the Model pattern’s size. Allowing for a greater range of scale variance of the pattern will increase the tool's execution time.

Closed Difference Accept

Defines the allowable difference in scores that can exist between the found pattern and any of the trained Model patterns (0-20; default = 0). The value is the score difference between any two trained Model patterns, e.g. a value of 5 will ensure that the tool finds patterns whose score is at least 5 more than any other Model pattern's score.

Closed Find Mode

Defines the search mode used for training and recognizing patterns, PatMax or PatQuick. By default, PatMax is selected. PatMax offers higher accuracy than PatQuick, but requires more time to execute, while PatQuick offers lower accuracy than PatMax, but requires less time to execute.

Closed Strict Scoring

Defines whether or not missing or occluded features of the found pattern will affect the score (default = Off, unchecked). When Strict Scoring is applied (On, checked), if features of the pattern are absent or blocked, the score of the found pattern will be lowered.

Closed Timeout
Defines the amount of time, in milliseconds (0 to 30,000), that the tool will search for pattern(s) before execution is stopped and the tool returns a Fail. By default, this parameter is set to 1,000.
Closed Result

Displays the name of the identified pattern.

Note: PatMax RedLine Pattern(s) does not contain the Find Mode parameter.


PatMax RedLine Patterns (1-10) and PatMax Patterns (1-10) Identification Tools - Model and Search Tabs

The Model and Search tabs are used to configure composite region for the Model and Search regions of the tool. Composite regions are a collection of sub-regions (Rectangle, Annulus, Circle or Polygon) that either Add to the region (the region will be included in the image analysis) or Subtract from the region (the region will be excluded from the image analysis; also known as "masking").

Note:
  • In the Model tab, the composite regions are only enabled after pressing the Model Region button.
  • A maximum of 32 sub-regions can be used to construct a composite region.
  • A right-click menu is available while interacting with the region in the image, which allows you to change a selected sub-region's shape, add or remove a sub-region, or change a selected sub-region's Operation (Add or Subtract).
Closed Composite Region Table

Displays the type of sub-region(s) that comprise the composite region, as well as its Operation (Add or Subtract). Select a sub-region to enable the Delete, Move Up or Move Down buttons. Pressing the Delete button removes the selected sub-region from the list; pressing the Move Up button moves the selected sub-region up in the list; and pressing the Move Down button moves the selected sub-region down in the list.

Note:

The composite region is built based upon its sequence of sub-regions within the list. By placing sub-regions, and their Add or Subtract Operation, in a specific order, parts of the image may be highlighted while ignoring other areas. The image below shows an example of how to correctly order the sub-regions to exclude part of the image while focusing on other areas. In the first set, a Rectangle with an Add Operation is configured, and then a Circle, with a Subtract Operation, is set in the middle. Then a smaller Rectangle, with an Add Operation, is configured in the middle of the Circle. The Circle excludes part of the image, while the smaller Rectangle adds part of the image area back to the image analysis. In the second set, the smaller Rectangle is added before the Circle, and the Circle masks the smaller Rectangle, excluding it from the image analysis.

Closed Shape

Displays the shape of selected sub-region (Rectangle, Circle, Annulus or Polygon). To change the shape, select the desired region type from the drop-down menu.

Closed Operation

Defines the selected sub-region's action within the region: Add or Subtract. Add indicates that the sub-region will be included in the image analysis while Subtract indicates that the sub-region will be excluded from the image analysis (also known as "masking").

Closed Rectangle

Inserts a rectangle sub-region into the composite region. Configure the shape and size of the region as needed.

Closed Annulus

Inserts an annulus sub-region into the composite region. Configure the shape and size of the region as needed.

Closed Circle

Inserts a circle sub-region into the composite region. Configure the shape and size of the region as needed.

Closed Polygon

Inserts a polygon sub-region into the composite region. Configure the shape and size of the region as needed.


PatMax RedLine Patterns (1-10) and PatMax Patterns (1-10) Identification Tools - Table Tab

The Table tab contains the table of trained patterns, as well as image thumbnails of the trained patterns.

Closed Table Tab

Name: This field defines the name of the trained pattern. Customize your tool by giving it a name that is associated with your particular application.

Trained: This field indicates whether or not a pattern has been trained. The field will report "Trained" if the pattern has been trained, and "Not Trained" if it has not been trained.

Score: This field reports the score of the found, trained pattern.

Note:
  • To delete a pattern from the tool, right-click on the pattern in the Table tab and select the Delete option from the menu.
  • The Table settings pane has three View options: Large Icons, Details (default) and Tile. To select a different display option for the settings pane, right-click anywhere within the Table and select your desired option from the View sub-menu.
Closed Model Region button

This button initiates the training of patterns.

Closed Rename button

Select a trained pattern from the table, and then press this button to rename the pattern to a name that is associated with your particular application.

Closed Trained Image thumbnail

The image displayed below the Model Region button is a thumbnail of the Model pattern. Press the Model Region button to re-size or move the Model region, and then press the Train button to re-train the Model pattern.


Identification Tools - Patterns

The Patterns Identification Tool is used to train occurrences of pattern features, and then verify or identify the particular occurrence of the pattern features in the image.

This tool is useful, for example, in applications where you want to ensure that the correct product is running on the production line, based on a logo, label or part, or to recognize which product is running and communicate that information to other factory floor devices.

Setting Up the Tool

Adjusting the Tool Parameters


Setting Up the Patterns Identification Tool

Once the tool has been added, you will need to configure the regions in the image that will define your pattern (the Model region), and where in the image the pattern will be found (the Search region).

The Patterns (1-10) Identification Tool allows you to create a library of up to 10 different Model patterns. Each Model pattern must be trained using a separate image; the tool searches the image for individual instances of the trained patterns, and will not recognized multiple instances of a pattern in the image.

  1. Position the Model region over the first pattern that will be used as the initial training model; make sure that the Model region only covers the important features of the pattern.

  2. Position the Search region so that it covers the areas within the image where you expect the patterns to appear. To help the performance of the tool, create smaller Search regions; the larger the Search region, the longer it will take the tool to perform its inspection.

    Note: The Model and Search regions cannot be bent into an arc or annular shape.
  3. Press the OK button to confirm the regions (press the Cancel button to not add the tool to the job). The Model region will be replaced by a green outline of the trained pattern.
  4. To define another Model pattern, load or acquire a new image with a new pattern, select an untrained Product from the Table (marked "Not Trained" in the Trained column) and press the Model Region button, and repeat steps 1 through 3.
  5. With the tool initially configured, load several images and adjust the tool's parameters, as needed, to compensate for your expected ranges of variations.
  6. Finally, if desired, use the tool's Input/Output properties to share tool data between other tools and/or other external devices.


Adjusting the Patterns Identification Tool Parameters

After the tool’s region has been positioned, you can optimize the tool for your application.

The settings pane of the Patterns Identification Tool consists of four tabs:

  • General Tab
  • Settings Tab
  • Table Tab
Tip: Test your job, using TestRun. TestRun performs tests on the In-Sight vision system and compares the results of those tests against expected values. This will allow you to see whether or not the job is behaving as expected, or if you will need to adjust certain parameters for allowable variances.

General Tab

Settings Tab

Table Tab


Patterns Identification Tool - General Tab

Closed Tool Name

Defines the name of your inspection tool, which will be utilized in configuring the results (Inputs/Outputs and Communication); the default name is “PatternID_1” (if it is the first Patterns Identification Tool added to the job, otherwise it will be incremented, e.g. “PatternID_2”, “PatternID_3”, etc.). Customize your tool by giving it a name that is associated with your particular application.

Closed Tool Image

Defines which image the tool will utilize to perform its inspection; the unfiltered, acquired image (the default setting), or the output image of an Image Filter Tool. This control is only enabled if an Image Filter Tool has been added.

Closed Tool Fixture

Defines a fixture for the tool. This control is only enabled if another tool that defines a fixture has already been added.

Closed Tool Enabled

Defines when and whether or not the inspection tool should run (default setting is “On”). Select “Off” if you want to disable the tool; select "Expression" if you want to tie the tool's execution to the result of an Expression (this control is only enabled for tool's that provide an Expression parameter); or select an “Input” if you want the tool tied to a specific discrete input line, where it can be turned On or Off (a High signal, 1, is On, a Low signal, 0, is Off). Tying the tool to an input allows a control system, such as a PLC, to determine which tools should run.

Closed Include in Job Pass

Defines whether or not the tool's pass/failure status should be included in the job's overall pass/fail status; by default, it is checked and will be included in the job's overall pass/fail status. Uncheck the check box to keep the tool's pass/failure status separate from the other tools in the job. This control should be unchecked if a tool is expected to fail; for example, if two PatMax Patterns Identification Tools were being used to determine whether or not the part was a right-hand or left-hand part, one of the tools would be expected to fail every time. This situation would result in the job failing every time, regardless of which side of the part was identified, were the checkbox checked.

Closed Execution Time (ms)

Displays the amount of time, in milliseconds, that the tool took to perform its inspection. This time may vary, depending upon the complexity of the scene in the image, as well as the position of the feature within the image, and the amount of variance allowed in the parameters.

Closed Description

A comment that describes the purpose of the tool (by default, the field is blank). Up to 255 alpha-numeric characters or 127 Asian language characters may be used.


Patterns Identification Tool - Settings Tab

Closed Mode

Defines the operational mode of the tool: Identify or Verify.

Identify (the default mode) is used when the pattern being inspected is unknown. The tool will automatically examine the image (based on your regions) and determine which pattern, from the trained library of patterns, is being displayed and report that information in the Result parameter.

Verify is used to verify that the correct pattern is present. The tool will examine the image for a specified pattern and compare the found pattern against the pattern specified in the Pattern parameter.

Closed Pattern

Defines which trained pattern to verify ( to enable this setting, the Mode must be set to Verify). Choose from the patterns you trained.

Closed Accept Threshold

Defines the degree of similarity that must exist between the Model pattern and the found pattern (0-100; default = 50). Found patterns above, or the equivalent of, the setting are considered a match. This tool executes faster with a higher setting, which also requires a greater degree of similarity between the Model and the found pattern.Lower settings allow for a higher likelihood of less accurate results, such as detection of patterns that are similar to, but not, the Model pattern.

Closed Rotation Tolerance

Defines how far the found pattern can be rotated from the position of the Model pattern and still be recognized as a valid pattern (± 0-180°; default =15°).Allowing for a greater range of rotational variance of the pattern will increase the tool's execution time.

Closed Scale Tolerance

Defines the tool's tolerance to changes in the pattern's scale, within ±10% of the trained pattern's size. By default, this setting is off (unchecked), which disables scale adjustments. In this mode of operation, the tool will still find patterns that are within ±10% range, but the score of the feature will decrease as the scale percentage increases.

Closed Difference Accept

Defines the allowable difference in scores that can exist between the found pattern and any of the trained Model patterns (1-20; default = 0). The value is the score difference between any two trained Model patterns, e.g. a value of 5 will ensure that the tool finds patterns whose score is at least 5 more than any other Model pattern's score.

Closed Model Type

Defines how the tool constructs the Model pattern; Area Model or Edge Model (the default). Area Model creates the Model pattern based on a uniform sampling of the grayscale values in the Model region. Edge Model creates the Model pattern based on the detected edges (light/dark transitions) of the pattern feature within the Model region.

Closed Accuracy

Defines how the tool will qualify the tradeoff between accuracy/reliability versus execution speed; Accurate, Medium (the default) and Fast. Accurate specifies a focus on higher accuracy/reliability, and slower execution speed, Fast specifies a lower focus on accuracy/reliability, and faster execution speed, while Medium specifies a middle stance between the two.

Closed Timeout

Defines the amount of time, in milliseconds (0 to 30,000), that the tool will search for pattern(s) before execution is stopped and the tool returns a Fail.

Closed Result

Displays the name of the identified pattern.


Patterns Identification Tool - Table Tab

The Table tab contains the table of trained patterns, as well as image thumbnails of the trained patterns.

Closed Table Tab

Name: This field defines the name of the trained pattern. Customize your tool by giving it a name that is associated with your particular application.

Trained: This field indicates whether or not a pattern has been trained. The field will report "Trained" if the pattern has been trained, and "Not Trained" if it has not been trained.

Score: This field reports the score of the found, trained pattern.

Note:
  • To delete a pattern from the tool, right-click on the pattern in the Table tab and select the Delete option from the menu.
  • The Table settings pane has three View options: Large Icons, Details (default) and Tile. To select a different display option for the settings pane, right-click anywhere within the Table and select your desired option from the View sub-menu.
Closed Model Region button

This button initiates the training of patterns.

Closed Rename button

Select a trained pattern from the table, and then press this button to rename the pattern to a name that is associated with your particular application.

Closed Trained Image thumbnail

The image displayed below the Model Region button is a thumbnail of the Model pattern. Press the Model Region button to re-size or move the Model region, and then press the Train button to re-train the Model pattern.


Identification Tools - Color Model

The Color Model Identification Tool is used to determine, from a library of Color Models, which Color Model best matches the colors in the image, returning the name of the matching Color Model.

The Color Model tool references a trained library of Color Model(s), and then determines the number of pixels present in the region that match the selected and trained Color Model(s) in the library. Depending upon the tool's Mode of operation, either Identify (the default setting) or Match, the tool returns the name of the Color Model that best matches the inspection criteria. The tool also creates a binary greyscale output image, where every pixel that matches an active Color Model is set to White (255), while all other pixels are set to Black (0).

Setting Up the Tool

Adjusting the Tool Parameters


Setting Up the Color Model Identification Tool

Once the tool has been added, you will need to select the type of region and then configure it in the image:

  1. From the Model drop-down menu, select the type of region: Rectangle (default), Circle, Annulus or Polygon. Position and configure the region within the image where you expect the color(s) to appear; make sure that the boundaries of the region cover the color(s) and their possible locations. To help the performance of the tool, create smaller regions; larger regions require longer to inspect. If you’re not using a fixture, ensure that the color(s) are present in roughly the same location in every image, or the region is large enough to account for the expected movement of the color(s).

    Note: After adding the tool, you can change the type of region by right-clicking the region in the image and selecting the desired shape from the Change Region to option.
  2. Press the OK button to confirm the region (press the Cancel button to not add the tool to the job).
  3. Once the search region has been configured, you will need to configure the tool's Color Library and activate the appropriate Color Model(s):

    • If this is the first time that a color tool (Color Blob and Color Blobs (1-10) Location Tools, Color Pixel Count and Color Blob Presence/Absence Tools, Color Blob Area and Color Blob Areas (1-10) Measurement Tools, Color Blobs Counting Tool, Color Model Identification Tool or Color to Binary Image Filter Tool) has been added, you will need to first define the Color Library(s) and its Color Model(s).

    • If another color tool has previously been added and you want to utilize an existing Color Library and its trained Color Models, go to the Settings tab and select your desired Color Library, and then activate your desired Color Models by checking them in the Library tab.

    • By default, the tool will automatically result in a Fail until a Color Library has been defined. If a Color Library has been defined, the tool will automatically use that library and activate all Color Models contained within.

  4. Once the Color Model(s) and Color Library(s) have been set, the tool will process the image and all pixels within the search region that match the selected Color Model(s) will be turned white (255), and those pixels not matching the selected Color Model(s) will be set to black (0).
  5. With the tool initially configured, load several images and adjust the tool's parameters, as needed, to compensate for your expected ranges of variations.
  6. Finally, if desired, use the tool's Input/Output properties to share tool data between other tools and/or other external devices.


Adjusting the Color Model Identification Tool Parameters

After the tool’s region has been positioned, you can optimize the tool for your application.

The settings pane of the Color Model Identification Tool consists of the following:

  • General Tab
  • Settings Tab
  • Table Tab
  • Color Library Tab
  • Composite Region Tab
Tip: Test your job, using TestRun. TestRun performs tests on the In-Sight vision system and compares the results of those tests against expected values. This will allow you to see whether or not the job is behaving as expected, or if you will need to adjust certain parameters for allowable variances.

General Tab

Settings Tab

Color Library

Table Tab

Composite Region Tab


Color Model Identification Tool - General Tab

Closed Tool Name

Defines the name of your inspection tool, which will be utilized in configuring the results Inputs/Outputs and Communication); the default name is “ColorModelIdentification_1” (if it is the first Color Model Identification Tool added to the job, otherwise it will be incremented, e.g. “ColorColorModelIdentification_2”, “ColorColorModelIdentification_3”, etc.). Customize your tool by giving it a name that is associated with your particular application.

Closed Tool Fixture

Defines a fixture for the tool. This control is only enabled if another tool that defines a fixture has already been added.

Closed Tool Enabled

Defines when and whether or not the inspection tool should run (default setting is “On”). Select “Off” if you want to disable the tool; select "Expression" if you want to tie the tool's execution to the result of an Expression (this control is only enabled for tool's that provide an Expression parameter); or select an “Input” if you want the tool tied to a specific discrete input line, where it can be turned On or Off (a High signal, 1, is On, a Low signal, 0, is Off). Tying the tool to an input allows a control system, such as a PLC, to determine which tools should run.

Closed Include in Job Pass

Defines whether or not the tool's pass/failure status should be included in the job's overall pass/fail status; by default, it is checked and will be included in the job's overall pass/fail status. Uncheck the check box to keep the tool's pass/failure status separate from the other tools in the job. This control should be unchecked if a tool is expected to fail; for example, if two PatMax Patterns Identification Tools were being used to determine whether or not the part was a right-hand or left-hand part, one of the tools would be expected to fail every time. This situation would result in the job failing every time, regardless of which side of the part was identified, were the checkbox checked.

Closed Execution Time (ms)

Displays the amount of time, in milliseconds, that the tool took to perform its inspection. This time may vary, depending upon the complexity of the scene in the image, as well as the position of the feature within the image, and the amount of variance allowed in the parameters.

Closed Description

A comment that describes the purpose of the tool (by default, the field is blank). Up to 255 alpha-numeric characters or 127 Asian language characters may be used.


Color Model Identification Tool - Settings Tab

Closed Train Color

Launches the ExtractColor Training dialog; used to define the selected Color Library's Color Model(s).

Closed Color Library

Defines the Color Library that will be referenced by the tool. From the drop-down list, select the Color Library that you want to modify and then press the Train Color button to launch the ExtractColor Training dialog. Each Color Library may contain up to 100 distinct Color Models, which are composed of individual Colors.

EasyBuilder jobs may contain a maximum of 5 Color Libraries, which may be shared among the following tools:

  • Color Blob Location Tool
  • Color Blobs (1-10) Location Tool
  • Color Pixel Count Presence/Absence Tool
  • Color Blob Area Measurement Tool
  • Color Blobs Areas (1-10) Measurement Tool
  • Color Blobs Counting Tool
  • Color Model Identification Tool
  • Color to Binary Image Filter Tool
Closed Mode

Defines the operational mode of the tool: Identify (default) or Match.

  • Identify: Used when the colors in the image are unknown. The tool will determine which Color Model best matches the colors in the image, and order and rank the results based on their pixel counts, if there are multiple, active Color Models in the selected Color Library.
  • Match: Used to verify that an expected Color Model is present in the image. The tool will process the image and determine whether or not the colors in the image match those expected from the specified Color Model, in the Match Color parameter.
Closed Match Color

Defines the expected Color Model to be detected. This field is only enabled when the Mode parameter is set to Match. Enter the name of the Color Model that you expect to detect in the field.

Closed Minimum Pixel Count

Defines the minimum pixel count threshold (0 to 9,999,999; default = 1000) for determining whether or not a Color Model is considered to be a match. For example, in the Identify Mode, if the threshold is set to 1,000, all Color Models returning pixel counts below 1,000 would automatically be excluded; in the Match Mode, if the expected Color Model resulted in less than 1,000 pixels matching, the tool would return a Fail.

Closed Result

Displays the name of the found Color Model.


Color Model Identification Tool - Color Library

Closed Color Models List

Displays a read-only list of the Color Model(s) contained in the selected Color Library. The Color Models are activated and de-activated by checking or unchecking the checkbox beside the Color Model's name.

Closed Color Table

Displays a read-only ordered table of the Color(s) in the selected Color Model.

Closed Color Name

Displays the name of the Color(s) in the selected Color Model.

Closed RGB

Displays the RGB values of the Color(s) in the selected Color Model.

Closed Operation

Displays the Operation (Add or Subtract) of the Color(s) in the selected Color Model.


Color Model Identification Tool - Table Tab

The Table tab displays a read-only list of found Color Model(s), sorted by their rank and score for the 10 best matches.

Closed Rank

Displays a numeric ranking of the Color Model(s) best matching the inspection criteria, from 1 to 10.

Closed Name

Displays the name of the found Color Model(s).

Closed Pixel Count

Displays the pixel count of the found Color Model(s).


Color Model Identification Tool - Composite Region Tab

The Composite Region tab is used to configure a composite region, a collection of sub-regions (Rectangle, Annulus, Circle or Polygon) that either Add to the region (the region will be included in the image analysis) or Subtract from the region (the region will be excluded from the image analysis; also known as "masking").

Note:
  • A maximum of 32 sub-regions can be used to construct a composite region.
  • A right-click menu is available while interacting with the region in the image, which allows you to change a selected sub-region's shape, add or remove a sub-region, or change a selected sub-region's Operation (Add or Subtract).
Closed Composite Region Table

Displays the type of sub-region(s) that comprise the composite region, as well as its Operation (Add or Subtract). Select a sub-region to enable the Delete, Move Up or Move Down buttons. Pressing the Delete button removes the selected sub-region from the list; pressing the Move Up button moves the selected sub-region up in the list; and pressing the Move Down button moves the selected sub-region down in the list.

Note:

The composite region is built based upon its sequence of sub-regions within the list. By placing sub-regions, and their Add or Subtract Operation, in a specific order, parts of the image may be highlighted while ignoring other areas. The image below shows an example of how to correctly order the sub-regions to exclude part of the image while focusing on other areas. In the first set, a Rectangle with an Add Operation is configured, and then a Circle, with a Subtract Operation, is set in the middle. Then a smaller Rectangle, with an Add Operation, is configured in the middle of the Circle. The Circle excludes part of the image, while the smaller Rectangle adds part of the image area back to the image analysis. In the second set, the smaller Rectangle is added before the Circle, and the Circle masks the smaller Rectangle, excluding it from the image analysis.

Closed Shape

Displays the shape of selected sub-region (Rectangle, Circle, Annulus or Polygon). To change the shape, select the desired region type from the drop-down menu.

Closed Operation

Defines the selected sub-region's action within the region: Add or Subtract. Add indicates that the sub-region will be included in the image analysis while Subtract indicates that the sub-region will be excluded from the image analysis (also known as "masking").

Closed Rectangle

Inserts a rectangle sub-region into the composite region. Configure the shape and size of the region as needed.

Closed Annulus

Inserts an annulus sub-region into the composite region. Configure the shape and size of the region as needed.

Closed Circle

Inserts a circle sub-region into the composite region. Configure the shape and size of the region as needed.

Closed Polygon

Inserts a polygon sub-region into the composite region. Configure the shape and size of the region as needed.


Geometry Tools - Point-to-Point: Line

The Point-to-Point: Line Geometry Tool constructs a reference line between any two input features (points, the origins of fixtures or the center of circular features), and reports the X,Y coordinates of the two end-points of the constructed line.

Note: The tool returns the results in pixels, unless the image was calibrated to real-world units (In-Sight vision systems) or Field of View (Width) was set to real-world units (In-Sight 2000 series vision sensors) in the Set Up Image application step.

Setting Up the Tool

Adjusting the Tool Parameters


Setting Up the Point-to-Point: Line Geometry Tool

Once the tool has been added, you will need to define the input features (points, the origins of fixtures or the center of circular features) that will be used to construct the line:

  1. After adding the tool, EasyBuilder will examine your image and give you a selection of Smart Features that it has automatically detected (highlighted in cyan), as well as any features that you have previously defined with another tool (highlighted in green).
  2. First select one feature from the available features by clicking on it, at which point its color will change to magenta and a line will extend out from that feature.
  3. Next, select the second feature.
  4. After the second feature has been selected, EasyBuilder will automatically construct a line between the features. EasyBuilder will also insert an Edge Presence/Absence Tool and/or Circle Presence/Absence Tool for any features that were not previously defined (depending upon the tool and the type of feature).
  5. With the tool initially configured, load several images and adjust the tool's parameters, as needed, to compensate for your expected ranges of variations.
  6. Finally, if desired, use the tool's Input/Output properties to share tool data between other tools and/or other external devices.


Adjusting the Point-to-Point: Line Geometry Tool Parameters

After the tool’s inputs have been set and accepted, you can begin customizing and fine-tuning the tool for your application.

The settings pane of the Point-to-Point: Line Geometry Tool consists of the following:

Closed General Tab
Closed Tool Name

Defines the name of your inspection tool, which will be utilized in configuring the results (Inputs, Outputs and Communication); the default name is “Line_1” (if it is the first tool added to the job that defines a line, otherwise it will be incremented, e.g. “Line_2”, “Line_3”, etc.). Customize your tool by giving it a name that is associated with your particular application.

Closed Tool Image

Defines which image the tool will utilize to perform its inspection; the unfiltered, acquired image (the default setting), or the output image of an Image Filter Tool. This control is only enabled if an Image Filter Tool has been added.

Closed Tool Enabled

Defines when and whether or not the inspection tool should run (default setting is “On”). Select “Off” if you want to disable the tool; select "Expression" if you want to tie the tool's execution to the result of an Expression (this control is only enabled for tool's that provide an Expression parameter); or select an “Input” if you want the tool tied to a specific discrete input line, where it can be turned On or Off (a High signal, 1, is On, a Low signal, 0, is Off). Tying the tool to an input allows a control system, such as a PLC, to determine which tools should run.

Closed Include in Job Pass

Defines whether or not the tool's pass/failure status should be included in the job's overall pass/fail status; by default, it is checked and will be included in the job's overall pass/fail status. Uncheck the check box to keep the tool's pass/failure status separate from the other tools in the job. This control should be unchecked if a tool is expected to fail; for example, if two PatMax Patterns Identification Tools were being used to determine whether or not the part was a right-hand or left-hand part, one of the tools would be expected to fail every time. This situation would result in the job failing every time, regardless of which side of the part was identified, were the checkbox checked.

Closed Execution Time (ms)

Displays the amount of time, in milliseconds, that the tool took to perform its inspection. This time may vary, depending upon the complexity of the scene in the image, as well as the position of the feature within the image, and the amount of variance allowed in the parameters.

Closed Description

A comment that describes the purpose of the tool (by default, the field is blank). Up to 255 alpha-numeric characters or 127 Asian language characters may be used.

Tip:

For the best results, test your tool and adjust its parameters to best compensate for the possible variations the tool may encounter during run-time.EasyBuilder provides two convenient methods:


Geometry Tools - Point-to-Point: Mid-Point

The Point-to-Point: Mid-Point Geometry Tool calculates the mid-point between two input features (points, the origins of fixtures or the center of circular features), constructs a reference line between the two features and reports the angle of the mid-point relative to the fixture and the X,Y coordinates of the mid-point.

Note: The tool returns the results in pixels, unless the image was calibrated to real-world units (In-Sight vision systems) or Field of View (Width) was set to real-world units (In-Sight 2000 series vision sensors) in the Set Up Image application step.

Setting Up the Tool

Adjusting the Tool Parameters


Setting Up the Point-to-Point: Mid-Point Geometry Tool

Once the tool has been added, you will need to define the input features (points, the origins of fixtures or the center of circular features) that will be used to construct the line:

  1. After adding the tool, EasyBuilder will examine your image and give you a selection of Smart Features that it has automatically detected (highlighted in cyan), as well as any features that you have previously defined with another tool (highlighted in green).

  2. First select one feature from the available features by clicking on it, at which point its color will change to magenta and a line will extend out from that feature.

  3. Next, select the second feature.

  4. After the second feature has been selected, EasyBuilder will automatically construct a line between the features, and place an [image] at the location of the mid-point. EasyBuilder will also insert an Edge Presence/Absence Tool and/or Circle Presence/Absence Tool for any features that were not previously defined (depending upon the tool and the type of feature).
  5. With the tool initially configured, load several images and adjust the tool's parameters, as needed, to compensate for your expected ranges of variations.
  6. Finally, if desired, use the tool's Input/Output properties to share tool data between other tools and/or other external devices.


Adjusting the Point-to-Point: Mid-Point Geometry Tool Parameters

After the tool’s inputs have been set and accepted, you can begin customizing and fine-tuning the tool for your application.

The settings pane of the Point-to-Point: Mid-Point Geometry Tool consists of the following:

Closed General Tab
Closed Tool Name

Defines the name of your inspection tool, which will be utilized in configuring the results (Inputs, Outputs and Communication); the default name is “Point_1” (if it is the first tool added to the job that defines a point, otherwise it will be incremented, e.g. “Point_2”, “Point_3”, etc.). Customize your tool by giving it a name that is associated with your particular application.

Closed Tool Image

Defines which image the tool will utilize to perform its inspection; the unfiltered, acquired image (the default setting), or the output image of an Image Filter Tool. This control is only enabled if an Image Filter Tool has been added.

Closed Tool Enabled

Defines when and whether or not the inspection tool should run (default setting is “On”). Select “Off” if you want to disable the tool; select "Expression" if you want to tie the tool's execution to the result of an Expression (this control is only enabled for tool's that provide an Expression parameter); or select an “Input” if you want the tool tied to a specific discrete input line, where it can be turned On or Off (a High signal, 1, is On, a Low signal, 0, is Off). Tying the tool to an input allows a control system, such as a PLC, to determine which tools should run.

Closed Include in Job Pass

Defines whether or not the tool's pass/failure status should be included in the job's overall pass/fail status; by default, it is checked and will be included in the job's overall pass/fail status. Uncheck the check box to keep the tool's pass/failure status separate from the other tools in the job. This control should be unchecked if a tool is expected to fail; for example, if two PatMax Patterns Identification Tools were being used to determine whether or not the part was a right-hand or left-hand part, one of the tools would be expected to fail every time. This situation would result in the job failing every time, regardless of which side of the part was identified, were the checkbox checked.

Closed Execution Time (ms)

Displays the amount of time, in milliseconds, that the tool took to perform its inspection. This time may vary, depending upon the complexity of the scene in the image, as well as the position of the feature within the image, and the amount of variance allowed in the parameters.

Closed Description

A comment that describes the purpose of the tool (by default, the field is blank). Up to 255 alpha-numeric characters or 127 Asian language characters may be used.

Closed Settings Tab
Closed Mid-Point

Reports the X,Y coordinates of the mid-point between the two input features, as well as the angular orientation of the mid-point, relative to the fixture.

Note: The tool reports results in pixels, unless the image was calibrated to real-world units in Set Up Image.
Tip:

For the best results, test your tool and adjust its parameters to best compensate for the possible variations the tool may encounter during run-time.EasyBuilder provides two convenient methods:


Geometry Tools - Point-to-Point: Dimension

The Point-to-Point: Dimension Geometry Tool calculates the distance between the mid-points of two input features (points, the origins of fixtures or the center of circular features), relative to an edge or line, and constructs a reference line to represent the calculated distance, as well as reporting the calculated distance.

Note: The tool returns the results in pixels, unless the image was calibrated to real-world units (In-Sight vision systems) or Field of View (Width) was set to real-world units (In-Sight 2000 series vision sensors) in the Set Up Image application step.

The Point-to-Point: Dimension Geometry Tool is useful in situations where you need to gauge the accuracy of the alignment of an assembly.

Setting Up the Tool

Adjusting the Tool Parameters


Setting Up the Point-to-Point: Dimension Geometry Tool

Once the tool has been added, you will need to define the input features (points, the origins of fixtures or the center of circular features) that will be used to construct the line:

  1. After adding the tool, EasyBuilder will examine your image and give you a selection of Smart Features that it has automatically detected (highlighted in cyan), as well as any features that you have previously defined with another tool (highlighted in green).
  2. First select one feature from the available features by clicking on it, at which point its color will change to magenta and a line will extend out from that feature.
  3. Next, select the second feature.
  4. After the second feature has been selected, EasyBuilder will again automatically examine your image and give you a selection of edge or line Smart Features that can be used as a reference line for the measurement. Select an edge or line feature to reference.
  5. EasyBuilder then projects reference lines from the features' mid-points that are perpendicular to the reference edge or line, and the distance is calculated based on the relationship between the perpendicular projected reference lines and the selected reference edge or line. EasyBuilder will also insert an Edge Presence/Absence Tool and/or Circle Presence/Absence Tool for any features that were not previously defined (depending upon the tool and the type of feature).
  6. With the tool initially configured, load several images and adjust the tool's parameters, as needed, to compensate for your expected ranges of variations.
  7. Finally, if desired, use the tool's Input/Output properties to share tool data between other tools and/or other external devices.


Adjusting the Point-to-Point: Dimension Geometry Tool Parameters

After the tool’s inputs have been set and accepted, you can begin customizing and fine-tuning the tool for your application.

The settings pane of the Point-to-Point: Dimension Geometry Tool consists of the following:

  • General Tab
  • Range Limits Tab
Tip: Test your job, using TestRun. TestRun performs tests on the In-Sight vision system and compares the results of those tests against expected values. This will allow you to see whether or not the job is behaving as expected, or if you will need to adjust certain parameters for allowable variances.

General Tab

Range Limits Tab


Point-to-Point: Dimension Geometry Tool - General Tab

Closed Tool Name

Defines the name of your inspection tool, which will be utilized in configuring the results (Inputs, Outputs and Communication); the default name is “Dimension_1” (if it is the first Point-to-Point: Dimension Geometry Tool added to the job, otherwise it will be incremented, e.g. “Dimension_2”, “Dimension_3”, etc.). Customize your tool by giving it a name that is associated with your particular application.

Closed Tool Image

Defines which image the tool will utilize to perform its inspection; the unfiltered, acquired image (the default setting), or the output image of an Image Filter Tool. This control is only enabled if an Image Filter Tool has been added.

Closed Tool Enabled

Defines when and whether or not the inspection tool should run (default setting is “On”). Select “Off” if you want to disable the tool; select "Expression" if you want to tie the tool's execution to the result of an Expression (this control is only enabled for tool's that provide an Expression parameter); or select an “Input” if you want the tool tied to a specific discrete input line, where it can be turned On or Off (a High signal, 1, is On, a Low signal, 0, is Off). Tying the tool to an input allows a control system, such as a PLC, to determine which tools should run.

Closed Include in Job Pass

Defines whether or not the tool's pass/failure status should be included in the job's overall pass/fail status; by default, it is checked and will be included in the job's overall pass/fail status. Uncheck the check box to keep the tool's pass/failure status separate from the other tools in the job. This control should be unchecked if a tool is expected to fail; for example, if two PatMax Patterns Identification Tools were being used to determine whether or not the part was a right-hand or left-hand part, one of the tools would be expected to fail every time. This situation would result in the job failing every time, regardless of which side of the part was identified, were the checkbox checked.

Closed Execution Time (ms)

Displays the amount of time, in milliseconds, that the tool took to perform its inspection. This time may vary, depending upon the complexity of the scene in the image, as well as the position of the feature within the image, and the amount of variance allowed in the parameters.

Closed Description

A comment that describes the purpose of the tool (by default, the field is blank). Up to 255 alpha-numeric characters or 127 Asian language characters may be used.


Point-to-Point: Dimension Geometry Tool - Range Limits Tab

Closed Maximum

Defines the maximum acceptable distance value; the tool will create a Smart Limit default setting based on your image, which you can customize to suit the needs of your application.

Closed Distance

Reports the current measured distance between the perpendicular projected reference lines of the two features' mid-points, relative to the reference edge or line; values that fall exactly at, or between, the Minimum and Maximum settings are classified as a Pass.

Note: The tool reports results in pixels, unless the image was calibrated to real-world units in Set Up Image.
Closed Minimum

Defines the minimum acceptable distance value; the tool will create a Smart Limit default setting based on your image, which you can customize to suit the needs of your application.

Closed Invert Result

Defines whether or not the Pass/Fail logic of the tool should be inverted (default = Off, unchecked):

  • Unchecked - Standard results are applied, i.e. the tool result is a Pass if the feature was detected and falls within the specified settings.
  • Checked - Inverts the results, i.e. the tool result is a Fail if the feature was detected and falls within the specified settings.
Closed Auto Limits button

Defines the limits based on the Smart Limits settings. This button is useful when a parameter has been changed and the limits need to be adjusted, or the tool has been added and no limits have been defined.


Geometry Tools - Perpendicular Line

The Perpendicular Line Geometry Tool constructs a reference line that is perpendicular to another line or edge feature, and reports the X,Y coordinates of the end-points of the constructed reference line.

Note: The tool returns the results in pixels, unless the image was calibrated to real-world units (In-Sight vision systems) or Field of View (Width) was set to real-world units (In-Sight 2000 series vision sensors) in the Set Up Image application step.

Setting Up the Tool

Adjusting the Tool Parameters


Setting Up the Perpendicular Line Geometry Tool

Once the tool has been added, you will need to define which line's or edge feature's perpendicular line you want to find:

  1. After adding the tool, EasyBuilder will examine your image and give you a selection of Smart Features that it has automatically detected (highlighted in cyan), as well as any features that you have previously defined with another tool (highlighted in green).
  2. Select the line or edge feature from the available features by clicking on it, at which point EasyBuilder will automatically determine the intersection point of the perpendicular line to the selected line or edge feature, and insert a reference line to define it, as well as an Edge Presence/Absence Tool for any previously undefined edge feature.
  3. With the tool initially configured, load several images and adjust the tool's parameters, as needed, to compensate for your expected ranges of variations.
  4. Finally, if desired, use the tool's Input/Output properties to share tool data between other tools and/or other external devices.


Adjusting the Perpendicular Line Geometry Tool Parameters

After the tool’s inputs have been set and accepted, you can begin customizing and fine-tuning the tool for your application.

The settings pane of the Perpendicular Line Geometry Tool consists of the following:

Closed General Tab
Closed Tool Name

Defines the name of your inspection tool, which will be utilized in configuring the results (Inputs, Outputs and Communication); the default name is “Line_1” (if it is the first tool added to the job that defines a line, otherwise it will be incremented, e.g. “Line_2”, “Line_3”, etc.). Customize your tool by giving it a name that is associated with your particular application.

Closed Tool Enabled

Defines when and whether or not the inspection tool should run (default setting is “On”). Select “Off” if you want to disable the tool; select "Expression" if you want to tie the tool's execution to the result of an Expression (this control is only enabled for tool's that provide an Expression parameter); or select an “Input” if you want the tool tied to a specific discrete input line, where it can be turned On or Off (a High signal, 1, is On, a Low signal, 0, is Off). Tying the tool to an input allows a control system, such as a PLC, to determine which tools should run.

Closed Include in Job Pass

Defines whether or not the tool's pass/failure status should be included in the job's overall pass/fail status; by default, it is checked and will be included in the job's overall pass/fail status. Uncheck the check box to keep the tool's pass/failure status separate from the other tools in the job. This control should be unchecked if a tool is expected to fail; for example, if two PatMax Patterns Identification Tools were being used to determine whether or not the part was a right-hand or left-hand part, one of the tools would be expected to fail every time. This situation would result in the job failing every time, regardless of which side of the part was identified, were the checkbox checked.

Closed Execution Time (ms)

Displays the amount of time, in milliseconds, that the tool took to perform its inspection. This time may vary, depending upon the complexity of the scene in the image, as well as the position of the feature within the image, and the amount of variance allowed in the parameters.

Closed Description

A comment that describes the purpose of the tool (by default, the field is blank). Up to 255 alpha-numeric characters or 127 Asian language characters may be used.

Tip: Test your job, using TestRun. TestRun performs tests on the In-Sight vision system and compares the results of those tests against expected values. This will allow you to see whether or not the job is behaving as expected, or if you will need to adjust certain parameters for allowable variances.


Geometry Tools - Line Intersection

The Line Intersection Geometry Tool is used to identify the point where two edge features and/or reference lines intersect, and reports the X,Y coordinates of the intersection point.

Note: The tool returns the results in pixels, unless the image was calibrated to real-world units (In-Sight vision systems) or Field of View (Width) was set to real-world units (In-Sight 2000 series vision sensors) in the Set Up Image application step.

Setting Up the Tool

Adjusting the Tool Parameters


Setting Up the Line Intersection Geometry Tool

Once the tool has been added, you will need to define the edge features and/or lines that will intersect:

  1. After adding the tool, EasyBuilder will examine your image and give you a selection of Smart Features that it has automatically detected (highlighted in cyan), as well as any features that you have previously defined with another tool (highlighted in green).
  2. First select one feature from the available features by clicking on it, at which point its color will change to magenta and a line will extend out from that feature.
  3. Next, select the edge feature or line that will intersect.
  4. After the second feature has been selected, EasyBuilder will automatically determine the intersection point of the lines, and insert a point to define the intersection. EasyBuilder will also insert an Edge Presence/Absence Tool and/or Circle Presence/Absence Tool for any features that were not previously defined (depending upon the tool and the type of feature).
  5. With the tool initially configured, load several images and adjust the tool's parameters, as needed, to compensate for your expected ranges of variations.
  6. Finally, if desired, use the tool's Input/Output properties to share tool data between other tools and/or other external devices.


Adjusting the Line Intersection Geometry Tool Parameters

After the tool’s inputs have been set and accepted, you can begin customizing and fine-tuning the tool for your application.

The settings pane of the Line Intersection Geometry Tool consists of the following:

Closed General Tab
Closed Tool Name

Defines the name of your inspection tool, which will be utilized in configuring the results (Inputs, Outputs and Communication); the default name is “Intersect_1” (if it is the first Circle-Line or Line Intersection Geometry Tool added to the job, otherwise it will be incremented, e.g. “Intersect_2”, “Intersect_3”, etc.). Customize your tool by giving it a name that is associated with your particular application.

Closed Tool Image

Defines which image the tool will utilize to perform its inspection; the unfiltered, acquired image (the default setting), or the output image of an Image Filter Tool. This control is only enabled if an Image Filter Tool has been added.

Closed Tool Enabled

Defines when and whether or not the inspection tool should run (default setting is “On”). Select “Off” if you want to disable the tool; select "Expression" if you want to tie the tool's execution to the result of an Expression (this control is only enabled for tool's that provide an Expression parameter); or select an “Input” if you want the tool tied to a specific discrete input line, where it can be turned On or Off (a High signal, 1, is On, a Low signal, 0, is Off). Tying the tool to an input allows a control system, such as a PLC, to determine which tools should run.

Closed Include in Job Pass

Defines whether or not the tool's pass/failure status should be included in the job's overall pass/fail status; by default, it is checked and will be included in the job's overall pass/fail status. Uncheck the check box to keep the tool's pass/failure status separate from the other tools in the job. This control should be unchecked if a tool is expected to fail; for example, if two PatMax Patterns Identification Tools were being used to determine whether or not the part was a right-hand or left-hand part, one of the tools would be expected to fail every time. This situation would result in the job failing every time, regardless of which side of the part was identified, were the checkbox checked.

Closed Execution Time (ms)

Displays the amount of time, in milliseconds, that the tool took to perform its inspection. This time may vary, depending upon the complexity of the scene in the image, as well as the position of the feature within the image, and the amount of variance allowed in the parameters.

Closed Description

A comment that describes the purpose of the tool (by default, the field is blank). Up to 255 alpha-numeric characters or 127 Asian language characters may be used.

Tip: Test your job, using TestRun. TestRun performs tests on the In-Sight vision system and compares the results of those tests against expected values. This will allow you to see whether or not the job is behaving as expected, or if you will need to adjust certain parameters for allowable variances.


Geometry Tools - Bisect Angle

The Bisect Angle Geometry Tool constructs a reference line that represents the bisection angle between two edge features or lines, and reports the bisection angle and the X,Y coordinates of the end-points of the constructed line.

Note: The tool returns the results in pixels, unless the image was calibrated to real-world units (In-Sight vision systems) or Field of View (Width) was set to real-world units (In-Sight 2000 series vision sensors) in the Set Up Image application step.

The Bisect Angle Geometry Tool is useful in situations where you want to identify the bisection angle between features on your part, and use the bisection angle as a reference point for other measurements, for example.

Setting Up the Tool

Adjusting the Tool Parameters


Setting Up the Bisect Angle Geometry Tool

Once the tool has been added, you will need to define the edge features or lines that will be used to construct the bisection reference line:

  1. After adding the tool, EasyBuilder will examine your image and give you a selection of Smart Features that it has automatically detected (highlighted in cyan), as well as any features that you have previously defined with another tool (highlighted in green).
  2. First select one of the features from the available features by clicking on it, at which point its color will change to magenta.
  3. Next, select the second edge or line that will define the area to be bisected by clicking on it.
  4. EasyBuilder then automatically constructs a reference line from the selected edge features or lines. EasyBuilder will also insert an Edge Presence/Absence Tool and/or Circle Presence/Absence Tool for any features that were not previously defined (depending upon the tool and the type of feature).
  5. With the tool initially configured, load several images and adjust the tool's parameters, as needed, to compensate for your expected ranges of variations.
  6. Finally, if desired, use the tool's Input/Output properties to share tool data between other tools and/or other external devices.


Adjusting the Bisect Angle Geometry Tool Parameters

After the tool’s inputs have been set and accepted, you can begin customizing and fine-tuning the tool for your application.

The settings pane of the Bisect Angle Geometry Tool consists of the following:

Closed General Tab
Closed Tool Name

Defines the name of your inspection tool, which will be utilized in configuring the results (Inputs, Outputs and Communication); the default name is “Bisect_1” (if it is the first Bisect Angle Geometry Tool added to the job, otherwise it will be incremented, e.g. “Bisect_2”, “Bisect_3”, etc.). Customize your tool by giving it a name that is associated with your particular application.

Closed Tool Image

Defines which image the tool will utilize to perform its inspection; the unfiltered, acquired image (the default setting), or the output image of an Image Filter Tool. This control is only enabled if an Image Filter Tool has been added.

Closed Tool Enabled

Defines when and whether or not the inspection tool should run (default setting is “On”). Select “Off” if you want to disable the tool; select "Expression" if you want to tie the tool's execution to the result of an Expression (this control is only enabled for tool's that provide an Expression parameter); or select an “Input” if you want the tool tied to a specific discrete input line, where it can be turned On or Off (a High signal, 1, is On, a Low signal, 0, is Off). Tying the tool to an input allows a control system, such as a PLC, to determine which tools should run.

Closed Include in Job Pass

Defines whether or not the tool's pass/failure status should be included in the job's overall pass/fail status; by default, it is checked and will be included in the job's overall pass/fail status. Uncheck the check box to keep the tool's pass/failure status separate from the other tools in the job. This control should be unchecked if a tool is expected to fail; for example, if two PatMax Patterns Identification Tools were being used to determine whether or not the part was a right-hand or left-hand part, one of the tools would be expected to fail every time. This situation would result in the job failing every time, regardless of which side of the part was identified, were the checkbox checked.

Closed Execution Time (ms)

Displays the amount of time, in milliseconds, that the tool took to perform its inspection. This time may vary, depending upon the complexity of the scene in the image, as well as the position of the feature within the image, and the amount of variance allowed in the parameters.

Closed Description

A comment that describes the purpose of the tool (by default, the field is blank). Up to 255 alpha-numeric characters or 127 Asian language characters may be used.

Tip: Test your job, using TestRun. TestRun performs tests on the In-Sight vision system and compares the results of those tests against expected values. This will allow you to see whether or not the job is behaving as expected, or if you will need to adjust certain parameters for allowable variances.


Geometry Tools - Line From N Points

The Line From N Points Geometry Tool constructs a reference line that fits between 2 to 10 input features (points, the origins of fixtures or the center of circular features), and reports the X,Y coordinates of the end-points of the constructed line.

Note: The tool returns the results in pixels, unless the image was calibrated to real-world units (In-Sight vision systems) or Field of View (Width) was set to real-world units (In-Sight 2000 series vision sensors) in the Set Up Image application step.

The Line From N Points Geometry Tool is useful in situations where you need to create a reference line out of several existing features in the image.

Setting Up the Tool

Adjusting the Tool Parameters


Setting Up the Line From N Points Geometry Tool

Once the tool has been added, you will need to define the input features (points, the origins of fixtures or the center of circular features) that will be used to construct the line:

  1. After adding the tool, EasyBuilder will examine your image and give you a selection of Smart Features that it has automatically detected (highlighted in cyan), as well as any features that you have previously defined with another tool (highlighted in green).
  2. First select one of the features from the available features by clicking on it, at which point its color will change to magenta.
  3. Next, select the rest of the features that will be used to define the line. A minimum of two input features and a maximum of ten may be selected.
  4. After selecting all of your desired features, press the OK button (press the Cancel button to not add the tool to the job).
  5. EasyBuilder then automatically constructs a reference line from the selected input features. EasyBuilder will also insert an Edge Presence/Absence Tool and/or Circle Presence/Absence Tool for any features that were not previously defined (depending upon the tool and the type of feature).
  6. With the tool initially configured, load several images and adjust the tool's parameters, as needed, to compensate for your expected ranges of variations.
  7. Finally, if desired, use the tool's Input/Output properties to share tool data between other tools and/or other external devices.


Adjusting the Line From N Points Geometry Tool Parameters

After the tool’s inputs have been set and accepted, you can begin customizing and fine-tuning the tool for your application.

The settings pane of the Line From N Points Geometry Tool consists of the following:

Closed General Tab
Closed Tool Name

Defines the name of your inspection tool, which will be utilized in configuring the results (Inputs, Outputs and Communication); the default name is “Line_1” (if it is the first tool added to the job that defines a line, otherwise it will be incremented, e.g. “Line_2”, “Line_3”, etc.). Customize your tool by giving it a name that is associated with your particular application.

Closed Tool Image

Defines which image the tool will utilize to perform its inspection; the unfiltered, acquired image (the default setting), or the output image of an Image Filter Tool. This control is only enabled if an Image Filter Tool has been added.

Closed Tool Enabled

Defines when and whether or not the inspection tool should run (default setting is “On”). Select “Off” if you want to disable the tool; select "Expression" if you want to tie the tool's execution to the result of an Expression (this control is only enabled for tool's that provide an Expression parameter); or select an “Input” if you want the tool tied to a specific discrete input line, where it can be turned On or Off (a High signal, 1, is On, a Low signal, 0, is Off). Tying the tool to an input allows a control system, such as a PLC, to determine which tools should run.

Closed Include in Job Pass

Defines whether or not the tool's pass/failure status should be included in the job's overall pass/fail status; by default, it is checked and will be included in the job's overall pass/fail status. Uncheck the check box to keep the tool's pass/failure status separate from the other tools in the job. This control should be unchecked if a tool is expected to fail; for example, if two PatMax Patterns Identification Tools were being used to determine whether or not the part was a right-hand or left-hand part, one of the tools would be expected to fail every time. This situation would result in the job failing every time, regardless of which side of the part was identified, were the checkbox checked.

Closed Execution Time (ms)

Displays the amount of time, in milliseconds, that the tool took to perform its inspection. This time may vary, depending upon the complexity of the scene in the image, as well as the position of the feature within the image, and the amount of variance allowed in the parameters.

Closed Description

A comment that describes the purpose of the tool (by default, the field is blank). Up to 255 alpha-numeric characters or 127 Asian language characters may be used.

Tip: Test your job, using TestRun. TestRun performs tests on the In-Sight vision system and compares the results of those tests against expected values. This will allow you to see whether or not the job is behaving as expected, or if you will need to adjust certain parameters for allowable variances.


Geometry Tools - Circle From N Points

The Circle From N Points Geometry Tool constructs a reference circle from 3 to 10 input features (points, the origins of fixtures or the center of circular features), and reports the diameter of the constructed circle.

Note: The tool returns the results in pixels, unless the image was calibrated to real-world units (In-Sight vision systems) or Field of View (Width) was set to real-world units (In-Sight 2000 series vision sensors) in the Set Up Image application step.

The Circle From N Points Geometry Tool is useful in situations where you need to create a reference circle out of existing features in the image.

Setting Up the Tool

Adjusting the Tool Parameters


Setting Up the Circle From N Points Geometry Tool

Once the tool has been added, you will need to define the input features (points, the origins of fixtures or the center of circular features) that will be used to construct the reference circle:

  1. After adding the tool, EasyBuilder will examine your image and give you a selection of Smart Features that it has automatically detected (highlighted in cyan), as well as any features that you have previously defined with another tool (highlighted in green).
  2. First select one of the features from the available features by clicking on it, at which point its color will change to magenta.
  3. Next, select the rest of the features that will be used to define the circle. A minimum of three input features and a maximum of ten may be selected.
  4. After selecting all of your desired features, press the OK button (press the Cancel button to not add the tool to the job).
  5. EasyBuilder then automatically constructs a reference circle from the selected input features. EasyBuilder will also insert an Edge Presence/Absence Tool and/or Circle Presence/Absence Tool for any features that were not previously defined (depending upon the tool and the type of feature).
  6. With the tool initially configured, load several images and adjust the tool's parameters, as needed, to compensate for your expected ranges of variations.
  7. Finally, if desired, use the tool's Input/Output properties to share tool data between other tools and/or other external devices.


Adjusting the Circle From N Points Geometry Tool Parameters

After the tool’s inputs have been set and accepted, you can begin customizing and fine-tuning the tool for your application.

The settings pane of the Circle From N Points Geometry Tool consists of the following:

  • General Tab
  • Range Limits Tab
Tip: Test your job, using TestRun. TestRun performs tests on the In-Sight vision system and compares the results of those tests against expected values. This will allow you to see whether or not the job is behaving as expected, or if you will need to adjust certain parameters for allowable variances.

General Tab

Range Limits Tab


Circle from N Points Geometry Tool - General Tab

Closed Tool Name

Defines the name of your inspection tool, which will be utilized in configuring the results (Inputs, Outputs and Communication); the default name is “Circle_1” (if it is the first tool added to the job that defines a circle, otherwise it will be incremented, e.g. “Circle_2”, “Circle_3”, etc.). Customize your tool by giving it a name that is associated with your particular application.

Closed Tool Image

Defines which image the tool will utilize to perform its inspection; the unfiltered, acquired image (the default setting), or the output image of an Image Filter Tool. This control is only enabled if an Image Filter Tool has been added.

Closed Tool Enabled

Defines when and whether or not the inspection tool should run (default setting is “On”). Select “Off” if you want to disable the tool; select "Expression" if you want to tie the tool's execution to the result of an Expression (this control is only enabled for tool's that provide an Expression parameter); or select an “Input” if you want the tool tied to a specific discrete input line, where it can be turned On or Off (a High signal, 1, is On, a Low signal, 0, is Off). Tying the tool to an input allows a control system, such as a PLC, to determine which tools should run.

Closed Include in Job Pass

Defines whether or not the tool's pass/failure status should be included in the job's overall pass/fail status; by default, it is checked and will be included in the job's overall pass/fail status. Uncheck the check box to keep the tool's pass/failure status separate from the other tools in the job. This control should be unchecked if a tool is expected to fail; for example, if two PatMax Patterns Identification Tools were being used to determine whether or not the part was a right-hand or left-hand part, one of the tools would be expected to fail every time. This situation would result in the job failing every time, regardless of which side of the part was identified, were the checkbox checked.

Closed Execution Time (ms)

Displays the amount of time, in milliseconds, that the tool took to perform its inspection. This time may vary, depending upon the complexity of the scene in the image, as well as the position of the feature within the image, and the amount of variance allowed in the parameters.

Closed Description

A comment that describes the purpose of the tool (by default, the field is blank). Up to 255 alpha-numeric characters or 127 Asian language characters may be used.


Circle from N Points Geometry Tool - Range Limits Tab

Closed Maximum

Defines the maximum acceptable diameter value; the tool will create a Smart Limit default setting based on your image, which you can customize to suit the needs of your application.

Closed Diameter

Reports the current measured diameter of the constructed circle; values that fall exactly at, or between, the Minimum and Maximum settings are classified as a Pass.

Note: The tool reports results in pixels, unless the image was calibrated to real-world units in Set Up Image.
Closed Minimum

Defines the minimum acceptable diameter value; the tool will create a Smart Limit default setting based on your image, which you can customize to suit the needs of your application.

Closed Invert Result

Defines whether or not the Pass/Fail logic of the tool should be inverted (default = Off, unchecked):

  • Unchecked - Standard results are applied, i.e. the tool result is a Pass if the feature was detected and falls within the specified settings.
  • Checked - Inverts the results, i.e. the tool result is a Fail if the feature was detected and falls within the specified settings.
Closed Auto Limits button

Defines the limits based on the Smart Limits settings. This button is useful when a parameter has been changed and the limits need to be adjusted, or the tool has been added and no limits have been defined.


Geometry Tools - Circle-Line Intersection

The Circle-Line Intersection Geometry Tool is used to identify the points on a circle where a line intersects the circle, and reports the X,Y coordinates of the intersection points of the circle by the line.

Note: The tool returns the results in pixels, unless the image was calibrated to real-world units (In-Sight vision systems) or Field of View (Width) was set to real-world units (In-Sight 2000 series vision sensors) in the Set Up Image application step.

The Circle-Line Intersection Geometry Tool is useful in situations where you want to verify the correct alignment between a circular feature and an edge feature, for example.

Setting Up the Tool

Adjusting the Tool Parameters


Setting Up the Circle-Line Intersection Geometry Tool

Once the tool has been added, you will need to define the circle and the edge feature or line that will intersect the circle:

  1. After adding the tool, EasyBuilder will examine your image and give you a selection of Smart Features that it has automatically detected (highlighted in cyan), as well as any features that you have previously defined with another tool (highlighted in green).
  2. First select a circular feature from the available features by clicking on it, at which point its color will change to magenta and a line will extend out from that feature.
  3. Next, select the edge feature or line that will intersect the circle
  4. After the second feature has been selected, EasyBuilder will automatically determine the intersection points of the circle by the line, and insert two points to define the intersection. EasyBuilder will also insert an Edge Presence/Absence Tool and/or Circle Presence/Absence Tool for any features that were not previously defined (depending upon the tool and the type of feature).
  5. With the tool initially configured, load several images and adjust the tool's parameters, as needed, to compensate for your expected ranges of variations.
  6. Finally, if desired, use the tool's Input/Output properties to share tool data between other tools and/or other external devices.


Adjusting the Circle-Line Intersection Geometry Tool Parameters

After the tool’s inputs have been set and accepted, you can begin customizing and fine-tuning the tool for your application.

The settings pane of the Circle-Line Intersection Geometry Tool consists of the following:

Closed General Tab
Closed Tool Name

Defines the name of your inspection tool, which will be utilized in configuring the results (Inputs, Outputs and Communication); the default name is “Intersect_1” (if it is the first Circle-Line or Line Intersection Geometry Tool added to the job, otherwise it will be incremented, e.g. “Intersect_2”, “Intersect_3”, etc.). Customize your tool by giving it a name that is associated with your particular application.

Closed Tool Image

Defines which image the tool will utilize to perform its inspection; the unfiltered, acquired image (the default setting), or the output image of an Image Filter Tool. This control is only enabled if an Image Filter Tool has been added.

Closed Tool Enabled

Defines when and whether or not the inspection tool should run (default setting is “On”). Select “Off” if you want to disable the tool; select "Expression" if you want to tie the tool's execution to the result of an Expression (this control is only enabled for tool's that provide an Expression parameter); or select an “Input” if you want the tool tied to a specific discrete input line, where it can be turned On or Off (a High signal, 1, is On, a Low signal, 0, is Off). Tying the tool to an input allows a control system, such as a PLC, to determine which tools should run.

Closed Include in Job Pass

Defines whether or not the tool's pass/failure status should be included in the job's overall pass/fail status; by default, it is checked and will be included in the job's overall pass/fail status. Uncheck the check box to keep the tool's pass/failure status separate from the other tools in the job. This control should be unchecked if a tool is expected to fail; for example, if two PatMax Patterns Identification Tools were being used to determine whether or not the part was a right-hand or left-hand part, one of the tools would be expected to fail every time. This situation would result in the job failing every time, regardless of which side of the part was identified, were the checkbox checked.

Closed Execution Time (ms)

Displays the amount of time, in milliseconds, that the tool took to perform its inspection. This time may vary, depending upon the complexity of the scene in the image, as well as the position of the feature within the image, and the amount of variance allowed in the parameters.

Closed Description

A comment that describes the purpose of the tool (by default, the field is blank). Up to 255 alpha-numeric characters or 127 Asian language characters may be used.

Closed Settings Tab
Closed Invert Result

Defines whether or not the Pass/Fail logic of the tool should be inverted (default = Off, unchecked):

  • Unchecked - Standard results are applied, i.e. the tool result is a Pass if the feature was detected and falls within the specified settings.
  • Checked - Inverts the results, i.e. the tool result is a Fail if the feature was detected and falls within the specified settings.
Tip: Test your job, using TestRun. TestRun performs tests on the In-Sight vision system and compares the results of those tests against expected values. This will allow you to see whether or not the job is behaving as expected, or if you will need to adjust certain parameters for allowable variances.


Geometry Tools - User-Defined Point

The User-Defined Point Geometry Tool allows you to plot the position of a reference point anywhere within the image, and reports the X,Y coordinates of the point.

The User-Defined Point Geometry Tool is useful in situations where you want to determine a measurement based on a reference point that is not a feature on the part or object being inspected.

Note:
  • The tool returns the results in pixels, unless the image was calibrated to real-world units (In-Sight vision systems) or Field of View (Width) was set to real-world units (In-Sight 2000 series vision sensors) in the Set Up Image application step.
  • The tool's point can also be used as a fixture for other tools, though the point does not offer any angular information.

Setting Up the Tool

Adjusting the Tool Parameters


Setting Up the User-Defined Point Geometry Tool

  1. Once the tool has been added, a magenta-colored cross-hair point graphic will appear on the image.
  2. Position the cross-hair point graphic where you would like in the image, and press the OK button to accept its position.
  3. With the tool initially configured, load several images and adjust the tool's parameters, as needed, to compensate for your expected ranges of variations.

  4. If desired, use the tool's Input/Output properties to share tool data between other tools and/or other external devices.

    Note: The tool's point can also be used as a fixture for other tools, though the point does not offer any angular information.


Adjusting the User-Defined Point Geometry Tool Parameters

After the tool’s inputs have been set and accepted, you can begin customizing and fine-tuning the tool for your application.

The settings pane of the User-Defined Point Geometry Tool consists of the following:

Closed General Tab
Closed Tool Name

Defines the name of your inspection tool, which will be utilized in configuring the results (Inputs, Outputs and Communication); the default name is “Point_1” (if it is the first tool added to the job that defines a point, otherwise it will be incremented, e.g. “Point_2”, “Point_3”, etc.). Customize your tool by giving it a name that is associated with your particular application.

Closed Tool Fixture

Defines a fixture for the tool. This control is only enabled if another tool that defines a fixture has already been added.

Closed Tool Enabled

Defines when and whether or not the inspection tool should run (default setting is “On”). Select “Off” if you want to disable the tool; select "Expression" if you want to tie the tool's execution to the result of an Expression (this control is only enabled for tool's that provide an Expression parameter); or select an “Input” if you want the tool tied to a specific discrete input line, where it can be turned On or Off (a High signal, 1, is On, a Low signal, 0, is Off). Tying the tool to an input allows a control system, such as a PLC, to determine which tools should run.

Closed Include in Job Pass

Defines whether or not the tool's pass/failure status should be included in the job's overall pass/fail status; by default, it is checked and will be included in the job's overall pass/fail status. Uncheck the check box to keep the tool's pass/failure status separate from the other tools in the job. This control should be unchecked if a tool is expected to fail; for example, if two PatMax Patterns Identification Tools were being used to determine whether or not the part was a right-hand or left-hand part, one of the tools would be expected to fail every time. This situation would result in the job failing every time, regardless of which side of the part was identified, were the checkbox checked.

Closed Execution Time (ms)

Displays the amount of time, in milliseconds, that the tool took to perform its inspection. This time may vary, depending upon the complexity of the scene in the image, as well as the position of the feature within the image, and the amount of variance allowed in the parameters.

Closed Description

A comment that describes the purpose of the tool (by default, the field is blank). Up to 255 alpha-numeric characters or 127 Asian language characters may be used.

Tip: Test your job, using TestRun. TestRun performs tests on the In-Sight vision system and compares the results of those tests against expected values. This will allow you to see whether or not the job is behaving as expected, or if you will need to adjust certain parameters for allowable variances.


Geometry Tools - User-Defined Line

The User-Defined Line Geometry Tool allows you to plot the position of a reference line anywhere within the image, and reports the X,Y coordinates of the end-points of the line.

Note: The tool returns the results in pixels, unless the image was calibrated to real-world units (In-Sight vision systems) or Field of View (Width) was set to real-world units (In-Sight 2000 series vision sensors) in the Set Up Image application step.

The User-Defined Line Geometry Tool is useful in situations where you want to determine a measurement based on a reference line that is not a feature on the part or object being inspected.

Setting Up the Tool

Adjusting the Tool Parameters


Setting Up the User-Defined Line Geometry Tool

  1. Once the tool has been added, a magenta-colored line will appear on the image.
  2. Position the line where you would like in the image, and press the OK button to accept its position.
  3. With the tool initially configured, load several images and adjust the tool's parameters, as needed, to compensate for your expected ranges of variations.
  4. Finally, if desired, use the tool's Input/Output properties to share tool data between other tools and/or other external devices.


Adjusting the User-Defined Line Geometry Tool Parameters

After the tool’s inputs have been set and accepted, you can begin customizing and fine-tuning the tool for your application.

The settings pane of the User-Defined Line Geometry Tool consists of the following:

Closed General Tab
Closed Tool Name

Defines the name of your inspection tool, which will be utilized in configuring the results (Inputs, Outputs and Communication); the default name is “Line_1” (if it is the first tool added to the job that defines a line, otherwise it will be incremented, e.g. “Line_2”, “Line_3”, etc.). Customize your tool by giving it a name that is associated with your particular application.

Closed Tool Fixture

Defines a fixture for the tool. This control is only enabled if another tool that defines a fixture has already been added.

Closed Tool Enabled

Defines when and whether or not the inspection tool should run (default setting is “On”). Select “Off” if you want to disable the tool; select "Expression" if you want to tie the tool's execution to the result of an Expression (this control is only enabled for tool's that provide an Expression parameter); or select an “Input” if you want the tool tied to a specific discrete input line, where it can be turned On or Off (a High signal, 1, is On, a Low signal, 0, is Off). Tying the tool to an input allows a control system, such as a PLC, to determine which tools should run.

Closed Include in Job Pass

Defines whether or not the tool's pass/failure status should be included in the job's overall pass/fail status; by default, it is checked and will be included in the job's overall pass/fail status. Uncheck the check box to keep the tool's pass/failure status separate from the other tools in the job. This control should be unchecked if a tool is expected to fail; for example, if two PatMax Patterns Identification Tools were being used to determine whether or not the part was a right-hand or left-hand part, one of the tools would be expected to fail every time. This situation would result in the job failing every time, regardless of which side of the part was identified, were the checkbox checked.

Closed Execution Time (ms)

Displays the amount of time, in milliseconds, that the tool took to perform its inspection. This time may vary, depending upon the complexity of the scene in the image, as well as the position of the feature within the image, and the amount of variance allowed in the parameters.

Closed Description

A comment that describes the purpose of the tool (by default, the field is blank). Up to 255 alpha-numeric characters or 127 Asian language characters may be used.

Closed Settings Tab
Closed Line

Reports the X,Y coordinates of the end-points of the constructed line segment.

Note: The tool reports results in pixels, unless the image was calibrated to real-world units in Set Up Image.
Tip: Test your job, using TestRun. TestRun performs tests on the In-Sight vision system and compares the results of those tests against expected values. This will allow you to see whether or not the job is behaving as expected, or if you will need to adjust certain parameters for allowable variances.


Geometry Tools - Circle Fit

The Circle Fit Geometry Tool constructs a best-fit circle based on detected edges. The tool uses edge analysis Caliper arrays to precisely locate edge features. Once the edge has been identified, the tool constructs a best-fit circle over the edge feature. The tool then reports the radius of the best-fit circle and its center point.

Note:
  • The tool reports results in pixels, unless the image was calibrated to real-world units in Set Up Image.
  • All input values are in pixels, regardless if the tool was calibrated to real-world units.

The Circle Fit Geometry Tool is useful in situations where you want to ensure that your part or object has the same shape. This tool is capable of creating a more accurate, though slower, best-fit circle than the Circle From N Points Geometry Tool, for example.

Setting Up the Tool

Adjusting the Tool Parameters


Setting Up the Circle Fit Geometry Tool

Once the tool has been added, you will need to configure the masked region in the image over the edge feature that you want to inspect:

  1. Position and configure the annular-shaped masked region within the image over the edge feature; you can adjust both the outer radius and inner radius of the annulus to ensure its detecting the proper edges. When positioning and configuring the region, ensure that the edges are parallel to the region's search direction, and that the region encloses as much of the edge feature as possible, while also excluding unnecessary or unwanted noise from the region.

    Note: The dashed yellow line within the Masked Region defines the area within the region where edge transitions will be detected.

  2. Press the OK button to confirm the region (press the Cancel button to not add the tool to the job).

  3. After you have confirmed the region, select the various tabs, Edges, Edge Scoringand Fit, and adjust the parameters and region, as needed, to ensure that the tool is detecting the correct edge candidates and creating the correct best-fit line or circle.
  4. With the tool initially configured, load several images and adjust the tool's parameters, as needed, to compensate for your expected ranges and variations.
  5. Finally, if desired, use the tool's Input/Output properties to share tool data between other tools and/or other external devices.


Adjusting the Circle Fit Geometry Tool Parameters

After the tool’s region has been positioned, you can optimize the tool for your application.

The settings pane of the Circle Fit Geometry Tool consists of the following tabs:

  • General Tab
  • Edges Tab
  • Edge Scoring Tab
  • Fit Tab
Tip: Test your job, using TestRun. TestRun performs tests on the In-Sight vision system and compares the results of those tests against expected values. This will allow you to see whether or not the job is behaving as expected, or if you will need to adjust certain parameters for allowable variances.

General Tab

Fit Tab

Edges Tab

Edge Scoring Tab


Circle Fit Geometry Tool - General Tab

Closed Tool Name

Defines the name of your inspection tool, which will be utilized in configuring the results Inputs/Outputs and Communication); the default name is “CircleFit_1” (if it is the first Circle Fit Geometry Tool added to the job, otherwise it will be incremented, e.g. “CircleFit_2”, “CircleFit_3”, etc.). Customize your tool by giving it a name that is associated with your particular application.

Closed Tool Image

Defines which image the tool will utilize to perform its inspection; the unfiltered, acquired image (the default setting), or the output image of an Image Filter Tool. This control is only enabled if an Image Filter Tool has been added.

Closed Tool Fixture

Defines a fixture for the tool. This control is only enabled if another tool that defines a fixture has already been added.

Closed Tool Enabled

Defines when and whether or not the inspection tool should run (default setting is “On”). Select “Off” if you want to disable the tool; select "Expression" if you want to tie the tool's execution to the result of an Expression (this control is only enabled for tool's that provide an Expression parameter); or select an “Input” if you want the tool tied to a specific discrete input line, where it can be turned On or Off (a High signal, 1, is On, a Low signal, 0, is Off). Tying the tool to an input allows a control system, such as a PLC, to determine which tools should run.

Closed Include in Job Pass

Defines whether or not the tool's pass/failure status should be included in the job's overall pass/fail status; by default, it is checked and will be included in the job's overall pass/fail status. Uncheck the check box to keep the tool's pass/failure status separate from the other tools in the job. This control should be unchecked if a tool is expected to fail; for example, if two PatMax Patterns Identification Tools were being used to determine whether or not the part was a right-hand or left-hand part, one of the tools would be expected to fail every time. This situation would result in the job failing every time, regardless of which side of the part was identified, were the checkbox checked.

Closed Execution Time (ms)

Displays the amount of time, in milliseconds, that the tool took to perform its inspection. This time may vary, depending upon the complexity of the scene in the image, as well as the position of the feature within the image, and the amount of variance allowed in the parameters.

Closed Description

A comment that describes the purpose of the tool (by default, the field is blank). Up to 255 alpha-numeric characters or 127 Asian language characters may be used.


Circle Fit Geometry Tool - Fit Tab

When the Fit tab is selected, the tool will display all of the found edge candidates within the region and the best-fit circle result. The edge candidates represent the possible edges to be considered when constructing the best-fit circle, and edge candidates are indicated by small, color coded circles.

Closed Filter Outliers

Defines whether or not the tool will remove points from the best-fit line that are further than the distance defined by the Fit Distance Filter parameter (by default, this parameter is enabled).

Closed Fit Distance Filter

Defines the distance (1 - 1920; default = 2), in pixels, from which an edge must be from the original best-fit line to be utilized in a re-fit calculation. This parameter is helpful in preventing defects from affecting the line fit.

Note: The Filter Outliers parameter must be checked (enabled) to use this parameter.
Closed Furthest Point Filter Distance

Defines the outlier distance (1 - 1920; default = 1000) beyond which edges are not used to determine the minimum and maximum distances; any edge which is greater than this value will be ignored.

Closed Re-Score

Defines whether or not the detected edges will be re-scored to ensure that detected edges that were initially discarded were filtered correctly (by default, this parameter is enabled).

Closed Re-Fit

Defines whether or not the tool will re-fit the best-fit line after the edges have been re-scored (by default, this parameter is enabled).

Note: The accuracy of the tool will be higher with this parameter enabled, however it adds processing time.
Closed Result

Displays the best-fit line in the image and reports the radius of the best-fit circle and its center point.


Circle Fit Geometry Tool - Edges Tab

When the Edges tab is selected, the tool will display all of the detected edges, outlined in dark green, within the region. You can adjust the Caliper Size, Caliper Spacing, Edge Width and Minimum Contrast parameters, as needed, to isolate the desired edges.

You may also choose to view all of the Calipers by enabling the Show All Calipers parameter.

The region may also be selected and adjusted while in this tab.

Closed Caliper Size

Defines the number of pixels, per Caliper, that are to be analyzed along the direction of the inspection (1 - 639; default = 5).

Closed Caliper Spacing

Defines the distance, in pixels, between the end of one Caliper and the start of the next Caliper (-1 - 639; default = 0).

Closed Edge Width

Defines the pixel distance (1 - 10; default = 3) over which an edge transition takes place. This setting helps filter noise from the image.

Closed Minimum Contrast

Defines the minimum greyscale contrast transition (1 - 255; default = 10) to be considered an edge.

Closed Caliper Count

Displays the total number of Calipers within the region.

Closed Caliper Index

Defines which individual Caliper to isolate and display.

Closed Show All Calipers

Defines whether or not all of the Calipers within the region are displayed at all times; by default, the Calipers are hidden.


Circle Fit Geometry Tool - Edge Scoring Tab

When the Edge Scoring tab is selected, the tool will display all of the detected edge candidates, indicated by small, color coded circles, within the region (which may be selected and adjusted) and the best-fit line or circle result. The edge candidates represent the possible edges to be considered when constructing the best-fit line or circle; adjust the parameters to isolate the desired edge candidates.

Any detected defects and gaps will also be displayed.

Closed Find Edge Direction

Defines the direction in which the tool will attempt to detect edges, relative to the region (Left-to-Right or Right-to-Left; default = Left-to-Right).

Closed Edge Transition

Defines the transition of the edge (Dark-to-Light, Light-to-Dark or Either; default = Either). For increased accuracy and speed, specify the type of transition.

Closed Rule:First Edge

Defines whether or not the first edge detected receives the highest consideration when determining whether or not an edge candidate meets the criteria to be considered an edge (by default, this setting is enabled).

Closed Rule:Strongest Edge

Defines whether or not the edge with the strongest contrast transition receives the highest consideration when determining whether or not an edge candidate meets the criteria to be considered an edge (by default, this setting is enabled).

Closed Score Threshold

Defines a scoring threshold to filter out edges with scores (0 - 255; default = 10) lower than this value.


Geometry Tools - Line Fit

The Line Fit Geometry Tool constructs a best-fit line based on detected edges. The tool uses edge analysis Caliper arrays to precisely locate edge features. Once the edge has been identified, the tool constructs a best-fit line over the edge feature. The tool then reports the X/Y coordinates of the line segment's starting and stopping points.

Note:
  • The tool reports results in pixels, unless the image was calibrated to real-world units in Set Up Image.
  • All input values are in pixels, regardless if the tool was calibrated to real-world units.

The Line Fit Geometry Tool is useful in situations where you want to ensure that your part or object has the same shape. This tool is capable of creating a more accurate, though slower, best-fit line than the Line From N Points Geometry Tool, for example.

Setting Up the Tool

Adjusting the Tool Parameters


Setting Up the Line Fit Geometry Tool

Once the tool has been added, you will need to configure the masked region in the image over the edge feature that you want to inspect:

  1. Position and configure the region within the image over the edge feature. When positioning the region, ensure that the edges are parallel to the region's search direction, and that the region encloses as much of the edge feature as possible, while also excluding unnecessary or unwanted noise from the region.

    Note: The dashed yellow line within the Masked Region defines the area within the region where edge transitions will be detected.

  2. Press the OK button to confirm the region (press the Cancel button to not add the tool to the job).

  3. After you have confirmed the region, select the various tabs, Edges, Edge Scoringand Fit, and adjust the parameters and region, as needed, to ensure that the tool is detecting the correct edge candidates and creating the correct best-fit line or circle.
  4. With the tool initially configured, load several images and adjust the tool's parameters, as needed, to compensate for your expected ranges and variations.
  5. Finally, if desired, use the tool's Input/Output properties to share tool data between other tools and/or other external devices.


Adjusting the Line Fit Geometry Tool Parameters

After the tool’s region has been positioned, you can optimize the tool for your application.

The settings pane of the Line Fit Geometry Tool consists of the following tabs:

  • General Tab
  • Edges Tab
  • Edge Scoring Tab
  • Fit Tab
Tip: Test your job, using TestRun. TestRun performs tests on the In-Sight vision system and compares the results of those tests against expected values. This will allow you to see whether or not the job is behaving as expected, or if you will need to adjust certain parameters for allowable variances.

General Tab

Fit Tab

Edges Tab

Edge Scoring Tab


Line Fit Geometry Tool - General Tab

Closed Tool Name

Defines the name of your inspection tool, which will be utilized in configuring the results Inputs/Outputs and Communication); the default name is “LineFit_1” (if it is the first Line Fit Geometry Tool added to the job, otherwise it will be incremented, e.g. “LineFit_2”, “LineFit_3”, etc.). Customize your tool by giving it a name that is associated with your particular application.

Closed Tool Image

Defines which image the tool will utilize to perform its inspection; the unfiltered, acquired image (the default setting), or the output image of an Image Filter Tool. This control is only enabled if an Image Filter Tool has been added.

Closed Tool Fixture

Defines a fixture for the tool. This control is only enabled if another tool that defines a fixture has already been added.

Closed Tool Enabled

Defines when and whether or not the inspection tool should run (default setting is “On”). Select “Off” if you want to disable the tool; select "Expression" if you want to tie the tool's execution to the result of an Expression (this control is only enabled for tool's that provide an Expression parameter); or select an “Input” if you want the tool tied to a specific discrete input line, where it can be turned On or Off (a High signal, 1, is On, a Low signal, 0, is Off). Tying the tool to an input allows a control system, such as a PLC, to determine which tools should run.

Closed Include in Job Pass

Defines whether or not the tool's pass/failure status should be included in the job's overall pass/fail status; by default, it is checked and will be included in the job's overall pass/fail status. Uncheck the check box to keep the tool's pass/failure status separate from the other tools in the job. This control should be unchecked if a tool is expected to fail; for example, if two PatMax Patterns Identification Tools were being used to determine whether or not the part was a right-hand or left-hand part, one of the tools would be expected to fail every time. This situation would result in the job failing every time, regardless of which side of the part was identified, were the checkbox checked.

Closed Execution Time (ms)

Displays the amount of time, in milliseconds, that the tool took to perform its inspection. This time may vary, depending upon the complexity of the scene in the image, as well as the position of the feature within the image, and the amount of variance allowed in the parameters.

Closed Description

A comment that describes the purpose of the tool (by default, the field is blank). Up to 255 alpha-numeric characters or 127 Asian language characters may be used.


Line Fit Geometry Tool - Fit Tab

When the Fit tab is selected, the tool will display all of the found edge candidates within the region and the best-fit line result. The edge candidates represent the possible edges to be considered when constructing the best-fit line, and edge candidates are indicated by small, color coded circles.

Closed Filter Outliers

Defines whether or not the tool will remove points from the best-fit line that are further than the distance defined by the Fit Distance Filter parameter (by default, this parameter is enabled).

Closed Fit Distance Filter

Defines the distance (1 - 1920; default = 2), in pixels, from which an edge must be from the original best-fit line to be utilized in a re-fit calculation. This parameter is helpful in preventing defects from affecting the line fit.

Note: The Filter Outliers parameter must be checked (enabled) to use this parameter.
Closed Furthest Point Filter Distance

Defines the outlier distance (1 - 1920; default = 1000) beyond which edges are not used to determine the minimum and maximum distances; any edge which is greater than this value will be ignored.

Closed Re-Score

Defines whether or not the detected edges will be re-scored to ensure that detected edges that were initially discarded were filtered correctly (by default, this parameter is enabled).

Closed Re-Fit

Defines whether or not the tool will re-fit the best-fit line after the edges have been re-scored (by default, this parameter is enabled).

Note: The accuracy of the tool will be higher with this parameter enabled, however it adds processing time.
Closed Result

Displays the best-fit line in the image and reports the X/Y coordinates of the line segment's starting and stopping points.


Line Fit Geometry Tool - Edges Tab

When the Edges tab is selected, the tool will display all of the detected edges, outlined in dark green, within the region. You can adjust the Caliper Size, Caliper Spacing, Edge Width and Minimum Contrast parameters, as needed, to isolate the desired edges.

You may also choose to view all of the Calipers by enabling the Show All Calipers parameter.

The region may also be selected and adjusted while in this tab.

Closed Caliper Size

Defines the number of pixels, per Caliper, that are to be analyzed along the direction of the inspection (1 - 639; default = 5).

Closed Caliper Spacing

Defines the distance, in pixels, between the end of one Caliper and the start of the next Caliper (-1 - 639; default = 0).

Closed Edge Width

Defines the pixel distance (1 - 10; default = 3) over which an edge transition takes place. This setting helps filter noise from the image.

Closed Minimum Contrast

Defines the minimum greyscale contrast transition (1 - 255; default = 10) to be considered an edge.

Closed Caliper Count

Displays the total number of Calipers within the region.

Closed Caliper Index

Defines which individual Caliper to isolate and display.

Closed Show All Calipers

Defines whether or not all of the Calipers within the region are displayed at all times; by default, the Calipers are hidden.


Line Fit Geometry Tool - Edge Scoring Tab

When the Edge Scoring tab is selected, the tool will display all of the detected edge candidates, indicated by small, color coded circles, within the region (which may be selected and adjusted) and the best-fit line or circle result. The edge candidates represent the possible edges to be considered when constructing the best-fit line or circle; adjust the parameters to isolate the desired edge candidates.

Any detected defects and gaps will also be displayed.

Closed Find Edge Direction

Defines the direction in which the tool will attempt to detect edges, relative to the region (Left-to-Right or Right-to-Left; default = Left-to-Right).

Closed Edge Transition

Defines the transition of the edge (Dark-to-Light, Light-to-Dark or Either; default = Either). For increased accuracy and speed, specify the type of transition.

Closed Rule:First Edge

Defines whether or not the first edge detected receives the highest consideration when determining whether or not an edge candidate meets the criteria to be considered an edge (by default, this setting is enabled).

Closed Rule:Strongest Edge

Defines whether or not the edge with the strongest contrast transition receives the highest consideration when determining whether or not an edge candidate meets the criteria to be considered an edge (by default, this setting is enabled).

Closed Score Threshold

Defines a scoring threshold to filter out edges with scores (0 - 255; default = 10) lower than this value.


Math & Logic Tools - Math

The Math Math & Logic Tool allows you to construct a mathematical formula to process tool and job data, using standard math operators, logic, statistics and trigonometry functions.

The Math Math & Logic Tool is useful in situations where you want to add the defect counts from two tools or return the average of Measurement Tools, for example.

Setting Up the Tool

Adjusting the Tool Parameters


Setting Up the Math Math & Logic Tool

Note: This tool requires other Location and/or Inspection Tools to be used as inputs. Assemble the other Location and/or Inspection Tools that will be used as inputs to this tool prior to adding this tool; otherwise you will be unable to construct the Expressions and will have to add the necessary Location and/or Inspection Tools and then return to this tool after having configured the other tools.

Once the tool has been added, you will need to construct your Expression.

  1. Construct your Expression by choosing and then entering the mathematical functions from the left-side of the settings pane, and values (tool and job data) from the right-side. To enter a function or value in the Expression formula editor, select the function or value and press the Enter key, double-click the function or value or press the Insert button.

  2. Once you have built your Expression, define the range limits of the tool by clicking on the Range Limits tab. By default, the Maximum is set to 9,999,999 and the Minimum is set to -9,999,999, allowing you to customize the limits based on the needs of your application.

    Note: If the result of the Expression returns a text string, the Maximum and Minimum limits will be disabled.
  3. With the tool initially configured, load several images and adjusting the tool's parameters, as needed, to compensate for your expected ranges of variations.
  4. Finally, if desired, use the tool's Input/Output properties to share tool data between other tools and/or other external devices.


Adjusting the Math Math & Logic Tool Parameters

After the tool has been added to your job, you can begin customizing and fine-tuning the tool for your application.

The settings pane of the Math Math & Logic Tool consists of the following:

  • General Tab
  • Range Limits Tab
  • Expression
Tip: Test your job, using TestRun. TestRun performs tests on the In-Sight vision system and compares the results of those tests against expected values. This will allow you to see whether or not the job is behaving as expected, or if you will need to adjust certain parameters for allowable variances.

General Tab

Expression

Range Limits Tab


Math Math & Logic Tool - General Tab

Closed Tool Name

Defines the name of your inspection tool, which will be utilized in configuring the results Inputs/Outputs and Communication); the default name is “Math_1” (if it is the first Math Math & Logic Tool added to the job, otherwise it will be incremented, e.g. “Math_2”, “Math_3”, etc.). Customize your tool by giving it a name that is associated with your particular application.

Closed Tool Enabled

Defines when and whether or not the inspection tool should run (default setting is “On”). Select “Off” if you want to disable the tool; select "Expression" if you want to tie the tool's execution to the result of an Expression (this control is only enabled for tool's that provide an Expression parameter); or select an “Input” if you want the tool tied to a specific discrete input line, where it can be turned On or Off (a High signal, 1, is On, a Low signal, 0, is Off). Tying the tool to an input allows a control system, such as a PLC, to determine which tools should run.

Closed Include in Job Pass

Defines whether or not the tool's pass/failure status should be included in the job's overall pass/fail status; by default, it is checked and will be included in the job's overall pass/fail status. Uncheck the check box to keep the tool's pass/failure status separate from the other tools in the job. This control should be unchecked if a tool is expected to fail; for example, if two PatMax Patterns Identification Tools were being used to determine whether or not the part was a right-hand or left-hand part, one of the tools would be expected to fail every time. This situation would result in the job failing every time, regardless of which side of the part was identified, were the checkbox checked.

Closed Execution Time (ms)

Displays the amount of time, in milliseconds, that the tool took to perform its inspection. This time may vary, depending upon the complexity of the scene in the image, as well as the position of the feature within the image, and the amount of variance allowed in the parameters.

Closed Description

A comment that describes the purpose of the tool (by default, the field is blank). Up to 255 alpha-numeric characters or 127 Asian language characters may be used.


Math Math & Logic Tool - Expression

Note: These controls are disabled when the In-Sight vision system is Online.
Closed Expression

The Expression text box is used to construct a mathematical formula that processes tool results and data. Enter data by either using the keyboard and typing in the name of the mathematical function or job/tool data, or utilize the Vision Tools Tree, Mathematics Tree, Text Tree and/or Vision Data Access Tree on the left-hand side, and the Job and Tool Data Symbol Tree on the right-hand side, to assemble the formula. You can enter items by either double-clicking the items, or highlighting them and pressing the Insert button.

Note:
  • If the Expression references a tool that has been deleted, the reference will automatically be replaced by "Job.MissingArg" in the formula. The tool will return a Fail until the reference is corrected.
  • When constructing formulas, EasyBuilder does not correctly parse tool names that begin with a cell address (e.g. A3_MyTool or P10_SortTool). If expressions need to be created for those tools, rename the tool before creating the formula.
Tip:

When determining if a text string matches another string, use the Exact Function. The If Function is used when comparing values; EasyBuilder returns an Error when the If Function attempts to compare strings.

Example: The text string being used by a Read ID Codes Identification Tool needs to be compared to a string being read by a Read Text Identification Tool, to ensure they match. The following formula could be constructed in the Expression: Exact(IDCode_1.String,Text_1.Result).

Closed Vision Tools

The Vision Tools Tree contains additional edge functions that can be used to construct your Expression. Functions can be added to the Expression by one of three methods:

  • Expand the Edge tree, select the desired function and then press the Insert button.
  • Expand the Edge tree, and double-click the desired function.
  • Using a keyboard, type the name of the desired function directly in the text box of the Expression.
Note: The list of functions available is contingent upon the cursor's placement in the Expression. If the cursor is located within the Expression in a location that prohibits a mathematical function from being added, those functions are unavailable until the cursor is in a location where they can be added.
Closed Mathematics Function Tree

The Mathematics Function Tree contains mathematical functions that can be used to construct your Expression. Functions can be added to the Expression by one of three methods:

  • Expand the Mathematics tree, select the desired function and then press the Insert button.
  • Expand the Mathematics tree, and double-click the desired function.
  • Using a keyboard, type the name of the desired function directly in the text box of the Expression.
Note: The list of functions available is contingent upon the cursor's placement in the Expression. If the cursor is located within the Expression in a location that prohibits a mathematical function from being added, those functions are unavailable until the cursor is in a location where they can be added.
Closed Text Function Tree

The Text Function Tree contains functions to format alphanumeric data for display and communications, and can be used to construct your Expression. Functions can be added to the Expression by one of three methods:

  • Expand the Text tree, select the desired function and then press the Insert button.
  • Expand the Text tree, and double-click the desired function.
  • Using a keyboard, type the name of the desired function directly in the text box of the Expression.
Note: The list of functions available is contingent upon the cursor's placement in the Expression. If the cursor is located within the Expression in a location that prohibits a mathematical function from being added, those functions are unavailable until the cursor is in a location where they can be added.
Closed Vision Data Access

The Vision Data Access Tree contains additional data that is not available by default that can be used to construct your Expression. Functions can be added to the Expression by one of three methods:

  • Expand the Vision Data Access tree, select the desired function and then press the Insert button.
  • Expand the Vision Data Access tree, and double-click the desired function.
  • Using a keyboard, type the name of the desired function directly in the text box of the Expression.
Note:
  • The list of functions available is contingent upon the cursor's placement in the Expression. If the cursor is located within the Expression in a location that prohibits a mathematical function from being added, those functions are unavailable until the cursor is in a location where they can be added.
  • EasyBuilder only supports Blobs, Edges and Patterns Vision Data Access functions.
Closed Job and Tool Data Symbol Tree

The Job and Tool Data Symbol Tree contains the data output by Location and/or Inspection Tools, as well as Input lines and job data, such as image acquisition parameters. The job and tool data are symbolic references to the values contained within them. Symbols can be added to the Expression by one of three methods:

  • Expand the tree, select the desired symbolic reference and then press the Insert button.
  • Expand the tree, and double-click the desired symbolic reference.
  • Using a keyboard, type the name of the desired symbolic reference directly in the text box of the Expression.
Note: The list of symbols available is contingent upon the cursor's placement in the Expression. If the cursor is located within the Expression in a location that prohibits a symbol from being added, those symbols are unavailable until the cursor is in a location where they can be added.
Closed Insert Button

The Insert button is used to place mathematical functions and symbols into the Expression. Select the desired mathematical function or symbol and then press the Insert button to add the function or symbol to the Expression.

Note: This control works in conjunction with the Mathematics Function Tree and Job and Tool Data Symbol Tree; if the selected item in either list is valid for the particular location of the cursor in the Expression text box, the Insert button will be enabled.
Closed Open Parenthesis, Comma, Close Parenthesis Buttons

The Open Parenthesis, Comma and Close Parenthesis buttons are used to construct mathematical formulas. Press the appropriate button to add them to your formula.

Note: These controls work in conjunction with the Mathematics Function Tree and Job and Tool Data Symbol Tree; if the selected item in either list is valid for the particular location of the cursor in the Expression text box, the buttons will be enabled.


Math Math & Logic Tool - Range Limits Tab

Closed Maximum

Sets the maximum acceptable number for the formula; by default, the tool assigns a maximum of 9,999,999. You must customize this value for your application.

Closed Result

Reports the outcome of the Expression; values that fall exactly at, or between the Minimum and Maximum settings, are classified as a Pass.

Closed Minimum

Sets the minimum acceptable number for the formula; by default, the tool assigns a minimum of -9,999,999. You must customize this value for your application.

Closed Invert

Defines whether or not the Pass/Fail logic of the tool should be inverted (default = Off, unchecked):

  • Unchecked - Standard results are applied, i.e. the tool result is a Pass if the feature was detected and falls within the specified settings.
  • Checked - Inverts the results, i.e. the tool result is a Fail if the feature was detected and falls within the specified settings.
Closed Auto Limits button

Defines the limits based on the Smart Limits settings. This button is useful when a parameter has been changed and the limits need to be adjusted, or the tool has been added and no limits have been defined.

Note: If the result of the Expression returns a text string, the Maximum and Minimum limits will be disabled.


Math & Logic Tools - Logic

The Logic Math & Logic Tool allows you to construct a formula to process tool pass and fail data, using standard Boolean logic operators.

This tool returns the following results:

In-Sight Models | Results
In-Sight 2000 Series 1XX Vision Sensors (110, 120, 130) | Pass/Fail status only
In-Sight Vision Systems (All Models) and In-Sight 2000 Series 23X Vision Sensors (23M, 230) | Standard Results (No Limitations)

Setting Up the Tool

Adjusting the Tool Parameters


Setting Up the Logic Math & Logic Tool

Note: This tool requires other Location and/or Inspection Tools to be used as inputs. Assemble the other Location and/or Inspection Tools that will be used as inputs to this tool prior to adding this tool; otherwise you will be unable to construct the Expressions and will have to add the necessary Location and/or Inspection Tools and then return to this tool after having configured the other tools.

Once the tool has been added, you will need to construct your Expression. The Expression text box is used to construct a logical formula of tool pass and fail results.

In-Sight 2000 Series Vision Sensors

  1. Construct your Expression by adding the tool's Pass or Fail result. To enter Pass or Fail result in the Expression formula editor, select the result and double-click it or press the Insert button.
  2. Once you have built your Expression, optionally invert the Pass/Fail logic of the tool.
  3. With the tool initially configured, load several images and adjust the tool's parameters, as needed, to compensate for your results.
  4. Finally, if desired, use the tool's Input/Output properties to share tool data between other tools and/or other external devices.

In-Sight Vision Systems

  1. Construct your Expression by adding the tool's Pass or Fail result. To enter Pass or Fail result in the Expression formula editor, select the result double-click it or press the Insert button.
  2. Once you have built your Expression, optionally invert the Pass/Fail logic of the tool from the Settings tab.
  3. With the tool initially configured, load several images and adjust the tool's parameters, as needed, to compensate for your results.
  4. Finally, if desired, use the tool's Input/Output properties to share tool data between other tools and/or other external devices.


Adjusting the Logic Math & Logic Tool Parameters

After the tool has been added to your job, you can begin customizing and fine-tuning the tool for your application.

In-Sight 2000 Series Vision Sensors

  • Edit Tool Group Box

In-Sight Vision Systems

The settings pane of the Logic Math & Logic Tool consists of the following:

  • General Tab
  • Settings Tab
  • Expression
Tip: Test your job, using TestRun. TestRun performs tests on the In-Sight vision system and compares the results of those tests against expected values. This will allow you to see whether or not the job is behaving as expected, or if you will need to adjust certain parameters for allowable variances.

In-Sight 2000 Series Vision Sensors

In-Sight Vision Systems

Copyright © 2008 - 2019 | Cognex Corporation | All Rights Reserved.

EasyBuilder Help | 2019 October 02 | Revision: 5.8.0.1


Adjusting the Logic Math & Logic Tool Parameters

Note: This topic describes the user interface when connected to an In-Sight 2000 series vision sensor. If connected to In-Sight vision systems, refer to the In-Sight Vision System section of Adjusting the Logic Math & Logic Tool Parameters.
Closed Expression

The Expression text box is used to construct a logical formula of tool pass and fail results. Use the Job and Tool Data Symbol Tree to assemble the formula. You can enter items by either double-clicking them, or highlighting them and pressing the Insert button.

Note: If the Expression references a tool that has been deleted, the reference will automatically be replaced by "Job.MissingArg" in the formula. The tool will return a Fail until the reference is corrected.
Closed Job and Tool Data Symbol Tree

The Job and Tool Data Symbol Tree contains the tool pass and fail results output by Location and/or Inspection Tools. The job and tool data are symbolic references to the values contained within them. Symbols can be added to the Expression by one of two methods:

  • Expand the tree, select the desired symbolic reference and then press the Insert button.
  • Expand the tree, and double-click the desired symbolic reference.
Note: The list of symbols available is contingent upon the cursor's placement in the Expression. If the cursor is located within the Expression in a location that prohibits a symbol from being added, those symbols are unavailable until the cursor is in a location where they can be added.
Closed Insert Button

The Insert button is used to place symbols into the Expression. Select the desired symbol and then press the Insert button to add the symbol to the Expression.

Closed Open Parenthesis, Comma, Close Parenthesis, AND, OR and NOT Buttons

The Open Parenthesis, Comma, Close Parenthesis, AND, OR and NOT buttons are used to construct formulas. Press the appropriate button to add them to your formula.

Closed Delete Button

The Delete button is used to delete highlighted words or symbols from the Expression. Highlight the desired word or symbol and press Delete.

Closed Invert Result

When enabled, the tool fails if the result falls within the range limits. (Default = Off)

Pass/Fail | (Invert) | Pass/Fail
Pass/Fail | (Invert) | Pass/Fail
Closed Execution Time (ms)

Displays the amount of time, in milliseconds, that the tool took to perform its inspection. This time may vary, depending upon the complexity of the scene in the image, as well as the position of the feature within the image, and the amount of variance allowed in the parameters.

Closed Name

Defines the name of your inspection tool. The default name is “Logic_1” (if it is the first Logic Math & Logic Tool added to the job, otherwise it will be incremented, e.g. “Logic_2”, “Logic_3”, etc.).

Closed Enabled

Defines when and whether or not the inspection tool should run (default setting is “On”).

  • Select “Off” if you want to disable the tool.
  • Select an Input line if you want the tool tied to a specific discrete input line, where it can be turned On or Off (a High signal, 1, is On, a Low signal, 0, is Off). Connecting the tool to an input allows a control system, such as a PLC, to determine which tools should run, and when.
Closed Description

A comment that describes the purpose of the tool (by default, the field is blank). Up to 255 alpha-numeric characters or 127 Asian language characters may be used.


Logic Math & Logic Tool - General Tab

Closed Tool Name

Defines the name of your inspection tool. The default name is “Logic_1” (if it is the first Logic Math & Logic Tool added to the job, otherwise it will be incremented, e.g. “Logic_2”, “Logic_3”, etc.). Customize your tool by giving it a name that is associated with your particular application.

Closed Tool Enabled

Defines when and whether or not the inspection tool should run (default setting is “On”). Select “Off” if you want to disable the tool; select "Expression" if you want to tie the tool's execution to the result of an Expression (this control is only enabled for tool's that provide an Expression parameter); or select an “Input” if you want the tool tied to a specific discrete input line, where it can be turned On or Off (a High signal, 1, is On, a Low signal, 0, is Off). Tying the tool to an input allows a control system, such as a PLC, to determine which tools should run.

Closed Include in Job Pass

Defines whether or not the tool's pass/failure status should be included in the job's overall pass/fail status; by default, it is checked and will be included in the job's overall pass/fail status. Uncheck the check box to keep the tool's pass/failure status separate from the other tools in the job. This control should be unchecked if a tool is expected to fail; for example, if two PatMax Patterns Identification Tools were being used to determine whether or not the part was a right-hand or left-hand part, one of the tools would be expected to fail every time. This situation would result in the job failing every time, regardless of which side of the part was identified, were the checkbox checked.

Closed Execution Time (ms)

Displays the amount of time, in milliseconds, that the tool took to perform its inspection. This time may vary, depending upon the complexity of the scene in the image, as well as the position of the feature within the image, and the amount of variance allowed in the parameters.

Closed Description

A comment that describes the purpose of the tool (by default, the field is blank). Up to 255 alpha-numeric characters or 127 Asian language characters may be used.


Logic Math & Logic Tool - Expression

Note: These controls are disabled when the In-Sight vision system is Online.
Closed Expression

The Expression text box is used to construct a logical formula of tool pass and fail results. Use the Job and Tool Data Symbol Tree to assemble the formula. You can enter items by either double-clicking them, or highlighting them and pressing the Insert button.

Note:
  • If the Expression references a tool that has been deleted, the reference will automatically be replaced by "Job.MissingArg" in the formula. The tool will return a Fail until the reference is corrected.
  • When constructing formulas, EasyBuilder does not correctly parse tool names that begin with a cell address (e.g. A3_MyTool or P10_SortTool). If expressions need to be created for those tools, rename the tool before creating the formula.
Closed Job and Tool Data Symbol Tree

The Job and Tool Data Symbol Tree contains the tool pass and fail results output by Location and/or Inspection Tools. The job and tool data are symbolic references to the values contained within them. Symbols can be added to the Expression by one of three methods:

  • Expand the tree, select the desired symbolic reference and then press the Insert button.
  • Expand the tree, and double-click the desired symbolic reference.
  • Using a keyboard, type the name of the desired symbolic reference directly in the text box of the Expression.
Note: The list of symbols available is contingent upon the cursor's placement in the Expression. If the cursor is located within the Expression in a location that prohibits a symbol from being added, those symbols are unavailable until the cursor is in a location where they can be added.
Closed Insert Button

The Insert button is used to place symbols into the Expression. Select the desired symbol and then press the Insert button to add the symbol to the Expression.

Closed Open Parenthesis, Comma, Close Parenthesis, AND, OR and NOT Buttons

The Open Parenthesis, Comma, Close Parenthesis, AND, OR and NOT buttons are used to construct formulas. Press the appropriate button to add them to your formula.

Closed Delete Button

The Delete button is used to delete highlighted words or symbols from the Expression. Highlight the desired word or symbol and press Delete.


Logic Math & Logic Tool - Settings Tab

Closed Result

Reports the outcome of the Expression.

Closed Invert

Defines whether the tool's pass or fail result should be inverted:

  • Unchecked (default): The pass/fail result is not inverted.
  • Checked: The pass/fail result is inverted.


Math & Logic Tools - Trend

The Trend Math & Logic Tool returns maximum, minimum, mean (average), sample and standard deviation statistics for a Location or Inspection Tool value or Input line, for a specified number of samples before resetting.

The Trend Math & Logic Tool is useful in situations where you want to accumulate statistical information about a particular tool result, over a period of job executions, to analyze your manufacturing process, for example.

Setting Up the Tool

Adjusting the Tool Parameters


Setting Up the Trend Math & Logic Tool

Once the tool has been added, you will need to define the value that will be processed and configure the parameters of the tool.

  1. Configure the settings in the General tab to suit your application.
  2. Click on the Settings tab to define a value to accumulate statistics for; after adding the tool, EasyBuilder will examine your application and list the values that may be referenced in the Last Value parameter. Select a value and then configure the other parameters in the tab.
  3. With the tool initially configured, load several images and adjust the tool's parameters, as needed, to compensate for your expected ranges of variations.
  4. Finally, if desired, use the tool's Input/Output properties to share tool data between other tools and/or other external devices.


Adjusting the Trend Math & Logic Tool Parameters

After the tool has been added to your job, you can begin customizing and fine-tuning the tool for your application.

The settings pane of the Trend Math & Logic Tool consists of the following:

  • General Tab
  • Settings Tab
  • Table Tab
  • Value Tab
Tip: Test your job, using TestRun. TestRun performs tests on the In-Sight vision system and compares the results of those tests against expected values. This will allow you to see whether or not the job is behaving as expected, or if you will need to adjust certain parameters for allowable variances.

General Tab

Settings Tab

Value Tab

Table Tab


Trend Math & Logic Tool - General Tab

Closed Tool Name

Defines the name of your inspection tool, which will be utilized in configuring the results Inputs/Outputs and Communication); the default name is “Trend_1” (if it is the first Trend Math & Logic Tool added to the job, otherwise it will be incremented, e.g. “Trend_2”, “Trend_3”, etc.). Customize your tool by giving it a name that is associated with your particular application.

Closed Tool Enabled

Defines when and whether or not the inspection tool should run (default setting is “On”). Select “Off” if you want to disable the tool; select "Expression" if you want to tie the tool's execution to the result of an Expression (this control is only enabled for tool's that provide an Expression parameter); or select an “Input” if you want the tool tied to a specific discrete input line, where it can be turned On or Off (a High signal, 1, is On, a Low signal, 0, is Off). Tying the tool to an input allows a control system, such as a PLC, to determine which tools should run.

Closed Include in Job Pass

Defines whether or not the tool's pass/failure status should be included in the job's overall pass/fail status; by default, it is checked and will be included in the job's overall pass/fail status. Uncheck the check box to keep the tool's pass/failure status separate from the other tools in the job. This control should be unchecked if a tool is expected to fail; for example, if two PatMax Patterns Identification Tools were being used to determine whether or not the part was a right-hand or left-hand part, one of the tools would be expected to fail every time. This situation would result in the job failing every time, regardless of which side of the part was identified, were the checkbox checked.

Closed Execution Time (ms)

Displays the amount of time, in milliseconds, that the tool took to perform its inspection. This time may vary, depending upon the complexity of the scene in the image, as well as the position of the feature within the image, and the amount of variance allowed in the parameters.

Closed Description

A comment that describes the purpose of the tool (by default, the field is blank). Up to 255 alpha-numeric characters or 127 Asian language characters may be used.


Trend Math & Logic Tool - Settings Tab

Closed Last Value

Defines which value will be computed by the tool; by default, Undefined is selected, and no statistics are accumulated. Select a value returned by a tool or input in the job to accumulate statistics for that tool or input's value.

Closed Max Samples

Defines the maximum number of samples to use while accumulating statistics for the tool; by default, 100 samples are used. The sample size can range in size from a minimum of 2 to a maximum of 5,000. Once the tool reaches its maximum number of samples, the oldest values will be dropped as new values are accumulated.

Closed Display

Defines which computed value will be displayed: Last Value, Minimum, Maximum, Mean or StdDev (Standard Deviation). By default, Last Value is selected.

Closed Result

Displays the current computed value defined in the Display parameter.

Closed Reset Button

Resets the accumulation of data to 0.

Closed Online Reset

Defines whether or not the tool will automatically reset the accumulation of data every time the In-Sight vision system is placed Online; by default, this setting is unchecked, requiring a manual reset.

Closed Job Load Reset

Defines whether or not the tool will automatically reset the accumulation of data every time the In-Sight vision system loads the job containing the tool; by default, this setting is unchecked, requiring a manual reset.


Trend Math & Logic Tool - Value Tab

Displays a graphical representation of the value in a chart format.


Trend Math & Logic Tool - Table Tab

The Trend Math & Logic Tool table displays the results accumulated for the value defined in the Last Value parameter, by the number of samples defined in the Max Samples parameter, of the Settings tab.


Math & Logic Tools - Statistics

The Statistics Math & Logic Tool returns maximum, minimum, mean (average), sample and standard deviation statistics for a Location or Inspection Tool value or Input line.

The Statistics Math & Logic Tool is useful in situations where you want to accumulate statistical information about a particular tool result to analyze your manufacturing process, for example.

Setting Up the Tool

Adjusting the Tool Parameters


Setting Up the Statistics Math & Logic Tool

Once the tool has been added, you will need to define the value that will be processed and configure the parameters of the tool.

  1. Configure the settings in the General tab to suit your application.
  2. Click on the Settings tab to define a value to accumulate statistics for; after adding the tool, EasyBuilder will examine your application and list the values that may be referenced in the Last Value parameter. Select a value and then configure the other parameters in the tab.
  3. With the tool initially configured, load several images and adjust the tool's parameters, as needed, to compensate for your expected ranges of variations.
  4. Finally, if desired, use the tool's Input/Output properties to share tool data between other tools and/or other external devices.


Adjusting the Statistics Math & Logic Tool Parameters

After the tool has been added, you can begin customizing and fine-tuning the tool for your application.

The settings pane of the Statistics Math & Logic Tool consists of the following:

  • General Tab
  • Settings Tab
  • Table
Tip: Test your job, using TestRun. TestRun performs tests on the In-Sight vision system and compares the results of those tests against expected values. This will allow you to see whether or not the job is behaving as expected, or if you will need to adjust certain parameters for allowable variances.

General Tab

Settings Tab

Table


Statistics Math & Logic Tool - General Tab

Closed Tool Name

Defines the name of your inspection tool, which will be utilized in configuring the results Inputs/Outputs and Communication); the default name is “Stats_1” (if it is the first Statistics Math & Logic Tool added to the job, otherwise it will be incremented, e.g. “Stats_2”, “Stats_3”, etc.). Customize your tool by giving it a name that is associated with your particular application.

Closed Tool Enabled

Defines when and whether or not the inspection tool should run (default setting is “On”). Select “Off” if you want to disable the tool; select "Expression" if you want to tie the tool's execution to the result of an Expression (this control is only enabled for tool's that provide an Expression parameter); or select an “Input” if you want the tool tied to a specific discrete input line, where it can be turned On or Off (a High signal, 1, is On, a Low signal, 0, is Off). Tying the tool to an input allows a control system, such as a PLC, to determine which tools should run.

Closed Include in Job Pass

Defines whether or not the tool's pass/failure status should be included in the job's overall pass/fail status; by default, it is checked and will be included in the job's overall pass/fail status. Uncheck the check box to keep the tool's pass/failure status separate from the other tools in the job. This control should be unchecked if a tool is expected to fail; for example, if two PatMax Patterns Identification Tools were being used to determine whether or not the part was a right-hand or left-hand part, one of the tools would be expected to fail every time. This situation would result in the job failing every time, regardless of which side of the part was identified, were the checkbox checked.

Closed Execution Time (ms)

Displays the amount of time, in milliseconds, that the tool took to perform its inspection. This time may vary, depending upon the complexity of the scene in the image, as well as the position of the feature within the image, and the amount of variance allowed in the parameters.

Closed Description

A comment that describes the purpose of the tool (by default, the field is blank). Up to 255 alpha-numeric characters or 127 Asian language characters may be used.


Statistics Math & Logic Tool - Settings Tab

Closed Last Value

Defines which value will be computed by the tool; by default, Undefined is selected, and no statistics are accumulated. Select a value returned by a tool or input in the job to accumulate statistics for that tool or input's value.

Closed Display

Defines which computed value will be displayed: Last Value, Minimum, Maximum, Mean or StdDev (Standard Deviation). By default, Last Value is selected.

Closed Result

Displays the current computed value defined in the Display parameter.

Closed Count When Offline

Defines whether or not the results should include acquisitions occurring when the In-Sight vision system is Offline; by default, this setting is checked, and statistics are accumulated while the vision system is Offline. Uncheck the checkbox to only accumulate statistics when the In-Sight vision system is Online.

Closed Reset Button

Resets the accumulation of data to 0.

Closed Online Reset

Defines whether or not the tool will automatically reset the accumulation of data every time the In-Sight vision system is placed Online; by default, this setting is unchecked, requiring a manual reset.

Closed Job Load Reset

Defines whether or not the tool will automatically reset the accumulation of data every time the In-Sight vision system loads the job containing the tool; by default, this setting is unchecked, requiring a manual reset.


Statistics Math & Logic Tool - Table

The Statistics Math & Logic Tool table displays the results accumulated for the value defined in the Last Value parameter of the Settings tab.


Math & Logic Tools - Group Tool

The Group Math & Logic Tool combines Location and/or Inspection Tools into a group, and creates a shared enable status between the tools in the group, tying together their execution.

The Group Math & Logic Tool is useful in situations where several tools are used to determine if a single product feature passes, for jobs that require multiple acquisitions or jobs that include a large number of tools, for example.

Setting Up the Tool

Adjusting the Tool Parameters


Setting Up the Group Math & Logic Tool

Note: This tool requires other Location and/or Inspection Tools to be used as inputs. Assemble the other Location and/or Inspection Tools that will be used as inputs to this tool prior to adding this tool; otherwise you will be unable to construct the Expressions and will have to add the necessary Location and/or Inspection Tools and then return to this tool after having configured the other tools.

Once the tool has been added, you will need to define which tools will be a part of the group.

  1. After adding the tool, EasyBuilder examines your job and lists all of the tools in your job in the left-hand column in the Tool Group tab.
  2. Select the tools that you want in the group (hold down the CTRL key to individually select multiple tools, or press the SHIFT key to select a consecutive number of tools), and press the Add button.
  3. Once you've completed your group, you can select the Enable Expression tab where you can construct a customized Expression that provides logic to control the group's execution. By default, the Expression is set to 1, meaning that the group is always Enabled.
  4. With the tool initially configured, load several images and adjusting the tool's parameters, as needed, to compensate for your expected ranges of variations.
  5. Finally, if desired, use the tool's Input/Output properties to share tool data between other tools and/or other external devices.


Adjusting the Group Math & Logic Tool Parameters

After the tool has been added to your job, you can begin customizing and fine-tuning the tool for your application.

The settings pane of the Group Math & Logic Tool consists of the following:

  • General Tab
  • Settings Tab
  • Tool Group Tab
  • Enable Expression Tab
Tip: Test your job, using TestRun. TestRun performs tests on the In-Sight vision system and compares the results of those tests against expected values. This will allow you to see whether or not the job is behaving as expected, or if you will need to adjust certain parameters for allowable variances.

General Tab

Settings Tab

Tool Group Tab

Enable Expression Tab


Group Math & Logic Tool - General Tab

Closed Tool Name

Defines the name of your inspection tool, which will be utilized in configuring the results Inputs/Outputs and Communication); the default name is “Group_1” (if it is the first Group Math & Logic Tool added to the job, otherwise it will be incremented, e.g. “Group_2”, “Group_3”, etc.). Customize your tool by giving it a name that is associated with your particular application.

Closed Tool Enabled

Defines when and whether or not the inspection tool should run (default setting is “On”). Select “Off” if you want to disable the tool; select "Expression" if you want to tie the tool's execution to the result of an Expression (this control is only enabled for tool's that provide an Expression parameter); or select an “Input” if you want the tool tied to a specific discrete input line, where it can be turned On or Off (a High signal, 1, is On, a Low signal, 0, is Off). Tying the tool to an input allows a control system, such as a PLC, to determine which tools should run.

Note: If you have configured the Enable Expression tab to utilize an Expression, the Tool Enabled parameter must be set to "Expression" to function correctly.
Closed Include in Job Pass

Defines whether or not the tool's pass/failure status should be included in the job's overall pass/fail status; by default, it is checked and will be included in the job's overall pass/fail status. Uncheck the check box to keep the tool's pass/failure status separate from the other tools in the job. This control should be unchecked if a tool is expected to fail; for example, if two PatMax Patterns Identification Tools were being used to determine whether or not the part was a right-hand or left-hand part, one of the tools would be expected to fail every time. This situation would result in the job failing every time, regardless of which side of the part was identified, were the checkbox checked.

Closed Execution Time (ms)

Displays the amount of time, in milliseconds, that the tool took to perform its inspection. This time may vary, depending upon the complexity of the scene in the image, as well as the position of the feature within the image, and the amount of variance allowed in the parameters.

Closed Description

A comment that describes the purpose of the tool (by default, the field is blank). Up to 255 alpha-numeric characters or 127 Asian language characters may be used.


Group Math & Logic Tool - Settings Tab

Closed Group ID

The Group ID number is used to indicate a failure when the tools in the Group Math & Logic Tool fail. The Group Math & Logic Tool returns a 0 when the tool equals Pass, and the Group ID number when the tool equals Fail. The Group ID ranges from 1 to 9,999,999; by default, the Group ID is set to 10, and is not incremented when a new Group Math & Logic Tool is added.


Group Math & Logic Tool - Tool Group Tab

The Tool Group tab allows you to add and remove tools to and from the selected Group Math & Logic Tool.

The list on the left-hand side displays tools not included in the group, and the list on the right-hand side displays tools included in the group. By default, the list on the right-hand side is empty.

Closed Add button

Selecting a tool on the left-hand side enables the Add button.

  • Tools can be added individually by selecting one tool and pressing the Add button.
  • To select multiple, non-consecutive tools, hold down the CTRL key and highlight the tools, and then press the Add button.
  • To select multiple, consecutive tools, hold down the SHIFT key and highlight the first tool, and then the last tool in the list, and then press the Add button.
Closed Remove button

Selecting a tool on the right-hand side enables the Remove button.

  • Tools can be removed individually by selecting one tool and pressing the Remove button.
  • To select multiple, non-consecutive tools, hold down the CTRL key and highlight the tools, and then press the Remove button.
  • To select multiple, consecutive tools, hold down the SHIFT key and highlight the first tool, and then the last tool in the list, and then press the Remove button.
Note:
  • A tool may only belong to one Group Math & Logic Tool. To add a tool from one Group Math & Logic Tool to another Group Math & Logic Tool, the tool must first be removed from the first Group Math & Logic Tool before it can be added to the other Group Math & Logic Tool.
  • A Group Math & Logic Tool cannot contain another Group Math & Logic Tool.
  • When copying and pasting a Group Math & Logic Tool, all of the tools included in that Group Math & Logic Tool will be copied and pasted, as well.
  • When deleting a Group Math & Logic Tool, you will first be prompted; deleting a Group Math & Logic Tool deletes all of the tools included in the tool. If you do not want the tools in the group deleted, first remove the tools from the group before deleting the Group Math & Logic Tool.


Group Math & Logic Tool - Enable Expression Tab

Note: These controls are disabled when the In-Sight vision system is Online.

The Enable Expression tab is used to construct a mathematical formula that determines the execution of the tool; by default, the Expression is set to 1, which means that the tool will always execute on an acquisition trigger. In order to activate this control, the Tool Enabled control in the General tab must be set to Expression.

In-Sight 2000-130/130C Vision Sensors

Closed Expression

The Expression text box is used to construct a logical formula of tool pass and fail results. Use the Job and Tool Data Symbol Tree to assemble the formula. You can enter items by either double-clicking them, or highlighting them and pressing the Insert button.

Note: If the Expression references a tool that has been deleted, the reference will automatically be replaced by "Job.MissingArg" in the formula. The tool will return a Fail until the reference is corrected.
Closed Job and Tool Data Symbol Tree

The Job and Tool Data Symbol Tree contains the tool pass and fail results output by Location and/or Inspection Tools. The job and tool data are symbolic references to the values contained within them. Symbols can be added to the Expression by one of two methods:

  • Expand the tree, select the desired symbolic reference and then press the Insert button.
  • Expand the tree, and double-click the desired symbolic reference.
Note: The list of symbols available is contingent upon the cursor's placement in the Expression. If the cursor is located within the Expression in a location that prohibits a symbol from being added, those symbols are unavailable until the cursor is in a location where they can be added.
Closed Insert Button

The Insert button is used to place symbols into the Expression. Select the desired symbol and then press the Insert button to add the symbol to the Expression.

Closed Open Parenthesis, Comma, Close Parenthesis, AND, OR and NOT Buttons

The Open Parenthesis, Comma, Close Parenthesis, AND, OR and NOT buttons are used to construct formulas. Press the appropriate button to add them to your formula.

Closed Delete Button

The Delete button is used to delete highlighted words or symbols from the Expression. Highlight the desired word or symbol and press Delete.

In-Sight Vision Systems (All Models) and In-Sight 2000 Series 23X Vision Sensors (23M, 230)

Note: To tie the execution of a Group Math & Logic Tool and a Sequence Math & Logic Tool, the Expression of the Group Math & Logic Tool must be set to the Sequence Math & Logic Tool (e.g. "Sequence_1.Current_Step=1") and the Tool Enabled control in the General tab must be set to Expression.
Closed Expression

The Expression text box is used to construct a mathematical formula that processes tool results and data. Enter data by either using the keyboard and typing in the name of the mathematical function or job/tool data, or utilize the Vision Tools Tree, Mathematics Tree, Text Tree and/or Vision Data Access Tree on the left-hand side, and the Job and Tool Data Symbol Tree on the right-hand side, to assemble the formula. You can enter items by either double-clicking the items, or highlighting them and pressing the Insert button.

Note:
  • If the Expression references a tool that has been deleted, the reference will automatically be replaced by "Job.MissingArg" in the formula. The tool will return a Fail until the reference is corrected.
  • When constructing formulas, EasyBuilder does not correctly parse tool names that begin with a cell address (e.g. A3_MyTool or P10_SortTool). If expressions need to be created for those tools, rename the tool before creating the formula.
Closed Vision Tools

The Vision Tools Tree contains additional edge functions that can be used to construct your Expression. Functions can be added to the Expression by one of three methods:

  • Expand the Edge tree, select the desired function and then press the Insert button.
  • Expand the Edge tree, and double-click the desired function.
  • Using a keyboard, type the name of the desired function directly in the text box of the Expression.
Note: The list of functions available is contingent upon the cursor's placement in the Expression. If the cursor is located within the Expression in a location that prohibits a mathematical function from being added, those functions are unavailable until the cursor is in a location where they can be added.
Closed Mathematics Function Tree

The Mathematics Function Tree contains mathematical functions that can be used to construct your Expression. Functions can be added to the Expression by one of three methods:

  • Expand the Mathematics tree, select the desired function and then press the Insert button.
  • Expand the Mathematics tree, and double-click the desired function.
  • Using a keyboard, type the name of the desired function directly in the text box of the Expression.
Note: The list of functions available is contingent upon the cursor's placement in the Expression. If the cursor is located within the Expression in a location that prohibits a mathematical function from being added, those functions are unavailable until the cursor is in a location where they can be added.
Closed Text Function Tree

The Text Function Tree contains functions to format alphanumeric data for display and communications, and can be used to construct your Expression. Functions can be added to the Expression by one of three methods:

  • Expand the Text tree, select the desired function and then press the Insert button.
  • Expand the Text tree, and double-click the desired function.
  • Using a keyboard, type the name of the desired function directly in the text box of the Expression.
Note: The list of functions available is contingent upon the cursor's placement in the Expression. If the cursor is located within the Expression in a location that prohibits a mathematical function from being added, those functions are unavailable until the cursor is in a location where they can be added.
Closed Vision Data Access

The Vision Data Access Tree contains additional data that is not available by default that can be used to construct your Expression. Functions can be added to the Expression by one of three methods:

  • Expand the Vision Data Access tree, select the desired function and then press the Insert button.
  • Expand the Vision Data Access tree, and double-click the desired function.
  • Using a keyboard, type the name of the desired function directly in the text box of the Expression.
Note:
  • The list of functions available is contingent upon the cursor's placement in the Expression. If the cursor is located within the Expression in a location that prohibits a mathematical function from being added, those functions are unavailable until the cursor is in a location where they can be added.
  • EasyBuilder only supports Blobs, Edges and Patterns Vision Data Access functions.
Closed Job and Tool Data Symbol Tree

The Job and Tool Data Symbol Tree contains the data output by Location and/or Inspection Tools, as well as Input lines and job data, such as image acquisition parameters. The job and tool data are symbolic references to the values contained within them. Symbols can be added to the Expression by one of three methods:

  • Expand the tree, select the desired symbolic reference and then press the Insert button.
  • Expand the tree, and double-click the desired symbolic reference.
  • Using a keyboard, type the name of the desired symbolic reference directly in the text box of the Expression.
Note: The list of symbols available is contingent upon the cursor's placement in the Expression. If the cursor is located within the Expression in a location that prohibits a symbol from being added, those symbols are unavailable until the cursor is in a location where they can be added.
Closed Insert Button

The Insert button is used to place mathematical functions and symbols into the Expression. Select the desired mathematical function or symbol and then press the Insert button to add the function or symbol to the Expression.

Note: This control works in conjunction with the Mathematics Function Tree and Job and Tool Data Symbol Tree; if the selected item in either list is valid for the particular location of the cursor in the Expression text box, the Insert button will be enabled.
Closed Open Parenthesis, Comma, Close Parenthesis Buttons

The Open Parenthesis, Comma and Close Parenthesis buttons are used to construct mathematical formulas. Press the appropriate button to add them to your formula.

Note: These controls work in conjunction with the Mathematics Function Tree and Job and Tool Data Symbol Tree; if the selected item in either list is valid for the particular location of the cursor in the Expression text box, the buttons will be enabled.


Math & Logic Tools - Sequence

The Sequence Math & Logic Tool defines the number of steps for jobs requiring multiple image acquisitions or stages in the assembly process; this tool is used in conjunction with the Group Math & Logic Tool to control the sequential execution of the tools in the group.

The Sequence Math & Logic Tool is useful in situations where you want to synchronize the acquisition of images or the execution of inspection tools based on the sequence of your assembly/manufacturing process. For example, if you're manufacturing a part and you want to inspect that part during various stages of the assembly to decide whether or not to proceed based on the results at a particular sequence in the assembly process.

Setting Up the Tool

Adjusting the Tool Parameters


Setting Up the Sequence Math & Logic Tool

Once the tool has been added, you will need to configure the parameters of the tool.

  1. Configure the settings in the General tab to suit your application.

  2. Click on the Settings tab, and configure the parameters to suit your application.

    Note: To tie the execution of a Group Math & Logic Tool and a Sequence Math & Logic Tool together, the Expression of the Group Math & Logic Tool must be constructed using the Sequence Math & Logic Tool's Current_Step symbol: e.g. Group_1.Enable=Sequence_1.Current_Step=1
  3. With the tool initially configured, load several images and adjust the tool's parameters, as needed, to compensate for your expected ranges of variations.
  4. Finally, if desired, use the tool's Input/Output properties to share tool data between other tools and/or other external devices.


Adjusting the Sequence Math & Logic Tool Parameters

After the tool has been added to your job, you can begin customizing and fine-tuning the tool for your application.

The settings pane of the Sequence Math & Logic Tool consists of the following:

  • General Tab
  • Settings Tab
Tip: Test your job, using TestRun. TestRun performs tests on the In-Sight vision system and compares the results of those tests against expected values. This will allow you to see whether or not the job is behaving as expected, or if you will need to adjust certain parameters for allowable variances.

General Tab

Settings Tab


Sequence Math & Logic Tool - General Tab

Closed Tool Name

Defines the name of your inspection tool, which will be utilized in configuring the results Inputs/Outputs and Communication); the default name is “Step_1” (if it is the first Sequence Math & Logic Tool added to the job, otherwise it will be incremented, e.g. “Sequence_2”, “Sequence_3”, etc.). Customize your tool by giving it a name that is associated with your particular application.

Closed Tool Enabled

Defines when and whether or not the inspection tool should run (default setting is “On”). Select “Off” if you want to disable the tool; select "Expression" if you want to tie the tool's execution to the result of an Expression (this control is only enabled for tool's that provide an Expression parameter); or select an “Input” if you want the tool tied to a specific discrete input line, where it can be turned On or Off (a High signal, 1, is On, a Low signal, 0, is Off). Tying the tool to an input allows a control system, such as a PLC, to determine which tools should run.

Closed Include in Job Pass

Defines whether or not the tool's pass/failure status should be included in the job's overall pass/fail status; by default, it is checked and will be included in the job's overall pass/fail status. Uncheck the check box to keep the tool's pass/failure status separate from the other tools in the job. This control should be unchecked if a tool is expected to fail; for example, if two PatMax Patterns Identification Tools were being used to determine whether or not the part was a right-hand or left-hand part, one of the tools would be expected to fail every time. This situation would result in the job failing every time, regardless of which side of the part was identified, were the checkbox checked.

Closed Execution Time (ms)

Displays the amount of time, in milliseconds, that the tool took to perform its inspection. This time may vary, depending upon the complexity of the scene in the image, as well as the position of the feature within the image, and the amount of variance allowed in the parameters.

Closed Description

A comment that describes the purpose of the tool (by default, the field is blank). Up to 255 alpha-numeric characters or 127 Asian language characters may be used.


Sequence Math & Logic Tool - Settings Tab

Closed Steps

Defines the number of steps controlled by the tool; by default, 4 steps are used.

Closed Reset Step Button

Resets to 0 and re-starts the sequence, beginning with the initial step at the next acquisition.

Closed Next Step Enabled

Defines whether or not the Next Step parameter is controlled by an external device; by default, this setting is unchecked, and uncontrollable by an external device. When this parameter is activated, the step number sent to the tool from the external device will become the Current Step at the next acquisition. In this arrangement, the steps do not have to be performed sequentially, and some steps may be skipped, depending upon the step number that is input (e.g. if the number of steps were 6, and the tool was currently on step 2 when receiving 5 as the Next Step input, steps 3 and 4 would be skipped).

Closed Next Step

Defines which step should begin the next step in the sequence; by default, 1 is selected. This control is only enabled if the Next Step Enabled parameter is activated. To reset the tool from an external device, such as a PLC or a VisionView® Operator Interface Panel, check the Next Step Enabled checkbox and configure the Next_Step Data Type of the Next Step parameter in the Communications Step.

Closed Current Step

Reports the active step; by default, 1.000 is displayed and defines the current step.


Math & Logic Tools - Compute Point

The Compute Point Math & Logic Tool is used to calculate a point in the image based on mathematical expressions related to the outputs of other Location and/or Inspection Tools, which can be referenced by other tools. The tool reports the X, Y coordinates of the computed point.

Note: The tool returns the results in pixels, unless the image was calibrated to real-world units (In-Sight vision systems) or Field of View (Width) was set to real-world units (In-Sight 2000 series vision sensors) in the Set Up Image application step.

The Compute Point Math & Logic Tool is useful in situations where you want to programmatically identify a point in the image that can be referenced by other tools, versus a static point graphically defined in the image, like that of a User-Defined Point Geometry Tool. For example, if you wanted the point to be placed in the image based on the result of a mathematical function or the result of a particular tool, such as the mid-point of an edge found by an Edge Presence/Absence Tool, the Compute Point Math & Logic Tool can be constructed to use those tools' results as inputs to calculate the point, and the point's location in the image changes to reflect the output of the referenced tools. The computed point can also be used by Math Math & Logic Tools for additional logic decisions based on the point.

Setting Up the Tool

Adjusting the Tool Parameters


Setting Up the Compute Point Math & Logic Tool

Note: This tool requires other Location and/or Inspection Tools to be used as inputs. Assemble the other Location and/or Inspection Tools that will be used as inputs to this tool prior to adding this tool; otherwise you will be unable to construct the Expressions and will have to add the necessary Location and/or Inspection Tools and then return to this tool after having configured the other tools.

Once the tool has been added, you will need to construct the Expression for the X and Y values.

  1. Construct each Expression by choosing and then entering the mathematical functions from the left-side of the settings pane, and/or values (tool and job data) from the right-side. To enter a function or value in the Expression formula editor, select the function or value and press the Enter key, double-click the function or value or press the Insert button.
  2. Once the Expressions have been constructed, the tool will insert a point icon in the image, indicating the location of the computed point.
  3. With the tool initially configured, load several images and adjust the tool's parameters, as needed, to compensate for your expected ranges of variations.
  4. Finally, if desired, use the tool's Input/Output properties to share tool data between other tools and/or other external devices.


Adjusting the Compute Point Math & Logic Tool Parameters

After the tool has been added to your job, you can begin customizing and fine-tuning the tool for your application.

The settings pane of the Compute Point Math & Logic Tool consists of the following:

  • General Tab
  • Settings Tab
  • X and Y Tabs
Tip: Test your job, using TestRun. TestRun performs tests on the In-Sight vision system and compares the results of those tests against expected values. This will allow you to see whether or not the job is behaving as expected, or if you will need to adjust certain parameters for allowable variances.

General Tab

Settings Tab

X, Y Tabs


Compute Point Math & Logic Tool - General Tab

Closed Tool Name

Defines the name of your inspection tool, which will be utilized in configuring the results Inputs/Outputs and Communication); the default name is “Point_1” (if it is the first Compute Point Math & Logic Tool added to the job, or another point defining Geometry Tool has been previously added, otherwise it will be incremented, e.g. “Point_2”, “Point_3”, etc.). Customize your tool by giving it a name that is associated with your particular application..

Closed Tool Enabled

Defines when and whether or not the inspection tool should run (default setting is “On”). Select “Off” if you want to disable the tool; select "Expression" if you want to tie the tool's execution to the result of an Expression (this control is only enabled for tool's that provide an Expression parameter); or select an “Input” if you want the tool tied to a specific discrete input line, where it can be turned On or Off (a High signal, 1, is On, a Low signal, 0, is Off). Tying the tool to an input allows a control system, such as a PLC, to determine which tools should run.

Closed Include in Job Pass

Defines whether or not the tool's pass/failure status should be included in the job's overall pass/fail status; by default, it is checked and will be included in the job's overall pass/fail status. Uncheck the check box to keep the tool's pass/failure status separate from the other tools in the job. This control should be unchecked if a tool is expected to fail; for example, if two PatMax Patterns Identification Tools were being used to determine whether or not the part was a right-hand or left-hand part, one of the tools would be expected to fail every time. This situation would result in the job failing every time, regardless of which side of the part was identified, were the checkbox checked.

Closed Execution Time (ms)

Displays the amount of time, in milliseconds, that the tool took to perform its inspection. This time may vary, depending upon the complexity of the scene in the image, as well as the position of the feature within the image, and the amount of variance allowed in the parameters.

Closed Description

A comment that describes the purpose of the tool (by default, the field is blank). Up to 255 alpha-numeric characters or 127 Asian language characters may be used.


Compute Point Math & Logic Tool - Settings Tab

Closed Result

Displays the result of the computed X and Y Expressions.


Compute Point Math & Logic Tool - X, Y Tabs

Note: These controls are disabled when the In-Sight vision system is Online.

The X and Y tabs are used to construct the mathematical formulas that will define the X and Y coordinates of the point.

Closed Expression

The Expression text box is used to construct a mathematical formula that processes tool results and data. Enter data by either using the keyboard and typing in the name of the mathematical function or job/tool data, or utilize the Vision Tools Tree, Mathematics Tree, Text Tree and/or Vision Data Access Tree on the left-hand side, and the Job and Tool Data Symbol Tree on the right-hand side, to assemble the formula. You can enter items by either double-clicking the items, or highlighting them and pressing the Insert button.

Note:
  • If the Expression references a tool that has been deleted, the reference will automatically be replaced by "Job.MissingArg" in the formula. The tool will return a Fail until the reference is corrected.
  • When constructing formulas, EasyBuilder does not correctly parse tool names that begin with a cell address (e.g. A3_MyTool or P10_SortTool). If expressions need to be created for those tools, rename the tool before creating the formula.
Closed Vision Tools

The Vision Tools Tree contains additional edge functions that can be used to construct your Expression. Functions can be added to the Expression by one of three methods:

  • Expand the Edge tree, select the desired function and then press the Insert button.
  • Expand the Edge tree, and double-click the desired function.
  • Using a keyboard, type the name of the desired function directly in the text box of the Expression.
Note: The list of functions available is contingent upon the cursor's placement in the Expression. If the cursor is located within the Expression in a location that prohibits a mathematical function from being added, those functions are unavailable until the cursor is in a location where they can be added.
Closed Mathematics Function Tree

The Mathematics Function Tree contains mathematical functions that can be used to construct your Expression. Functions can be added to the Expression by one of three methods:

  • Expand the Mathematics tree, select the desired function and then press the Insert button.
  • Expand the Mathematics tree, and double-click the desired function.
  • Using a keyboard, type the name of the desired function directly in the text box of the Expression.
Note: The list of functions available is contingent upon the cursor's placement in the Expression. If the cursor is located within the Expression in a location that prohibits a mathematical function from being added, those functions are unavailable until the cursor is in a location where they can be added.
Closed Text Function Tree

The Text Function Tree contains functions to format alphanumeric data for display and communications, and can be used to construct your Expression. Functions can be added to the Expression by one of three methods:

  • Expand the Text tree, select the desired function and then press the Insert button.
  • Expand the Text tree, and double-click the desired function.
  • Using a keyboard, type the name of the desired function directly in the text box of the Expression.
Note: The list of functions available is contingent upon the cursor's placement in the Expression. If the cursor is located within the Expression in a location that prohibits a mathematical function from being added, those functions are unavailable until the cursor is in a location where they can be added.
Closed Vision Data Access

The Vision Data Access Tree contains additional data that is not available by default that can be used to construct your Expression. Functions can be added to the Expression by one of three methods:

  • Expand the Vision Data Access tree, select the desired function and then press the Insert button.
  • Expand the Vision Data Access tree, and double-click the desired function.
  • Using a keyboard, type the name of the desired function directly in the text box of the Expression.
Note:
  • The list of functions available is contingent upon the cursor's placement in the Expression. If the cursor is located within the Expression in a location that prohibits a mathematical function from being added, those functions are unavailable until the cursor is in a location where they can be added.
  • EasyBuilder only supports Blobs, Edges and Patterns Vision Data Access functions.
Closed Job and Tool Data Symbol Tree

The Job and Tool Data Symbol Tree contains the data output by Location and/or Inspection Tools, as well as Input lines and job data, such as image acquisition parameters. The job and tool data are symbolic references to the values contained within them. Symbols can be added to the Expression by one of three methods:

  • Expand the tree, select the desired symbolic reference and then press the Insert button.
  • Expand the tree, and double-click the desired symbolic reference.
  • Using a keyboard, type the name of the desired symbolic reference directly in the text box of the Expression.
Note: The list of symbols available is contingent upon the cursor's placement in the Expression. If the cursor is located within the Expression in a location that prohibits a symbol from being added, those symbols are unavailable until the cursor is in a location where they can be added.
Closed Insert Button

The Insert button is used to place mathematical functions and symbols into the Expression. Select the desired mathematical function or symbol and then press the Insert button to add the function or symbol to the Expression.

Note: This control works in conjunction with the Mathematics Function Tree and Job and Tool Data Symbol Tree; if the selected item in either list is valid for the particular location of the cursor in the Expression text box, the Insert button will be enabled.
Closed Open Parenthesis, Comma, Close Parenthesis Buttons

The Open Parenthesis, Comma and Close Parenthesis buttons are used to construct mathematical formulas. Press the appropriate button to add them to your formula.

Note: These controls work in conjunction with the Mathematics Function Tree and Job and Tool Data Symbol Tree; if the selected item in either list is valid for the particular location of the cursor in the Expression text box, the buttons will be enabled.


Math & Logic Tools - Variables

The Variables Math & Logic Tool defines integer, floating point or string values that may be input to the job from an external device; these values can then be referenced by other Location or Inspection Tools or external devices, such as a PLC or a VisionView® Operator Interface Panel.

The Variables Math & Logic Tool is useful in situations where you want to input a value to a Location or Inspection Tool from an external device, like a PLC, or as a value in a Math Math & Logic or Group Math & Logic Tool Expression. For example, if you had an application where you wanted to input a text string for a Read Text Identification Tool, an integer value to control the number of blobs that a Blobs Counting Tool searches for, and a floating point value as a part of the execution formula for a Group Math & Logic Tool, those values can be created in the Variables Math & Logic Tool and then symbolically referenced by the other tools or in the Communications Step.

Setting Up the Tool

Adjusting the Tool Parameters


Setting Up the Variables Math & Logic Tool

Once the tool has been added, you will need to define the values that will be used as input variables.

  1. Configure the settings in the General tab to suit your application.
  2. In the settings pane beside the General tab is the Input Variables Table. Press the Add Boolean button if your value is a boolean logic value; press the Add Integer button if your value is an integer; press the Add Floating Point button if your value is a floating point value; press the Add String button if your value is a text string.
  3. Once you have added your input variables, you can customize them to suit your specific application.
  4. With the tool initially configured, load several images and adjust the tool's parameters, as needed, to compensate for your expected ranges of variations.

  5. Finally, if desired, use the tool's Input/Output properties to share tool data between other tools and/or other external devices.

    Note: To remove a variable from the list, check the checkbox beside the variable and then press the Remove button (the checkbox must be checked to enable the Remove button).


Adjusting the Variables Math & Logic Tool Parameters

After the tool has been added to your job, you can begin customizing and fine-tuning the tool for your application.

The settings pane of the Variables Math & Logic Tool consists of the following:

  • General Tab
  • Input Variables Table
Tip: Test your job, using TestRun. TestRun performs tests on the In-Sight vision system and compares the results of those tests against expected values. This will allow you to see whether or not the job is behaving as expected, or if you will need to adjust certain parameters for allowable variances.

General Tab

Input Variables Table


Variables Math & Logic Tool - General Tab

Closed Tool Name

Defines the name of your inspection tool, which will be utilized in configuring the results Inputs/Outputs and Communication); the default name is “Variables_1” (if it is the first Variables Math & Logic Tool added to the job, otherwise it will be incremented, e.g. “Variables_2”, “Variables_3”, etc.). Customize your tool by giving it a name that is associated with your particular application.

Closed Tool Enabled

Defines when and whether or not the inspection tool should run (default setting is “On”). Select “Off” if you want to disable the tool; select "Expression" if you want to tie the tool's execution to the result of an Expression (this control is only enabled for tool's that provide an Expression parameter); or select an “Input” if you want the tool tied to a specific discrete input line, where it can be turned On or Off (a High signal, 1, is On, a Low signal, 0, is Off). Tying the tool to an input allows a control system, such as a PLC, to determine which tools should run.

Closed Include in Job Pass

Defines whether or not the tool's pass/failure status should be included in the job's overall pass/fail status; by default, it is checked and will be included in the job's overall pass/fail status. Uncheck the check box to keep the tool's pass/failure status separate from the other tools in the job. This control should be unchecked if a tool is expected to fail; for example, if two PatMax Patterns Identification Tools were being used to determine whether or not the part was a right-hand or left-hand part, one of the tools would be expected to fail every time. This situation would result in the job failing every time, regardless of which side of the part was identified, were the checkbox checked.

Closed Execution Time (ms)

Displays the amount of time, in milliseconds, that the tool took to perform its inspection. This time may vary, depending upon the complexity of the scene in the image, as well as the position of the feature within the image, and the amount of variance allowed in the parameters.

Closed Description

A comment that describes the purpose of the tool (by default, the field is blank). Up to 255 alpha-numeric characters or 127 Asian language characters may be used.


Variables Math & Logic Tool - Input Variables Table

The Input Variables Table of the Variables Math & Logic Tool is used to add, edit and remove input variables. Up to 32 input variables may be created per Variables Math & Logic Tool.

Closed Add Boolean Button

Press the Add Boolean button if your value is a boolean logic value; by default, the boolean added is 0 (check the checkbox to the right to set the boolean value to 1) and the name given is Boolean0 (if it is the first Boolean value added to the tool, otherwise it will be incremented, e.g. "Boolean1", "Boolean2", etc.). Customize your value by giving it a name that is associated with your particular application.

Closed Add Integer Button

Press the Add Integer button if your value is an integer; by default, the integer added is 0 and the name given is "Integer0" (if it is the first integer value added to the tool, otherwise it will be incremented, e.g. “Integer1”, “Integer2”, etc.). Customize your value by giving it a name that is associated with your particular application. Integers may range from 9,999,999 to -9,999,999.

Closed Add Floating Point Button

Press the Add Floating Point button if your value is a floating point value; by default, the floating point added is 0 and the name given is "Float0" (if it is the first floating point value added to the tool, otherwise it will be incremented, e.g. "Float1", "Float2", etc.). Customize your value by giving it a name that is associated with your particular application. Floating point values may range from 9,999,999 to -9,999,999.

Closed Add String Button

Press the Add String button if your value is a text string; by default, the text string text box is left blank and the name given is "String0" (if it is the first text string value added to the tool, otherwise it will be incremented, e.g. "String1", "String2", etc.). Customize your value by giving it a name that is associated with your particular application. Text strings may be up to 32 characters in length.

Closed Remove Button

Press the Remove button to delete a value from the table. To remove a variable from the list, check the checkbox to the left of the variable and then press the Remove button (the checkbox must be checked to enable the Remove button).


Math & Logic Tools - Robot Guidance

The Robot Guidance Math & Logic tool allows the vision system to communicate the location of the part to the robot.

Setting Up the Tool

Adjusting the Tool Parameters


Setting Up the Robot Guidance Tool

Tip: After constructing the calibration, it is recommended that you save the job file. For subsequent calibrations, you can simply load the calibration job, acquire the image and then auto export the updated calibration file to all of the jobs that reference this calibration file.

Once the tool has been added, you will need to define the input features (points, the origins of fixtures or the center of circular features) that will be used to construct the calibration:

  1. After adding the tool, EasyBuilder will examine your image and give you a selection of Smart Features (points, the origins of fixtures or the center of circular features) that it has automatically detected (highlighted in cyan), as well as any features that you have previously defined with another tool (highlighted in green). EasyBuilder will automatically insert a Circle Presence/Absence Tool for any circular features that were not previously defined.

  2. Select one of the features from the available features by clicking on it, at which point its color will change to magenta.

  3. After selecting all the feature, press the OK button (press the Cancel button to not add the tool to the job).

  4. Save the job file.
  5. With the tool initially configured, adjust the tool's parameters, as needed.
  6. Finally, if desired, use the tool's Input/Output properties to share tool data between other tools and/or other external devices.


Adjusting the Robot Guidance Tool Parameters

After the tool has been added to your job, you can begin customizing and fine-tuning the tool for your application.

The settings pane of the Robot Guidance Calibration Tool consists of the following:

  • General Tab

General Tab


Robot Guidance Tool - General Tab

Closed Tool Name

Defines the name of your inspection tool, which will be utilized in configuring the results (Set Up Image, Inputs/Outputs and Communication); the default name is “Guidance_1.” Customize your tool by giving it a name that is associated with your particular application. You can add only one Robot Guidance Tool to a job.

Closed Tool Enabled

Defines when and whether or not the inspection tool should run (default setting is “On”). Select “Off” if you want to disable the tool; select "Expression" if you want to tie the tool's execution to the result of an Expression (this control is only enabled for tool's that provide an Expression parameter); or select an “Input” if you want the tool tied to a specific discrete input line, where it can be turned On or Off (a High signal, 1, is On, a Low signal, 0, is Off). Tying the tool to an input allows a control system, such as a PLC, to determine which tools should run.

Closed Include in Job Pass

Defines whether or not the tool's pass/failure status should be included in the job's overall pass/fail status; by default, it is checked and will be included in the job's overall pass/fail status. Uncheck the check box to keep the tool's pass/failure status separate from the other tools in the job. This control should be unchecked if a tool is expected to fail; for example, if two PatMax Patterns Identification Tools were being used to determine whether or not the part was a right-hand or left-hand part, one of the tools would be expected to fail every time. This situation would result in the job failing every time, regardless of which side of the part was identified, were the checkbox checked.

Closed Execution Time (ms)

Displays the amount of time, in milliseconds, that the tool took to perform its inspection. This time may vary, depending upon the complexity of the scene in the image, as well as the position of the feature within the image, and the amount of variance allowed in the parameters.

Closed Description

A comment that describes the purpose of the tool (by default, the field is blank). Up to 255 alpha-numeric characters or 127 Asian language characters may be used.


Plot Tools - Plot Arc

The Plot Arc Plot Tool is used to plot an arc graphic onto the image based upon mathematical expressions that define the arc's Center X, Center Y, Radius, Start Angle and Span values. The tool plots the graphic onto the image and returns the values that define the arc.

Note: The tool returns the results in pixels, unless the image was calibrated to real-world units (In-Sight vision systems) or Field of View (Width) was set to real-world units (In-Sight 2000 series vision sensors) in the Set Up Image application step.

Setting Up the Tool

Adjusting the Tool Parameters


Setting Up the Plot Arc Plot Tool

Once the tool has been added, you will need to construct the Expressions that will define the graphic.

  1. Construct the mathematical expressions that will be used to define the graphic by choosing and then entering the mathematical functions from the left-side of the settings pane, and values (tool and job data) from the right-side. To enter a function or value in the Expression formula editor, select the function or value and press the Enter key, double-click the function or value or press the Insert button.
  2. Once you have constructed the expressions that will define the graphic plotted on the image, EasyBuilder will process the data and create the graphic.
  3. With the tool initially configured, load several images and adjust the tool's parameters, as needed, to compensate for your expected ranges of variations.
  4. Finally, if desired, use the tool's Input/Output properties to share tool data between other tools and/or other external devices.


Adjusting the Plot Arc Plot Tool Parameters

After the tool’s region has been positioned, you can optimize the tool for your application.

The settings pane of the Plot Arc Plot Tool consists of the following:

  • General and Settings Tabs
  • Center X, Center Y, Radius, Start Angle and Span Expression Tabs
Tip: Test your job, using TestRun. TestRun performs tests on the In-Sight vision system and compares the results of those tests against expected values. This will allow you to see whether or not the job is behaving as expected, or if you will need to adjust certain parameters for allowable variances.

General and Settings Tabs

Center X, Center Y, Radius, Start Angle and Span Expression Tabs


Plot Arc Plot Tool - General and Settings Tabs

Closed General Tab
Closed Tool Name

Defines the name of your inspection tool, which will be utilized in configuring the results (Inputs/Outputs and Communication); the default name is “Arc_1” (if it is the first Plot Arc tool added to the job, otherwise it will be incremented, e.g. “Arc_2”, “Arc_3”, etc.). Customize your tool by giving it a name that is associated with your particular application.

Closed Tool Enabled

Defines when and whether or not the inspection tool should run (default setting is “On”). Select “Off” if you want to disable the tool; select "Expression" if you want to tie the tool's execution to the result of an Expression (this control is only enabled for tool's that provide an Expression parameter); or select an “Input” if you want the tool tied to a specific discrete input line, where it can be turned On or Off (a High signal, 1, is On, a Low signal, 0, is Off). Tying the tool to an input allows a control system, such as a PLC, to determine which tools should run.

Closed Include in Job Pass

Defines whether or not the tool's pass/failure status should be included in the job's overall pass/fail status; by default, it is checked and will be included in the job's overall pass/fail status. Uncheck the check box to keep the tool's pass/failure status separate from the other tools in the job. This control should be unchecked if a tool is expected to fail; for example, if two PatMax Patterns Identification Tools were being used to determine whether or not the part was a right-hand or left-hand part, one of the tools would be expected to fail every time. This situation would result in the job failing every time, regardless of which side of the part was identified, were the checkbox checked.

Closed Execution Time (ms)

Displays the amount of time, in milliseconds, that the tool took to perform its inspection. This time may vary, depending upon the complexity of the scene in the image, as well as the position of the feature within the image, and the amount of variance allowed in the parameters.

Closed Description

A comment that describes the purpose of the tool (by default, the field is blank). Up to 255 alpha-numeric characters or 127 Asian language characters may be used.

Closed Settings Tab
Closed Color

Defines the color of the displayed graphic; the default color is the color currently used by the other tools in the job.

Closed Result

Reports the outcome of the tool's Expression Tabs; displays the arc's X, Y, Radius, Start Angle and Span values.


Plot Arc Plot Tool - Center X, Center Y, Radius, Start Angle and Span Expression Tabs

The Plot Arc Plot Tool is comprised of the following Expression tabs (which all share the same controls) to construct the plotted graphic: Center X, Center Y, Radius, Start Angle and Span Expression Tabs. If any of the Expression Tabs are in an error state (#ERR), the graphic will not be plotted in the image and an error message will be returned stating which Expression Tab(s) is in error.

Note: These controls are disabled when the In-Sight vision system is Online.
Closed Expression

The Expression text box is used to construct a mathematical formula that processes tool results and data. Enter data by either using the keyboard and typing in the name of the mathematical function or job/tool data, or utilize the Vision Tools Tree, Mathematics Tree, Text Tree and/or Vision Data Access Tree on the left-hand side, and the Job and Tool Data Symbol Tree on the right-hand side, to assemble the formula. You can enter items by either double-clicking the items, or highlighting them and pressing the Insert button.

Note:
  • If the Expression references a tool that has been deleted, the reference will automatically be replaced by "Job.MissingArg" in the formula. The tool will return a Fail until the reference is corrected.
  • When constructing formulas, EasyBuilder does not correctly parse tool names that begin with a cell address (e.g. A3_MyTool or P10_SortTool). If expressions need to be created for those tools, rename the tool before creating the formula.
Closed Vision Tools

The Vision Tools Tree contains additional edge functions that can be used to construct your Expression. Functions can be added to the Expression by one of three methods:

  • Expand the Edge tree, select the desired function and then press the Insert button.
  • Expand the Edge tree, and double-click the desired function.
  • Using a keyboard, type the name of the desired function directly in the text box of the Expression.
Note: The list of functions available is contingent upon the cursor's placement in the Expression. If the cursor is located within the Expression in a location that prohibits a mathematical function from being added, those functions are unavailable until the cursor is in a location where they can be added.
Closed Mathematics Function Tree

The Mathematics Function Tree contains mathematical functions that can be used to construct your Expression. Functions can be added to the Expression by one of three methods:

  • Expand the Mathematics tree, select the desired function and then press the Insert button.
  • Expand the Mathematics tree, and double-click the desired function.
  • Using a keyboard, type the name of the desired function directly in the text box of the Expression.
Note: The list of functions available is contingent upon the cursor's placement in the Expression. If the cursor is located within the Expression in a location that prohibits a mathematical function from being added, those functions are unavailable until the cursor is in a location where they can be added.
Closed Text Function Tree

The Text Function Tree contains functions to format alphanumeric data for display and communications, and can be used to construct your Expression. Functions can be added to the Expression by one of three methods:

  • Expand the Text tree, select the desired function and then press the Insert button.
  • Expand the Text tree, and double-click the desired function.
  • Using a keyboard, type the name of the desired function directly in the text box of the Expression.
Note: The list of functions available is contingent upon the cursor's placement in the Expression. If the cursor is located within the Expression in a location that prohibits a mathematical function from being added, those functions are unavailable until the cursor is in a location where they can be added.
Closed Vision Data Access

The Vision Data Access Tree contains additional data that is not available by default that can be used to construct your Expression. Functions can be added to the Expression by one of three methods:

  • Expand the Vision Data Access tree, select the desired function and then press the Insert button.
  • Expand the Vision Data Access tree, and double-click the desired function.
  • Using a keyboard, type the name of the desired function directly in the text box of the Expression.
Note:
  • The list of functions available is contingent upon the cursor's placement in the Expression. If the cursor is located within the Expression in a location that prohibits a mathematical function from being added, those functions are unavailable until the cursor is in a location where they can be added.
  • EasyBuilder only supports Blobs, Edges and Patterns Vision Data Access functions.
Closed Job and Tool Data Symbol Tree

The Job and Tool Data Symbol Tree contains the data output by Location and/or Inspection Tools, as well as Input lines and job data, such as image acquisition parameters. The job and tool data are symbolic references to the values contained within them. Symbols can be added to the Expression by one of three methods:

  • Expand the tree, select the desired symbolic reference and then press the Insert button.
  • Expand the tree, and double-click the desired symbolic reference.
  • Using a keyboard, type the name of the desired symbolic reference directly in the text box of the Expression.
Note: The list of symbols available is contingent upon the cursor's placement in the Expression. If the cursor is located within the Expression in a location that prohibits a symbol from being added, those symbols are unavailable until the cursor is in a location where they can be added.
Closed Insert Button

The Insert button is used to place mathematical functions and symbols into the Expression. Select the desired mathematical function or symbol and then press the Insert button to add the function or symbol to the Expression.

Note: This control works in conjunction with the Mathematics Function Tree and Job and Tool Data Symbol Tree; if the selected item in either list is valid for the particular location of the cursor in the Expression text box, the Insert button will be enabled.
Closed Open Parenthesis, Comma, Close Parenthesis Buttons

The Open Parenthesis, Comma and Close Parenthesis buttons are used to construct mathematical formulas. Press the appropriate button to add them to your formula.

Note: These controls work in conjunction with the Mathematics Function Tree and Job and Tool Data Symbol Tree; if the selected item in either list is valid for the particular location of the cursor in the Expression text box, the buttons will be enabled.


Plot Tools - Plot Circle

The Plot Circle Plot Tool is used to plot a circle graphic onto the image based upon mathematical expressions that define the circle's X, Y and Radius values. The tool plots the graphic onto the image and returns the values that define the circle.

Note: The tool returns the results in pixels, unless the image was calibrated to real-world units (In-Sight vision systems) or Field of View (Width) was set to real-world units (In-Sight 2000 series vision sensors) in the Set Up Image application step.

Setting Up the Tool

Adjusting the Tool Parameters


Setting Up the Plot Circle Plot Tool

Once the tool has been added, you will need to construct the Expressions that will define the graphic.

  1. Construct the mathematical expressions that will be used to define the graphic by choosing and then entering the mathematical functions from the left-side of the settings pane, and values (tool and job data) from the right-side. To enter a function or value in the Expression formula editor, select the function or value and press the Enter key, double-click the function or value or press the Insert button.
  2. Once you have constructed the expressions that will define the graphic plotted on the image, EasyBuilder will process the data and create the graphic.
  3. With the tool initially configured, load several images and adjust the tool's parameters, as needed, to compensate for your expected ranges of variations.
  4. Finally, if desired, use the tool's Input/Output properties to share tool data between other tools and/or other external devices.


Adjusting the Plot Circle Plot Tool Parameters

After the tool’s region has been positioned, you can optimize the tool for your application.

The settings pane of the Plot Circle Plot Tool consists of the following:

  • General and Settings Tabs
  • X, Y and Radius Expression Tabs
Tip: Test your job, using TestRun. TestRun performs tests on the In-Sight vision system and compares the results of those tests against expected values. This will allow you to see whether or not the job is behaving as expected, or if you will need to adjust certain parameters for allowable variances.

General and Settings Tabs

X, Y and Radius Expression Tabs


Plot Circle Plot Tool - General and Settings Tabs

Closed General Tab
Closed Tool Name

Defines the name of your inspection tool, which will be utilized in configuring the results (Inputs/Outputs and Communication); the default name is “Circle_1” (if it is the first Plot Circle tool added to the job, otherwise it will be incremented, e.g. “Circle_2”, “Circle_3”, etc.). Customize your tool by giving it a name that is associated with your particular application.

Closed Tool Enabled

Defines when and whether or not the inspection tool should run (default setting is “On”). Select “Off” if you want to disable the tool; select "Expression" if you want to tie the tool's execution to the result of an Expression (this control is only enabled for tool's that provide an Expression parameter); or select an “Input” if you want the tool tied to a specific discrete input line, where it can be turned On or Off (a High signal, 1, is On, a Low signal, 0, is Off). Tying the tool to an input allows a control system, such as a PLC, to determine which tools should run.

Closed Include in Job Pass

Defines whether or not the tool's pass/failure status should be included in the job's overall pass/fail status; by default, it is checked and will be included in the job's overall pass/fail status. Uncheck the check box to keep the tool's pass/failure status separate from the other tools in the job. This control should be unchecked if a tool is expected to fail; for example, if two PatMax Patterns Identification Tools were being used to determine whether or not the part was a right-hand or left-hand part, one of the tools would be expected to fail every time. This situation would result in the job failing every time, regardless of which side of the part was identified, were the checkbox checked.

Closed Execution Time (ms)

Displays the amount of time, in milliseconds, that the tool took to perform its inspection. This time may vary, depending upon the complexity of the scene in the image, as well as the position of the feature within the image, and the amount of variance allowed in the parameters.

Closed Description

A comment that describes the purpose of the tool (by default, the field is blank). Up to 255 alpha-numeric characters or 127 Asian language characters may be used.

Closed Settings Tab
Closed Color

Defines the color of the displayed graphic; the default color is the color currently used by the other tools in the job.

Closed Result

Reports the outcome of the tool's Expression Tabs; displays the circle's X, Y and Radius values.


Plot Circle Plot Tool - X, Y and Radius Expression Tabs

The Plot Circle Plot Tool is comprised of the following Expression tabs (which all share the same controls) to construct the plotted graphic: X, Yand Radius Expression Tabs. If any of the Expression Tabs are in an error state (#ERR), the graphic will not be plotted in the image and an error message will be returned stating which Expression Tab(s) is in error.

Note: These controls are disabled when the In-Sight vision system is Online.
Closed Expression

The Expression text box is used to construct a mathematical formula that processes tool results and data. Enter data by either using the keyboard and typing in the name of the mathematical function or job/tool data, or utilize the Vision Tools Tree, Mathematics Tree, Text Tree and/or Vision Data Access Tree on the left-hand side, and the Job and Tool Data Symbol Tree on the right-hand side, to assemble the formula. You can enter items by either double-clicking the items, or highlighting them and pressing the Insert button.

Note:
  • If the Expression references a tool that has been deleted, the reference will automatically be replaced by "Job.MissingArg" in the formula. The tool will return a Fail until the reference is corrected.
  • When constructing formulas, EasyBuilder does not correctly parse tool names that begin with a cell address (e.g. A3_MyTool or P10_SortTool). If expressions need to be created for those tools, rename the tool before creating the formula.
Closed Vision Tools

The Vision Tools Tree contains additional edge functions that can be used to construct your Expression. Functions can be added to the Expression by one of three methods:

  • Expand the Edge tree, select the desired function and then press the Insert button.
  • Expand the Edge tree, and double-click the desired function.
  • Using a keyboard, type the name of the desired function directly in the text box of the Expression.
Note: The list of functions available is contingent upon the cursor's placement in the Expression. If the cursor is located within the Expression in a location that prohibits a mathematical function from being added, those functions are unavailable until the cursor is in a location where they can be added.
Closed Mathematics Function Tree

The Mathematics Function Tree contains mathematical functions that can be used to construct your Expression. Functions can be added to the Expression by one of three methods:

  • Expand the Mathematics tree, select the desired function and then press the Insert button.
  • Expand the Mathematics tree, and double-click the desired function.
  • Using a keyboard, type the name of the desired function directly in the text box of the Expression.
Note: The list of functions available is contingent upon the cursor's placement in the Expression. If the cursor is located within the Expression in a location that prohibits a mathematical function from being added, those functions are unavailable until the cursor is in a location where they can be added.
Closed Text Function Tree

The Text Function Tree contains functions to format alphanumeric data for display and communications, and can be used to construct your Expression. Functions can be added to the Expression by one of three methods:

  • Expand the Text tree, select the desired function and then press the Insert button.
  • Expand the Text tree, and double-click the desired function.
  • Using a keyboard, type the name of the desired function directly in the text box of the Expression.
Note: The list of functions available is contingent upon the cursor's placement in the Expression. If the cursor is located within the Expression in a location that prohibits a mathematical function from being added, those functions are unavailable until the cursor is in a location where they can be added.
Closed Vision Data Access

The Vision Data Access Tree contains additional data that is not available by default that can be used to construct your Expression. Functions can be added to the Expression by one of three methods:

  • Expand the Vision Data Access tree, select the desired function and then press the Insert button.
  • Expand the Vision Data Access tree, and double-click the desired function.
  • Using a keyboard, type the name of the desired function directly in the text box of the Expression.
Note:
  • The list of functions available is contingent upon the cursor's placement in the Expression. If the cursor is located within the Expression in a location that prohibits a mathematical function from being added, those functions are unavailable until the cursor is in a location where they can be added.
  • EasyBuilder only supports Blobs, Edges and Patterns Vision Data Access functions.
Closed Job and Tool Data Symbol Tree

The Job and Tool Data Symbol Tree contains the data output by Location and/or Inspection Tools, as well as Input lines and job data, such as image acquisition parameters. The job and tool data are symbolic references to the values contained within them. Symbols can be added to the Expression by one of three methods:

  • Expand the tree, select the desired symbolic reference and then press the Insert button.
  • Expand the tree, and double-click the desired symbolic reference.
  • Using a keyboard, type the name of the desired symbolic reference directly in the text box of the Expression.
Note: The list of symbols available is contingent upon the cursor's placement in the Expression. If the cursor is located within the Expression in a location that prohibits a symbol from being added, those symbols are unavailable until the cursor is in a location where they can be added.
Closed Insert Button

The Insert button is used to place mathematical functions and symbols into the Expression. Select the desired mathematical function or symbol and then press the Insert button to add the function or symbol to the Expression.

Note: This control works in conjunction with the Mathematics Function Tree and Job and Tool Data Symbol Tree; if the selected item in either list is valid for the particular location of the cursor in the Expression text box, the Insert button will be enabled.
Closed Open Parenthesis, Comma, Close Parenthesis Buttons

The Open Parenthesis, Comma and Close Parenthesis buttons are used to construct mathematical formulas. Press the appropriate button to add them to your formula.

Note: These controls work in conjunction with the Mathematics Function Tree and Job and Tool Data Symbol Tree; if the selected item in either list is valid for the particular location of the cursor in the Expression text box, the buttons will be enabled.


Plot Tools - Plot Cross

The Plot Cross Plot Tool is used to plot a cross graphic onto the image based upon mathematical expressions that define the cross' X, Y and Angle values. The tool plots the graphic onto the image and returns the values that define the cross.

Note:
  • The tool returns the results in pixels, unless the image was calibrated to real-world units (In-Sight vision systems) or Field of View (Width) was set to real-world units (In-Sight 2000 series vision sensors) in the Set Up Image application step.
  • The Plot Cross Plot Tool's output may be used as a Fixture for other tools.

Setting Up the Tool

Adjusting the Tool Parameters


Setting Up the Plot Cross Plot Tool

Once the tool has been added, you will need to construct the Expressions that will define the graphic.

  1. Construct the mathematical expressions that will be used to define the graphic by choosing and then entering the mathematical functions from the left-side of the settings pane, and values (tool and job data) from the right-side. To enter a function or value in the Expression formula editor, select the function or value and press the Enter key, double-click the function or value or press the Insert button.
  2. Once you have constructed the expressions that will define the graphic plotted on the image, EasyBuilder will process the data and create the graphic.
  3. With the tool initially configured, load several images and adjust the tool's parameters, as needed, to compensate for your expected ranges of variations.
  4. Finally, if desired, use the tool's Input/Output properties to share tool data between other tools and/or other external devices.


Adjusting the Plot Cross Plot Tool Parameters

After the tool’s region has been positioned, you can optimize the tool for your application.

The settings pane of the Plot Cross Plot Tool consists of the following:

  • General and Settings Tab
  • X, Y and Angle Expression Tabs
Tip: Test your job, using TestRun. TestRun performs tests on the In-Sight vision system and compares the results of those tests against expected values. This will allow you to see whether or not the job is behaving as expected, or if you will need to adjust certain parameters for allowable variances.

General and Settings Tabs

X, Y and Angle Expression Tabs


Plot Cross Plot Tool - General and Settings Tabs

Closed General Tab
Closed Tool Name

Defines the name of your inspection tool, which will be utilized in configuring the results Inputs/Outputs and Communication); the default name is “Cross_1” (if it is the first Plot Cross tool added to the job, otherwise it will be incremented, e.g. “Cross_2”, “Cross_3”, etc.). Customize your tool by giving it a name that is associated with your particular application.

Closed Tool Enabled

Defines when and whether or not the inspection tool should run (default setting is “On”). Select “Off” if you want to disable the tool; select "Expression" if you want to tie the tool's execution to the result of an Expression (this control is only enabled for tool's that provide an Expression parameter); or select an “Input” if you want the tool tied to a specific discrete input line, where it can be turned On or Off (a High signal, 1, is On, a Low signal, 0, is Off). Tying the tool to an input allows a control system, such as a PLC, to determine which tools should run.

Closed Include in Job Pass

Defines whether or not the tool's pass/failure status should be included in the job's overall pass/fail status; by default, it is checked and will be included in the job's overall pass/fail status. Uncheck the check box to keep the tool's pass/failure status separate from the other tools in the job. This control should be unchecked if a tool is expected to fail; for example, if two PatMax Patterns Identification Tools were being used to determine whether or not the part was a right-hand or left-hand part, one of the tools would be expected to fail every time. This situation would result in the job failing every time, regardless of which side of the part was identified, were the checkbox checked.

Closed Execution Time (ms)

Displays the amount of time, in milliseconds, that the tool took to perform its inspection. This time may vary, depending upon the complexity of the scene in the image, as well as the position of the feature within the image, and the amount of variance allowed in the parameters.

Closed Description

A comment that describes the purpose of the tool (by default, the field is blank). Up to 255 alpha-numeric characters or 127 Asian language characters may be used.

Closed Settings Tab
Closed Color

Defines the color of the displayed graphic; the default color is the color currently used by the other tools in the job.

Closed Result

Reports the outcome of the tool's Expression Tabs; displays the cross' X, Y and Angle values.


Plot Cross Plot Tool - X, Y and Angle Expression Tabs

The Plot Cross Plot Tool is comprised of the following Expression tabs (which all share the same controls) to construct the plotted graphic: X, Yand Angle Expression Tabs. If any of the Expression Tabs are in an error state (#ERR), the graphic will not be plotted in the image and an error message will be returned stating which Expression Tab(s) is in error.

Note: These controls are disabled when the In-Sight vision system is Online.
Closed Expression

The Expression text box is used to construct a mathematical formula that processes tool results and data. Enter data by either using the keyboard and typing in the name of the mathematical function or job/tool data, or utilize the Vision Tools Tree, Mathematics Tree, Text Tree and/or Vision Data Access Tree on the left-hand side, and the Job and Tool Data Symbol Tree on the right-hand side, to assemble the formula. You can enter items by either double-clicking the items, or highlighting them and pressing the Insert button.

Note:
  • If the Expression references a tool that has been deleted, the reference will automatically be replaced by "Job.MissingArg" in the formula. The tool will return a Fail until the reference is corrected.
  • When constructing formulas, EasyBuilder does not correctly parse tool names that begin with a cell address (e.g. A3_MyTool or P10_SortTool). If expressions need to be created for those tools, rename the tool before creating the formula.
Closed Vision Tools

The Vision Tools Tree contains additional edge functions that can be used to construct your Expression. Functions can be added to the Expression by one of three methods:

  • Expand the Edge tree, select the desired function and then press the Insert button.
  • Expand the Edge tree, and double-click the desired function.
  • Using a keyboard, type the name of the desired function directly in the text box of the Expression.
Note: The list of functions available is contingent upon the cursor's placement in the Expression. If the cursor is located within the Expression in a location that prohibits a mathematical function from being added, those functions are unavailable until the cursor is in a location where they can be added.
Closed Mathematics Function Tree

The Mathematics Function Tree contains mathematical functions that can be used to construct your Expression. Functions can be added to the Expression by one of three methods:

  • Expand the Mathematics tree, select the desired function and then press the Insert button.
  • Expand the Mathematics tree, and double-click the desired function.
  • Using a keyboard, type the name of the desired function directly in the text box of the Expression.
Note: The list of functions available is contingent upon the cursor's placement in the Expression. If the cursor is located within the Expression in a location that prohibits a mathematical function from being added, those functions are unavailable until the cursor is in a location where they can be added.
Closed Text Function Tree

The Text Function Tree contains functions to format alphanumeric data for display and communications, and can be used to construct your Expression. Functions can be added to the Expression by one of three methods:

  • Expand the Text tree, select the desired function and then press the Insert button.
  • Expand the Text tree, and double-click the desired function.
  • Using a keyboard, type the name of the desired function directly in the text box of the Expression.
Note: The list of functions available is contingent upon the cursor's placement in the Expression. If the cursor is located within the Expression in a location that prohibits a mathematical function from being added, those functions are unavailable until the cursor is in a location where they can be added.
Closed Vision Data Access

The Vision Data Access Tree contains additional data that is not available by default that can be used to construct your Expression. Functions can be added to the Expression by one of three methods:

  • Expand the Vision Data Access tree, select the desired function and then press the Insert button.
  • Expand the Vision Data Access tree, and double-click the desired function.
  • Using a keyboard, type the name of the desired function directly in the text box of the Expression.
Note:
  • The list of functions available is contingent upon the cursor's placement in the Expression. If the cursor is located within the Expression in a location that prohibits a mathematical function from being added, those functions are unavailable until the cursor is in a location where they can be added.
  • EasyBuilder only supports Blobs, Edges and Patterns Vision Data Access functions.
Closed Job and Tool Data Symbol Tree

The Job and Tool Data Symbol Tree contains the data output by Location and/or Inspection Tools, as well as Input lines and job data, such as image acquisition parameters. The job and tool data are symbolic references to the values contained within them. Symbols can be added to the Expression by one of three methods:

  • Expand the tree, select the desired symbolic reference and then press the Insert button.
  • Expand the tree, and double-click the desired symbolic reference.
  • Using a keyboard, type the name of the desired symbolic reference directly in the text box of the Expression.
Note: The list of symbols available is contingent upon the cursor's placement in the Expression. If the cursor is located within the Expression in a location that prohibits a symbol from being added, those symbols are unavailable until the cursor is in a location where they can be added.
Closed Insert Button

The Insert button is used to place mathematical functions and symbols into the Expression. Select the desired mathematical function or symbol and then press the Insert button to add the function or symbol to the Expression.

Note: This control works in conjunction with the Mathematics Function Tree and Job and Tool Data Symbol Tree; if the selected item in either list is valid for the particular location of the cursor in the Expression text box, the Insert button will be enabled.
Closed Open Parenthesis, Comma, Close Parenthesis Buttons

The Open Parenthesis, Comma and Close Parenthesis buttons are used to construct mathematical formulas. Press the appropriate button to add them to your formula.

Note: These controls work in conjunction with the Mathematics Function Tree and Job and Tool Data Symbol Tree; if the selected item in either list is valid for the particular location of the cursor in the Expression text box, the buttons will be enabled.


Plot Tools - Plot Line

The Plot Line Plot Tool is used to plot a line graphic onto the image based upon mathematical expressions that define the line's Start X, Start Y, End X and End Y values. The tool plots the graphic onto the image and returns the values that define the line's starting and ending X/Y values.

Note: The tool returns the results in pixels, unless the image was calibrated to real-world units (In-Sight vision systems) or Field of View (Width) was set to real-world units (In-Sight 2000 series vision sensors) in the Set Up Image application step.

Setting Up the Tool

Adjusting the Tool Parameters


Setting Up the Plot Line Plot Tool

Once the tool has been added, you will need to construct the Expressions that will define the graphic.

  1. Construct the mathematical expressions that will be used to define the graphic by choosing and then entering the mathematical functions from the left-side of the settings pane, and values (tool and job data) from the right-side. To enter a function or value in the Expression formula editor, select the function or value and press the Enter key, double-click the function or value or press the Insert button.
  2. Once you have constructed the expressions that will define the graphic plotted on the image, EasyBuilder will process the data and create the graphic.
  3. With the tool initially configured, load several images and adjust the tool's parameters, as needed, to compensate for your expected ranges of variations.
  4. Finally, if desired, use the tool's Input/Output properties to share tool data between other tools and/or other external devices.


Adjusting the Plot Line Plot Tool Parameters

After the tool’s region has been positioned, you can optimize the tool for your application.

The settings pane of the Plot Line Plot Tool consists of the following:

  • General and Settings Tab
  • Start X, Start Y, End X and End Y Expression Tabs
Tip: Test your job, using TestRun. TestRun performs tests on the In-Sight vision system and compares the results of those tests against expected values. This will allow you to see whether or not the job is behaving as expected, or if you will need to adjust certain parameters for allowable variances.

General and Settings Tabs

Start X, Start Y, End X and End Y Expression Tabs


Plot Line Plot Tool - General and Settings Tabs

Closed General Tab
Closed Tool Name

Defines the name of your inspection tool, which will be utilized in configuring the results Inputs/Outputs and Communication); the default name is “Line_1” (if it is the first Plot Line tool added to the job, otherwise it will be incremented, e.g. “Line_2”, “Line_3”, etc.). Customize your tool by giving it a name that is associated with your particular application.

Closed Tool Enabled

Defines when and whether or not the inspection tool should run (default setting is “On”). Select “Off” if you want to disable the tool; select "Expression" if you want to tie the tool's execution to the result of an Expression (this control is only enabled for tool's that provide an Expression parameter); or select an “Input” if you want the tool tied to a specific discrete input line, where it can be turned On or Off (a High signal, 1, is On, a Low signal, 0, is Off). Tying the tool to an input allows a control system, such as a PLC, to determine which tools should run.

Closed Include in Job Pass

Defines whether or not the tool's pass/failure status should be included in the job's overall pass/fail status; by default, it is checked and will be included in the job's overall pass/fail status. Uncheck the check box to keep the tool's pass/failure status separate from the other tools in the job. This control should be unchecked if a tool is expected to fail; for example, if two PatMax Patterns Identification Tools were being used to determine whether or not the part was a right-hand or left-hand part, one of the tools would be expected to fail every time. This situation would result in the job failing every time, regardless of which side of the part was identified, were the checkbox checked.

Closed Execution Time (ms)

Displays the amount of time, in milliseconds, that the tool took to perform its inspection. This time may vary, depending upon the complexity of the scene in the image, as well as the position of the feature within the image, and the amount of variance allowed in the parameters.

Closed Description

A comment that describes the purpose of the tool (by default, the field is blank). Up to 255 alpha-numeric characters or 127 Asian language characters may be used.

Closed Settings Tab
Closed Color

Defines the color of the displayed graphic; the default color is the color currently used by the other tools in the job.

Closed Result

Reports the outcome of the tool's Expression Tabs; displays the line's starting and ending X and Y values.


Plot Line Plot Tool - Start X, Start Y, End X and End Y Expression Tabs

The Plot Line Plot Tool is comprised of the following Expression tabs (which all share the same controls) to construct the plotted graphic: Start X, Start Y, End X and End Y Expression Tabs. If any of the Expression Tabs are in an error state (#ERR), the graphic will not be plotted in the image and an error message will be returned stating which Expression Tab(s) is in error.

Note: These controls are disabled when the In-Sight vision system is Online.
Closed Expression

The Expression text box is used to construct a mathematical formula that processes tool results and data. Enter data by either using the keyboard and typing in the name of the mathematical function or job/tool data, or utilize the Vision Tools Tree, Mathematics Tree, Text Tree and/or Vision Data Access Tree on the left-hand side, and the Job and Tool Data Symbol Tree on the right-hand side, to assemble the formula. You can enter items by either double-clicking the items, or highlighting them and pressing the Insert button.

Note:
  • If the Expression references a tool that has been deleted, the reference will automatically be replaced by "Job.MissingArg" in the formula. The tool will return a Fail until the reference is corrected.
  • When constructing formulas, EasyBuilder does not correctly parse tool names that begin with a cell address (e.g. A3_MyTool or P10_SortTool). If expressions need to be created for those tools, rename the tool before creating the formula.
Closed Vision Tools

The Vision Tools Tree contains additional edge functions that can be used to construct your Expression. Functions can be added to the Expression by one of three methods:

  • Expand the Edge tree, select the desired function and then press the Insert button.
  • Expand the Edge tree, and double-click the desired function.
  • Using a keyboard, type the name of the desired function directly in the text box of the Expression.
Note: The list of functions available is contingent upon the cursor's placement in the Expression. If the cursor is located within the Expression in a location that prohibits a mathematical function from being added, those functions are unavailable until the cursor is in a location where they can be added.
Closed Mathematics Function Tree

The Mathematics Function Tree contains mathematical functions that can be used to construct your Expression. Functions can be added to the Expression by one of three methods:

  • Expand the Mathematics tree, select the desired function and then press the Insert button.
  • Expand the Mathematics tree, and double-click the desired function.
  • Using a keyboard, type the name of the desired function directly in the text box of the Expression.
Note: The list of functions available is contingent upon the cursor's placement in the Expression. If the cursor is located within the Expression in a location that prohibits a mathematical function from being added, those functions are unavailable until the cursor is in a location where they can be added.
Closed Text Function Tree

The Text Function Tree contains functions to format alphanumeric data for display and communications, and can be used to construct your Expression. Functions can be added to the Expression by one of three methods:

  • Expand the Text tree, select the desired function and then press the Insert button.
  • Expand the Text tree, and double-click the desired function.
  • Using a keyboard, type the name of the desired function directly in the text box of the Expression.
Note: The list of functions available is contingent upon the cursor's placement in the Expression. If the cursor is located within the Expression in a location that prohibits a mathematical function from being added, those functions are unavailable until the cursor is in a location where they can be added.
Closed Vision Data Access

The Vision Data Access Tree contains additional data that is not available by default that can be used to construct your Expression. Functions can be added to the Expression by one of three methods:

  • Expand the Vision Data Access tree, select the desired function and then press the Insert button.
  • Expand the Vision Data Access tree, and double-click the desired function.
  • Using a keyboard, type the name of the desired function directly in the text box of the Expression.
Note:
  • The list of functions available is contingent upon the cursor's placement in the Expression. If the cursor is located within the Expression in a location that prohibits a mathematical function from being added, those functions are unavailable until the cursor is in a location where they can be added.
  • EasyBuilder only supports Blobs, Edges and Patterns Vision Data Access functions.
Closed Job and Tool Data Symbol Tree

The Job and Tool Data Symbol Tree contains the data output by Location and/or Inspection Tools, as well as Input lines and job data, such as image acquisition parameters. The job and tool data are symbolic references to the values contained within them. Symbols can be added to the Expression by one of three methods:

  • Expand the tree, select the desired symbolic reference and then press the Insert button.
  • Expand the tree, and double-click the desired symbolic reference.
  • Using a keyboard, type the name of the desired symbolic reference directly in the text box of the Expression.
Note: The list of symbols available is contingent upon the cursor's placement in the Expression. If the cursor is located within the Expression in a location that prohibits a symbol from being added, those symbols are unavailable until the cursor is in a location where they can be added.
Closed Insert Button

The Insert button is used to place mathematical functions and symbols into the Expression. Select the desired mathematical function or symbol and then press the Insert button to add the function or symbol to the Expression.

Note: This control works in conjunction with the Mathematics Function Tree and Job and Tool Data Symbol Tree; if the selected item in either list is valid for the particular location of the cursor in the Expression text box, the Insert button will be enabled.
Closed Open Parenthesis, Comma, Close Parenthesis Buttons

The Open Parenthesis, Comma and Close Parenthesis buttons are used to construct mathematical formulas. Press the appropriate button to add them to your formula.

Note: These controls work in conjunction with the Mathematics Function Tree and Job and Tool Data Symbol Tree; if the selected item in either list is valid for the particular location of the cursor in the Expression text box, the buttons will be enabled.


Plot Tools - Plot Point

The Plot Point Plot Tool is used to plot a point graphic onto the image based upon mathematical expressions that define the point's X and Y values. The tool plots the graphic onto the image and returns the values that define the point.

Note: The tool returns the results in pixels, unless the image was calibrated to real-world units (In-Sight vision systems) or Field of View (Width) was set to real-world units (In-Sight 2000 series vision sensors) in the Set Up Image application step.

Setting Up the Tool

Adjusting the Tool Parameters


Setting Up the Plot Point Plot Tool

Once the tool has been added, you will need to construct the Expressions that will define the graphic.

  1. Construct the mathematical expressions that will be used to define the graphic by choosing and then entering the mathematical functions from the left-side of the settings pane, and values (tool and job data) from the right-side. To enter a function or value in the Expression formula editor, select the function or value and press the Enter key, double-click the function or value or press the Insert button.
  2. Once you have constructed the expressions that will define the graphic plotted on the image, EasyBuilder will process the data and create the graphic.
  3. With the tool initially configured, load several images and adjust the tool's parameters, as needed, to compensate for your expected ranges of variations.
  4. Finally, if desired, use the tool's Input/Output properties to share tool data between other tools and/or other external devices.


Adjusting the Plot Point Plot Tool Parameters

After the tool’s region has been positioned, you can optimize the tool for your application.

The settings pane of the Plot Point Plot Tool consists of the following:

  • General and Settings Tabs
  • X and Y Expression Tabs
Tip: Test your job, using TestRun. TestRun performs tests on the In-Sight vision system and compares the results of those tests against expected values. This will allow you to see whether or not the job is behaving as expected, or if you will need to adjust certain parameters for allowable variances.

General and Settings Tabs

X and Y Expression Tabs


Plot Point Plot Tool - General and Settings Tabs

Closed General Tab
Closed Tool Name

Defines the name of your inspection tool, which will be utilized in configuring the results Inputs/Outputs and Communication); the default name is “Point_1” (if it is the first Plot Point tool added to the job, otherwise it will be incremented, e.g. “Point_2”, “Point_3”, etc.). Customize your tool by giving it a name that is associated with your particular application.

Closed Tool Enabled

Defines when and whether or not the inspection tool should run (default setting is “On”). Select “Off” if you want to disable the tool; select "Expression" if you want to tie the tool's execution to the result of an Expression (this control is only enabled for tool's that provide an Expression parameter); or select an “Input” if you want the tool tied to a specific discrete input line, where it can be turned On or Off (a High signal, 1, is On, a Low signal, 0, is Off). Tying the tool to an input allows a control system, such as a PLC, to determine which tools should run.

Closed Include in Job Pass

Defines whether or not the tool's pass/failure status should be included in the job's overall pass/fail status; by default, it is checked and will be included in the job's overall pass/fail status. Uncheck the check box to keep the tool's pass/failure status separate from the other tools in the job. This control should be unchecked if a tool is expected to fail; for example, if two PatMax Patterns Identification Tools were being used to determine whether or not the part was a right-hand or left-hand part, one of the tools would be expected to fail every time. This situation would result in the job failing every time, regardless of which side of the part was identified, were the checkbox checked.

Closed Execution Time (ms)

Displays the amount of time, in milliseconds, that the tool took to perform its inspection. This time may vary, depending upon the complexity of the scene in the image, as well as the position of the feature within the image, and the amount of variance allowed in the parameters.

Closed Description

A comment that describes the purpose of the tool (by default, the field is blank). Up to 255 alpha-numeric characters or 127 Asian language characters may be used.

Closed Settings Tab
Closed Color

Defines the color of the displayed graphic; the default color is the color currently used by the other tools in the job.

Closed Result

Reports the outcome of the tool's Expression Tabs; displays the point's X and Y values.


Plot Point Plot Tool - X and Y Expression Tabs

The Plot Point Plot Tool is comprised of the following Expression tabs (which all share the same controls) to construct the plotted graphic: Xand Y Expression Tabs. If any of the Expression Tabs are in an error state (#ERR), the graphic will not be plotted in the image and an error message will be returned stating which Expression Tab(s) is in error.

Note: These controls are disabled when the In-Sight vision system is Online.
Closed Expression

The Expression text box is used to construct a mathematical formula that processes tool results and data. Enter data by either using the keyboard and typing in the name of the mathematical function or job/tool data, or utilize the Vision Tools Tree, Mathematics Tree, Text Tree and/or Vision Data Access Tree on the left-hand side, and the Job and Tool Data Symbol Tree on the right-hand side, to assemble the formula. You can enter items by either double-clicking the items, or highlighting them and pressing the Insert button.

Note:
  • If the Expression references a tool that has been deleted, the reference will automatically be replaced by "Job.MissingArg" in the formula. The tool will return a Fail until the reference is corrected.
  • When constructing formulas, EasyBuilder does not correctly parse tool names that begin with a cell address (e.g. A3_MyTool or P10_SortTool). If expressions need to be created for those tools, rename the tool before creating the formula.
Closed Vision Tools

The Vision Tools Tree contains additional edge functions that can be used to construct your Expression. Functions can be added to the Expression by one of three methods:

  • Expand the Edge tree, select the desired function and then press the Insert button.
  • Expand the Edge tree, and double-click the desired function.
  • Using a keyboard, type the name of the desired function directly in the text box of the Expression.
Note: The list of functions available is contingent upon the cursor's placement in the Expression. If the cursor is located within the Expression in a location that prohibits a mathematical function from being added, those functions are unavailable until the cursor is in a location where they can be added.
Closed Mathematics Function Tree

The Mathematics Function Tree contains mathematical functions that can be used to construct your Expression. Functions can be added to the Expression by one of three methods:

  • Expand the Mathematics tree, select the desired function and then press the Insert button.
  • Expand the Mathematics tree, and double-click the desired function.
  • Using a keyboard, type the name of the desired function directly in the text box of the Expression.
Note: The list of functions available is contingent upon the cursor's placement in the Expression. If the cursor is located within the Expression in a location that prohibits a mathematical function from being added, those functions are unavailable until the cursor is in a location where they can be added.
Closed Text Function Tree

The Text Function Tree contains functions to format alphanumeric data for display and communications, and can be used to construct your Expression. Functions can be added to the Expression by one of three methods:

  • Expand the Text tree, select the desired function and then press the Insert button.
  • Expand the Text tree, and double-click the desired function.
  • Using a keyboard, type the name of the desired function directly in the text box of the Expression.
Note: The list of functions available is contingent upon the cursor's placement in the Expression. If the cursor is located within the Expression in a location that prohibits a mathematical function from being added, those functions are unavailable until the cursor is in a location where they can be added.
Closed Vision Data Access

The Vision Data Access Tree contains additional data that is not available by default that can be used to construct your Expression. Functions can be added to the Expression by one of three methods:

  • Expand the Vision Data Access tree, select the desired function and then press the Insert button.
  • Expand the Vision Data Access tree, and double-click the desired function.
  • Using a keyboard, type the name of the desired function directly in the text box of the Expression.
Note:
  • The list of functions available is contingent upon the cursor's placement in the Expression. If the cursor is located within the Expression in a location that prohibits a mathematical function from being added, those functions are unavailable until the cursor is in a location where they can be added.
  • EasyBuilder only supports Blobs, Edges and Patterns Vision Data Access functions.
Closed Job and Tool Data Symbol Tree

The Job and Tool Data Symbol Tree contains the data output by Location and/or Inspection Tools, as well as Input lines and job data, such as image acquisition parameters. The job and tool data are symbolic references to the values contained within them. Symbols can be added to the Expression by one of three methods:

  • Expand the tree, select the desired symbolic reference and then press the Insert button.
  • Expand the tree, and double-click the desired symbolic reference.
  • Using a keyboard, type the name of the desired symbolic reference directly in the text box of the Expression.
Note: The list of symbols available is contingent upon the cursor's placement in the Expression. If the cursor is located within the Expression in a location that prohibits a symbol from being added, those symbols are unavailable until the cursor is in a location where they can be added.
Closed Insert Button

The Insert button is used to place mathematical functions and symbols into the Expression. Select the desired mathematical function or symbol and then press the Insert button to add the function or symbol to the Expression.

Note: This control works in conjunction with the Mathematics Function Tree and Job and Tool Data Symbol Tree; if the selected item in either list is valid for the particular location of the cursor in the Expression text box, the Insert button will be enabled.
Closed Open Parenthesis, Comma, Close Parenthesis Buttons

The Open Parenthesis, Comma and Close Parenthesis buttons are used to construct mathematical formulas. Press the appropriate button to add them to your formula.

Note: These controls work in conjunction with the Mathematics Function Tree and Job and Tool Data Symbol Tree; if the selected item in either list is valid for the particular location of the cursor in the Expression text box, the buttons will be enabled.


Plot Tools - Plot Region

The Plot Region Plot Tool is used to plot a region graphic onto the image based upon mathematical expressions that define the region's X, Y, High, Wide, Angle and Curve values. The tool plots the graphic onto the image and returns the values that define the region's location, shape and size.

Note: The tool returns the results in pixels, unless the image was calibrated to real-world units (In-Sight vision systems) or Field of View (Width) was set to real-world units (In-Sight 2000 series vision sensors) in the Set Up Image application step.

Setting Up the Tool

Adjusting the Tool Parameters


Setting Up the Plot Region Plot Tool

Once the tool has been added, you will need to construct the Expressions that will define the graphic.

  1. Construct the mathematical expressions that will be used to define the graphic by choosing and then entering the mathematical functions from the left-side of the settings pane, and values (tool and job data) from the right-side. To enter a function or value in the Expression formula editor, select the function or value and press the Enter key, double-click the function or value or press the Insert button.
  2. Once you have constructed the expressions that will define the graphic plotted on the image, EasyBuilder will process the data and create the graphic.
  3. With the tool initially configured, load several images and adjust the tool's parameters, as needed, to compensate for your expected ranges of variations.
  4. Finally, if desired, use the tool's Input/Output properties to share tool data between other tools and/or other external devices.


Adjusting the Plot Region Plot Tool Parameters

After the tool’s region has been positioned, you can optimize the tool for your application.

The settings pane of the Plot Region Plot Tool consists of the following:

  • General and Settings Tab
  • X, Y, Height, Width, Angle and Curve Expression Tabs
Tip: Test your job, using TestRun. TestRun performs tests on the In-Sight vision system and compares the results of those tests against expected values. This will allow you to see whether or not the job is behaving as expected, or if you will need to adjust certain parameters for allowable variances.

General and Settings Tabs

X, Y, Height, Width, Angle and Curve Expression Tabs


Plot Region Plot Tool - General and Settings Tabs

Closed General Tab
Closed Tool Name

Defines the name of your inspection tool, which will be utilized in configuring the results Inputs/Outputs and Communication); the default name is “Region_1” (if it is the first Plot Region tool added to the job, otherwise it will be incremented, e.g. “Region_2”, “Region_3”, etc.). Customize your tool by giving it a name that is associated with your particular application.

Closed Tool Enabled

Defines when and whether or not the inspection tool should run (default setting is “On”). Select “Off” if you want to disable the tool; select "Expression" if you want to tie the tool's execution to the result of an Expression (this control is only enabled for tool's that provide an Expression parameter); or select an “Input” if you want the tool tied to a specific discrete input line, where it can be turned On or Off (a High signal, 1, is On, a Low signal, 0, is Off). Tying the tool to an input allows a control system, such as a PLC, to determine which tools should run.

Closed Include in Job Pass

Defines whether or not the tool's pass/failure status should be included in the job's overall pass/fail status; by default, it is checked and will be included in the job's overall pass/fail status. Uncheck the check box to keep the tool's pass/failure status separate from the other tools in the job. This control should be unchecked if a tool is expected to fail; for example, if two PatMax Patterns Identification Tools were being used to determine whether or not the part was a right-hand or left-hand part, one of the tools would be expected to fail every time. This situation would result in the job failing every time, regardless of which side of the part was identified, were the checkbox checked.

Closed Execution Time (ms)

Displays the amount of time, in milliseconds, that the tool took to perform its inspection. This time may vary, depending upon the complexity of the scene in the image, as well as the position of the feature within the image, and the amount of variance allowed in the parameters.

Closed Description

A comment that describes the purpose of the tool (by default, the field is blank). Up to 255 alpha-numeric characters or 127 Asian language characters may be used.

Closed Settings Tab
Closed Color

Defines the color of the displayed graphic; the default color is the color currently used by the other tools in the job.

Closed Result

Reports the outcome of the tool's Expression Tabs; displays the region's X, Y, High, Wide, Angle and Curve values.


Plot Region Plot Tool - X, Y, Height, Width, Angle and Curve Expression Tabs

The Plot Region Plot Tool is comprised of the following Expression tabs (which all share the same controls) to construct the plotted graphic: X, Y, Height, Width and Curve Expression Tabs. The X Expression Tab defines the location of the region's first vertex; the Y Expression Tab defines the region's other vertex; the Height Expression Tab defines the dimension of the region along the positive X-axis; the Width Expression Tab defines the dimension of the region along the positive Y-axis; the Angle Expression Tab defines the angle of the region , in degrees, from the positive X-axis to the region's first border; and the Curve Expression Tab defines the angle, in degrees, between the region's two side borders. If any of the Expression Tabs are in an error state (#ERR), the graphic will not be plotted in the image and an error message will be returned stating which Expression Tab(s) is in error.

Note: These controls are disabled when the In-Sight vision system is Online.
Closed Expression

The Expression text box is used to construct a mathematical formula that processes tool results and data. Enter data by either using the keyboard and typing in the name of the mathematical function or job/tool data, or utilize the Vision Tools Tree, Mathematics Tree, Text Tree and/or Vision Data Access Tree on the left-hand side, and the Job and Tool Data Symbol Tree on the right-hand side, to assemble the formula. You can enter items by either double-clicking the items, or highlighting them and pressing the Insert button.

Note:
  • If the Expression references a tool that has been deleted, the reference will automatically be replaced by "Job.MissingArg" in the formula. The tool will return a Fail until the reference is corrected.
  • When constructing formulas, EasyBuilder does not correctly parse tool names that begin with a cell address (e.g. A3_MyTool or P10_SortTool). If expressions need to be created for those tools, rename the tool before creating the formula.
Closed Vision Tools

The Vision Tools Tree contains additional edge functions that can be used to construct your Expression. Functions can be added to the Expression by one of three methods:

  • Expand the Edge tree, select the desired function and then press the Insert button.
  • Expand the Edge tree, and double-click the desired function.
  • Using a keyboard, type the name of the desired function directly in the text box of the Expression.
Note: The list of functions available is contingent upon the cursor's placement in the Expression. If the cursor is located within the Expression in a location that prohibits a mathematical function from being added, those functions are unavailable until the cursor is in a location where they can be added.
Closed Mathematics Function Tree

The Mathematics Function Tree contains mathematical functions that can be used to construct your Expression. Functions can be added to the Expression by one of three methods:

  • Expand the Mathematics tree, select the desired function and then press the Insert button.
  • Expand the Mathematics tree, and double-click the desired function.
  • Using a keyboard, type the name of the desired function directly in the text box of the Expression.
Note: The list of functions available is contingent upon the cursor's placement in the Expression. If the cursor is located within the Expression in a location that prohibits a mathematical function from being added, those functions are unavailable until the cursor is in a location where they can be added.
Closed Text Function Tree

The Text Function Tree contains functions to format alphanumeric data for display and communications, and can be used to construct your Expression. Functions can be added to the Expression by one of three methods:

  • Expand the Text tree, select the desired function and then press the Insert button.
  • Expand the Text tree, and double-click the desired function.
  • Using a keyboard, type the name of the desired function directly in the text box of the Expression.
Note: The list of functions available is contingent upon the cursor's placement in the Expression. If the cursor is located within the Expression in a location that prohibits a mathematical function from being added, those functions are unavailable until the cursor is in a location where they can be added.
Closed Vision Data Access

The Vision Data Access Tree contains additional data that is not available by default that can be used to construct your Expression. Functions can be added to the Expression by one of three methods:

  • Expand the Vision Data Access tree, select the desired function and then press the Insert button.
  • Expand the Vision Data Access tree, and double-click the desired function.
  • Using a keyboard, type the name of the desired function directly in the text box of the Expression.
Note:
  • The list of functions available is contingent upon the cursor's placement in the Expression. If the cursor is located within the Expression in a location that prohibits a mathematical function from being added, those functions are unavailable until the cursor is in a location where they can be added.
  • EasyBuilder only supports Blobs, Edges and Patterns Vision Data Access functions.
Closed Job and Tool Data Symbol Tree

The Job and Tool Data Symbol Tree contains the data output by Location and/or Inspection Tools, as well as Input lines and job data, such as image acquisition parameters. The job and tool data are symbolic references to the values contained within them. Symbols can be added to the Expression by one of three methods:

  • Expand the tree, select the desired symbolic reference and then press the Insert button.
  • Expand the tree, and double-click the desired symbolic reference.
  • Using a keyboard, type the name of the desired symbolic reference directly in the text box of the Expression.
Note: The list of symbols available is contingent upon the cursor's placement in the Expression. If the cursor is located within the Expression in a location that prohibits a symbol from being added, those symbols are unavailable until the cursor is in a location where they can be added.
Closed Insert Button

The Insert button is used to place mathematical functions and symbols into the Expression. Select the desired mathematical function or symbol and then press the Insert button to add the function or symbol to the Expression.

Note: This control works in conjunction with the Mathematics Function Tree and Job and Tool Data Symbol Tree; if the selected item in either list is valid for the particular location of the cursor in the Expression text box, the Insert button will be enabled.
Closed Open Parenthesis, Comma, Close Parenthesis Buttons

The Open Parenthesis, Comma and Close Parenthesis buttons are used to construct mathematical formulas. Press the appropriate button to add them to your formula.

Note: These controls work in conjunction with the Mathematics Function Tree and Job and Tool Data Symbol Tree; if the selected item in either list is valid for the particular location of the cursor in the Expression text box, the buttons will be enabled.


Plot Tools - Plot String

The Plot String Plot Tool is used to plot a text string graphic onto the image based upon mathematical expressions that define the string and it's X and Y location values. The tool plots the graphic onto the image and returns the values that define the string's X/Y location.

Note: The tool returns the results in pixels, unless the image was calibrated to real-world units (In-Sight vision systems) or Field of View (Width) was set to real-world units (In-Sight 2000 series vision sensors) in the Set Up Image application step.

Setting Up the Tool

Adjusting the Tool Parameters


Setting Up the Plot String Plot Tool

Once the tool has been added, you will need to construct the Expressions that will define the graphic.

  1. Construct the mathematical expressions that will be used to define the graphic by choosing and then entering the mathematical functions from the left-side of the settings pane, and values (tool and job data) from the right-side. To enter a function or value in the Expression formula editor, select the function or value and press the Enter key, double-click the function or value or press the Insert button.
  2. Once you have constructed the expressions that will define the graphic plotted on the image, EasyBuilder will process the data and create the graphic.
  3. With the tool initially configured, load several images and adjust the tool's parameters, as needed, to compensate for your expected ranges of variations.
  4. Finally, if desired, use the tool's Input/Output properties to share tool data between other tools and/or other external devices.


Adjusting the Plot String Plot Tool Parameters

After the tool’s region has been positioned, you can optimize the tool for your application.

The settings pane of the Plot String Plot Tool consists of the following:

  • General and Settings Tabs
  • Expression Tab
Tip: Test your job, using TestRun. TestRun performs tests on the In-Sight vision system and compares the results of those tests against expected values. This will allow you to see whether or not the job is behaving as expected, or if you will need to adjust certain parameters for allowable variances.

General and Settings Tabs

X, Y and String Expression Tabs


Plot String Plot Tool - General and Settings Tabs

Closed General Tab
Closed Tool Name

Defines the name of your inspection tool, which will be utilized in configuring the results (Inputs/Outputs and Communication); the default name is “String_1” (if it is the first Plot String tool added to the job, otherwise it will be incremented, e.g. “String_2”, “String_3”, etc.). Customize your tool by giving it a name that is associated with your particular application.

Closed Tool Enabled

Defines when and whether or not the inspection tool should run (default setting is “On”). Select “Off” if you want to disable the tool; select "Expression" if you want to tie the tool's execution to the result of an Expression (this control is only enabled for tool's that provide an Expression parameter); or select an “Input” if you want the tool tied to a specific discrete input line, where it can be turned On or Off (a High signal, 1, is On, a Low signal, 0, is Off). Tying the tool to an input allows a control system, such as a PLC, to determine which tools should run.

Closed Include in Job Pass

Defines whether or not the tool's pass/failure status should be included in the job's overall pass/fail status; by default, it is checked and will be included in the job's overall pass/fail status. Uncheck the check box to keep the tool's pass/failure status separate from the other tools in the job. This control should be unchecked if a tool is expected to fail; for example, if two PatMax Patterns Identification Tools were being used to determine whether or not the part was a right-hand or left-hand part, one of the tools would be expected to fail every time. This situation would result in the job failing every time, regardless of which side of the part was identified, were the checkbox checked.

Closed Execution Time (ms)

Displays the amount of time, in milliseconds, that the tool took to perform its inspection. This time may vary, depending upon the complexity of the scene in the image, as well as the position of the feature within the image, and the amount of variance allowed in the parameters.

Closed Description

A comment that describes the purpose of the tool (by default, the field is blank). Up to 255 alpha-numeric characters or 127 Asian language characters may be used.

Closed Settings Tab
Closed Result

Reports the outcome of the tool's Expression Tabs; displays the string and its X and Y values.

Closed Color

Defines the color of the displayed graphic; the default color is the color currently used by the other tools in the job.

Closed Font Name

Defines the font type that will be used for the string graphic; by default, Ariel is selected.

Closed Font Style

Defines the style (Regular, Italic, Bold or Bold Italic) of the font that is used for the string graphic; by default, the font style is Regular.

Closed Font Size

Defines the size of the font that is used for the string graphic; by default, the font size is set at 9 point.


Plot String Plot Tool - X, Y and String Expression Tabs

The Plot String Plot Tool is comprised of the following Expression tabs (which all share the same controls) to construct the plotted graphic: X, Y and String Expression Tabs. If any of the Expression Tabs are in an error state (#ERR), the graphic will not be plotted in the image and an error message will be returned stating which Expression Tab(s) is in error.

Note: These controls are disabled when the In-Sight vision system is Online.
Closed Expression

The Expression text box is used to construct a mathematical formula that processes tool results and data. Enter data by either using the keyboard and typing in the name of the mathematical function or job/tool data, or utilize the Vision Tools Tree, Mathematics Tree, Text Tree and/or Vision Data Access Tree on the left-hand side, and the Job and Tool Data Symbol Tree on the right-hand side, to assemble the formula. You can enter items by either double-clicking the items, or highlighting them and pressing the Insert button.

Note:
  • If the Expression references a tool that has been deleted, the reference will automatically be replaced by "Job.MissingArg" in the formula. The tool will return a Fail until the reference is corrected.
  • When constructing formulas, EasyBuilder does not correctly parse tool names that begin with a cell address (e.g. A3_MyTool or P10_SortTool). If expressions need to be created for those tools, rename the tool before creating the formula.
Closed Vision Tools

The Vision Tools Tree contains additional edge functions that can be used to construct your Expression. Functions can be added to the Expression by one of three methods:

  • Expand the Edge tree, select the desired function and then press the Insert button.
  • Expand the Edge tree, and double-click the desired function.
  • Using a keyboard, type the name of the desired function directly in the text box of the Expression.
Note: The list of functions available is contingent upon the cursor's placement in the Expression. If the cursor is located within the Expression in a location that prohibits a mathematical function from being added, those functions are unavailable until the cursor is in a location where they can be added.
Closed Mathematics Function Tree

The Mathematics Function Tree contains mathematical functions that can be used to construct your Expression. Functions can be added to the Expression by one of three methods:

  • Expand the Mathematics tree, select the desired function and then press the Insert button.
  • Expand the Mathematics tree, and double-click the desired function.
  • Using a keyboard, type the name of the desired function directly in the text box of the Expression.
Note: The list of functions available is contingent upon the cursor's placement in the Expression. If the cursor is located within the Expression in a location that prohibits a mathematical function from being added, those functions are unavailable until the cursor is in a location where they can be added.
Closed Text Function Tree

The Text Function Tree contains functions to format alphanumeric data for display and communications, and can be used to construct your Expression. Functions can be added to the Expression by one of three methods:

  • Expand the Text tree, select the desired function and then press the Insert button.
  • Expand the Text tree, and double-click the desired function.
  • Using a keyboard, type the name of the desired function directly in the text box of the Expression.
Note: The list of functions available is contingent upon the cursor's placement in the Expression. If the cursor is located within the Expression in a location that prohibits a mathematical function from being added, those functions are unavailable until the cursor is in a location where they can be added.
Closed Vision Data Access

The Vision Data Access Tree contains additional data that is not available by default that can be used to construct your Expression. Functions can be added to the Expression by one of three methods:

  • Expand the Vision Data Access tree, select the desired function and then press the Insert button.
  • Expand the Vision Data Access tree, and double-click the desired function.
  • Using a keyboard, type the name of the desired function directly in the text box of the Expression.
Note:
  • The list of functions available is contingent upon the cursor's placement in the Expression. If the cursor is located within the Expression in a location that prohibits a mathematical function from being added, those functions are unavailable until the cursor is in a location where they can be added.
  • EasyBuilder only supports Blobs, Edges and Patterns Vision Data Access functions.
Closed Job and Tool Data Symbol Tree

The Job and Tool Data Symbol Tree contains the data output by Location and/or Inspection Tools, as well as Input lines and job data, such as image acquisition parameters. The job and tool data are symbolic references to the values contained within them. Symbols can be added to the Expression by one of three methods:

  • Expand the tree, select the desired symbolic reference and then press the Insert button.
  • Expand the tree, and double-click the desired symbolic reference.
  • Using a keyboard, type the name of the desired symbolic reference directly in the text box of the Expression.
Note: The list of symbols available is contingent upon the cursor's placement in the Expression. If the cursor is located within the Expression in a location that prohibits a symbol from being added, those symbols are unavailable until the cursor is in a location where they can be added.
Closed Insert Button

The Insert button is used to place mathematical functions and symbols into the Expression. Select the desired mathematical function or symbol and then press the Insert button to add the function or symbol to the Expression.

Note: This control works in conjunction with the Mathematics Function Tree and Job and Tool Data Symbol Tree; if the selected item in either list is valid for the particular location of the cursor in the Expression text box, the Insert button will be enabled.
Closed Open Parenthesis, Comma, Close Parenthesis Buttons

The Open Parenthesis, Comma and Close Parenthesis buttons are used to construct mathematical formulas. Press the appropriate button to add them to your formula.

Note: These controls work in conjunction with the Mathematics Function Tree and Job and Tool Data Symbol Tree; if the selected item in either list is valid for the particular location of the cursor in the Expression text box, the buttons will be enabled.


Image Filter Tools - Filter

Note: This tool is only available on In-Sight vision systems running In-Sight firmware 5.1.0 and later. For a complete list of models and supported firmware versions, see Firmware Versions.

The Filter Image Filter Tool filters a region of the image with both local and global image-enhancement techniques; outputs a Tool Image that can be referenced by other Location or Inspection Tools.

The Filter Image Filter Tool is a multipurpose tool, and produces a color or greyscale output image that is used to enhance low contrast images and/or expose features in an image. This tool helps to accentuate the desired features, and minimize the undesired features, for most parts. When used effectively, this tool makes inspection applications more reliable and repeatable.

The Filter Image Filter Tool tool offers a full range of both local and global image-enhancement techniques; the image-enhancement technique is defined by selecting a Filter Type.

Setting Up the Tool

Adjusting the Tool Parameters


Setting Up the Filter Image Filter Tool

Once the tool has been added, you will need to configure the region that will define the area of the image that you wish to enhance.

  1. Position the region so the boundaries only enclose the area of the image that you want filtered - if the region encompasses areas that you don't want filtered, it may produce inaccurate results. To help the performance of the tool, create smaller regions; larger regions take longer to inspect. If you're not using a fixture, ensure that the area of the image to be filtered is present in roughly the same location in every image.
  2. Press the OK button to confirm the region (press the Cancel button to not add the tool to the job).
  3. With the tool initially configured, load several images and adjust the tool's parameters, as needed, to compensate for your expected ranges of variations.
  4. Finally, if desired, use the tool's Input/Output properties to share tool data between other tools and/or other external devices.


Adjusting the Filter Image Filter Tool Parameters

After the tool’s region has been positioned, you can optimize the tool for your application.

The settings pane of the Filter Image Filter Tool consists of the following:

  • General Tab
  • Settings Tab
Tip: Test your job, using TestRun. TestRun performs tests on the In-Sight vision system and compares the results of those tests against expected values. This will allow you to see whether or not the job is behaving as expected, or if you will need to adjust certain parameters for allowable variances.

General Tab

Settings Tab


Filter Image Filter Tool - General Tab

Closed Tool Name

Defines the name of your inspection tool, which will be utilized in configuring the results Inputs/Outputs and Communication); the default name is “Filter_1” (if it is the first Image Filter Tool added to the job, otherwise it will be incremented, e.g. “Filtere_2”, “Filter_3”, etc.). Customize your tool by giving it a name that is associated with your particular application.

Closed Tool Image

Defines which image the tool will utilize to perform its inspection; the unfiltered, acquired image (the default setting), or the output image of an Image Filter Tool. This control is only enabled if an Image Filter Tool has been added.

Closed Tool Fixture

Defines a fixture for the tool. This control is only enabled if another tool that defines a fixture has already been added.

Closed Tool Enabled

Defines when and whether or not the inspection tool should run (default setting is “On”). Select “Off” if you want to disable the tool; select "Expression" if you want to tie the tool's execution to the result of an Expression (this control is only enabled for tool's that provide an Expression parameter); or select an “Input” if you want the tool tied to a specific discrete input line, where it can be turned On or Off (a High signal, 1, is On, a Low signal, 0, is Off). Tying the tool to an input allows a control system, such as a PLC, to determine which tools should run.

Closed Include in Job Pass

Defines whether or not the tool's pass/failure status should be included in the job's overall pass/fail status; by default, it is checked and will be included in the job's overall pass/fail status. Uncheck the check box to keep the tool's pass/failure status separate from the other tools in the job. This control should be unchecked if a tool is expected to fail; for example, if two PatMax Patterns Identification Tools were being used to determine whether or not the part was a right-hand or left-hand part, one of the tools would be expected to fail every time. This situation would result in the job failing every time, regardless of which side of the part was identified, were the checkbox checked.

Closed Execution Time (ms)

Displays the amount of time, in milliseconds, that the tool took to perform its inspection. This time may vary, depending upon the complexity of the scene in the image, as well as the position of the feature within the image, and the amount of variance allowed in the parameters.

Closed Description

A comment that describes the purpose of the tool (by default, the field is blank). Up to 255 alpha-numeric characters or 127 Asian language characters may be used.


Filter Image Filter Tool - Settings Tab

Closed Filter Type

Defines the image enhancement technique that will be applied to the region.The result of the image enhancement technique will automatically update within the region.

Filter Type | Description
Binarize (default)

Filters the image based on a greyscale threshold into white (255) or black (0); outputs an image where input pixel values equal to or above the threshold value are white, and values below the threshold are black.

Note: When a color input image is used, the output image will be a greyscale image.
Bottom Hat

Filters out everything except dark features smaller than the Filter Size; outputs an image that displays dark features as bright pixels on a dark background.

Note: This operation enables the Kernel Rows and Kernel Columns parameters. The kernel must be constructed from odd integer values.
Clip

Filters the image by comparing the greyscale value of each individual pixel to a minimum and maximum greyscale value; outputs an image where the extreme ends of the greyscale spectrum are eliminated so features are more uniform.
Close

Filters out dark features smaller than the Filter Size; outputs an image with a slightly increased overall brightness level.

Note: This operation enables the Kernel Rows and Kernel Columns parameters. The kernel must be constructed from odd integer values.
Dilate

Increases bright features and shrinks dark features; outputs an image with larger areas of light pixels. This filter is useful for removing dark spots or specks.

Note: This operation enables the Kernel Rows and Kernel Columns parameters. The kernel must be constructed from odd integer values.
Edge Magnitude

Filters dark and light features; outputs an image where edges are represented as light pixels. This operation accounts for diagonally oriented edges, and is slower than the "Gradient Full" Operation.

Note: This operation enables the Kernel Rows and Kernel Columns parameters. The kernel must be constructed from odd integer values.
Equalize | Filters based on a histogram equalization, where the most frequent greyscale values are equalized to create a more even distribution; outputs an image with increased contrast.
Erode

Increases dark features and shrinks bright features; outputs an image larger areas of dark pixels. This filter is useful for removing light spots or specks.

Note: This operation enables the Kernel Rows and Kernel Columns parameters. The kernel must be constructed from odd integer values.
Fill Dark Holes | Dark pixels surrounded by light pixels are converted to light pixels; outputs an image where dark holes are filled.
Fill Light Holes | Light pixels surrounded by dark pixels are converted to dark pixels; outputs an image where light holes are filled.
Gradient Full | Filters vertical and horizontal edge features; outputs an image where vertically and horizontally oriented edges are represented by light pixels. This operation does not account for diagonally oriented edges, but is faster than the "Edge Magnitude" Operation.
Gradient Horizontal | Filters horizontal edge features; outputs an image where horizontally oriented edges are represented by light pixels.
Gradient Vertical | Filters vertical edge features; outputs an image where vertically oriented edges are represented by light pixels.
Greyscale Distance

Filters based on the greyscale value of each output pixel as the difference between the greyscale value of each input pixel and the threshold level; outputs an image where, for example, if the input pixel value is 100 and the threshold is 25, the output pixel value is 75.
High Pass

Filters edge features and suppresses other features; outputs an image where edges are enhanced relative to areas with a more consistent grayscale gradient.

Note: This operation enables the Kernel Rows and Kernel Columns parameters. The kernel must be constructed from odd integer values.
Invert | Filters based on a greyscale inversion of pixel values; outputs an image that is a "negative" of the input image.
Local Median

Specifies an operation that computes the median pixel value of the pixel values in the kernel neighborhood, then uses this result as the output image pixel value.

Note: This operation enables the Kernel Rows and Kernel Columns parameters. The kernel must be constructed from odd integer values.
Local Median Normalization

Specifies a means to subtract the background from an image; this operation subtracts the local median of the input image from the input image, shifts the result right by one, and then adds 128 to produce the output pixel value.

Note: This operation enables the Kernel Rows and Kernel Columns parameters. The kernel must be constructed from odd integer values.
Low Pass

Filters edge features and blurs the edge with other features; outputs an image where edges are "smoothed" or blurred.

Note: This operation enables the Kernel Rows and Kernel Columns parameters. The kernel must be constructed from odd integer values.
Max (Top Hat/Bottom Hat)

Specifies an operation that uses the maximum of Top Hat and Bottom Hat operations.

Note: This operation enables the Kernel Rows and Kernel Columns parameters. The kernel must be constructed from odd integer values.
Open

Filters out light features smaller than the Filter Size; outputs an image with a slightly decreased overall brightness level.

Note: This operation enables the Kernel Rows and Kernel Columns parameters. The kernel must be constructed from odd integer values.
Optical Density

Filters based on an inversion of pixel values on a logarithmic scale; outputs an image that reveals the density of objects and features by measuring the amount of light passing through them. Denser objects and features are represented by lighter pixels in the output image.
Sharpen

Specifies a "sharpness" operation that is used to enhance edges. The operation evaluates the contrast between adjacent pixels, and increases the contrast when the contrast is high. A large contrast difference between adjacent pixels usually represents an edge; however, this operation should not be used to locate edges. The effects that the operation will have are dependent upon the image content and the resolution.

  • The Gain parameter dictates the strength of the sharpening, instructing the filter to ignore a certain amount of difference between pixels when sharpening so that lightly textured areas will not be over-sharpened.
Stretch | Filters by linearly scaling or "stretching" the greyscale values; outputs an image with increased contrast.
Threshold Range

Filters based on a binary (black and white) threshold which compares each input pixel with two threshold values (minimum and maximum) to determine whether the output pixel is white or black; outputs an image where if the input pixel value is equal to or exceeds the minimum or maximum, the output pixel is white, and if the input pixel value is within the minimum or maximum, the output pixel is black.
Top Hat

Filters out everything except light features smaller than the Filter Size; outputs an image that displays light features as bright pixels on a dark background.

Note: This operation enables the Kernel Rows and Kernel Columns parameters. The kernel must be constructed from odd integer values.
Closed Kernel Rows

Specifies the number of rows (1–25; default = 3) of the kernel. A kernel is a rectangular array of numbers that defines the processing neighborhood for operations performed on each pixel location of an image. The greyscale values of a pixel's neighbors defines the greyscale value for that pixel location in the output image.

Note:
  • The kernel is unweighted.
  • The kernel must be constructed from odd integer values. A typical kernel is 3 x 3, but the size is arbitrary.

This parameter is enabled when the Filter Type is set to one of the following:

  • Bottom Hat
  • Close
  • Dilate
  • Edge Magnitude
  • Erode
  • High Pass
  • Local Median
  • Local Median Normalization
  • Low Pass
  • Max (Top Hat/Bottom Hat)
  • Open
  • Top Hat
Closed Kernel Columns

Specifies the number of columns (1–25; default = 3) of the kernel. A kernel is a rectangular array of numbers that defines the processing neighborhood for operations performed on each pixel location of an image. The greyscale values of a pixel's neighbors defines the greyscale value for that pixel location in the output image.

Note:
  • The kernel is unweighted.
  • The kernel must be constructed from odd integer values. A typical kernel is 3 x 3, but the size is arbitrary.

This parameter is enabled when the Filter Type is set to one of the following:

  • Bottom Hat
  • Close
  • Dilate
  • Edge Magnitude
  • Erode
  • High Pass
  • Local Median
  • Local Median Normalization
  • Low Pass
  • Max (Top Hat/Bottom Hat)
  • Open
  • Top Hat
Closed Threshold Mode

Specifies whether or not the tool will automatically determine a threshold level when the Filter Type is set to Binarize, Greyscale Distance, or Threshold Range.

  • Manual: Enables the Threshold parameter and manually specify the threshold levels.
  • Auto (Default):
    • When the Filter Type is set to Binarize, the tool automatically computes a threshold level based on the greyscale values within the specified region.
    • When the Filter Type is set to Greyscale Distance, the tool will automatically compute a threshold value based on the mean greyscale value within the specified region.
    • When the Filter Type is set to Threshold Range, the following is automatically applied:
      • If the pixel values are less than the Min parameter setting, or the pixel values are greater than the Max parameter setting, the pixel values will be set to background.
      • If the pixel values are within the Min and Max parameter settings, the pixel values will be set to foreground.
Closed Threshold

Specifies the threshold levels (0 to 255; default = 128) when the Filter Type is set to Binarize, Greyscale Distance, or Threshold Range.

Closed Min

Specifies the minimum greyscale value (0–255; default = 128) when the Filter Type is set to Clip, Stretch or Threshold Range.

Closed Max

Specifies the maximum greyscale value (0–255; default = 128) when the Filter Type is set to Clip, Stretch or Threshold Range.

Closed Gain

Specifies a gain value (0 to 10; default = 1) when the Filter Type is set to Sharpen.This parameter dictates the strength of the sharpening that will be performed by controlling the amount of edge contrast enhancement. Pixels around an edge are driven to their minimum or maximum values to create a sharper appearance of the edge.

Closed Smoothness

Specifies the smoothness value (1 to 4; default = 1) for the Gaussian kernel when the Filter Type is set to Sharpen.Smoothness controls the standard deviation of the Gaussian kernel; higher smoothness values result in a wider "aperture" for the smoothing operation, helping to sharpen features.

Note: Gaussian refers to a bell-shaped curve that is applied as a weighted average to the pixels in the ROI.


Image Filter Tools - Point

Note: This tool is only available on In-Sight vision systems using In-Sight firmware 4.x.x, and is not available on In-Sight vision systems running In-Sight firmware 5.1.0 and later. For a complete list of models and supported firmware versions, see Firmware Versions.

The Point Image Filter Tool filters a region of the image with a pixel-by-pixel "global" image-enhancement technique, like thresholding, inverting, equalization, clipping or stretching; outputs a Tool Image that can be referenced by other Location or Inspection Tools.

The "global" image-enhancement Operations involve assigning a greyscale value to the output pixel based on the individual greyscale values of the pixels in the tool's region.

The Point Image Filter Tool is useful in situations where you need to enhance an area of the image to better detect a feature for an inspection, such as clipping the hotspots from a surface to better read OCR characters, or stretching the features of a part to gain enhanced contrast, for example.

Setting Up the Tool

Adjusting the Tool Parameters


Setting Up the Point Image Filter Tool

Once the tool has been added, you will need to configure the region that will define the area of the image that you wish to enhance.

  1. Position the region so the boundaries only enclose the area of the image that you want filtered - if the region encompasses areas that you don't want filtered, it may produce inaccurate results. To help the performance of the tool, create smaller regions; larger regions take longer to inspect. If you're not using a fixture, ensure that the area of the image to be filtered is present in roughly the same location in every image.
  2. Press the OK button to confirm the region (press the Cancel button to not add the tool to the job).
  3. With the tool initially configured, load several images and adjust the tool's parameters, as needed, to compensate for your expected ranges of variations.
  4. Finally, if desired, use the tool's Input/Output properties to share tool data between other tools and/or other external devices.

Image Filter Tools and Color Tools - Tool Image


Image Filter Tools and Color Tools - Tool Image

The Image Filter Tools (Filter, Neighbor, Point, Scene Correction, Color to Greyscale, Color to Binary, Transform and Compare) and color tools (Color Blob and Color Blobs (1-10) Location Tools, Color Pixel Count and Color Blob Presence/Absence Tools, Color Blob Area and Color Blob Areas (1-10) Measurement Tools, Color Blobs Counting Tool, Color Model Identification Tool or Color to Binary Image Filter Tool) output an image that may be used as the Tool Image input of Location and Inspection Tools.

The Tool Image setting is located in the General tab of all tools that accept an image other than the acquisition image after a tool that outputs a Tool Image has been added to the job, or as a drop-down menu option in the Directions settings pane when adding a tool after a tool that outputs a Tool Image has been added.

When a Location or Inspection Tool's Tool Image parameter is set to a tool that outputs a Tool Image (an Image Filter Tool may use another Image Filter Tool as an input, as well), those tools perform their inspection using the filtered image, and their regions must always stay within the boundaries of the tool outputting the Tool Image region.

To set a tool's Tool Image parameter to an Image Filter Tool, first add an Image Filter Tool, and then go back to the previous tool's General tab, and set the Tool Image parameter to the newly added Image Filter Tool.

Note: After an Image Filter Tool or color tool that outputs a Tool Image has been added to a job, each time a new tool is added that supports the use of an image other than the acquisition image, you will be prompted to set the input image of the tool in the Directions group box in the settings pane. The default selection is the currently acquired, unfiltered image.


Adjusting the Point Image Filter Tool Parameters

After the tool’s region has been positioned, you can optimize the tool for your application.

The settings pane of the Point Image Filter Tool consists of the following:

  • General Tab
  • Settings Tab
  • Before/After Tabs
Tip: Test your job, using TestRun. TestRun performs tests on the In-Sight vision system and compares the results of those tests against expected values. This will allow you to see whether or not the job is behaving as expected, or if you will need to adjust certain parameters for allowable variances.

General Tab

Settings Tab

Before/After Tabs


Point Image Filter Tool - General Tab

Closed Tool Name

Defines the name of your inspection tool, which will be utilized in configuring the results (Inputs/Outputs and Communication); the default name is “Filter_1” (if it is the first Image Filter Tool added to the job, otherwise it will be incremented, e.g. “Filter_2”, “Filter_3”, etc.). Customize your tool by giving it a name that is associated with your particular application.

Closed Tool Image

Defines which image the tool will utilize to perform its inspection; the unfiltered, acquired image (the default setting), or the output image of an Image Filter Tool. This control is only enabled if an Image Filter Tool has been added.

Closed Tool Fixture

Defines a fixture for the tool. This control is only enabled if another tool that defines a fixture has already been added.

Closed Tool Enabled

Defines when and whether or not the inspection tool should run (default setting is “On”). Select “Off” if you want to disable the tool; select "Expression" if you want to tie the tool's execution to the result of an Expression (this control is only enabled for tool's that provide an Expression parameter); or select an “Input” if you want the tool tied to a specific discrete input line, where it can be turned On or Off (a High signal, 1, is On, a Low signal, 0, is Off). Tying the tool to an input allows a control system, such as a PLC, to determine which tools should run.

Closed Include in Job Pass

Defines whether or not the tool's pass/failure status should be included in the job's overall pass/fail status; by default, it is checked and will be included in the job's overall pass/fail status. Uncheck the check box to keep the tool's pass/failure status separate from the other tools in the job. This control should be unchecked if a tool is expected to fail; for example, if two PatMax Patterns Identification Tools were being used to determine whether or not the part was a right-hand or left-hand part, one of the tools would be expected to fail every time. This situation would result in the job failing every time, regardless of which side of the part was identified, were the checkbox checked.

Closed Execution Time (ms)

Displays the amount of time, in milliseconds, that the tool took to perform its inspection. This time may vary, depending upon the complexity of the scene in the image, as well as the position of the feature within the image, and the amount of variance allowed in the parameters.

Closed Description

A comment that describes the purpose of the tool (by default, the field is blank). Up to 255 alpha-numeric characters or 127 Asian language characters may be used.


Point Image Filter Tool - Settings Tab

Closed Operation

Defines the image enhancement technique that will be applied to the region.The result of the image enhancement technique will automatically update within the region.

Operation | Description
Binarize (default) | Filters the image based on a greyscale threshold into white (255) or black (0); outputs an image where input pixel values equal to or above the threshold value are white, and values below the threshold are black.
Clip | Filters the image by comparing the greyscale value of each individual pixel to a minimum and maximum greyscale value; outputs an image where the extreme ends of the greyscale spectrum are eliminated so features are more uniform.
Equalize | Filters based on a histogram equalization, where the most frequent greyscale values are equalized to create a more even distribution; outputs an image with increased contrast.
Greyscale Distance | Filters based on the greyscale value of each output pixel as the difference between the greyscale value of each input pixel and the threshold level; outputs an image where, for example, if the input pixel value is 100 and the threshold is 25, the output pixel value is 75.
Invert | Filters based on a greyscale inversion of pixel values; outputs an image that is a "negative" of the input image.
Threshold Range | Filters based on a binary (black and white) threshold which compares each input pixel with two threshold values (minimum and maximum) to determine whether the output pixel is white or black; outputs an image where if the input pixel value is equal to or exceeds the minimum or maximum, the output pixel is white, and if the input pixel value is within the minimum or maximum, the output pixel is black.
Optical Density | Filters based on an inversion of pixel values on a logarithmic scale; outputs an image that reveals the density of objects and features by measuring the amount of light passing through them. Denser objects and features are represented by lighter pixels in the output image.
Stretch | Filters by linearly scaling or "stretching" the greyscale values; outputs an image with increased contrast.
Closed Minimum

Defines the minimum greyscale value (0 to 255) for the Clip and Threshold Range operations. This control is only enabled when one of the two Operations is selected.

Closed Maximum

Defines the maximum greyscale value (0 to 255) for the Clip and Threshold Range operations. This control is only enabled when one of the two Operations is selected.

Closed Threshold Mode

Defines the mode for determining the grayscale value that segments the region of the image into black and white pixels when the Operation is set to Binarize, Greyscale Distance or Threshold Range.When Auto is selected (default = Auto), the tool will create a default Smart Setting based on your image, each time an image is acquired, constantly adjusting for changes in brightness from image to image. When Manual is selected, you manually enter and adjust the value.

Closed Threshold

Defines the grayscale value that separates black pixels from white pixels (0 - 255, when enabled) for the Binarize, Greyscale Distance and Threshold Range Operations; pixel values below the threshold are classified as black and pixel values above are classified as white. This control is Off by default, and requires that the Threshold Mode be set to Manual to be enabled. Use the Graph to set an optimal value for your application.


Point Image Filter Tool - Before/After Tabs

The Before/After tabs display a histogram representation of the greyscale values of the pixels in the region. The Before tab displays the histogram of the image area prior to being processed, while the After tab displays the histogram of the area post-processing.

  • The X-axis of the graph represents the total number of greyscale values (0 to 255, or 256 total shades of grey).
  • The Y-axis of the graph represents the number of pixels at a given greyscale value, and the scale is established by displaying the greyscale value with the greatest number of pixels.
  • The green vertical line indicates the threshold that is being used to separate the region of the image into black and white pixels; values to the left of the line are considered black and values to the right are considered white.


Image Filter Tools - Neighbor

Note: This tool is only available on In-Sight vision systems using In-Sight firmware 4.x.x, and is not available on In-Sight vision systems running In-Sight firmware 5.1.0 and later. For a complete list of models and supported firmware versions, see Firmware Versions.

The Neighbor Image Filter Tool filters a region of the image with a pixel-by-pixel "neighbor" image-enhancement technique, like shrinking, expanding, filling, smoothing or edge enhancement; outputs a Tool Image that can be referenced by other Location or Inspection Tools.

The "neighbor" image-enhancement Operations involve assigning a greyscale value to the output pixel based on the greyscale values of the "neighbor" pixels in the tool's region. The size of the "neighborhood" is determined by the Filter Rows and Columns parameters.

The Neighbor Image Filter Tool is useful in situations where you need to enhance an area of the image to better detect a feature for an inspection, such as shrinking the glare from a metallic surface to better read a dot peen code, or expanding the light end of the greyscale spectrum to remove dark specks when reading OCR characters, for example.

Setting Up the Tool

Adjusting the Tool Parameters


Setting Up the Neighbor Image Filter Tool

Once the tool has been added, you will need to configure the region that will define the area of the image that you wish to enhance.

  1. Position the region so the boundaries only enclose the area of the image that you want filtered - if the region encompasses areas that you don't want filtered, it may produce inaccurate results. To help the performance of the tool, create smaller regions; larger regions take longer to inspect. If you're not using a fixture, ensure that the area of the image to be filtered is present in roughly the same location in every image.
  2. Press the OK button to confirm the region (press the Cancel button to not add the tool to the job).
  3. With the tool initially configured, load several images and adjust the tool's parameters, as needed, to compensate for your expected ranges of variations.
  4. Finally, if desired, use the tool's Input/Output properties to share tool data between other tools and/or other external devices.


Adjusting the Neighbor Image Filter Tool Parameters

After the tool’s region has been positioned, you can optimize the tool for your application.

The settings pane of the Neighbor Image Filter Tool consists of the following:

  • General Tab
  • Settings Tab
Tip: Test your job, using TestRun. TestRun performs tests on the In-Sight vision system and compares the results of those tests against expected values. This will allow you to see whether or not the job is behaving as expected, or if you will need to adjust certain parameters for allowable variances.

General Tab

Settings Tab


Neighbor Image Filter Tool - General Tab

Closed Tool Name

Defines the name of your inspection tool, which will be utilized in configuring the results Inputs/Outputs and Communication); the default name is “Filter_1” (if it is the first Image Filter Tool added to the job, otherwise it will be incremented, e.g. “Filter_2”, “Filter_3”, etc.). Customize your tool by giving it a name that is associated with your particular application.

Closed Tool Image

Defines which image the tool will utilize to perform its inspection; the unfiltered, acquired image (the default setting), or the output image of an Image Filter Tool. This control is only enabled if an Image Filter Tool has been added.

Closed Tool Fixture

Defines a fixture for the tool. This control is only enabled if another tool that defines a fixture has already been added.

Closed Tool Enabled

Defines when and whether or not the inspection tool should run (default setting is “On”). Select “Off” if you want to disable the tool; select "Expression" if you want to tie the tool's execution to the result of an Expression (this control is only enabled for tool's that provide an Expression parameter); or select an “Input” if you want the tool tied to a specific discrete input line, where it can be turned On or Off (a High signal, 1, is On, a Low signal, 0, is Off). Tying the tool to an input allows a control system, such as a PLC, to determine which tools should run.

Closed Include in Job Pass

Defines whether or not the tool's pass/failure status should be included in the job's overall pass/fail status; by default, it is checked and will be included in the job's overall pass/fail status. Uncheck the check box to keep the tool's pass/failure status separate from the other tools in the job. This control should be unchecked if a tool is expected to fail; for example, if two PatMax Patterns Identification Tools were being used to determine whether or not the part was a right-hand or left-hand part, one of the tools would be expected to fail every time. This situation would result in the job failing every time, regardless of which side of the part was identified, were the checkbox checked.

Closed Execution Time (ms)

Displays the amount of time, in milliseconds, that the tool took to perform its inspection. This time may vary, depending upon the complexity of the scene in the image, as well as the position of the feature within the image, and the amount of variance allowed in the parameters.

Closed Description

A comment that describes the purpose of the tool (by default, the field is blank). Up to 255 alpha-numeric characters or 127 Asian language characters may be used.


Neighbor Image Filter Tool - Settings Tab

Closed Operation

Defines the image enhancement technique that will be applied to the region. The result of the image enhancement technique will automatically update within the region.

Operation | Description
Bot Hat | Filters out everything except dark features smaller than the Filter Size; outputs an image that displays dark features as bright pixels on a dark background.
Close | Filters out dark features smaller than the Filter Size; outputs an image with a slightly increased overall brightness level.
Dilate | Increases bright features and shrinks dark features; outputs an image with larger areas of light pixels. This filter is useful for removing dark spots or specks.
Edge Magnitude | Filters dark and light features; outputs an image where edges are represented as light pixels. This operation accounts for diagonally oriented edges, and is slower than the "Gradient Full" Operation.
Erode | Increases dark features and shrinks bright features; outputs an image larger areas of dark pixels. This filter is useful for removing light spots or specks.
Fill Dark Holes | Dark pixels surrounded by light pixels are converted to light pixels; outputs an image where dark holes are filled.
Fill Light Holes | Light pixels surrounded by dark pixels are converted to dark pixels; outputs an image where light holes are filled.
Gradient Vertical | Filters vertical edge features; outputs an image where vertically oriented edges are represented by light pixels.
Gradient Horizontal | Filters horizontal edge features; outputs an image where horizontally oriented edges are represented by light pixels.
Gradient Full | Filters vertical and horizontal edge features; outputs an image where vertically and horizontally oriented edges are represented by light pixels. This operation does not account for diagonally oriented edges, but is faster than the "Edge Magnitude" Operation.
High Pass | Filters edge features and suppresses other features; outputs an image where edges are enhanced relative to areas with a more consistent grayscale gradient.
Low Pass (default) | Filters edge features and blurs the edge with other features; outputs an image where edges are "smoothed" or blurred.
Open | Filters out light features smaller than the Filter Size; outputs an image with a slightly decreased overall brightness level.
Top Hat | Filters out everything except light features smaller than the Filter Size; outputs an image that displays light features as bright pixels on a dark background.
Closed Filter Rows

Defines the size of the image processing neighborhood (1–25; default = 3) in the horizontal direction.

Closed Filter Columns

Defines the size of the image processing neighborhood (1–25; default = 3) in the vertical direction.


Image Filter Tools - Scene Correction

Note: This tool is only available on In-Sight vision systems using In-Sight firmware 4.x.x, and is not available on In-Sight vision systems running In-Sight firmware 5.1.0 and later. For a complete list of models and supported firmware versions, see Firmware Versions.

The Scene Correction Image Filter Tool filters a region of the image with a pixel-by-pixel "neighbor" image-enhancement technique called "mean intensity"; outputs a Tool Image that can be referenced by other Location or Inspection Tools.

The "mean intensity" image-enhancement technique filters images based on the pixel intensity of the pixels within the processing neighborhood, which is defined by the Number of Rows and Number of Columns parameters. This filter simulates removing uneven lighting or shading from an image by comparing each pixel's intensity value to the average intensity of the pixels within the processing neighborhood. Areas of the image that show little or no variation will be rendered a neutral grey, regardless of the original intensity. Pixels that are darker than their surrounding pixels will be shaded darker than the neutral grey, according to how much darker they are than their surroundings. Similarly, pixels that are lighter than their surrounding pixels will be shaded lighter than the neutral grey. Edges and sharp transitions will be preserved, similar to a "high-pass" operation.

The Scene Correction Image Filter Tool is useful in application situations where there is uneven lighting or shading in the image.

Setting Up the Tool

Adjusting the Tool Parameters


Setting Up the Scene Correction Image Filter Tool

Once the tool has been added, you will need to configure the region that will define the area of the image that you wish to enhance.

  1. Position the region so the boundaries only enclose the area of the image that you want filtered - if the region encompasses areas that you don't want filtered, it may produce inaccurate results. To help the performance of the tool, create smaller regions; larger regions take longer to inspect. If you're not using a fixture, ensure that the area of the image to be filtered is present in roughly the same location in every image.
  2. Press the OK button to confirm the region (press the Cancel button to not add the tool to the job).
  3. With the tool initially configured, load several images and adjust the tool's parameters, as needed, to compensate for your expected ranges of variations.
  4. Finally, if desired, use the tool's Input/Output properties to share tool data between other tools and/or other external devices.


Adjusting the Scene Correction Image Filter Tool Parameters

After the tool’s region has been positioned, you can optimize the tool for your application.

The settings pane of the Scene Correction Image Filter Tool consists of the following tabs:

  • General Tab
  • Settings Tab
Tip: Test your job, using TestRun. TestRun performs tests on the In-Sight vision system and compares the results of those tests against expected values. This will allow you to see whether or not the job is behaving as expected, or if you will need to adjust certain parameters for allowable variances.

General Tab

Settings Tab


Scene Correction Image Filter Tool - General Tab

Closed Tool Name

Defines the name of your inspection tool, which will be utilized in configuring the results Inputs/Outputs and Communication); the default name is “Filter_1” (if it is the first Image Filter Tool added to the job, otherwise it will be incremented, e.g. “Filter_2”, “Filter_3”, etc.). Customize your tool by giving it a name that is associated with your particular application.

Closed Tool Image

Defines which image the tool will utilize to perform its inspection; the unfiltered, acquired image (the default setting), or the output image of an Image Filter Tool. This control is only enabled if an Image Filter Tool has been added.

Closed Tool Fixture

Defines a fixture for the tool. This control is only enabled if another tool that defines a fixture has already been added.

Closed Tool Enabled

Defines when and whether or not the inspection tool should run (default setting is “On”). Select “Off” if you want to disable the tool; select "Expression" if you want to tie the tool's execution to the result of an Expression (this control is only enabled for tool's that provide an Expression parameter); or select an “Input” if you want the tool tied to a specific discrete input line, where it can be turned On or Off (a High signal, 1, is On, a Low signal, 0, is Off). Tying the tool to an input allows a control system, such as a PLC, to determine which tools should run.

Closed Include in Job Pass

Defines whether or not the tool's pass/failure status should be included in the job's overall pass/fail status; by default, it is checked and will be included in the job's overall pass/fail status. Uncheck the check box to keep the tool's pass/failure status separate from the other tools in the job. This control should be unchecked if a tool is expected to fail; for example, if two PatMax Patterns Identification Tools were being used to determine whether or not the part was a right-hand or left-hand part, one of the tools would be expected to fail every time. This situation would result in the job failing every time, regardless of which side of the part was identified, were the checkbox checked.

Closed Execution Time (ms)

Displays the amount of time, in milliseconds, that the tool took to perform its inspection. This time may vary, depending upon the complexity of the scene in the image, as well as the position of the feature within the image, and the amount of variance allowed in the parameters.

Closed Description

A comment that describes the purpose of the tool (by default, the field is blank). Up to 255 alpha-numeric characters or 127 Asian language characters may be used.


Scene Correction Image Filter Tool - Settings Tab

Closed Number of Rows

Defines the size of the image processing neighborhood (1–Max Image Height; default = 11) in the horizontal direction.

Note:
  • The maximum value is defined by the maximum size of the In-Sight vision system's image area (e.g. 640 x 480, 1024 x 768 or 1600 x 1200).
  • Only odd numbered values may be used to define the size of the image processing neighborhood; if an even value is entered, it will automatically be rounded down.
Closed Number of Columns

Defines the size of the image processing neighborhood (1–Max Image Width; default = 11) in the vertical direction.

Note:
  • The maximum value is defined by the maximum size of the In-Sight vision system's image area (e.g. 640 x 480, 1024 x 768 or 1600 x 1200).
  • Only odd numbered values may be used to define the size of the image processing neighborhood; if an even value is entered, it will automatically be rounded down.
Closed Timeout

Defines the amount of time, in milliseconds (0 - 30000;default = 0), that the tool will calculate the intensity of the image before execution is stopped and the tool results in a Fail. Setting the value to 0 disables the parameter.


Image Filter Tools - Color to Greyscale

The Color to Greyscale Image Filter Tool filters a region of the image by converting each color pixel in the region to a greyscale value, based on the specified Operation; outputs a Tool Image that can be referenced by other Location or Inspection Tools.

The Color to Greyscale tool converts each color pixel in the region to a greyscale value based on a simple filter of one color parameter: "pure" red, green or blue (RGB); hue, saturation or intensity (HSI); luminance; or interpolation of the weighted average of RGB components.

Setting Up the Tool

Adjusting the Tool Parameters


Setting Up the Color to Greyscale Image Filter Tool

Once the tool has been added, you will need to configure the region that will define the area of the image that you wish to enhance.

  1. Position the region so the boundaries only enclose the area of the image that you want filtered - if the region encompasses areas that you don't want filtered, it may produce inaccurate results. To help the performance of the tool, create smaller regions; larger regions take longer to inspect. If you're not using a fixture, ensure that the area of the image to be filtered is present in roughly the same location in every image.
  2. Press the OK button to confirm the region (press the Cancel button to not add the tool to the job).
  3. With the tool initially configured, load several images and adjust the tool's parameters, as needed, to compensate for your expected ranges of variations.
  4. Finally, if desired, use the tool's Input/Output properties to share tool data between other tools and/or other external devices.


Adjusting the Color to Greyscale Image Filter Tool Parameters

After the tool’s region has been positioned, you can optimize the tool for your application.

The settings pane of the Color to Greyscale Image Filter Tool consists of the following:

  • General Tab
  • Settings Tab
Tip: Test your job, using TestRun. TestRun performs tests on the In-Sight vision system and compares the results of those tests against expected values. This will allow you to see whether or not the job is behaving as expected, or if you will need to adjust certain parameters for allowable variances.

General Tab

Settings Tab


Color to Greyscale Image Filter Tool - General Tab

Closed Tool Name

Defines the name of your inspection tool, which will be utilized in configuring the results Inputs/Outputs and Communication); the default name is “ColorFilter_1” (if it is the first Binary to Color tool added to the job, otherwise it will be incremented, e.g. “ColorFilter_2”, “ColorFilter_3”, etc.). Customize your tool by giving it a name that is associated with your particular application.

Closed Tool Fixture

Defines a fixture for the tool. This control is only enabled if another tool that defines a fixture has already been added.

Closed Tool Enabled

Defines when and whether or not the inspection tool should run (default setting is “On”). Select “Off” if you want to disable the tool; select "Expression" if you want to tie the tool's execution to the result of an Expression (this control is only enabled for tool's that provide an Expression parameter); or select an “Input” if you want the tool tied to a specific discrete input line, where it can be turned On or Off (a High signal, 1, is On, a Low signal, 0, is Off). Tying the tool to an input allows a control system, such as a PLC, to determine which tools should run.

Closed Include in Job Pass

Defines whether or not the tool's pass/failure status should be included in the job's overall pass/fail status; by default, it is checked and will be included in the job's overall pass/fail status. Uncheck the check box to keep the tool's pass/failure status separate from the other tools in the job. This control should be unchecked if a tool is expected to fail; for example, if two PatMax Patterns Identification Tools were being used to determine whether or not the part was a right-hand or left-hand part, one of the tools would be expected to fail every time. This situation would result in the job failing every time, regardless of which side of the part was identified, were the checkbox checked.

Closed Execution Time (ms)

Displays the amount of time, in milliseconds, that the tool took to perform its inspection. This time may vary, depending upon the complexity of the scene in the image, as well as the position of the feature within the image, and the amount of variance allowed in the parameters.

Closed Description

A comment that describes the purpose of the tool (by default, the field is blank). Up to 255 alpha-numeric characters or 127 Asian language characters may be used.


Color to Greyscale Image Filter Tool - Settings Tab

Closed Operation
Operation | Description
Luminance (default) | Outputs an image of the luminance. Luminance is closely related to intensity in concept, and is a measure of the amount of light emitted or reflected from a particular area; the more light emitted from a pixel in the input image, the lighter its appearance in the output image.
Red | Outputs an image that filters out all but the Red (255,0,0) component of the pixel. The higher a pixel's Red value in the input image, the lighter its appearance in the output image.
Green | Outputs an image that filters out all but the Green (0,255,0) component of the pixel. The higher a pixel's Green value in the input image, the lighter its appearance in the output image.
Blue | Outputs an image that filters out all but the Blue (0,0,255) component of the pixel. The higher a pixel's Blue value in the input image, the lighter its appearance in the output image.
Hue | Outputs an image that filters out all but the Hue component of the pixel. The higher a pixel's Hue value in the input image, the lighter its appearance in the output image.
Saturation | Outputs an image that filters out all but the Saturation component of the pixel. The higher a pixel's Saturation value in the input image, the lighter its appearance in the output image.
Intensity | Outputs an image that filters out all but the Intensity component of the pixel, and to determine the average intensity of the pixel's RGB components. The higher a pixel's Intensity value in the input image, the lighter its appearance in the output image.
Interpolation | Outputs an image filter that uses Interpolation, a weighted average of the Red, Green and Blue (RGB) components of a pixel. As with the Intensity Operation, the result is to filter out all but the Intensity component of the pixel The higher a pixel's Intensity value in the input image, the lighter its appearance in the output image. However, Interpolation determines the weighted average Intensity of the RGB components, and is a non-standard conversion filter.


Image Filter Tools - Color to Binary

The Color to Binary Image Filter Tool filters a region of the image by converting pixels that match an active Color Model(s) to white, and all other pixels to black; outputs a Tool Image that can be referenced by other Location or Inspection Tools.

The Color to Binary tool references a trained library of Color Model(s), and then determines the number of pixels present in the region that match the selected and trained Color Model(s) in the library. The tool then creates a binary greyscale output image, where every pixel that matches an active Color Model is set to White (255), while all other pixels are set to Black (0).

Setting Up the Tool

Adjusting the Tool Parameters


Setting Up the Color to Binary Image Filter Tool

Once the tool has been added, you will need to configure the region that will define the area of the image that you wish to enhance.

  1. Position the region so the boundaries only enclose the area of the image that you want filtered - if the region encompasses areas that you don't want filtered, it may produce inaccurate results. To help the performance of the tool, create smaller regions; larger regions take longer to inspect. If you're not using a fixture, ensure that the area of the image to be filtered is present in roughly the same location in every image.
  2. Press the OK button to confirm the region (press the Cancel button to not add the tool to the job).
  3. Once the search region has been configured, you will need to configure the tool's Color Library and activate the appropriate Color Model(s):

    • If this is the first time that a color tool (Color Blob and Color Blobs (1-10) Location Tools, Color Pixel Count and Color Blob Presence/Absence Tools, Color Blob Area and Color Blob Areas (1-10) Measurement Tools, Color Blobs Counting Tool, Color Model Identification Tool or Color to Binary Image Filter Tool) has been added, you will need to first define the Color Library(s) and its Color Model(s).

    • If another color tool has previously been added and you want to utilize an existing Color Library and its trained Color Models, go to the Settings tab and select your desired Color Library, and then activate your desired Color Models by checking them in the Library tab.

    • By default, the tool will automatically result in a Fail until a Color Library has been defined. If a Color Library has been defined, the tool will automatically use that library and activate all Color Models contained within.

  4. Once the Color Model(s) and Color Library(s) have been set, the tool will process the image and all pixels within the search region that match the selected Color Model(s) will be turned white (255), and those pixels not matching the selected Color Model(s) will be set to black (0).

  5. With the tool initially configured, load several images and adjust the tool's parameters, as needed, to compensate for your expected ranges of variations.
  6. Finally, if desired, use the tool's Input/Output properties to share tool data between other tools and/or other external devices.


Adjusting the Color to Binary Image Filter Tool Parameters

After the tool’s region has been positioned, you can optimize the tool for your application.

The settings pane of the Color to Binary Image Filter Tool consists of the following:

  • General Tab
  • Settings Tab
  • Color Library Tab
Tip: Test your job, using TestRun. TestRun performs tests on the In-Sight vision system and compares the results of those tests against expected values. This will allow you to see whether or not the job is behaving as expected, or if you will need to adjust certain parameters for allowable variances.

General Tab

Settings Tab

Color Libary Tab


Binary to Color Image Filter Tool - General Tab

Closed Tool Name

Defines the name of your inspection tool, which will be utilized in configuring the results (Inputs/Outputs and Communication); the default name is “ColorFilter_1” (if it is the first Binary to Color tool added to the job, otherwise it will be incremented, e.g. “ColorFilter_2”, “ColorFilter_3”, etc.). Customize your tool by giving it a name that is associated with your particular application.

Closed Tool Fixture

Defines a fixture for the tool. This control is only enabled if another tool that defines a fixture has already been added.

Closed Tool Enabled

Defines when and whether or not the inspection tool should run (default setting is “On”). Select “Off” if you want to disable the tool; select "Expression" if you want to tie the tool's execution to the result of an Expression (this control is only enabled for tool's that provide an Expression parameter); or select an “Input” if you want the tool tied to a specific discrete input line, where it can be turned On or Off (a High signal, 1, is On, a Low signal, 0, is Off). Tying the tool to an input allows a control system, such as a PLC, to determine which tools should run.

Closed Include in Job Pass

Defines whether or not the tool's pass/failure status should be included in the job's overall pass/fail status; by default, it is checked and will be included in the job's overall pass/fail status. Uncheck the check box to keep the tool's pass/failure status separate from the other tools in the job. This control should be unchecked if a tool is expected to fail; for example, if two PatMax Patterns Identification Tools were being used to determine whether or not the part was a right-hand or left-hand part, one of the tools would be expected to fail every time. This situation would result in the job failing every time, regardless of which side of the part was identified, were the checkbox checked.

Closed Execution Time (ms)

Displays the amount of time, in milliseconds, that the tool took to perform its inspection. This time may vary, depending upon the complexity of the scene in the image, as well as the position of the feature within the image, and the amount of variance allowed in the parameters.

Closed Description

A comment that describes the purpose of the tool (by default, the field is blank). Up to 255 alpha-numeric characters or 127 Asian language characters may be used.


Color to Binary Image Filter Tool - Settings Tab

Closed Train Color

Launches the ExtractColor Training dialog; used to define the selected Color Library's Color Model(s).

Closed Color Library

Defines the Color Library that will be referenced by the tool. From the drop-down list, select the Color Library that you want to modify and then press the Train Color button to launch the ExtractColor Training dialog. Each Color Library may contain up to 100 distinct Color Models, which are composed of individual Colors.

EasyBuilder jobs may contain a maximum of 5 Color Libraries, which may be shared among the following tools:

  • Color Blob Location Tool
  • Color Blobs (1-10) Location Tool
  • Color Pixel Count Presence/Absence Tool
  • Color Blob Area Measurement Tool
  • Color Blobs Areas (1-10) Measurement Tool
  • Color Blobs Counting Tool
  • Color Model Identification Tool
  • Color to Binary Image Filter Tool


Color to Binary Image Filter Tool - Color Libary Tab

Closed Color Models List

Displays a read-only list of the Color Model(s) contained in the selected Color Library. The Color Models are activated and de-activated by checking or unchecking the checkbox beside the Color Model's name.

Closed Color Table

Displays a read-only ordered table of the Color(s) in the selected Color Model.

Closed Color Name

Displays the name of the Color(s) in the selected Color Model.

Closed RGB

Displays the RGB values of the Color(s) in the selected Color Model.

Closed Operation

Displays the Operation (Add or Subtract) of the Color(s) in the selected Color Model.


Image Filter Tools - Transform

The Transform Image Filter Tool filters linear, non-linear and/or lens distortion from a region of the image and applies the transformation between real-world units and pixels calibrated by Grid Calibration in the Set Up Image step; outputs a Tool Image that can be referenced by other Location and Inspection Tools.

The Transform Image Filter Tool works in conjunction with Grid Calibration in the Set Up Image step to compensate and correct optical distortions and return highly accurate measurements, and to convert pixel units into real-world measurement units, such as millimeters or inches. This tool and Grid Calibration enable you to more accurately locate objects at the edges of images, and provide greater mounting flexibility, including the ability to mount the In-Sight vision system up to 45° from the inspection surface.

Setting Up the Tool

Adjusting the Tool Parameters


Setting Up the Transform Image Filter Tool

Note: Prior to adding this tool, ensure that the image has been calibrated using Grid Calibration in the Set Up Image step.

Once the tool has been added, you will need to configure the region that will define the area of the image that you wish to enhance.

  1. Position the region so the boundaries only enclose the area of the image that you want filtered - if the region encompasses areas that you don't want filtered, it may produce inaccurate results. To help the performance of the tool, create smaller regions; larger regions take longer to inspect. If you're not using a fixture, ensure that the area of the image to be filtered is present in roughly the same location in every image.

  2. Press the OK button to confirm the region (press the Cancel button to not add the tool to the job).
  3. With the tool initially configured, load several images and adjust the tool's parameters, as needed, to compensate for your expected ranges of variations.
  4. Finally, if desired, use the tool's Input/Output properties to share tool data between other tools and/or other external devices.


Adjusting the Transform Image Filter Parameters

After the tool’s region has been positioned, you can optimize the tool for your application.

The settings pane of the Transform Image Filter Tool consists of the following:

  • General Tab
  • Settings Tab
Tip: Test your job, using TestRun. TestRun performs tests on the In-Sight vision system and compares the results of those tests against expected values. This will allow you to see whether or not the job is behaving as expected, or if you will need to adjust certain parameters for allowable variances.

General Tab

Settings Tab


Transform Image Filter Tool - General Tab

Closed Tool Name

Defines the name of your inspection tool, which will be utilized in configuring the results (Inputs/Outputs and Communication); the default name is “Transform_1” (if it is the first Transform Image Filter Tool added to the job, otherwise it will be incremented, e.g. “Transform_2”, “Transform_3”, etc.). Customize your tool by giving it a name that is associated with your particular application.

Closed Tool Fixture

Defines a fixture for the tool. This control is only enabled if another tool that defines a fixture has already been added.

Closed Tool Enabled

Defines when and whether or not the inspection tool should run (default setting is “On”). Select “Off” if you want to disable the tool; select "Expression" if you want to tie the tool's execution to the result of an Expression (this control is only enabled for tool's that provide an Expression parameter); or select an “Input” if you want the tool tied to a specific discrete input line, where it can be turned On or Off (a High signal, 1, is On, a Low signal, 0, is Off). Tying the tool to an input allows a control system, such as a PLC, to determine which tools should run.

Closed Include in Job Pass

Defines whether or not the tool's pass/failure status should be included in the job's overall pass/fail status; by default, it is checked and will be included in the job's overall pass/fail status. Uncheck the check box to keep the tool's pass/failure status separate from the other tools in the job. This control should be unchecked if a tool is expected to fail; for example, if two PatMax Patterns Identification Tools were being used to determine whether or not the part was a right-hand or left-hand part, one of the tools would be expected to fail every time. This situation would result in the job failing every time, regardless of which side of the part was identified, were the checkbox checked.

Closed Execution Time (ms)

Displays the amount of time, in milliseconds, that the tool took to perform its inspection. This time may vary, depending upon the complexity of the scene in the image, as well as the position of the feature within the image, and the amount of variance allowed in the parameters.

Closed Description

A comment that describes the purpose of the tool (by default, the field is blank). Up to 255 alpha-numeric characters or 127 Asian language characters may be used.


Transform Image Filter Tool - Settings Tab

Closed Image Scale

Defines the scale at which the transformed image is displayed (0.01 to 10; default = 1.0).

Closed Reference Center

Defines the origin reference point for the transformation; the Image Center (default), which defines the reference point as the center of the image, or the Region Center, which defines the reference point as the center of the region.

Closed Show Image

Defines whether or not the transformed image will be displayed instead of the acquired image. By default, this parameter is checked (enabled), and the transformed image will be displayed at all times.

Note: Other Location and Inspection Tools may still perform their inspections on acquisition images, without the applying the transformation filter. However, their graphical overlays may appear out of context in relation to the displayed, transformed image. You can hide those tool's graphical overlays in Run Job, by unchecking the tool's Show Graphic option.


Image Filter Tools - Compare

The Compare Image Filter Tool filters an image against a template image to produce a greyscale output image where every pixel represents the normalized difference; outputs a Tool Image that can be referenced by other Location or Inspection Tools.

The "compare" image-enhancement process involves mapping the pixels from the template image to the input image for comparison and production of a greyscale output image, where pixels that do not match the template image are displayed as white pixels.

The Compare Image Filter Tool is useful in situations where you want to detect flaws in a part or object during the manufacturing process. For example, the Compare Image Filter Tool is trained on a part or object that has no flaws, and the tool then runs this trained image against each subsequently acquired image. Additional tools, such as a Blobs Counting Tool, then performs its inspection on the Tool Image output by the Compare Image Filter Tool, with the Blobs Counting Tool's logic inverted, so that the tool passes if it does not count any blobs, and fails if it counts any blobs.

Setting Up the Tool

Adjusting the Tool Parameters


Setting Up the Compare Image Filter Tool

Once the tool has been added, you will need to configure the region that will define the area of the image that you wish to enhance.

Note: The tool performs best on images with little to no background noise in the image, and ensure that each image is nearly identical, i.e. the part or object is present in the same location and the flaw, when present, is obvious and large. If there is noise in the image, consider using a Point Filter Image Filter Tool configured to the Binarize Operation to remove the greyscale differentiation in the image.
  1. Position the region so the boundaries only enclose the area of the image that you want filtered - if the region encompasses areas that you don't want filtered, it may produce inaccurate results. To help the performance of the tool, create smaller regions; larger regions take longer to inspect. If you're not using a fixture, ensure that the area of the image to be filtered is present in roughly the same location in every image.
  2. Press the OK button to confirm the region (press the Cancel button to not add the tool to the job).
  3. With the tool initially configured, load several images and adjust the tool's parameters, as needed, to compensate for your expected ranges of variations.
  4. Finally, if desired, use the tool's Input/Output properties to share tool data between other tools and/or other external devices.


Adjusting the Compare Image Filter Parameters

After the tool’s region has been positioned, you can optimize the tool for your application.

The settings pane of the Compare Image Filter Tool consists of the following:

  • General Tab
  • Settings Tab
  • Trained Image Tab
Tip: Test your job, using TestRun. TestRun performs tests on the In-Sight vision system and compares the results of those tests against expected values. This will allow you to see whether or not the job is behaving as expected, or if you will need to adjust certain parameters for allowable variances.

General Tab

Settings Tab

Trained Image Tab


Compare Image Filter Tool - General Tab

Closed Tool Name

Defines the name of your inspection tool, which will be utilized in configuring the results Inputs/Outputs and Communication); the default name is “Filter_1” (if it is the first Image Filter Tool added to the job, otherwise it will be incremented, e.g. “Filter_2”, “Filter_3”, etc.). Customize your tool by giving it a name that is associated with your particular application.

Closed Tool Fixture

Defines a fixture for the tool. This control is only enabled if another tool that defines a fixture has already been added.

Closed Tool Enabled

Defines when and whether or not the inspection tool should run (default setting is “On”). Select “Off” if you want to disable the tool; select "Expression" if you want to tie the tool's execution to the result of an Expression (this control is only enabled for tool's that provide an Expression parameter); or select an “Input” if you want the tool tied to a specific discrete input line, where it can be turned On or Off (a High signal, 1, is On, a Low signal, 0, is Off). Tying the tool to an input allows a control system, such as a PLC, to determine which tools should run.

Closed Include in Job Pass

Defines whether or not the tool's pass/failure status should be included in the job's overall pass/fail status; by default, it is checked and will be included in the job's overall pass/fail status. Uncheck the check box to keep the tool's pass/failure status separate from the other tools in the job. This control should be unchecked if a tool is expected to fail; for example, if two PatMax Patterns Identification Tools were being used to determine whether or not the part was a right-hand or left-hand part, one of the tools would be expected to fail every time. This situation would result in the job failing every time, regardless of which side of the part was identified, were the checkbox checked.

Closed Execution Time (ms)

Displays the amount of time, in milliseconds, that the tool took to perform its inspection. This time may vary, depending upon the complexity of the scene in the image, as well as the position of the feature within the image, and the amount of variance allowed in the parameters.

Closed Description

A comment that describes the purpose of the tool (by default, the field is blank). Up to 255 alpha-numeric characters or 127 Asian language characters may be used.


Compare Image Filter Tool - Settings Tab

Closed Pixel Comparison

Defines the type of pixel comparison that will be performed when mapping the template to the input image: Nearest Neighbor or Bilinear.

Nearest Neighbor (the default setting) performs an image mapping operation where each pixel in the template is compared with its nearest pixel in the input image to calculate the normalized greyscale difference for each pixel. This a faster, but less accurate, image mapping method.

Bilinear performs an image mapping operation where each pixel in the template is compared with a weighted average (which represents the greyscale value of the four nearest pixels in the input image) to calculate the normalized greyscale difference for each pixel. This is a more accurate, but slower, image mapping method.

Closed Edge Range

Defines the number of pixels around an edge that will be tolerated during the image comparison (0-24; default = 3). The higher the number, the less likely imperfectly matched edges will be depicted as differences in the output image.


Compare Image Filter Tool - Trained Image Tab

The image displayed in the Trained Image tab is a thumb-nail of the Model template image. Press the Model Region button to re-size or move the Model region, and then press the Train button to re-train the Model template image.


Defect Detection Tools - Surface Flaw

The Surface Flaw Defect Detection Tool is used to detect small flaws based upon pixel intensity variations. This tool is designed for detecting flaws such as scratches, nicks, tears, stains or chips, on greyscale or color images.

The Surface Flaw Defect Detection Tool is designed to detect areas of local intensity and color variations. The tool uses an internal filtering operation to first highlight edges and areas with sudden color or greyscale variations, before applying blob analysis to determine whether or not flaws are present. The tool is best suited to applications where a part should have a uniform area to be inspected, such that any sudden change in intensity will be classified as a defect.

If necessary, the Surface Flaw tool also provides a built-in image mask, to highlight areas of the image for inspection, while excluding other areas.

Setting Up the Tool

Adjusting the Tool Parameters


Setting Up the Surface Flaw Defect Detection Tool

Setting up this tool involves establishing the thresholds that will be used to determine whether or not flaws are present. Before beginning, a database of images of the part to be inspected (in both its passing and failing states) should be loaded, by loading images from a PC.

  1. To begin, load an image of the part in its error-free state. Next, add the Surface Flaw tool.

  2. Configure the region in the image. From the Region Type drop-down menu, select the type of region: Rectangle (default), Circle, Annulus or Polygon. Position and configure the region within the image where you expect the flaw(s) to appear; make sure that the boundaries of the region cover the flaw(s) and their possible locations.

    Note:
    • To help the performance of the tool, try to create smaller regions; larger regions require longer to inspect. If you’re not using a fixture, ensure that the flaw(s) are present in roughly the same location in every image, or the region is large enough to account for the expected movement of the features.
    • After adding the tool, you can change the type of region by right-clicking the region in the image and selecting the desired shape from the Change Region to option.
  3. Press the OK button to confirm the region (press the Cancel button to not add the tool to the job).

  4. With the part in its error-free state, adjust the tool's parameters to ensure that the tool does not identify any flaws. Use the Display Image parameter in the Flaw Candidates tab to display visual feedback on how parameter adjustments affect the tool's results. Set the Display Image parameter to Flaw Candidates to begin, so that any detected flaws are enclosed within a red bounding box.

    Note: Optionally, a mask may be created to highlight areas of the image for inspection, while excluding other areas. Masks are very helpful when configuring an inspection that involves text, labels or other features that should be ignored.
  5. When adjusting the parameters, start with the tool's region to ensure that the ROI is properly enclosing the area to be inspected: it does not contain extraneous features, such as labels, the edges of characters or logos, for example. If the inspection will include an edge of a part, the region must be positioned parallel to the edge (the same applies to circular-shaped Regions, with the circular region arc being parallel to the edge of the part).
  6. Next, try adjusting the Sampling Factor and Smoothing Factor parameters. Increase the Sampling parameter when trying to detect low gradient flaws, or large flaws with low contrast. Increase the Smoothing Factor parameter to help get rid of small, false defects.
  7. After adjusting those parameters, use the different options of the Detection Type, Detection Size and Detection Axis parameters. For most applications, the Detection Type parameter may be set to Fast, with a Detection Size of 1. For applications that require Light Flaws, Dark Flaws or Light and Dark Flaws, the Detection Size parameter must be set to a size that is greater than the radius of the flaw to be detected. If the Region was configured to be parallel to an edge, the Detection Axis must be set to run parallel to the Region.
  8. Then adjust the Minimum Flaw Area, Maximum Flaw Area and Minimum Contrast parameters.
  9. Once the tool is correctly inspecting the part in its error-free state, load an image of the part containing a flaw. Again, go through the process of adjusting the parameters until the tool correctly identifies the desired flaws. Load more images of the part with flaws, and adjust parameters as necessary to identify the additional flaws.
  10. After the flaws have been identified, re-load the images of the part in its error-free state and ensure it is still being correctly inspected as not containing flaws. The tool will be ready for run-time inspections once it is properly configured.
  11. Finally, if desired, use the tool's Input/Output properties to share tool data between other tools and/or other external devices.

Setting Up the Tool Mask


Setting Up the Surface Flaw Defect Detection Tool Mask

Once the Surface Flaw Defect Detection Tool has been added, an internal mask may be created to highlight areas for inspection, while excluding other areas.

  1. Go to the Mask tab and check the Enable Mask checkbox to turn on the mask.
  2. Determine how the mask will be generated: the largest segment or edges. By default, edges are used (the Mask Method parameter is set to Edge Mask by default) to generate an image mask based on edge magnitude. With this image mask, only edge pixels are masked, and all other pixels are to be shown. If choosing largest segment, the feature area to be inspected should become the largest segment, thus excluding the background from being inspected.
  3. Set the Mask Display Image parameter to the type of mask you want to generate to help highlight the features of the mask by displaying the indexed and color-coded segments.
  4. Begin by adjusting the Mask Smoothing Factor parameter to ensure that the edges in the image are being properly highlighted.
  5. Next, adjust the Maximum Small Hole Fill Size, Median Kernel Size and Erode Mask Count parameters. These can be used to fill holes, smooth borders and/or remove narrow strips in the image mask, respectively. If Edge Mask is selected, the Maximum Small Hole Fill Size parameter should be set to 0.
  6. Once the mask is correctly highlighting the desired features while excluding others, press the Train button to set the mask.
Note: All parameter changes, except the region, will update the mask and force it to be re-trained. If the region is moved or re-sized, the Train button must be pushed to update the mask accordingly.


Adjusting the Surface Flaw Defect Detection Tool Parameters

After the tool’s region has been positioned, you can optimize the tool for your application.

The settings pane of the Surface Flaw Defect Detection Tool consists of the following tabs:

  • General Tab
  • Mask Tab
  • Flaw Detection Tab
  • Statistics, Flaws and Composite Region Tabs
Tip: Test your job, using TestRun. TestRun performs tests on the In-Sight vision system and compares the results of those tests against expected values. This will allow you to see whether or not the job is behaving as expected, or if you will need to adjust certain parameters for allowable variances.

General Tab

Mask Tab

Flaw Detection Tab

Statistics, Flaws and Composite Region Tab


Surface Flaw Defect Detection Tool - General Tab

Closed Tool Name

Defines the name of your inspection tool, which will be utilized in configuring the results Inputs/Outputs and Communication); the default name is “SurfaceFlaw_1” (if it is the first Surface Flaw Defect Detection Tool added to the job, otherwise it will be incremented, e.g. “SurfaceFlaw_2”, “SurfaceFlaw_3”, etc.). Customize your tool by giving it a name that is associated with your particular application.

Closed Tool Image

Defines which image the tool will utilize to perform its inspection; the unfiltered, acquired image (the default setting), or the output image of an Image Filter Tool. This control is only enabled if an Image Filter Tool has been added.

Closed Tool Fixture

Defines a fixture for the tool. This control is only enabled if another tool that defines a fixture has already been added.

Closed Tool Enabled

Defines when and whether or not the inspection tool should run (default setting is “On”). Select “Off” if you want to disable the tool; select "Expression" if you want to tie the tool's execution to the result of an Expression (this control is only enabled for tool's that provide an Expression parameter); or select an “Input” if you want the tool tied to a specific discrete input line, where it can be turned On or Off (a High signal, 1, is On, a Low signal, 0, is Off). Tying the tool to an input allows a control system, such as a PLC, to determine which tools should run.

Closed Include in Job Pass

Defines whether or not the tool's pass/failure status should be included in the job's overall pass/fail status; by default, it is checked and will be included in the job's overall pass/fail status. Uncheck the check box to keep the tool's pass/failure status separate from the other tools in the job. This control should be unchecked if a tool is expected to fail; for example, if two PatMax Patterns Identification Tools were being used to determine whether or not the part was a right-hand or left-hand part, one of the tools would be expected to fail every time. This situation would result in the job failing every time, regardless of which side of the part was identified, were the checkbox checked.

Closed Execution Time (ms)

Displays the amount of time, in milliseconds, that the tool took to perform its inspection. This time may vary, depending upon the complexity of the scene in the image, as well as the position of the feature within the image, and the amount of variance allowed in the parameters.

Closed Description

A comment that describes the purpose of the tool (by default, the field is blank). Up to 255 alpha-numeric characters or 127 Asian language characters may be used.


Surface Flaw Defect Detection Tool - Mask Tab

Closed Enable Mask

Defines whether or not the mask will be used (default = Off).

Closed Train Mask

Defines that the mask will be trained to the currently configured parameter settings.

Closed Mask Method

Defines how the tool will construct the mask (Largest Segment or Edge Mask; default = Edge Mask).

  • Largest Segment: The tool will use the largest segment to generate the mask.
  • Edge Mask: The tool will use edges to generate the mask (the Minimum Edge Contrast parameter determines which edges are used).
Closed Mask Display Image

Defines the output image to display (Input Image, Edge Image, Segmented Image or Mask Image; default = Mask Image).

  • Input Image: The currently acquired image will be displayed.
  • Edge Image: An edge magnitude image will be displayed.
  • Segmented Image: A color-coded, segmented image will be displayed.
  • Mask Image: The binary mask image, which is created after the segmentation and mask generation process, will be displayed (after accounting for the fixture input). Pixel values of 255 = Care About Pixels; pixel values of 0 = Don't Care About Pixels.
Note: This image is for display purposes only, and may not be used as an input to another function.
Closed Mask Smoothing Factor

Defines the sigma factor (0 to 100; default = 1) used to smooth the image.

Closed Minimum Edge Contrast

Defines the minimum contrast (1 to 100; default = 10) used to detect edges.

Note: This parameter is only enabled if the Mask Method parameter is set to Edge Mask.
Closed Minimum Segment Size

Defines the minimum area (1 to 50000; default = 1000), in pixels, a segment must be in order to be extracted.

Closed Maximum Hole Fill Size

Defines the maximum size (0 to 1000; default = 0) a small hole must be in order to be filled (not counted as a hole).

Closed Median Kernel Size

Defines the median kernel size (0 to 50000; default = 0) which will be used to smooth the edges in the mask image.

Closed Erode Mask Count

Defines the number of times (-100 to 100; default = 0) the generated image will be eroded. This value can be either negative or positive; negative values dilate the image.

Closed Invert

Defines whether or not to invert the mask, i.e. white for black, black for white.


Surface Flaw Defect Detection Tool - Flaw Detection Tab

Closed Detection Type

Defines the type of image processing to apply to the image to determine if flaws are present (Fast, Light Flaws, Dark Flaws or Light and Dark Flaws; default = Fast).

  • Fast: This option is ideally suited for detecting "edge-like" intensity transitions on a surface, such as streaks or scratches. It applies an erode-dilation operation, which highlights the edge of a flaw. It has the best execution time, however, when reporting flaws, it only reports the perimeter of the flaw, not its area.
  • Light Flaws: This option is ideally suited for detecting light "blob-like" flaws on a dark background, and detecting flaws based on their area pixel size. It applies a "top hat" filtering operation, which filters out everything except bright features that are smaller than the size of the Detection Size parameter, to detect potential flaws.
  • Dark Flaws: This option is ideally suited for detecting dark "blob-like" flaws on a light background, and detecting flaws based on their area pixel size. It applies a "bottom hat" filtering operation, which filters out everything except dark features that are smaller than the size of the Detection Size parameter.
  • Light and Dark Flaws: This option is ideally suited for detecting "blob-like" flaws where the flaw could be either dark or light, and detecting flaws based on their area pixel size. It applies both "bottom hat" and "top hat" operations and utilizes the maximum result of the two operations.
Note: If Light Flaws, Dark Flaws or Light and Dark Flaws is the selected type of flaw detection operation, the Detection Size parameter must be set to the size of the largest flaw to be detected.
Closed Display Image

Defines the output image to display (Input Image, Sampled Image, Flaw Candidates or Flaw Image; default = Flaw Image).

  • Input Image: The currently acquired image will be displayed.
  • Sampled Image: The smoothed and sampled image will be displayed. If an angled or curved region was used as an input, the transformed and straightened version will be displayed in addition to the smoothed and sampled affects.
  • Flaw Candidates: The potential flaws will be displayed. Potential flaws are highlighted in contrast to the background.
  • Flaw Image: Flaws will be displayed. Flaws will be drawn in white, while all other areas are drawn in black. This display option will include flaws that fall outside the limits of defined flaws (Minimum Flaw Area and Maximum Flaw Area).
Note: This image is for display purposes only, and may not be used as an input to another function.
Closed Sampling Factor

Defines the amount by which to sample (1 to 99999; default = 1) the input image, thus reducing its resolution. Sampling is used to help reduce the tool's execution time, however, at the expense of accuracy. When determining the proper sampling value, a value of 1 denotes no sampling, i.e. that the input image will be used at full resolution. Higher values denote less resolution and accuracy, but higher execution times.

Closed Automatic Smoothing

Defines whether or not the function will determine the optimal smoothing factor by which to smooth the image (default = Off). Allowing the function to select the optimal smoothing factor generally enables better performance.

Note: The Automatic Smoothing parameter is Off by default. To enable the parameter, the Sampling Factor parameter must be set to a value greater than 1. If the Sampling Factor parameter is set to a value greater than 1 and Automatic Smoothing is not desired, turn off the parameter and set the appropriate value using the Smoothing Factor parameter, instead.
Closed Smoothing Factor

Defines the factor (0 to 99999; default = 0) by which to smooth the image. When determining the optimal value, begin with a similar value as specified in the Sampling Factor parameter. To specify no smoothing, set the value to 0.

Note: This parameter is disabled if the Automatic Smoothing parameter is enabled. If the Automatic Smoothing parameter is enabled, set the Sampling Factor parameter to a value greater than 1, and then turn off the Automatic Smoothing parameter. The Smoothing Factor parameter can now be incremented.
Closed Detection Axis

Defines the axis in which to detect potential flaws (X, Y, and X and Y; default = X and Y).

Closed Detection Size

Defines the detection neighborhood size (1 to 99999; default = 1), in pixels. This parameter is used to construct the processing neighborhood, or kernel, for use with the Flaw Detection Operation parameter. For all the Flaw Detection Operation operations other than Fast, the size value must be at least as large as the length or width of the flaws to be detected.

Closed Minimum Flaw Contrast

Defines the intensity threshold (1 to 255; default = 20) used to detect flaws. For a flaw to be detected, its intensity must differ by this value from the background.

Closed Minimum Flaw Area

Defines the minimum size (1 to 99999; default = 30), in pixels, of the flaws to detect.

Note: This value is always in pixels, even if the job was calibrated to use real-world measurement units in the Set Up Image step.
Closed Maximum Flaw Area

Defines the maximum size (1 to 99999; default = 99999), in pixels, of the flaws to detect.

Note: This value is always in pixels, even if the job was calibrated to use real-world measurement units in the Set Up Image step.
Closed Timeout

Defines the amount of time, in milliseconds (0 to 30,000; default = 5000), that the tool will search for flaws before execution is stopped and the tool returns a Fail.

Closed Total Flaws

Displays a count of the total number of flaws that were detected.


Surface Flaw Defect Detection Tool - Statistics, Flaws and Composite Region Tabs

Closed Statistics Tab

The Statistics tab displays data about the total number of flaws and their cumulative size.

Closed Flaws Tab

The table in the Flaws tab reports the first 10 detected flaws, sorted by area, from largest to smallest. The table indicates the flaws location in the image (X/Y coordinates), area, perimeter, roundedness and intensity.

Closed Composite Region Tab

The Composite Region tab is used to configure a composite region, a collection of sub-regions (Rectangle, Annulus, Circle or Polygon) that either Add to the region (the region will be included in the image analysis) or Subtract from the region (the region will be excluded from the image analysis; also known as "masking").

Note:
  • A maximum of 32 sub-regions can be used to construct a composite region.
  • A right-click menu is available while interacting with the region in the image, which allows you to change a selected sub-region's shape, add or remove a sub-region, or change a selected sub-region's Operation (Add or Subtract).
Closed Composite Region Table

Displays the type of sub-region(s) that comprise the composite region, as well as its Operation (Add or Subtract). Select a sub-region to enable the Delete, Move Up or Move Down buttons. Pressing the Delete button removes the selected sub-region from the list; pressing the Move Up button moves the selected sub-region up in the list; and pressing the Move Down button moves the selected sub-region down in the list.

Note:

The composite region is built based upon its sequence of sub-regions within the list. By placing sub-regions, and their Add or Subtract Operation, in a specific order, parts of the image may be highlighted while ignoring other areas. The image below shows an example of how to correctly order the sub-regions to exclude part of the image while focusing on other areas. In the first set, a Rectangle with an Add Operation is configured, and then a Circle, with a Subtract Operation, is set in the middle. Then a smaller Rectangle, with an Add Operation, is configured in the middle of the Circle. The Circle excludes part of the image, while the smaller Rectangle adds part of the image area back to the image analysis. In the second set, the smaller Rectangle is added before the Circle, and the Circle masks the smaller Rectangle, excluding it from the image analysis.

Closed Shape

Displays the shape of selected sub-region (Rectangle, Circle, Annulus or Polygon). To change the shape, select the desired region type from the drop-down menu.

Closed Operation

Defines the selected sub-region's action within the region: Add or Subtract. Add indicates that the sub-region will be included in the image analysis while Subtract indicates that the sub-region will be excluded from the image analysis (also known as "masking").

Closed Rectangle

Inserts a rectangle sub-region into the composite region. Configure the shape and size of the region as needed.

Closed Annulus

Inserts an annulus sub-region into the composite region. Configure the shape and size of the region as needed.

Closed Circle

Inserts a circle sub-region into the composite region. Configure the shape and size of the region as needed.

Closed Polygon

Inserts a polygon sub-region into the composite region. Configure the shape and size of the region as needed.


Defect Detection Tools - Edge

The Edge Defect Detection Tool constructs a best-fit line or circle, using edge analysis Caliper arrays to precisely locate edge features. Once the edge has been identified, the tool constructs a best-fit line or circle (depending on whether or not there is a curve in the edge feature) over the edge feature and determines if there are deviations in the edge, such as defects or gaps, and reports the number of defects and/or gaps encountered.

Note:
  • The tool reports results in pixels, unless the image was calibrated to real-world units in Set Up Image.
  • All input values are in pixels, regardless if the tool was calibrated to real-world units.

The Edge Defect Detection Tool is useful in situations where you want to ensure that your part or object doesn't have any edge features that have deviations, such as defects or gaps. For example, determining whether the outside of the part/object maintains the same shape, and doesn't have any small dents or nicks.

Setting Up the Tool

Adjusting the Tool Parameters


Setting Up the Edge Defect Detection Tool

Once the tool has been added, you will need to configure the masked region in the image over the edge feature that you want to inspect:

  1. Position and configure the region within the image over the edge feature. When positioning the region, ensure that the edges are parallel to the region's search direction, and that the region encloses as much of the edge feature as possible, while also excluding unnecessary or unwanted noise from the region.

    Note: The dashed yellow line within the Masked Region defines the area within the region where edge transitions will be detected.

  2. Press the OK button to confirm the region (press the Cancel button to not add the tool to the job).

  3. After you have confirmed the region, select the various tabs, Edges, Edge Scoring, Fit, Defects and Gaps and adjust the parameters and region, as needed, to ensure that the tool is detecting the correct edge candidates and creating the correct best-fit line or circle. When initially setting up the tool, use an image that contains the ideal edge feature. Subsequent image acquisitions will then contain edge candidates that will be examined to determine if there are deviations such as defects or gaps.
  4. With the tool initially configured, load several images and adjust the tool's parameters, as needed, to compensate for your expected ranges and variations.
  5. Finally, if desired, use the tool's Input/Output properties to share tool data between other tools and/or other external devices.


Adjusting the Edge Defect Detection Tool Parameters

After the tool’s region has been positioned, you can optimize the tool for your application.

The settings pane of the Edge Defect Detection Tool consists of the following tabs:

  • General Tab
  • Edges Tab
  • Edge Scoring Tab
  • Fit Tab
  • Defects Tab
  • Gaps Tab
  • Defects and Gaps Table Tabs
Tip: Test your job, using TestRun. TestRun performs tests on the In-Sight vision system and compares the results of those tests against expected values. This will allow you to see whether or not the job is behaving as expected, or if you will need to adjust certain parameters for allowable variances.

General Tab

Edges Tab

Edge Scoring Tab

Fit Tab

Defects Tab

Gaps Tab

Defects and Gaps Table Tabs


Edge Defect Detection Tool - General Tab

Closed Tool Name

Defines the name of your inspection tool, which will be utilized in configuring the results (Inputs/Outputs and Communication); the default name is “EdgeDefect_1” (if it is the first Edge Defect Detection Tool added to the job, otherwise it will be incremented, e.g. “EdgeDefect_2”, “EdgeDefect_3”, etc.). Customize your tool by giving it a name that is associated with your particular application.

Closed Tool Image

Defines which image the tool will utilize to perform its inspection; the unfiltered, acquired image (the default setting), or the output image of an Image Filter Tool. This control is only enabled if an Image Filter Tool has been added.

Closed Tool Fixture

Defines a fixture for the tool. This control is only enabled if another tool that defines a fixture has already been added.

Closed Tool Enabled

Defines when and whether or not the inspection tool should run (default setting is “On”). Select “Off” if you want to disable the tool; select "Expression" if you want to tie the tool's execution to the result of an Expression (this control is only enabled for tool's that provide an Expression parameter); or select an “Input” if you want the tool tied to a specific discrete input line, where it can be turned On or Off (a High signal, 1, is On, a Low signal, 0, is Off). Tying the tool to an input allows a control system, such as a PLC, to determine which tools should run.

Closed Include in Job Pass

Defines whether or not the tool's pass/failure status should be included in the job's overall pass/fail status; by default, it is checked and will be included in the job's overall pass/fail status. Uncheck the check box to keep the tool's pass/failure status separate from the other tools in the job. This control should be unchecked if a tool is expected to fail; for example, if two PatMax Patterns Identification Tools were being used to determine whether or not the part was a right-hand or left-hand part, one of the tools would be expected to fail every time. This situation would result in the job failing every time, regardless of which side of the part was identified, were the checkbox checked.

Closed Execution Time (ms)

Displays the amount of time, in milliseconds, that the tool took to perform its inspection. This time may vary, depending upon the complexity of the scene in the image, as well as the position of the feature within the image, and the amount of variance allowed in the parameters.

Closed Description

A comment that describes the purpose of the tool (by default, the field is blank). Up to 255 alpha-numeric characters or 127 Asian language characters may be used.


Edge Defect Detection Tool - Edges Tab

When the Edges tab is selected, the tool will display all of the detected edges, outlined in dark green, within the region. You can adjust the Caliper Size, Caliper Spacing, Edge Width and Minimum Contrast parameters, as needed, to isolate the desired edges.

You may also choose to view all of the Calipers by enabling the Show All Calipers parameter.

The region may also be selected and adjusted while in this tab.

Closed Caliper Size

Defines the number of pixels, per Caliper, that are to be analyzed along the direction of the inspection (1 - 639; default = 5).

Closed Caliper Spacing

Defines the distance, in pixels, between the end of one Caliper and the start of the next Caliper (-1 - 639; default = 0).

Closed Edge Width

Defines the pixel distance (1 - 10; default = 3) over which an edge transition takes place. This setting helps filter noise from the image.

Closed Minimum Contrast

Defines the minimum greyscale contrast transition (1 - 255; default = 10) to be considered an edge.

Closed Caliper Count

Displays the total number of Calipers within the region.

Closed Caliper Index

Defines which individual Caliper to isolate and display.

Closed Show All Calipers

Defines whether or not all of the Calipers within the region are displayed at all times; by default, the Calipers are hidden.


Edge Defect Detection Tool - Edge Scoring Tab

When the Edge Scoring tab is selected, the tool will display all of the detected edge candidates, indicated by small, color coded circles, within the region (which may be selected and adjusted) and the best-fit line or circle result. The edge candidates represent the possible edges to be considered when constructing the best-fit line or circle; adjust the parameters to isolate the desired edge candidates.

Any detected defects and gaps will also be displayed.

Closed Find Edge Direction

Defines the direction in which the tool will attempt to detect edges, relative to the region (Left-to-Right or Right-to-Left; default = Left-to-Right).

Closed Edge Transition

Defines the transition of the edge (Dark-to-Light, Light-to-Dark or Either; default = Either). For increased accuracy and speed, specify the type of transition.

Closed Rule:First Edge

Defines whether or not the first edge detected receives the highest consideration when determining whether or not an edge candidate meets the criteria to be considered an edge (by default, this setting is enabled).

Closed Rule:Strongest Edge

Defines whether or not the edge with the strongest contrast transition receives the highest consideration when determining whether or not an edge candidate meets the criteria to be considered an edge (by default, this setting is enabled).

Closed Score Threshold

Defines a scoring threshold to filter out edges with scores (0 - 255; default = 10) lower than this value.


Edge Defect Detection Tool - Fit Tab

When the Fit tab is selected, the tool will display all of the found edge candidates within the region and the best-fit circle or line result. The edge candidates represent the possible edges to be considered when constructing the best-fit circle and line, and edge candidates are indicated by small, color coded circles.

The region may also be selected and adjusted when in this tab.

Closed Filter Outliers

Defines whether or not the tool will remove points from the best-fit line that are further than the distance defined by the Fit Distance Filter parameter (by default, this parameter is enabled).

Closed Fit Distance Filter

Defines the distance (1 - 1920; default = 2), in pixels, from which an edge must be from the original best-fit line to be utilized in a re-fit calculation. This parameter is helpful in preventing defects from affecting the line fit.

Note: The Filter Outliers parameter must be checked (enabled) to use this parameter.
Closed Furthest Point Filter Distance

Defines the outlier distance (1 - 1920; default = 1000) beyond which edges are not used to determine the minimum and maximum distances; any edge which is greater than this value will be ignored.

Closed Re-Score

Defines whether or not the detected edges will be re-scored to ensure that detected edges that were initially discarded were filtered correctly (by default, this parameter is enabled).

Closed Re-Fit

Defines whether or not the tool will re-fit the best-fit line after the edges have been re-scored (by default, this parameter is enabled).

Note: The accuracy of the tool will be higher with this parameter enabled, however it adds processing time.


Edge Defect Detection Tool - Defects Tab

When the Defects tab is selected, the tool will display the best-fit circle or line result, and any detected defects or gaps. "Defects" are specified as edge deviations from the best-fit line or circle.

The region may also be selected and adjusted when in this tab.

Closed Min Distance

Specifies that any distance (0.001 - 1920; default = 4), in pixels, from the edge and the best-fit line or circle less than this value is not a defect.

Closed Max Distance

Specifies that any distance (0.001 - 1920; default = 1000), in pixels, from the edge and the best-fit line or circle greater than this value is not a defect.

Closed Size Enabled

Defines whether or not the tool will account for size defects (which account for the length along the edge); by default, this parameter is enabled.

Note: When Size Enabled and Area Enabled are both On, only defects which fail both conditions will be displayed.
Closed Min Size

Defines the minimum defect size (0.001 - 1920; default = 10), in pixels; continuous deviations from the best-fit line or circle which are less than this value are not considered defects.

Closed Max Size

Defines the maximum defect size (0.001 - 1920; default = 1000), in pixels; continuous deviations from the best-fit line or circle which are greater than this value are not considered defects.

Closed Area Enabled

Defines whether or not the tool will account for area defects; by default, this parameter is disabled. Area defects account for the length along the best-fit line or circle and how far the defective edge is from the best-fit line or circle.

Note: When Size Enabled and Area Enabled are both On, only defects which fail both conditions will be displayed.
Closed Min Area

Defines the minimum area defect (0.001 - 1000000; default = 10), in pixels; an area less than this value is not considered a defect.

Closed Max Area

Defines the maximum area defect (0.001 - 1000000; default = 1000000), in pixels; an area greater than this value is not considered a defect.

Closed Defect Filter

Defines whether or not to filter defects based on their position, related to the line fit (No Filter, Ignore Left of Line Fit, Ignore Right of Line Fit; default = No Filter).


Edge Defect Detection Tool - Gaps Tab

When the Gaps tab is selected, the tool will display the best-fit circle or line result, and any detected defects or gaps. "Gaps" are specified as edge deviations from the best-fit line or circle.

The region may also be selected and adjusted when in this tab.

Closed Find Gaps

Defines whether or not the tool will account for gaps in the found edge; by default, this parameter is enabled.

Closed Minimum Gap

Defines the minimum gap (0.001 - 1920; default = 3), in pixels; gaps less than this value are not considered to be gaps.

Closed Maximum Gap

Defines the maximum gap (0.001 - 1920; default = 1000), in pixels; gaps greater than this value are not considered to be gaps.

Closed Ignore End Gaps

Defines whether or not the tool will account for gaps detected at the beginning and end of the region; by default, this parameter is disabled.

Closed Result

Displays the total number of defects and/or gaps that were detected.


Edge Defect Detection Tool - Defects and Gaps Table Tabs

The Defects and Gaps table tabs report the first 10 detected defects/gaps, sorted by position along the edge.

Closed Index

Refers to the order of the detected defects/gaps, sorted by position along the edge; 1 to 10 (numerical ordering in EasyBuilder is based on 0=1).

Closed X

Returns the X coordinate (if the Calibrated Units is selected and the image was calibrated in the Set Up Image step, otherwise it reports in pixel values) of the defect/gap's bounding rectangle.

Closed Y

Returns the Y coordinate (if the Calibrated Units is selected and the image was calibrated in the Set Up Image step, otherwise it reports in pixel values) of the defect/gap's bounding rectangle.

Closed Area

Returns the area of the defect/gap's bounding rectangle.

Closed Size

Returns the size (length) of the defect/gap along the edge.

Closed Calipers

Returns the range of Calipers that the defect/gap spans.

Closed Calibrated Units/Pixels

Defines whether or not the table displays results in real-world coordinates (Calibrated Units) or pixels (Pixels).

Note: The tool reports results in pixels, unless the image was calibrated to real-world units in Set Up Image.


Defect Detection Tools - Edge Pair

The Edge Pair Defect Detection Tool constructs a pair of best-fit lines or circles, using edge analysis Caliper arrays to precisely locate edge features. Once the edges have been identified, the tool constructs a pair of best-fit lines or circles (depending on whether or not there is a curve in the edge feature) over the edge features to determine if there are deviations in the edges, such as defects or gaps, and reports the number of defects and/or gaps encountered.

Note:
  • The tool reports results in pixels, unless the image was calibrated to real-world units in Set Up Image.
  • All input values are in pixels, regardless if the tool was calibrated to real-world units.

The Edge Pair Defect Detection Tool is useful in situations where you want to ensure that your part or object doesn't have any edge features that have deviations, such as defects or gaps. For example, determining whether the part/object has edges that maintain their shape and there aren't any dents or nicks in the edges.

Setting Up the Tool

Adjusting the Tool Parameters


Setting Up the Edge Pair Defect Detection Tool

Once the tool has been added, you will need to configure the masked region in the image over the edge feature that you want to inspect:

  1. Position and configure the region within the image over the edge feature. When positioning the region, ensure that the edges are parallel to the region's search direction, and that the region encloses as much of the edge feature as possible, while also excluding unnecessary or unwanted noise from the region.

    Note: The dashed yellow line within the Masked Region defines the area within the region where edge transitions will be detected.

  2. Press the OK button to confirm the region (press the Cancel button to not add the tool to the job).

  3. After you have confirmed the region, select the various tabs, Edges, Edge Scoring, Fit, Defects and Gaps and adjust the parameters and region, as needed, to ensure that the tool is detecting the correct edge candidates and creating the correct best-fit line or circle. When initially setting up the tool, use an image that contains the ideal edge feature. Subsequent image acquisitions will then contain edge candidates that will be examined to determine if there are deviations such as defects or gaps.
  4. With the tool initially configured, load several images and adjust the tool's parameters, as needed, to compensate for your expected ranges and variations.
  5. Finally, if desired, use the tool's Input/Output properties to share tool data between other tools and/or other external devices.


Adjusting the Edge Pair Defect Detection Tool Parameters

After the tool’s region has been positioned, you can optimize the tool for your application.

The settings pane of the Edge Pair Defect Detection Tool consists of the following tabs:

  • General Tab
  • Edges Tab
  • Edge Scoring Tab
  • Fit Tab
  • Defects Tab
  • Gaps Tab
  • Edge 0 Defects, Edge 1 Defects and Gaps Table Tabs
Tip: Test your job, using TestRun. TestRun performs tests on the In-Sight vision system and compares the results of those tests against expected values. This will allow you to see whether or not the job is behaving as expected, or if you will need to adjust certain parameters for allowable variances.

General Tab

Edges Tab

Edge Scoring Tab

Fit Tab

Defects Tab

Gaps Tab

Edge 0 Defects, Edge 1 Defects and Gaps Table Tabs


Edge Pair Defect Detection Tool - General Tab

Closed Tool Name

Defines the name of your inspection tool, which will be utilized in configuring the results (Inputs/Outputs and Communication); the default name is “EdgePairDefect_1” (if it is the first Edge Pair Defect Detection Tool added to the job, otherwise it will be incremented, e.g. “EdgePairDefect_2”, “EdgePairDefect_3”, etc.). Customize your tool by giving it a name that is associated with your particular application.

Closed Tool Image

Defines which image the tool will utilize to perform its inspection; the unfiltered, acquired image (the default setting), or the output image of an Image Filter Tool. This control is only enabled if an Image Filter Tool has been added.

Closed Tool Fixture

Defines a fixture for the tool. This control is only enabled if another tool that defines a fixture has already been added.

Closed Tool Enabled

Defines when and whether or not the inspection tool should run (default setting is “On”). Select “Off” if you want to disable the tool; select "Expression" if you want to tie the tool's execution to the result of an Expression (this control is only enabled for tool's that provide an Expression parameter); or select an “Input” if you want the tool tied to a specific discrete input line, where it can be turned On or Off (a High signal, 1, is On, a Low signal, 0, is Off). Tying the tool to an input allows a control system, such as a PLC, to determine which tools should run.

Closed Include in Job Pass

Defines whether or not the tool's pass/failure status should be included in the job's overall pass/fail status; by default, it is checked and will be included in the job's overall pass/fail status. Uncheck the check box to keep the tool's pass/failure status separate from the other tools in the job. This control should be unchecked if a tool is expected to fail; for example, if two PatMax Patterns Identification Tools were being used to determine whether or not the part was a right-hand or left-hand part, one of the tools would be expected to fail every time. This situation would result in the job failing every time, regardless of which side of the part was identified, were the checkbox checked.

Closed Execution Time (ms)

Displays the amount of time, in milliseconds, that the tool took to perform its inspection. This time may vary, depending upon the complexity of the scene in the image, as well as the position of the feature within the image, and the amount of variance allowed in the parameters.

Closed Description

A comment that describes the purpose of the tool (by default, the field is blank). Up to 255 alpha-numeric characters or 127 Asian language characters may be used.


Edge Pair Defect Detection Tool - Edges Tab

When the Edges tab is selected, the tool will display all of the detected edges, outlined in dark green, within the region. You can adjust the Caliper Size, Caliper Spacing, Edge Width and Minimum Contrast parameters, as needed, to isolate the desired edges.

You may also choose to view all of the Calipers by enabling the Show All Calipers parameter.

The region may also be selected and adjusted while in this tab.

Closed Caliper Size

Defines the number of pixels, per Caliper, that are to be analyzed along the direction of the inspection (1 - 639; default = 5).

Closed Caliper Spacing

Defines the distance, in pixels, between the end of one Caliper and the start of the next Caliper (-1 - 639; default = 0).

Closed Edge Width

Defines the pixel distance (1 - 10; default = 3) over which an edge transition takes place. This setting helps filter noise from the image.

Closed Minimum Contrast

Defines the minimum greyscale contrast transition (1 - 255; default = 10) to be considered an edge.

Closed Caliper Count

Displays the total number of Calipers within the region.

Closed Caliper Index

Defines which individual Caliper to isolate and display.

Closed Show All Calipers

Defines whether or not all of the Calipers within the region are displayed at all times; by default, the Calipers are hidden.


Edge Pair Defect Detection Tool - Edge Scoring Tab

When the Edge Scoring tab is selected, the tool will display all of the detected edge candidates, indicated by small, color coded circles, within the region (which may be selected and adjusted) and the best-fit line or circle result. The edge candidates represent the possible edges to be considered when constructing the best-fit line or circle; adjust the parameters to isolate the desired edge candidates.

Any detected defects and gaps will also be displayed.

Closed Find Edge Direction

Defines the direction in which the tool will attempt to detect edges, relative to the region (Left-to-Right, Right-to-Left, Center Outward or Outside In; default = Left-to-Right).

Closed Edge0 Transition

Defines the transition of the first detected edge (Dark-to-Light, Light-to-Dark or Either; default = Either). For increased accuracy and speed, specify the type of transition.

Closed Edge1 Transition

Defines the transition of the second detected edge (Dark-to-Light, Light-to-Dark or Either; default = Either). For increased accuracy and speed, specify the type of transition.

Closed Rule:First Edge

Defines whether or not the first edge detected receives the highest consideration when determining whether or not an edge candidate meets the criteria to be considered an edge (by default, this setting is enabled).

Closed Rule:Strongest Edge

Defines whether or not the edge with the strongest contrast transition receives the highest consideration when determining whether or not an edge candidate meets the criteria to be considered an edge (by default, this setting is enabled).

Closed Rule:Pair Size

Defines whether or not the edge pair detected with the size closest to the Pair Size parameter receives the highest consideration when determining whether or not an edge candidate meets the criteria to be considered an edge (by default, this setting is disabled).

Closed Pair Size

Defines the edge pair size at which the highest score is achieved (1 - 1920; default = 5). When this parameter is enabled, edge pairs detected above or below this value are scored proportionally to this value. For example, if the Pair Size is set to 10, and two edge pair candidates are detected, one with a value of 8 and another with 14, the edge pair with a value of 8 would be selected because it is closer to the limit than the second edge pair. The Rule: Pair Size parameter must be ON to enable this parameter.

Closed Score Threshold

Defines a scoring threshold to filter out edges with scores (0 - 255; default = 10) lower than this value.


Edge Pair Defect Detection Tool - Fit Tab

When the Fit tab is selected, the tool will display all of the found edge candidates within the region and the best-fit circle or line result. The edge candidates represent the possible edges to be considered when constructing the best-fit circle and line, and edge candidates are indicated by small, color coded circles.

The region may also be selected and adjusted when in this tab.

Closed Filter Outliers

Defines whether or not the tool will remove points from the best-fit line that are further than the distance defined by the Fit Distance Filter parameter (by default, this parameter is enabled).

Closed Fit Distance Filter

Defines the distance (1 - 1920; default = 2), in pixels, from which an edge must be from the original best-fit line to be utilized in a re-fit calculation. This parameter is helpful in preventing defects from affecting the line fit.

Note: The Filter Outliers parameter must be checked (enabled) to use this parameter.
Closed Furthest Point Filter Distance

Defines the outlier distance (1 - 1920; default = 1000) beyond which edges are not used to determine the minimum and maximum distances; any edge which is greater than this value will be ignored.

Closed Re-Score

Defines whether or not the detected edges will be re-scored to ensure that detected edges that were initially discarded were filtered correctly (by default, this parameter is enabled).

Closed Re-Fit

Defines whether or not the tool will re-fit the best-fit line after the edges have been re-scored (by default, this parameter is enabled).

Note: The accuracy of the tool will be higher with this parameter enabled, however it adds processing time.


Edge Pair Defect Detection Tool - Defects Tab

When the Defects tab is selected, the tool will display the best-fit circle or line result, and any detected defects or gaps. "Defects" are specified as edge deviations from the best-fit line or circle.

The region may also be selected and adjusted when in this tab.

Closed Min Distance

Specifies that any distance (0.001 - 1920; default = 4), in pixels, from the edge and the best-fit line or circle less than this value is not a defect.

Closed Max Distance

Specifies that any distance (0.001 - 1920; default = 1000), in pixels, from the edge and the best-fit line or circle greater than this value is not a defect.

Closed Size Enabled

Defines whether or not the tool will account for size defects (which account for the length along the edge); by default, this parameter is enabled.

Note: When Size Enabled and Area Enabled are both On, only defects which fail both conditions will be displayed.
Closed Min Size

Defines the minimum defect size (0.001 - 1920; default = 10), in pixels; continuous deviations from the best-fit line or circle which are less than this value are not considered defects.

Closed Max Size

Defines the maximum defect size (0.001 - 1920; default = 1000), in pixels; continuous deviations from the best-fit line or circle which are greater than this value are not considered defects.

Closed Area Enabled

Defines whether or not the tool will account for area defects; by default, this parameter is disabled. Area defects account for the length along the best-fit line or circle and how far the defective edge is from the best-fit line or circle.

Note: When Size Enabled and Area Enabled are both On, only defects which fail both conditions will be displayed.
Closed Min Area

Defines the minimum area defect (0.001 - 1000000; default = 10), in pixels; an area less than this value is not considered a defect.

Closed Max Area

Defines the maximum area defect (0.001 - 1000000; default = 1000000), in pixels; an area greater than this value is not considered a defect.

Closed Defect Filter

Defines whether or not to filter defects based on their position, related to the line fit (No Filter, Ignore Left of Line Fit, Ignore Right of Line Fit; default = No Filter).


Edge Pair Defect Detection Tool - Gaps Tab

When the Gaps tab is selected, the tool will display the best-fit circle or line result, and any detected defects or gaps. "Gaps" are specified as edge deviations from the best-fit line or circle.

The region may also be selected and adjusted when in this tab.

Closed Find Gaps

Defines whether or not the tool will account for gaps in the found edge; by default, this parameter is enabled.

Closed Minimum Gap

Defines the minimum gap (0.001 - 1920; default = 3), in pixels; gaps less than this value are not considered to be gaps.

Closed Maximum Gap

Defines the maximum gap (0.001 - 1920; default = 1000), in pixels; gaps greater than this value are not considered to be gaps.

Closed Ignore End Gaps

Defines whether or not the tool will account for gaps detected at the beginning and end of the region; by default, this parameter is disabled.

Closed Result

Displays the total number of defects and/or gaps that were detected.


Edge Pair Defect Detection Tool - Edge 0 Defects, Edge 1 Defects and Gaps Table Tabs

The Edge 0 Defects, Edge 1 Defects and Gaps table tabs report the first 10 detected defects/gaps, sorted by position along the edge. Edge 0 refers to the first detected edge of the pair, while Edge 1 refers to the second edge.

Closed Index

Refers to the order of the detected defects/gaps, sorted by position along the edge; 1 to 10 (numerical ordering in EasyBuilder is based on 0=1).

Closed X

Returns the X coordinate (if the Calibrated Units is selected and the image was calibrated in the Set Up Image step, otherwise it reports in pixel values) of the defect/gap's bounding rectangle.

Closed Y

Returns the Y coordinate (if the Calibrated Units is selected and the image was calibrated in the Set Up Image step, otherwise it reports in pixel values) of the defect/gap's bounding rectangle.

Closed Area

Returns the area of the defect/gap's bounding rectangle.

Closed Size

Returns the size (length) of the defect/gap along the edge.

Closed Calipers

Returns the range of Calipers that the defect/gap spans.

Closed Calibrated Units/Pixels

Defines whether or not the table displays results in real-world coordinates (Calibrated Units) or pixels (Pixels).

Note: The tool reports results in pixels, unless the image was calibrated to real-world units in Set Up Image.


Defect Detection Tools - Edge Width

The Edge Width Defect Detection Tool measures and verifies that the thickness of a pair of edges is within tolerance. The tool uses edge analysis Caliper arrays to precisely locate edge features to determine if there are deviations in the edges, such as defects or gaps, and reports the number of defects and/or gaps encountered.

Note:
  • The tool reports results in pixels, unless the image was calibrated to real-world units in Set Up Image.
  • All input values are in pixels, regardless if the tool was calibrated to real-world units.

The Edge Width Defect Detection Tool is useful in situations where you want to ensure that your part or object doesn't have any edge features that have deviations, such as defects or gaps. For example, determining whether a welded seem maintains the proper width each and every time.

Setting Up the Tool

Adjusting the Tool Parameters


Setting Up the Edge Width Defect Detection Tool

Once the tool has been added, you will need to select the type of region and then configure it in the image over the edge feature that you want to inspect:

  1. From the Region Type drop-down menu, select your region: Masked Region or Polyline Path. Position and configure the region within the image over the edge feature. When positioning the region, ensure that the edges are parallel to the region's search direction, and that the region encloses as much of the edge feature as possible, while also excluding unnecessary or unwanted noise from the region.

    Note: The dashed yellow line within the Masked Region defines the area within the region where edge transitions will be detected.

  2. Press the OK button to confirm the region (press the Cancel button to not add the tool to the job).

  3. After you have confirmed the region, select the various tabs, Edges, Edge Scoring, Outliers, Defects and Gaps and adjust the parameters and region, as needed, to ensure that the tool is detecting the correct edge candidates. When initially setting up the tool, use an image that contains the ideal edge feature. Subsequent image acquisitions will then contain edge candidates that will be examined to determine if there are deviations such as defects or gaps.

    Note: Optionally, the tool will create a best-fit line or circle if the Outliers tab parameter Re-Score is enabled.
  4. With the tool initially configured, load several images and adjust the tool's parameters, as needed, to compensate for your expected ranges and variations.
  5. Finally, if desired, use the tool's Input/Output properties to share tool data between other tools and/or other external devices.


Adjusting the Edge Width Defect Detection Tool Parameters

After the tool’s region has been positioned, you can optimize the tool for your application.

The settings pane of the Edge Width Defect Detection Tool consists of the following tabs:

  • General Tab
  • Edges Tab
  • Edge Scoring Tab
  • Outliers Tab
  • Defects Tab
  • Gaps Tab
  • Width Defects and Gaps Table Tabs
Tip: Test your job, using TestRun. TestRun performs tests on the In-Sight vision system and compares the results of those tests against expected values. This will allow you to see whether or not the job is behaving as expected, or if you will need to adjust certain parameters for allowable variances.

General Tab

Edges Tab

Edge Scoring Tab

Outliers Tab

Defects Tab

Gaps Tab

Width Defects and Gaps Table Tabs


Edge Width Defect Detection Tool - General Tab

Closed Tool Name

Defines the name of your inspection tool, which will be utilized in configuring the results Inputs/Outputs and Communication); the default name is “EdgeWidth_1” (if it is the first Edge Width Defect Detection Tool added to the job, otherwise it will be incremented, e.g. “EdgeWidth_2”, “EdgeWidth_3”, etc.). Customize your tool by giving it a name that is associated with your particular application.

Closed Tool Image

Defines which image the tool will utilize to perform its inspection; the unfiltered, acquired image (the default setting), or the output image of an Image Filter Tool. This control is only enabled if an Image Filter Tool has been added.

Closed Tool Fixture

Defines a fixture for the tool. This control is only enabled if another tool that defines a fixture has already been added.

Closed Tool Enabled

Defines when and whether or not the inspection tool should run (default setting is “On”). Select “Off” if you want to disable the tool; select "Expression" if you want to tie the tool's execution to the result of an Expression (this control is only enabled for tool's that provide an Expression parameter); or select an “Input” if you want the tool tied to a specific discrete input line, where it can be turned On or Off (a High signal, 1, is On, a Low signal, 0, is Off). Tying the tool to an input allows a control system, such as a PLC, to determine which tools should run.

Closed Region Type

Defines the type of region (Masked Region or Polyline Path; default = Masked Region) the tool will use to detect edge features.

Closed Include in Job Pass

Defines whether or not the tool's pass/failure status should be included in the job's overall pass/fail status; by default, it is checked and will be included in the job's overall pass/fail status. Uncheck the check box to keep the tool's pass/failure status separate from the other tools in the job. This control should be unchecked if a tool is expected to fail; for example, if two PatMax Patterns Identification Tools were being used to determine whether or not the part was a right-hand or left-hand part, one of the tools would be expected to fail every time. This situation would result in the job failing every time, regardless of which side of the part was identified, were the checkbox checked.

Closed Execution Time (ms)

Displays the amount of time, in milliseconds, that the tool took to perform its inspection. This time may vary, depending upon the complexity of the scene in the image, as well as the position of the feature within the image, and the amount of variance allowed in the parameters.

Closed Description

A comment that describes the purpose of the tool (by default, the field is blank). Up to 255 alpha-numeric characters or 127 Asian language characters may be used.


Edge Width Defect Detection Tool - Edges Tab

When the Edges tab is selected, the tool will display all of the detected edges, outlined in dark green, within the region. You can adjust the Caliper Size, Caliper Spacing, Edge Width and Minimum Contrast parameters, as needed, to isolate the desired edges.

You may also choose to view all of the Calipers by enabling the Show All Calipers parameter.

The region may also be selected and adjusted while in this tab.

Closed Caliper Size

Defines the number of pixels, per Caliper, that are to be analyzed along the direction of the inspection (1 - 639; default = 5).

Closed Caliper Spacing

Defines the distance, in pixels, between the end of one Caliper and the start of the next Caliper (-1 - 639; default = 0).

Closed Edge Width

Defines the pixel distance (1 - 10; default = 3) over which an edge transition takes place. This setting helps filter noise from the image.

Closed Minimum Contrast

Defines the minimum greyscale contrast transition (1 - 255; default = 10) to be considered an edge.

Closed Caliper Count

Displays the total number of Calipers within the region.

Closed Caliper Index

Defines which individual Caliper to isolate and display.

Closed Show All Calipers

Defines whether or not all of the Calipers within the region are displayed at all times; by default, the Calipers are hidden.


Edge Width Defect Detection Tool - Edge Scoring Tab

When the Edge Scoring tab is selected, the tool will display all of the found edge candidates, indicated by small, color coded circles, within the region (which may be selected and adjusted). Adjust the parameters to isolate the desired edge candidates.

Note: Optionally, the tool will create a best-fit line or circle if the Outliers tab parameter Re-Score is enabled.

Any detected defects and gaps will also be displayed, as will the minimum and maximum width of the edges, which are indicated by yellow lines.

Closed Find Edge Direction

Defines the direction in which the tool will attempt to detect edges, relative to the region (Left-to-Right, Right-to-Left, Center Outward or Outside In; default = Left-to-Right).

Closed Edge0 Transition

Defines the transition of the first detected edge (Dark-to-Light, Light-to-Dark or Either; default = Either). For increased accuracy and speed, specify the type of transition.

Closed Edge1 Transition

Defines the transition of the second detected edge (Dark-to-Light, Light-to-Dark or Either; default = Either). For increased accuracy and speed, specify the type of transition.

Closed Rule:First Edge

Defines whether or not the first edge detected receives the highest consideration when determining whether or not an edge candidate meets the criteria to be considered an edge (by default, this setting is enabled).

Closed Rule:Strongest Edge

Defines whether or not the edge with the strongest contrast transition receives the highest consideration when determining whether or not an edge candidate meets the criteria to be considered an edge (by default, this setting is enabled).

Closed Contrast Upper Bound

Defines the upper limit of the edge contrast transition (2 - 255; default = 255) to be considered an edge; edges with an edge contrast transition above this value will have the same highest score.

Closed Rule:Pair Size

Defines whether or not the edge pair detected with the size closest to the Pair Size parameter receives the highest consideration when determining whether or not an edge candidate meets the criteria to be considered an edge (by default, this setting is disabled).

Closed Pair Size

Defines the edge pair size at which the highest score is achieved (1 - 1920; default = 5). When this parameter is enabled, edge pairs detected above or below this value are scored proportionally to this value. For example, if the Pair Size is set to 10, and two edge pair candidates are detected, one with a value of 8 and another with 14, the edge pair with a value of 8 would be selected because it is closer to the limit than the second edge pair. The Rule: Pair Size parameter must be ON to enable this parameter.

Closed Score Threshold

Defines a scoring threshold to filter out edges with scores (0 - 255; default = 10) lower than this value.


Edge Width Defect Detection Tool - Outliers Tab

When the Outliers tab is selected, the tool will display all of the found edge candidates within the region and the best-fit line or circle result. The edge candidates represent the possible edges to be considered when constructing the best-fit line or circle, and edge candidates are indicated by small, color coded circles.

The region may also be selected and adjusted when in this tab.

Any detected defects and gaps will also be displayed, as will the minimum and maximum width of the edges, which are indicated by yellow lines.

Closed Re-Score

Defines whether or not the tool will re-fit the best-fit line after the edges have been re-scored (by default, this parameter is disabled).

Note: The accuracy of the tool will be higher with this parameter enabled, however it adds processing time.
Closed Line Fit

Defines the type of best-fit line (Auto Fit, Straight Line Fit or Circle Line Fit; by default = Auto Fit) that is to be constructed out of the detected edges.

Note: The Re-Score parameter must be checked (enabled) to use this parameter.
Closed Filter Outliers

Defines whether or not the tool will remove points from the best-fit line that are further than the distance defined by the Fit Distance Filter parameter (by default, this parameter is disabled).

Closed Fit Distance Filter

Defines the distance (1 - 1920; default = 2), in pixels, from which an edge must be from the original best-fit line to be utilized in a re-fit calculation. This parameter is helpful in preventing defects from affecting the line fit.

Note: The Filter Outliers parameter must be checked (enabled) to use this parameter.


Edge Width Defect Detection Tool - Defects Tab

When the Defects tab is selected, the tool will display (using yellow lines) the minimum and maximum thickness of the detected edge pair, as well as any detected defects or gaps.

The region may also be selected and adjusted when in this tab.

Closed Min Width

Specifies that any width distance (0.001 - 1920; default = 3), in pixels, between detected edge pairs less than this value is not a defect.

Closed Max Width

Specifies that any width distance (0.001 - 1920; default = 1000), in pixels, between detected edge pairs greater than this value is not a defect.

Closed Size Enabled

Defines whether or not the tool will account for size defects (which account for the length along the edge); by default, this parameter is enabled.

Note: When Size Enabled and Area Enabled are both On, only defects which fail both conditions will be displayed.
Closed Min Size

Defines the minimum defect size (0.001 - 1920; default = 10), in pixels; continuous deviations from the best-fit line or circle which are less than this value are not considered defects.

Closed Max Size

Defines the maximum defect size (0.001 - 1920; default = 1000), in pixels; continuous deviations from the best-fit line or circle which are greater than this value are not considered defects.

Closed Area Enabled

Defines whether or not the tool will account for area defects; by default, this parameter is disabled. Area defects account for the length along the best-fit line or circle and how far the defective edge is from the best-fit line or circle.

Note: When Size Enabled and Area Enabled are both On, only defects which fail both conditions will be displayed.
Closed Min Area

Defines the minimum area defect (0.001 - 1000000; default = 10), in pixels; an area less than this value is not considered a defect.

Closed Max Area

Defines the maximum area defect (0.001 - 1000000; default = 1000000), in pixels; an area greater than this value is not considered a defect.


Edge Width Defect Detection Tool - Gaps Tab

When the Gaps tab is selected, the tool will display the best-fit circle or line result (if enabled), and any detected defects or gaps. "Gaps" are specified as edge deviations from the best-fit line or circle.

The region may also be selected and adjusted when in this tab.

Closed Find Gaps

Defines whether or not the tool will account for gaps in the found edge; by default, this parameter is enabled.

Closed Minimum Gap

Defines the minimum gap (0.001 - 1920; default = 3), in pixels; gaps less than this value are not considered to be gaps.

Closed Maximum Gap

Defines the maximum gap (0.001 - 1920; default = 1000), in pixels; gaps greater than this value are not considered to be gaps.

Closed Ignore End Gaps

Defines whether or not the tool will account for gaps detected at the beginning and end of the region; by default, this parameter is disabled.

Closed Result

Displays the total number of defects and/or gaps that were detected.


Edge Width Defect Detection Tool - Width Defects and Gaps Table Tabs

The Width Defects and Gaps table tabs report the first 10 detected defects/gaps, sorted by position along the edge.

Closed Index

Refers to the order of the detected defects/gaps, sorted by position along the edge; 1 to 10 (numerical ordering in EasyBuilder is based on 0=1).

Closed X

Returns the X coordinate (if the Calibrated Units is selected and the image was calibrated in the Set Up Image step, otherwise it reports in pixel values) of the defect/gap's bounding rectangle.

Closed Y

Returns the Y coordinate (if the Calibrated Units is selected and the image was calibrated in the Set Up Image step, otherwise it reports in pixel values) of the defect/gap's bounding rectangle.

Closed Area

Returns the area of the defect/gap's bounding rectangle.

Closed Size

Returns the size (length) of the defect/gap along the edge.

Closed Calipers

Returns the range of Calipers that the defect/gap spans.

Closed Calibrated Units/Pixels

Defines whether or not the table displays results in real-world coordinates (Calibrated Units) or pixels (Pixels).

Note: The tool reports results in pixels, unless the image was calibrated to real-world units in Set Up Image.


Defect Detection Tools - Bead Finder

The Bead Finder Defect Detection Tool identifies a bead feature (defined by a pair of edges), regardless of shape, by detecting the center of the bead and creating a region that can be used to inspect the width of the bead. The tool uses edge analysis Caliper arrays to precisely locate edge features. Once the bead feature has been identified, the tool plots the bead and reports any variations outside of tolerances in the bead's thickness as either defects or gaps.

Note:
  • The tool reports results in pixels, unless the image was calibrated to real-world units in Set Up Image.
  • All input values are in pixels, regardless if the tool was calibrated to real-world units.

The Bead Finder Defect Detection Tool is useful in situations where you want to identify and verify the thickness of a bead feature, like a glue bead, that appears randomly within the Field of View (FOV).

Setting Up the Tool

Adjusting the Tool Parameters


Setting Up the Bead Finder Defect Detection Tool

Once the tool has been added, you will need to select the type of region and then configure it in the image over the edge feature that you want to inspect:

  1. From the Region Type drop-down menu, select your region: Masked Region or Polyline Path. Position and configure the region within the image over the edge feature. When positioning the region, ensure that the edges are parallel to the region's search direction, and that the region encloses as much of the edge feature as possible, while also excluding unnecessary or unwanted noise from the region.

    Note: The dashed yellow line within the Masked Region defines the area within the region where edge transitions will be detected.

  2. Press the OK button to confirm the region (press the Cancel button to not add the tool to the job).

  3. After you have confirmed the region, select the various tabs, Find Bead, Edges, Edge Scoring, Defects and Gaps and adjust the parameters and region, as needed, to ensure that the tool is detecting the correct edge candidates and creating the correct polyline. When initially setting up the tool, use an image that contains the ideal edge feature. Subsequent image acquisitions will then contain edge candidates that will be examined to determine if there are deviations such as defects or gaps.
  4. With the tool initially configured, load several images and adjust the tool's parameters, as needed, to compensate for your expected ranges and variations.
  5. Finally, if desired, use the tool's Input/Output properties to share tool data between other tools and/or other external devices.


Adjusting the Bead Finder Defect Detection Tool Parameters

After the tool’s region has been positioned, you can optimize the tool for your application.

The settings pane of the Bead Finder Defect Detection Tool consists of the following tabs:

  • General Tab
  • Find Bead
  • Edges Tab
  • Edge Scoring Tab
  • Defects Tab
  • Gaps Tab
  • Statistics, Width Defects and Gaps Table Tabs
Tip: Test your job, using TestRun. TestRun performs tests on the In-Sight vision system and compares the results of those tests against expected values. This will allow you to see whether or not the job is behaving as expected, or if you will need to adjust certain parameters for allowable variances.

General Tab

Find Bead Tab

Edges Tab

Edge Scoring Tab

Defects Tab

Gaps Tab

Statistics, Width Defects and Gaps Table Tabs


Bead Finder Defect Detection Tool - General Tab

Closed Tool Name

Defines the name of your inspection tool, which will be utilized in configuring the results Inputs/Outputs and Communication); the default name is “BeadFinder_1” (if it is the first Bead Finder Defect Detection Tool added to the job, otherwise it will be incremented, e.g. “BeadFinder_2”, “BeadFinder _3”, etc.). Customize your tool by giving it a name that is associated with your particular application.

Closed Tool Image

Defines which image the tool will utilize to perform its inspection; the unfiltered, acquired image (the default setting), or the output image of an Image Filter Tool. This control is only enabled if an Image Filter Tool has been added.

Closed Tool Fixture

Defines a fixture for the tool. This control is only enabled if another tool that defines a fixture has already been added.

Closed Tool Enabled

Defines when and whether or not the inspection tool should run (default setting is “On”). Select “Off” if you want to disable the tool; select "Expression" if you want to tie the tool's execution to the result of an Expression (this control is only enabled for tool's that provide an Expression parameter); or select an “Input” if you want the tool tied to a specific discrete input line, where it can be turned On or Off (a High signal, 1, is On, a Low signal, 0, is Off). Tying the tool to an input allows a control system, such as a PLC, to determine which tools should run.

Closed Region Type

Defines the type of region used to define the area of the image that undergoes analysis: Masked Region (default) or Polyline Path.

Closed Include in Job Pass

Defines whether or not the tool's pass/failure status should be included in the job's overall pass/fail status; by default, it is checked and will be included in the job's overall pass/fail status. Uncheck the check box to keep the tool's pass/failure status separate from the other tools in the job. This control should be unchecked if a tool is expected to fail; for example, if two PatMax Patterns Identification Tools were being used to determine whether or not the part was a right-hand or left-hand part, one of the tools would be expected to fail every time. This situation would result in the job failing every time, regardless of which side of the part was identified, were the checkbox checked.

Closed Execution Time (ms)

Displays the amount of time, in milliseconds, that the tool took to perform its inspection. This time may vary, depending upon the complexity of the scene in the image, as well as the position of the feature within the image, and the amount of variance allowed in the parameters.

Closed Description

A comment that describes the purpose of the tool (by default, the field is blank). Up to 255 alpha-numeric characters or 127 Asian language characters may be used.


Bead Finder Defect Detection Tool - Find Bead Tab

When the Find Bead tab is selected, the tool will display graphics relevant to locating the bead feature. The tool will display all of the detected edges, outlined in dark green; the selected edge candidates (which are indicated by small, color coded circles) within the region (which can be selected and adjusted); and the location of the bead as a blue polyline.

You can adjust the parameters to isolate the desired edges and edge candidates that will be used to construct the polyline path that outlines the bead feature.

Closed Find Bead Caliper Size

Defines the number of pixels, per Caliper, that are to be analyzed along the direction of the inspection to find the bead feature (1 - 639; default = 8).

Closed Find Bead Caliper Spacing

Defines the distance, in pixels, between the end of one Caliper and the start of the next Caliper (-1 - 639; default = 0).

Closed Find Bead Edge Width

Defines the pixel distance (1 - 10; default = 3) over which an edge transition takes place. This setting helps filter noise from the image.

Closed Find Bead Minimum Contrast

Defines the minimum greyscale contrast transition (1 - 255; default = 10) to be considered an edge.

Closed Find Bead Edge Direction

Defines the direction in which the tool will attempt to detect edges, relative to the region (Left-to-Right, Right-to-Left, Center Outward or Outside In; default = Left-to-Right).

Closed Find Bead Edge0 Transition

Defines the transition of the first detected edge (Dark-to-Light, Light-to-Dark or Either; default = Either). For increased accuracy and speed, specify the type of transition.

Closed Find Bead Edge1 Transition

Defines the transition of the second detected edge (Dark-to-Light, Light-to-Dark or Either; default = Either). For increased accuracy and speed, specify the type of transition.

Closed Find Bead Rule:First Edge

Defines whether or not the first edge detected receives the highest consideration when determining whether or not an edge candidate meets the criteria to be considered an edge (by default, this setting is enabled).

Closed Find Bead Rule:Strongest Edge

Defines whether or not the edge with the strongest contrast transition receives the highest consideration when determining whether or not an edge candidate meets the criteria to be considered an edge (by default, this setting is enabled).

Closed Find Bead Contrast Upper Bound

Defines the upper limit of the edge contrast transition (2 - 255; default = 255) to be considered an edge; edges with an edge contrast transition above this value will have the same highest score.

Closed Find Bead Rule:Pair Size

Defines whether or not the edge pair detected with the size closest to the Pair Size parameter receives the highest consideration when determining whether or not an edge candidate meets the criteria to be considered an edge (by default, this setting is disabled).

Closed Find Bead Score Threshold

Defines a scoring threshold to filter out edges with scores (0 - 255; default = 10) lower than this value.

Closed Find Bead Calipers

Displays the total number of Calipers within the region.

Closed Find Bead Caliper Index

Defines which individual Caliper to isolate and display.

Closed Find Bead Show All Calipers

Defines whether or not all of the Calipers within the region are displayed at all times; by default, the Calipers are hidden.


Bead Finder Defect Detection Tool - Edges Tab

When the Edges tab is selected, the tool will display the location of the bead path in blue, all detected edges in green and the Calipers that define the polyline path, generated from the bead path location, in aqua. The aqua colored Calipers may only be adjusted through the Polyline Width parameter.You can adjust the Polyline Width, Caliper Size, Caliper Spacing and Minimum Contrast parameters, as needed, to isolate the desired edges.

Closed Polyline Width

Defines the width of the Calipers used to define the polyline (1 - 1920; default = 25).

Closed Caliper Size

Defines the number of pixels, per Caliper, that are to be analyzed along the direction of the inspection (1 - 639; default = 5).

Closed Caliper Spacing

Defines the distance, in pixels, between the end of one Caliper and the start of the next Caliper (-1 - 639; default = 0).

Closed Edge Width

Defines the pixel distance (1 - 10; default = 3) over which an edge transition takes place. This setting helps filter noise from the image.

Closed Minimum Contrast

Defines the minimum greyscale contrast transition (1 - 255; default = 10) to be considered an edge.

Closed Caliper Count

Displays the total number of Calipers within the region.

Closed Caliper Index

Defines which individual Caliper to isolate and display.

Closed Show All Calipers

Defines whether or not all of the Calipers within the region are displayed at all times; by default, the Calipers are hidden.


Bead Finder Defect Detection Tool - Edge Scoring Tab

When the Edge Scoring tab is selected, the tool will display all of the detected edge candidates (which are indicated by small, color coded circles) within the region; detected edges, outlined in dark green; the location of the bead as a blue polyline; the minimum and maximum widths of the bead as yellow lines; and any found defects or gaps.

Closed Find Edge Direction

Defines the direction in which the tool will attempt to detect edges, relative to the region (Left-to-Right, Right-to-Left, Center Outward or Outside In; default = Outside In).

Closed Edge0 Transition

Defines the transition of the first detected edge (Dark-to-Light, Light-to-Dark or Either; default = Either). For increased accuracy and speed, specify the type of transition.

Closed Edge1 Transition

Defines the transition of the second detected edge (Dark-to-Light, Light-to-Dark or Either; default = Either). For increased accuracy and speed, specify the type of transition.

Closed Rule:First Edge

Defines whether or not the first edge detected receives the highest consideration when determining whether or not an edge candidate meets the criteria to be considered an edge (by default, this setting is enabled).

Closed Rule:Strongest Edge

Defines whether or not the edge with the strongest contrast transition receives the highest consideration when determining whether or not an edge candidate meets the criteria to be considered an edge (by default, this setting is enabled).

Closed Contrast Upper Bound

Defines the upper limit of the edge contrast transition (2 - 255; default = 255) to be considered an edge; edges with an edge contrast transition above this value will have the same highest score.

Closed Rule:Pair Size

Defines whether or not the edge pair detected with the size closest to the Pair Size parameter receives the highest consideration when determining whether or not an edge candidate meets the criteria to be considered an edge (by default, this setting is disabled).

Closed Pair Size

Defines the edge pair size at which the highest score is achieved (1 - 1920; default = 5). When this parameter is enabled, edge pairs detected above or below this value are scored proportionally to this value. For example, if the Pair Size is set to 10, and two edge pair candidates are detected, one with a value of 8 and another with 14, the edge pair with a value of 8 would be selected because it is closer to the limit than the second edge pair. The Rule: Pair Size parameter must be ON to enable this parameter.

Closed Score Threshold

Defines a scoring threshold to filter out edges with scores (0 - 255; default = 10) lower than this value.


Bead Finder Defect Detection Tool - Defects Tab

When the Defects tab is selected, the tool will display graphics related to identifying and/or classifying errors in the part or object. The tool will display the location of the bead as a blue polyline, the minimum and maximum thickness of the bead with yellow lines and any detected defects and/or gaps.

Closed Min Width

Specifies that any width distance (0.001 - 1920; default = 3), in pixels, between detected edge pairs less than this value is not a defect.

Closed Max Width

Specifies that any width distance (0.001 - 1920; default = 1000), in pixels, between detected edge pairs greater than this value is not a defect.

Closed Size Enabled

Defines whether or not the tool will account for size defects (which account for the length along the edge); by default, this parameter is enabled.

Note: When Size Enabled and Area Enabled are both On, only defects which fail both conditions will be displayed.
Closed Min Size

Defines the minimum defect size (0.001 - 1920; default = 3), in pixels; continuous deviations from the polyline which are less than this value are not considered defects.

Closed Max Size

Defines the maximum defect size (0.001 - 1920; default = 1000), in pixels; continuous deviations from the polyline which are greater than this value are not considered defects.

Closed Area Enabled

Defines whether or not the tool will account for area defects; by default, this parameter is enabled. Area defects account for the length along the polyline and how far the defective edge is from the polyline.

Note: When Size Enabled and Area Enabled are both On, only defects which fail both conditions will be displayed.
Closed Min Area

Defines the minimum area defect (0.001 - 1000000; default = 10), in pixels; an area less than this value is not considered a defect.

Closed Max Area

Defines the maximum area defect (0.001 - 1000000; default = 1000000), in pixels; an area greater than this value is not considered a defect.


Bead Finder Defect Detection Tool - Gaps Tab

When the Gaps tab is selected, the tool will display graphics related to identifying and/or classifying errors in the part or object. The tool will display the location of the bead as a blue polyline, the minimum and maximum thickness of the bead with yellow lines and any detected defects and/or gaps.

Closed Find Gaps

Defines whether or not the tool will account for gaps in the found edge; by default, this parameter is disabled.

Closed Minimum Gap

Defines the minimum gap (0.001 - 1920; default = 3), in pixels; gaps less than this value are not considered to be gaps.

Closed Maximum Gap

Defines the maximum gap (0.001 - 1920; default = 1000), in pixels; gaps greater than this value are not considered to be gaps.

Closed Ignore End Gaps

Defines whether or not the tool will account for gaps detected at the beginning and end of the region; by default, this parameter is disabled.

Closed Result

Displays the total number of defects and/or gaps that were detected.


Bead Finder Defect Detection Tool - Statistics, Width Defects and Gaps Table Tabs

The Statistics table tab records data about the functioning of the tool over a period of time. The Width Defects and Gaps table tabs report the first 10 defects/gaps.

Closed Index

Refers to the order of the detected defects/gaps, sorted by position along the edge; 1 to 10 (numerical ordering in EasyBuilder is based on 0=1).

Closed X

Returns the X coordinate (if the Calibrated Units is selected and the image was calibrated in the Set Up Image step, otherwise it reports in pixel values) of the defect/gap's bounding rectangle.

Closed Y

Returns the Y coordinate (if the Calibrated Units is selected and the image was calibrated in the Set Up Image step, otherwise it reports in pixel values) of the defect/gap's bounding rectangle.

Closed Area

Returns the area of the defect/gap's bounding rectangle.

Closed Size

Returns the size (length) of the defect/gap along the edge.

Closed Calipers

Returns the range of Calipers that the defect/gap spans.

Closed Calibrated Units/Pixels

Defines whether or not the table displays results in real-world coordinates (Calibrated Units) or pixels (Pixels).

Note: The tool reports results in pixels, unless the image was calibrated to real-world units in Set Up Image.


Defect Detection Tools - Bead Tracker

The Bead Tracker Defect Detection Tool inspects the location, shape and width of a bead feature (defined by a pair of edges). Based on a user-created edge model of a bead feature, the tool uses edge analysis Caliper arrays to precisely locate edge features. Once the bead feature model has been created, during run-time operation, the tool compares the bead features in acquired images against the bead model to determine if the bead is in the correct position, and if there are deviations in the bead, such as defects or gaps, and reports the number of defects and/or gaps encountered.

Note:
  • The tool reports results in pixels, unless the image was calibrated to real-world units in Set Up Image.
  • All input values are in pixels, regardless if the tool was calibrated to real-world units.

The Bead Tracker Defect Detection Tool is useful in situations where you want to ensure that a bead feature, such as a welded bead, is in the same location and there aren't variations in the bead's shape or thickness.

Setting Up the Tool

Adjusting the Tool Parameters


Setting Up the Bead Tracker Defect Detection Tool

Once the tool has been added, you will need to select the type of region and then configure it in the image over the edge feature that you want to inspect:

  1. From the Region Type drop-down menu, select your region: Masked Region or Polyline Path. Position and configure the region within the image over the edge feature. When positioning the region, ensure that the edges are parallel to the region's search direction, and that the region encloses as much of the edge feature as possible, while also excluding unnecessary or unwanted noise from the region. When initially setting up the tool, use an image that contains the ideal edge feature. Subsequent image acquisitions will then contain edge candidates that will be examined to determine if there are deviations such as defects or gaps.

    Note: The dashed yellow line within the Masked Region defines the area within the region where edge transitions will be detected.

  2. Press the OK button to confirm the region (press the Cancel button to not add the tool to the job).

  3. After you have confirmed the region, select the various tabs, Train Bead, Edges, Edge Scoring, Defects, Gaps and Position, and adjust the parameters and region, as needed, to ensure that the tool is detecting the correct edge candidates and creating the correct polyline.
  4. Once the region and parameters have been properly adjusted, go the Train Bead tab and press the Train button to create the bead edge model. Subsequent image acquisitions will then be compared against the trained bead edge model.
  5. With the tool initially configured, load several images and adjust the tool's parameters, as needed, to compensate for your expected ranges and variations.
  6. Finally, if desired, use the tool's Input/Output properties to share tool data between other tools and/or other external devices.


Adjusting the Bead Tracker Defect Detection Tool Parameters

After the tool’s region has been positioned, you can optimize the tool for your application.

The settings pane of the Bead Tracker Defect Detection Tool consists of the following tabs:

  • General Tab
  • Train Bead
  • Edges Tab
  • Edge Scoring Tab
  • Defects Tab
  • Gaps Tab
  • Position Tab
  • Statistics, Width Defects, Gaps and Position Defects Table Tabs
Tip: Test your job, using TestRun. TestRun performs tests on the In-Sight vision system and compares the results of those tests against expected values. This will allow you to see whether or not the job is behaving as expected, or if you will need to adjust certain parameters for allowable variances.

General Tab

Train Bead Tab

Edges Tab

Edge Scoring Tab

Defects Tab

Position Tab

Statistics, Width Defects, Gaps and Position Defects Table Tabs

Gaps Tab


Bead Tracker Defect Detection Tool - General Tab

Closed Tool Name

Defines the name of your inspection tool, which will be utilized in configuring the results Inputs/Outputs and Communication); the default name is “BeadTracker_1” (if it is the first Bead Tracker Defect Detection Tool added to the job, otherwise it will be incremented, e.g. “BeadTracker_2”, “BeadTracker_3”, etc.). Customize your tool by giving it a name that is associated with your particular application.

Closed Tool Image

Defines which image the tool will utilize to perform its inspection; the unfiltered, acquired image (the default setting), or the output image of an Image Filter Tool. This control is only enabled if an Image Filter Tool has been added.

Closed Tool Fixture

Defines a fixture for the tool. This control is only enabled if another tool that defines a fixture has already been added.

Closed Tool Enabled

Defines when and whether or not the inspection tool should run (default setting is “On”). Select “Off” if you want to disable the tool; select "Expression" if you want to tie the tool's execution to the result of an Expression (this control is only enabled for tool's that provide an Expression parameter); or select an “Input” if you want the tool tied to a specific discrete input line, where it can be turned On or Off (a High signal, 1, is On, a Low signal, 0, is Off). Tying the tool to an input allows a control system, such as a PLC, to determine which tools should run.

Closed Region Type

Defines the type of region used to define the area of the image that undergoes analysis: Masked Region (default) or Polyline Path.

Closed Include in Job Pass

Defines whether or not the tool's pass/failure status should be included in the job's overall pass/fail status; by default, it is checked and will be included in the job's overall pass/fail status. Uncheck the check box to keep the tool's pass/failure status separate from the other tools in the job. This control should be unchecked if a tool is expected to fail; for example, if two PatMax Patterns Identification Tools were being used to determine whether or not the part was a right-hand or left-hand part, one of the tools would be expected to fail every time. This situation would result in the job failing every time, regardless of which side of the part was identified, were the checkbox checked.

Closed Execution Time (ms)

Displays the amount of time, in milliseconds, that the tool took to perform its inspection. This time may vary, depending upon the complexity of the scene in the image, as well as the position of the feature within the image, and the amount of variance allowed in the parameters.

Closed Description

A comment that describes the purpose of the tool (by default, the field is blank). Up to 255 alpha-numeric characters or 127 Asian language characters may be used.


Bead Tracker Defect Detection Tool - Train Bead Tab

When the Train Bead tab is selected, the tool will display graphics relevant to locating the bead feature. The tool will display all of the found edge candidates (which are indicated by small, color coded circles) within the region, the location of the bead as a blue polyline, and the region can be adjusted.

Closed Train Button

Defines the bead edge model. The Train button is used when configuring a bead edge model. Press the Train button after you have configured the tool's parameters and region to accentuate the relevant features of the bead edge model. After the bead edge model has been trained, the tool will compare the bead feature in acquired images against the trained bead edge model to determine if there are deviations, such as defects or gaps.

Note: The tool will result in a Fail until the bead edge model has been trained.
Closed Train Bead Caliper Size

Defines the number of pixels, per Caliper, that are to be analyzed along the direction of the inspection to find the bead feature (1 - 639; default = 8).

Closed Train Bead Caliper Spacing

Defines the distance, in pixels, between the end of one Caliper and the start of the next Caliper (-1 - 639; default = 0).

Closed Train Bead Edge Width

Defines the pixel distance (1 - 10; default = 3) over which an edge transition takes place. This setting helps filter noise from the image.

Closed Train Bead Minimum Contrast

Defines the minimum greyscale contrast transition (1 - 255; default = 10) to be considered an edge.

Closed Train Bead Edge Direction

Defines the direction in which the tool will attempt to detect edges, relative to the region (Left-to-Right, Right-to-Left, Center Outward or Outside In; default = Left-to-Right).

Closed Train Bead Edge0 Transition

Defines the transition of the first detected edge (Dark-to-Light, Light-to-Dark or Either; default = Either). For increased accuracy and speed, specify the type of transition.

Closed Train Bead Edge1 Transition

Defines the transition of the second detected edge (Dark-to-Light, Light-to-Dark or Either; default = Either). For increased accuracy and speed, specify the type of transition.

Closed Train Bead Rule:First Edge

Defines whether or not the first edge detected receives the highest consideration when determining whether or not an edge candidate meets the criteria to be considered an edge (by default, this setting is enabled).

Closed Train Bead Rule:Strongest Edge

Defines whether or not the edge with the strongest contrast transition receives the highest consideration when determining whether or not an edge candidate meets the criteria to be considered an edge (by default, this setting is enabled).

Closed Train Bead Contrast Upper Bound

Defines the upper limit of the edge contrast transition (2 - 255; default = 255) to be considered an edge; edges with an edge contrast transition above this value will have the same highest score.

Closed Train Bead Rule:Pair Size

Defines whether or not the edge pair detected with the size closest to the Pair Size parameter receives the highest consideration when determining whether or not an edge candidate meets the criteria to be considered an edge (by default, this setting is disabled).

Closed Train Bead Score Threshold

Defines a scoring threshold to filter out edges with scores (0 - 255; default = 10) lower than this value.

Closed Train Bead Calipers

Displays the total number of Calipers within the region.

Closed Train Bead Caliper Index

Defines which individual Caliper to isolate and display.

Closed Train Bead Show All Calipers

Defines whether or not all of the Calipers within the region are displayed at all times; by default, the Calipers are hidden.


Bead Tracker Defect Detection Tool - Edges Tab

When the Edges tab is selected, the tool will display the location of the bead path in blue, all detected edges in green and the Calipers that define the polyline path, generated from the bead path location, in aqua. The aqua colored Calipers may only be adjusted through the Polyline Width parameter.You can adjust the Polyline Width, Caliper Size, Caliper Spacing and Minimum Contrast parameters, as needed, to isolate the desired edges.

Closed Polyline Width

Defines the width of the Calipers used to define the polyline (1 - 1920; default = 25).

Closed Caliper Size

Defines the number of pixels, per Caliper, that are to be analyzed along the direction of the inspection (1 - 639; default = 5).

Closed Caliper Spacing

Defines the distance, in pixels, between the end of one Caliper and the start of the next Caliper (-1 - 639; default = 0).

Closed Edge Width

Defines the pixel distance (1 - 10; default = 3) over which an edge transition takes place. This setting helps filter noise from the image.

Closed Minimum Contrast

Defines the minimum greyscale contrast transition (1 - 255; default = 10) to be considered an edge.

Closed Caliper Count

Displays the total number of Calipers within the region.

Closed Caliper Index

Defines which individual Caliper to isolate and display.

Closed Show All Calipers

Defines whether or not all of the Calipers within the region are displayed at all times; by default, the Calipers are hidden.


Bead Tracker Defect Detection Tool - Edge Scoring Tab

When the Edge Scoring tab is selected, the tool will display all of the detected edge candidates (which are indicated by small, color coded circles) within the region; detected edges, outlined in dark green; the location of the bead as a blue polyline; the minimum and maximum widths of the bead as yellow lines; and any found defects or gaps.

Closed Find Edge Direction

Defines the direction in which the tool will attempt to detect edges, relative to the region (Left-to-Right, Right-to-Left, Center Outward or Outside In; default = Outside In).

Closed Edge0 Transition

Defines the transition of the first detected edge (Dark-to-Light, Light-to-Dark or Either; default = Either). For increased accuracy and speed, specify the type of transition.

Closed Edge1 Transition

Defines the transition of the second detected edge (Dark-to-Light, Light-to-Dark or Either; default = Either). For increased accuracy and speed, specify the type of transition.

Closed Rule:First Edge

Defines whether or not the first edge detected receives the highest consideration when determining whether or not an edge candidate meets the criteria to be considered an edge (by default, this setting is enabled).

Closed Rule:Strongest Edge

Defines whether or not the edge with the strongest contrast transition receives the highest consideration when determining whether or not an edge candidate meets the criteria to be considered an edge (by default, this setting is enabled).

Closed Contrast Upper Bound

Defines the upper limit of the edge contrast transition (2 - 255; default = 255) to be considered an edge; edges with an edge contrast transition above this value will have the same highest score.

Closed Rule:Pair Size

Defines whether or not the edge pair detected with the size closest to the Pair Size parameter receives the highest consideration when determining whether or not an edge candidate meets the criteria to be considered an edge (by default, this setting is disabled).

Closed Pair Size

Defines the edge pair size at which the highest score is achieved (1 - 1920; default = 5). When this parameter is enabled, edge pairs detected above or below this value are scored proportionally to this value. For example, if the Pair Size is set to 10, and two edge pair candidates are detected, one with a value of 8 and another with 14, the edge pair with a value of 8 would be selected because it is closer to the limit than the second edge pair. The Rule: Pair Size parameter must be ON to enable this parameter.

Closed Score Threshold

Defines a scoring threshold to filter out edges with scores (0 - 255; default = 10) lower than this value.


Bead Tracker Defect Detection Tool - Defects Tab

When the Defects tab is selected, the tool will display graphics related to identifying and/or classifying errors in the part or object. The tool will display the location of the bead as a blue polyline, the minimum and maximum thickness of the bead with yellow lines and any detected defects and/or gaps.

Closed Min Width

Specifies that any width distance (0.001 - 1920; default = 3), in pixels, between detected edge pairs less than this value is not a defect.

Closed Max Width

Specifies that any width distance (0.001 - 1920; default = 1000), in pixels, between detected edge pairs greater than this value is not a defect.

Closed Size Enabled

Defines whether or not the tool will account for size defects (which account for the length along the edge); by default, this parameter is enabled.

Note: When Size Enabled and Area Enabled are both On, only defects which fail both conditions will be displayed.
Closed Min Size

Defines the minimum defect size (0.001 - 1920; default = 10), in pixels; continuous deviations from the polyline which are less than this value are not considered defects.

Closed Max Size

Defines the maximum defect size (0.001 - 1920; default = 1000), in pixels; continuous deviations from the polyline which are greater than this value are not considered defects.

Closed Area Enabled

Defines whether or not the tool will account for area defects; by default, this parameter is enabled. Area defects account for the length along the polyline and how far the defective edge is from the polyline.

Note: When Size Enabled and Area Enabled are both On, only defects which fail both conditions will be displayed.
Closed Min Area

Defines the minimum area defect (0.001 - 1000000; default = 10), in pixels; an area less than this value is not considered a defect.

Closed Max Area

Defines the maximum area defect (0.001 - 1000000; default = 1000000), in pixels; an area greater than this value is not considered a defect.


Bead Tracker Defect Detection Tool - Position Tab

When the Position tab is selected, the tool will display graphics related to identifying and/or classifying position errors in the part or object.The tool will display the last trained location of the bead as a blue polyline, the minimum and maximum thickness of the bead with yellow lines and any detected defects and/or gaps.

Closed Position Defects Enabled

Defines whether or not position defects will be accounted for (by default, this parameter is enabled).

Closed Min Position Defect Distance

Defines the minimum value (0.001 to 1920; default = 3), in pixels, that an edge candidate may be from the center of the bead edge model and not be considered an error.

Closed Position Defect Size Enabled

Defines whether or not size criteria are also used to define position errors (by default, this parameter is enabled).Size errors are found along the length of the edge.

Note: When Size Enabled and Area Enabled are both On, only defects which fail both conditions will be displayed.
Closed Min Position Defect Size

Defines the minimum defect size (0.001 - 1920; default = 3), in pixels; continuous deviations from the polyline which are less than this value are not considered defects.

Closed Max Position Defect Size

Defines the maximum defect size (0.001 - 1920; default = 1000), in pixels; continuous deviations from the polyline which are greater than this value are not considered defects.

Closed Position Defect Area Enabled

Defines whether or not the tool will account for area defects; by default, this parameter is enabled. Area defects account for the length along the polyline and how far the defective edge is from the polyline.

Note: When Size Enabled and Area Enabled are both On, only defects which fail both conditions will be displayed.
Closed Min Position Defect Area

Defines the minimum area defect (0.001 - 1000000; default = 10), in pixels; an area less than this value is not considered a defect.

Closed Max Position Defect Area

Defines the maximum area defect (0.001 - 1000000; default = 1000000), in pixels; an area greater than this value is not considered a defect.

Closed Result

Displays the total number of defects, gaps and/or position errors that were detected.


Bead Tracker Defect Detection Tool - Statistics, Width Defects, Gaps and Position Defects Table Tabs

The Statistics table tab records data about the functioning of the tool over a period of time. The Width Defects, Gaps and Position Defects table tabs report the first 10 defects/gaps and position errors.

Closed Index

Refers to the order of the detected defects/gaps, sorted by position along the edge; 1 to 10 (numerical ordering in EasyBuilder is based on 0=1).

Closed X

Returns the X coordinate (if the Calibrated Units is selected and the image was calibrated in the Set Up Image step, otherwise it reports in pixel values) of the defect/gap's bounding rectangle.

Closed Y

Returns the Y coordinate (if the Calibrated Units is selected and the image was calibrated in the Set Up Image step, otherwise it reports in pixel values) of the defect/gap's bounding rectangle.

Closed Area

Returns the area of the defect/gap's bounding rectangle.

Closed Size

Returns the size (length) of the defect/gap along the edge.

Closed Calipers

Returns the range of Calipers that the defect/gap spans.

Closed Calibrated Units/Pixels

Defines whether or not the table displays results in real-world coordinates (Calibrated Units) or pixels (Pixels).

Note: The tool reports results in pixels, unless the image was calibrated to real-world units in Set Up Image.


Bead Tracker Defect Detection Tool - Gaps Tab

When the Gaps tab is selected, the tool will display graphics related to identifying and/or classifying errors in the part or object. The tool will display the location of the bead as a blue polyline, the minimum and maximum thickness of the bead with yellow lines and any detected defects and/or gaps.

Closed Find Gaps

Defines whether or not the tool will account for gaps in the found edge; by default, this parameter is enabled.

Closed Minimum Gap

Defines the minimum gap (0.001 - 1920; default = 3), in pixels; gaps less than this value are not considered to be gaps.

Closed Maximum Gap

Defines the maximum gap (0.001 - 1920; default = 1000), in pixels; gaps greater than this value are not considered to be gaps.

Closed Ignore End Gaps

Defines whether or not the tool will account for gaps detected at the beginning and end of the region; by default, this parameter is disabled.

Closed Result

Displays the total number of defects and/or gaps that were detected.


Calibration Tools - Robot

This tool is used to link a vision tool to a robot calibration function, and transform the pixel coordinates to robot poses and automatically create a calibration file in EasyBuilder.

Setting Up the Tool

Adjusting the Tool Parameters


Setting Up the Robot Calibration Tool

Tip: After constructing the calibration, it is recommended that you save the job file. For subsequent calibrations, you can simply load the calibration job, acquire the image and then auto export the updated calibration file to all of the jobs that reference this calibration file.

Once the tool has been added, you will need to define the input features (points, the origins of fixtures or the center of circular features) that will be used to construct the calibration:

  1. After adding the tool, EasyBuilder will examine your image and give you a selection of Smart Features (points, the origins of fixtures or the center of circular features) that it has automatically detected (highlighted in cyan), as well as any features that you have previously defined with another tool (highlighted in green). EasyBuilder will automatically insert a Circle Presence/Absence Tool for any circular features that were not previously defined.

  2. Select one of the features from the available features by clicking on it, at which point its color will change to magenta.

  3. After selecting the feature, press the OK button (press the Cancel button to not add the tool to the job).

  4. Save the job file.
  5. With the tool initially configured, adjust the tool's parameters, as needed.
  6. Finally, if desired, use the tool's Input/Output properties to share tool data between other tools and/or other external devices.


Adjusting the Robot Calibration Tool Parameters

After the tool has been added to your job, you can begin customizing and fine-tuning the tool for your application.

The settings pane of the Robot Calibration Tool consists of the following:

  • General Tab
  • Settings Tab

General Tab

Settings Tab


Robot Calibration Tool - General Tab

Closed Tool Name

Defines the name of your inspection tool, which will be utilized in configuring the results (Set Up Image, Inputs/Outputs and Communication); the default name is “Calib_1” Customize your tool by giving it a name that is associated with your particular application. You can add only one Robot Tool to a job.

Closed Tool Enabled

Defines when and whether or not the inspection tool should run (default setting is “On”). Select “Off” if you want to disable the tool; select "Expression" if you want to tie the tool's execution to the result of an Expression (this control is only enabled for tool's that provide an Expression parameter); or select an “Input” if you want the tool tied to a specific discrete input line, where it can be turned On or Off (a High signal, 1, is On, a Low signal, 0, is Off). Tying the tool to an input allows a control system, such as a PLC, to determine which tools should run.

Closed Include in Job Pass

Defines whether or not the tool's pass/failure status should be included in the job's overall pass/fail status; by default, it is checked and will be included in the job's overall pass/fail status. Uncheck the check box to keep the tool's pass/failure status separate from the other tools in the job. This control should be unchecked if a tool is expected to fail; for example, if two PatMax Patterns Identification Tools were being used to determine whether or not the part was a right-hand or left-hand part, one of the tools would be expected to fail every time. This situation would result in the job failing every time, regardless of which side of the part was identified, were the checkbox checked.

Closed Execution Time (ms)

Displays the amount of time, in milliseconds, that the tool took to perform its inspection. This time may vary, depending upon the complexity of the scene in the image, as well as the position of the feature within the image, and the amount of variance allowed in the parameters.

Closed Description

A comment that describes the purpose of the tool (by default, the field is blank). Up to 255 alpha-numeric characters or 127 Asian language characters may be used.


Robot Calibration - Setting Tab

Closed File Name

Defines the robot calibration file name (default is Default).

Closed Full Name

Displays the full name of the robot calibration file, with a .CXD extension.

Closed Append Date/Time

Mark this check box if you want to include the current date and time in the file name.


Calibration Tools - N Point

The N Point Calibration Tool is used to construct a calibration file, using 2 to 16 input features and their associated real-world coordinates.This calibration file can be exported and applied as a Calibration Type in the Set Up Image step and used in other jobs.

Tip: After constructing the calibration, it is recommended that you save the job file. For subsequent calibrations, you can simply load the calibration job, acquire the image and then auto export the updated calibration file to all of the jobs that reference this calibration file.

This tool is useful in situations where you have a part or object of known real-world dimensions, such as from a CAD drawing, and want to apply those values as a calibration. In this type of application, an image of the part or object is acquired by the In-Sight vision system, and the real-world values are associated with the image pixel coordinates. Stored on the vision system's local file system, this allows the resulting calibration to be applied to other jobs.

Note:
  • This tool requires other Location and/or Inspection Tools to be used as inputs to define the points for the calibration. Assemble the necessary Location and/or Inspection Tools that will be used as inputs before adding this tool.
  • When using an N Point or Sequential N Point Calibration Tool, the physical and optical set-up (the lens, vision system and the physical relationship between the vision system and the scene being acquired) must be the same for both the calibration and run-time operation. If any of these items is altered, the system must be re-calibrated. Therefore, it is recommended that the same vision system and lens be used to both calibrate and process the run-time images. The vision system and lens must also retain their original set-up and calibration settings. For example, changing the acquisition format (by altering the resolution) or moving the vision system will invalidate the computed 2D transformation that maps pixel to real-world coordinates.

Setting Up the Tool

Adjusting the Tool Parameters


Setting Up the N Point Calibration Tool

Tip: After constructing the calibration, it is recommended that you save the job file. For subsequent calibrations, you can simply load the calibration job, acquire the image and then auto export the updated calibration file to all of the jobs that reference this calibration file.

Once the tool has been added, you will need to define the input features (points, the origins of fixtures or the center of circular features) that will be used to construct the calibration:

  1. After adding the tool, EasyBuilder will examine your image and give you a selection of Smart Features (points, the origins of fixtures or the center of circular features) that it has automatically detected (highlighted in cyan), as well as any features that you have previously defined with another tool (highlighted in green). EasyBuilder will automatically insert a Circle Presence/Absence Tool for any circular features that were not previously defined.

  2. First select one of the features from the available features by clicking on it, at which point its color will change to magenta.

  3. Next, select the rest of the features that will be used to define the calibration. A minimum of two input features and a maximum of sixteen may be selected.

  4. After selecting all of your desired features, press the OK button (press the Cancel button to not add the tool to the job).

  5. Once the tool has been successfully added and the input features defined, you will need to define the real-world measurement values for each input feature. In the Points Table, select a point and then enter its associated real-world measurement values in the World X and World Y fields by either manually entering the number or incrementing/decrementing the controls.
  6. Save the job file.
  7. In the Settings tab, press the Export button to place the calibration file in the In-Sight vision system's local file system. This also enables the calibration to be selected as an Import option in the Calibration Type setting of the Set Up Image step.
  8. With the tool initially configured, load several images and adjust the tool's parameters, as needed, to compensate for your expected ranges of variations.
  9. Finally, if desired, use the tool's Input/Output properties to share tool data between other tools and/or other external devices.


Adjusting the N Point Calibration Tool Parameters

After the tool has been added to your job, you can begin customizing and fine-tuning the tool for your application.

The settings pane of the N Point Calibration Tool consists of the following:

  • General Tab
  • Settings Tab
  • Points Table
Tip: Test your job, using TestRun. TestRun performs tests on the In-Sight vision system and compares the results of those tests against expected values. This will allow you to see whether or not the job is behaving as expected, or if you will need to adjust certain parameters for allowable variances.

General Tab

Settings Tab

Points Table


N Point Calibration Tool - General Tab

Closed Tool Name

Defines the name of your inspection tool, which will be utilized in configuring the results (Set Up Image, Inputs/Outputs and Communication); the default name is “Calib_1” (if it is the first Calibration Tool added to the job, otherwise it will be incremented, e.g. “Calib_2”, “Calib_3”, etc.). Customize your tool by giving it a name that is associated with your particular application.

Closed Tool Enabled

Defines when and whether or not the inspection tool should run (default setting is “On”). Select “Off” if you want to disable the tool; select "Expression" if you want to tie the tool's execution to the result of an Expression (this control is only enabled for tool's that provide an Expression parameter); or select an “Input” if you want the tool tied to a specific discrete input line, where it can be turned On or Off (a High signal, 1, is On, a Low signal, 0, is Off). Tying the tool to an input allows a control system, such as a PLC, to determine which tools should run.

Closed Include in Job Pass

Defines whether or not the tool's pass/failure status should be included in the job's overall pass/fail status; by default, it is checked and will be included in the job's overall pass/fail status. Uncheck the check box to keep the tool's pass/failure status separate from the other tools in the job. This control should be unchecked if a tool is expected to fail; for example, if two PatMax Patterns Identification Tools were being used to determine whether or not the part was a right-hand or left-hand part, one of the tools would be expected to fail every time. This situation would result in the job failing every time, regardless of which side of the part was identified, were the checkbox checked.

Closed Execution Time (ms)

Displays the amount of time, in milliseconds, that the tool took to perform its inspection. This time may vary, depending upon the complexity of the scene in the image, as well as the position of the feature within the image, and the amount of variance allowed in the parameters.

Closed Description

A comment that describes the purpose of the tool (by default, the field is blank). Up to 255 alpha-numeric characters or 127 Asian language characters may be used.


N Point Calibration Tool - Settings Tab

Closed File Name

Defines the calibration file name (default name is Default).

Closed Full Name

Displays the full file name of the calibration file which appears in the Set Up Image step when the Calibration Type is configured to Import. The file must be exported before appearing in the Set Up Image step.

Closed Export

Exports the calibration file to the In-Sight vision system's local file system.

Closed Auto Export

Defines whether or not the calibration file should be automatically exported on the first trigger after the job file is loaded or an image is acquired. When enabled (checked), the tool will automatically export its calibration file on the first trigger after the job file is loaded or an image is acquired (by default this setting is disabled/unchecked).

Note: If Auto Export is enabled, the job file containing the calibration data must first be saved before the calibration file will be exported. If after saving the job file the calibration file does not appear in the In-Sight Files pane, click on another In-Sight vision system or emulator and then return and select the desired vision system. The file should now appear.


N Point Calibration Tool - Points Table

The Pixel and Real-World Coordinate Points Table is used to display and define the real-world coordinate values for the calibration.

Closed Point

Displays a read-only indexed list of the found points, from 1 to 16 (numerical ordering in EasyBuilder is based on 0=1).

Closed Pixel Row

Displays the point's pixel row (X) location.

Closed Pixel Column

Displays the point's image column (X) coordinate.

Closed World X

Displays the point's real-world X coordinate value.

Closed World Y

Displays the point's real-world Y coordinate value.

Closed World X

Defines the real-world X coordinate value for the selected point.

Closed World Y

Defines the real-world Y coordinate value for the selected point.

Closed Select Points

Enables the selection of input features as points. After pressing this button, EasyBuilder will examine your image and give you a selection of Smart Features (points, the origins of fixtures or the center of circular features) that it has automatically detected (highlighted in cyan), as well as any features that you have previously defined with another tool (highlighted in green). Select one of the features from the available features by clicking on it, at which point its color will change to magenta.


Calibration Tools - Sequential N Point

The Sequential N Point Calibration Tool is used to construct a calibration file, using an input feature and its associated real-world coordinates, over sequential image acquisitions.This calibration file can be exported and applied as a Calibration Type in the Set Up Image step and used in other jobs.

Tip: After constructing the calibration, it is recommended that you save the job file. For subsequent calibrations, you can simply load the calibration job, acquire the image and then auto export the updated calibration file to all of the jobs that reference this calibration file.

This tool is useful in situations where you are calibrating an In-Sight vision system and a robot's coordinate system. In this type of application, the robot controller presents an object to the vision system at different locations, one location and image acquisition at a time. With each acquisition, a point is added to the calibration table. Once the robot has visited each location and each point has been saved, the calibration file can be exported and the job file saved.

Note:
  • This tool requires other Location and/or Inspection Tools to be used as inputs to define the points for the calibration. Assemble the necessary Location and/or Inspection Tools that will be used as inputs before adding this tool.
  • When using an N Point or Sequential N Point Calibration Tool, the physical and optical set-up (the lens, vision system and the physical relationship between the vision system and the scene being acquired) must be the same for both the calibration and run-time operation. If any of these items is altered, the system must be re-calibrated. Therefore, it is recommended that the same vision system and lens be used to both calibrate and process the run-time images. The vision system and lens must also retain their original set-up and calibration settings. For example, changing the acquisition format (by altering the resolution) or moving the vision system will invalidate the computed 2D transformation that maps pixel to real-world coordinates.

Setting Up the Tool

Adjusting the Tool Parameters


Setting Up the Sequential N Point Calibration Tool

Tip: After constructing the calibration, it is recommended that you save the job file. For subsequent calibrations, you can simply load the calibration job, acquire the image and then auto export the updated calibration file to all of the jobs that reference this calibration file.

Once the tool has been added, you will need to define the input feature (point, the origin of a fixture or the center of a circular feature) that will be used to construct the calibration:

  1. After adding the tool, EasyBuilder will examine your image and give you a selection of Smart Features (points, the origins of fixtures or the center of circular features) that it has automatically detected (highlighted in cyan), as well as any features that you have previously defined with another tool (highlighted in green). EasyBuilder will automatically insert a Circle Presence/Absence Tool for any circular features that were not previously defined.
  2. Select one of the features from the available features by clicking on it, at which point its color will change to magenta.
  3. After selecting your desired feature, press the OK button (press the Cancel button to not add the tool to the job).
  4. From the Settings tab, define the Number of Points parameter by specifying how many points/acquisitions will define the calibration.
  5. Move the robot controller to the next location and acquire an image of the point in its new location. Continue this process until all of the points have been acquired.
  6. Once the points have been successfully added, you will need to define the real-world measurement values for the points. In the Points Table, select a point and then enter its associated real-world measurement values in the World X and World Y fields by either manually entering the number or incrementing/decrementing the controls.
  7. Press the Export button in the Settings tab to place the calibration file in the In-Sight vision system's local file system. This also enables the calibration to be selected as an Import option in the Calibration Type setting of the Set Up Image step.
  8. With the tool initially configured, load several images and adjust the tool's parameters, as needed, to compensate for your expected ranges of variations.
  9. Finally, if desired, use the tool's Input/Output properties to share tool data between other tools and/or other external devices.


Adjusting the Sequential N Point Calibration Tool Parameters

After the tool has been added to your job, you can begin customizing and fine-tuning the tool for your application.

The settings pane of the Sequential N Point Calibration Tool consists of the following:

  • General Tab
  • Settings Tab
  • Points Table
Tip: Test your job, using TestRun. TestRun performs tests on the In-Sight vision system and compares the results of those tests against expected values. This will allow you to see whether or not the job is behaving as expected, or if you will need to adjust certain parameters for allowable variances.

General Tab

Settings Tab

Points Table


Sequential N Point Calibration Tool - General Tab

Closed Tool Name

Defines the name of your inspection tool, which will be utilized in configuring the results (Inputs/Outputs and Communication); the default name is “Calib_1” (if it is the first Calibration Tool added to the job, otherwise it will be incremented, e.g. “Calib_2”, “Calib_3”, etc.). Customize your tool by giving it a name that is associated with your particular application.

Closed Tool Enabled

Defines when and whether or not the inspection tool should run (default setting is “On”). Select “Off” if you want to disable the tool; select "Expression" if you want to tie the tool's execution to the result of an Expression (this control is only enabled for tool's that provide an Expression parameter); or select an “Input” if you want the tool tied to a specific discrete input line, where it can be turned On or Off (a High signal, 1, is On, a Low signal, 0, is Off). Tying the tool to an input allows a control system, such as a PLC, to determine which tools should run.

Closed Include in Job Pass

Defines whether or not the tool's pass/failure status should be included in the job's overall pass/fail status; by default, it is checked and will be included in the job's overall pass/fail status. Uncheck the check box to keep the tool's pass/failure status separate from the other tools in the job. This control should be unchecked if a tool is expected to fail; for example, if two PatMax Patterns Identification Tools were being used to determine whether or not the part was a right-hand or left-hand part, one of the tools would be expected to fail every time. This situation would result in the job failing every time, regardless of which side of the part was identified, were the checkbox checked.

Closed Execution Time (ms)

Displays the amount of time, in milliseconds, that the tool took to perform its inspection. This time may vary, depending upon the complexity of the scene in the image, as well as the position of the feature within the image, and the amount of variance allowed in the parameters.

Closed Description

A comment that describes the purpose of the tool (by default, the field is blank). Up to 255 alpha-numeric characters or 127 Asian language characters may be used.


Sequential N Point Calibration Tool - Settings Tab

Closed Number of Points

Defines the number of points to be acquired (2 to 16; default is 12).

Closed Reset

Resets the acquisition count to 0.

Closed Online Reset

Defines whether or not the acquisition count should be reset when the In-Sight vision system is placed Online. By default, this option is disabled (unchecked).

Closed Job Load Reset

Defines whether or not the acquisition count should be reset when the job file is loaded. By default, this option is enabled (checked).

Closed File Name

Defines the calibration file name (default name is Default).

Closed Full Name

Displays the full file name of the calibration file which appears in the Set Up Image step when the Calibration Type is configured to Import. The file must be exported before appearing in the Set Up Image step.

Closed Export

Exports the calibration file to the In-Sight vision system's local file system.

Closed Auto Export

Defines whether or not the calibration file should be automatically exported on the first trigger after the job file is loaded or an image is acquired. When enabled (checked), the tool will automatically export its calibration file on the first trigger after the job file is loaded or an image is acquired (by default this setting is disabled/unchecked).

Note: If Auto Export is enabled, the job file containing the calibration data must first be saved before the calibration file will be exported. If after saving the job file the calibration file does not appear in the In-Sight Files pane, click on another In-Sight vision system or emulator and then return and select the desired vision system. The file should now appear.
Closed Result

Displays the tool's Pass/Fail status.


Sequential N Point Calibration Tool - Points Table

The Pixel and Real-World Coordinate Points Table is used to display and define the real-world coordinate values for the calibration.

Closed Point

Displays a read-only indexed list of the found points, from 1 to 16 (numerical ordering in EasyBuilder is based on 0=1).

Closed Pixel Row

Displays the point's pixel row (X) location.

Closed Pixel Column

Displays the point's image column (X) coordinate.

Closed World X

Displays the point's real-world X coordinate value.

Closed World Y

Displays the point's real-world Y coordinate value.

Closed World X

Defines the real-world X coordinate value for the selected point.

Closed World Y

Defines the real-world Y coordinate value for the selected point.

Closed Select Points

Enables the selection of input features as points. After pressing this button, EasyBuilder will examine your image and give you a selection of Smart Features (points, the origins of fixtures or the center of circular features) that it has automatically detected (highlighted in cyan), as well as any features that you have previously defined with another tool (highlighted in green). Select one of the features from the available features by clicking on it, at which point its color will change to magenta.


Inputs/Outputs

The Inputs/Outputs step is used to define the settings of the discrete input and output lines of supported In-Sight vision systems and I/O modules. You can customize the name of the line, set the signal type, select the edge transition and tool results of the signal, and force inputs or outputs to test your application.

  • Configuring Input and Output Lines
    • I/O Module Configuration
    • Number of Input and Output Lines
    • Default Input and Output Lines
    • Output Details Dialog Controls
  • Inputs: Loading a Job File
  • Inputs: Turning Location and Inspection Tools On and Off
  • Inputs: Triggering Image Acquisition
  • Inputs: Training a Model Pattern over an Input Line
  • Outputs: Signaling a Missed Image Acquisition
  • Outputs: Triggering a Light for Image Acquisition
  • Outputs: Setting a Line to a Location or Inspection Tool Result
Note:
  • This Application Step is disabled when using an Emulator. For more information, see Changing the Local Emulator Mode
  • Before configuring input or output lines, note if your output device is PNP (current sourcing) or NPN (current sinking), and make sure the device is connected correctly to the In-Sight sensor or I/O module. Please consult the applicable In-Sight sensor or I/O module installation manual for more information.

Configuring Input and Output Lines

How To...


Configuring Input and Output Lines

  1. Optionally, press the I/O Module button to open the I/O Module Configuration dialog. Configure the I/O module and press the OK button to close the I/O Module Configuration dialog. After the first successful connection between the vision system and the I/O module, an "(attached)" message is displayed next to the I/O module in the list. After you have successfully connected to an I/O Module, you can begin customizing the lines.
  2. Select an input or output line to configure. The number of accessible inputs and outputs varies per In-Sight model and applicable I/O module. Please see this topic for more information.
  3. In-Sight 7000 Gen2 Series and 9912 only: If the line supports a bi-directional I/O, select Input or Output from the Direction drop-down.
  4. You can customize the default line Name by entering a new name specific to your application. The name may include up to 15 bytes, for reference purposes only; it does not change the functionality of the line and cannot be referenced.

  5. Next, define a Signal Type for the selected input line. Each line can be configured for one of the following functions:

    Input Signal Type Description
    User Data

    General-purpose input line; used to turn Location and Inspection Tools On or Off.

    Reset Counters

    Resets the EasyBuilder counters (Job.Fail_Count, Job.Inspection_Count, Job.Pass_Count, <Tool>.Error_Count, <Tool>.Fail_Count and <Tool>.Pass_Count) to 0.

    Note:
    • This Signal Type only works when the vision system is Online.
    • Only one input line can be configured for Reset Counters.
    • When a new job is created after setting one of the input lines to Reset Counters, the new job automatically reverts the input line to Event Trigger (blank, when using the In-Sight 2000 series vision sensor).

    Event Trigger

    Triggers an event, through logic created in the Spreadsheet View. For an Event Trigger to update the spreadsheet, the spreadsheet must contain an Event structure with its Trigger parameter set to this discrete input line number. For more information, see Event.

    Note:
    • This Signal Type only works when the vision system is Online.
    • This option requires access to the Spreadsheet View; except when used to train a Model pattern over an input line.

    Job ID Number

    Provides one bit of a Job ID Number, which is loaded when the State of a different input line with a Type of Job Load Switch is ON.

    Note:
    • To use the Job ID Number function, the job to be loaded must be saved with a numerical prefix of 0 to 127.
    • The least significant bit of the Job ID Number corresponds to the lowest numbered discrete input line on your I/O module.

    Online/Offline

    Forces the In-Sight vision system Offline or Online (0 = Offline, and 1 = Online).This input type may not be used on more than one input line simultaneously.

    Note: When the Signal Type is set to Online, the vision system may still be Offline if it has been set Offline manually in the In-Sight Explorer user interface or a Native Mode Set Online command, SO0, has been issued telling the vision system to go Offline. For more information, see SetOnline.

    Acquisition Trigger
    (Not supported on In-Sight 2000 series sensors or the CIO-1400)

    Triggers the vision system to acquire an image. This input type may not be used on more than one input line simultaneously.

    Note:
    • The Trigger parameter in the Edit Acquisition Settings group box must be set to External to use the Acquisition Trigger input and a signal line must be physically connected to the input of the In-Sight vision system to use the Acquisition Trigger input.
    • Faster trigger rates can be achieved by using the vision system's built-in acquisition trigger input (by setting the Trigger to Camera) versus triggering the vision system with a general-purpose input line configured as an Acquisition Trigger (by setting the Trigger to External).
    • If the Trigger parameter is set to External and an acquisition is missed, the ERR: Missed Acquisition output will not be sent from the vision system; the ERR: Missed Acquisition signal is only supported when the Trigger parameter is set to Camera.

    Job Load Switch

    ON reads all Job ID Number lines and loads the specified job.This input type may not be used on more than one input line simultaneously.

    Note: The vision system must be Offline.

    Job Change (Pulsed)

    (Only supported on In-Sight 2000 series sensors using Direct I/O)

    Initiates a job change based on the detection of input pulses, differentiated by the width of the pulses. The pulses are generated by an external device (such as a PLC), and sent to the In-Sight 2000 sensor. First, the external device issues a start pulse. Next, the external device issues count pulses, with a pulse gap between each count pulse. Finally, the external devices issue a stop pulse.

    Pulse Type | Pulse Length
    Start Pulse | 20ms (±2ms)
    Count Pulse | 10ms (±1ms)
    Pulse Gap | 10ms (± 1ms)
    Stop Pulse | 20ms (±2ms)

    When all pulses and pulse gaps match the specified pulse lengths, the job change request is successful, and the job is loaded to the sensor. If any of the conditions fail (i.e., an incorrect pulse or incorrect pulse gap timing), the job change request fails, and no job change takes place.

    Note:
    • This Signal Type only works when the vision system is Online.
    • To use the Job Change (Pulsed) function, you must have at least one job saved, and the job must be saved with a numerical prefix of 0 to 31 in the format of #jobfilename.job (e.g., 1PinInspection.job). The number of count pulses issued must correspond with the numerical prefix of the job to be loaded.
    • The SetSystemConfig("PulseJobChangeTiming") Native Mode command can be used to configure the pulse widths of the Start Pulse, Count Pulse, Pulse Gap and Stop Pulse. For more information, see PulseJobChangeTiming.
    • Optionally, a discrete output line can be configured as a Job Load OK or Job Load Failed type to pulse the output, and report the success or failure of the job change request.

    Serial Receive
    (Direct I/O Only)

    Configures this line as a serial reception line.

    Note:
    • This Signal Type is only valid for input line 1 when Direct I/O is selected.
    • There are two options for enabling serial communication for the In-Sight 70xx - 74xx series vision system: using the Breakout cable or using the CIO-MICRO or CIO-MICRO-CC I/O module. When connected to the Breakout cable (and there is no connection to an I/O module), the vision system allows one discrete input line and one discrete output line to be configured as Serial Receive and Serial Transmit, respectively. For more information, see Enable Serial Communication: In-Sight 70xx - 74xx.
    • If the In-Sight 70xx - 74xx series vision system is configured for use with the CIO-MICRO or CIO-MICRO-CC I/O module, the RS-232 TRANSMIT and RS-232 RECEIVE pins on the Breakout cable are disabled. Use the I/O module's RS-232 OUT port (DB9) to connect to a serial device.

  6. Select an Edge Type for the selected input line, which controls the sensitivity of the input line to edge transitions.

    • Rising Edge: Changes the state of the input line on the leading edge of a pulse.
    • Falling Edge: Changes the state of the input line on the falling edge of a pulse.
    • Both Edges: Changes the state of the input line on the leading edge and falling edge of a pulse. This option is only available when Event Trigger is the selected Type.

  7. Next, define a Signal Type for the selected output line. Each line can be configured for one of the following functions:

    Output Signal Type | Description
    Job Result (default) | Enables a Location or Inspection Tool's result to control the State of this output line. Either pulsed or steady-state.
    High | Forces the output to HIGH (1).
    Low | Forces the output to LOW (0).
    Acquisition Start

    Signals the vision system has initiated an acquisition. Always pulsed.

    Note: For the In-Sight 8405 vision system, the Acquisition Start signal is pulsed when the first pixel row is exposed. . For more information, see In-Sight 8405 Rolling Shutter Operation.
    Acquisition End

    Signals the completion of vision system acquisition. Always pulsed.

    Note: For the In-Sight 8405 vision system, the Acquisition End signal is pulsed when the total image readout is complete. . For more information, see In-Sight 8405 Rolling Shutter Operation.
    Job Completed | Signals each time EasyBuilder has completed an update. Always pulsed.
    System Busy | HIGH when the vision system is running a job or responding to user input, LOW when the vision system is idle..
    Job Load OK | Signals the job loaded successfully. Always pulsed.
    Job Load Fail | Signals the failure of a job load. Always pulsed.
    ERR: Missed Acquisition

    Signals that an acquisition trigger was received before an Acquisition End signal was sent, or that no image buffer was available for image acquisition when an acquisition trigger was received. Always pulsed. For more information, see Image Buffers Dialog.

    Note: The Trigger parameter in the Edit Acquisition Settings group box of the Set Up Image step must be set to Camera to use the ERR: Missed Acquisition output.
    ERR: Tracking Overrun

    Signals that EasyBuilder issued a delayed discrete output signal sometime after the time it was expected. Always pulsed.

    Note: This signal is not supported on CIO-1400 and CIO-MICRO.
    ERR: Tracking Queue Full | Signals that EasyBuilder issued a delayed discrete output for a line where a different output had been previously scheduled to occur at the same time. Always pulsed.
    Online/Offline | HIGH (1) when the vision system is Online, LOW (0) when the vision system is Offline.
    Strobe | The rising or falling edge of the signal can be used to trigger a strobe.
    Light Control
    (CIO-1460 Only)     		The rising or falling edge of the signal can be used to trigger a light.
    I/O Module Standby
    (CIO-1450 and CIO-1460 Only)

    ON means that the I/O module has detected a communication error between the vision system and the I/O module, and is trying to re-establish communication. The line turns OFF when the I/O module detects that the error condition has been corrected.

    Note: This output type is only valid for lines 0 - 7 when configuring the CIO-1450 or CIO-1460.
    Lifeline
    (CIO-MICRO and CIO-MICRO-CC Only)     		HIGH when the vision system is actively connected to the CIO-MICRO or CIO-MICRO-CC. LOW when the connection with the vision system fails.
    Waveform

    Enables a Waveform function, WriteWaveformPulseTrain or WriteWaveformClocked, in the spreadsheet to control the State of this output line.

    Note: This option requires access to the Spreadsheet View.
    Serial Transmit

    Configures the line as a serial transmission line.

    Note:
    • Serial Transmit is only available when connecting to an In-Sight 70xx - 74xx series vision system with In-Sight Explorer 4.7.1 or later, and using In-Sight 4.7.1 or later firmware.
    • This output type is only valid for output line 1 when Direct I/O is selected.
    • There are two options for enabling serial communication for the In-Sight 70xx - 74xx series vision system: using the Breakout cable or using the CIO-MICRO or CIO-MICRO-CC I/O module. When connected to the Breakout cable (and there is no connection to an I/O module), the vision system allows one discrete input line and one discrete output line to be configured as Serial Receive and Serial Transmit, respectively. For more information, see Enable Serial Communication: In-Sight 70xx - 74xx.
    Job Pass/Fail (In-Sight 7000 Gen2 Series and In-Sight 9000 Series Only) | When selected, the vision system's Pass/Fail LED and indicator ring illuminate green (pass) or red (fail) based on the current state of the overall Job Pass/Fail status.
  8. Press the Details button to open the Output Details dialog for the selected output Line, if detailed settings are available for the specified output Signal Type.

  9. Optionally, check the De-Energize Outputs While Offline checkbox to de-energize the outputs when the vision system is placed Offline.

    Note: If the De-Energize Outputs While Offline checkbox is checked and the CIO-MICRO or CIO-MICRO-CC I/O module has an output line configured as a LifeLine signal type, the line will remain HIGH when the connected vision system is placed Offline.
  10. Optionally, use the Force option to test or debug your application, prior to or after deployment. The Force option overrides the defined line settings, allowing you to "force" an input or output line On, to test the result while the In-Sight sensor is Online.
    1. Choose the line you would like to test.
    2. Set the Force setting to On. This action will "force" the line to perform its configured action.
    3. Place the vision system Online and trigger the vision system.

    4. Once you have finished testing the line, place the vision system Offline and set the Force setting to Off or None.

    Note:
    • For output lines, the Force functionality does not generate an actual output. It only changes the value of an output that would otherwise happen.
    • If you simply want to test the electrical connection on your output line, it is better to set the output line to "HIGH" or "LOW" instead of using Force, and then set the vision system Online. This will hold the output signal high or low as long as the vision system is switched to Online mode. You may then use a multimeter to determine whether your electrical path is working as expected.
  11. Any changes made to these settings are automatically saved to the vision system (not in the .job file) when you leave the step.

I/O Module Configuration

Number of Input and Output Lines

Default Input and Output Lines

Output Details Dialog Controls


I/O Module Configuration

Closed Configuring the CIO-1400, CIO-1450 or CIO-1460
  1. Connect to a supported vision system from In-Sight Explorer.
  2. Open the I/O Module Configuration dialog.
  3. Select CIO-1400, CIO-1450 or CIO-1460 from the Select I/O Module drop-down list.
  4. Click OK to close the dialog.
Closed Configuring the CIO-MICRO or CIO-MICRO-CC
  1. Connect to a supported vision system from In-Sight Explorer.
  2. Open the I/O Module Configuration dialog.
  3. Select CIO-MICRO or CIO-MICRO-CC from the Select I/O Module drop-down list.

  4. Select the appropriate I/O module from the Connect To drop-down list.

    Note: If the I/O module's host name is not displayed in the list, select <Connect by IP Address> and manually enter the I/O module's IP address.

  5. In the Update Time field, specify the time interval required for input and output synchronization (1ms - 500ms; default = 20ms) between the In-Sight Micro vision system and the CIO-MICRO or CIO-MICRO-CC I/O module.

    Note: If excess output signal latency is a problem, decrease the Update Time. However, decrease the Update Time as little as necessary for your application; as the Update Time is decreased, job execution time may be increased.
  6. Optionally, click the Change Settings... button to configure the I/O module's network settings.

    • By default, the In-Sight CIO-MICRO and CIO-MICRO-CC I/O modules are configured dynamically by the DHCP server on startup. A new host name can be assigned, but all other fields in the dialog are disabled.

      Note: If no DHCP server is available, the I/O module times out and binds to a link-local IP address.
    • A static IP address can be used for the CIO-MICRO and CIO-MICRO-CC by un-checking the Use DHCP Server checkbox and setting the appropriate network settings in the IP Address, Subnet Mask, Default Gateway, DNS Server, and Domain Name fields.
  7. Click OK to close the dialog.
Closed Configuring the CIO-WENET

Before the CIO-WENET I/O module can be configured in In-Sight Explorer, you will first need to assign an IP address to the module. Once the IP address is assigned to the module, it can be configured in In-Sight Explorer:

  1. Connect to a supported vision system from In-Sight Explorer.
  2. Open the I/O Module Configuration dialog.
  3. Select CIO-WENET from the Select I/O Module drop-down list.
  4. In the IP Address field, specify the IP address that you previously assigned to the CIO-WENET.

  5. In the Update Time field, specify the time interval required for input and output synchronization (1ms - 500ms; default = 20ms) between the In-Sight Micro vision system and the CIO-WENET I/O module.

    Note:
    • If excess output signal latency is a problem, decrease the Update Time. However, decrease the Update Time as little as necessary for your application; as the Update Time is decreased, job execution time may be increased.
    • For the CIO-WENET, the synchronization time is 3ms longer than the Update Time.
  6. Click OK to close the dialog.


Number of Input and Output Lines

The number of direct (built-in) inputs and outputs varies per In-Sight vision system, as follows.

In-Sight Vision Systems | Direct (built-in) Inputs | Direct (built-in) Outputs
In-Sight Micro 1000 series | None | 2 high-speed outputs 2 user-configurable LEDs (1 green, 1 red)
In-Sight 2000 series | 1 general-purpose input | 4 high-speed outputs 2 user-configurable LEDs (1 green or red, 1 yellow)
In-Sight 5000 series | None | 2 high-speed outputs 2 user-configurable LEDs (1 green, 1 red)
In-Sight 70xx - 74xx series | 3 general-purpose inputs | 4 high-speed outputs 2 user-configurable LEDs (1 green, 1 red)
In-Sight 7000 Gen2 series | Up to 3 general-purpose inputs | Up to 4 high-speed outputs 2 user-configurable LEDs (1 green or red, 1 red)
In-Sight 8000 series | None | 2 high-speed outputs 2 user-configurable LEDs (1 green, 1 red)
In-Sight 9902L | 1 general-purpose input | 2 high-speed outputs 2 user-configurable LEDs (1 green or red, 1 red)
In-Sight 9912 | Up to 3 general-purpose inputs | Up to 4 high-speed outputs 2 user-configurable LEDs (1 green or red, 1 red)
Note:
  • In-Sight vision systems have one dedicated acquisition trigger input on the vision system. For more information, refer to the vision system installation manual or reference guide, included with In-Sight Explorer software.
  • When connected to the Breakout cable, the In-Sight 7000 Gen2 series and 9912 vision systems support bi-directional high-speed outputs and general-purpose inputs for HSOUT 2 / IN 2 and HSOUT 3 / IN 3. These lines are configured as outputs by default.

An I/O module can be used to provide additional discrete inputs and outputs. The number of discrete inputs and outputs varies per applicable I/O module, as follows.

I/O Modules | Supported In-Sight Vision Systems | Discrete Input Lines | Discrete Output Lines
CIO-1400 | In-Sight 2000 series, In-Sight 5000 series (except 5604), In-Sight 7000 Gen2 series, In-Sight 9000 series | 7 general-purpose inputs | 6 general-purpose outputs
CIO-MICRO | In-Sight Micro 1000 series, In-Sight 5000 series, In-Sight 70xx - 79xx series, In-Sight 8000 series, In-Sight 9000 series | 8 general-purpose inputs | 8 general-purpose outputs
CIO-MICRO-CC | In-Sight Micro 1000 series, In-Sight 5000 series (except 5705, 5705C and 5715), In-Sight 70xx - 74xx series | 8 general-purpose inputs | 8 general-purpose outputs
CIO-1450 | In-Sight 5000 series (except 5604, 5705, 5705C and 5715) | 8 general-purpose inputs | 8 general-purpose outputs
CIO-1460 | In-Sight 5000 series (except 5604, 5605, 5705, 5705C and 5715) | 8 general-purpose inputs | 8 general-purpose outputs
CIO-WENET | In-Sight Micro 1000 series | 8 general-purpose inputs | 8 general-purpose outputs
Note:
  • The CIO-1400 I/O module supports In-Sight 2000 series vision sensors with firmware version 5.3.0 and higher.
  • The CIO-1400 I/O module supports the In-Sight 7000 Gen2 series vision system using In-Sight Explorer 5.4.0 and higher. If you log onto the vision system using an earlier version of In-Sight Explorer, connect to the CIO-1400 I/O module and configure the I/O lines, the changes will not be retained.
  • The CIO-MICRO I/O module supports In-Sight 5705, 5705C, 5715 and In-Sight 8000 series vision systems with firmware version 5.3.0 and higher.
  • The CIO-MICRO & CIO-MICRO-CC I/O modules support In-Sight 5100 series and 5400 series vision systems with 128MB non-volatile flash memory or higher. Models can be identified by the Type number (821-xxxx-xx). The Type number is located on the label affixed to the vision system. For a complete list of models and supported firmware versions, see Firmware Versions.
  • The CIO-1450, CIO-1460 and CIO-WENET I/O modules are obsolete and no longer available for purchase, however these modules are still supported within In-Sight Explorer for backward compatibility only.


Default Input and Output Lines

Closed In-Sight Micro 1000 Series
Note:
  • HS OUT 0 and HS OUT 1 are built-in high-speed outputs, direct from the vision system.
  • The vision system supports the Strobe signal type for the HSOUT 1 line.

Direct I/O

Output | Name
0 | HSOUT 0
1 | HSOUT 1
4 | Green LED
5 | Red LED

CIO-MICRO or CIO-MICRO-CC

Input | Name
0 | Line 0
1 | Line 1
2 | Line 2
3 | Line 3
4 | Line 4
5 | Line 5
6 | Line 6
7 | Line 7
Output | Name
0 | Line 0
1 | Line 1
2 | Line 2
3 | Line 3
4 | Line 4
5 | Line 5
6 | Line 6
7 | Line 7
8 | HSOUT 0
9 | HSOUT 1
10 | Green LED
11 | Red LED

CIO-WENET

Input | Name
0 | Line 0
1 | Line 1
2 | Line 2
3 | Line 3
4 | Line 4
5 | Line 5
6 | Line 6
7 | Line 7
Output | Name
0 | Line 0
1 | Line 1
2 | Line 2
3 | Line 3
4 | Line 4
5 | Line 5
6 | Line 6
7 | Line 7
8 | HSOUT 0
9 | HSOUT 1
10 | Green LED
11 | Red LED
Closed In-Sight 2000 Series
Note:
  • IN 0 is a built-in input, direct from the vision sensor.

  • HS OUT 0, HSOUT 1, HS OUT 2 and HS OUT 3 are built-in high-speed outputs, direct from the vision sensor.

  • The vision sensor supports the Strobe signal type for the HSOUT 1 line.
  • Green LED/Red LED is a single LED output, which has both red and green states that you can configure.

Direct I/O

Input | Name
0 | IN 0
Output | Name
0 | HSOUT 0
1 | HSOUT 1
2 | HSOUT 2
3 | HSOUT 3
4 | Green LED
 | Red LED
5 | Yellow LED

CIO-1400

Input | Name
1 | Line 1
2 | Line 2
3 | Line 3
4 | Line 4
5 | Line 5
6 | Line 6
7 | Line 7
Output | Name
0 | HSOUT 0
1 | HSOUT 1
2 | Line 2
3 | Line 3
4 | Line 4
 | Line 5
5 | Line 6
7 | Line 7
8 | Green LED
9 | Red LED
10 | Yellow LED
11 | Disabled
12 | Disabled
Closed In-Sight 5000 Series

Direct / CIO-1350

Output | Name
0 | HSOUT 0
1 | HSOUT 1
4 | Green LED
5 | Red LED

CIO-1400

Input | Name
1 | Line 1
2 | Line 2
3 | Line 3
4 | Line 4
5 | Line 5
6 | Line 6
7 | Line 7
Output | Name
0 | HSOUT 0
1 | HSOUT 1
2 | Line 2
3 | Line 3
4 | Line 4
5 | Line 5
6 | Line 6
7 | Line 7
8 | Green LED
9 | Red LED

CIO-1450

Note: When Pulsed discrete outputs are sent from a CIO-1450 I/O Module, the pulse width may be 10 milliseconds longer than specified.
Input | Name
0 | Line 0
1 | Line 1
2 | Line 2
3 | Line 3
4 | Line 4
5 | Line 5
6 | Line 6
7 | Line 7
Output | Name
0 | Line 0
1 | Line 1
2 | Line 2
3 | Line 3
4 | Line 4
5 | Line 5
6 | Line 6
7 | Line 7
8 | HSOUT 0
9 | HSOUT 1
10 | Green LED
11 | Red LED

CIO-1460

Note: When power is cycled on a CIO-1460 I/O module, discrete outputs may fire for approximately 250 microseconds during initialization.
Input | Name
0 | Line 0
1 | Line 1
2 | Line 2
3 | Line 3
4 | Line 4
5 | Line 5
6 | Line 6
7 | Line 7
Output | Name
0 | Line 0
1 | Line 1
2 | Line 2
3 | Line 3
4 | Line 4
5 | Line 5
6 | Line 6
7 | Line 7
8 | HSOUT 0
9 | HSOUT 1
10 | Green LED
11 | Red LED
12 | Disabled
13 | Disabled

CIO-MICRO/CIO-MICRO-CC

Note:
  • The CIO-MICRO I/O module supports In-Sight 5705, 5705C, 5715 with firmware version 5.3.0 and higher.
  • The CIO-MICRO & CIO-MICRO-CC I/O modules support In-Sight 5100 series and 5400 series vision systems with 128MB non-volatile flash memory or higher. Models can be identified by the Type number (821-xxxx-xx). The Type number is located on the label affixed to the vision system. For a complete list of models and supported firmware versions, see Firmware Versions.
Input | Name
0 | Line 0
1 | Line 1
2 | Line 2
3 | Line 3
4 | Line 4
5 | Line 5
6 | Line 6
7 | Line 7
Output | Name
0 | Line 0
1 | Line 1
2 | Line 2
3 | Line 3
4 | Line 4
5 | Line 5
6 | Line 6
7 | Line 7
8 | HSOUT 0
9 | HSOUT 1
10 | Green LED
11 | Red LED
Closed In-Sight 70xx - 74xx Series
Note:
  • The In-Sight 70xx - 74xx series vision system supports connecting the Breakout cable and the CIO-MICRO or CIO-MICRO-CC I/O module simultaneously.
  • IN 1, IN 2 and IN 3 are built-in inputs, direct from the vision system. Direct (built-in) inputs are only supported when the vision system is connected to the Breakout cable.
  • HSOUT 0, HSOUT 1, HSOUT 2 and HSOUT 3 are built-in high-speed outputs, direct from the vision system. High-speed outputs on In-Sight 70xx - 74xx series vision systems are only supported when the vision system is connected to the Breakout cable.
  • The vision system supports the Strobe signal type for the HSOUT 0 line.
  • If connecting an external strobe device to the In-Sight 70xx - 74xx series vision system's External Light cable, use the Light Settings dialog to configure the external light settings.
  • There are two options for enabling serial communication for the In-Sight 70xx - 74xx series vision system: using the Breakout cable or using the CIO-MICRO or CIO-MICRO-CC I/O module. When connected to the Breakout cable (and there is no connection to an I/O module), the vision system allows one discrete input line and one discrete output line to be configured as Serial Receive and Serial Transmit, respectively. For more information, see Enable Serial Communication: In-Sight 70xx - 74xx.

Direct I/O

Input | Name
1 | IN 1/Serial Receive
2 | IN 2
3 | IN 3
Output | Name
0 | HSOUT 0
1 | HSOUT 1/Serial Transmit
2 | HSOUT 2
3 | HSOUT 3
4 | Green LED
5 | Red LED

CIO-MICRO/CIO-MICRO-CC

Note:
  • When the vision system is connected to the Breakout cable and an Ethernet connection to a CIO-MICRO I/O module has been established:
    • The I/O module's I/O port (DB15) and TRIGGER+, TRIGGER-, HSOUT 0, HSOUT 1 and HS COMMON terminals are not supported. Do not connect wire leads from remote devices to these terminals.
    • The I/O module's I/O port (DB15) is not supported. Do not connect anything to this port.
    • The RS-232 TRANSMIT and RS-232 RECEIVE pins on the Breakout cable are disabled. Use the I/O module's RS-232 OUT port (DB9) to connect to a serial device.
Input | Name
0 | Line 0
1 | Line 1
2 | Line 2
3 | Line 3
4 | Line 4
5 | Line 5
6 | Line 6
7 | Line 7
9 | IN 1
10 | IN 2
11 | IN 3
Output | Name
0 | Line 0
1 | Line 1
2 | Line 2
3 | Line 3
4 | Line 4
5 | Line 5
6 | Line 6
7 | Line 7
8 | HSOUT 0
9 | HSOUT 1
10 | HSOUT 2
11 | HSOUT 3
12 | Green LED
13 | Red LED
Closed In-Sight 7000 Gen2 Series
Note:
  • The vision system supports connecting the Breakout cable and the CIO-MICRO I/O module simultaneously. For supported hardware I/O configurations, refer to In-Sight 7000 Gen2 Hardware I/O Configurations.
  • IN 1, IN 2 and IN 3 are built-in inputs, direct from the vision system. Direct (built-in) inputs are only supported when the vision system is connected to the Breakout cable.
  • HSOUT 0, HSOUT 1, HSOUT 2 and HSOUT 3 are built-in high-speed outputs, direct from the vision system.
  • The vision system supports the Strobe signal type for the HSOUT 1 line.
  • If connecting an external strobe device to the In-Sight 7000 Gen2 series vision system's External Light cable or if connecting an illumination accessory to the vision system faceplate, use the Light Settings dialog to configure the light settings.

Direct I/O

Note: The vision system supports bi-directional high-speed outputs and general-purpose inputs for IN 2 / HSOUT 2 and IN 3 / HSOUT 3. These lines are configured as outputs by default.
Input | Direction | Name
1 | Fixed Input | IN 1
2 | Input | IN 2
3 | Input | IN 3
Output | Direction | Name
0 | Fixed Output | HSOUT 0
1 | Fixed Output | HSOUT 1
2 | Output | HSOUT 2
3 | Output | HSOUT 3
4 | Fixed Output | Pass/Fail LED
5 | Fixed Output | Error LED

CIO-MICRO

Note:
  • When the vision system is connected to the Breakout cable and an Ethernet connection to a CIO-MICRO I/O module has been established:
    • The vision system supports bi-directional high-speed outputs and general-purpose inputs for IN 2 / HSOUT 2 and IN 3 / HSOUT 3. These lines are configured as outputs by default.
    • The CIO-MICRO I/O module's TRIGGER+, TRIGGER-, HSOUT 0, HSOUT 1 and HS COMMON terminals are not supported. Do not connect wire leads from remote devices to these terminals.
    • The RS-232 TRANSMIT and RS-232 RECEIVE pins on the Breakout cable are disabled. Use the I/O module's RS-232 OUT port (DB9) to connect to a serial device.
  • When the vision system is connected to the CIO-MICRO I/O module via the I/O Module cable:
    • The vision system's IN 1, IN 2, IN 3, HSOUT 2 and HSOUT 3 lines are displayed in the Discrete I/O Settings dialog but are not supported. These lines are only supported when the vision system is connected to the Breakout cable.
    • TRIGGER+, TRIGGER-, HSOUT 0, HSOUT 1 and HS COMMON are connected via the CIO-MICRO I/O module terminals.
    • Illumination accessories attached to the vision system faceplate or LIGHT connector are not supported. If these illumination accessories are attached, the Breakout cable must be used to supply power to the vision system and a connection to the I/O module established via Ethernet only.
Input | Direction | Name
0 | Fixed Input | Line 0
1 | Fixed Input | Line 1
2 | Fixed Input | Line 2
3 | Fixed Input | Line 3
4 | Fixed Input | Line 4
5 | Fixed Input | Line 5
6 | Fixed Input | Line 6
7 | Fixed Input | Line 7
9 | Fixed Input | IN 1
10 | Input | IN 2
11 | Input | IN 3
Output | Direction | Name
0 | Fixed Output | Line 0
1 | Fixed Output | Line 1
2 | Fixed Output | Line 2
3 | Fixed Output | Line 3
4 | Fixed Output | Line 4
5 | Fixed Output | Line 5
6 | Fixed Output | Line 6
7 | Fixed Output | Line 7
8 | Fixed Output | HSOUT 0
9 | Fixed Output | HSOUT 1
10 | Output | HSOUT 2
11 | Output | HSOUT 3
12 | Fixed Output | Pass/Fail LED
13 | Fixed Output | Error LED

CIO-1400

Note:
  • When connected to the CIO-1400 I/O module, the vision system's IN 1, IN 2, IN 3, HSOUT 2 and HSOUT 3 lines are not supported.
  • The CIO-1400 I/O module supports the In-Sight 7000 Gen2 series vision system using In-Sight Explorer 5.4.0 and higher. If you log onto the vision system using an earlier version of In-Sight Explorer, connect to the CIO-1400 I/O module and configure the I/O lines, the changes will not be retained.
Input | Name
1 | Line 1
2 | Line 2
3 | Line 3
4 | Line 4
5 | Line 5
6 | Line 6
7 | Line 7
Output | Name
0 | HSOUT 0
1 | HSOUT 1
2 | Line 2
3 | Line 3
4 | Line 4
5 | Line 5
6 | Line 6
7 | Line 7
8 | Pass/Fail LED
9 | Error LED
Closed In-Sight 8000 Series
Note:
  • HS OUT 0 and HS OUT 1 are built-in high-speed outputs, direct from the vision system.
  • The vision system supports the Strobe signal type for the HSOUT 1 line.
  • If using a strobe with the In-Sight 8405 vision system, a minimum Exposure value of 72ms is recommended for a full frame image capture, to ensure that all pixel rows are exposed when the strobe is pulsed. . For more information, see In-Sight 8405 Rolling Shutter Operation.

Direct I/O

Output | Name
0 | HSOUT 0
1 | HSOUT 1 (Strobe is a supported Signal Type)
4 | Green LED
5 | Red LED

CIO-MICRO

Note: The CIO-MICRO I/O module supports In-Sight 8000 series vision systems with firmware version 5.3.0 and higher.
Input | Name
0 | Line 0
1 | Line 1
2 | Line 2
3 | Line 3
4 | Line 4
5 | Line 5
6 | Line 6
7 | Line 7
Output | Name
0 | Line 0
1 | Line 1
2 | Line 2
3 | Line 3
4 | Line 4
5 | Line 5
6 | Line 6
7 | Line 7
8 | HSOUT 0
9 | HSOUT 1 (Strobe is a supported Signal Type)
10 | Green LED
11 | Red LED
Closed In-Sight 9902L Line Scan Vision System
Note:
  • The vision system supports connecting the Breakout cable and the CIO-MICRO I/O module simultaneously. For supported hardware I/O configurations, refer to In-Sight 9902L Hardware I/O Configurations
  • IN 1 is a built-in input, direct from the vision system. Direct (built-in) inputs are only supported when the vision system is connected to the Breakout cable.
  • HS OUT 0 and HS OUT 1 are built-in high-speed outputs, direct from the vision system.
  • The vision system supports the Strobe signal type for the HSOUT 1 line.
  • If using a strobe with the In-Sight 9902L line scan vision system:
    • The strobe should use a PNP wiring configuration and the Strobe/Light Control Trigger should be set to Rising Edge.
    • When the vision system receives an acquisition trigger, the output line sends a pulse and the strobe flashes for the duration of the Exposure time. Once exposure is complete, there must be a minimum of 100µs before the next acquisition trigger is received or the strobe might not function correctly.

Direct I/O

Input | Name
1 | IN 1
Output | Name
0 | HSOUT 0
1 | HSOUT 1
4 | Pass/Fail LED
5 | Error LED

CIO-MICRO

Note:
  • When the vision system is connected to the Breakout cable and an Ethernet connection to a CIO-MICRO I/O module has been established:
    • The CIO-MICRO I/O module's TRIGGER+, TRIGGER-, HSOUT 0, HSOUT 1 and HS COMMON terminals are not supported. Do not connect wire leads from remote devices to these terminals.
    • The RS-232 TRANSMIT and RS-232 RECEIVE pins on the Breakout cable are disabled. Use the I/O module's RS-232 OUT port (DB9) to connect to a serial device.
  • When the vision system is connected to the CIO-MICRO I/O module via the I/O module cable:
    • The vision system's ENCODER A INPUT and ENCODER B INPUT are not supported.

    • The vision system's IN 1 line is displayed in the Discrete I/O Settings dialog but is not supported. IN 1 is only supported when the vision system is connected to the Breakout cable.

    • TRIGGER+, TRIGGER-, HSOUT 0, HSOUT 1 and HS COMMON are connected via the CIO-MICRO I/O module terminals.
Input | Name
0 | Line 0
1 | Line 1
2 | Line 2
3 | Line 3
4 | Line 4
5 | Line 5
6 | Line 6
7 | Line 7
9 | IN 1
Output | Name
0 | Line 0
1 | Line 1
2 | Line 2
3 | Line 3
4 | Line 4
5 | Line 5
6 | Line 6
7 | Line 7
8 | HSOUT 0
9 | HSOUT 1
10 | Pass/Fail LED
11 | Error LED

CIO-1400

Note: When connected to the CIO-1400 I/O module, the vision system's ENCODER A INPUT, ENCODER B INPUT and IN 1 lines are not supported.
Input | Name
1 | Line 1
2 | Line 2
3 | Line 3
4 | Line 4
5 | Line 5
6 | Line 6
7 | Line 7
Output | Name
0 | HSOUT 0
1 | HSOUT 1
2 | Line 2
3 | Line 3
4 | Line 4
5 | Line 5
6 | Line 6
7 | Line 7
8 | Pass/Fail LED
9 | Error LED
Closed In-Sight 9912
Note:
  • The vision system supports connecting the Breakout cable and the CIO-MICRO I/O module simultaneously. For supported hardware I/O configurations, refer to In-Sight 9912 Hardware I/O Configurations.
  • IN 1, IN 2 and IN 3 are built-in inputs, direct from the vision system. Direct (built-in) inputs are only supported when the vision system is connected to the Breakout cable.
  • HSOUT 0, HSOUT 1, HSOUT 2 and HSOUT 3 are built-in high-speed outputs, direct from the vision system.
  • The vision system supports the Strobe signal type for the HSOUT 1 line.
  • If connecting an external strobe device to the In-Sight 9912 vision system's External Light cable, use the Light Settings dialog to configure the light settings.

Direct I/O

Note: The vision system supports bi-directional high-speed outputs and general-purpose inputs for IN 2 / HSOUT 2 and IN 3 / HSOUT 3. These lines are configured as outputs by default.
Input | Direction | Name
1 | Fixed Input | IN 1
2 | Input | IN 2
3 | Input | IN 3
Output | Direction | Name
0 | Fixed Output | HSOUT 0
1 | Fixed Output | HSOUT 1
2 | Output | HSOUT 2
3 | Output | HSOUT 3
4 | Fixed Output | Pass/Fail LED
5 | Fixed Output | Error LED

CIO-MICRO

Note:
  • When the vision system is connected to the Breakout cable and an Ethernet connection to a CIO-MICRO I/O module has been established:
    • The vision system supports bi-directional high-speed outputs and general-purpose inputs for IN 2 / HSOUT 2 and IN 3 / HSOUT 3. These lines are configured as outputs by default.
    • The CIO-MICRO I/O module's TRIGGER+, TRIGGER-, HSOUT 0, HSOUT 1 and HS COMMON terminals are not supported. Do not connect wire leads from remote devices to these terminals.
    • The RS-232 TRANSMIT and RS-232 RECEIVE pins on the Breakout cable are disabled. Use the I/O module's RS-232 OUT port (DB9) to connect to a serial device.
  • When the vision system is connected to the CIO-MICRO I/O module via the I/O module cable:
    • The vision system's IN 1, IN 2, IN 3, HSOUT 2 and HSOUT 3 lines are displayed in the Discrete I/O Settings dialog but are not supported. These lines are only supported when the vision system is connected to the Breakout cable.
    • TRIGGER+, TRIGGER-, HSOUT 0, HSOUT 1 and HS COMMON are connected via the CIO-MICRO I/O module terminals.
    • Illumination accessories attached to the vision system LIGHT connector are not supported. If these illumination accessories are attached, the Breakout cable must be used to supply power to the vision system and a connection to the I/O module established via Ethernet only.
Input | Direction | Name
0 | Fixed Input | Line 0
1 | Fixed Input | Line 1
2 | Fixed Input | Line 2
3 | Fixed Input | Line 3
4 | Fixed Input | Line 4
5 | Fixed Input | Line 5
6 | Fixed Input | Line 6
7 | Fixed Input | Line 7
9 | Fixed Input | IN 1
10 | Input | IN 2
11 | Input | IN 3
Output | Direction | Name
0 | Fixed Output | Line 0
1 | Fixed Output | Line 1
2 | Fixed Output | Line 2
3 | Fixed Output | Line 3
4 | Fixed Output | Line 4
5 | Fixed Output | Line 5
6 | Fixed Output | Line 6
7 | Fixed Output | Line 7
8 | Fixed Output | HSOUT 0
9 | Fixed Output | HSOUT 1
10 | Output | HSOUT 2
11 | Output | HSOUT 3
12 | Fixed Output | Pass/Fail LED
13 | Fixed Output | Error LED

CIO-1400

Note: When connected to the CIO-1400 I/O module, the vision system's IN 1, IN 2, IN 3, HSOUT 2 and HSOUT 3 lines are not supported.
Input | Name
1 | Line 1
2 | Line 2
3 | Line 3
4 | Line 4
5 | Line 5
6 | Line 6
7 | Line 7
Output | Name
0 | HSOUT 0
1 | HSOUT 1
2 | Line 2
3 | Line 3
4 | Line 4
5 | Line 5
6 | Line 6
7 | Line 7
8 | Pass/Fail LED
9 | Error LED


Output Details Dialog Controls

  • Pulse: When this checkbox is selected, the output will be pulsed. Clear this checkbox for steady-state output. Output must be pulsed when the Acquisition Delay is greater than 0.

  • Pulse Length (ms): Duration of an output pulse.

    Vision System/Vision Sensor | Minimum Pulse Length | Maximum Pulse Length | Default Pulse Length
    General-Purpose Output | High-Speed Output
    In-Sight Micro 1000 series (except 1402, 1412 and 1500) | 10ms | 10ms | 1000ms | 10ms
    In-Sight Micro 1402, 1412 and 1500 | 10ms | 1ms | 1000ms | 10ms
    In-Sight 2000 series | 10ms | 1ms | 1000ms | 10ms
    In-Sight 5000 series | 10ms | 10ms | 1000ms | 10ms
    In-Sight 70xx - 74xx series | 10ms | 1ms | 1000ms | 10ms
    In-Sight 7000 Gen2 series | 1ms | 1ms | 1000ms | 10ms
    In-Sight 8000 series | 1ms | 1ms | 1000ms | 10ms
    In-Sight 9902L | 1ms | 1ms | 1000ms | 10ms
    In-Sight 9912 | 1ms | 1ms | 1000ms | 10ms
    Note:
    • When using the CIO-Micro or CIO-Micro-CC I/O module with supported vision systems, the minimum pulse length for general-purpose outputs is limited by the Update Time setting in the I/O Module Configuration dialog. For example, if the Update Time is 20ms, the minimum pulse length cannot be set below 30ms. For more information, see I/O Module Configuration.
    • For the In-Sight 7000 Gen2 series and 8000 series vision systems, the minimum pulse length of 1ms is only supported using In-Sight firmware version 5.5.0 and higher. If using an earlier version of firmware, the minimum pulse length is 10ms.

  • Acquisition Delay (N): The number of acquisition or tracking pulses (0 to 1000) to delay the output after a signal pulse is received by an output Line. If Acquisition Delay = 0, the vision system updates the output line immediately on evaluating the EasyBuilder job. If Acquisition Delay is greater than 0, the output Line is always pulsed.

    Note: Acquisition Delay and Time After Trigger cannot be used concurrently.

  • Time After Trigger (ms): When this checkbox is selected, the output will be fired after the specified amount of time (0 to 10000 ms).

    Note: Acquisition Delay and Time After Trigger cannot be used concurrently.
  • Strobe/Light Control Trigger: The rising or falling edge of the signal can be used to trigger a strobe.
    • NPN Configuration: If set to Rising Edge, the signal is HIGH when the image sensor is being exposed, otherwise the signal is LOW. If set to Falling Edge, the signal is LOW when the image sensor is being exposed, otherwise the signal is HIGH.Always pulsed for the duration of the exposure. The Exposure time must be 0.50 ms greater than the strobe pulse duration specified on the external strobe device.

    • PNP Configuration: If set to Rising Edge, the signal is LOW when the image sensor is being exposed, otherwise the signal is HIGH. If set to Falling Edge, the signal is HIGH when the image sensor is being exposed, otherwise the signal is LOW. Always pulsed for the duration of the exposure. Always pulsed for the duration of the exposure. The Exposure time must be 0.50 ms greater than the strobe pulse duration specified on the external strobe device.

      Note:
      • For the In-Sight 5600 series, 5705, 5705C, 5715 and 9902L vision systems, the strobe behavior is inverted (i.e., for NPN wiring configurations, the Rising Edge and Falling Edge behave like a PNP configuration).
      • If using a strobe with the In-Sight 9902L line scan vision system:
        • The strobe should use a PNP wiring configuration and the Strobe/Light Control Trigger should be set to Rising Edge.
        • When the vision system receives an acquisition trigger, the output line sends a pulse and the strobe flashes for the duration of the Exposure time. Once exposure is complete, there must be a minimum of 100µs before the next acquisition trigger is received or the strobe might not function correctly.
  • Strobe Start Position: Specifies when the strobe should pulse. This option is not supported for the In-Sight 9902L vision system.
    • Acquisition Start: Specifies that the strobe will pulse as the vision system begins its acquisition. Supported on all models except the In-Sight 8405 vision system.
    • Camera Trigger: Specifies that the strobe will pulse upon receiving a camera trigger event. Supported on all models except the In-Sight 8405 vision system.

    • All Rows Exposed: Specifies that the strobe will pulse only when all pixel rows are exposed. Supported on the In-Sight 8405 vision system only.

      Note: If using a strobe with the In-Sight 8405 vision system, a minimum Exposure value of 72ms is recommended for a full frame image capture, to ensure that all pixel rows are exposed when the strobe is pulsed. . For more information, see In-Sight 8405 Rolling Shutter Operation.

  • Tri-Color LED: Configures the behavior of tri-color LED lines. (Off/Green, Off/Red, Red/Green; default = Off/Green) This option is only available if the line supports tri-color LEDs.

    Note: This option is supported with In-Sight 7000 Gen2 series and In-Sight 9000 series vision systems for the Pass/Fail LED, but is not supported if Pass/Fail Job Cell is the selected Output Signal Type.


Inputs: Loading a Job File

In-Sight 2000 Series Vision Sensors

In order to use this functionality, you must have at least one job saved and the job must be saved with a numerical prefix of 0 to 31, in the format of #jobfilename.job (e.g., 2PinInspection.job).

  1. Select input line 0 and set the Signal Type to Job Change (Pulsed).

  2. To load 2PinInspection.job to the sensor, an external device (such as a PLC) issues a series of pulses to the In-Sight 2000 sensor.

    Pulse Type | Pulse Length
    Start Pulse | 20ms (±2ms)
    Count Pulse | 10ms (±1ms)
    Pulse Gap | 10ms (± 1ms)
    Stop Pulse | 20ms (±2ms)
    1. The external device issues a start pulse followed by a pulse gap.
    2. The external device then issues three count pulses. There is a pulse gap between each count pulse and a pulse gap after the last count pulse. The number of count pulses issued must correspond with the numerical prefix of the job to be loaded (e.g., two count pulses are needed to load 2PinInspection.job).
    3. The external device issues a stop pulse. When all pulses and pulse gaps match the specified pulse length, the job change request is successful and 2PinInspection.job is loaded to the sensor. If any of the conditions fail (i.e., an incorrect pulse or incorrect pulse gap timing), the job change request will fail and no job change will take place.
    Note:
    • The SetSystemConfig("PulseJobChangeTiming") Native Mode command can be used to configure the pulse widths of the Start Pulse, Count Pulse, Pulse Gap and Stop Pulse. For more information, see PulseJobChangeTiming.
    • Optionally, a discrete output line can configured as a Job Load OK or Job Load Failed type to pulse the output, and report the success or failure of the job change request. If the specified input pulse lengths are not used, the output will not be pulsed to indicate a job load failure.

In-Sight Vision Systems

In order to use this functionality, you must have at least one job saved, and the job(s) to be loaded must be saved with a numerical prefix of 0 to 127, e.g. 1PinInspection.job.

  1. Select an input line to configure, and set the Signal Type to Job Load Switch. The job file that is loaded is indicated by the state (0 or 1) of any other input lines set to Job ID Number.
  2. Set at least one other input line's Signal Type to Job ID Number.
  3. An input set to Job ID Number represents one bit of a binary number. Subsequent line inputs set to Job ID Number represent additional bits of the binary number. The complete binary number represents the numeric prefix (decimal #) of a job file saved in the following format: #jobfilename.job.

Example 1

Three discrete inputs are set to Job ID Number representing a 3 bit binary number. When the states of the three inputs are 0,1, and 0, respectively, the binary number 010 indicates that a job file with the prefix of 2 (010 in decimal) is to be loaded.

Example 2

You have three different job files named 3inspection.job, 6inspection.job, and 9inspection.job. You want to specify that the .job file named 6inspection.job is to be loaded when the sensor receives a HIGH signal from a PLC. Discrete input 1 is currently used as an image acquisition trigger.

  1. Connect input line 1 to the PLC.
  2. Set the Signal Type of input line 1 to Job Load Switch.
  3. Since the job file name prefix ranges from 3 to 9, you will need to set 4 inputs to Job ID Number. (9 is 1001 in binary.)

  4. When the states of the Job ID Number lines are 1, 1, 0, and 0 respectively (6 is 1100 in binary), and the state of input line 2 is HIGH (1), the job named 6inspection.job will be loaded.

    Note: If more than one job with the same numeric prefix is stored in the In-Sight Sensor, the file with highest alphanumeric order will be loaded.


Inputs: Turning Location and Inspection Tools On and Off

Location and Inspection tools may have their tool execution tied to an input line. Tying the tool to an input allows a control system, such as a PLC, to determine which tools should run.

  1. Select an input line, and set the Signal Type to User Data.
  2. Go to the Location or Inspection Tool that you would like to control, and go to the tool's Tool Enable control. From the drop-down list, select the Input number that you defined in the step above.
  3. The tool can now be turned On or Off (a HIGH signal (1) is On; a LOW signal (0) is Off) by the control system.


Inputs: Triggering Image Acquisition

To configure your In-Sight vision system to receive an acquisition trigger over an input line from a PLC, photoeye, or other device, complete the following steps.

  1. Click the Set Up Image step.

  2. In the Edit Acquisition Settings group box, select External from the Trigger drop-down menu.

    Note:
    • External Trigger is not supported on the In-Sight 2000 series vision sensor.
    • Faster trigger rates can be achieved by using the vision system's built-in acquisition trigger input (by setting the Trigger to Camera) versus triggering the vision system with a general-purpose input line configured as an Acquisition Trigger (by setting the Trigger to External).
    • If the Trigger parameter is set to External and an acquisition is missed, the ERR: Missed Acquisition output will not be sent from the vision system; the ERR: Missed Acquisition signal is only supported when the Trigger parameter is set to Camera.
  3. Go back to the Inputs/Outputs step.

  4. Select an input line, and set the Signal Type to Acquisition Trigger.

    Note: Acquisition Trigger is not supported on the CIO-1400 I/O module.
  5. Set the Edge Type of the signal to Rising Edge or Falling Edge.
  6. Connect the wires from your input device to the Trigger input on an In-Sight vision system Breakout cable or I/O module. Please consult the applicable In-Sight vision system or I/O module installation manual for more information.


Inputs: Training a Model Pattern over an Input Line

To configure your In-Sight vision system to train a Model pattern over an input line, complete the following steps.

  1. In the Pattern/Patterns (1 - 10) Location tool, Pattern Presence/Absence tool or Patterns Counting tool, select an input line to use as a train signal from the Train Input drop-down list.

    Note: When connected to an In-Sight vision system or In-Sight 2000-23M vision sensor, the Train Input drop-down list is included in the Settings tab.
  2. Go back to the Inputs/Outputs application step.
  3. Set the selected input line's Signal Type to Event Trigger.
  4. Set the Edge Type of the signal to Rising Edge, Falling Edge or Both Edges.

  5. Place the In-Sight vision system/sensor Online.

    Note: The training of a Model pattern will use the most recent image acquired by the vision system/sensor. It is not necessary to re-trigger the vision system/sensor in order to train.

  6. The edge(s) of the selected Edge Type will trigger a training of the Model pattern.


Outputs: Signaling a Missed Image Acquisition

To signal a missed image acquisition:

  1. Click the Set Up Image step.
  2. In the Edit Acquisition Settings group box, select Camera from the Trigger drop-down menu.
  3. Go back to the Inputs/Outputs step.
  4. Select an output line, and set the Signal Type to Acquisition End. Specify the pulse length by pressing the Details button.
  5. Select another output Line, and set the Signal Type to ERR: Missed Acquisition. This signals that an acquisition trigger was received before an Acquisition End signal was sent, or that no image buffer was available for image acquisition when an acquisition trigger was received. For more information, see Image Buffers Dialog.
  6. Specify the pulse length by pressing the Details button.


Outputs: Triggering a Light for Image Acquisition

Closed Triggering a Strobe

The rising or falling edge of the signal can be used to trigger a strobe.

To send a signal to trigger a strobe:

  1. Define the acquisition trigger settings in the Set Up Image step. Ensure the exposure time is 0.50 ms greater than the strobe pulse duration specified on the external lighting device.
  2. Set the Signal Type of the output line to Strobe.
  3. Press the Details button and specify if the strobe is to be triggered by the Rising Edge or Falling Edge of the signal.
    • NPN Configuration: If set to Rising Edge, the signal is HIGH when the image sensor is being exposed, otherwise the signal is LOW. If set to Falling Edge, the signal is LOW when the image sensor is being exposed, otherwise the signal is HIGH. The Exposure time must be 0.50 ms greater than the strobe pulse duration specified on the external strobe device.

    • PNP Configuration: If set to Rising Edge, the signal is LOW when the image sensor is being exposed, otherwise the signal is HIGH. If set to Falling Edge, the signal is HIGH when the image sensor is being exposed, otherwise the signal is LOW. Always pulsed for the duration of the exposure. The Exposure time must be 0.50 ms greater than the strobe pulse duration specified on the external strobe device.

      Note:
      • For the In-Sight 5600 series, 5705, 5705C, 5715 and 9902L vision systems, the strobe behavior is inverted (i.e., for NPN wiring configurations, the Rising Edge and Falling Edge behave like a PNP configuration).
      • If using a strobe with the In-Sight 9902L line scan vision system:
        • The strobe should use a PNP wiring configuration and the Strobe/Light Control Trigger should be set to Rising Edge.
        • When the vision system receives an acquisition trigger, the output line sends a pulse and the strobe flashes for the duration of the Exposure time. Once exposure is complete, there must be a minimum of 100µs before the next acquisition trigger is received or the strobe might not function correctly.
  4. Specify the Strobe Start Position. This option is not supported for the In-Sight 9902L vision system.
    • Acquisition Start: Specifies that the strobe will pulse as the vision system begins its acquisition. Supported on all models except the In-Sight 8405 vision system.
    • Camera Trigger: Specifies that the strobe will pulse upon receiving a camera trigger event. Supported on all models except the In-Sight 8405 vision system.
    • All Rows Exposed: Specifies that the strobe will pulse only when all pixel rows are exposed. Supported on the In-Sight 8405 vision system only.
Note:
  • The In-Sight vision system and lighting device must be connected to the same ground for the lighting device to operate correctly.
  • The In-Sight Micro 1000 series, In-Sight 5000 series (except the 5604), In-Sight 7000 Gen2 series, In-Sight 8000 series and In-Sight 9000 series vision systems support the Strobe signal type for the HSOUT 1 line.
  • The In-Sight 70xx - 74xx series vision system supports the Strobe signal type for the HSOUT 0 line.
  • For the In-Sight 8405 vision system, the Strobe Start Position is fixed to All Rows Exposed and the output signal is pulsed only during the time that all pixel rows are exposed. If using a strobe with the In-Sight 8405 vision system, a minimum Exposure value of 72ms is recommended for a full frame image capture, to ensure that all pixel rows are exposed when the strobe is pulsed. . For more information, see In-Sight 8405 Rolling Shutter Operation.
Closed Triggering an External Light (CIO-1460 Only)

The rising or falling edge of the signal can be used to trigger an external light.

To send a signal to trigger an external light:

  1. Log onto an In-Sight 5000 series vision system and connect to a CIO-1460 I/O module.
  2. Define the acquisition trigger settings in the Set Up Image step. Ensure the exposure time is 0.50 ms greater than the strobe pulse duration specified on the external lighting device.
  3. Set the Signal Type for HSOUT 1 to Light Control.
  4. Press the Details button and specify if the strobe is to be triggered by the Rising Edge or Falling Edge of the signal.
Note:
  • The In-Sight vision system and lighting device must be connected to the same ground for the lighting device to operate correctly.
  • This output type is only valid for High Speed Output line 1 (HSOUT 1) when configuring the CIO-1460 I/O module for the In-Sight 5000 series vision system.


Outputs: Setting a Line to a Location or Inspection Tool Result

To send a signal based upon the result of a Location or Inspection Tool:

  1. Select an output line and set the Signal Type to Job Result.
  2. From the Job Result drop-down, select a tool result to output. The tool results listed (e.g. Text_1, Pattern_1, etc.) represent an overall Pass/Fail for the individual tool. The Job results are a cumulative Pass/Fail for all of the tools. The signal will be HIGH (1) when the tool result is Pass, and LOW (0) when Fail.
  3. Press the Details button to specify the pulse length and acquisition delay. If these settings are not specified, the signal will not be pulsed.


Communication

The Communication step is used to define inspection results for open data access and exchange (OPC), to configure an EasyView for the VisionView® Operator Interface Panel, exporting images via FTP or to the SD Card, and to define the network and serial communication settings of In-Sight vision systems, enabling them to communicate data to and from other devices, such as a robot or Programmable Logic Controller (PLC)/Motion Controller (MC).

  • Sharing Data via OPC Server

  • Configuring an EasyView
  • Exporting Images or Data via FTP
    • Exporting Images via FTP
    • Exporting a Data File or Appending a Data String to a File via FTP

  • Exporting Images or Data to SD Card

    Note: This feature is supported only on the In-Sight vision systems on which the SD card is installed.
    • Exporting Images to an SD Card
    • Exporting a Data File or Appending a Data String to a File on an SD Card
  • Device Setup

  • Sharing Data via OPC Server

  • Configuring an EasyView
  • Exporting Images or Data via FTP
    • Images
    • Data

  • Exporting Images or Data to SD Card

    Note: This feature is supported only on the In-Sight vision systems on which the SD card is installed.
Note:
  • The In-Sight sensor must be Offline to enable the Communication step.
  • The communication protocols of your job may be configured and saved using an Emulator, and then loaded on an In-Sight vision system for run-time deployment. However, the ProfiNET and CC-Link protocols cannot be simulated on the Emulator, even though they can be selected. These protocols require that the job's communication protocols be developed and saved on an In-Sight vision system connected to the ProfiNET or CC-Link network.

Supported Protocols

Up to two protocols can be added to a job. When adding two protocols, you can add one "primary" protocol and one "secondary" protocol. For example, after adding the SLMP Scanner protocol (primary), you click the Add Device button again and add the TCP/IP protocol (secondary).

Note: You cannot add two "primary" protocols or two "secondary" protocols to a job.

In-Sight Firmware 4.x.x

 | Primary or Secondary | Micro 1000 Series | 5000 Series (except 5705 & 5705C) | 70xx - 74xx Series
CC-Link | Primary | X | X | X
Ethernet Native | Primary | X | X | X
Ethernet Native Robot | Primary | X | X | X
Ethernet Native String | Primary | X | X | X
EtherNet/IP | Primary | X | X | X
Modbus TCP Server | Primary | X | X | X
POWERLINK | Primary |  |  | X
PROFINET | Primary | X | X | X
Serial Kuka | Primary | X | X | X
Serial Motoman | Primary | X | X | X
Serial Native | Primary | X | X | X
Serial Native Robot | Primary | X | X | X
Serial Native String | Primary | X | X | X
Serial Text | Primary | X | X | X
SLMP | Primary | X | X | X
SLMP Scanner | Primary | X | X | X
TCP/IP | Secondary | X | X | X
UDP | Secondary | X | X | X

In-Sight Firmware 5.x.x

 | Primary or Secondary | 2000 Series | 5705 & 5705C | 7000 Gen2 Series | 8000 Series | 9000 Series
CC-Link IE Field Basic | Primary | X | X | X | X | X
Ethernet Native | Primary |  | X | X | X | X
Ethernet Native Robot | Primary |  | X | X | X | X
Ethernet Native String | Primary |  | X | X | X | X
EtherNet/IP | Primary | X | X | X | X | X
Modbus TCP Server | Primary | X | X | X | X | X
PROFINET | Primary | X | X | X | X | X
Serial Kuka | Primary |  | X | X | X | X
Serial Motoman | Primary |  | X | X | X | X
Serial Native | Primary | X (Basic) | X | X | X | X
Serial Native Robot | Primary |  | X | X | X | X
Serial Native String | Primary |  | X | X | X | X
Serial Text | Primary | X | X | X | X | X
SLMP | Primary | X | X | X | X | X
SLMP Scanner | Primary | X | X | X | X | X
TCP/IP | Secondary | X | X | X | X | X
UDP | Secondary | X | X | X | X | X

Sharing Data via OPC Server

Configuring an EasyView

Exporting Images via FTP

Exporting a Data File or Appending a Data String to a File via FTP

Exporting Images to an SD Card

Exporting a Data File or Appending a Data String to a File on an SD Card

Device Setup

Communications with Rockwell ControlLogix PLCs

Integrating with Universal Robots - TCP/IP


Sharing Data via OPC Server

If your application involves other devices that use an OPC server to communicate, you can enable inspection results (or input data) to transmit data to the In-Sight OPC UA Server or In-Sight OPC Classic Server.

The In-Sight OPC UA Server and In-Sight OPC Classic Server are supported on the following models.

Vision System/Sensor | In-Sight OPC UA Server Support | In-Sight OPC Classic Server Support
In-Sight Micro 1000 series | Not Supported | 4.x.x firmware
In-Sight 2000 series | 5.8.0 firmware and later | Not Supported
In-Sight 5400 and 5600 series | Not Supported | 4.x.x firmware
In-Sight 5705 and 5705C | Not Supported | 5.x.x firmware
In-Sight 7000 series | Not Supported | 4.x.x firmware
In-Sight 7000 Gen2 series | 5.8.0 firmware and later | 5.x.x firmware
In-Sight 8000 series | 5.8.0 firmware and later | 5.x.x firmware
In-Sight 9000 series | 5.8.0 firmware and later | 5.x.x firmware
Emulators | Not Supported | Supported

OPC Tags

Add OPC Tags to a Job File

OPC UA


OPC Tags

An OPC tag is a symbolic name that can be applied to the EasyBuilder inspection results of a supported In-Sight vision system/sensor. The OPC tag is visible to OPC UA clients so they can access the In-Sight job data. In the context of the In-Sight OPC UA implementation, two types of OPC Tags exist: Job Tags and System Tags.

An OPC Tag can represent the following data types:

  • Boolean: Used to represent tags that hold only boolean values.
  • Floating point: Used to represent tags that hold only floating-point values.
  • Integer: Used to represent tags that hold only integer values.

  • Text string: Used to represent tags that hold only text string values.

    Note:
    • Text strings support a maximum of 256 characters.
    • Text strings are sent to the OPC client in the Unicode representation of the text.

OPC Tags can have an access level of Read or Read/Write. The ability of OPC UA clients to read data from or write data to the In-Sight job file depends on the OPC tag access level.

  • Read: Values of tags may only be retrieved from the OPC UA client.
  • Read/Write: Values of tags may be retrieved or set by the OPC UA client.


Add OPC Tags to a Job File

Although every In-Sight vision system/sensor that supports OPC UA has predefined System Tags for use by OPC UA clients, these tags most likely do not expose everything you would like to access from the OPC UA client. For this reason, a Job Tag can be added to EasyBuilder inspection and job results, so the value may become available to the client.

  1. From the Communications group box, select OPC.
  2. From the Selected OPC Tags section, press the Add button to launch the Select OPC Tags dialog.
  3. The Select OPC Tags dialog contains the data from any Location or Inspection Tools that were added to your job, and the overall job results. From the dialog, select the appropriate data that you want to enable.
  4. Once you have selected your desired data, click the OK button to accept your changes. The OPC Tags are now displayed in the Selected OPC Tags section.
  5. Configure the OPC Server.
    • If using the OPC UA Server, see OPC UA.
    • If using the OPC Classic Server, refer to the In-Sight® OPC Classic Server Help file.


OPC UA

Open Platform Communications - Unified Architecture (OPC UA) is a modern communication protocol developed by the OPC Foundation, to provide a platform-independent, secure, open-architecture solution for industrial devices and systems. For In‑Sight, the vision system or vision sensor acts as the OPC UA Server and can communicate directly with an OPC UA client, eliminating the need for additional hardware.

The In-Sight OPC UA Server and In-Sight OPC Classic Server are supported on the following models. For more information on the In-Sight OPC Classic Server, refer to the In-Sight® OPC Classic Server Help file.

Vision System/Sensor | In-Sight OPC UA Server Support | In-Sight OPC Classic Server Support
In-Sight Micro 1000 series | Not Supported | 4.x.x firmware
In-Sight 2000 series | 5.8.0 firmware and later | Not Supported
In-Sight 5400 and 5600 series | Not Supported | 4.x.x firmware
In-Sight 5705 and 5705C | Not Supported | 5.x.x firmware
In-Sight 7000 series | Not Supported | 4.x.x firmware
In-Sight 7000 Gen2 series | 5.8.0 firmware and later | 5.x.x firmware
In-Sight 8000 series | 5.8.0 firmware and later | 5.x.x firmware
In-Sight 9000 series | 5.8.0 firmware and later | 5.x.x firmware
Emulators | Not Supported | Supported

The OPC UA client can access the following data from In-Sight vision systems/sensors:

  • Acquisition count
  • Active job name
  • Online status (including Native Online, Discrete Online and GUI Online)
  • Live Video mode status

In addition to retrieving data, the In-Sight OPC UA Server allows OPC UA clients to:

  • Save the active job
  • Load a job
  • Trigger acquisition events
  • Toggle Online mode
  • Toggle Live Video mode
Note: It is the custom application designer's responsibility to limit access to the server's exposed tags such as writing a new job file, writing a cell value or toggling the Online/Offline state of a vision system/sensor.

In addition, the OPC client can be configured to monitor changes to values for AddressSpace nodes (or "monitored items"). Instead of constantly polling for these value changes, you can create subscriptions for nodes to monitor these items. When a change is detected, a notification is generated and transferred to the OPC UA client by the subscription. The number of supported sessions, clients and nodes for monitored items depend on the vision system/sensor:

Vision System/Sensor | Number of Sessions/Clients | AddressSpace Nodes
In-Sight 2000 series | One session on one OPC UA client. | 50 nodes across 20 subscriptions per session/client.
In-Sight 7000 Gen2 series | Two sessions across two OPC UA clients. | 250 nodes across 20 subscriptions per session/client.
In-Sight 8000 series | Two sessions across two OPC UA clients. | 250 nodes across 20 subscriptions per session/client.
In-Sight 9000 series | Two sessions across two OPC UA clients. | 250 nodes across 20 subscriptions per session/client.

Enable the OPC UA Server

OPC UA Job Tags and System Tags

OPC UA Methods

SetSystemConfig: OPC UA Time Sync

Troubleshooting


Enable the OPC UA Server

If using OPC UA, you must first enable the In-Sight OPC UA Server on the vision system/sensor and then connect to it from the OPC UA client.

Tip: If you need to configure time synchronization for OPC UA tag timestamps, use the SetSystemConfig OPCUA.TimeSync Extended Native Mode command prior to enabling the OPC UA Server. For more information, see SetSystemConfig: OPC UA Time Sync.
  1. From the Communications group box, select OPC.

  2. Check the Enable OPC UA Server checkbox.

  3. Click OK.
  4. When prompted, click Yes to reboot the vision system/sensor. Once rebooted, the OPC UA server is initialized and running, and the discovery endpoint is listening for OPC UA client requests.
  5. Launch the OPC UA client.

  6. From the OPC UA client, you must enter the endpoint URL to connect to the OPC UA server. The endpoint URL must be in the following format, where <IP Address> is the IP address of the vision system/sensor:

    opc.tcp://<IP Address>:4840

    For example: opc.tcp://192.168.0.8:4840


OPC UA Job Tags and System Tags

Job Tags are user-configurable tags that represent a value stored in the In-Sight job file that you can expose to OPC UA clients. Job Tags are saved within the job file.

System Tags are default tags that are always available on any vision system/sensor that supports the OPC UA Server and can be added to your configuration. System Tags are not stored in the job file.

System Tag

Accessibility

Data Type

Description

AcquisitionCount

Read-only

Integer

Returns the number of acquisitions since the vision system/sensor has been powered up.

DiscreteOnline

Read-only

Boolean

Returns False if a Discrete Input line (configured as an Online/Offline Type) is set low (0). Otherwise, returns True.

GuiOnline

Read-only

Boolean

Returns True if the In-Sight Explorer GUI is set to Online mode (Sensor Menu > Online).

JobName

Read-only

String

Returns the name of the active job loaded on the vision system/sensor, if the active job has been saved.

Note: Since the JobName tag is read-only, you can use the SaveJobAs method to rename a job file. For more information, see OPC UA Methods.

LiveMode

Read/Write

Boolean
  • Reading: Returns True if the system/sensor is in Live Video mode. Otherwise, returns False.
  • Writing: Writing any non-zero value to the LiveMode tag places the vision system/sensor into Live Video mode. Writing zero to the LiveMode tag exits Live Video mode.
Note: If you have the Job View of a vision system/sensor open in In‑Sight Explorer after writing a value of True to the LiveMode tag, In‑Sight Explorer does not display the live image and the Job View status bar does not indicate Live Video mode.

NativeOnline

Read/Write

Boolean
  • Reading: Returns False if the Native Mode Set Online command "SO0" has been issued to the vision system/sensor. Otherwise, returns True.
  • Writing: Writing any non-zero value to the NativeOnline tag places the In-Sight vision system/sensor Offline via Native Mode (equivalent to issuing the Native Mode Set Online command "SO0"). Writing zero to the NativeOnline tag allows the vision system/sensor to be placed Online (equivalent to issuing the Native Mode Set Online command "SO1").

Online

Read-only

Boolean

Returns the logical 'AND' of the following: (DiscreteOnline AND NativeOnline AND GuiOnline).


OPC UA Methods

The following default methods are always available on any vision system/sensor that supports the OPC UA Server and can be added to your configuration. Methods are not stored in the job file.

Method

Accessibility

Data Type

Description
LoadJob(filename) Read/Write String

Loads the specified job name on to the vision system.

Note:

  • The job name specified must exist as a file on the vision system/sensor. Otherwise, an error is returned.

  • If either of the following errors occur when loading large job files, consider changing the default timeout value(s) to reflect the amount of time it takes for your job to load.
    • The LoadJob method has a default timeout of 10 seconds. If the default timeout is exceeded, a method timeout error is displayed in the OPC UA client. The job will still load and communications will still function.
    • The connection watchdog timeout has a default timeout of 5 seconds. When the job is loading, the vision system/sensor does not update the OPC UA client. If this state persists and it exceeds the default timeout, a connection warning watchdog timeout error is displayed in the OPC UA client. Once the job loads, the connection is automatically re-established and communications resume automatically.
SaveJobAs(filename) Read/Write String

Saves the active job file as the specified string.

Note: The vision system/sensor must be Offline in order to call the SaveJobAs method. Otherwise, an error is returned.
TriggerManualAcquisition Read/Write N/A

Fires a Manual Acquisition on the vision system/sensor.
TriggerSoftEvent(index) Read/Write Integer

Fires a Soft Trigger on the vision system. Writing an integer value of 0 through 7 to the TriggerSoftEvent method fires the corresponding "Soft n" trigger event in the spreadsheet, where n is the integer value written.


SetSystemConfig: OPC UA Time Sync

Configures the time synchronization for OPC UA tag timestamps.

Note: This Extended Native Mode command is supported for the In-Sight 2000 vision sensor.

Inputs

Syntax: EV SetSystemConfig("OPCUA.TimeSync",[TimeSyncFrequency],[InitialTimeoutSec],[TimeSyncFrequencySec],[WriteProcSet])

Parameter

 Description

"OPCUA.TimeSync"

References the OPC UA time sync settings.

TimeSyncFrequency
  • 0 = The date/time is synchronized once, during system startup only. (default)
  • 1 = The date/time is continuously synchronized, based on the TimeSyncFrequencySec parameter value. This setting is recommended for high accuracy time synchronization.
InitialTimeoutSec

Specifies the amount of time the OPC UA server will wait (in seconds) for the date/time change to take effect. (default = 15 seconds)

Note:
  • The OPC UA Server will not start until the specified InitialTimeoutSec time has elapsed.
  • If the vision system/sensor's Date/Time settings have been manually configured and an SNTP server or external device configured for Precision Time Protocol (PTP) is not located when the vision system/sensor's power is cycled, the initial date/time are reset to Thursday, January 01, 1970 and 12:00:00 AM. In this case, increase the InitialTimeoutSec, and after the vision system/sensor powers up, manually configure the Date/Time settings.
TimeSyncFrequencySec

Specifies the time synchronization frequency when the TimeSyncFrequency parameter value is set to 1. (default = 1 second)

WriteProcSet
  • 0 = Settings are not saved in the proc.set file. The settings do not persist if the In-Sight vision system/sensor is power cycled. (default)
  • 1 = Settings are saved in the proc.set file. The settings persist after the In-Sight vision system/sensor is power cycled.

Outputs

Returns a status code, followed by the number of characters (in bytes) for the results, then the results in XML format. The status codes are:

Status Codes | Description
1 | The command was executed successfully.
0 | Unrecognized command.
-2 | The command could not be executed.
-6 | User does not have Full Access to execute the command.


Troubleshooting

Problem Resolution

If using UaExpert as the client, after fourteen to sixteen 30-second session timeouts, the vision system stops responding to any OPC UA requests and UaExpert clients cannot connect to the vision system.

When this occurs, new and previously timed-out clients receive the following error when attempting to connect:

"Error 'BadTimeout' was returned during OpenSecureChannel"

Note: When in this state, everything else works as expected. You can verify how many session timeouts have occurred using the Sensor Status View within In-Sight Explorer (Window > Show Sensor Status View).

For UaExpert:

  • SecureChannelLifetime: Determines how long to keep the channel active. (Default = one hour. Minimum = 5 minutes.)
  • SessionTimeout: Determines how long to wait before disconnecting an unresponsive session. Note that the secure channel remains active after a timeout. (Default = 20 minutes. Minimum = 30 seconds.)
  1. Wait one hour for SecureChannelLifetime to reset.
  2. If you have a very long SecureChannelLifetime and many session timeouts during this time, reboot the vision system/sensor.


Configuring an EasyView

If using an HMI application, you can create an EasyView to customize how data is displayed and to determine if the data is editable by the operator. First, create the EasyView in EasyBuilder and save it with the sensor's job. Then, preview the EasyView using the VisionView PC Demo application, or the Web HMI application to ensure it is configured correctly.

To configure an EasyView:

  1. From the Communications group box, select EasyView.
  2. From the Selected EasyView Items section, press the Add button to launch the Select EasyView Items dialog.

  3. The Select EasyView Items dialog contains the data from any Location or Inspection Tools that were added to your job, as well as acquisition and job settings. From the dialog, select the appropriate tool data that you want to include in the EasyView, by either highlighting the desired items and then pressing the Add button, or check the EasyView checkbox of the item.

    Note:
    • To select multiple, non-consecutive items, hold down the CTRL key and highlight the items.
    • To select multiple, consecutive items, hold down the SHIFT key and highlight the first item, and then the last item, in the list.

  4. Once you have selected your desired tool data, click the OK button to accept your changes. The tool data is now displayed in the Selected EasyView Items section.

    Note:
    • To select multiple, non-consecutive items, hold down the CTRL key and highlight the items.
    • To select multiple, consecutive items, hold down the SHIFT key and highlight the first item, and then the last item, in the list.

  5. After you have added your tool data, optionally enable the Editable checkbox to allow the operator to modify the tool data from VisionView.

    Note: The tool data must have read-write permissions to be editable from VisionView.
  6. Optionally, press the Insert Label button to create a header label. Labels are a useful way to group tool data.
  7. The Caption is the name that is displayed from the HMI application. You can modify the default Caption by clicking within the Caption field of the tool data or label, and entering a descriptive name. Hit the ENTER key or click outside of the Caption field to commit the change; press the ESCAPE key to cancel the change.
  8. Rearrange the way the tool data and/or labels are displayed by selecting them from the list and clicking either the Up or Down buttons to set the desired order.

  9. Save the job file.

    Note: The EasyView settings are also automatically saved to the In-Sight sensor upon leaving the Communication step.

  10. To preview how the EasyView will be displayed l, launch the VisionView PC Demo application or the Web HMI.

    Note: If the VisionView PC Demo is installed to your PC, the default installation directory is: C:/Program Files/Cognex/VisionView/PC Demo x.x.x. If the VisionView PC Demo is not installed to your PC, you can download the application from the VisionView support site.
  11. Once the VisionView PC Demo or the Web HMI is launched, disconnect from the sensor in the Get Connected step.

  12. If you use the Web HMI, you can preview the EasyView in the EasyView pane. For more information, see EasyView Pane.

    In you use the VisionView PC Demo, add your sensor to the Selected Sensors list, enter Run Mode and click the Switch View button to preview the EasyView.

    Note:
    • To preview an EasyView, you must enable the EasyView options in the HMI View Selection dialog first. For more information, see HMI View Selection Dialog.
    • The VisionView PC Demo has an automatic timeout of forty-five minutes. To purchase a licensed version that provides complete functionality and does not timeout, install the VisionView PC Software, which is available for download on the VisionView support site.
    • The look-and-feel of the VisionView PC Demo application will be slightly different than that of the VisionView Operator Interface Panel.
    • To preview an EasyView while logged onto an emulator, you must first manually add the emulator to the Selected Sensors list in the VisionView application.


Exporting Images via FTP

You can configure your In-Sight vision system to export images to an FTP server on the network. This allows you to store acquired images (based on a tool or job's pass/failure condition) to another device for archival purposes. These images can then be reviewed, helping you to diagnose problems that may have been encountered during the production process.

To configure an FTP connection:

  1. From the Communications group box, select FTP.
  2. Select the Image tab.

  3. Press the Add button to add an entry and configure the image export parameters.

    Note: More than one image export operation can be added to a job.
  4. Select the Settings tab and configure the FTP server settings.
  5. Place the In-Sight vision system Online. The vision system must be Online to execute; otherwise, no images will be exported.
  6. Trigger the vision system to acquire images. For each acquired image, an image file (BMP or JPG, depending on the File Format parameter) is exported and stored on the host specified in the Host Name parameter.
Note:
  • When Transfer Condition is set to None (default), an image file will be exported every time a new image is acquired. When Transfer Condition is set to other than None, an image file will be exported every time the specified event occurs. For example, when Transfer Condition is set to Job.Fail, an image file is exported and stored on the FTP server every time the job fails.
  • When using the In-Sight emulator as an FTP server, by default, files are written to the Emulator folder ([ProgramData]\Cognex\In-Sight\Emulators\x.x.x). In addition to this directory, files can be written to a user-defined location (Authorized FTP directory). For more information on the Authorized FTP directory, see Emulation Panel.

Image Tab

Provides parameters for defining the exported image, its format, when the image is exported and where the image is exported.

Closed Enabled check box

Defines whether or not the image export operation is operational (by default, it is checked), and whether or not it will be exposed as an EasyView item (for example, WriteImageFTP_1.Tool_Enabled), which can be displayed on the VisionView Operator Interface Panel and is editable by the operator.

Note: To enable, check the Enable checkbox in the table. This is the only parameter you can configure in the table.
Closed Name

Defines the name of your image export operation, which can be utilized in configuring the results (Inputs/Outputs and Communication); the default name is "WriteImageFtp_1" (if it is the first image export operation added to the job, otherwise it will be incremented, e.g. “WriteImageFtp_2”, “WriteImageFtp_3”, etc.). Customize the operation by giving it a name that is associated with its Transfer Condition, for instance.

Closed Transfer Condition

Defines when the data should be sent to the FTP server, such as when a particular tool passes or fails, or an input is received. By default, None is selected, which ensures that the data will be exported every time an image is acquired, when the Enabled checkbox is checked. If the Enabled checkbox is disabled, or the tool referenced is disabled, the export operation will not execute.

Closed Device

Defines the FTP server, configured in the Settings Tab, that will receive the exported data. By default, Device 1 is selected.

Closed File Format

Defines the file format of the exported image: BMP (Windows bitmap format) or JPG (standard encoded JPEG format). By default, BMP is selected.

Closed Image Size

Defines the resolution of the exported image: Full, Half or Quarter. By default, Full is selected.

Closed Include Graphics

Defines whether or not an SVG file will be created that contains overlay graphic data for supported Location and Inspection Tools. To view the SVG file and image file, open the SVG file with a Web browser that supports the SVG file type (e.g. Microsoft Internet Explorer 9.0). The SVG file contains an internal link to the acquired image associated with it, and when the browser opens the SVG file, it follows the link to open and display the acquired image along with the overlay graphics.

Note:
  • To enable, check the Include Graphics checkbox in the group box in the right-hand side. The Include Graphics checkbox in the table is read-only.
  • When enabled, the SVG file will use the name specified in the File Name parameter.
  • When the Host Name parameter in the Settings tab is set to an In-Sight emulator, the svg files are saved to the emulator directory ([ProgramData]\Cognex\In-Sight\Emulators\x.x.x) and displayed in the In-Sight Files pane.For more information, see In-Sight Files.
  • If a Location and/or Inspection Tool has been configured to hide its overlay graphics by modifying the Tool Options in the Result Display Options dialog, the SVG graphics will not be output. By default, all tools display their overlay graphics.
  • Due to the graphics being rendered by a third-party application, such as a Web browser, the overlay graphic data will not be an exact pixel-for-pixel match.
  • In-Sight firmware does not guarantee the transmission of every SVG and image file pair. If the In-Sight vision system is overloaded, it may skip the transmission of one or both the SVG and/or image file to ensure that inspections and/or image acquisitions are not missed.
Closed File Name Preview

Previews the name of the image file that is exported; by default, Image999 is displayed. The file name can be customized by configuring the following parameters: Default File Name, Add Link, Add Timestamp and Add Counter.

Note:
  • Define at least one parameter for the image file. If the Default File Name field is blank and the Add Link, Add Timestamp and Add Counter checkboxes are unchecked, the file export operation will fail.
  • The order of the parameters cannot be changed.
  • When the Add Counter parameter is enabled, the Maximum Value of the counter is always displayed in the File Name Preview.
Closed Default File Name

Defines the name of the image file that is exported; the default name is "Image." Long file names are supported.

Closed Add Link

Defines whether or not the selected tool will be linked and added to the name of the file that is exported. By default, this checkbox is disabled.

Note:
  • The export operation will fail if the selected tool is linked to a string that contains any of the following invalid characters: <, >, :, ", /, \, |, ? or *.
  • The Add Link checkbox is grayed out when EasyBuilder cannot find any tool that can be linked.
  • If the linked tool is removed from the job, the Add Link checkbox will be automatically disabled.
  • When the Add Link checkbox is enabled, do not select Undefined from the drop-down list; it may produce undefined results.
Closed Add Timestamp

Defines whether or not a timestamp will be added to the name of the image file that is exported. By default, this checkbox is disabled. When enabled, one of the following pre-configured timestamp formats can be selected from the drop-down list: MMDDYY, YYYYMMDD_HHMMSS, DDMMYY_HHMMSS, MM-DD-YYYY_HH.MM.SS, HHMMSS, YYMMDD_HHMMSS or YYDDMM_HHMMSS.

Note: You can configure the In-Sight vision system's date/time settings in the Date/Time Setting dialog. For more information, see Date/Time Settings Dialog.
Closed Add Counter

Defines whether or not a counter will be added to the name of the image file that is exported (default = enabled). When enabled, the counter's Maximum Value can be specified (0 to 9999999; default = 999). A counter will increment itself as each image file is exported. The counter automatically resets itself when it equals the Maximum Value; existing image files will be overwritten by new files of the same name.

Closed Add button

Adds a new export operation to the list.

Closed Remove button

Removes an export operation from the list. Only one export operation may be removed at a time.

Closed Reset All Counters button

Resets the value added to the name of the image file for each image export operation in the list to 000.

Settings Tab

The Settings Tab provides parameters for defining two target devices. The target device can be an In-Sight emulator, or any other host acting as an FTP server on the network.

Closed Host Name

Defines the host name (or IP address) for the target device's FTP server.

Note:
  • If an invalid Host Name is specified, the connection may take up to 30 seconds to timeout.

  • When specifying the Host Name or User Name, do not use spaces before or after the name. If the name specified in the Host Name or User Name setting contains a space before or after the name, the image export operation will fail to write the image to the specified server.

  • If you have another PC with an FTP server installed, you can choose that as your storage location. Note that In-Sight Explorer software is considered an FTP server. If you are using a third party FTP server, In-Sight Explorer should be closed. If no other FTP server is running, In-Sight Explorer must be running. If you are using a third party FTP server, the PC's IP address must be used in the Host Name parameter.
  • The port number of the FTP server connection can be changed by appending the Host Name (or IP address) with a colon (:) and the new port number. For example, if the current Host Name was PRODUCTION1, to change the default port number (21) to port 34, the Host Name parameter is changed to: PRODUCTION1:34.
Closed User Name

Defines the valid user name for the target device's FTP server (must not exceed 255 characters). This name does not have to exist on the In-Sight vision system that is exporting the image file or data.

Closed Password

Defines the valid password for the target device's FTP server. The password is case-sensitive, and its length cannot exceed 20 characters.

Note:
  • For security purposes, the password you enter is masked with "*" in the field.
  • The password will be saved in the job file in encrypted form.
Closed Connection Type

Defines the type of image export connection: Standard FTP (default selection), Secure FTP or Mitsubishi GOT. Secure FTP provides a secure transmission protocol, for use with SFTP applications, and Mitsubishi GOT provides support for displaying images on a Mitsubishi GOT terminal.

Note: When the Connection Type parameter is set to Mitsubishi GOT, ensure that the File Format parameter in the Images tab is set to JPG for the best display results.
Closed FTP Settings button

Launches the FTP Settings dialog. For more information, see FTP Settings Dialog.

Note: Typically you do not need to modify the default settings on dedicated, local In-Sight networks where all FTP connections will occur between In-Sight vision systems. However, if FTP connections are needed between In-Sight vision systems and other network servers, or between vision systems on different networks, you may need to change the default FTP settings.
Closed Last Network Error

Displays the cause of an error when one is encountered during an export operation. An event specified in File Tab - Transfer Condition must have occurred, e.g. triggering an image, or you must place the In-Sight vision system online for this field to be updated.


Exporting a Data File or Appending a Data String to a File via FTP

You can configure your In-Sight vision system to export a data file or append a data string to a file on an FTP server on the network. Use this feature to log data results that you view in a file.

To configure an FTP connection:

  1. From the Communications group box, select FTP.
  2. Select the File tab.

  3. Press the Add button to add an entry and configure the export parameters.

    Note: You can add more than one file export operation to a job.
  4. Select the Settings tab and configure the FTP server settings.
  5. Place the In-Sight vision system Online. The vision system must be Online to execute; otherwise, no data will be exported.
  6. Trigger the vision system. For each trigger, a data file is exported or a data string is appended to a file, and stored on the FTP server specified in the Settings tab.
Note:
  • When Transfer Condition is set to None (default), a data file is exported or a data string is appended to a file every time a new image is acquired. When Transfer Condition is set to other than None, a data file is exported or a data string is appended to a file every time the specified event occurs. For example, when Transfer Condition is set to Job.Fail, a data file is exported or a data string is appended to a file, and stored on the FTP server every time the job fails.
  • When using the In-Sight emulator as an FTP server, by default, files are written to the Emulator folder ([ProgramData]\Cognex\In-Sight\Emulators\x.x.x). In addition to this directory, files can be written to a user-defined location (Authorized FTP directory). For more information on the Authorized FTP directory, see Emulation Panel.

File Tab

Provides parameters for defining the exported data, its format, when the data is exported and where the data is exported.

Closed Enabled check box

Defines whether or not the export operation is operational (by default, it is checked), and whether or not it will be exposed as an EasyView item (for example, WriteLocal_1.Tool_Enabled), which can be displayed on the VisionView Operator Interface Panel and is editable by the operator.

Note: To enable, check the Enable checkbox in the table. This is the only parameter you can configure in the table.
Closed Name

Defines the name of your data export operation, which can be utilized in configuring the results Inputs/Outputs and Communication); the default name is "WriteFtp_1" (if it is the first image export operation added to the job, otherwise it will be incremented, e.g. “WriteFtp_2”, “WriteFtp_3”, etc.). Customize the operation by giving it a name that is associated with its Transfer Condition, for instance.

Closed Transfer Condition

Defines when the data should be sent to the FTP server, such as when a particular tool passes or fails, or an input is received. By default, None is selected, which ensures that the data will be exported every time an image is acquired, when the Enabled checkbox is checked. If the Enabled checkbox is disabled, or the tool referenced is disabled, the export operation will not execute.

Closed Device

Defines the FTP server, configured in the Settings Tab, that will receive the exported data. By default, Device 1 is selected.

Closed File Type

Defines the format of the exported file: Text, HTML (default), XML or CSV.

Closed Write Type (Overwrite or Append)

Defines the way that data is written to the file.

  • Overwrite: Overwrites the existing data in the file.
  • Append (default): Appends the data string to the end of the file.
Closed File Contents/Format String button

Defines the data written to the file using the FormatString dialog. For more information, see Format String Dialog.

Closed File Name Preview

Previews the name of the file that is exported; by default, File is displayed. You can customize the file name by configuring the following parameters: Default File Name, Add Link and Add Timestamp.

Note:
  • Define at least one parameter for the file. If the Default File Name field is blank and the Add Link and Add Timestamp checkboxes are unchecked, the file export operation will fail.
  • The order of the parameters cannot be changed.
Closed Default File Name

Defines the name of the file that is exported; the default name is "File". Long file names are supported.

Closed Add Link

Defines whether or not the selected tool will be linked and added to the name of the file that is exported. By default, this checkbox is disabled.

Note:
  • The export operation will fail if the selected tool is linked to a string that contains any of the following invalid characters: <, >, :, ", /, \, |, ? or *.
  • The Add Link checkbox is grayed out when EasyBuilder cannot find any tool that can be linked.
  • If the linked tool is removed from the job, the Add Link checkbox will be automatically disabled.
  • When the Add Link checkbox is enabled, do not select Undefined from the drop-down list; it may produce undefined results.
Closed Add Timestamp

Defines whether or not a timestamp will be added to the name of the image file that is exported. By default, this checkbox is disabled. When enabled, one of the following pre-configured timestamp formats can be selected from the drop-down list: MMDDYY, YYYYMMDD_HHMMSS, DDMMYY_HHMMSS, MM-DD-YYYY_HH.MM.SS, HHMMSS, YYMMDD_HHMMSS or YYDDMM_HHMMSS.

Note: You can configure the In-Sight vision system's date/time settings in the Date/Time Setting dialog. For more information, see Date/Time Settings Dialog.
Closed Add button

Adds a new export operation to the list.

Closed Remove button

Removes an export operation from the list. Only one export operation may be removed at a time.

Settings Tab

The Settings Tab provides parameters for defining two target devices. The target device can be an In-Sight emulator, or any other host acting as an FTP server on the network.

Closed Host Name

Defines the host name (or IP address) for the target device's FTP server.

Note:
  • If an invalid Host Name is specified, the connection may take up to 30 seconds to timeout.

  • When specifying the Host Name or User Name, do not use spaces before or after the name. If the name specified in the Host Name or User Name setting contains a space before or after the name, the image export operation will fail to write the image to the specified server.

  • If you have another PC with an FTP server installed, you can choose that as your storage location. Note that In-Sight Explorer software is considered an FTP server. If you are using a third party FTP server, In-Sight Explorer should be closed. If no other FTP server is running, In-Sight Explorer must be running. If you are using a third party FTP server, the PC's IP address must be used in the Host Name parameter.
  • The port number of the FTP server connection can be changed by appending the Host Name (or IP address) with a colon (:) and the new port number. For example, if the current Host Name was PRODUCTION1, to change the default port number (21) to port 34, the Host Name parameter is changed to: PRODUCTION1:34.
Closed User Name

Defines the valid user name for the target device's FTP server (must not exceed 255 characters). This name does not have to exist on the In-Sight vision system that is exporting the image file or data.

Closed Password

Defines the valid password for the target device's FTP server. The password is case-sensitive, and its length cannot exceed 20 characters.

Note:
  • For security purposes, the password you enter is masked with "*" in the field.
  • The password will be saved in the job file in encrypted form.
Closed Connection Type

Defines the type of image export connection: Standard FTP (default selection), Secure FTP or Mitsubishi GOT. Secure FTP provides a secure transmission protocol, for use with SFTP applications, and Mitsubishi GOT provides support for displaying images on a Mitsubishi GOT terminal.

Note: When the Connection Type parameter is set to Mitsubishi GOT, ensure that the File Format parameter in the Images tab is set to JPG for the best display results.
Closed FTP Settings button

Launches the FTP Settings dialog. For more information, see FTP Settings Dialog.

Note: Typically you do not need to modify the default settings on dedicated, local In-Sight networks where all FTP connections will occur between In-Sight vision systems. However, if FTP connections are needed between In-Sight vision systems and other network servers, or between vision systems on different networks, you may need to change the default FTP settings.
Closed Last Network Error

Displays the cause of an error when one is encountered during an export operation. An event specified in File Tab - Transfer Condition must have occurred, e.g. triggering an image, or you must place the In-Sight vision system online for this field to be updated.


Exporting Images to an SD Card

You can configure your In-Sight vision system to export images to the SD card installed to the In-Sight vision system. This allows you to store acquired images (based on a tool or job's pass/failure condition) for archival purposes. These images can then be reviewed, helping you to diagnose problems that may have been encountered during the production process.

Note: This feature is supported only on the In-Sight vision systems on which the SD card is installed.

To send images to the SD card:

  1. From the Communications group box, select SD Card.
  2. Select the Image tab.

  3. Press the Add button to add an entry and configure the image export parameters.

    Note: More than one image export operation can be added to a job.
  4. Place the In-Sight vision system Online. The vision system must be Online to execute; otherwise, no images will be exported.

  5. Trigger the vision system to acquire images. For each acquired image, an image file (BMP or JPG, depending on the File Format parameter) is exported and stored on the SD card installed to the vision system.

    Note: When Transfer Condition is set to None (= default), an image file will be exported every time a new image is acquired. When Transfer Condition is set to other than None, an image file will be exported every time the specified event occurs. For example, when Transfer Condition is set to Job.Fail, an image file is exported and stored on the SD card every time the job fails.

Controls

Closed Enabled check box

Defines whether or not the image export operation is operational (by default, it is checked), and whether or not it will be exposed as an EasyView item (for example, WriteImageLocal_1.Tool_Enabled), which can be displayed on the VisionView Operator Interface Panel and is editable by the operator.

Note: To enable, check the Enable checkbox in the table. This is the only parameter you can configure in the table.
Closed Name

Defines the name of your image export operation, which can be utilized in configuring the results Inputs/Outputs and Communication); the default name is "WriteImageLocal_1" (if it is the first image export operation added to the job, otherwise it will be incremented, e.g. “WriteImageLocal_2”, “WriteImageLocal_3”, etc.). Customize the operation by giving it a name that is associated with its Transfer Condition, for instance.

Closed Transfer Condition

Defines when the image should be sent to the SD card, such as when a particular tool passes or fails, or an input is received. By default, None is selected, which ensures that an image will be exported every time an image is acquired, when the Enabled checkbox is checked. If the Enabled checkbox is disabled, or the tool referenced is disabled, the export image operation will not execute.

Note: If the Transfer Condition of a particular image export operation occurs with a high frequency, such as every image acquisition, the image queue of the In-Sight vision system may fill and prevent the exporting of additional image export operations, resulting in some images not being transferred.
Closed File Format

Defines the file format of the exported image: BMP (Windows bitmap format) or JPG (standard encoded JPEG format). By default, BMP is selected.

Closed Image Size

Defines the resolution of the exported image: Full, Half or Quarter. By default, Full is selected.

Closed Include Graphics

Defines whether or not an SVG file will be created that contains overlay graphic data for supported Location and Inspection Tools. To view the SVG file and image file, open the SVG file with a Web browser that supports the SVG file type (e.g. Microsoft Internet Explorer 9.0). The SVG file contains an internal link to the acquired image associated with it, and when the browser opens the SVG file, it follows the link to open and display the acquired image along with the overlay graphics.

Note:
  • To enable, check the Include Graphics checkbox in the group box in the right-hand side. The Include Graphics checkbox in the table is read-only.
  • When enabled, the SVG file will use the name specified in the File Name parameter.
  • When the Host Name parameter in the Settings tab is set to an In-Sight emulator, the svg files are saved to the emulator directory ([ProgramData]\Cognex\In-Sight\Emulators\x.x.x) and displayed in the In-Sight Files pane.For more information, see In-Sight Files.
  • If a Location and/or Inspection Tool has been configured to hide its overlay graphics by modifying the Tool Options in the Result Display Options dialog, the SVG graphics will not be output. By default, all tools display their overlay graphics.
  • Due to the graphics being rendered by a third-party application, such as a Web browser, the overlay graphic data will not be an exact pixel-for-pixel match.
  • In-Sight firmware does not guarantee the transmission of every SVG and image file pair. If the In-Sight vision system is overloaded, it may skip the transmission of one or both the SVG and/or image file to ensure that inspections and/or image acquisitions are not missed.
Closed File Name Preview

Previews the name of the image file that is exported; by default, Image999 is displayed. The file name can be customized by configuring the following parameters: Default File Name, Add Link, Add Timestamp and Add Counter.

Note:
  • Define at least one parameter for the image file. If the Default File Name field is blank and the Add Link, Add Timestamp and Add Counter checkboxes are unchecked, the file export operation will fail.
  • The order of the parameters cannot be changed.
  • When the Add Counter parameter is enabled, the Maximum Value of the counter is always displayed in the File Name Preview.
Closed Default File Name

Defines the name of the image file that is exported; the default name is "Image." Long file names are supported.

Closed Add Link

Defines whether or not the selected tool will be linked and added to the name of the file that is exported. By default, this checkbox is disabled.

Note:
  • The export operation will fail if the selected tool is linked to a string that contains any of the following invalid characters: <, >, :, ", /, \, |, ? or *.
  • The Add Link checkbox is grayed out when EasyBuilder cannot find any tool that can be linked.
  • If the linked tool is removed from the job, the Add Link checkbox will be automatically disabled.
  • When the Add Link checkbox is enabled, do not select Undefined from the drop-down list; it may produce undefined results.
Closed Add Timestamp

Defines whether or not a timestamp will be added to the name of the image file that is exported. By default, this checkbox is disabled. When enabled, one of the following pre-configured timestamp formats can be selected from the drop-down list: MMDDYY, YYYYMMDD_HHMMSS, DDMMYY_HHMMSS, MM-DD-YYYY_HH.MM.SS, HHMMSS, YYMMDD_HHMMSS or YYDDMM_HHMMSS.

Note: You can configure the In-Sight vision system's date/time settings in the Date/Time Setting dialog. For more information, see Date/Time Settings Dialog.
Closed Add Counter

Defines whether or not a counter will be added to the name of the image file that is exported (default = enabled). When enabled, the counter's Maximum Value can be specified (0 to 9999999; default = 999). A counter will increment itself as each image file is exported. The counter automatically resets itself when it equals the Maximum Value; existing image files will be overwritten by new files of the same name.

Closed Add button

Adds a new export operation to the list.

Closed Remove button

Removes an export operation from the list. Only one export operation may be removed at a time.

Closed Reset All Counters button

Resets the value added to the name of the image file for each image export operation in the list to 000.


Exporting a Data File or Appending a Data String to a File on an SD Card

You can configure your In-Sight vision system to export a data file or append a data string to a file on the SD card. Use this feature to log data results that you view in a file.

Note: This feature is supported only on the In-Sight vision systems on which the SD card is installed.

To export data or append data string to a file on the SD card:

  1. From the Communications group box, select SD Card.
  2. Select the File tab.

  3. Press the Add button to add an entry and configure the parameters in the File tab.

    Note: You can add more than one file export operation to a job.
  4. Place the In-Sight vision system Online. The vision system must be Online to execute; otherwise, no data will be exported.

  5. Trigger the vision system. For each trigger, a data file is exported or a data string is appended to a file, and stored on the SD card installed to the vision system.

    Note: When Transfer Condition is set to None (default), a data file is exported or a data string is appended to a file every time a new image is acquired. When Transfer Condition is set to other than None, a data file is exported or a data string is appended to a file every time the specified event occurs. For example, when Transfer Condition is set to Job.Fail, a data file is exported or a data string is appended to a file, and stored on the SD card every time the job fails.

Controls

Closed Enabled check box

Defines whether or not the export operation is operational (by default, it is checked), and whether or not it will be exposed as an EasyView item (for example, WriteLocal_1.Tool_Enabled), which can be displayed on the VisionView Operator Interface Panel and is editable by the operator.

Note: To enable, check the Enable checkbox in the table. This is the only parameter you can configure in the table.
Closed Name

Defines the name of your data export operation, which can be utilized in configuring the results Inputs/Outputs and Communication); the default name is "WriteLocal_1" (if it is the first image export operation added to the job, otherwise it will be incremented, e.g. “WriteLocal_2”, “WriteLocal_3”, etc.). Customize the operation by giving it a name that is associated with its Transfer Condition, for instance.

Closed Transfer Condition

Defines when the data should be sent to the SD card, such as when a particular tool passes or fails, or an input is received. By default, None is selected, which ensures that the data will be exported every time an image is acquired, when the Enabled checkbox is checked. If the Enabled checkbox is disabled, or the tool referenced is disabled, the export operation will not execute.

Closed File Type

Defines the format of the exported file: Text, HTML (default), XML or CSV.

Closed Write Type (Overwrite or Append)

Defines the way that data is written to the file.

  • Overwrite: Overwrites the existing data in the file.
  • Append (default): Appends the data string to the end of the file.
Closed File Contents/Format String button

Defines the data written to the file using the FormatString dialog. For more information, see Format String Dialog.

Closed File Name Preview

Previews the name of the file that is exported; by default, File is displayed. You can customize the file name by configuring the following parameters: Default File Name, Add Link and Add Timestamp.

Note:
  • Define at least one parameter for the file. If the Default File Name field is blank and the Add Link and Add Timestamp checkboxes are unchecked, the file export operation will fail.
  • The order of the parameters cannot be changed.
Closed Default File Name

Defines the name of the file that is exported; the default name is "File". Long file names are supported.

Closed Add Link

Defines whether or not the selected tool will be linked and added to the name of the file that is exported. By default, this checkbox is disabled.

Note:
  • The export operation will fail if the selected tool is linked to a string that contains any of the following invalid characters: <, >, :, ", /, \, |, ? or *.
  • The Add Link checkbox is grayed out when EasyBuilder cannot find any tool that can be linked.
  • If the linked tool is removed from the job, the Add Link checkbox will be automatically disabled.
  • When the Add Link checkbox is enabled, do not select Undefined from the drop-down list; it may produce undefined results.
Closed Add Timestamp

Defines whether or not a timestamp will be added to the name of the image file that is exported. By default, this checkbox is disabled. When enabled, one of the following pre-configured timestamp formats can be selected from the drop-down list: MMDDYY, YYYYMMDD_HHMMSS, DDMMYY_HHMMSS, MM-DD-YYYY_HH.MM.SS, HHMMSS, YYMMDD_HHMMSS or YYDDMM_HHMMSS.

Note: You can configure the In-Sight vision system's date/time settings in the Date/Time Setting dialog. For more information, see Date/Time Settings Dialog.
Closed Add button

Adds a new export operation to the list.

Closed Remove button

Removes an export operation from the list. Only one export operation may be removed at a time.


Device Setup

To communicate data to and from other devices, such as a robot or PLC/MC, you must first define the network and serial communication settings of the In-Sight sensor.

  • Communicating With a PLC/Motion Controller
  • Communicating With A Robot
  • Communicating with Mitsubishi Devices
  • Communicating Over Modbus TCP
  • Communicating Over TCP/IP
  • Communicating Over UDP
  • Communicating Over POWERLINK
  • Inputting Data for Identification Tools
  • Formatting Output Data
Note: In EasyBuilder, when the output of a Location or Inspection Tool is invalid, the default value for that tool will be placed in the output data buffer. For example, if a Pattern Location Tool does not find a matching pattern, the X and Y data for that tool will be invalid and default to a value of 0, which would then be output. When configuring your device to send output data, it is recommended that in addition to sending the results of a tool, the tool's Pass/Fail status should also be sent to ensure that the tool's data is valid. To change the default value in the output buffer when a tool result is invalid, send the following In-Sight Native Mode commands: For data, EV SetSystemConfig("FormatOutputBufferErrData",-1111), where "-1111" represents a known error; for output strings, EV SetSystemConfig("FormatOutputBufferErrString","Error"), where "Error" represents the error string.

Supported Protocols

Up to two protocols can be added to a job. When adding two protocols, you can add one "primary" protocol and one "secondary" protocol. For example, after adding the SLMP Scanner protocol (primary), you click the Add Device button again and add the TCP/IP protocol (secondary).

Note: You cannot add two "primary" protocols or two "secondary" protocols to a job.

In-Sight Firmware 4.x.x

 | Primary or Secondary | Micro 1000 Series | 5000 Series (except 5705 & 5705C) | 70xx - 74xx Series
CC-Link | Primary | X | X | X
Ethernet Native | Primary | X | X | X
Ethernet Native Robot | Primary | X | X | X
Ethernet Native String | Primary | X | X | X
EtherNet/IP | Primary | X | X | X
Modbus TCP Server | Primary | X | X | X
POWERLINK | Primary |  |  | X
PROFINET | Primary | X | X | X
Serial Kuka | Primary | X | X | X
Serial Motoman | Primary | X | X | X
Serial Native | Primary | X | X | X
Serial Native Robot | Primary | X | X | X
Serial Native String | Primary | X | X | X
Serial Text | Primary | X | X | X
SLMP | Primary | X | X | X
SLMP Scanner | Primary | X | X | X
TCP/IP | Secondary | X | X | X
UDP | Secondary | X | X | X

In-Sight Firmware 5.x.x

 | Primary or Secondary | 2000 Series | 5705 & 5705C | 7000 Gen2 Series | 8000 Series | 9000 Series
CC-Link IE Field Basic | Primary | X | X | X | X | X
Ethernet Native | Primary |  | X | X | X | X
Ethernet Native Robot | Primary |  | X | X | X | X
Ethernet Native String | Primary |  | X | X | X | X
EtherNet/IP | Primary | X | X | X | X | X
Modbus TCP Server | Primary | X | X | X | X | X
PROFINET | Primary | X | X | X | X | X
Serial Kuka | Primary |  | X | X | X | X
Serial Motoman | Primary |  | X | X | X | X
Serial Native | Primary | X (Basic) | X | X | X | X
Serial Native Robot | Primary |  | X | X | X | X
Serial Native String | Primary |  | X | X | X | X
Serial Text | Primary | X | X | X | X | X
SLMP | Primary | X | X | X | X | X
SLMP Scanner | Primary | X | X | X | X | X
TCP/IP | Secondary | X | X | X | X | X
UDP | Secondary | X | X | X | X | X

Communicating with a PLC

Communicating with a Robot

Communicating with Mitsubishi Devices

Communicating Over Modbus TCP

Communication Over TCP/IP

Communicating Over UDP

Communicating Over POWERLINK

Inputting Data for Identification Tools

Formatting Output Strings


Communicating with a PLC/Motion Controller

To communicate with a PLC/MC, first perform the following:

  1. In the Communications group box, press the Add Device button.
  2. In the Device Setup group box, from the Device drop-down list, select PLC/Motion Controller.
  3. From the Manufacturer drop-down list, select the PLC/MC manufacturer. If your PLC/MC manufacturer is not listed, choose Other.

  4. From the Protocol drop-down list, select your communication protocol. The communication protocols listed are contingent upon the Manufacturer selection.

    Note: DeviceNet is only available on In-Sight vision systems using In-Sight firmware 4.x.x, and is not available on In-Sight vision systems running In-Sight firmware 5.1.0 and later. For a complete list of models and supported firmware versions, see Firmware Versions.
  5. Press the OK button.
  6. Optionally, click the Add Device button again to add an additional "secondary" protocol to the job. For more information, refer to the Supported Protocols section on Device Setup.

Once these settings are enabled, configure the tabs that are displayed in the settings pane.

Available PLC/Motion Controller protocols

Note: Refer to Device Setup for a complete list of supported protocols.
  • Modbus TCP Server
  • CC-Link
  • SLMP
  • SLMP Scanner
  • EtherNet/IP
  • PROFINET
  • DeviceNet

Communicating Over Modbus TCP

CC-Link Communications

SLMP Communications

SLMP Scanner Communications

DeviceNet Serial Port Settings


Communicating Over Modbus TCP

Your In-Sight sensor can act as a Modbus server to other networked Modbus TCP devices.

To configure your In-Sight sensor as a Modbus server:

  1. In the Communications group box, press the Add Device button.

  2. From the Device Setup group box, select either PLC or Other from the Device drop-down list.

    Note: If you select PLC, select either your PLC manufacturer or Other from the Manufacturer drop-down list to enable Modbus TCP Server as an option in the Protocol drop-down list.
  3. Select Modbus TCP Server from the Protocol drop-down list.
  4. Press the OK button.
  5. By default, the Format Output Data tab appears first. The controls for both tabs are identical, and are enabled after data has been added.

  6. Press the Add button to launch the Select Input Data or Select Output Data dialogs (depending upon which tab is selected). The Select Input Data or Select Output Data dialogs contain the data from any Location or Inspection Tools that were added to your job and the overall job results (output only). From the dialog, select the data that you want to expose over Modbus, and press the OK button.

  7. Once you have added your data, the data will appear in the table, displaying the name, data type, size, value and the starting register number of the selected data (this number is referenced by the Modbus client's Read and Write commands, and defines which signal is in which register). To the right of the table is a Modbus registers preview window, which displays how the data is formatted in to the Modbus registers.

  8. You can customize the default data type by selecting a different data type from the Data Type drop-down list.

    Note:
    • If you select String or Byte-Swapped String from the Data Type drop-down list, the Element Size (words) control will be enabled and you can specify the string length by choosing the correct number of words.
    • The EasyBuilder implementation of the Modbus TCP protocol does not support bit, 8-bit or unsigned data types.

  9. You can also customize the byte order of 32 bit floats and integers by specifying Low Byte first versus High Byte first by un-checking the High Byte/Low Byte checkbox (by default, it is unchecked). You can customize the word ordering of 32 bit floats and integers by specifying Low Word first versus High Word first by un-checking the High Word/Low Word checkbox (by default, it is unchecked). Any changes will be updated in the Modbus registers preview window.

    Note: Any changes made to the byte or word ordering will affect all the data signals in the Format Output Data and Format Input Data tabs.
  10. You can rearrange the order of the data that will be sent or received by selecting the data from the list and clicking either the Up or Down buttons to set the desired order.
  11. Once you have finished configuring your In-Sight vision system, you will need to configure your Modbus client to send the Read and Write commands, which will be sent to the In-Sight vision system to read/write data.
Note: Optionally, click the Add Device button again to add an additional "secondary" protocol to the job. For more information, refer to the Supported Protocols section on Device Setup.


CC-Link Communications

Note: CC-Link is only available on In-Sight vision systems using In-Sight firmware 4.x.x, and is not available on In-Sight vision systems running In-Sight firmware 5.1.0 and later. For a complete list of models and supported firmware versions, see Firmware Versions.

The CC-Link protocol is used to transfer data to and from In-Sight vision systems connected to the In-Sight CIO-Micro-CC I/O module and a Mitsubishi PLC/Motion Controller. CC-Link communications are established between the CC-link connection on the In-Sight CIO-Micro-CC I/O module, and the CC-Link connection on the Mitsubishi PLC/MC.

Note: To enable CC-Link communication, the In-Sight vision system must be connected to the In-Sight CIO-Micro-CC I/O module.

Configuring an In-Sight vision system to communicate with a Mitsubishi PLC/MC via CC-Link first involves setting the parameters in the CC-Link Settings tab, and then configuring the data that will be transferred to and from the Mitsubishi PLC/MC and the In-Sight vision system.

  • Configuring the CC-Link Settings Tab
  • Configuring the Input Bit/Word Data Tabs and the Output Bit/Word Data Tabs

Configuring the CC-Link Settings Tab

Configuring the Input Bit/Word Data Tabs and the Output Bit/Word Data Tabs


SLMP Communications

The SLMP is used to transfer data to and from a Mitsubishi PLC/MC/Robot Controller and In-Sight vision systems.

To begin, first configure the parameters in the SLMP Settings tab, which defines the controller type, the IP address, port number and the source and destination registers of the Mitsubishi PLC/MC or Robot Controller, as well as timeout information.

Then, the Format Output Data and Format Input Data tabs are configured to define the tool or job data that will be transferred to and from the PLC/MC.

Note: The In-Sight 2000 series vision sensor does not support robot controllers.
  • Configuring the SLMP Settings Tab
  • Configuring the Format Output Data and Format Input Data Tabs

Configuring the SLMP/MC Protocol Settings Tab

Configuring the Format Output Data and Format Input Data Tabs


SLMP Scanner Communications

SLMP Scanner is used to transfer data to and from a Mitsubishi PLC/Motion Controller/Robot Controller and an In-Sight vision system.

To begin, first configure the parameters in the Settings tab, which defines the connection information required to establish a connection with the Mitsubishi PLC/MC or Robot Controller.

Then, configure the Device Addressing tab, which defines the PLC/MC or Robot Controller device address and size for the various data blocks to be communicated to the PLC/MC or Robot Controller.

Finally, the Format Output Data and Format Input Data tabs are configured to define the tool or job data that will be transferred to and from the PLC/MC or Robot Controller.

Note:
  • The In-Sight 2000 series vision sensor does not support robot controllers.
  • Cognex recommends restarting the In-Sight vision system once the SLMP Scanner settings are configured or changed.

Configuring the Settings Tab

Configuring the Device Addressing Tab

Configuring the Format Output Data and Format Input Data Tabs


DeviceNet Serial Port Settings

EasyBuilder automatically defaults to standard DeviceNet controller serial port settings. If your controller uses different settings, click the Serial Port Settings tab and configure the In-Sight vision system to use the same serial port settings. The serial port settings will be saved to the In-Sight vision system upon leaving the Communication step.

Note:
  • DeviceNet is only available on In-Sight vision systems using In-Sight firmware 4.x.x, and is not available on In-Sight vision systems running In-Sight firmware 5.1.0 and later. For a complete list of models and supported firmware versions, see Firmware Versions.
  • The DeviceNet settings require a third-party RS-232-to-DeviceNet Gateway adapter. These settings are available for legacy installations and should not be used in new applications, unless the RS-232-to-DeviceNet Gateway converter has been thoroughly tested to verify it is suitable for the application.

  • The Serial Port Settings options vary per In-Sight model and applicable I/O module. If connected to a supported I/O module, first click the I/O Module button to open the I/O Module Configuration dialog and configure the I/O module. For more information, see I/O Module Configuration.

  • In-Sight Micro 1000 series vision systems support serial communication only when connected to the CIO-MICRO or CIO-MICRO-CC I/O module.

  • There are two options for enabling serial communication for the In-Sight 70xx - 74xx series vision system: using the Breakout cable or using the CIO-MICRO or CIO-MICRO-CC I/O module. When connected to the Breakout cable (and there is no connection to an I/O module), the vision system allows one discrete input line and one discrete output line to be configured as Serial Receive and Serial Transmit, respectively. For more information, see Enable Serial Communication: In-Sight 70xx - 74xx.
  • If the In-Sight 70xx - 74xx series vision system is configured for use with the CIO-MICRO or CIO-MICRO-CC I/O module, the RS-232 TRANSMIT and RS-232 RECEIVE pins on the Power and I/O Breakout cable are disabled. Use the I/O module's RS-232 OUT port (DB9) to connect to a serial device.
  • In-Sight 8000 series vision systems only support serial communication when connected to the CIO-MICRO I/O module.

  • The CIO-WENET I/O module does not support serial communication.


Communicating with a Robot

For vision guided robotic applications, EasyBuilder speeds development by automatically examining your application and formatting the data output by a fixture (or the output of another Location or Inspection Tool that returns positional data) into a Manufacturer/Protocol specific format. Once the string has been formatted, the robot controller can request the data by sending a single In-Sight Native Mode command, which returns all of the data formatted in the string. For more information, see Native Mode Communications.

To communicate with a robot controller, first perform the following:

  1. In the Communications group box, press the Add Device button.
  2. In the Device Setup group box, from the Device drop-down list, select Robot.
  3. From the Manufacturer drop-down list, select the robot manufacturer. If your robot manufacturer is not listed, choose Other.
  4. From the Protocol drop-down list, select your communication protocol. The communication protocols displayed are contingent upon the Manufacturer selection.
  5. Press the OK button.
  6. Optionally, click the Add Device button again to add an additional "secondary" protocol to the job. For more information, refer to the Supported Protocols section on Device Setup.

Once these settings are enabled, you're ready to define the data.

  • Robot Ethernet Native Communications
  • Robot Serial Native Communications
  • Robot Serial Kuka Communications
  • Robot Serial Motoman Communications
  • Robot Ethernet IP Communications (FANUC Robot Controller)

Robot Ethernet Native Communications

Robot Serial Native Communications

Robot Serial Kuka Communications

Robot Serial Motoman Communications

Robot Ethernet IP Communications (FANUC)


Robot Ethernet Native Communications

Note: These steps only apply when Robot is selected as the Device, and Ethernet Native is selected as the Protocol in the Device Setup group box.
  1. After selecting Ethernet Native as the Protocol, EasyBuilder will automatically search your job for any Location or Inspection Tools that define a fixture and generate a data string representing the fixture.
  2. In the Format Output String tab, any tool that generates a fixture will be listed in the Position Name drop-down list. If your job only contains one tool that returns positional data, it will be selected by default. Otherwise, select the tool whose output string you want to send from the Position Name drop-down list. The formatted string will be displayed, as well as the number of characters in the string, for reference purposes.
  3. Now that the string has been formatted, the robot controller can request the data by sending the In-Sight Native Mode command, EV GetCellValue("Job.Robot.FormatString"). The EV GetCellValue("Job.Robot.FormatString") returns all of the data formatted in the string with a single command. For more information, see GetCellValue.
Note: If you have not defined a fixture in your job, or you want to create a custom string or customize the format of your string, press the Custom Format... button, which will launch the FormatString dialog. From this dialog, you can add a different string, modify the strings and/or rearrange the order of the data that will be sent by selecting the data from the list and clicking either the Up or Down buttons to set your desired order. Once you have finalized your string modifications, press the OK button. For more information, see Format String Dialog.


Robot Serial Native Communications

Note: These steps only apply when Robot is selected as the Device, and Serial Native is selected as the Protocol in the Communication section.
  1. After selecting Serial Native as the Protocol, EasyBuilder will automatically search your job for any Location or Inspection Tools that define a fixture and generate a data string representing the fixture.
  2. In the Format Output String tab, any tool that generates a fixture will be listed in the Position Name drop-down. If your job only contains one tool that returns positional data, it will be selected by default. Otherwise, select the tool whose output string you want to send from the Position Name drop-down list. The formatted string will be displayed, as well as the number of characters in the string, for reference purposes.

  3. If necessary, click the Serial Port Settings tab to define the serial communication settings. EasyBuilder automatically determines the serial protocol, based on the Device Setup selections. The serial port settings are saved to the vision system upon leaving the Communication step.

    Note:

    • The Serial Port Settings options vary per In-Sight model and applicable I/O module. If connected to a supported I/O module, first click the I/O Module button to open the I/O Module Configuration dialog and configure the I/O module. For more information, see I/O Module Configuration.

    • In-Sight Micro 1000 series vision systems support serial communication only when connected to the CIO-MICRO or CIO-MICRO-CC I/O module.

    • There are two options for enabling serial communication for the In-Sight 70xx - 74xx series vision system: using the Breakout cable or using the CIO-MICRO or CIO-MICRO-CC I/O module. When connected to the Breakout cable (and there is no connection to an I/O module), the vision system allows one discrete input line and one discrete output line to be configured as Serial Receive and Serial Transmit, respectively. For more information, see Enable Serial Communication: In-Sight 70xx - 74xx.
    • If the In-Sight 70xx - 74xx series vision system is configured for use with the CIO-MICRO or CIO-MICRO-CC I/O module, the RS-232 TRANSMIT and RS-232 RECEIVE pins on the Power and I/O Breakout cable are disabled. Use the I/O module's RS-232 OUT port (DB9) to connect to a serial device.
    • In-Sight 8000 series vision systems only support serial communication when connected to the CIO-MICRO I/O module.

    • The CIO-WENET I/O module does not support serial communication.

  4. Now that the string has been formatted, the robot controller can request the data by sending the In-Sight Native Mode command, EV GetCellValue("Job.Robot.FormatString"). The EV GetCellValue("Job.Robot.FormatString") returns all of the data formatted in the string with a single command. For more information, see GetCellValue.
Note: If you have not defined a fixture in your job, or you want to create a custom string or customize the format of your string, press the Custom Format... button, which will launch the FormatString dialog. From this dialog, you can add a different string, modify the strings and/or rearrange the order of the data that will be sent by selecting the data from the list and clicking either the Up or Down buttons to set your desired order. Once you have finalized your string modifications, press the OK button. For more information, see Format String Dialog.


Robot Serial Kuka Communications

Kuka robot controllers communicate with other devices over RS-232 serial ports using a complex, but highly robust, error checking protocol. When configured for Kuka serial communications, the In-Sight vision system understands this protocol and is able to respond to the commands it receives from the Kuka controller.

Note:
  • The Kuka robot must be in P3964R mode to communicate with an In-Sight vision system, and the vision system must be in Serial Kuka mode, as described below.
  • In-Sight vision systems are configured to use Kuka’s default protocol settings (i.e., the Kuka robot is high-priority and the vision system is low-priority for transactions).

  1. After selecting Serial Kuka as the Protocol, EasyBuilder will automatically search your job for any Location or Inspection Tools that define a fixture and generate a data string representing the fixture. Any tool that generates a fixture will be listed in the Position Name drop-down. If your job only contains one tool that returns positional data, it will be selected by default. Otherwise, select the tool whose output string you want to send from the Position Name drop-down list. The formatted string will be displayed, as well as the number of characters in the string, for reference purposes. The Encoded Location field is also included, which displays data that the Kuka robot controller references when issuing the In-Sight Native Mode command: GV[EncodedLocation].

    Note: If you have not defined a fixture in your job, or you want to create a custom string or customize the format of your string, press the Custom Format... button, which will launch the FormatString dialog. From this dialog, you can add a different string, modify the strings and/or rearrange the order of the data that will be sent by selecting the data from the list and clicking either the Up or Down buttons to set your desired order. Once you have finalized your string modifications, press the OK button. For more information, see Format String Dialog.

  2. EasyBuilder automatically defaults to standard Kuka controller serial port settings. If your controller uses different settings, click the Serial Port Settings tab and configure the vision system to use the same serial port settings. The serial port settings will be saved to the vision system upon leaving the Communication step.

    Note:
    • Kuka KR C2 and KR C2 Edition 2005 robot controllers are supported.

    • The Serial Port Settings options vary per In-Sight model and applicable I/O module. If connected to a supported I/O module, first click the I/O Module button to open the I/O Module Configuration dialog and configure the I/O module. For more information, see I/O Module Configuration.

    • In-Sight Micro 1000 series vision systems support serial communication only when connected to the CIO-MICRO or CIO-MICRO-CC I/O module.

    • There are two options for enabling serial communication for the In-Sight 70xx - 74xx series vision system: using the Breakout cable or using the CIO-MICRO or CIO-MICRO-CC I/O module. When connected to the Breakout cable (and there is no connection to an I/O module), the vision system allows one discrete input line and one discrete output line to be configured as Serial Receive and Serial Transmit, respectively. For more information, see Enable Serial Communication: In-Sight 70xx - 74xx.
    • If the In-Sight 70xx - 74xx series vision system is configured for use with the CIO-MICRO or CIO-MICRO-CC I/O module, the RS-232 TRANSMIT and RS-232 RECEIVE pins on the Power and I/O Breakout cable are disabled. Use the I/O module's RS-232 OUT port (DB9) to connect to a serial device.
    • In-Sight 8000 series vision systems only support serial communication when connected to the CIO-MICRO I/O module.

    • The CIO-WENET I/O module does not support serial communication.

  3. The Kuka robot controller initiates all data communication between itself and the vision system by sending In-Sight Native Mode commands. The GV[EncodedLocation] command will return the string configured in these steps, and should be used with all jobs developed in EasyBuilder.

Serial Kuka is an extension of In-Sight Native Mode communications. Because Serial Kuka is based on Native Mode, an In-Sight vision system's job may be developed and tested in Native Mode, then switched to Serial Kuka only when the actual robot controller is connected to the vision system. No other changes to the job are required.

Closed Supported In-Sight Native Mode commands for Serial Kuka communications:
Native Mode Command | Syntax | Related Topics
Get Job | GJ | Get Job
Get Online | GO | Get Online
Get Value | GV[EncodedLocation] | Get Value
Get Value | GV[Symbolic Name] | Get Value
Load File | LF[Filename] | Load File
Set Event | SE[Int] | Set Event
Store File | TF[Filename] | Store File
Set Float | SF[Symbolic Name][Float Value] | Set Float
Set Integer | SI[Symbolic Name][Integer Value] | Set Integer
Set Job | SJ[ID] | Set Job
Set Online | SO[Integer Value] | Set Online
Set String | SS[Symbolic Name][String] | Set String


Robot Serial Motoman Communications

Motoman MRC, MRC-II, and XRC robot controllers communicate with other devices over RS-232 serial ports using a complex, but highly robust, error checking protocol. When configured for Motoman serial communications, the In-Sight vision system understands this protocol and is able to respond to the commands it receives from the Motoman controller.

Note:
  • The Motoman controller must be configured to communicate in DCI mode. Communications initiated from an In-Sight vision system to a Motoman robot controller operating in Host mode are not currently supported.
  • Although Motoman controllers specify "None" for Flow Control, In-Sight vision systems require "Hardware" Flow Control (hardware handshaking) when communicating with a Motoman controller.
  • Only Motoman XRC controllers have been tested.
  • Because Serial Motoman is based on Native Mode, an In-Sight job may be developed and tested in Native Mode, then switched to Serial Motoman only when the actual robot controller is connected to the vision system. No other changes to the job are required.

  1. After selecting Serial Motoman as the Protocol, EasyBuilder will automatically search your job for any Location or Inspection Tools that define a fixture and generate a data string representing the fixture.

    Note: If you have not defined a fixture in your job, or you want to create a custom string or customize the format of your string, press the Custom Format... button, which will launch the FormatString dialog. From this dialog, you can add a different string, modify the strings and/or rearrange the order of the data that will be sent by selecting the data from the list and clicking either the Up or Down buttons to set your desired order. Once you have finalized your string modifications, press the OK button. For more information, see Format String Dialog.
  2. In the Format Output String tab, any tool that generates a fixture will be listed in the Position Name drop-down. If your job only contains one tool that returns positional data, it will be selected by default. Otherwise, select the tool whose output string you want to send from the Position Name drop-down list. The formatted string will be displayed, as well as the number of characters in the string, for reference purposes.
  3. The Encoded Location field displays the CC + RRR data that the Motoman robot controller uses to retrieve data from the vision system.

  4. EasyBuilder automatically defaults to standard Motoman controller serial port settings. If your controller uses different settings, click the Serial Port Settings tab and configure the vision system to use the same serial port settings. The serial port settings will be saved to the vision system upon leaving the Communication step.

    Note:

    • The Serial Port Settings options vary per In-Sight model and applicable I/O module. If connected to a supported I/O module, first click the I/O Module button to open the I/O Module Configuration dialog and configure the I/O module. For more information, see I/O Module Configuration.

    • In-Sight Micro 1000 series vision systems support serial communication only when connected to the CIO-MICRO or CIO-MICRO-CC I/O module.

    • There are two options for enabling serial communication for the In-Sight 70xx - 74xx series vision system: using the Breakout cable or using the CIO-MICRO or CIO-MICRO-CC I/O module. When connected to the Breakout cable (and there is no connection to an I/O module), the vision system allows one discrete input line and one discrete output line to be configured as Serial Receive and Serial Transmit, respectively. For more information, see Enable Serial Communication: In-Sight 70xx - 74xx.
    • If the In-Sight 70xx - 74xx series vision system is configured for use with the CIO-MICRO or CIO-MICRO-CC I/O module, the RS-232 TRANSMIT and RS-232 RECEIVE pins on the Power and I/O Breakout cable are disabled. Use the I/O module's RS-232 OUT port (DB9) to connect to a serial device.
    • In-Sight 8000 series vision systems only support serial communication when connected to the CIO-MICRO I/O module.

    • The CIO-WENET I/O module does not support serial communication.

  5. The Motoman robot controller initiates all data communication between itself and the vision system by sending In-Sight Native Mode commands. The GV[EncodedLocation] command will return the string configured in these steps, and should be used with all jobs developed in EasyBuilder.

Serial Motoman is an extension of In-Sight Native Mode communications. Motoman robot controllers only send numeric text over their RS-232 ports; standard In-Sight Native Mode commands cannot be sent. Instead, the Motoman controller must send the vision system a numeric representation of the Native Mode commands, with additional parameters appended as necessary.

For more information about specific Motoman commands, please consult the following topics:

  • Motoman Commands
  • Motoman Command Examples


Robot Ethernet IP Communications (FANUC)

An In-Sight vision system can be configured to communicate with a FANUC robot controller over EtherNet/IP (EIP).

  1. After selecting Robot as the Device, FANUC as the Manufacturer and Ethernet IP Robot as the Protocol, EasyBuilder will automatically search your job for any Location or Inspection Tools that define a fixture and generate a data string representing the fixture.

    Note:
    • To configure the Ethernet IP Robot communications for a FANUC robot controller, you must select FANUC from the Manufacturer drop-down list. If you select Other from the Manufacturer drop-down list, EasyBuilder displays the Ethernet/IP settings pane for other devices.
    • If using the Ethernet Native Robot or Serial Native Robot protocol to communicate with a FANUC robot controller, refer to the Robot Ethernet Native Communications topic or Robot Serial Native Communications topic, respectively.
  2. In the Format Output Data tab, any tool that generates a fixture will be listed in the Position Name drop-down list. If your job only contains one tool that returns positional data, it will be selected by default. Otherwise, select the tool whose output string you want to send from the Position Name drop-down list. The Output Buffer string will be displayed, as well as the Message Size in bytes, for reference purposes.
Note: For more information on the FANUC Robot Controller, refer to the Robot Communications - FANUC Robot Controller topic in the In-Sight® Explorer Help file.


Communicating with Mitsubishi Devices

Mitsubishi PLC/ Motion Controller (MC): CC-Link, CC-Link IE Field Basic, SLMP and SLMP Scanner

To communicate with a Mitsubishi PLC/MC, first perform the following:

  1. In the Communications group box, press the Add Device button.
  2. In the Device Setup group box, from the Device drop-down list, select PLC/Motion Controller.
  3. From the Manufacturer drop-down list, select Mitsubishi.

  4. From the Protocol drop-down list, select your communication protocol: CC-Link, CC-Link IE Field Basic, SLMP or SLMP Scanner.

    Note: CC-Link is only available on In-Sight vision systems using In-Sight firmware 4.x.x, and is not available on In-Sight vision systems running In-Sight firmware 5.1.0 and later. For a complete list of models and supported firmware versions, see Firmware Versions.
  5. Press the OK button.
  6. Optionally, click the Add Device button again to add an additional "secondary" protocol to the job. For more information, refer to the Supported Protocols section on Device Setup.

Once these settings are enabled, you can configure the settings for communicating with Mitsubishi PLC/MC devices:

  • CC-Link
  • CC-Link IE Field Basic
  • SLMP
  • SLMP Scanner
Note: When an In-Sight vision system is configured to communicate with a PLC/MC over either SLMP, SLMP Scanner or CC-Link, the protocols only support the transfer of data between the vision system and the PLC/MC.

Mitsubishi Robot Controller - Ethernet Native String, Serial Native String, SLMP and SLMP Scanner

Note: The In-Sight 2000 series vision sensor does not support robot controllers.

To communicate with a Mitsubishi robot controller, first perform the following:

  1. In the Communications group box, press the Add Device button.
  2. In the Device Setup group box, from the Device drop-down list, select Robot.
  3. From the Manufacturer drop-down list, select Mitsubishi.
  4. From the Protocol drop-down list, select your communication protocol: Ethernet Native String,Serial Native String, SLMP or SLMP Scanner.
  5. Press the OK button.
  6. Optionally, click the Add Device button again to add an additional "secondary" protocol to the job. For more information, refer to the Supported Protocols section on Device Setup.

Once these settings are enabled, you can configure the data that will be communicated between the In-Sight vision system and the robot:

  • Configuring Mitsubishi Ethernet Native String Communications
  • Configuring Mitsubishi Serial Native String Communications
  • SLMP
  • SLMP Scanner

CC-Link Communications

CC-Link IE Field Network Basic Communications

SLMP/MC Protocol Communications

SLMP/MC Scanner Protocol Communications

Configuring Mitsubishi Ethernet Native String Robot Communications

Configuring Mitsubishi Serial Native String Robot Communications


Configuring the CC-Link Settings Tab

The CC-Link Settings tab is used to configure the In-Sight CIO-Micro-CC I/O module for communication on the CC-Link network.

Note: If you are not connected to an In-Sight CIO-Micro-CC I/O module, all of the controls will be disabled until this connection is resolved.
Closed Enable

Defines whether or not the CC-Link interface on the In-Sight CIO-Micro-CC I/O module is enabled or disabled. By default, the Enable checkbox is checked, and the CC-Link interface on the In-Sight CIO-Micro-CC I/O module is enabled. Uncheck the Enable checkbox to diagnose and debug your CC-Link connection, should the need arise.

Closed Version

Defines the CC-Link specification compatibility, V1 or V2. By default, V1 is selected.

Closed Baud Rate

Defines the CC-Link baud rate of the CC-Link network, 10M, 5M, 2.5M, 625k, 156k. By default, 10M is selected.

Closed Station Number

Defines the station number of the CC-Link slave, from 1 to 64. By default, 1 is selected.

Note: The values assigned in the Station Number and Number of Stations parameters cannot exceed 64.
Closed Number of Stations

Defines the number of stations that the In-Sight CIO-Micro-CC I/O module occupies on the CC-Link network, from 1 to 4. By default, 1 is selected.

Note: The values assigned in the Station Number and Number of Stations parameters cannot exceed 64.
Closed Extension Cycles

Defines the number of extension cycles that the In-Sight CIO-Micro-CC I/O module utilizes on the CC-Link network, 1X (Disabled), 2X, 4X, or 8X. By default, 1X (Disabled) is selected.

Note: This option is only available when the Version parameter is set to V2.
Closed Inputs

Displays the number of bits and words available in the input bit and word buffers, respectively.

To determine the number of bits available in the input buffer:

  • When the Version parameter is set to V1: 32 x (Number of Stations)-16
  • When the Version parameter is set to V2, and the Extension Cycles parameter is set to 1X (Disabled): 32 x (Number of Stations)-16
  • When the Version parameter is set to V2 and the Extension Cycles parameter is enabled: 32 x (Number of Stations) x (Extension Cycles) - 16 x (Extension Cycles) - 16

To determine the number of words available in the input buffer:

  • When the Version parameter is set to V1: 4 x (Number of Stations)
  • When the Version parameter is set to V2, and the Extension Cycles parameter is set to 1X (Disabled): 4 x (Number of Stations)
  • When the Version parameter is set to V2 and the Extension Cycles parameter is enabled: 4 x (Number of Stations) x (Extension Cycles)
Closed Outputs

Displays the number of bits and words available in the output bit and word buffers, respectively.

To determine the number of bits available in the output buffer:

  • When the Version parameter is set to V1: 32 x (Number of Stations)-16
  • When the Version parameter is set to V2, and the Extension Cycles parameter is set to 1X (Disabled): 32 x (Number of Stations)-16
  • When the Version parameter is set to V2 and the Extension Cycles parameter is enabled: 32 x (Number of Stations) x (Extension Cycles) - 16 x (Extension Cycles) - 16

To determine the number of words available in the output buffer:

  • When the Version parameter is set to V1: 4 x (Number of Stations)
  • When the Version parameter is set to V2, and the Extension Cycles parameter is set to 1X (Disabled): 4 x (Number of Stations)
  • When the Version parameter is set to V2 and the Extension Cycles parameter is enabled: 4 x (Number of Stations) x (Extension Cycles)


Configuring the Input Bit/Word Data Tabs and the Output Bit/Word Data Tabs

After configuring the CC-Link Settings tab, you will need to configure the Input Bit Data, Input Word Data, Output Bit Data, and Output Word Data tabs, which are used to define the tool or job data that will be transferred to and from the Mitsubishi PLC/MC and the In-Sight vision system over the CC-Link network.

Closed Configuring the Input Bit Data tab

The Input Bit Data tab is used to associate bit offsets to Boolean data types returned by Location or Inspection Tool results, acquisition data or Inputs. A maximum of 32 inputs may be defined per job.

  1. Click on the Input Bit Data tab to begin configuring the data that will be transferred from the PLC/MC to the In-Sight vision system.
  2. Press the Add button to launch the Select Input Data dialog, which contains data from the job, such as any Location or Inspection Tools that were added to your job, acquisition data and Inputs. Select the data that you want transferred in to the In-Sight vision system from the PLC/MC, and press the OK button.
  3. Once you have added your data, the data will appear in the table, displaying the Device Address, name of the input, its data type, size and value.
  4. You can rearrange the order of the data that will be sent or received by selecting the data from the list and clicking either the Up or Down buttons to set the desired order.
Closed Configuring the Input Word Data tab

The Input Word Data tab is used to define inputs to the In-Sight vision system returned by Location or Inspection Tool results, acquisition data or Inputs. A maximum of 32 inputs may be defined per job.

Note: The number of words cannot exceed the limit set by the parameters configured in the CC-Link Settings tab.
  1. Click on the Input Word Data tab to begin configuring the data that will be transferred from the PLC/MC to the In-Sight vision system.
  2. Press the Add button to launch the Select Input Data dialog, which contains data from the job, such as any Location or Inspection Tools that were added to your job, acquisition data and Inputs. Select the data that you want transferred in to the In-Sight vision system from the PLC/MC, and press the OK button.
  3. Once you have added your data, the data will appear in the table, displaying the Device Address (the beginning of the address is the field offset, in words), name of the input, its data type, size and value.
  4. You can customize the default data type by selecting a different data type from the Data Type drop-down list.
Note:
  • If you select String from the Data Type drop-down list, the Element Size (words) control will be enabled and you can specify the string length by choosing the correct number of words (a maximum of 128).
  • The EasyBuilder implementation of the CC-Link does not support 8-bit or unsigned data types.
  5. You can rearrange the order of the data that will be sent or received by selecting the data from the list and clicking either the Up or Down buttons to set the desired order.
Closed Configuring the Output Bit Data tab

The Output Bit Data tab is used to associate bit offsets to Boolean data types returned by Location or Inspection Tool results, acquisition data or job results. At least 64 outputs may be defined per job (more may be added; the maximum limit depends on the size of the job).

  1. Click on the Output Bit Data tab to begin configuring the data that will be transferred from the In-Sight vision system to the PLC/MC.
  2. Press the Add button to launch the Select Output Data dialog, which contains data from the job, such as any Location or Inspection Tools that were added to your job, acquisition data and the overall job results. Select the data that you want transferred from the In-Sight vision system to the PLC/MC, and press the OK button.
Note: By default, the Job.Inspection_Count data symbol is automatically added to the output data table. This symbol alerts the PLC/MC that the In-Sight vision system has acquired a new image and a new set of inspection results have arrived. This symbol can be removed if it is not necessary for the application.
  3. Once you have added your data, the data will appear in the table, displaying the name, data type, size, value and the starting register number of the selected data. To the right of the table is a registers preview window, which displays how the data is formatted in to the PLC/MC registers.
  4. You can rearrange the order of the data that will be sent or received by selecting the data from the list and clicking either the Up or Down buttons to set the desired order.
Closed Configuring the Output Word Data tab

The Output Word Data tab is used to define outputs from the In-Sight vision system returned by Location or Inspection Tool results, acquisition data or job results. At least 32 outputs may be defined per job (more may be added; the maximum limit depends on the size of the job).

  1. Click on the Output Bit Data tab to begin configuring the data that will be transferred from the In-Sight vision system to the PLC/MC.

  2. Press the Add button to launch the Select Output Data dialog, which contains data from the job, such as any Location or Inspection Tools that were added to your job, acquisition data and the overall job results. Select the data that you want transferred from the In-Sight vision system to the PLC/MC, and press the OK button.

    Note: By default, the Job.Inspection_Count data symbol is automatically added to the output data table. This symbol alerts the PLC/MC that the In-Sight vision system has acquired a new image and a new set of inspection results have arrived. This symbol can be removed if it is not necessary for the application.
  3. Once you have added your data, the data will appear in the table, displaying the name, data type, size, value and the starting register number of the selected data (the beginning of the address is the field offset, in words). To the right of the table is a registers preview window, which displays how the data is formatted in to the PLC/MC registers.
  4. You can customize the default data type by selecting a different data type from the Data Type drop-down list.
    Note:
    • If you select String from the Data Type drop-down list, the Element Size (words) control will be enabled and you can specify the string length by choosing the correct number of words (a maximum of 128).
    • The EasyBuilder implementation of the CC-Link does not support 8-bit or unsigned data types.
  5. You can rearrange the order of the data that will be sent or received by selecting the data from the list and clicking either the Up or Down buttons to set the desired order.


CC-Link IE Field Network Basic Communications

CC-Link IE Field Basic is a protocol designed to integrate Ethernet devices into a Mitsubishi Automation Controller. As opposed to the existing SLMP (MC Protocol), the Mitsubishi automation controllers act as the master, driving the communications to the slave devices over standard UDP messaging. The communications support 64 bits and 32 16-bit words of data per station in each direction, with each slave supporting 4 stations. The data is mapped into controller memory through the Mitsubishi setup tools (GXWorks 2/3).

Note: For information on how to configure the GX Works 2 software, please refer to Communicating with a Mitsubishi Automation Controller on CC-Link IE Field Network Basic. Also, the detailed information is available in the Mitsubishi's CC-Link IE Field Network Basic Reference Manual.
  • Configuring the Format Input Bit/Word Data Tabs and the Format Output Bit/Word Data Tabs (CC-Link IE Field Basic)

Configuring the Format Input Bit/Word Data Tabs and the Format Output Bit/Word Data Tabs (CC-Link IE Field Basic)


Configuring the Format Input Bit/Word Data Tabs and the Format Output Bit/Word Data Tabs (CC-Link IE Field Basic)

The Format Input Bit Data, Format Input Word Data, Format Output Bit Data, and Format Output Word Data tabs are used to define the tool or job data that will be transferred to and from the Mitsubishi PLC/MC and the In-Sight vision system over the CC-Link IE Field Basic protocol.

Note:
  • In this topic, an input is an input into the In-Sight vision system, and an output is an output from the vision system.
  • For information on the PLC Memory Space (Signal Layout), please refer to CC-Link IE Field Network Basic Factory Interface.
Tab | PLC Memory Space | Starting Offset | Size Limitation (When Occupying 1 Station) | Data Type
Format Input Bit Data | RY | 32 | 32 | bits
Format Input Word Data | RWw | 2 | 30 | 16-bit words
Format Output Bit Data | RX | 32 | 32 | bits
Format Output Word Data | RWr | 5 | 27 | 16-bit words
Closed Configuring the Format Input Bit Data tab

The Format Input Bit Data tab is used to associate bit offsets to Boolean data types returned by Location or Inspection Tool results, acquisition data or Inputs. A maximum of 32 inputs may be defined per job.

  1. Click on the Format Input Bit Data tab to begin configuring the data that will be transferred from the PLC/MC to the In-Sight vision system.
  2. Press the Add button to launch the Select Input Data dialog, which contains data from the job, such as any Location or Inspection Tools that were added to your job, acquisition data and Inputs. Select the data that you want transferred in to the In-Sight vision system from the PLC/MC, and press the OK button.
  3. Once you have added your data, the data will appear in the table, displaying the Device Address, name of the input, its data type, size and value.
  4. You can rearrange the order of the data that will be sent or received by selecting the data from the list and clicking either the Up or Down buttons to set the desired order.
Closed Configuring the Format Input Word Data tab

The Format Input Word Data tab is used to define inputs to the In-Sight vision system returned by Location or Inspection Tool results, acquisition data or Inputs. A maximum of 30 inputs may be defined per job.

  1. Click on the Format Input Word Data tab to begin configuring the data that will be transferred from the PLC/MC to the In-Sight vision system.
  2. Press the Add button to launch the Select Input Data dialog, which contains data from the job, such as any Location or Inspection Tools that were added to your job, acquisition data and Inputs. Select the data that you want transferred in to the In-Sight vision system from the PLC/MC, and press the OK button.
  3. Once you have added your data, the data will appear in the table, displaying the Device Address (the beginning of the address is the field offset, in words), name of the input, its data type, size and value.

  4. You can customize the default data type by selecting a different data type from the Data Type drop-down list.

    Note:
    • If you select String from the Data Type drop-down list, the Element Size (words) control will be enabled and you can specify the string length by choosing the correct number of words (a maximum of 128).
    • The EasyBuilder implementation of the CC-Link does not support 8-bit or unsigned data types.
  5. You can rearrange the order of the data that will be sent or received by selecting the data from the list and clicking either the Up or Down buttons to set the desired order.
Closed Configuring the Format Output Bit Data tab

The Format Output Bit Data tab is used to associate bit offsets to Boolean data types returned by Location or Inspection Tool results, acquisition data or job results. A maximum of 32 outputs may be defined per job.

  1. Click on the Format Output Bit Data tab to begin configuring the data that will be transferred from the In-Sight vision system to the PLC/MC.

  2. Press the Add button to launch the Select Output Data dialog, which contains data from the job, such as any Location or Inspection Tools that were added to your job, acquisition data and the overall job results. Select the data that you want transferred from the In-Sight vision system to the PLC/MC, and press the OK button.

    Note: By default, the Job.Inspection_Count data symbol is automatically added to the output data table. This symbol alerts the PLC/MC that the In-Sight vision system has acquired a new image and a new set of inspection results have arrived. This symbol can be removed if it is not necessary for the application.
  3. Once you have added your data, the data will appear in the table, displaying the name, data type, size, value and the starting register number of the selected data. To the right of the table is a registers preview window, which displays how the data is formatted in to the PLC/MC registers.
  4. You can rearrange the order of the data that will be sent or received by selecting the data from the list and clicking either the Up or Down buttons to set the desired order.
Closed Configuring the Format Output Word Data tab

The Format Output Word Data tab is used to define outputs from the In-Sight vision system returned by Location or Inspection Tool results, acquisition data or job results. A maximum of 27 outputs may be defined per job.

  1. Click on the Format Output Bit Data tab to begin configuring the data that will be transferred from the In-Sight vision system to the PLC/MC.

  2. Press the Add button to launch the Select Output Data dialog, which contains data from the job, such as any Location or Inspection Tools that were added to your job, acquisition data and the overall job results. Select the data that you want transferred from the In-Sight vision system to the PLC/MC, and press the OK button.

    Note: By default, the Job.Inspection_Count data symbol is automatically added to the output data table. This symbol alerts the PLC/MC that the In-Sight vision system has acquired a new image and a new set of inspection results have arrived. This symbol can be removed if it is not necessary for the application.
  3. Once you have added your data, the data will appear in the table, displaying the name, data type, size, value and the starting register number of the selected data (the beginning of the address is the field offset, in words). To the right of the table is a registers preview window, which displays how the data is formatted in to the PLC/MC registers.

  4. You can customize the default data type by selecting a different data type from the Data Type drop-down list.

    Note:
    • If you select String from the Data Type drop-down list, the Element Size (words) control will be enabled and you can specify the string length by choosing the correct number of words (a maximum of 128).
    • The EasyBuilder implementation of the CC-Link IE Field Basic does not support 8-bit or unsigned data types.
  5. You can rearrange the order of the data that will be sent or received by selecting the data from the list and clicking either the Up or Down buttons to set the desired order.


Configuring the SLMP Settings Tab

The SLMP Settings tab is used to configure the controller type and the IP address of the PLC/MC or Robot Controller, the TCP port number, timeouts and source and destination register locations of the PLC/MC or Robot Controller.

Note:

Depending on the Selected Device in the Device Setup group box, the available Controller Types in the Settings tab vary. For more information, refer to Communicating with Mitsubishi Devices.

Selected Device (Device Setup Group Box) Available Controller Types (Settings Tab)
PLC/Motion Controller
  • iQ-R/Q/L Series (3E Frame)
  • iQ-F Series (3E Frame)
  • FX Series (1E Frame)
Robot Controller
  • CR-800D Series (3E Frame)
Closed Controller Type

Defines the type of Mitsubishi PLC/MC or Robot Controller to communicate with

  • PLC/MC: iQ-R/Q/L Series (3E Frame), iQ-F Series (3E Frame) or FX Series (1E Frame). Default = iQ-R/Q/L Series (3E Frame).

    Note: The iQ-F Series (3E Frame) option is not available on the In-Sight vision systems running In-Sight 4.x.x firmware.
  • Robot Controller: CR800-D Series (3E Frame)
Closed IP Address

Defines the IP address of the Mitsubishi PLC/MC or Robot Controller. Enter the IP address of the Mitsubishi PLC/MC or Robot Controller that will be connected to the In-Sight vision system.

Closed Host Port

Defines the TCP port number, in decimal (Dec) or in hexadecimal (Hex) format, of the Mitsubishi PLC/MC or Robot Controller (1 - 65535 in Dec, 1 – 0xFFFF in Hex; default = 12288 in Dec).

Closed Timeout (ms)

Defines the timeout (5 milliseconds to 30,000; default is 1,000 ms) for both read and write operations.

Note: This parameter may potentially add time to the job; in the event that both the read and write operations were to fail, the amount of time added to the job would be twice the Timeout value, since both operations timeout would aggregate.
Closed Source Device
Note: Before changing the Source Device parameter, remove all tool properties from the Format Input Data tab. If the Source Device parameter is set to <None> while there are still tool properties in the Format Input Data tab, the tools will be in an error state. In addition, the Remove button will be disabled, and the tools left in the Format Input Data tab will fail or not execute until they are removed.
Closed Input Data Device Address

Defines which device register of the Mitsubishi PLC/MC or Robot Controller to read from:

Device Type | Format | PLC/MC | Robot
iQ-R/Q/L Series (3E Frame) | iQ-F Series (3E Frame) | FX Series (1E Frame) | CR800-D Series (3E Frame)
X - Input Relay | Bit | X | X | X (Oct)
Y - Output Relay | Bit | X | X | X (Oct)
M - Internal Relay | Bit | X | X | X
L - Latch Relay | Bit | X
F - Annunciator | Bit | X | X
B - Link Relay | Bit | X
D - Data Register | Word | X | X | X | X
W - Link Register | Word | X
R - File Block Register | Word | X
ZR - File Register | Word | X
TN - Timer Value | Word | X | X
CN - Counter Value | Word | X | X
R - Extension Register | Word | X
S - State Relay | Bit | X
Note: The Format of the Device Type determines which type of Data Type selection will be available in the Format Input Buffer tab. If the Format of the Device Type is Bit, then the Format Input Buffer tab will only permit bit data types to be entered.
Closed Offset

The numeric portion of the PLC/MC or Robot Controller data table that defines where the read will begin.

Closed Destination Device
Closed Output Data Device Address

Defines which device register of the Mitsubishi PLC/MC or Robot Controller to read to:

Device Type | Format | PLC/MC | Robot
iQ-R/Q/L Series (3E Frame) | iQ-F Series (3E Frame) | FX Series (1E Frame) | CR800-D Series (3E Frame)
X - Input Relay | Bit | X | X | X (Oct)
Y - Output Relay | Bit | X | X | X (Oct)
M - Internal Relay | Bit | X | X | X
L - Latch Relay | Bit | X
F - Annunciator | Bit | X | X
B - Link Relay | Bit | X
D - Data Register | Word | X | X | X | X
W - Link Register | Word | X
R - File Block Register | Word | X
ZR - File Register | Word | X
TN - Timer Value | Word | X | X
CN - Counter Value | Word | X | X
R - Extension Register | Word | X
S - State Relay | Bit | X
Note: The Format of the Device Type determines which type of Data Type selection will be available in the Format Output Buffer tab. If the Format of the Device Type is Bit, then the Format Output Buffer tab will only permit bit data types to be entered.
Closed Offset

The numeric portion of the PLC/MC or Robot Controller data table that defines where the write will begin.


Configuring the Format Output Data and Format Input Data Tabs (SLMP)

After configuring the SLMP Settings tab, you will need to configure the Format Input Data and Format Output Data tabs, which are used to define the tool or job data that will be transferred to and from the Mitsubishi PLC/MC or Robot Controller and the In-Sight vision system.

Closed Configuring the Format Input Data tab

The Format Input Data tab is used to define inputs to the In-Sight vision system. A maximum of 32 inputs may be defined per job.

  1. Click on the Format Input Data tab to begin configuring the data that will be transferred from the PLC/MC or Robot Controller to the In-Sight vision system.

  2. Press the Add button to launch the Select Input Data dialog, which contains data from the job, such as any Location or Inspection Tools that were added to your job, acquisition data and Inputs.Select the data that you want transferred in to the In-Sight vision system from the PLC/MC or Robot Controller, and press the OK button.

    Note: The Source Device setting in the SLMP Settings tab influences the type of data that may be added. If the Source Device setting is configured to a bit device, for each bit address, you may add Boolean data types and assign them to a particular bit. If the Source Device setting is configured to a word device, the Data Type is configurable and the starting address will be the Input Data Device Address and the field offset, in words.
  3. Once you have added your data, the data will appear in the table, displaying the Device Address, name of the input, its data type, size and value.

  4. You can customize the default data type by selecting a different data type from the Data Type drop-down list.

    Note:
    • The Data Type selections are dependent on the Source Device setting in the SLMP Settings tab.When the Source Device setting is configured to a bit device, the Data Type drop-down list will only include the Bit option.When the Source Device setting is configured to a word device, the Data Type drop-down list will include the following options: Bit, 16 bit integer, 16 bit unsigned integer, 32 bit integer, 32 bit float and String.
    • If you select String from the Data Type drop-down list, the Element Size (words) control will be enabled and you can specify the string length by choosing the correct number of words. When iQ-R/Q/L Series (3E Frame), iQ-F Series (3E Frame) or CR800-D Series (3E Frame) is the selected Controller Type, the total maximum message size is 960 words. When FX Series (1E Frame) is the selected Controller Type, the total maximum message size is 64 words.
    • When iQ-R/Q/L Series (3E Frame), iQ-F Series (3E Frame) or CR800-D Series (3E Frame) is the selected Controller Type, the maximum length for input data is 1920 bytes.When FX Series (1E Frame) is the selected Controller Type, the maximum length for input data is 128 bytes.The input data size is displayed in the Message size (bytes) field.
    • The Reset Data Types button resets all the Data Types to their default settings.
    • The EasyBuilder implementation of the SLMP protocol does not support 8-bit or unsigned data types.
  5. You can rearrange the order of the data that will be sent or received by selecting the data from the list and clicking either the Up or Down buttons to set the desired order.
Closed Configuring the Format Output Data tab

The Format Output Data tab is used to define outputs from the In-Sight vision system. A maximum of 128 outputs may be defined per job.

  1. Click on the Format Output Data tab to begin configuring the data that will be transferred from the In-Sight vision system to the PLC/MC or Robot Controller.

  2. Press the Add button to launch the Select Output Data dialog, which contains data from the job, such as any Location or Inspection Tools that were added to your job, acquisition data and the overall job results. Select the data that you want transferred in to the In-Sight vision system from the PLC/MC or Robot Controller, and press the OK button.

    Note:
    • By default, the Job.Inspection_Count data symbol is automatically added to the output data table. This symbol alerts the PLC/MC or Robot Controller that the In-Sight vision system has acquired a new image and a new set of inspection results have arrived. This symbol can be removed if it is not necessary for the application.
    • The Destination Device setting in the SLMP Settings tab influences the type of data that may be added. If the Destination Device setting is configured to a bit device, for each bit address, you may add Boolean data types and assign them to a particular bit. If the Destination Device setting is configured to a word device, the Data Type is configurable and the starting address will be the Output Data Device Address and the field offset, in words.
  3. Once you have added your data, the data will appear in the table, displaying the name, data type, size, value and the starting register number of the selected data. To the right of the table is a registers preview window, which displays how the data is formatted in to the PLC/MC or Robot Controller registers.

  4. You can customize the default data type by selecting a different data type from the Data Type drop-down list.

    Note:
    • The Data Type selections are dependent on the Destination Device setting in the SLMP Settings tab. When the Destination Device setting is configured to a bit device, the Data Type drop-down list will only include the Bit option. When the Destination Device setting is configured to a word device, the Data Type drop-down list will include the following options: Bit, 16 bit integer, 16 bit unsigned integer, 32 bit integer, 32 bit float and String.
    • If you select String from the Data Type drop-down list, the Element Size (words) control will be enabled and you can specify the string length by choosing the correct number of words. When iQ-R/Q/L Series (3E Frame), iQ-F Series (3E Frame) or CR800-D Series (3E Frame) is the selected Controller Type, the total maximum message size is 960 words. When FX Series (1E Frame) is the selected Controller Type, the total maximum message size is 64 words.
    • When iQ-R/Q/L Series (3E Frame), iQ-F Series (3E Frame) or CR800-D Series (3E Frame) is the selected Controller Type, the maximum length for output data is 1,920 bytes. When FX Series (1E Frame) is the selected Controller Type, the maximum length for output data is 128 bytes. The output data size is displayed in the Message size (bytes) field.
    • The Reset Data Types button resets all the Data Types to their default settings.
    • The EasyBuilder implementation of the SLMP does not support 8-bit or unsigned data types.
  5. You can rearrange the order of the data that will be sent or received by selecting the data from the list and clicking either the Up or Down buttons to set the desired order.


Configuring the Settings Tab (SLMP Scanner)

The SLMP Scanner Settings tab is used to define the connection information required to establish a connection with the Mitsubishi PLC/MC.

Note:

Depending on the Selected Device in the Device Setup group box, the available Controller Types in the Settings tab vary. For more information, refer to Communicating with Mitsubishi Devices.

Selected Device (Device Setup Group Box) Available Controller Types (Settings Tab)
PLC/Motion Controller
  • iQ-R/Q/L Series (3E Frame)
  • iQ-F Series (3E Frame)
  • FX Series (1E Frame)
Robot Controller
  • CR-800D Series (3E Frame)
Closed Controller Type

Defines the type of Mitsubishi PLC/MC or Robot Controller to communicate with

  • PLC/MC: iQ-R/Q/L Series (3E Frame), iQ-F Series (3E Frame) or FX Series (1E Frame). Default = iQ-R/Q/L Series (3E Frame).

    Note: The iQ-F Series (3E Frame) option is not available on the In-Sight vision systems running In-Sight 4.x.x firmware.
  • Robot Controller: CR800-D Series (3E Frame)
Closed IP Address

Defines the IP address of the Mitsubishi PLC/MC or Robot Controller. Enter the IP address of the Mitsubishi PLC/MC or Robot Controller that will be connected to the In-Sight vision system.

Closed Host Port

Defines the TCP port number, in decimal (Dec) or in hexadecimal (Hex) format, of the Mitsubishi PLC/MC or Robot Controller (1 - 65535 in Dec, 1 – 0xFFFF in Hex; default = 12288 in Dec).

Note:
  • This value should match the Host Port setting established on the SLMP Port of the Mitsubishi PLC/MC or Robot Controller.
  • The format of the Host Port number will be reset to decimal (Dec) when you close In-Sight Explorer.
Closed Timeout (ms)

Defines the timeout (5 milliseconds to 30,000; default is 1,000 ms) for both read and write operations.

Note: This parameter may potentially add time to the job; in the event that both the read and write operations were to fail, the amount of time added to the job would be twice the Timeout value, since both operations timeout would aggregate.
Closed Poll Interval (ms)

Defines the time (5 milliseconds to 30,000; default is 1,000 ms) between successive polls of the Vision Control block on the Mitsubishi PLC/MC or Robot Controller.

Closed Connect to Remote Station
  • When this checkbox is checked and iQ-R/Q/L Series (3E Frame), iQ-F Series (3E Frame) or CR800-D Series (3E Frame) is the selected Controller Type, the Network Number, PC Number and Destination Module controls are enabled.
  • When this checkbox is checked and FX Series (1E Frame) is the selected Controller Type, the PC Number control is enabled.

By default, the checkbox is unchecked and the In-Sight vision system is directly connected to the PLC/MC or Robot Controller with an Ethernet Module specified by the entered IP Address.

Closed Network Number

Defines the SLMP network number (0 to 239; default is 0 = local network) to communicate with. This control is enabled when the Connect to Remote Station checkbox is checked.

Closed PC Number (hex)

Defines the station identifier on the specified network of the Destination Module, in hexadecimal. This control is enabled when the Connect to Remote Station checkbox is checked.

Hex | Description
0xFF (default) | Direct connect to local station.
0x7E | Master station on CC-Link IE field.
0x1 - 0x78 | Station on CC-Link IE field network adapter.
Closed Destination Module

Defines the module identifier of the device to connect to. This control is enabled when the Connect to Remote Station checkbox is checked.

Module Type
03ff - Local station (default)
0x3d0 - Control system CPU
0x3d1 - Standby system CPU
0x3d2 - System A CPU
0x3d3 - System B CPU
0x3e0 - CPU 1
0x3e1 - CPU 2
0x3e2 - CPU 3
0x3e3 - CPU 4
Closed Reset button

Resets all settings to the default settings.

Closed Test Connection button

Starts the connection to the Mitsubishi PLC/MC or Robot Controller for testing purposes.


Configuring the Device Addressing Tab (SLMP Scanner)

The SLMP Scanner Device Addressing tab is used to define the PLC/MC or Robot Controller device addresses and the sizes for the various data blocks to be communicated to the PLC/MC or Robot Controller. The Device Type and size of the data blocks vary, depending on the Controller Type (iQ-R/Q/L Series, iQ-F Series, FX Series or CR800-D Series) defined in the Settings tab.

Closed Name

Name of the data block that can be communicated to or from the Mitsubishi PLC/MC or Robot Controller.

Closed Selected Device

Defines the Mitsubishi PLC/MC or Robot Controller device that is used to read or write the data block. The drop-down list includes the following options:

Device Type | Format | PLC/MC |  |  | Robot Controller
 |  | iQ-R/Q/L Series (3E Frame) | iQ-F Series (3 E Frame) | FX Series (1E Frame) | CR800-D Series (3E Frame)
X - Input Relay* | Bit | X | X | X |
Y - Output Relay* | Bit | X | X | X |
M - Internal Relay* | Bit | X | X | X |
L - Latch Relay* | Bit | X |  |  |
F - Annunciator* | Bit | X | X |  |
B - Link Relay* | Bit | X |  |  |
D - Data Register | Word | X | X | X | X
W - Link Register | Word | X |  |  |
R - File Block Register | Word | X |  |  |
ZR - File Register | Word | X |  |  |
R - Extension Register | Word |  |  | X |
S - State Relay* | Bit |  |  | X |
*Only Supported by the Control and Status data blocks.
Note:
  • When Selected Device is set to None, restart the In-Sight vision system once the SLMP Scanner settings are configured or changed.
  • If None is selected, the data block will not be communicated.
  • The Time Value and Counter Value devices are not supported.
Closed Offset

Defines offset within the device table to read or write the data block. The offset value should be entered in decimal, hexadecimal or octal, depending on the Selected Device type.

Device Type | Value | PLC/MC |  |  | Robot Controller
 |  | iQ-R/Q/L Series (3E Frame) | iQ-F Series (3 E Frame) | FX Series (1E Frame) | CR800-D Series (3E Frame)
X - Input Relay* | Hex | X | X | X |
Y - Output Relay* | Hex | X | X | X |
M - Internal Relay* | Decimal | X | X | X |
L - Latch Relay* | Decimal | X |  |  |
F - Annunciator* | Decimal | X | X |  |
B - Link Relay* | Hex | X |  |  |
D - Data Register | Decimal | X | X | X | X
W - Link Register | Hex | X |  |  |
R - File Block Register | Decimal | X |  |  |
ZR - File Register | Decimal | X |  |  |
R - Extension Register | Decimal |  |  | X |
S - State Relay* | Decimal |  |  | X |
*Only Supported by the Control and Status data blocks.
Closed Number of Devices

Defines the size of the data block that is communicated with the Mitsubishi PLC/MC or Robot Controller. The size is specified in units of PLC/MC or Robot Controller "devices" (words or bits).The maximum data size for the Input Block, Output Block, Command and Command Result varies depending on the selected Controller Type (iQ-R/Q/L series, iQ-F Series, FX series or CR800-D Series).

Block Name | Number of Devices
 | iQ-R/Q/L Series, iQ-F Series, CR800-D Series | FX Series
Control | 32 bits (read only)
Status | 32 bits (read only)
Input Block | 4 + Input Data length (Maximum: 960 words) | 4 + Input Data length (Maximum: 64 words)
Output Block | 12 + Output Data length (Maximum: 960 words) | 12 + Output Data length (Maximum: 64 words)
Command | 0 - 960 words | 0 - 64 words
Command Result | 0 - 960 words | 0 - 64 words
Note:

The iQ-R/Q/L series, iQ-F series and CR800-D Series can handle most message frame formats currently available (3E frame). However, the FX Series can only handle the first generation of the protocol message frame (1E frame), and the amount of data that can be transmitted in a packet is limited.

 | Maximum Data Size
 | iQ-R/Q/L Series, iQ-F Series, CR800-D Series | FX Series
Batch Read Bits | 7904 bits | 256 bits
Batch Read Words | 960 words | 64 words
Batch Write Bits | 7904 bits | 160 bits
Batch Write Words | 690 words | 64 words
Closed Description

A text description of the data block.


Configuring the Format Output Data and Format Input Data Tabs (SLMP Scanner)

After configuring the Settings and Device Addressing tabs, you will need to configure the Format Input Data and Format Output Data tabs, which are used to define the tool or job data that will be transferred to and from the Mitsubishi PLC/MC/Robot Controller and the In-Sight vision system.

Closed Configuring the Format Input Data tab

The Format Input Data tab is used to define inputs to the In-Sight vision system. A maximum of 32 inputs may be defined per job.

  1. Click on the Format Input Data tab to begin configuring the data that will be transferred from the PLC/MC or Robot Controller to the In-Sight vision system.
  2. Press the Add button to launch the Select Input Data dialog, which contains data from the job, such as any Location or Inspection Tools that were added to your job, acquisition data and Inputs.Select the data that you want transferred in to the In-Sight vision system from the PLC/MC or Robot Controler, and press the OK button.
  3. Once you have added your data, the data will appear in the table, displaying the Device Address, name of the input, its data type, size and value.

  4. You can customize the default data type by selecting a different data type from the Data Type drop-down list.

    Note:
    • If you select String or Byte-Swapped String from the Data Type drop-down list, the Element Size (words) control will be enabled and you can specify the string length by choosing the correct number of words.
    • When iQ-R/Q/L Series (3E Frame), iQ-F Series (3E Frame) or CR800-D Series (3E Frame) is the selected Controller Type, the total maximum message size is 960 words.When FX Series (1E Frame) is the selected Controller Type, the total maximum message size is 64 words.
    • When iQ-R/Q/L Series (3E Frame), iQ-F Series (3E Frame) or CR800-D Series (3E Frame) is the selected Controller Type, the total maximum length for input data is 1,920 bytes.When FX Series (1E Frame) is the selected Controller Type, the total maximum length for input data is 128 bytes.The input data size is displayed in the Message size (bytes) field.
    • The Reset Data Types button resets all the Data Types to their default settings.
    • The EasyBuilder implementation of the SLMP Scanner does not support 8-bit data types.

  5. You can also customize the byte order by specifying Low Byte first versus High Byte first by un-checking the High Byte/Low Byte checkbox (by default, it is unchecked for all protocols except PROFINET). You can customize the word ordering by specifying Low Word first versus High Word first by un-checking the High Word/Low Word checkbox (by default, it is unchecked).

    Note: Any changes made to the byte or word ordering will affect all the data signals in the Format Output Data and Format Input Data tabs.

  6. You can rearrange the order of the data that will be sent or received by selecting the data from the list and clicking either the Up or Down buttons to set the desired order.

Closed Configuring the Format Output Data tab

The Format Output Data tab is used to define outputs from the In-Sight vision system. A maximum of 128 outputs may be defined per job.

  1. Click on the Format Output Data tab to begin configuring the data that will be transferred from the In-Sight vision system to the PLC/MC or Robot Controller.
  2. Press the Add button to launch the Select Output Data dialog, which contains data from the job, such as any Location or Inspection Tools that were added to your job, acquisition data and the overall job results. Select the data that you want transferred in to the In-Sight vision system from the PLC/MC or Robot Controller, and press the OK button.
  3. Once you have added your data, the data will appear in the table, displaying the name, data type, size, value and the starting register number of the selected data. To the right of the table is a registers preview window, which displays how the data is formatted in to the PLC/MC or Robot Controller registers.

  4. You can customize the default data type by selecting a different data type from the Data Type drop-down list.

    Note:
    • If you select String or Byte-Swapped String from the Data Type drop-down list, the Element Size (words) control will be enabled and you can specify the string length by choosing the correct number of words.
    • When iQ-R/Q/L Series (3E Frame), iQ-F Series (3E Frame) or CR800-D Series (3E Frame) is the selected Controller Type, the total maximum message size is 960 words. When FX Series (1E Frame) is the selected Controller Type, the total maximum message size is 64 words.
    • When iQ-R/Q/L Series (3E Frame), iQ-F Series (3E Frame) or CR-800D Series (3E Frame) is the selected Controller Type, the total maximum length for output data is 1,920 bytes. When FX Series (1E Frame) is the selected Controller Type, the total maximum length for output data is 128 bytes. The output data size is displayed in the Message size (bytes) field.
    • The Reset Data Types button resets all the Data Types to their default settings.
    • The EasyBuilder implementation of the SLMP Scanner does not support 8-bit data types.
  5. You can also customize the byte order by specifying Low Byte first versus High Byte first by un-checking the High Byte/Low Byte checkbox (by default, it is unchecked for all protocols except PROFINET). You can customize the word ordering by specifying Low Word first versus High Word first by un-checking the High Word/Low Word checkbox (by default, it is unchecked). Any changes made will be updated in the preview window.
  6. You can rearrange the order of the data that will be sent or received by selecting the data from the list and clicking either the Up or Down buttons to set the desired order.


Configuring Mitsubishi Ethernet Native String Robot Communications

Data from EasyBuilder jobs, such as individual tool or job results, can be communicated with a robot controller. Once the data has been selected and formatted into a string, the robot controller can request the data by sending a single In-Sight Native Mode command, GetValue (GVJob.Robot.FormatString), which returns all of the data formatted in the string. For more information, see Get Value.

Note: The In-Sight 2000 series vision sensor does not support robot controllers.

To format your data into a string for Native Mode communications:

Note: The In-Sight vision system must be Offline to enable these controls.
  1. Press the Add button to launch the Select Output Data dialog, which contains the data from any Location or Inspection Tools that were added to your job, and additional job data, such as acquisition and input data.
  2. From the Select Output Data dialog, select the data that you want sent from the In-Sight vision system, and press the OK button. A maximum of 40 data items may be selected for one string.
  3. After you have added your data, the order of the data to be sent can be modified by selecting a data item from the list and clicking either the Up or Down buttons to set your desired order. Also, by pressing the Remove button, you can delete unwanted items.
  4. If one of the data items is a Floating Point Data Type, the Decimal Points control will become enabled, and the number of decimal places for floating point values may be set (0-6; default = 3).
  5. In the window to the right of the data list, the formatted string is displayed, as well as the string length (number of characters in the string), for reference purposes. A comma is automatically inserted to delimit the values within the string.
  6. Once the string has been formatted, the robot controller can request the data string by sending the single In-Sight Native Mode command, GetValue (GVJob.Robot.FormatString). For more information, see Get Value.


Configuring Mitsubishi Serial Native String Robot Communications

Data from EasyBuilder jobs, such as individual tool or job results, can be communicated with a robot controller. Once the data has been selected and formatted into a string, the robot controller can request the data by sending a single In-Sight Native Mode command, GetValue (GVJob.Robot.FormatString), which returns all of the data formatted in the string. For more information, see Get Value.

Note: The In-Sight 2000 series vision sensor does not support robot controllers.

To format your data into a string for Native Mode communications:

Note: The In-Sight vision system must be Offline to enable these controls.
  1. Press the Add button to launch the Select Output Data dialog, which contains the data from any Location or Inspection Tools that were added to your job, and additional job data, such as acquisition and input data.
  2. From the Select Output Data dialog, select the data that you want sent from the In-Sight vision system, and press the OK button. A maximum of 40 data items may be selected for one string.
  3. After you have added your data, the order of the data to be sent can be modified by selecting a data item from the list and clicking either the Up or Down buttons to set your desired order. Also, by pressing the Remove button, you can delete unwanted items.
  4. If one of the data items is a Floating Point Data Type, the Decimal Points control will become enabled, and the number of decimal places for floating point values may be set (0-6; default = 3).
  5. In the window to the right of the data list, the formatted string is displayed, as well as the string length (number of characters in the string), for reference purposes. A comma is automatically inserted to delimit the values within the string.
  6. Once the string has been formatted, the robot controller can request the data string by sending the single In-Sight Native Mode command, GetValue (GVJob.Robot.FormatString). For more information, see Get Value.
  7. If necessary, click the Serial Port Settings tab to define the serial communication settings. EasyBuilder automatically determines the serial protocol, based on the Device Setup selections. The serial port settings are saved to the In-Sight vision system upon leaving the Communication step.
Note:

  • The Serial Port Settings options vary per In-Sight model and applicable I/O module. If connected to a supported I/O module, first click the I/O Module button to open the I/O Module Configuration dialog and configure the I/O module. For more information, see I/O Module Configuration.

  • In-Sight Micro 1000 series vision systems support serial communication only when connected to the CIO-MICRO or CIO-MICRO-CC I/O module.

  • There are two options for enabling serial communication for the In-Sight 70xx - 74xx series vision system: using the Breakout cable or using the CIO-MICRO or CIO-MICRO-CC I/O module. When connected to the Breakout cable (and there is no connection to an I/O module), the vision system allows one discrete input line and one discrete output line to be configured as Serial Receive and Serial Transmit, respectively. For more information, see Enable Serial Communication: In-Sight 70xx - 74xx.
  • In-Sight 8000 series vision systems only support serial communication when connected to the CIO-MICRO I/O module.

  • The CIO-WENET I/O module does not support serial communication.


Communication Over TCP/IP

An In-Sight sensor can be configured to act as a TCP/IP client device, opening a connection between the In-Sight sensor and another TCP/IP device for sharing data over the network. Once the TCP/IP connection has been established, EasyBuilder will initiate the communication with another TCP/IP device on the network.

To configure an In-Sight sensor for client device TCP/IP service:

  1. In the Communications group box, press the Add Device button.
  2. From the Device Setup group box, select Other from the Device drop-down list.
  3. Select TCP/IP from the Protocol drop-down list.
  4. Press the OK button.
  5. Click the TCP/IP Settings tab and enter the name of the TCP/IP service device with which to establish connection in the Server Host Name field.

  6. Enter the port number of the TCP/IP server at which the connection will be established between TCP/IP devices in the Port field. The Port number entered must also be assigned on the server.

    Note: A valid Port assignment is any unused number between 1 and 65535, except for ports used for In-Sight communications. In-Sight Emulator users should always assign Port numbers 3000 (the default) and higher to prevent potential conflicts with ports reserved by services on the PC. For more information, see In-Sight Ports.
  7. Enter the number of milliseconds (100 to 15000; default = 1000) to wait for the TCP/IP connection to be established before aborting the connection attempt in the Timeout field.
  8. From the Terminator drop-down list, select a String with Customer Terminator to specify an ASCII character (0 to 255).
Closed String Customer Terminator Descriptions
Terminator | Description
String CR+LF (default) | ASCII characters 13 (Carriage Return) and 10 (Line Feed) will be appended to the data string.
String CR (13) | ASCII character 13 (Carriage Return) will be appended to the data string.
String LF (10) | ASCII character 10 (Line Feed) will be appended to the data string.
String Nullchar (0) | ASCII character 0 (Nullchar) will be appended to the data string.
  9. Once the TCP/IP settings have been established, click the Format Output String tab to select and format the data that will be transmitted.
Note: The TCP/IP protocol is a "secondary" protocol, and can be added to a job in addition to a "primary" protocol. For more information, refer to the Supported Protocols section on Device Setup.


Communicating Over UDP

An In-Sight vision system can be configured to act as a UDP server or client device, opening a connection between the vision system and another UDP device for sharing data over the network.

User Datagram Protocol (UDP), an alternative to TCP, is a connectionless communication transport method that offers a limited amount of service when messages are exchanged over the Internet Protocol. Unlike TCP, UDP does not acknowledge or guarantee delivery, nor does it provide for sequencing packets.

To configure a vision system as a client or server device for UDP service:

  1. In the Communications group box, press the Add Device button.
  2. From the Device Setup group box, select Other from the Device drop-down list.
  3. Select UDP from the Protocol drop-down list.
  4. Press the OK button.
  5. Now you will need to configure the UDP Settings tab, and select an input string (if needed) and output string (if needed).
Closed UDP Settings Tab
Closed Mode

Defines whether or not the In-Sight vision system will be configured as a client or a server (Client, Client w/ Response, Server or Server w/ Response; default = Client). In the UDP communication paradigm, a client is a system that accesses a remote service on another computer system (the server) over a network, and a server is a networked device that handles requests for data from another networked device.

  • Client: The vision system will transmit data to the specified server.
  • Client w/ Response: The vision system will transmit data to the specified server, then wait, based on the time-limit set in the Timeout parameter, for a response message from the server.
  • Server: The vision system will receive data as the specified server.
  • Server w/ Response: The vision system will receive data as the specified server, then send a response message back to the client device.
Closed Server Host Name

Defines the host name or IP address of the UDP server. If the Modeparameter is set to Server or Server w/ Response, this parameter will be disabled.

Closed Port

Defines the communication port number between the UDP server and UDP device. If the In-Sight vision system is being configured as a Server and a Server Host Name has been entered, the Port parameter assigns the port number to this device. If the vision system is being configured as a Client, the port number must be the same as the port number of the UDP server.

Closed Timeout

Defines the amount of time (100 to 15000; default = 1000), in milliseconds, that is required to receive a response from the server device when a message is sent from the client device.

Note: The Timeout parameter is only enabled when the Mode parameter is set to Client w/ Response.
Closed Input String Tab

The Input String tab allows you to define a string that is input from another device into an EasyBuilder tool's string input, such as a Match String parameter of a Read ID Codes, Read 1D Code, Read 1D Codes (1-20), Read 2D Code, Read 2D Codes (1-20), Read Postal Code or Read Text Identification Tool in the Inspect Part step.

Note: The Input String tab is disabled if the Mode parameter is set to Client.
Closed Input Name

From the drop-down menu, select the EasyBuilder job or tool property that will be input.

Note: To input a text string from an external device, such as a PLC or PC, for use with an Identification Tool, please see the topic: Inputting Data for Identification Tools.
Closed Format Output String

The Format Output String tab allows you to define the data that is sent to the UDP server, when the Mode parameter is configured as a Client, Client w/ Response or Server w/ Response.

Note: The Format Output String tab is disabled if the Mode parameter is set to Server.
Closed Format String
  1. From the Format Output String tab, click the Format String button, which will launch the FormatString dialog, where you will be able to add, customize and modify the order of the data sent. For more information, see Format String Dialog.
  2. Within the FormatString dialog, press the Add button, which will launch the Select Output Data dialog.
  3. The Select Output Data dialogs contain the data from any Location or Inspection Tools that were added to your job and the overall job results. From the dialog, select the appropriate data that you want to be sent from the In-Sight sensor, and press the OK button.
  4. After you have selected your data in the Select Output Data dialog, the FormatString dialog will reappear.
  5. You can modify the strings and/or rearrange the order of the data that will be sent by selecting the data from the list and clicking either the Up or Down buttons to set your desired order. Once you have finalized your string modifications, press the OK button.
  6. Now that the string has been formatted, the output data will be sent after the sensor completes its job execution.
Note: The UDP protocol is a "secondary" protocol, and can be added to a job in addition to a "primary" protocol. For more information, refer to the Supported Protocols section on Device Setup.


Communicating Over POWERLINK

Note: This protocol is only available on In-Sight vision systems using In-Sight firmware 4.x.x, and is not available on In-Sight vision systems running In-Sight firmware 5.1.0 and later. For a complete list of models and supported firmware versions, see Firmware Versions.

An In-Sight vision system can be configured to communicate with the POWERLINK network.

To communicate over POWERLINK, first perform the following:

  1. Go to the Communication Application Step. In the Communications group box, press the Add Device button.
  2. From the Device Setup group box, select PLC from the Device drop-down list.
  3. Select B&R from the Manufacturer drop-down list.
  4. Select POWERLINK from the Protocol drop-down list.
  5. Press the OK button.

Once these settings are enabled, the Settings and Format Input/Output tabs can be configured.

  • Closed POWERLINK Settings Tab

    Enabled: Enables POWERLINK on the In-Sight vision system (default = unchecked).

    Node ID: Defines the Node ID (1-239; default = 1) for the In-Sight vision system on the POWERLINK network. This control is enabled when the Enabled checkbox is checked. The Node ID, together with the POWERLINK network’s NAT IP address, can be used to communicate with other devices outside of the POWERLINK network. For example, the default NAT IP address is 192.168.101.0. To communicate with an In-Sight vision system with a Node ID of 26, combine the NAT IP address with the Node ID: 192.168.101.26.

    Note: The In-Sight vision system must be restarted to enable POWERLINK protocol.
  • Format Input/Output Tab
Note:
  • For more information about configuring POWERLINK on a vision system, please refer to POWERLINK Communications.
  • Optionally, click the Add Device button again to add an additional "secondary" protocol to the job. For more information, refer to the Supported Protocols section on Device Setup.


Inputting Data for Identification Tools

To input a text string from an external device, such as a PLC or PC, for use with an Identification Tool, follow these steps:

  1. Add a Read ID Codes, Read 1D Code, Read 1D Codes (1-20), Read 2D Code, Read 2D Codes (1-20), Read Postal Code or Read Text Identification Tool in the Inspect Part step.
  2. In the Settings tab of the Read ID Codes, Read 1D Code, Read 1D Codes (1-20), Read 2D Code, Read 2D Codes (1-20) or Read Postal Code tool, set the Mode to Match String; for the Read Text tool, set the Mode to Verify or Read and Verify.
  3. Click the Communication application step.
  4. In the Communications group box, press the Add Device button.
  5. From the Device Setup group box, select Other from the Device drop-down list.
  6. Select Serial Text from the Protocol drop-down list.
  7. Press the OK button.
  8. Click the Input String tab.
  9. From the Input Name drop-down list, select the desired tool's Match String input. EasyBuilder will automatically examine your job and include any tools' Match String inputs defined in the job.

  10. Click the Serial Port Settings tab and adjust the settings to your application, if necessary.

    Note:

    • The Serial Port Settings options vary per In-Sight model and applicable I/O module. If connected to a supported I/O module, first click the I/O Module button to open the I/O Module Configuration dialog and configure the I/O module. For more information, see I/O Module Configuration.

    • In-Sight Micro 1000 series vision systems support serial communication only when connected to the CIO-MICRO or CIO-MICRO-CC I/O module.

    • There are two options for enabling serial communication for the In-Sight 70xx - 74xx series vision system: using the Breakout cable or using the CIO-MICRO or CIO-MICRO-CC I/O module. When connected to the Breakout cable (and there is no connection to an I/O module), the vision system allows one discrete input line and one discrete output line to be configured as Serial Receive and Serial Transmit, respectively. For more information, see Enable Serial Communication: In-Sight 70xx - 74xx.
    • In-Sight 8000 series vision systems only support serial communication when connected to the CIO-MICRO I/O module.

    • The CIO-WENET I/O module does not support serial communication.

  11. Click the Format Output String tab and press the Format String, which will launch the FormatString dialog, where you will be able to select and format the result of your tool. For more information, see Format String Dialog.

    Note: The Read ID Codes or Read Text will result in a Fail and the Match String field will display TRIG until the Match String is input from the external device.
  12. Within the FormatString dialog, press the Add button, which will launch the Select Output Data dialog.
  13. The Select Output Data dialogs contain the data from any Location or Inspection Tools that were added to your job and the overall job results. From the dialog, select the appropriate data that you want to be sent from the In-Sight sensor, and press the OK button.
  14. After you have selected your data in the Select Output Data dialog, the FormatString dialog will reappear.
  15. You can modify the strings and/or rearrange the order of the data that will be sent by selecting the data from the list and clicking either the Up or Down buttons to set your desired order. Once you have finalized your string modifications, press the OK button.
  16. Now that the string has been formatted, the output data will be sent after the sensor completes its job execution.
  17. Once the In-Sight sensor is placed Online, the tool will receive the input string and attempt to read and/or verify the string in the image.


Formatting Output Strings

  1. In the Communications group box, press the Add Device button.
  2. In the Device Setup group box from the Device drop-down list, select Other.
  3. From the Protocol drop-down list, select either Ethernet Native, Serial Native, Serial Text or TCP/IP.
  4. From the Format Output String tab, click the Format String button, which will launch the FormatString dialog, where you will be able to add, customize and modify the order of the data sent. For more information, see Format String Dialog.
  5. Within the FormatString dialog, press the Add button, which will launch the Select Output Data dialog.
  6. The Select Output Data dialogs contain the data from any Location or Inspection Tools that were added to your job and the overall job results. From the dialog, select the appropriate data that you want to be sent from the In-Sight sensor, and press the OK button.
  7. After you have selected your data in the Select Output Data dialog, the FormatString dialog will reappear.
  8. You can modify the strings and/or rearrange the order of the data that will be sent by selecting the data from the list and clicking either the Up or Down buttons to set your desired order. Once you have finalized your string modifications, press the OK button.
  9. Now that the string has been formatted, the output data will be sent after the sensor completes its job execution.


Communications with Rockwell ControlLogix PLCs

This section describes how to transfer data between an In-Sight vision system and a ControlLogix or CompactLogix PLC on an EtherNet/IP network using Rockwell RSLogix 5000 software.

Setting Up In-Sight Vision Systems in the I/O Structure of RSLogix

Configuring In-Sight Vision Systems for PLC Communications

In-Sight Vision System Job Load Example from RSLogix PLC


Setting Up the In-Sight Vision System in the I/O Structure of RSLogix

The steps to configure an implicit connection and transfer of data depend on the firmware version installed on the vision sensor, and the version of RSLogix 5000 software. For detailed information, see the Communicate with a Rockwell ControlLogix PLC topic in the In-Sight® Explorer Help file.

Integrating In-Sight Vision Systems into RSLogix 5000 v14-16

Integrating In-Sight Vision Systems into RSLogix 5000 v17-19

Integrating In-Sight Vision Systems into RSLogix 5000 v20

In-Sight Vision System Input and Output Assembly Objects


Integrating In-Sight Vision Systems into RSLogix 5000 v14-16

This topic covers integrating In-Sight vision systems running In-Sight 5.2.0 or later firmware, in RSLogix 5000, version 14-16. These versions of RSLogix 5000 do not support the EDS files, and a Generic ETHERNET-MODULE must be used instead. In-Sight Explorer includes .L5X files, which can be used to copy PLC controller tag data to/from user-friendly program tags, representing signals in the vision sensor running In-Sight 5.2.x or later firmware.

  1. Open RSLogix 5000 and load the PLC's project.

    Note: The PLC must be Offline to add connections in RSLogix 5000.

  2. Add a connection to your Ethernet Communications Card. Under the I/O Configuration node, select the Ethernet Node under the Ethernet Module, right-click on the icon and select New Module from the menu.

  3. From the Select Module Type dialog in the Catalog tab, select the Communication Module Type Category Filter, Allen-Bradley as the Module Type Vendor Filter, select ETHERNET-MODULE (Generic Ethernet Module) and press the Create button.

  4. In the New Module dialog, enter the following:

    • The In-Sight vision sensor's name and IP address.
    • The Connection Parameters. For In-Sight vision sensors running 5.x.x firmware, the Input/Output Assembly Objects section defines the Assembly Instance that should be configured. For more information, refer to the Rockwell ControlLogix PLC - In-Sight 5.x.x Firmware topic in the In-Sight® Explorer Help file.

  5. After adding the vision sensor to the RSLogix project, the L5X rung import file can be used to create structured data for the connection. The Main Routine can be accessed from Tasks > Main Task > MainProgram in the Controller Organizer pane.

    Note: If this is a new ladder program, the empty rung 0 can be used. If the vision sensor is being integrated into an existing program, Cognex recommends adding a rung at the top of the ladder to ensure that updated data is read from, and written to, the sensor's Input and Output assemblies prior to the rest of the ladder executing.
    1. Within the main program, right-click on an empty rung and select the Import Rungs... option.

    2. Navigate to the .L5X file; the files are located in the following location: C:\Program Files (x86)\Cognex\In-Sight\In-Sight Explorer 5.x.x\Factory Protocol Description\RSLogix

      Import the InSightGenEth_11_CopyRung.L5X file. Once you have selected the file, click the Import... button.

  6. The Import Configuration dialog will then be used to change the names of the created tags to match the configuration. The generic module will create a single array of raw unstructured data for both the input and output to the module. The Input assembly will be one contiguous array consisting of the Status block and the Inspection Results array. The Output assembly will be a contiguous array consisting of the Control Block and the User Data array. Neither will have any identifying tags.

    Once the project is downloaded to the PLC and the rung with the copy instructions is executed for the first time, two new arrays containing the tags will be created.

    1. The generic names of the Tags will need to be modified. The top two lines will have an X beside them, and the Name of each will need to be modified.

    2. By clicking in the white space of the Name field, an arrow will appear, which will provide a drop-down menu that will contain replacement options for the default Name structure. The list should contain names that match the name given in Step 4 (the name of the In-Sight vision sensor; in this example, the name given was In-Sight 2000, so the list contains In-Sight 2000:I and In-Sight 2000:O).

      Replace the two generic names with the options in the drop-down menu.

    3. The bottom two lines will also need to be edited. Click on the text of the name so that the cursor icon appears and then replace the text prior to "_In" and _Out" with the name of the generic module or some other easily identifiable name (e.g. "In-Sight 2000" in this example, since there is only one vision sensor).

      Note: The name given in this instance should be unique to each vision sensor that is added to the I/O configuration. If multiple vision sensors are going to be deployed, these steps must be followed for each vision sensor, because each instance of the copy rungs that are created will point to a specific vision sensor. Therefore, for later troubleshooting, ensure that the names used are easily identifiable.

    4. Once all of the Tags have been updated from their default values, press the OK button.

  7. A new rung will have been added to the Main Routine below the rung that was added (the empty rung can be deleted).

  8. The project can now be downloaded to the PLC, and the PLC can be put into Run Mode.

  9. Once the rungs holding the copy instructions have been run, the new tags will be created in the Controller Tags table.

    In this example, the In-Sight 2000:I and In-Sight 2000:O tags are the raw input and output assemblies from the vision system, and the In-Sight 2000_In and In-Sight 2000_Out will contain the Control and Status blocks, as well as the User Data and Inspection Result arrays.


Integrating In-Sight Vision Systems into RSLogix 5000 v17-19

This topic covers integrating In-Sight vision systems running 5.2.0 or later firmware in RSLogix 5000 version 17-19. These versions of RSLogix 5000 do not support the EDS files, and a Generic ETHERNET-MODULE must be used instead. In-Sight Explorer includes .L5X files, which can be used to copy PLC controller tag data to/from user-friendly program tags, representing signals in the vision sensor running In-Sight 5.2.x or later firmware.

  1. Open RSLogix 5000 and load the PLC's project.

    Note: The PLC must be Offline to add connections in RSLogix 5000.

  2. Add a connection to your Ethernet Communications Card. Under the I/O Configuration node, select the Ethernet Node under the Ethernet Module, right-click on the icon and select New Module from the menu.

  3. From the Select Module Type dialog in the Catalog tab, select the Communication Module Type Category Filter, Allen-Bradley as the Module Type Vendor Filter, select ETHERNET-MODULE (Generic Ethernet Module) and press the Create button.

  4. In the New Module dialog, enter the following:

    • The In-Sight vision sensor's name and IP address.
    • The Connection Parameters. For In-Sight vision sensors running 5.x.x firmware, the Input/Output Assembly Objects section defines the Assembly Instance that should be configured. For more information, refer to the Rockwell ControlLogix PLC - In-Sight 5.x.x Firmware topic in the In-Sight® Explorer Help file.

  5. After adding the vision sensor to the RSLogix project, the L5X rung import file can be used to create structured data for the connection. The Main Routine can be accessed from Tasks > Main Task > MainProgram in the Controller Organizer pane.

    Note: If this is a new ladder program, the empty rung 0 can be used. If the vision sensor is being integrated into an existing program, Cognex recommends adding a rung at the top of the ladder to ensure that updated data is read from, and written to, the sensor's Input and Output assemblies prior to the rest of the ladder executing.
    1. Within the main program, right-click on an empty rung and select the Import Rungs... option.

    2. Navigate to the .L5X file; the files are located in the following location: C:\Program Files (x86)\Cognex\In-Sight\In-Sight Explorer 5.x.x\Factory Protocol Description\RSLogix

      Import the InSightGenEth_11_CopyRung.L5X file. Once you have selected the file, click the Import... button.

  6. The Import Configuration dialog will then be used to change the names of the created tags to match the configuration. The generic module will create a single array of raw unstructured data for both the input and output to the module. The Input assembly will be one contiguous array consisting of the Status block and the Inspection Results array. The Output assembly will be a contiguous array consisting of the Control Block and the User Data array. Neither will have any identifying tags.

    Once the project is downloaded to the PLC and the rung with the copy instructions is executed for the first time, two new arrays containing the tags will be created.

    1. The generic names of the Tags will need to be modified. The top two lines will have an X beside them, and the Name of each will need to be modified.

      By clicking in the white space of the Name field, an arrow will appear, which will provide a drop-down menu that will contain replacement options for the default Name structure. The list should contain names that match the name given in Step 4 (the name of the In-Sight vision sensor; in this example, the name given was In-Sight 2000, so the list contains In-Sight 2000:I and In-Sight 2000:O).

      Replace the two generic names with the options in the drop-down menu.

    2. The bottom two lines will also need to be edited. Click on the text of the name so that the cursor icon appears and then replace the text prior to "_In" and _Out" with the name of the generic module or some other easily identifiable name (e.g. "In-Sight 2000" in this example, since there is only one vision sensor).

      3. Note: The name given in this instance should be unique to each vision sensor that is added to the I/O configuration. If multiple vision sensors are going to be deployed, these steps must be followed for each vision sensor, because each instance of the copy rungs that are created will point to a specific vision sensor. Therefore, for later troubleshooting, ensure that the names used are easily identifiable.

    3. Once the default tag names have been changed, it is necessary to specify where the tags will be created. To place the tags in the Controller Tag table, right-click in the empty box (highlighted below) and select Toggle Tag Scope.

    4. Once all of the Tags have been updated from their default values, press the OK button.

  7. A new rung will have been added to the Main Routine below the rung that was added (the empty rung can be deleted).

  8. The project can now be downloaded to the PLC, and the PLC can be put into Run Mode.

  9. Once the rungs holding the copy instructions have been run, the new tags will be created in the Controller Tags table.

    In this example, the In-Sight 2000:I and In-Sight 2000:O tags are the raw input and output assemblies from the vision system, and the In-Sight 2000_In and In-Sight 2000_Out will contain the Control and Status blocks, as well as the User Data and Inspection Result arrays.


Integrating In-Sight Vision Systems into RSLogix 5000 v20

This topic covers integrating In-Sight vision systems running In-Sight 5.2.0 or later firmware, in RSLogix 5000, version 20 and beyond. These versions of RSLogix 5000 support EDS files. In-Sight Explorer includes .L5X files, which places tag data in user-friendly program tags, representing signals in the vision sensor running In-Sight 5.2.x or later firmware. InSight_11_CopyRung.L5X file will be used for sensors running the 5.X firmware.

  1. Create and add an EDS module in RSlogix5000

    1. EDS files are installed with Insight Explorer software at the following location: C:\Program Files (x86)\Cognex\In-Sight\In-Sight Explorer 5.2.3\Factory Protocol Description\EDS
    2. From the Tools drop down menu in RSLogix5000, run the EDS installation tool to install the EDS file for the In-Sight 2000.
    3. From the IO Configuration section of RSLogix5000, right-click on the network node and select New Module from the menu.

    4. From the Select Module dialog, open the Communications node and select the In-Sight 2000-xxx from the list and click OK.

      The dialog will be replaced with a New Module configuration dialog.

      Enter the name of the vision sensor, its IP address and its connection parameters as shown above. If there are multiple vision sensors, each should have a unique name. For this example, there is only one vision sensor to configure.

      Tip: Refer to the In-Sight Explorer help files for the EtherNet/IP Object Model (Input and Output Assembly bits) that correspond to the version of firmware running on the vision sensor. For more information, see EtherNet/IP Object Model and Input/Output Assembly Objects.

  2. Import Rung

    1. Access the Main Routine which can be found in the Tasks > Main Task > Main Program folder in the Controller Organizer pane. If this is a new ladder program, the empty rung zero can be used. If the vision sensor will be integrated into an existing program, it is recommended to add a rung at the top of the ladder to ensure updated data is read from and written to the sensor’s input and output assemblies prior to the rest of the ladder executing.

    2. Once there is an empty rung at the top of the ladder program, right-click on that rung and select Import Rung from the menu.

    3. Use the Import Rung dialog to browse to the folder location containing this document and the two import rung files. Since the Insight 2000 uses a 5.X firmware, the InSight_11_CopyRung.L5X file will be used.

    4. Once the appropriate file has been selected, click the Import button.

    5. The Import Configuration dialog will appear with generic names to be used for tag generation.

  3. Renaming of tags: The generic module will create a single array of raw unstructured data for both the input to/from the module. For this example – the generic module created In-Sight 2000:I, In-Sight 2000:0, and In-Sight 2000:C (which is not used). The Input assembly will be one contiguous array consisting of the Status block and the Inspection Results array, and the Output assembly will be a contiguous array consisting of the Control Block and the User Data array, both without any identifying tags. Once the project is downloaded to the PLC and the rung with the copy instructions is executed for the first time, two new arrays containing the tags will be created (and identical to the tags you would see if an Add-on-profile module were available).

    1. The bottom two lines with flag to the left of them will need to be edited by clicking in the white space of the Name field. These tags contain the raw unstructured data of the I/O assemblies on In-Sight. A down arrow will appear after clicking the space.

    2. Clicking the arrow will produce a drop down menu with replacement options for the default name. In this list there will be names that match the name of the generic module. In this example, the generic module was named In-Sight 2000, so “In-Sight 2000:I” and an “In-Sight 2000:O” will appear in the list. Replace both lines with the corresponding name that matches the name of the generic module. Note that In-Sight 2000:C is not used.

    3. Next, edit the top two lines in the Import Configuration. Click on the text of the name so the cursor appears. It is best practice to replace everything before the “_In” and “_Out” with the name of generic module, or some other easily identifiable name. Since this example only uses one vision sensor, the name “In-Sight 2000” was used.

    4. Now that all of the default tag names have been changed, it is necessary to specify where the tags will be created. Skipping this step will place the new tags in the Program Tag table just above the Main Routine.

      To put the tags in the Controller Tag table—as an AOP would do, were it available—right-click in the empty box next to each of the Import Names where the controller card icon is missing. These spaces have been highlighted in the capture below. Right clicking in this space will produce a drop down menu where Toggle Tag Scope can be selected. This will place the controller card icon in the previously empty box.

    5. After all the names have been changed from their default values, click the OK button.

      Note: The names, In-Sight 2000_In and In-Sight 2000_Out, can be any names, so long as it is unique to each vision sensor added to the IO configuration. If multiple sensors are being deployed, these steps must be followed for each sensor, as each instance of the copy rungs that get created will point to a specific sensor. Care should be taken when choosing names to make any future trouble shooting easier and to avoid confusion. For example, if more than one sensor is present, the names could be “Line_One_In-Sight 2000_In” and “Line_One_In-Sight 2000_Out".

    6. A new, empty rung will be added to the Main Routine. This rung can be deleted.

  4. Downloaded to the PLC

    1. Download the project to the PLC.

    2. Put the PLC into Run Mode. After the rungs holding the copy instructions haven been run, the new tags will be created in the Program Tags table (the same as would occur with the Add on Profile, were it to exist).

      In this example, the In-Sight 2000:I & In-Sight 2000:O are the raw input and output assemblies from the vision sensor, and the MyCamera_In and MyCamera_Out will contain the Control and Status blocks as well as the UserData and InspectionResults arrays as shown in the following table:


In-Sight Vision System Input and Output Assembly Objects

For more information, see EtherNet/IP Object Model and Input/Output Assembly Objects.


Configuring In-Sight Vision Systems for PLC Communications

To communicate with a PLC, please perform the following:

  1. In the Communications group box, press the Add Device button.
  2. In the Device Setup group box, from the Device drop-down list, select PLC/Motion Controller.
  3. From the Manufacturer drop-down list, select the PLC/MC manufacturer. If your PLC/MC manufacturer is not listed, choose Other.
  4. From the Protocol drop-down list, select your communication protocol. The communication protocols listed are contingent upon the Manufacturer selection.
  5. Press the OK button.

Trigger Over EtherNet/IP

Establish the Connection Using the Add-On Profile

Get Data from an In-Sight Vision System

Send Data to an In-Sight Vision System


Trigger Over EtherNet/IP

To configure the In-Sight 2000 vision sensor for triggering over EtherNet/IP:

  1. Log on to the vision sensor.
  2. In the Set Up Image step, set the Trigger Type to Industrial Ethernet.

  3. In the Communication step:

    1. In the Communications group box, press the Add Device button.
    2. In the Device Setup group box, from the Device drop-down list, select PLC/Motion Controller.
    3. From the Manufacturer drop-down list, select the PLC/MC manufacturer. If your PLC/MC manufacturer is not listed, choose Other.
    4. From the Protocol drop-down list, select your communication protocol. The communication protocols listed are contingent upon the Manufacturer selection.
    5. Press the OK button.

  4. Place the In-Sight vision sensor Online.

  5. In the I/O assembly tags on the PLC, set the Trigger Enable bit high, and then set the Trigger bit high to trigger (referenced bits are highlighted in yellow).


Establish the Connection Using the Add-On Profile

For detailed information, see Establish the Connection Using the Add-On Profile (AOP).

If a vision system has already been setup in your RSLogix project with the EDS file, you can update the EDS profile with the new AOP Profile. For detailed information, refer to Update a Previously Installed EDS Profile with the New Add-On Profile.


Get Data from an In-Sight 2000 Vision Sensor

Get Data from an In-Sight Vision System

Setup communication between the In-Sight Vision System and PLC:

  1. In the Communications group box, press the Add Device button.
  2. In the Device Setup group box, from the Device drop-down list, select PLC/Motion Controller.
  3. From the Manufacturer drop-down list, select the PLC/MC manufacturer. If your PLC/MC manufacturer is not listed, choose Other.
  4. From the Protocol drop-down list, select your communication protocol. The communication protocols listed are contingent upon the Manufacturer selection.
  5. Press the OK button.

Setup the data for communication:

Data from EasyBuilder jobs, such as individual tool results or overall job results (output only), can be communicated over Ethernet/IP. Input data will be read after the sensor acquires an image, and output data will be sent after the sensor completes its job execution.

  6. Click either the Format Input Data or Format Output Data tab.
  7. Press the Add button to launch the Select Input Data or Select Output Data dialogs.
  8. The Select Input Data or Select Output Data dialogs contain the data from any Location or Inspection Tools that were added to your job and the overall job results (output only). From the dialog, select the appropriate data that you want to be sent from (or to) the In-Sight sensor, and press the OK button.
  9. After you have added your data, you can modify the default data type of the selected data by choosing a different data type in the Data Type drop-down list.
    10. Note: If you select String from the Data Type drop-down list, the Element Size (bytes) control will be enabled and you can specify the string length by choosing the correct number of bytes.
  10. Rearrange the order of the data that will be sent or received by selecting the data from the list and clicking either the Up or Down buttons to set your desired order.
  11. Place the In-Sight vision sensor Online.
  12. Trigger the system.

  13. The data should now be displayed in the Controller -> Program Tags node of RSLogix 5000.


Send Data to an In-Sight 2000 Vision Sensor

Send Data to an In-Sight Vision System

Setup communication between the In-Sight Vision System and PLC:

  1. In the Communications group box, press the Add Device button.
  2. In the Device Setup group box, from the Device drop-down list, select PLC/Motion Controller.
  3. From the Manufacturer drop-down list, select the PLC/MC manufacturer. If your PLC/MC manufacturer is not listed, choose Other.
  4. From the Protocol drop-down list, select your communication protocol. The communication protocols listed are contingent upon the Manufacturer selection.
  5. Press the OK button.

Data from EasyBuilder jobs, such as individual tool results or overall job results (output only), can be communicated over Ethernet/IP. Input data will be read after the sensor acquires an image, and output data will be sent after the sensor completes its job execution.

To format your data:

  1. Click either the Format Input Data or Format Output Data tab.
  2. Press the Add button to launch the Select Input Data or Select Output Data dialogs.
  3. The Select Input Data or Select Output Data dialogs contain the data from any Location or Inspection Tools that were added to your job and the overall job results (output only). From the dialog, select the appropriate data that you want to be sent from (or to) the In-Sight sensor, and press the OK button.
  4. After you have added your data, you can modify the default data type of the selected data by choosing a different data type in the Data Type drop-down list.
    5. Note: If you select String from the Data Type drop-down list, the Element Size (bytes) control will be enabled and you can specify the string length by choosing the correct number of bytes.
  5. Rearrange the order of the data that will be sent or received by selecting the data from the list and clicking either the Up or Down buttons to set your desired order.
  6. Place the In-Sight vision sensor Online.
  7. Within RSLogix 5000, open the Program Tags dialog and change the value of the InSight_Top:O.Data[1] and InSight_Top:O.Data[2] tags.

  8. Determine if the User Data handshaking is needed. If the User Data Bypass is enabled, the exchange of data will mimic that of the 4.x.x cameras. If the User Data Bypass is not enabled (default state), this new bit will add additional handshaking to the data exchange between PLC and In-Sight vision sensor. Additional steps will be needed to be done to display the data in the spreadsheet.

    1. If the Enable User Data Bypass is enabled in the Network Setting Dialog for the camera, the values in EasyBuilder will update immediately.

    2. If the Enable User Data Bypass is NOT enabled in the Network Setting Dialog for the camera:

      1. Set the User Data tag, SetUserData bit is a named tag, for this example it would be InSight_Top:O.Control.SetUserData.
      2. Clear the User Data tag above once you receive the User Data Ack bit. SetUserDataAck bit is a named tag, for this example it would be InSIght_Top:I.Status. SetUserDataAck.


In-Sight Vision System Job Load Example from RSLogix PLC

For detailed information, see Implicit Job Load Example From RSLogix PLC.


Integrating with Universal Robots - TCP/IP

Cognex 2D vision systems integrate with Universal Robot controllers using the Cognex In-Sight 2D Robot Guidance plugin, which you install in the Universal Robot PolyScope software. Use this plugin to set up hand-eye calibration and retrieve the position (pose) information from the vision system so that the robot can move to the correct target location and pick up the part. You can program responses from the vision system, such as when a job passes or fails. You can also set a reference pose for the robot if the vision system is mounted to the robot arm.

Cognex 2D vision systems communicate with Universal Robot controllers using a TCP/IP connection. The vision system hosts the TCP server and the robot is the client. These devices must be on the same network.

Note: This feature is not supported on In-Sight 2000 vision sensors.

The following Universal Robots are supported:

  • UR3
  • UR5
  • UR10
  • e-Series

The Cognex In-Sight 2D Robot Guidance plugin is supported only in Universal Robots PolyScope software version 3.5.1 and later.

Setting up the hand-eye calibration and robot guidance application involves the following tasks:

  1. Install the Cognex In-Sight 2D Robot Guidance Plugin
  2. Teach the Robot Tool Center Point (TCP)
  3. Configure the Vision System for Calibration
  4. Connect to the Vision System and Perform Hand-Eye Calibration
  5. Create a Part Job and Import the Calibration
  6. Set Up the Vision System Pose
  7. Program the Universal Robot

Install the URCap Cognex Plug-In

Teach the Robot Tool Center Point (TCP)

Configure the Vision System for Calibration

Connect to the Vision System and Perform Hand-Eye Calibration

Create a Part Job and Import the Calibration

Set Up the Vision System Pose

Program the Universal Robot


Install the URCap Cognex Plug-In

Install the Cognex In-Sight 2D Robot Guidance Plugin

  1. Go to cognex.com/urcaps and download the Cognex URCaps v1.3.0.urcap file.
  2. Transfer the file to a USB stick.

  3. Launch the PolyScope program. The main menu displays:

  4. Insert the USB stick into the right side of the Universal Robot teach pendant.

  5. On the main menu, select Setup Robot > URCaps. Click the plus button (+) to add the URCap Cognex plugin file, which displays as Cognex In-Sight Robot Guidance.

The Cognex In-Sight 2D Robot Guidance plugin adds the following to the PolyScope software:

  • A Cognex menu item on the Program tab (Program > Structure > URCaps > Cognex Camera Pose).
  • A Cognex menu item on the Installation tab.
  • A node in the Robot Program tree called CGX_result:=CameraPose.
  • A new variable called CGX_result is added to the Program > Command tab. This variable is used to store the vision system pose information that is sent from the vision system during triggering.


Teach the Robot Tool Center Point (TCP)

The tool center point (TCP) is the part of the robot that contacts the work part. You teach the TCP so that the robot can move to the same position from multiple angles (called "waypoints").

The TCP must be within the field of view of the vision system.

Note: This procedure is inherent to the PolyScope software and is included in this document for convenience.
  1. Launch the PolyScope software.

  2. On the main menu, select Program Robot. The New Program window opens.

  3. Select Pick and Place.

  4. Select Installation > TCP Configuration.

  5. To teach the TCP, you can measure them manually in one of the following ways:
    • If the TCP is located directly on the Z axis, measure the distance between the TCP and the center of the tool flange (in millimeters) for the Z axis. Enter the measurement in the Z field.
    • If the TCP is NOT located directly on the Z axis, measure the distance between the TCP and the center of the tool flange (in millimeters) for the X, Y, and Z axes. Enter the measurements in the X, Y, and Z fields, respectively.

    Refer to the PolyScope Manual for additional instructions. You can download this manual from the Universal Robots web site.


Configure the Vision System for Calibration

In this procedure, you will:

  • Train the pattern of the robot TCP so that it can be located by the vision system.
  • Add a Robot Tool.
  • Enter a name for the .CXD calibration file. This file will be populated with calibration information by the Cognex In-Sight 2D Robot Guidance plugin after it completes the calibration.
  1. In EasyBuilder, connect to the vision system, then create a new job.
  2. Select Set Up Image. Ensure that the tool center point is within the field of view of the vision system.

  3. Under Edit Acquisition Settings, set the Trigger to Manual.

  4. Adjust the image settings to get an image that is well focused and evenly illuminated.
  5. Select Locate Part and add any preferred tools for locating the TCP on the robot gripper.
  6. Highlight the PatMax Pattern Tool and select Settings.

  7. Use Horizontal Offset and Vertical Offset settings to adjust the crosshair on your tool so that it is centered on the TCP.

  8. Next, to add the Robot Calibration Tool, select Inspect Part > Calibration Tools > Robot.

  9. Select Add.

    Note: This tool also uses Smart Features, so you can use other features (such as circles) to link to the Robot Calibration Tool.

  10. On the image, click on the crosshair associated with the tool that is used to define the TCP, then click OK. The Robot Tool displays in the Results tab of the Palette and is connected to the Pattern tool.

  11. Select the Robot Calibration Tool in the Tool Palette (named Calib_1 by default).

  12. Under Edit Tool, select the Settings tab.

  13. Enter a File Name of the .CXD calibration file. To optionally include the current date and time in the file name, mark the Append Date/Time check box. The Full Name field displays the complete file name.
  14. Set the vision system to Online. This is required for the vision system to communicate with the robot.
  15. Save the job with a name that indicates that this is a calibration job. If you need to re-run the calibration in the Cognex In-Sight 2D Robot Guidance plugin, you can reuse this job.


Connect to the Vision System and Perform Hand-Eye Calibration

You perform a hand-eye calibration using the Cognex In-Sight 2D Robot Guidance plugin. This establishes the work plane within the field of view of the vision system, which determines the area where the robot can manipulate a part. The plugin creates a calibration file (.CXD) that you will later import into your main job.

Begin the calibration by defining three set points that will determine the height and width of the work plane.

  1. On the PolyScope main menu, select Program > Robot > Installation > Cognex. The Cognex window opens.

  2. Under Connection, enter the IP Address of the vision system. The vision system name displays below that address.

    If the connection fails, refer to the following information to troubleshoot:

    If this error displays: Do the following:
    Make sure the camera is online and the proper job file is loaded. | In In-Sight Explorer, check that the camera is Online.
    The format of the IP address is invalid (example address: 192.168.0.1) | In the robot software, check that the correct IP address for that camera is entered.
    Timeout reached. Make sure the network adapter is enabled in Setup Robot Network. | In the robot software, check that the robot is on the correct network.

  3. Visually establish and make note of the size of the work plane that will include the part to be picked up by the robot. The graphic below illustrates sample points of width and height.

    Note: In steps 4 through 6 below, before you click OK, you can verify that the vision system can still see the TCP by triggering an image manually in In-Sight EasyBuilder.

  4. First, you will define the width of the work plane. Select the Set Point button for (1) Work Plane Corner. The Move tab displays. Use the controls to move the robot to the first corner point of the work plane, then select OK. A green check mark displays next to the first Set Point button on the Cognex window.

  5. Select the Set Point button for (2) Work Plane Corner. The Move tab displays again. Use the controls to move the robot to the second corner of the work plane, then select OK. A green check mark displays next to the second Set Point button on the Cognex window.

  6. Next, you will define the height using the third set point. Select the Set Point button for (3) Work Plane Edge. The Move tab displays again. Use the controls to move the robot to be in line with the far edge of the work plane, then select OK. A green check mark displays next to the third Set Point button on the Cognex window. The Width and Height display.

    The Start Calibration button is now enabled.

  7. Before you start the calibration, review the width and height again to make sure they are satisfactory.
  8. To begin calibration, select Start Calibration. When the calibration completes, the following message displays: Calibration has finished.
  9. Select Start Program or Continue to close the window.

During calibration, the following occurs:

  • The robot program directs the robot to 15 points within the field of view, and sends the coordinates to the vision system.
  • The vision system acquires an image and determines the TCP location.
  • The robot program maps the TCP coordinates to the vision system pixel coordinates.

When the calibration finishes, the Cognex In-Sight 2D Robot Guidance plugin does the following:

  • Sends a message to the Robot tool of the calibration job that you previously created.
  • Creates a calibration file with the file name you entered in the calibration job, along with a .CXD extension. You will import this calibration into your main job, which is where you will also train the part to be picked by the robot.
Note: If the vision system is mounted to the robot arm, do not move the trained part until you have set the reference pose for the robot. You set the reference pose of the robot after you set the vision system pose.


Create a Part Job and Import the Calibration

Create your main job to train the part to be picked up by the robot and to import the calibration created by the Cognex In-Sight 2D Robot Guidance plugin.

  1. Create a new job and connect to the vision system. Ensure that the pick up part is within the field of view of the vision system.
  2. Select Set Up Image

  3. Under Edit Acquisition Settings, set the Trigger to Manual.

  4. Under Calibration Type, select Import.

  5. In File Name, select the .CXD name you entered in the calibration job.

  6. Select Locate Part and add any preferred tools for locating the part.
  7. Perform additional job setup, if applicable.
  8. Select Inspect Part.

  9. Select Math & Logic Tools > Robot Guidance.

  10. Select Add, click on the crosshair of the part, then select OK. The Robot Guidance Tool displays in the Results tab of the Palette and is connected to the Pattern Tool.

  11. Under Edit Tool, change the Tool Name and any settings, as necessary. Customize your tool by giving it a name that is associated with your particular application.
  12. Set the vision system to Online.


Set Up the Vision System Pose

You set up vision system pose options so that the robot program contains the proper location of the vision system.

  1. Launch the PolyScope program that you created. The main menu displays:

  2. In the PolyScope main menu, select Program Robot. A list of tabs display.

  3. Select Empty Program.

  4. Select the Structure tab. The Program Structure Editor page displays.

  5. Select the URCaps. The Cognex Camera Pose button displays, which represents the Cognex In-Sight 2D Robot Guidance plugin.

  6. Select the Cognex Camera Pose button, then select the Command tab. The Robot Program tree on the left now contains the CGX_result;=CameraPose node and three additional nodes: Job Pass, Job Fail, and No Response.

  7. A file named CGX_result is created that will be used to store the vision system pose. The pose corresponds to the location of the part found by the vision system.

  8. Lock any positions that you do not want to be obtained by the vision system. If you leave all rotations unlocked, the robot rotation will be relative to the current rotation at the robot gripper, which is the rotation set when the program reaches the CGX_result;=CameraPose node. To lock a position, mark the appropriate check box.
  9. Save the program.
Note: If the vision system is mounted to the robot arm, set a reference pose for the robot. Refer to Set a Reference Pose for the Robot.

Set a Reference Pose for the Robot


Set a Reference Pose for the Robot

Note: This task is required only if the vision system is mounted to the robot arm (optional if the vision system is not mounted to the robot arm).

You can set a reference pose for the robot, so that the robot gripper is aligned with the trained part.

  1. In the Robot Program tree of PolyScope, select the CGX_result;=CameraPose node. The Cognex Camera Pose window displays.

  2. Select Set Reference Pose. The Move Tool displays.

  3. Use this tool to move the gripper so that it is aligned with the trained part.
  4. When finished, select OK.

  5. If the vision system is mounted to the robot arm, mark the Robot Mounted check box.

    If the vision system is not mounted to the robot arm, leave this check box unmarked.

  6. To save the reference pose, save your program.


Program the Universal Robot

After you set up the robot calibration and In-Sight jobs, you can then program the robot for your pick and place application using MoveL and other robot commands. You can also determine the action to take when a job passes, fails, or if there is no response from the vision system. The Cognex In-Sight 2D Robot Guidance plugin provides the following framework to start:

When you finish programming and run the application, when the program reaches the CGX_result:=CameraPose node, the following occurs:

  1. The robot communicates to the camera for location of the trained part.
  2. The vision system triggers and returns the pose that represents the location of the part.
  3. The pose is stored in the CGX_result variable in the Program Structure Editor in PolyScope.

The following is a sample program structure:


Filmstrip

The Filmstrip step is used to configure a vision system or emulator to play back images stored to the PC or review images and results stored to the vision system. The PC filmstrip is typically used for short-term set up and monitoring of known pass and fail images, when connected to a PC. The Sensor filmstrip is typically used for run-time monitoring and debugging.

  • PC Settings
  • Sensor Settings
Note: If the filmstrip is not displayed, click Filmstrip on the View menu or the Filmstrip button [image] on the EasyBuilder toolbar.

Sensor Settings

PC Settings


Sensor Settings

When the vision system is Online and acquiring images, the Sensor filmstrip can be used to monitor a job's performance. As images are acquired, the job results, including the acquired image and accompanying job data are stored to the vision system's RAM. As results are stored to the vision system, a pass or fail graphic is added to the filmstrip. Up to 20 results can be saved, depending on the vision system's resolution and available RAM.

Example of monitoring filmstrip results from an Online vision system

Closed Configure the Sensor Settings
Note: Enabling the Sensor filmstrip may increase the job execution time. Ensure that the increased time is acceptable for your application. If it is unacceptable, choose Disabled in the Queue drop-down menu.

The Sensor Settings group box allows you to configure the Sensor filmstrip settings:

Closed Queue

Specifies which results to store; Disabled (no results are stored), Passed Results, Fail Results, Pass and Fail Results or Separate Pass and Fail Results. (default = Disabled)

Note:
  • When Separate Pass and Fail Results is selected:
    • The Queue Size drop-down is disabled.
    • The Pass Size and Fail Size drop-downs are enabled.
    • The Pass Results and Fail Results buttons are displayed next to the filmstrip; toggle these buttons to display pass and/or fail results in the filmstrip.

Closed Queue Size

Specifies the number of results to store. Up to 20 results can be saved, depending on the vision system's resolution and available RAM. If the specified Queue Size exceeds the vision system's available RAM, the largest number of results possible are automatically allocated to the vision system.

Note: This option is disabled when Separate Pass and Fail Results is selected from the Queue drop-down.

Closed Pass Size

The number of passing results stored to the vision system. The combined Pass Size and Fail Size will not exceed the supported Queue Size allocated to the vision system. This option is only enabled when Separate Pass and Fail Results is selected from the Queue drop-down. (Minimum = 1)

Closed Fail Size

The number of failing results stored to the vision system. The combined Pass Size and Fail Size will not exceed the supported Queue Size allocated to the vision system. This option is only enabled when Separate Pass and Fail Results is selected from the Queue drop-down. (Minimum = 1)

Closed Queue Type

Specifies whether to save the First Only or the Most Recent number (X) of results, where X = Queue Size. (default = Most Recent)

Closed Clear When Placed in Online Mode

When enabled (default), clears the queue every time the vision system is placed Online.

Closed Display Mode

Specifies whether the filmstrip should Freeze on Fail, Pause on Fail or do nothing in response to a fail result (Normal). (default = Normal)

Closed Pause Delay

Specifies the pause duration, in seconds, if Pause on Fail is chosen as the Display Mode. (1–120; default = 5)

Closed LED Style

Displays the pass and fail results in the filmstrip as geometric shapes (green circle [image] and red rectangle [image]), green OK [image] and red NG [image] or green checkmark [image] and red X [image].

Closed Save Path

Specifies a location for saving filmstrip images. The user must have "write" privileges for the specified location.

Closed Monitor Results from the Sensor

The filmstrip can be used for either Online monitoring or Online/Offline reviewing of a job's results.

  1. Click the Online button [image] in the EasyBuilder toolbar to place the vision system Online.
  2. Trigger image acquisition on the vision system. As images are acquired, the images are stored to the vision system and populated in the filmstrip, based on the Queue setting specified in the Sensor Settings group box.
  3. View the updated status graphics in the filmstrip, which represent the pass/fail results. The vision system remains Online, but the filmstrip stops updating and enters "frozen" mode (indicated by a yellow bar at the top of the display area) if any of the following occurs:
    • A result receives a failing status and Freeze on Fail or Pause on Fail is specified in the Sensor Settings group box.

    • A status graphic is selected in the filmstrip, a navigational button is clicked or the Freeze button is clicked.

    In "frozen" mode, you can navigate through the results in the filmstrip or save images from the vision system to the PC. All the Application Steps are disabled to prevent inadvertent editing of the job parameters. Meanwhile, the job continues to run, but nothing is added to the queue. The filmstrip resumes updating and all the Application Steps become enabled if one of the following occurs:

    • The specified Pause Delay elapses.
    • The Continue button is clicked.
    • The Clear Queue button is clicked.
  4. When finished monitoring the results, click the Online button in the toolbar again to place the vision system Offline.
Closed Save Images from the Sensor to the PC

You can save the images from an Online or Offline vision system to any folder you have "write" privileges to on the PC, and use the PC playback mode to play back the images.

Closed Verify the Save Path
  1. Verify that the vision system is placed Offline.

  2. Click the "browse" button next to the Save Path field.

  3. In the Browse for Folder dialog that appears, specify the desired destination folder and click OK. The selected folder path is now displayed in the Save Path field.
Closed Saving images from an Online or Offline vision system to a PC
  1. Select a result in the filmstrip or click the Freeze button to enter "frozen" mode. This mode is indicated by a yellow bar at the top of the display area. All the Application Steps are disabled to prevent inadvertent editing of the job parameters. Meanwhile, the job continues to run, but nothing is added to the queue.

  2. Click the Save to PC button in the filmstrip.

  3. To add more images to the destination folder, exit "frozen" mode by clicking either the Continue button or the Clear Queue button in the filmstrip, allow another set of results to be added to the queue and repeat steps 1 and 2.


PC Settings

The Playback button launches the Record/Playback Options dialog, which allows you to configure record and playback settings for individual vision systems and emulators. PC playback mode, which can be accessed while the vision system is Online or Offline, allows you to play back as many as 10,000 images to help validate a job; the image is sent to the vision system and the job runs against the image being played back. For more information, see Record/Playback Options Dialog: EasyBuilder View.

Example of the filmstrip during playback from the PC

Closed Configure the Record Settings
Note: When color images are recorded to the PC, they are saved as 16-bit images, rather than 24-bit images. When color images need to be used for testing color tools, you can export the images via FTP (by adding an FTP device from the Communication Application Step) to save the images and maintain the full color depth.
  1. Click Playback in the PC Settings group box.
  2. In the Record/Playback Options dialog that appears, click the Record tab.
  3. Select the desired folder as the Record folder and configure the remaining record parameters.
  4. Once all Record settings have been specified, click OK to close the Record/Playback Options dialog.
Closed Record Images
  1. In the filmstrip, click the PC button.
  2. From the EasyBuilder toolbar, click the Record button.
  3. Trigger image acquisition on the vision system. As images are acquired, the pass and fail images are automatically sorted and stored to the specified folder.
  4. Click the Record button again to stop recording.
Closed Configure the Playback Settings
  1. Click Playback in the PC Settings group box.
  2. In the Record/Playback Options dialog that appears, click the Playback tab.

  3. Select the desired folder as the Playback folder and configure the remaining playback parameters.

    Note: The EasyBuilder sample jobs provide a powerful demonstration of the usefulness of the Record/Playback options. The Record/Playback options enable a series of previously acquired images to be cycled through, providing instantaneous feedback of tool results, allowing for quick configuration of thresholds and limits. For more information, see EasyBuilder Sample Jobs and Sample Images.
  4. Once all Playback settings have been specified, click OK to close the Record/Playback Options dialog.
Closed Play Back Images from the PC
Note: To allow the playback of images when a vision system is in Online mode, the Trigger parameter in the Set Up Image Application Step must be set to External, Manual or Network.

  1. In the filmstrip, click the PC button.
  2. If the Trigger parameter (in the Set Up Image Application Step) is set to Camera or Continuous, place the vision system Offline to play back images. If the Trigger parameter is set to External, Manual or Network, the vision system can remain Online to play back images.

  3. In the filmstrip, click the Play button to play back the images or click the navigational buttons (shown below) to manually cycle through the images.

    play | pause
    select first | select previous
    select next | select last
  4. Click the Run Job Applications Step to display the Results Table (or click the Results tab in the Palette).


Save Job

This step allows you to perform various file-management and sensor-maintenance tasks.

Note: If the Allow Online Job Save checkbox on the User dialog is enabled, users with Full or Protected access are allowed to save jobs while Online. If the Allow Online Job Save checkbox is not enabled, the vision system must be Offline to save jobs. For more information, see User Access Settings Dialog.
  • Saving (or Saving As) a Job
  • Configuring Start-Up Settings
  • Backing Up an Archival Copy
  • Restoring an Archival Copy

Saving (or Saving As) a Job

Configuring Start-Up Settings

Backing Up an Archival Copy

Restoring an Archival Copy


Saving (or Saving As) a Job

When you save a job, only the tool settings and the information specific to that job are saved.

Note: Although you can save your job during previous EasyBuilder steps, the Save Job step serves as an important reminder. EasyBuilder provides no "automatic save" capability, so any unsaved changes will be lost if power is cycled on the sensor.

If a job has not been saved before, the Save function operates identically to the Save As function, which opens the Save As dialog.

Closed Saving (or saving as) an unsaved job:

  1. Press CTRL+S, or click Saveor Save Asin the Save Jobgroup box, all of which open the Save Asdialog.
  2. In the dialog, navigate to the desired location, if needed.
  3. Name the job.
  4. Click Savein the dialog.

Closed Saving a previously saved job requires doing one of the following:
  • Click Savein the Save Jobgroup box.
  • Press CTRL+S.
Note: To save the job's current image, click Save Image As... on the File menu. To save sensor settings and all images, back up your In-Sight sensor or emulator. For more information, see Backup Dialog


Configuring Start-Up Settings

The controls in the Startup Options group box allow you to specify tasks that automatically occur when an In-Sight vision system/sensor or emulator is switched on, including loading a default job and placing the vision system/sensor Online.

Note: Only users with Full access can configure the start-up settings. For more information, see User Access Settings Dialog.

Select a Startup Job

  1. Click the [image] button. The Startup dialog opens.
    1. In the dialog, check the Load Job on Startup checkbox. The list is enabled and displays the jobs stored on the connected vision system/sensor, SD Card installed to the connected vision system, or emulator.

    2. If the Job Server is enabled, check the Load Remote Job on Startup checkbox in the dialog. The list is enabled and displays the jobs stored on the Job Server. For more information, see Job Server Settings Dialog.

      Note:
      • By default, the Job Server is disabled. Use the Job Server Settings dialog to enable and configure the Job Server.
      • When the Job Server is enabled, a job saved in the Job Server can only be selected. If a job saved in the vision system should be loaded at startup, disable the Job Server.
  2. Select the job you would like to load automatically on startup.
  3. Click OK. The dialog closes.

  4. In the Job text box, the selected startup job is displayed.

    Note:
    • If a job saved on the SD Card is selected, the Job text box shows "SDCARD/xxx.job".
    • The Job text box is read-only. To change the start up job, click the [image] button.
  5. If you would like to unselect the startup job and begin with an empty job, click the [image] button again and uncheck the Load Job on Startup or Load Remote Job on Startup checkbox.

Start the Sensor Online

  1. Check the Start the Sensor in Online Mode checkbox to automatically launch the current sensor into Online mode on startup.

    Note: You can also enable this setting using the Startup dialog.


Backing Up an Archival Copy

The Backup button allows users with Full or Protected access to store an archival copy of the jobs, images and sensor settings from an In-Sight vision system/sensor or emulator to the hard disk of their local PC. For more information, see User Access Settings Dialog.

Before backing up a vision system/sensor or emulator to the PC, click Options on the System menu to ensure that the destination folder, or Backup directory, for the archived data is defined as you wish.

Backing up the current sensor or emulator:

  1. Click Backup in the Sensor Maintenance group box.
Tip: Using the Backup dialog (System > Backup), you can store backups from different vision systems/sensors/emulators to the PC or to the SD Card installed to the vision system. For more information, see Backup Dialog.


Restoring an Archival Copy

The Restore button allows users with Full or Protected access to retrieve an archived copy of the jobs, images and sensor settings from their local PC to restore them to the original In-Sight vision system/sensor or emulator; the copy must be backed up to the PC before its files will appear in the dialog. For more information, see User Access Settings Dialog and Backup Dialog.

Restoring an archival copy to the current sensor or emulator:

  1. Click Restore in the Sensor Maintenance group box.
Tip: Using the Restore dialog or Restore From dialog (System > Restore From), you can restore an archived copy to a different vision system/sensor/emulator, or restore a backup stored on the SD card to the vision system. For more information, see Restore Dialog and Restore From Dialog.


Run Job

Once all the job parameters are set, you can run the job, review the results and modify or troubleshoot settings, if necessary, and test your job to ensure that all of its parameters are within their limits and the In-Sight vision system is accurately acquiring images.

  • Running Your Job on a Sensor
  • Reviewing the Results Table
  • Testing Your Job with TestRun™

Running Your Job on a Sensor

Modifying or Printing the Results Table

Reviewing the Results Table

Job Optimization and Troubleshooting

Testing Your Job with TestRun™


Running Your Job on a Sensor

Running a job on a sensor simply involves placing the sensor Online.

Note: If an input or output line is forced "on" or "off" in the Inputs/Outputs application step, a warning will appear in the Job Status group box. In this case, ensure that no harm will occur if the equipment becomes energized or de-energized before placing the sensor Online or Offline.

Placing the sensor Online and Offline:

  • To place Online: Click the Online button in the settings pane. The button is a toggle, and turns orange to indicate its Online status.
    Button appearance when Offline
  • To place Offline: Click the orange Online button in the settings pane. The button reverts to its original color to indicate its Offline status.
    Button appearance when Online


Modifying or Printing the Results Table

Click Options in the settings pane to open the Result Display Optionsdialog, which allows you to modify the Results Table.

The Result Display Optionsdialog contains the following controls:

Closed View Options

Allow you to disable/enable auto-sizing of the column widths; display the Pass/Fail rates as percentages or as counts; and remove/add the tool icon, Time, Results, tool dependency graphics, Pass/Fail and Tool Enabled Status columns from/to the Results Table. The Tool Enabled Status column indicates a tool's enabled ("On", "Off" or related input line) state, which is defined in the Locate Part and Inspect Part steps.

Closed Tool Options

Allow you to hide/display a tool's graphical overlays in the display area (Show Graphic column), and to hide/display a tool's profile in the Results Table (Show Tool column). Apply these settings to individual tools by selecting or deselecting the checkboxes; apply them to all or none of the tools in the job by clicking the All or None buttons in the Tool Optionsgroup box. By default, all the checkboxes are selected.

Closed Restore to Defaults

Clears the sort and resets the Results Table to its default settings. The default columns include the pass/fail indicator, tool dependency graphics, tool icon, Name, Result, Pass/Fail (displayed as counts) and Time. The columns automatically size to fit the width of the EasyBuilder View.

Other Results Table-related controls in the settings pane include the following:

Closed Print

Opens the Print Preview window, where you can print all pages, zoom using preset percentages, select the number of pages to view at one time and select a specific page to view. You can also open the Page Setup dialog and select the paper size, source and orientation; page margins; and printer.

Closed Clear Pass/Fail

Reverts Pass/Fail counts to 0 and resumes counting.


Reviewing the Results Table

The Results Table in the settings pane displays a profile of each tool in the job. To sort the table by a column, click on the column title; to reverse the sort order, click on the column title again. To restore the default sorting, click on the column title a third time. Tools can be re-ordered within the table by dragging and dropping them into their desired location within the table, as well.

Note: Tools can be re-organized in the Results table by dragging and dropping the tools into their desired order. This can be done in both the Run Job Results Table and the Palette Results Tab table, and will be reflected in both tables. Drag and drop sorting is only enabled when the table's Tool Order and Dependency Graphics column is selected (this column is selected by default). Select the column a second time to reverse the order. The ability to re-organize the list will be disabled if the job is at or near its job size limit.

The Results Table displays the following default columns (from left to right):

  • Pass/Fail Indicator: Uses a green circle [image] and a red rectangle [image] to represent success and failure, respectively. Pass/fail criteria are specified in the Locate Part and Inspect Part steps.

  • Tool Order and Dependency Graphics : Displays the tool order and the dependencies between the selected tool (highlighted in orange) and other tools. Select this column to sort the tools by the order they were added to the job. Setting the sort to this column also enables you to drag and drop the tools into your own desired order. Tools in a Group Math & Logic Tool can be added or removed from the group by expanding the tool and dragging the desired tool in or out of the group.

    Note: Group Tools cannot be dropped under other Group Tools, and tools which would cause a circular reference cannot be added to a Group Tool.

    A dependency exists when a tool references another tool. There are two parts to each dependency: a precedent and a dependent, which are connected by a line. The precedent refers to the source of the data (that is, the tool providing the input) and is represented by a circle; the dependent is the destination of the data (that is, the tool receiving the output) and is represented by an arrow. Blue dependency graphics indicate that the selected tool is the destination; green indicates that the selected tool is the source.

  • Tool Icon: Visually indicates the type of tool used (for example, Presence/Absence Edge, Identification Read Text, Counting Blobs).
  • Name: Lists the tool’s name, which can be changed from its default name in the Locate Part or Inspect Part step.

  • Result: Lists the results for the tool, which are also displayed either in the Settings or Range Limits tab in the Locate Part or Inspect Part settings pane.

    In-Sight Models | Results

    In-Sight 2000-110 and 2000-120/120C Vision Sensors

             Pass/Fail status only
    In-Sight 2000-130/130C Vision Sensors

    Measurement and Counting Inspection tools: Standard Results (Numeric Data)

    Presence/Absence Pattern tool: Pass/Fail status and Pattern Score

    Other tools: Pass/Fail status only
    In-Sight Vision Systems (All Models) and In-Sight 2000 Series 23X Vision Sensors (23M, 230) | Standard Results (No Limitations)
  • Pass: Displays the pass rate for the tool either as the number of pass results/total results (default) or as a percentage.
  • Fail: Displays the fail rate for the tool either as the number of fail results/total results (default) or as a percentage.
    • Note: When a tool is disabled, its signals remain in their last state. If the tool was failing when it was disabled, Pass will be 0 and Fail will be 1. However, the overall job Pass/Fail will not be affected by the disabled tool's Pass/Fail.
  • Time(ms): Lists the amount of time, in milliseconds, needed to run the tool.

  • Type: Displays the type of tool. For example, "PatMax RedLine™ Patterns (1-10)" is displayed for the PatMax RedLine™ Patterns (1-10) Location Tool, and "PatMax® Patterns (1-10)" is displayed for the PatMax® Patterns (1-10) Location Tool.

    Note: To hide the Type column, right-click and select Show Type Column.

The Job Status group box, to the left of the Results Table, displays the overall pass rate (Rate) for all images viewed since the pass/fail count was last cleared and the job time (Time) for the current image.

  • Modifying or Printing the Results Table


Job Optimization and Troubleshooting

You can use this information to troubleshoot or optimize job settings.

Some examples of how the Results Table can help you troubleshoot problems include:

  • Pass/fail counts: Allow you to identify which tools are failing.
  • Tool dependency graphics: Allow you to determine if a tool failure is related to the failure of another tool by viewing the dependent relationships between tools.
  • Result strings: Allow you to determine which tools are going out of specification.

Optimizing your job often involves decreasing the processing time, which can vary according to the capabilities of individual In-Sight sensors. Job optimization is important only for time-critical applications (such as those involving rapid line speeds).

When running an EasyBuilder job, the following stages are the most time-intensive:

  • Acquisition time: Exposure time + transfer time to the CCD (charge-coupled device)
  • Tool operation: Sum of the processing time of all the tools and functions

Following are some general guidelines for decreasing the job execution time:

  • Lower the exposure time.
  • Take a partial acquisition.
  • Specify a smaller region of interest.
  • Minimize the rotation of the image.

If needed, you can return to the Set Up Image, Locate Part or Inspect Part step to modify the parameters accordingly.

Also, the relative speeds of the main Location and Inspect Part Tools are (from fastest to slowest):

  • Edge
  • Blob
  • Pattern

Therefore, if an Edge and a Pattern tool provide the same result, use the Edge tool.

Note: The actual run time in production may be faster than the run time during the Run Job step because the acquisition and processing functions can overlap.


Testing Your Job with TestRun™

TestRun™ performs tests on the In-Sight vision system and compares the results of those tests against expected values. TestRun consists of the following tests for an In-Sight vision system:

  • Limit Tests: Looks at a list of parameters and determines if the current value is within the upper and lower limits, as configured for that parameter. These parameter settings can be configured by users directly within the job, discrete inputs read into the job or values sent by an external device through a communication protocol.
  • Image Tests: Sends a series of known quality images ("good" and "bad") to a vision system and determines if the results from the current job match the expected results for each image.
  • Hardware Tests: Compares the image quality of a current image from the vision system to the expected image quality to determine if changes in camera position, focus, lighting, etc., have occurred.

Before Using TestRun

Note: TestRun is only available to users with Full Access privileges.

TestRun assumes the following:

  • The machine vision application has already been developed and saved as a .job file on an In-Sight vision system.
  • In the Get Connected step, a connection to the vision system has been established and the .job file loaded.
  • An image database containing the images used in the application has been created.
Note: Ideally, the image database will include examples of "good" images (images that result in a Pass) and "bad" images (images that result in a Fail). TestRun is able to operate with a variety of file organization structures for the image database, however, sorting the images into separate "good" and "bad" folders prior to launching TestRun will simplify the process.

Using TestRun

After connecting to the desired In-Sight vision system and loading the appropriate .job file to the vision system, TestRun configuration may begin. TestRun is configured using the TestRun Setup Dialog, which offers a step-by-step series of screens to program TestRun. A navigational pane is provided on the left side of the dialog, from which any of the setup screens can be selected.

Note: After the initial configuration of TestRun, any of the steps can be revisited by simply selecting the step in the step in the navigational pane.

Configuring TestRun

  1. In the Palette, click on the TestRun tab.

    Note: If the Palette is not visible, from the View menu, select Palette.
  2. Press the Configure button to launch the TestRun Setup Dialog.
  3. Follow the step-by-step series of screens to configure TestRun.. For more information about configuring TestRun, see TestRun™ - EasyBuilder View.


Legal Notices

The software described in this document is furnished under license, and may be used or copied only in accordance with the terms of such license and with the inclusion of the copyright notice shown on this page. Neither the software, this document, nor any copies thereof may be provided to, or otherwise made available to, anyone other than the licensee. Title to, and ownership of, this software remains with Cognex Corporation or its licensor. Cognex Corporation assumes no responsibility for the use or reliability of its software on equipment that is not supplied by Cognex Corporation. Cognex Corporation makes no warranties, either express or implied, regarding the described software, its merchantability, non-infringement or its fitness for any particular purpose.

The information in this document is subject to change without notice and should not be construed as a commitment by Cognex Corporation. Cognex Corporation is not responsible for any errors that may be present in either this document or the associated software.

Companies, names, and data used in examples herein are fictitious unless otherwise noted. No part of this document may be reproduced or transmitted in any form or by any means, electronic or mechanical, for any purpose, nor transferred to any other media or language without the written permission of Cognex Corporation.

2019 October 02 12:06 PM

Revision: 5.8.0.1

Copyright © 2008 - 2019. Cognex Corporation. All Rights Reserved.

Portions of the hardware and software provided by Cognex may be covered by one or more U.S. and foreign patents, as well as pending U.S. and foreign patents listed on the Cognex web site at: cognex.com/patents.

The following are registered trademarks of Cognex Corporation:

Cognex, 2DMAX, Advantage, AlignPlus, Assemblyplus, Check it with Checker, Checker, Cognex Vision for Industry, Cognex VSOC, CVL, DataMan, DisplayInspect, DVT, EasyBuilder, Hotbars, IDMax, In‑Sight, Laser Killer, MVS‑8000, OmniView, PatFind, PatFlex, PatInspect, PatMax, PatQuick, SensorView, SmartView, SmartAdvisor, SmartLearn, UltraLight, Vision Solutions, VisionPro, VisionView

The following are trademarks of Cognex Corporation:

The Cognex logo, 1DMax, 3D‑Locate, 3DMax, BGAII, CheckPoint, Cognex VSoC, CVC‑1000, FFD, iLearn, In‑Sight (design insignia with cross‑hairs), In‑Sight 2000, InspectEdge, Inspection Designer, MVS, NotchMax, OCRMax, PatMax RedLine, ProofRead, SmartSync, ProfilePlus, SmartDisplay, SmartSystem, SMD4, VisiFlex, Xpand

Portions copyright © Microsoft Corporation. All rights reserved.

Portions copyright © MadCap Software, Inc. All rights reserved.

Other product and company trademarks identified herein are the trademarks of their respective owners.


Communicating with a Mitsubishi Automation Controller on CC-Link IE Field Network Basic

CC-Link IE Field Basic is a protocol designed to integrate Ethernet devices into a Mitsubishi Automation Controller. As opposed to the existing SLMP (MC Protocol), the Mitsubishi automation controllers act as the master, driving the communications to the slave devices over standard UDP messaging. The communications support 64 bits and 32 16-bit words of data per station in each direction, with each slave supporting 4 stations. The data is mapped into controller memory through the Mitsubishi setup tools (GXWorks 2/3).

Once the protocol is enabled and the vision system is configured in the controller, the controller will begin cyclic communications to the In-Sight vision system through a request/response mechanism.

Configuring In-Sight Vision Systems for CC-Link Protocol Communications

This section describes how to connect to an In-Sight vision system using CC-Link communications to a Mitsubishi Q-Series Automation Controller.

Enabling CC-Link IE Field Basic

Note:
  • To enable CC-Link IE Filed Basic from the EasyBuilder View, refer to the EasyBuilder Help (Communication > Device Setup > Communicating with Mitsubishi Devices > CC-Link IE Field Basic).
  • For more information on CC-Link IE Field Basic, refer to Mitsubishi's CC-Link IE Field Network Basic Reference Manual.

In-Sight Explorer

  1. Open In-Sight Explorer and connect to the desired In-Sight vision system.
  2. From the Sensor menu, open the Network Settings dialog.
  3. In the Industrial Ethernet Protocols section of the dialog, select CC-Link IE Field Basic.
  4. Restart the In-Sight vision system, and the CC Link IE Field Basic protocol will be enabled upon completion of the power cycle.

Mitsubishi GX Works 2

  1. Open the Mitsubishi GX Works 2 software to connect their PLC to the In-Sight vision system.
  2. Click on the Built-in Ethernet Port Setting tab and presses the CC-Link IEF Basic Setting button.
  3. Check the Use the CC-Link IEF Basic checkbox.
  4. Click on the Network Configuration Setting button to open the CC-Link IEF Basic Configuration dialog.
  5. Add the vision system to the link scan list, and selects the desired number of stations (1-16) to scan on the vision system.
  6. Accept changes to the dialog.
  7. Select the PLC memory used to store the synchronized CC-Link IEF Basic registers.
  8. Accept all parameter dialogs and downloads the project to the PLC.
  9. After restarting the PLC, it will begin scanning the vision system over CC-Link IEF Basic.

Configuring the In-Sight Vision System to Receive Image Acquisition Triggers

  1. Open the AcquireImage function's property sheet.
  2. Set the Trigger parameter to Industrial Ethernet.
  3. Place the In-Sight vision system Online. For more information, see Online/Offline.
  4. An In-Sight vision system can be triggered by directly manipulating the Trigger Enable and Trigger bits in the RY Block, or by monitoring the Trigger Ready, Trigger Ack and Missed Acq bits in the RX Bit Block.
Note: The CC-Link IE Field Basic Interface topic contains detailed information about mapping the In-Sight vision system's inputs and outputs into process memory, though the layout of the blocks depends on the version of In-Sight firmware running on the In-Sight vision system. For more information, see CC-Link IE Field Network Basic Factory Interface.

Getting Data From an In-Sight Vision System

  1. Right-click an empty cell and select Insert Function to open the Insert Function dialog. From the left pane, click on the Input/Output category, then double-click the FormatOutputBuffer function, from the right pane, to insert it into the spreadsheet.
  2. From the FormatOutputBuffer dialog, click on the Add button. This will initiate the cell selection mode; select the data that will be transferred to the MELSEC Automation Controller.
  3. If there is additional data to be sent, again, from the FormatOutputBuffer dialog, click on the Add button. Once again this will initiate the cell selection mode; select the additional data to transfer.
  4. Close the FormatOutputBuffer dialog by clicking the OK button.
  5. Right-click an empty cell and select Insert Function to open the Insert Function dialog. From the left pane, click on the Input/Output category, then double-click the WriteResultsBuffer function, from the right pane, to insert it into the spreadsheet. For more information, see WriteResultsBuffer.
  6. Set the WriteResultsBuffer function's Protocol Parameter to 8 = CC-Link IE Field Basic Bit or 9 = CC-Link IE Field Basic Word, and the Buffer parameter as a cell reference to the recently created FormatOutputBuffer function's Buffer data structure. For more information, see Cell References - Relative/Absolute.
  7. Optionally, set the Result Code parameter as a cell reference to a cell in the spreadsheet to retrieve the result code with the inspection results.

Sending Data to an In-Sight Vision System

Note: In order to trigger the In-Sight vision system to read the user data from the MELSEC Automation Controller, the Set User Data> bit in the RY Block must be triggered from the Automation Controller.
  1. Right-click an empty cell and select Insert Function to open the Insert Function dialog. From the left pane, click on the Input/Output category, then double-click the FormatInputBuffer function, from the right pane, to insert it into the spreadsheet.
  2. From the FormatInputBuffer dialog, click on the Add button and add a 32-bit float and a 32-bit integer to the list.
  3. Close the FormatInputBuffer dialog by clicking the OK button.
  4. Right-click an empty cell and select Insert Function to open the Insert Function dialog. From the left pane, click on the Input/Output category, then double-click the ReadUserDataBuffer function, from the right pane, to insert it into the spreadsheet .
  5. Set the ReadUserDataBuffer function's Buffer parameter as a cell reference to the recently created FormatInputBuffer function's Buffer data structure.
  6. Set the ReadUserDataBuffer function's Protocol parameter to 8 = CC-Link IE Field Basic Bit or 9 = CC-Link IE Field Basic Word.
  7. Once the functions have been implemented, place the In-Sight vision system Online to test the configuration.


CC-Link IE Field Network Basic Factory Interface

This topic covers the CC-Link IE Field Basic communication protocol for In-Sight vision systems.

Ports

The CC-Link IE Field Basic protocol runs over 2 UDP ports:

Port | Description
61450 | Cyclic request/response messages
61451 | NodeSearch and IPAddressSet messages
45237 | Base SLMP messaging (GetCommunicationSetting)

Signal Layout

The defined data blocks allow you to control where the vision system is reading and writing data to and from the Automation Controller. For easier application setup, the various control and status bits required for command functionality are grouped into contiguous blocks, which can be processed together. When setting up the interaction between the vision system and the Automation Controller, you will need to choose the starting address and device type for each block of data.

Block | Address | Byte | Bit 7 | Bit 6 | Bit 5 | Bit 4 | Bit 3 | Bit 2 | Bit 1 | Bit 0
RY | 0 | 0 | Set Offline | Reserved |  | Execute Command | Inspection Results Ack | Buffer Results Enable | Trigger | Trigger Enable
 | 8 | 1 | Reserved
 | 16 | 2 | Reserved |  |  |  | Clear Exposure Complete | Clear Error | Reserved | Set User Data
 | 24 | 3 | Soft Event 7 | Soft Event 6 | Soft Event 5 | Soft Event 4 | Soft Event 3 | Soft Event 2 | Soft Event 1 | Soft Event 0
 | 32..63* | 4..7 | User Data (Bit Area)
 | *Up to 255 when occupying 4 stations.
RWw | 0 | 0..1 | Command
 | 1..31* | 2..63 | User Data
 | *Up to 127 when occupying 4 stations.
RX | 0 | 0 | Online | Offline Reason |  |  | Missed Acq | Reserved | Trigger Ack | Trigger Ready
 | 8 | 1 | Error | Command Failed | Command Completed | Command Executing | Results Valid | Results Buffer Overrun | Inspection Completed | System Busy
 | 16 | 2 | Reserved |  |  | Job Pass | Exposure Complete | Reserved |  | Set User Data Ack
 | 24 | 3 | Soft Event Ack 7 | Soft Event Ack 6 | Soft Event Ack 5 | Soft Event Ack 4 | Soft Event Ack 3 | Soft Event Ack 2 | Soft Event Ack 1 | Soft Event Ack 0
 | 32..63* | 4..7 | Inspection Results (Bit Area)
 | *Up to 255 when occupying 4 stations.
RWr | 0 | 0..1 | Current Job ID
 | 1 | 2..3 | Error Code
 | 2 | 4..5 | Acquisition ID
 | 3 | 6..7 | Inspection ID
 | 4 | 8..9 | Inspection Result Code
 | 5..31* | 10..63 | Inspection Results
 | *Up to 127 when occupying 4 stations.
Note:

RY and RX offer 64-bits of data per station. RWw and RWr support 32 16-bit words per station. In-Sight supports configurations with 1, 2, 3, 4, 8 or 16 stations. However, available PLCs currently limit the number of stations to 4. Signals occupy a portion of the first station only.

 | RY | RWw | RX | RWr
1 Station | 64 bits | 32 words | 64 bits | 32 words
2 Stations | 128 bits | 64 words | 128 bits | 64 words
3 Stations | 192 bits | 96 words | 192 bits | 96 words
4 Stations | 256 bits | 128 words | 256 bits | 128 words

RY Block

Byte 0

Bit | Name | Description
7 Set Offline

When this bit is set, the In-Sight vision system is taken Offline until the bit is cleared again.
6-5 | Reserved | Unused.
4 | Execute Command | When set, the vision system either loads the job ID specified in the Command field or executes the Job Load by Name command to load the job name given in the User Data buffer. The signal must be held high until the Command Completed signal is toggled. The falling edge of this signal (if prior to Command Complete) is interpreted as an abort request.
3 | Inspection Results Ack | When the Buffer Results Enable bit is set, the Inspection Results Ack bit is set by the Automation Controller to acknowledge that it has received the Inspection Count, Inspection Result Code and Inspection Results data. The next set of inspection results is then sent to the Automation Controller. Clearing the Inspection Results Ack bit causes the vision system to set the Results Valid bit if the buffer is not empty.
2 | Buffer Results Enable | When this bit is set, the Inspection Count, Inspection Result Code and Inspection Results fields are held constant until they are acknowledged by setting the Inspection Results Ack bit. Up to eight inspections are held in the In-Sight vision system's buffer. The vision system will respond to the acknowledgment by clearing the Results Valid bit. Once the Inspection Results Ack bit is cleared and there is a new set of results sent to the Automation Controller, the Results Valid bit will no longer be cleared. If the Inspection Results Ack bit is cleared and there are no more results in the vision system's buffer that are to be sent to the Automation Controller, the Results Valid bit remains cleared.
1 Trigger

Setting this bit triggers an acquisition when the following conditions are met:

  • The In-Sight vision system is Online.
  • The Trigger Enable bit is set.
  • The Trigger parameter is set to Network, Externalor Industrial Ethernet.
Note:
  • The Trigger parameter can be configured in the AcquireImage function in the Spreadsheet view, or in the Set Up Image application step in the EasyBuilder view.
  • The Industrial Ethernet Trigger type should be used when the trigger is coming from an Automation Controller.
0 | Trigger Enable | This field is set to enable triggering via the Trigger bit. Clear this bit to disable the network triggering mechanism.

Byte 1

Bit | Name | Description
7-0 | Reserved | Unused.

Byte 2

Bit | Name | Description
7-4 | Reserved | Unused.
3 | Clear Exposure Complete | While this signal is High, the Exposure Complete status will remain reset. Once this signal is set to Low, the Exposure Complete status will be set to High on the next exposure completion.
2 | Clear Error | When this bit is set, it will clear the Error and Error Code signals; the Clear Error bit should be held high until the Error bit has been cleared. If an error has been queued, clearing this bit will cause the Error and Error Code signals to be set to the next queued error code.
1 | Reserved | Unused
0 | Set User Data | This command is used by the Automation Controller to indicate to the In-Sight vision system that it should transfer the User Data field into a holding buffer for consumption by the vision system.

Byte 3

Bit | Name | Description
7 | Soft Event 7 | Allows Spreadsheet soft events to be triggered. Setting any of these bits causes the associated soft event in the Spreadsheet to be triggered.
6 | Soft Event 6
5 | Soft Event 5
4 | Soft Event 4
3 | Soft Event 3
2 | Soft Event 2
1 | Soft Event 1
0 | Soft Event 0

Byte 4..7

Bit | Name | Description
7-0 | User Data (Bit Area) | Data buffer which can be read into the spreadsheet using the ReadUserDataBuffer or ReadLatchedUserDataBuffer function.

RWw Block

Byte 0..1

Bit | Name | Description
7-0 | Command | This is a 16-bit integer used to either indicate the Job ID number (0-999). The job load is executed when the Execute Command bit is set by the PLC. The Command field must be held constant between the rising edge of the Execute Command signal and the rising edge of the Command Completed signal, or the results will be indeterminate.

Byte 2..63

Bit | Name | Description
7-0 | User Data | Data buffer which can be read into the spreadsheet using the ReadUserDataBuffer or ReadLatchedUserDataBuffer function.

RX Block

Byte 0

Bit | Name | Description
7 | Online | This bit is set when the In-Sight vision system is Online, and cleared when the vision system is Offline. When the vision system is Offline, examine the Offline Reason field to determine the reason.
6-4 Offline Reason This field is a 3-bit field used to identify the cause of why an In-Sight vision system is Offline:
Offline Reason | Name | Description
0 | Online | The vision system is Online.
1 | Programming | The vision system's job is being modified.
2 | Discrete Offline | A discrete signal is holding the vision system Offline.
3 | Comm. Offline | A communications protocol is holding the vision system Offline.
Note: It is possible to have multiple devices holding the In-Sight vision system Offline. In this scenario, this field will return the channel with the lowest reason code.
3 Missed Acq Set when an In-Sight vision system misses an acquisition trigger, regardless how the acquisition was triggered; cleared when an acquisition is successfully triggered.
Note: If the Trigger bit is set, but the vision system is offline, the Missed Acq and Trigger Ack bits will both be set.
2 | Reserved | Unused.
1 Trigger Ack Indicates when an In-Sight vision system has been triggered by the Trigger bit being set; this bit will stay set until the Trigger bit is cleared. In addition, the Acquisition ID can be latched to the rising edge of this bit.
Note: If the Trigger bit is set, but the vision system is offline, the Missed Acq and Trigger Ack bits will both be set.
0 Trigger Ready

Indicates when an In-Sight vision system can accept a new trigger via the Trigger bit. This field is true when the vision system is Online, the Trigger Enable bit is set, the AcquireImage function's Trigger parameter is set to Network, External or Industrial Ethernet, and the vision system is not currently acquiring an image.

Note: The Industrial Ethernet Trigger type should be used when the trigger is coming from an Automation Controller.

Byte 1

Bit | Name | Description
7 | Error | This bit is set when an error has occurred, which is defined in the Error Code field.
6 | Command Failed | This bit is set to 1 to indicate that Job Load has failed to run to completion. It is cleared when a new job is loaded by the PLC/HMI. If the job is changed through In-Sight Explorer, this bit does not change. This bit is always set prior to setting the Command Completed bit.
5 Command Completed When a Command completes the Command Executing bit goes low and if the Execute Command bit is still high, the Command Completed bit is set. If the Command did not successfully complete, the Command Failed bit is also set.
Note: The camera clears the Command Completed bit when the Execute Command bit goes low.
4 | Command Executing | This bit is set to 1 when Job Load is started. The Command Completed and Command Failed bits will be set prior to the falling edge of this bit.
3 Results Valid

Set when the Inspection Count, Inspection Result Code, Inspection Results and/or Job Pass bits are set. The bit is cleared when the Inspection Results Ack bit is set.

Note: If job processing is enabled to occur in overlapped mode, either the Buffer Results Enable bit should be enabled/set, or the Inspection Completed bit should be used to latch the inspection results.
2 Results Buffer Overrun

This field is set when the Buffer Results Enable bit is set and the In-Sight vision system has discarded a set of inspection results because the Automation Controller has not acknowledged the results by setting the Inspection Results Ack bit. Up to eight inspections are held in the vision system's buffer; therefore, this bit is set when the ninth inspection is added to the buffer. The ninth inspection, and all subsequent inspections, will be dropped until there is room in the buffer (when the results have been acknowledged out). The bit is not cleared until a valid inspection occurs and a previous inspection is not overwritten.
1 | Inspection Completed | This bit is toggled upon the completion of an inspection. It is guaranteed to be toggled after the Inspection Count, Inspection Result Code, Inspection Results and/or Job Pass bits are sent to the PLC.
0 System Busy

Set when the vision system is running a job, loading a job or responding to user input.

Byte 2

Bit | Name | Description
7-5 | Reserved | Unused.
4 Job Pass This bit is set if the most recent job passed as configured in the Job Pass/Fail Cell Setup dialog. This bit is cleared if the job did not pass.

The behavior of the Job Pass bit will depend on whether or not results buffering is disabled or enabled:

Buffering Is Disabled Buffering Is Enabled
  • Set when an inspection is completed and the Job Pass/Fail cell indicates pass; otherwise it remains cleared. For more information, see Job Pass/Fail Cell Setup Dialog.
  • The Job Pass bit will be valid prior to toggling the Inspection Completed bit.
  • Set when new results are placed in the InspectionResults attribute and the Job Pass/Fail cell indicated pass for that result set; otherwise it remains cleared. The state will not change until the results are acknowledged by setting the InspectionResultsAck attribute to True, at which time the bit will be cleared.
  • The Job Pass bit will be valid prior to the Results Valid bit being set.
3 | Exposure Complete | This bit is set upon the completion of the In-Sight vision system's exposure period, and is reset by the Clear Exposure Complete bit. This bit will be held in a reset state if the Clear Exposure Complete signal is set to High.
2 - 1 | Reserved | Unused
0 | Set User Data Ack | This bit is set to acknowledge completion of the Set User Data command.

Byte 3

Bit | Name | Description
7 | Soft Event Ack 7 | These bits are used to indicate that the Soft Event command was received.
6 | Soft Event Ack 6
5 | Soft Event Ack 5
4 | Soft Event Ack 4
3 | Soft Event Ack 3
2 | Soft Event Ack 2
1 | Soft Event Ack 1
0 | Soft Event Ack 0

Byte 4..7

Bit | Name | Description
7-0 | Inspection Results (Bit Area) | Inspection result data written from the spreadsheet, using the WriteResultsBuffer function.

RWr Block

Byte 0..1

Name | Description
Current Job ID | A 16-bit integer that denotes the ID number of the currently running job on the vision system, or 65535 if the current job does not have an ID number. This field is updated when the job is changed on the vision system, regardless of method of job change.

Byte 2..3

Name Description
Error Code

A 16-bit numeric representation of the error that has occurred:

Code | Error | Description
0x0000 | No Error | No error occurred.
0x0100 | Trigger set while disabled | Occurs when the Trigger bit is set while the Trigger Enable bit is cleared or the AcquireImage function's Trigger parameter is set to External, Network or Industrial Ethernet.
0x0101 | Trigger set while Offline | Occurs when the Trigger bit is set while the vision system is Offline.
0x0400 | Already Executing Error | Occurs when the Execute Command bit is set and the Executing bit is still High.
0x0401 | Job load requested while Online | Occurs when a Job Load command is issued while the vision system is Online.

Byte 4..5

Name | Description
Acquisition ID | This ID increments at the beginning of an acquisition and when the Trigger Ack bit is set; can be used to synchronize an acquisition with its Inspection Results.

Byte 6..7

Name | Description
Inspection ID | The acquisition ID associated with this set of results.

Byte 8..9

Name | Description
Inspection Result Code | The inspection result code is defined by the Result Code parameter of the WriteResultsBuffer function. For more information, see WriteResultsBuffer.

Byte 10..63

Name | Description
Inspection Results | Inspection result data written from the spreadsheet, using the WriteResultsBuffer function.


EtherNet/IP Object Model and Input/Output Assembly Objects

This topic covers the In-Sight Object Model for In-Sight vision systems running In-Sight firmware 5.1.0 and later.

Note: For a complete list of models and supported firmware versions, see Firmware Versions.

In-Sight Object Model

In EtherNet/IP networks, In-Sight vision systems act as servers, with support for both explicit and implicit I/O messaging. Data from inspections, for instance, can be transferred to clients via explicit messages or through implicit connections. Implicit connections can also be used to control acquisitions, triggers and spreadsheet events.

The Identity Object, Ethernet Link Object, TCP/IP Object and the Other Internal Objects are required by the EtherNet/IP specification. The different instances of the Assembly Object are used to exchange application data with EtherNet/IP clients. The Vision Object is defined by the In-Sight System to provide information specific to In-Sight vision systems. The details for how this occurs are provided in the Vision Object Attributes and Services section. The current object model provided by In-Sight vision systems is illustrated in the following figure:

  • Assembly Object: The Assembly Object binds attributes of multiple objects, which allows data to and from each object to be sent or received over a single connection. Assembly Objects can be used to bind input data or output data. The terms "input" and "output" are defined from the network's point of view. An "input" will produce data on the network and an "output" will consume data from the network.
  • Identity Object: This object provides identification of, and general information about, the device.
  • Ethernet Link Object: The Ethernet Link Object maintains link-specific counters and status information for an Ethernet 802.3 communications interface.
  • TCP/IP Object: The TCP/IP Object provides a mechanism to query and possibly configure a device's TCP/IP network interface configuration. Examples of items of interest include a device's IP Address, Network Mask and Gateway Address.
  • Vision Object: The Vision Object contains all of the services and attributes specific to In-Sight vision systems. This includes acquisition, inspection, job change-over and communications with the In-Sight Explorer spreadsheet.

Input and Output Assembly Objects

The I/O Assembly data attribute for the input and output data has the following formats:

Firmware Version | Input Assembly | Output Assembly
 | Instance | Instance
5.1.0 and higher | 13 Note: For more information, see Input Assemblies - Instance 13. | 22 Note: For more information, see I/O Assembly Data Attribute Format - Output Assemblies - Instance 22.
Note:
  • If using an EDS generated profile, although the maximum size of the Input Assembly is 500 bytes, the EDS generated profile will only allow a connection of up to 496 bytes.
  • When using Rockwell RSLogix Studio 5000, version 21 through 25, the In-Sight EDS generated profile’s default Input and Output Assembly sizes (496 bytes for each) cannot be edited and will default to the largest Input and Output Assembly sizes.
  • The Acquisition ID will increment at the beginning of acquisition, when the Trigger Ack is generated and sent to the PLC. The Inspection ID increments when the Inspection Completed bit toggles (at which time the Results Valid is set high and the Inspecting bit goes low).

Input Assemblies - Instance 13

Instance | Byte | Bit 7 | Bit 6 | Bit 5 | Bit 4 | Bit 3 | Bit 2 | Bit 1 | Bit 0
13 | 0 | Online | Offline Reason |  |  | Missed Acq | Reserved | Trigger Ack | Trigger Ready
 | 1 | Error | Command Failed | Command Completed | Command Executing | Results Valid | Results Buffer Overrun | Inspection Completed | System Busy
 | 2 | Reserved | Reserved | Reserved (5.1.0 - 5.5.x) | Job Pass | Exposure Complete | Reserved | Reserved | Set User Data Ack
 |  |  |  | TestRun Ready (5.6.0 and later)
 | 3 | Soft Event Ack 7 | Soft Event Ack 6 | Soft Event Ack 5 | Soft Event Ack 4 | Soft Event Ack 3 | Soft Event Ack 2 | Soft Event Ack 1 | Soft Event Ack 0
 | 4 | Error Code (16-bit integer)
 | 5
 | 6 | Reserved (16-bit integer)
 | 7
 | 8 | Current Job ID (16-bit integer)
 | 9
 | 10 | Acquisition ID (16-bit integer)
 | 11
 | 12 | Inspection ID (16-bit integer)
 | 13
 | 14 | Inspection Result Code (16-bit integer)
 | 15
 | 16 | Inspection Results 0
 | ... |
 | 499 | Inspection Results 483

Byte 0

Bit | Name | Description
7 | Online | This bit is set when the In-Sight vision system is Online, and cleared when the vision system is Offline. When the vision system is Offline, examine the Offline Reason field to determine the reason.
6-4 Offline Reason This field is a 3-bit field used to identify the cause of why an In-Sight vision system is Offline:
Offline Reason | Name | Description
0 | Online | The vision system is Online.
1 | Programming | The vision system's job is being modified.
2 | Discrete Offline | A discrete signal is holding the vision system Offline.
3 | Comm. Offline | A communications protocol is holding the vision system Offline.
Note: It is possible to have multiple devices holding the In-Sight vision system Offline. In this scenario, this field will return the channel with the lowest reason code.
3 | Missed Acq | Set when an In-Sight vision system misses an acquisition trigger, regardless how the acquisition was triggered; cleared when an acquisition is successfully triggered.
2 | Reserved | Unused.
1 | Trigger Ack | Indicates when an In-Sight vision system has been triggered by the Trigger bit being set; this bit will stay set until the Trigger bit is cleared. In addition, the Acquisition ID can be latched to the rising edge of this bit.
0 Trigger Ready

Indicates when an In-Sight vision system can accept a new trigger via the Trigger bit. This field is true when the vision system is Online, the Trigger Enable bit is set, the AcquireImage function's Trigger parameter is set to Network, External or Industrial Ethernet, and the vision system is not currently acquiring an image.

The Industrial Ethernet Trigger type should be used when the trigger is coming from a PLC.

Byte 1

Bit | Name | Description
7 | Error | This bit is set when an error has occurred, which is defined in the Error Code field.
6 | Command Failed (5.1.0 - 5.5.x) | This bit is set to 1 to indicate that Job Load has failed to run to completion. It is cleared when a new job is loaded by the PLC/HMI. If the job is changed through In-Sight Explorer, this bit does not change. This bit is always set prior to setting the Command Completed bit.
Command Failed (5.6.0 and later) | This bit is set to 1 to indicate that a TestRun execution or Job Load has failed. It is cleared when a new TestRun sequence is executed, or a new job is loaded by the PLC/HMI. If you change the job in In-Sight Explorer, this bit does not change.
5 Command Completed (5.1.0 - 5.5.x) This bit is set to indicate that Job Load has completed. When a Command completes the Command Executing bit goes low and if the Execute Command bit is still high, the Command Completed bit is set. If the Command did not successfully complete, the Command Failed bit is also set.
Note: The camera clears the Command Completed bit when the Execute Command bit goes low.
Command Completed (5.6.0 and later)

This bit is set to indicate that a TestRun execution or Job Load has completed.

Note: If you attempt to execute TestRun on a Job without a TestRun configuration, both the Command Completed and the Command Failed bit will be set. You must wait for the TestRun Ready bit to be set before executing TestRun.
4 Command Executing (5.1.0 - 5.5.x) This bit is set to 1 when Job Load is started. The Command Completed and Command Failed bits will be set prior to the falling edge of this bit.
Note: The Command Executing will be on for a maximum of 2 seconds.
Command Executing (5.6.0 and later) | This bit is set to 1 when a TestRun execution or Job Load is started. When a TestRun execution has completed, this bit is cleared. The Command Completed bit and Command Failed bit will be set prior to the falling edge of this bit.
3 Results Valid

Set when the Inspection Count, Inspection Result Code, Inspection Results and/or Job Pass bits are set. The bit is cleared when the Inspection Results Ack bit is set.
2 | Results Buffer Overrun | This field is set when the Buffer Results Enable bit is set and the In-Sight vision system has discarded a set of inspection results because the PLC has not acknowledged the results by setting the Inspection Results Ack bit. Up to eight inspections are held in the vision system's buffer; therefore, this bit is set when the ninth inspection is added to the buffer. The ninth inspection, and all subsequent inspections, will be dropped until there is room in the buffer (when the results have been acknowledged out). The bit is not cleared until a valid inspection occurs and a previous inspection is not overwritten.
1 Inspection Completed

This bit is toggled upon the completion of an inspection. It is guaranteed to be toggled after the Inspection Count, Inspection Result Code, Inspection Results and/or Job Pass bits are sent to the PLC.

Note: Use this bit to indicate that results are ready to read. Use ResultsValid to determine when to read data.
0 | System Busy | Set when the vision system is running a job, loading a job or responding to user input.

Byte 2

Bit | Name | Description
7-6 | Reserved | Unused.
5 | Reserved (5.1.0 - 5.5.x) | Unused.
TestRun Ready (5.6.0 and later)

This bit is set to 1 when the vision system has a valid TestRun configuration. This signal is cleared when TestRun executes (regardless of the TestRun initiator) and returns to 1 after TestRun execution completes.

Note:

  • This bit is signaled regardless of whether the vision system is Online or Offline.

  • Initiating TestRun by an external device is NOT supported on vision systems running In-Sight firmware 5.1.0 to 5.5.x.
4 Job Pass This bit is set if the most recent job passed as configured in the Job Pass/Fail Cell Setup dialog. This bit is cleared if the job did not pass.

The behavior of the Job Pass bit will depend on whether or not results buffering is disabled or enabled:

Buffering Is Disabled Buffering Is Enabled
  • Set when an inspection is completed and the Job Pass/Fail cell indicates pass; otherwise it remains cleared. For more information, see Job Pass/Fail Cell Setup Dialog.
  • The Job Pass bit will be valid prior to toggling the Inspection Completed bit.
  • Set when new results are placed in the InspectionResults attribute and the Job Pass/Fail cell indicated pass for that result set; otherwise it remains cleared. The state will not change until the results are acknowledged by setting the InspectionResultsAck attribute to True, at which time the bit will be cleared.
  • The Job Pass bit will be valid prior to the Results Valid bit being set.
3 | Exposure Complete | This bit is set upon the completion of the In-Sight vision system's exposure period, and is reset by the Clear Exposure Complete bit. This bit will be held in a reset state if the Clear Exposure Complete signal is set to High.
2-1 | Reserved | Unused.
0 | Set User Data Ack | This bit is set to acknowledge completion of the Set User Data command.

Byte 3

Bit | Name | Description
7 | Soft Event Ack 7 | These bits are used to indicate that the Soft Event command was received.
6 | Soft Event Ack 6
5 | Soft Event Ack 5
4 | Soft Event Ack 4
3 | Soft Event Ack 3
2 | Soft Event Ack 2
1 | Soft Event Ack 1
0 | Soft Event Ack 0

Byte 4-5

Name Description
Error Code (16-bit Integer)

A 16-bit numeric representation of the error that has occurred:

Code | Error | Description
0x0000 | No Error | No error occurred.
0x0100 | Trigger set while disabled | Occurs when the Trigger bit is set while the Trigger Enable bit is cleared or the AcquireImage function's Trigger parameter is set to External, Network or Industrial Ethernet.
0x0101 | Trigger set while Offline | Occurs when the Trigger bit is set while the vision system is Offline.
0x0400 | Already Executing Error | Occurs when the Execute Command bit is set and the Executing bit is still High.
0x0401 | Job load requested while Online | Occurs when a Job Load command is issued while the vision system is Online.
0x0402 | Job load requested does not exist on the camera | Occurs when a JobID sent in the Command field does not exist as a prefix for any job in the camera file system. For example, if you send Command = 123 and no job on the camera contains 123xxxxx.job.

Byte 6-7

Name | Description
Reserved (16-bit Integer) | Unused.

Byte 8-9

Name | Description
Current Job ID (16-bit Integer) | A 16-bit integer that denotes the ID number of the currently running job on the vision system, or 65535 if the current job does not have an ID number. This field is updated when the job is changed on the vision system, regardless of method of job change.

Byte 10-11

Name | Description
Acquisition ID (16-bit Integer) | This ID increments at the beginning of an acquisition and when the Trigger Ack bit is set; can be used to synchronize an acquisition with its Inspection Results.

Byte 12-13

Name | Description
Inspection ID (16-bit Integer) | The acquisition ID associated with this set of results.

Byte 14-15

Name | Description
Inspection Result Code (16-bit Integer) (5.1.0 - 5.5.x) | The inspection result code is defined by the Result Code parameter of the WriteResultsBuffer function. For more information, see WriteResultsBuffer.
Inspection Result Code (16-bit Integer) (5.6.0 and later)

Indicates the result of the latest TestRun execution. If all tests pass, the value will be 7. If one or more tests do not pass, or if there is a problem with the setup or cleanup during the TestRun execution, the value will be 0.

  • This field is only valid when a TestRun execution is completed successfully.
  • The results in this field can become invalidated if a Job without a TestRun is loaded, another TestRun job is executed, a TestRun is in progress, a TestRun execution or job load has failed, or a TestRun execution is aborted.

Byte 16-499

Name Description
Inspection Results (0 - 483)

This is the data that is written from In-Sight Explorer, via the WriteResultsBuffer function in the Spreadsheet View, or the Format Output Data tab in the Communications Step of the EasyBuilder GUI.

The data sent will be written exactly as it appears in the In-Sight Explorer GUI, i.e. the bits appear in the same order as they are defined in the FormatOutputBuffer function (Spreadsheet) or the Format Output Data tab (EasyBuilder). For more information, see WriteResultsBuffer.

Note:
  • When the Inspection Results data array is received, RSLogix 5000 will assign a single data type to the entire array, regardless if the data that was sent contained multiple data types (i.e. the formatted data contained integers, floating point and/or bits). Therefore, if the data being sent contains different data types, copy the particular result (starting with the byte offset in the Inspection Results array, and the length, in bytes), into a User-Defined Data Type in RSLogix, based on the expected data type being sent.
  • If the Buffer Results Enable bit is set, then the inspection results will remain unchanged until acknowledged by pulsing the Inspection Results Ack bit.

I/O Assembly Data Attribute Format - Output Assemblies - Instance 22

Instance | Byte | Bit 7 | Bit 6 | Bit 5 | Bit 4 | Bit 3 | Bit 2 | Bit 1 | Bit 0
22 | 0 | Set Offline | Reserved |  | Execute Command | Inspection Results Ack | Buffer Results Enable | Trigger | Trigger Enable
 | 1 | Reserved
 | 2 | Reserved |  |  |  | Clear Exposure Complete | Clear Error | Reserved | Set User Data
 | 3 | Soft Event 7 | Soft Event 6 | Soft Event 5 | Soft Event 4 | Soft Event 3 | Soft Event 2 | Soft Event 1 | Soft Event 0
 | 4 | Command
 | 5
 | 6 .. 7 | Reserved
 | 8 | User Data 0
 | ... |
 | 495 | User Data 487
Note: In job deployment environments where In-Sight Explorer or the VisionView application are monitoring inspections, if the job depends on a Soft Event (e.g., configured as a Timer function) to trigger a spreadsheet event, it may cause the inspection of an image to be delayed if it is triggered shortly before the acquisition cycle completes. If the job file is large (i.e., it contains many Vision Tools, such as Pattern Match, Flaw Detection or InspectEdge tools, in addition to other job logic), the update required by In-Sight Explorer or VisionView may prevent an image from being inspected until the display update is queued. For applications that require exact timing (e.g., measured in the 10s of milliseconds), this update might delay the determination of pass/fail results and the transmission of results to the next station (e.g., a PLC or motion controller) in the inspection process. To avoid delayed inspections in these application environments, Cognex recommends Soft Events not be used.

Byte 0

Bit | Name | Description
7 Set Offline

When this bit is set, the In-Sight vision system is taken Offline until the bit is cleared again.
6-5 | Reserved | Unused.
4 | Execute Command (5.1.0 - 5.5.x) | When set, the vision system either loads the job ID specified in the Command field or executes the Job Load by Name command to load the job name given in the User Data buffer. The signal must be held high until the Command Completed signal is toggled. The falling edge of this signal (if prior to Command Complete) is interpreted as an abort request.
Execute Command (5.6.0 and later) | When set, the vision system loads the job ID specified in the Command field or executes the Job Load by Name command to load the job name given in the User Data buffer. When using TestRun, the rising edge of this signal will execute command to start TestRun. The signal must be held high until the Command Completed signal is toggled. The falling edge of this signal (prior to Command Complete) is interpreted as an abort request.
3 | Inspection Results Ack | When the Buffer Results Enable bit is set, the Inspection Results Ack bit acknowledges that the PLC has received the Inspection ID, Inspection Result and Inspection Results data. The next set of inspection results is then sent to the PLC. Clearing the Inspection Results Ack bit causes the vision system to set the Results Valid bit if the buffer is not empty. If results buffering is disabled, the Inspection Results Ack bit must be set to clear the Results Valid bit.
2 | Buffer Results Enable | When this bit is set, the Inspection ID, Inspection Result and Inspection Results fields are held constant until the Inspection Results Ack field has acknowledged them and been set. Up to eight inspections are held in the vision system's buffer. The In-Sight vision system will respond to the acknowledgment by clearing the Results Valid bit. Once the Inspection Results Ack field is cleared and there is a new set of rules sent to the PLC, the Results Valid bit will no longer be cleared. If the Inspection Results Ack bit is cleared and there are no more results in the vision system's buffer that are to be sent to the PLC, the Results Valid bit remains cleared.
1 Trigger

Setting this bit triggers an acquisition when the following conditions are met:

  • The In-Sight vision system is Online.
  • The Trigger Enable bit is set.

  • The AcquireImage function's Trigger parameter is set to Network, External or Industrial Ethernet.

    Note: The Industrial Ethernet Trigger type should be used when the trigger is coming from a PLC.
0 | Trigger Enable | This field is set to enable triggering via the Trigger bit. Clear this bit to disable the network triggering mechanism.

Byte 1

Bit | Name | Description
7-0 | Reserved | Unused.

Byte 2

Bit | Name | Description
7-4 | Reserved | Unused.
3 | Clear Exposure Complete | While this signal is High, the Exposure Complete status will remain reset. Once this signal is set to Low, the Exposure Complete status will be set to High on the next exposure completion.
2 | Clear Error | When this bit is set, it will clear the Error and Error Code signals; the Clear Error bit should be held high until the Error bit has been cleared. If an error has been queued, clearing this bit will cause the Error and Error Code signals to be set to the next queued error code.
1 | Reserved | Unused.
0 | Set User Data | This command is used by the PLC to indicate to the In-Sight vision system that it should transfer the User Data field into a holding buffer for consumption by the vision system.

Byte 3

Bit | Name | Description
7 | Soft Event 7 | Allows Spreadsheet soft events to be triggered. Setting any of these bits causes the associated soft event in the Spreadsheet to be triggered.
6 | Soft Event 6
5 | Soft Event 5
4 | Soft Event 4
3 | Soft Event 3
2 | Soft Event 2
1 | Soft Event 1
0 | Soft Event 0

Byte 4-5

Byte | Name | Description
4 - 5 | Command (5.1.0 - 5.5.x) | This is a 16-bit integer used to either indicate the Job ID number (0-999) of the job to load or to specify the Job Load by Name command (0x4000). The job load is executed when the Execute Command bit is set by the PLC. The Command field must be held constant between the rising edge of the Execute Command signal and the rising edge of the Command Completed signal, or the results will be indeterminate. If using the Job Load by Name command, the job name must be transferred to the User Data buffer before setting the Execute Command bit.
 | Command (5.6.0 and later) | This value indicates the TestRun sequence to execute or the ID number (1-999) of the job to load when the Execute Command bit is set by the PLC. 0x1007 = Execute TestRun 0x0000 – 0x03E7 = Job IDs

Byte 6-7

Byte | Name | Description
6-7 | Reserved | Unused.

Byte 8-495

Byte | Name | Description
8-495 | User Data (0 - 487) | Data buffer which can be read into the spreadsheet using the ReadUserDataBuffer or ReadLatchedUserDataBuffer function. The buffer is written exactly as it appears in the PLC, with the bits appearing in the same order as they are defined in RSLogix 5000.

Mapping of I/O Assembly Data Attribute Components

The following table indicates the I/O Assembly Data attribute mapping for In-Sight vision systems:

Data Component Name | Class |  | Instance Number | Attribute
 | Name | Number |  | Name | Number
Set Offline | Vision | 78 Hex | 1 | SetOffline | 8
Trigger Enable | Vision | 78 Hex | 1 | AcqTriggerEnable | 9
Trigger | Vision | 78 Hex | 1 | AcqTrigger | 10
BufferResultsEnable | Vision | 78 Hex | 1 | BufferResultsEnable | 13
Soft Event N | Vision | 78 Hex | 1 | SoftTrigger bit N | 18
Online | Vision | 78 Hex | 1 | Online | 6
OfflineReason | Vision | 78 Hex | 1 | OfflineReason | 7
Trigger Ready Trigger Ack Exposure Complete Missed Acquisition | Vision | 78 Hex | 1 | AcqStatusRegister | 11
User Data | Vision | 78 Hex | 1 | User Data | 12
System Busy Inspection Completed Results Buffer Overrun Results Valid | Vision | 78 Hex | 1 | InspectionStatusRegister | 14
Inspection ID Inspection Data | Vision | 78 Hex | 1 | InspectionResults | 16

Vision Object Attributes

This section describes the various attributes and services that exist in the EtherNet/IP Vision Object.

Note: Class Code: 78 Hex -This object models all operations available to the In-Sight vision system running In-Sight firmware 5.1.0 and later.

Instance Attributes

Attribute ID

Access Rule

Name

Data Type

Description of Attribute

6

Get

Online

BOOL

0 = Offline

1 = Online

7

Get

OfflineReason

BYTE

0 = Online

1 = Programming

2 = Discrete Offline

3 = Comm. Offline

4-255 = Reserved

8

Set

SetOffline

BOOL

1 = Force the In-Sight vision system Offline.

9

Set

AcqTriggerEnable

BOOL

0 = Acquisition Trigger is disabled. Trigger Ack is reset to 0.

1 = Acquisition Trigger is enabled.

10

Set

AcqTrigger

BOOL

When AcqTriggerEnable is True, the In-Sight vision system will acquire an image when AcqTrigger changes from 0 to 1.

11

Get

AcqStatusRegister

BYTE

Bit 0: Trigger Ready

Bit 1: Trigger Ack

Bit 2: Exposure Complete

Bit 3: Missed Acquisition

Bit 4-7: Reserved

12

Set

UserData

ARRAY of BYTE

User defined data that may be used as an input to the inspection.

Note:

  • For In-Sight vision systems running In-Sight firmware 5.1.0 to 5.3.x, data written to the UserData attribute will not appear until the Set User Data service is executed.

  • For In-Sight vision systems running In-Sight firmware 5.4.x and later with the User Data Holding Buffer Bypass enabled, data written to the UserData attribute appears when written.
  • The User Data Holding Buffer Bypass can only be enabled and disabled via graphical user interface (GUI).

13

Set

BufferResultsEnable

BOOL

When BufferResultsEnable is True, it enables buffering of inspection results until the ResultsAck attribute is set to True.

14

Get

InspectionStatusRegister

BYTE

Bit 0: System Busy

Bit 1: Inspection Completed

Bit 2: Results Buffer Overrun

Bit 3: Results Valid

Bit 4: Job Loading

Bit 5: Job Load Completed

Bit 6: Job Load Failed

Bit 7: Job Pass

15

Set

InspectionResultsAck

BOOL

Acknowledges that the client received the inspection results.

16

Get

InspectionResults

STRUCT of

The last inspection results.

InspectionID

UINT

Inspection counter.

InspectionResultCode

UINT

Inspection result code set in the WriteResultsBuffer function.

InspectionResults

ARRAY of BYTE

Results from the last inspection.

18

Set

SoftTrigger

BYTE

Bit 0: Soft Trigger 0

Bit 1: Soft Trigger 1

Bit 2: Soft Trigger 2

Bit 3: Soft Trigger 3

Bit 4: Soft Trigger 4

Bit 5: Soft Trigger 5

Bit 6: Soft Trigger 6

Bit 7: Soft Trigger 7

19

Set

JobID

INT

The ID number of the currently loaded job, or -1 if the current job does not have an ID.

Setting this value (between 0 and 999) will load the job with that associated ID.

20

Set

JobName

STRING

The file name of the currently loaded job, or an empty string if the file name is unknown.

Setting this value will load the job with that associated file name.

21

Set

 ClearExposureComplete BOOL

Clears the Exposure Complete bit. The rising edge of the bit clears the Exposure Complete bit. If another Exposure Complete signal is sent while the Clear Exposure Complete bit is set, the Exposure Complete bit will be set when the Clear Exposure Complete bit is cleared.

22

Set

SoftEventAck 0-7

BYTE

Bit 0 = Soft Trigger Ack 0

Bit 1 = Soft Trigger Ack 1

Bit 2 = Soft Trigger Ack 2

Bit 3 = Soft Trigger Ack 3

Bit 4 = Soft Trigger Ack 4

Bit 5 = Soft Trigger Ack 5

Bit 6 = Soft Trigger Ack 6

Bit 7 = Soft Trigger Ack 7

Online Attributes

The Online Attributes indicate whether or not an In-Sight vision system is in an Online or Offline state. When the In-Sight vision system is Offline, the OfflineReason attribute can be used to determine the reason as to why the In-Sight vision system is Offline.

OfflineReason Attribute Values

Offline Reason | Name | Description
0 | Online | The vision system is Online.
1 | Programming | The vision system's job is being modified.
2 | Discrete Offline | A discrete signal is holding the vision system Offline.
3 | Comm. Offline | A communications protocol is holding the vision system Offline.
Note: It is possible to have multiple devices holding the In-Sight vision system Offline. In this scenario, this field will return the channel with the lowest reason code.

The SetOffline attribute can be used to force the In-Sight vision system into an Offline state. When the SetOffline attribute is set to True, the OfflineReason attribute will be set to Comm. Offline, if the In-Sight vision system is being held Offline for no other reason.

Acquisition Attributes

Note: If the In-Sight vision system will be configured to accept an acquisition trigger from a PLC/Motion Controller via a Native Mode command, Cognex recommends that the SetEvent and Wait function be utilized, with the Event code set to 8 (SW8). This will ensure that vision system waits for both the acquisition and inspection to be completed before sending a "complete" response back to the PLC/Motion Controller, and that previous inspection results are not being sent to the PLC/Motion Controller. The "complete" response from the vision system can also then be used to create conditional PLC logic that sends a read request for the inspection results.

The Vision Object can be triggered to acquire images by using the Acquisition Attributes. In order to reset the Acquisition Attributes in the Vision Object, the AcqTriggerEnable attribute must be set to False, until the AcqStatusRegister is 0. Then, the AcqTriggerEnable attribute can be set to True to enable acquisition via the Vision Object. When the Acquisition Trigger is ready to accept triggers, the Trigger Ready bit in the AcqStatusRegister will be set.

While the AcqTriggerEnable attribute is set to True, each time the Vision Object sees the AcqTrigger attribute change from 0 to 1, it will initiate an image acquisition. When setting this via implicit messaging, to guarantee that the change is seen by the Vision Object, the attribute should be held in the changed state until that same value is seen by the Trigger Ack bit of the AcqStatusRegister.

Note: This is not necessary when using explicit messaging, because the change will always be seen.

To determine when an In-Sight vision system has completed an image acquisition, the Exposure Complete and Clear Exposure Complete bits should be utilized. Acquisitions must be explicitly acknowledged by explicitly acknowledging the Exposure Complete signal. If an Exposure Complete is signaled while the Clear Exposure Complete bit is HIGH, the Exposure Complete bit will be asserted when the Clear Exposure Complete bit is cleared by the PLC.

With this manner of operation, if multiple Exposure Complete signals occur, they will have the same effect as though just one signal was sent, and no errors will be reported in this scenario. This allows a PLC to detect when an acquisition was triggered from a discrete input by detecting the Exposure Complete signal.

If other methods of acquisition triggering are employed, the Exposure Complete and Missed Acquisition bits of the AcqStatusRegister will still be active.

Inspection Results Attributes

When an image is acquired as a result of an acquisition trigger, it is placed in a queue for inspection. As the inspection is running on the image, the System Busy bit of the InspectionStatusRegister is set. Once the inspection is completed, the System Busy bit is cleared and the Inspection Completed bit is toggled.

The BufferResultsEnable attribute determines how inspection results are handled in the Vision Object. If the BufferResultsEnable attribute is set to False, then the inspection results are immediately placed into the InspectionResults attribute.

If the BufferResultsEnable attribute is set to True, then the previous inspection results remain in the InspectionResults attribute until they are acknowledged by setting the InspectionResultsAck attribute to True. Once the Results Valid bit is cleared, the InspectionResultsAck attribute should be set to False to allow new results to be placed in to the InspectionResults attribute. This can be used to establish a handshake to obtain results between the Vision Object and the client.

Behavior of InspectionStatusRegister

Inspection

Status

Register

Bit

 Bit Name Results If Buffering Is Disabled Results If Buffering Is Enabled
0

System Busy

 Set when the vision system is running a job, loading a job or responding to user input. Set when the vision system is running a job, loading a job or responding to user input.
1 | Inspection Completed | This bit is toggled upon the completion of an inspection. It is guaranteed to be toggled after the Inspection Count, Inspection Result Code, Inspection Results and/or Job Pass bits are sent to the PLC. | This bit is toggled upon the completion of an inspection. It is guaranteed to be toggled after the Inspection Count, Inspection Result Code, Inspection Results and/or Job Pass bits are sent to the PLC.
2 | Results Buffer Overrun | Always cleared. | Set when inspection results could not be queued because the client has failed to acknowledge a previous result. Cleared when the inspection result is successfully queued.
3 Results Valid

Set when the Inspection Count, Inspection Result Code, Inspection Results and/or Job Pass bits are set. The bit is cleared when the Inspection Results Ack bit is set.

Note: If job processing is enabled to occur in overlapped mode, either the Buffer Results Enable bit should be enabled/set, or the Inspection Completed bit should be used to latch the inspection results.

Set when the Inspection Count, Inspection Result Code, Inspection Results and/or Job Pass bits are set. The bit is cleared when the Inspection Results Ack bit is set.

Note: If job processing is enabled to occur in overlapped mode, either the Buffer Results Enable bit should be enabled/set, or the Inspection Completed bit should be used to latch the inspection results.
7 Job Pass Set when an inspection is completed and the Job Pass/Fail cell indicates pass; otherwise it remains cleared.
Note: The Job Pass bit will be valid prior to toggling the Inspection Completed bit.

Set when new results are placed in the InspectionResults attribute and the Job Pass/Fail cell indicated pass for that result set; otherwise it remains cleared. The state will not change until the results are acknowledged by setting the InspectionResultsAck attribute to True, at which time the bit will be cleared.

Note: The Job Pass bit will be valid prior to the Results Valid bit being set.

Job Attributes

The Vision Object can load jobs stored in the non-volatile flash memory of an In-Sight vision system by setting the JobID and JobName attributes. If the load fails, the set operation will also fail.

Vision Object Services

Common Services

The Vision Object provides the following Common Services:

Service Code | Service Name | Description of Service
05 Hex | Reset | Resets the Vision Object
0E Hex | Get_Attribute_Single | Returns the contents of the specified attribute.
10 Hex | Set_Attribute_Single | Modifies an attribute value.

Reset Service

The Reset Service will reset and disable the acquisition triggering system in the Vision Object. It will also disable and clear the inspection results buffering system in the Vision Object.

Object Specific Services

The Vision Object provides the following Object Specific Services:

Service Code | Service Name | Description of Service
32 Hex | Acquire | Triggers a single acquisition.
33 Hex | Reserved | Deprecated.
34 Hex | SendNativeCmd | Sends a Native Mode command to the In-Sight vision system.
35 Hex | GetInspectionResults | Gets the InspectionResults attribute.
36 Hex | Transfer User Data | Transfers data into a portion of the User Data Holding Buffer.
37 Hex | Set User Data | Indicates to the vision system that it should latch the User Data Holding Buffer into the User Data field to give the In-Sight access to the user data.

Acquire Service

The Acquire Service of the Vision Object will cause an acquisition to be triggered, if the acquisition system is ready to acquire an image. If the acquisition could not be triggered, then the Missed Acquisition bit of the AcqStatusRegister will be set until the next successful acquisition.

If the command fails, the Acquire Service will return the vendor specific error code 1F.

SendNativeCmd Service

The SendNativeCmd Service sends any documented Native Mode command string to the In-Sight vision system. The request data for the SendNativeCmd should include the Native Mode command string that is to be sent to the In-Sight vision system; the reply data will contain the string result of the Native Mode command.

SendNativeCmd Request Data Format

Name | Type | Description
Command | STRING | The Native Mode command to process.

SendNativeCmd Response Data Format

Name | Type | Description
Result | STRING | The string result of the Native Mode command.

If the command fails, the service will return one of the following vendor specific error codes:

Error Code | Description | Native Mode Return Code
1 | Bad Command | -
4 | No Answer - The system is too busy. |
100 | Command Failed | 0
101 | Command Cannot Be Executed | -1
102 |  | -2
103 |  | -3
104 |  | -4
105 |  | -5
106 |  | -6

GetInspectionResults Service

The GetInspectionResults Service (code 0x35) reads data from the InspectionResults attribute of the Vision Object.

GetInspectionResults Request Data Format

Name | Type | Description
Size | UINT | The number of bytes of the InspectionResults attribute to read.
Offset | UINT | The offset into the InspectionResults attribute. This specifies the first byte of the InspectionResults attribute to read.

GetInspectionResults Response Data Format

Name | Type | Description
InspectionResults | STRUCT of | The last inspection results.
InspectionID | UINT | Inspection counter.
InspectionResultCode | UINT | Inspection result code set in the WriteResultsBuffer function.
InspectionResults | ARRAY of BYTE | Results from the last inspection.

Transfer User Data Command

This command is used to transfer data into a portion of the User Data Holding Buffer. The User Data Holding Buffer will be latched to the User Data field when the Set User Data command is issued.

Request Format

Name | Type | Description
Size | UINT | The number of bytes of the User Data field to write.
Offset | UINT | The offset into the User Data field.
Data | Array of BYTE | User Data to write into the User Data field.

Set User Data Command

This command is used by the PLC to indicate to the vision system that it should latch the User Data Holding Buffer into the User Data field to give the In-Sight access to the user data.

If this additional User Data handshake is not needed, and the communication have the same behavior as the assembly IO on a 4.x.x camera, this User Data Command can be bypassed by:

  1. Logging onto the camera.
  2. From the main menu bar, select Sensor ->Network Settings.

  3. Select EtherNet/IP in the Industrial Ethernet Protocols section:

  4. Select the enabled Settings button next to the EtherNet/IP selection.

  5. Check the Enable User Data Bypass checkbox.

  6. Restart the vision system.


EtherNet/IP Communications

EtherNet/IP is an application level protocol used by Rockwell ControlLogix and CompactLogix PLCs, and is implemented on top of the Ethernet TCP/IP and UDP/IP layers. It shares its object model with ControlNet and DeviceNet through the common Control and Information Protocol (CIP). This protocol allows the transfer of data and I/O signals over Ethernet.

Implicit vs. Explicit Messages

There are two ways of communicating using EtherNet IP: implicit messages and explicit messages. In-Sight vision systems support explicit or implicit messages from a single I/O client (a PLC device communicating with a host vision system) at any given time.

Implicit Messages Explicit Messages
  • Transmit time-critical application specific I/O data, and can be point-to-point or multicast.
  • Uses the UDP/IP protocol layer.
  • Data is pre-defined at the time of connection, which in turn minimizes the processing time of the node during run-time.
  • The data field contains only real-time data.
  • Short, occupying low-overhead, which allows for the time-critical performance.
  • Receiving measurement data from a tool in a vision inspection is an example of an operation suited to implicit messages.
  • Require a response from the receiving device and is point-to-point.
  • Uses the TCP/IP protocol layer.
  • Messages in which the data field carries both protocol information and instructions for service performance
  • Nodes must interpret each message, execute the requested task and generate responses. These types of messages are typically used to transmit configuration, diagnostic and event data.
  • Better suited for operations that occur less frequently.

  • An instruction to change an In-Sight Explorer job is an example of an operation suited to explicit messages.

Requested Packet Intervals (RPI)

The Requested Packet Interval (RPI) determines how fast the cyclic data packets are exchanged between controller and I/O module, and are typically entered in milliseconds (ms). Sensors accept RPI values in 1 to 15 ms intervals for the first 15 ms. For RPI values greater than 15, sensors will accept values in 5 ms increments. For values between 16 and 20, data will be exchanged in 20 ms increments. For values between 21 and 25, data will be exchanged in 25 ms increments.

This applies to 4.x and 5.x firmware versions.


Establish the Connection Using the Add-On Profile (AOP)

This topic covers how to establish an implicit messaging connection with a single ControlLogix PLC using the Add-On Profile (AOP) for an In-Sight vision system running 4.x.x firmware or 5.x.x firmware.

  1. Open RSLogix 5000 and load the PLC's project.

    Note: The PLC must be Offline to add connections in RSLogix 5000.

  2. Under the I/O Configuration node, select the Ethernet Node under the Ethernet Module, right-click on the icon and select New Module... from the menu:

  3. In the Select Module Type dialog, select your In-Sight Vision System. This option displays only after you install the Add-On Profile.

  4. After you select your In-Sight vision system, the New Module dialog displays:

    Note: The Time Sync tab is displayed when using In-Sight 5000 series, In-Sight 7000 Gen2 series, or In-Sight 9000 series vision systems.

    Complete the following fields on the General tab:

    • Name: Enter a name for the In-Sight vision system. Any tags created in RSLogix 5000 is based on this name. It is recommended to use the In-Sight vision system's name to maintain consistency.
    • IP Address: Enter the IP address of the In-Sight vision system.
    • Host Name: (Optional) Enter the Host Name of the In-Sight vision system. Use this setting only when there is a Domain Name Server (DNS) on the network.

  5. On the Connection tab, complete the following fields:

    • Requested Packet Interval (RPI): This field specifies the Requested Packet Interval (RPI) that defines the amount of time (in milliseconds) between data exchanges across an implicit messaging connection.

      Note: For best results you should set the RPI time to no more than half the time between when the In-Sight vision system completes the job execution and when the PLC requires the data.
    • Major Fault On Controller If Connection Fails While in Run Mode: This option will cause the controller to generate a major fault when the connection fails.

    • Inhibit Module: Check to prevent the PLC from attempting to establish a connection with an In-Sight vision system.

      Note: If the In-Sight vision system appears to be stuck in "Standby" mode, then inhibiting and re-enabling the module can cause the module to become operational again.

  6. After adding the module to ControlLogix, the I/O tree should appear as follows:

  7. The RSLogix 5000 then creates tags that map to the In-Sight vision system's Input and Output Data, based on the name given to the device.

    • is8xxx_AOP:I Scheduled Input: The table below represents the data that is sent FROM the In-Sight vision system to the PLC:

    • is8xxx_AOP:O Scheduled Output: The table below represents the data sent TO the In-Sight vision system from the EtherNet/IP client (ControlLogix):


GetCellValue

Returns the contents of a specified symbolic tag, such as an EasyBuilder fixture output, EasyBuilder Location or Inspection Tool result or Spreadsheet cell, in XML format.

Note: If a job is being built and configured in a language other than English and the Use English Symbolic Tags for EasyBuilder option is enabled (checked) in the Options Dialog, User Interface panel, any symbolic tags references that were created prior to enabling the option must be updated to the English name version.

GetCellValue

Syntax: EV GetCellValue("Symbolic Tag")

Parameter | Description
"Symbolic Tag" | The name of the symbolic tag, such as a Location or Inspection Tool result ("Distance_1.Distance", for example) or the cell reference (A4, for example). For the automatically generated EasyBuilder fixture output data, the name must be either "Job.Robot.FormatString" or "Job.FormatString", depending upon the selected Device and Protocol selected in the Communications Application Step. The name must be enclosed in quotation marks.

GetCellValue Outputs

Returns a status code, followed by the number of characters, and the contents of the cell (an integer, floating point value, or text string). The status codes are:

Status Codes | Description
1 | The command was executed successfully.
0 | Unrecognized command.
-2 | The command could not be executed.
-6 | User does not have Full Access to execute the command.

EasyBuilder Examples

To retrieve fixture data for vision guided robotics applications, or the result of a Location or Inspection Tool:

Fixture Example for Vision Guided Robotics Applications

There are two possible commands to issue, depending upon the selected Device and Protocol in the Communication step: EV GetCellValue("Job.Robot.FormatString") and EV GetCellValue("Job.FormatString").

EV GetCellValue("Job.Robot.FormatString") should be used in the following situations:

  • The Device selection is Robot.
  • The Device selection is Other, and the Protocol selected is either Serial Kuka or Serial Motoman.

EV GetCellValue("Job.FormatString") should be used in the following situations:

  • The Device selection is Other, and the Protocol selected is Ethernet Native, Serial Native, Serial Text or TCP/IP.

EV GetCellValue("Job.Robot.FormatString")

Issuing this command produces the following result:

The In-Sight sensor returns 1 to indicate that the command was executed successfully. The number of characters (in bytes) is followed by the value in the cell (integer, floating point, or text string).

EV GetCellValue("Job.FormatString")

Issuing this command produces the following result:

The In-Sight sensor returns 1 to indicate that the command was executed successfully. The number of characters (in bytes) is followed by the value in the cell (integer, floating point, or text string).

Location or Inspection Tool Result Example

The following example illustrates issuing a command to retrieve the result of a Distance Measurement Tool:

EV GetCellValue("Distance_1.Distance")

Issuing this command produces the following result:

The In-Sight sensor returns 1 to indicate that the command was executed successfully. The number of characters (in bytes) is followed by the value in the cell (integer, floating point, or text string).


Get Job

Returns the ID of the active job on the In-Sight sensor.

Note:
  • To use the job ID number feature, the job to be loaded must be saved with a numerical prefix of 0 to 999.
  • The active job must be saved with a numerical prefix before this command can be executed successfully. If the job has been dragged and dropped, the file name must have a numerical prefix before this command can be executed successfully.
  • When a Get Job command is issued using Motoman communications, the status data is returned but the result data is not returned. Use the Get File command instead of the Get Job command, or place the job ID number in another cell in the spreadsheet and use the Get Value command.

Get Job Inputs

Syntax: GJ

Get Job Outputs

Returns a status code, followed by the integer ID of the active job. The status codes are:

Status Codes | Description
1 | The command was executed successfully.
0 | Unrecognized command.
-2 | The active job has not been saved or does not have a numerical prefix, therefore the command could not be executed.

Get Job Example

To return the ID for the active job, issue the following command: GJ

The In-Sight sensor responds with 1 to indicate that the command was executed successfully. The active job's name is "85.JOB".


Get Online

Returns the Online state of the In-Sight vision system. For more information, see Online/Offline.

Get Online Inputs

Syntax: GO

Get Online Outputs

Returns the Online state of the vision system.

Online State | Description
0 | The In-Sight vision system is currently Offline.
1 | The In-Sight vision system is currently Online.

Get Online Example

To determine the Online state of an In-Sight vision system, issue the following command: GO

The In-Sight vision system responds with 0, indicating that the vision system is currently Offline.


Get Value

Get Value: EasyBuilder View

Returns the contents of a specified symbolic tag, such as an EasyBuilder Location or Inspection Tool result or job data.

Get Value Inputs

Syntax: GV["Symbolic Tag"]

Parameter | Description
"Symbolic Tag" | The name of the symbolic tag, such as a Location or Inspection Tool result or job data (for example, "Job.Robot.FormatString.", "Job.FormatString").

Get Value Outputs

Returns a status code, followed by a line terminator, followed by the value contained in the specified symbolic tag. The status codes are:

Status Codes | Description
1 | The command was executed successfully.
0 | Unrecognized command.
-1 | The "Symbolic Tag" is invalid.
-2 | The command could not be executed.
Note: A symbolic tag containing any numeric value will return a float value formatted to 3 decimal places when requested by the Get Value command, regardless of whether the tool result or job data contains an integer or a floating-point value. If the symbolic tag contains a non-printing character, such as a Structure, a pound character (#) will replace the non-printing character. If the tool result or job data is empty, a null string will be sent.

Get Value Examples

In-Sight Vision Systems

You can return the data contained in a symbolic tag, such as an EasyBuilder Location or Inspection Tool result or job data, by sending a Get Value command.

  1. Assume that your job is configured to communicate with a Mitsubishi robot controller:

  2. You need to retrieve the data string from the In-Sight vision system, using the Get Value Native Mode command. Issue the command GVJob.Robot.FormatString, as shown in the following telnet client window:

  3. The In-Sight vision system responds with 1, indicating that the command was successfully executed, and the data in the formatted string.

In-Sight 2000 Series Vision Sensors

When the In-Sight 2000 series vision sensor is configured to communicate with Serial Native, you can return the data, such as an EasyBuilder Location or Inspection Tool result or job data, by sending a Get Value command, GVJob.FormatString.

The data type returned from the Location or Inspection tool depends on the In-Sight 2000 series models.

Tool | Models | Returned Results
Location Tools | In-Sight 2000 series 1XX vision sensors (110, 120, 130) | Pass/Fail only (0 = False, 1 = True)
In-Sight 2000 series 2XX vision sensors (23M, 230) | No Limitations
Inspection Tools | In-Sight 2000-110, 120 & 120C vision sensors | Pass/Fail only (0 = False, 1 = True)
In-Sight 2000-130 & 130C
  • Measurement & Counting tools: Result value
  • Other tools: Pass/Fail only (0 = False, 1 = True)
In-Sight 2000 series 2XX vision sensors (23M, 230) | No Limitations
  1. Go to the Communication application step. Click Add Device and select Serial Native.

  2. On the Format Output String tab, click Format String. In the FormatString dialog, add the items you would like to return. In this example, the dialog is configured as follows.

  3. Configure the Set Serial Port Settings tab.
  4. Place the In-Sight vision sensor Online.

  5. Issue the command: GVJob.FormatString as shown in the following telnet client window:

  6. The In-Sight vision sensor responds with 1, indicating that the command was successfully executed, and the data in the formatted string (Brightness_1.Pass = True, Circle_1.Pass = True, Pixels_1.Fail = False, Distance_1.Distance = 307.532898).


In-Sight Ports

The following ports are used for In-Sight communications:

Port Number | Service
TCP 21 | FTP.
TCP 23 | Telnet.
UDP 68 | DHCP (In-Sight vision system only)
TCP 80 | HTTP
TCP 502 | Modbus
TCP 1069 | In-Sight Protocol
UDP 1069 | In-Sight Discovery
TCP 1070 | Machine Status data.
UDP 2222 | EtherNet/IP
TCP 5753 | Audit Message Server
TCP 8087 | Web HMI HTTP (Default)
TCP 8443 | Web HMI HTTPS (Default)
UDP 45237 | Base SLMP messaging (GetCommunicationSetting).
TCP 44818 | EtherNet/IP
UDP 44818 | EtherNet/IP
UDP 45237 | iQ Sensor Solution.
TCP 50000 | DataChannel.
UDP 61450 | CC-Link IE Field Basic: Cyclic request/response messages.
UDP 61451 | CC-Link IE Field Basic: NodeSearch and IPAddressSet messages.


Load File

Loads the specified job from flash memory on the In-Sight vision system, RAM Disk or SD Card, making it the active job.

Note:
  • The In-Sight vision system must be Offline.
  • To load a job file stored in the RAMDisk folder, the syntax is: LFRAMDisk/[Filename]. For example, to load the file "Product.job" stored in the vision system's RAMDisk folder, issue the following command: "LFRAMDisk/Product.job".
  • To load a job file stored in the SD Card folder, the syntax is LFSDCARD/[Filename]. For example, to read the file "Product.job" stored in the vision system's SD Card folder, issue the following command: "LFSDCARD/Product.job".
  • The Job Server Settings dialog can be used to configure an FTP server that will host In-Sight job files for the In-Sight vision system, which allows another device, such as a PLC or robot controller via the LF and TF Native Mode commands, to change jobs without specifying a location.

Load File Inputs

Syntax: LF[Filename]

Input | Description
Filename | The name of the job. The command will execute with or without the .JOB extension.

Load File Outputs

Returns a status code. The status codes are:

Status Codes | Description
1 | The command was executed successfully.
0 | Unrecognized command.
-1 | The filename is missing.
-2 | The job failed to load, the vision system is Online, or the file was not found.
-4 | The vision system is out of memory.
-6 | User does not have Full Access to execute the command. For more information, see User Access Settings Dialog.

Load File Example

To load "Product" as the active job on the In-Sight vision system, issue the following command: LFProduct.job

The In-Sight sensor responds with 1, indicating that the job was successfully loaded and made active.


Native Mode Communications

The In-Sight Native Mode protocol is an ASCII protocol that allows an In-Sight sensor to be controlled from any of the following:

  • Custom application programs running on a PC
  • Remote hosts that support standard serial communications
  • Telnet over an Ethernet network

The Native Mode protocol is divided into two sets of commands: Basic and Extended.

  • Basic Native Mode commands are two characters long, plus parameters (if any) and a terminator character.
  • Extended Native Mode commands include additional functions or commands.

The commands are not case sensitive. The terminator is CR + LF (ASCII characters 13 + 10) when sending Native Mode commands using a telnet connection. When using Native Mode commands over a serial port, an alternate terminator character may be specified in the Native Mode Details. The default terminator is CR (ASCII character 13).

When a Native Mode command is remotely issued to an In-Sight sensor, the In-Sight sensor processes the command and then returns a response, consisting of an ASCII string followed by the terminator character.

  • Commands that set values return 1 for "success", 0 for "unrecognized command", or a negative number for "failure".
  • Commands that get values return various values, depending on the command.
Note:
  • A subset of Native Mode commands can be sent from any PLC (that allows a generic CIP message) over an EtherNet/IP connection using Explicit Messaging: Delete File, Get File, Get Online, Get Value, Load File, Set Event, Set Float, Set Integer, Set Online, Set String and Store File.
  • The In-Sight 2000 series sensor has the following limitations:
    • The In-Sight 2000 series sensor does not support all basic native mode commands.
    • The Get Value (GV) command is only supported for Serial Native.
    • The In-Sight 2000 series sensor does not support extended native mode commands, except where noted.
    • The In-Sight 2000-110, 2000-120 and 2000-120C sensors are only capable of returning Pass/Fail data. When attempting to retrieve numeric data, an invalid permission (-6) error will be returned.

Basic Native Mode Syntax

The general syntax of a Basic Native Mode command is as follows: [command][parameter][terminator]

  • Where [command] consists of two characters. Some Native Mode commands take an optional [parameter].
  • The Basic Native Mode command is completed with a [terminator] character. The terminator is CR + LF (ASCII characters 13 + 10) when sending Native Mode commands using a telnet connection. When using Native Mode commands over a serial port, an alternate terminator character may be specified in the Native Mode Details. The default terminator is CR (ASCII character 13).
  • Basic Native Mode commands are not case-sensitive. No spaces exist between parameters.
Note:
  • Native Mode commands that are executed on a Job (such as Write Job and Delete Job) are included primarily for backwards compatibility.
  • The checksum that is used by Native Mode file transfer commands is a standard 16-bit Cyclical Redundancy Check.

Extended Native Mode Syntax

The general syntax of an Extended Native Mode command is as follows: [command1] [command2] [input parameters][terminator]

  • Where [command1] is any one of the three Extended Native Mode commands (Get, Put, EV). [command2] represents the secondary command, indicating which data to send, receive, or execute, based upon [command1]. [input parameters] supply optional supplementary information to the command.
  • The Extended Native Mode command is completed with a [terminator] character. The terminator is CR + LF (ASCII characters 13 + 10) when sending Native Mode commands using a telnet connection. When using Native Mode commands over a serial port, an alternate terminator character may be specified in the Native Mode Details. The default terminator is CR (ASCII character 13).
  • Extended Native Mode commands are not case-sensitive. Note that spaces exist between certain input parameters.

Communicate with In-Sight Vision Systems via Telnet Using Native Mode Commands

Telnet is a built-in Microsoft Windows client that can be used to remotely communicate with the sensor using In-Sight Native Mode commands.

Note: Telnet must be enabled in Windows before it can be utilized. Open Control Panel > Programs and Features. Select Turn Windows features on or off. Check the Telnet Client box, then click OK.
  1. Open the telnet client application on the remote host.
  2. In the telnet application, connect to the vision system by either its Host Name or IP address. If the connection is successful, a "Welcome to In-Sight(tm)" message appears, along with the hardware model number (for example: IS8402M) and the session number.

  3. Enter a valid user name and password for the In-Sight sensor. The user name and password entered must exist in the User List for that sensor. If the log on is successful, the message "User Logged In" will appear. The default administrator logon is admin and the default password is <blank>.

Custom applications can be written (to run on a remote host) to automate the telnet logon process, as well as to send and receive Native Mode data.

Note:
  • By default, when connected via telnet, there is no default timeout. To set a timeout value, use the Put Timeout command.
  • Under typical use, password echo is disabled in the telnet client application for security purposes.

  • When using telnet to log on to an In-Sight sensor from a Unix-based platform, the telnet command line must be in the following format:

    > telnet <host> <port>

    where <host> is either the In-Sight sensor's Host Name or IP Address, and <port> is the remote telnet port (usually 23). Supplying the port number disables the Unix username/password authentication and forces the Unix system to prompt you for a user name and password.


POWERLINK Communications

Note:
  • POWERLINK is only supported by In-Sight 70xx - 74xx series vision systems running In-Sight firmware version 4.7.2 or later, and In-Sight Explorer software version 4.7.2 or later. It is not supported with firmware version 5.1.0 or later.
  • POWERLINK is not supported on the following In-Sight 70xx - 74xx series color vision systems: In-Sight 7010C, In-Sight 7200C, In-Sight 7400C and In-Sight 7402C.
  • In-Sight vision systems are only supported in B&R Automation Studio, version 3.090 or later, and on Automation Runtime version 3.08 or later.

POWERLINK and In-Sight Vision Systems

POWERLINK is an industrial Ethernet protocol for use in time-critical systems. The POWERLINK Ethernet protocol utilizes a Managing Node (MN), such as a PLC or industrial PC, to divide the Ethernet bandwidth into fixed time cycles (200 µs to 10000 µs). The other devices operating on the network, such as an In-Sight vision system, are operated as Controlled Nodes (CN) and are only allowed to transmit data in response to a message from the MN.

During each cycle, the MN produces data destined for each CN and each CN responds with the data destined for other devices on the network. The data is transferred between nodes using Isochronous Messaging (messaging with guaranteed determinism), and Asynchronous Messaging (messaging without a guarantee of determinism). After all the devices on the network have been synchronized, an asynchronous period is initiated by the MN, which allows one device to send standard TCP/IP traffic on the network.

Note: When connecting POWERLINK nodes together, because the devices never compete for network bandwidth, it is recommended that standard Ethernet hubs are used instead of switches, due to their reduced latency.

Every device on a POWERLINK network is identified by a node ID number (1-240). The MN is always node ID 240, and the CNs may have any of the other node IDs from 1 to 239. The node ID number is combined with the fixed IP subnet of 192.168.100.<NodeID>, which assigns each device on the network a fixed IP address within the POWERLINK network. This IP address can also be used to communicate with other devices outside of the POWERLINK network.

Note:
  • If a POWERLINK enabled vision system is taken off the POWERLINK network and placed on a standard Ethernet network, Ethernet communications may lock up and bandwidth may be limited to 1Mbps. To edit a job, disable POWERLINK communications while on the standard Ethernet network.
  • If an In-Sight vision system is on a POWERLINK network and connected to In-Sight Explorer, attempting to download a change to the PLC, or performing a software reboot of the PLC, may cause the vision system to no longer be able to connect to In-Sight Explorer. It is recommended that you disconnect the vision system from In-Sight Explorer before performing any changes or rebooting the PLC. Power cycle the vision system if this situation has been encountered to restore the connection to In-Sight Explorer.

POWERLINK Cycle

The POWERLINK network is divided into fixed time slices, which are called "cycles" (200 µs to 10000 µs). Each cycle includes a period of Isochronous message transfer, and, if time permits, Asynchronous message transfer. At the beginning of each cycle, the MN broadcasts a Start of Cycle (SoC) message to the network, indicating that the Isochronous phase of the cycle is beginning. After sending the SoC message, the MN proceeds to send a Poll Request (PReq) to each configured CN on that cycle. Each CN responds with a Poll Response (PRes) message. The PReq and PRes messages are used to produce data on the network.

On a POWERLINK network, CNs can perform cross-traffic communication, i.e. exchanging process data with each other, without having to first go through the MN. This type of configuration allows one PLC to be the POWERLINK MN, while a second PLC acts as a CN and controls the In-Sight vision system's acquisition. In-Sight firmware supports cross-traffic communication from two CNs, beside the MN, and is capable of receiving up to 100 bytes of data from each node.

Note: Cross-traffic support requires In-Sight 4.8.0 or later firmware.

After every CN's data has been transferred, the MN sends a Start of Asynchronous (SoA) message to the network, indicating that the Asynchronous phase of the cycle is beginning. During this time, one node (indicated by data contained in the SoA frame) is allowed to transmit one packet to the network. If that node has more data to transmit than the cycle's period has capacity for, the transmission will be spread out over the Asynchronous phase of several cycles.

Asynchronous Data Transfer

The Asynchronous data transfer capabilities of the POWERLINK network are critically important to the In-Sight vision system. The Asynchronous phase is used to perform the following tasks:

  • Configuring and monitoring a vision system using In-Sight Explorer
  • Transferring images and data to In-Sight Explorer or a Cognex VisionView while Online
  • Transferring images to an FTP server via the WriteImageFTP function

The two configuration settings for the POWERLINK network that have the greatest affect on Asynchronous data throughput are the Maximum Transmission Unit (MTU) setting and the Cycle Time.

MTU

The MTU for Asynchronous Packets on a POWERLINK network ranges from 300 bytes to 1500 bytes. By default, B&R PLCs set the MTU to 300 bytes. Increasing the default MTU requires that additional time be reserved in each cycle for Asynchronous data transfers. For example, the default MTU requires that 27 µs be reserved for Asynchronous data transfer, while the maximum size (1500 bytes) would require that 123 µs be reserved.

Note: If the MTU value for Asynchronous Packet transfers is not set to the same MTU value being used by the POWERLINK network, TCP/IP communications will not function correctly.

Cycle Time

The Cycle Time also limits Asynchronous data transfers. The POWERLINK network is configured such that only one Asynchronous packet can be transferred per cycle, so decreasing the Cycle Time allows more Asynchronous packets to be transferred on the network. One of the most common POWERLINK network configurations has a 400 µs Cycle Time, which translates into 2500 cycles per second, or 2500 possible Asynchronous frames transferred per second.

Ideal MTU and Cycle Time Settings for In-Sight Vision Systems

Due to the fact that POWERLINK relies upon Ethernet to transmit data, especially the asynchronous portion, understanding how to calculate the total bandwidth available on the POWERLINK network is an important determinant in establishing optimal performance. The total bandwidth is shared between all CNs communicating via asynchronous transfers on the POWERLINK network.

A general formula for calculating the total bandwidth available on the POWERLINK network is:

  • Bandwidth (Mbps) = MTU * 8/Cycle Time (µs)

Cognex has determined that optimal settings for an In-Sight vision system on the POWERLINK network require an MTU of 1500 bytes, and a Cycle Time of 400 µs. Any significant decrease in the MTU size or an increase in the Cycle Time will result in substantially reduced performance (for the three bullets, listed in the above section). Please consult the B&R Microsoft Excel spreadsheet (powerlink_cycletime_calculations.xls) for calculating Cycle Time, included with the B&R Automation Studio application.

Note:

The following In-Sight application parameters may impact the performance of the connection:

  • Acquired image and image update settings, such as acquiring full images or sending and recording full resolution images. Within a limited bandwidth environment, the goal is to reduce the rate at which images are acquired. This can be accomplished by:
    • Setting the AcquireImage function's Start Row and Number of Rows parameters to create partial acquisitions.

    • From the Record tab of the Record/Playback Options dialog, setting the Image Resolution parameter to Half or Quarter. For more information, see Record/Playback Options Dialog: EasyBuilder View.

      Configuring the settings in this manner will create more bandwidth for background services, if necessary.

  • Sending images with the WriteImageFTP or WriteImageSFTP functions, regardless of the image resolution settings, will reduce bandwidth available for In-Sight Explorer.

  • If the POWERLINK Cycle Time is set to less than 500µs, this will limit the number of available User Data channels to 16 and the Inspection Results to 24. If the Cycle Time setting is too low, or too much data is configured to be transmitted, the POWERLINK connection will fail.

POWERLINK Network Gateway and In-Sight Vision Systems

B&R PLCs have the ability to act as a gateway for TCP/IP traffic between devices on the POWERLINK network and devices connected through the standard Ethernet port. In-Sight Explorer has the ability to add the POWERLINK network into the In-Sight Network pane. The Explorer Remote Subnet List dialog (accessible from the System menu) can be used to add the POWERLINK network and configure the subnet information. After establishing this configuration, the In-Sight Network pane will display the In-Sight vision systems on the POWERLINK subnet.

Configure In-Sight Vision Systems for POWERLINK Communications

This section describes how to connect a B&R PLC to an In-Sight vision system using POWERLINK communications.

Note:
  • These steps assume that the In-Sight vision system has a job loaded that contains data ready to be transmitted via the POWERLINK network.
  • For application development, Cognex recommends connecting directly to the In-Sight vision system installed on the factory line. This will allow for faster image updates, which makes it easier to adjust focus, align the image and set up the application. Once the application has been developed, save the job and then enable POWERLINK and add a remote subnet. The remote subnet will allow the vision system to be monitored from In-Sight Explorer for potential troubleshooting and additional application development.

Enable POWERLINK Communications on an In-Sight Vision System

Before the In-Sight vision system can be placed on the POWERLINK network, the vision system must be configured to enable POWERLINK, using the Network Settings dialog of the In-Sight vision system.

Note: These steps assume that the POWERLINK network is already functioning, with other devices on the network, and that the MN is a B&R PLC.
  1. Connect the In-Sight vision system to be placed on the POWERLINK network directly to the PC running In-Sight Explorer.
  2. Open In-Sight Explorer and connect to the desired In-Sight vision system.
  3. From the Sensor menu, open the Network Settings dialog.
  4. In the Industrial Ethernet Protocols section of the dialog, select POWERLINK and click the Settings button to launch the POWERLINK Settings dialog.
  5. The POWERLINK Settings dialog is used to define the Node ID of the In-Sight vision system.
  6. At the message prompt, restart the In-Sight vision system, and afterward the POWERLINK protocol will be enabled upon the completion of the power cycle.
  7. Disconnect the vision system from the PC and connect the vision system to the POWERLINK network.

Establish a Cyclic Connection to an In-Sight Vision System

To help integrate In-Sight vision systems onto the POWERLINK network, Cognex has created the In-Sight-7000.xdd file (0000031D_In-Sight-7000.xdd), to import into Automation Studio. The In-Sight-7000.xdd file describes the network interface of the In-Sight vision system to a POWERLINK Master Node, to facilitate the transfer of data over a POWERLINK network.

  1. From within Automation Studio, go to the Tools menu and select the Import Fieldbus Device option.
  2. Navigate to the .xdd file, included with In-Sight Explorer 4.7.1 (e.g., C:\Program Files\Cognex\In-Sight\In-Sight Explorer 4.7.1\XDD), and import the file (0000031D_In-Sight-7000.xdd).

  3. After the In-Sight-7000.xdd file has been imported, the In-Sight vision system will need to be added to the POWERLINK network and assigned a Node ID.

    Note: Please consult the B&R Automation Studio Help Explorer POWERLINK Help Contents for specific information about adding 3rd-party devices to Automation Studio.
  4. Once the In-Sight vision system has been successfully added, enable the Channels that will be transmitted cyclically on the POWERLINK network. Set the Cyclic transmission Value to Write (for output to the vision system) or Read (for input from the vision system) to transfer the data in the Channel once communications with the In-Sight vision system are established.

  5. The enabled Channels can be mapped to system variables, as well.

    Note: Bit-level data, such as the Control and Status blocks, must be accessed by appending the bit position designator to the double-integer variable name. Direct mapping of the bit variables is not possible in this release.
  6. With the project properly configured, it is downloaded to the B&R PLC, and the PLC initiates the cyclic transfer of data with the In-Sight vision system.
  7. Verify that the In-Sight vision system is performing correctly by going into Monitor mode in Automation Studio, opening the I/O mapping of the vision system and validate that the ModuleOK channel is TRUE.

Configure the AcquireImage Trigger Parameter

With the In-Sight vision system integrated into the POWERLINK network, it is possible to trigger the vision system to acquire images over the POWERLINK network. Setting the Trigger parameter in the AcquireImage function to Industrial Ethernet enables a hardware assisted trigger mode when POWERLINK is enabled.

  1. Open the AcquireImage function's property sheet.
  2. Set the Trigger parameter to Industrial Ethernet.
  3. Place the In-Sight vision system Online.
  4. An In-Sight vision system can be triggered by directly manipulating the Trigger Enable and Trigger bits in the Control field of the Inspection Control Object, or monitored through the Trigger Ready, Trigger Ack, Acquiring and Missed Acq bits in the Status structure of the Inspection Status Object.
  5. While in Automation Studio, from the Inspection Control Channel, set the Trigger Enable bit to True and toggle the Trigger bit from False to True, while the Trigger Ready bit is set to True.

Get Data from an In-Sight Vision System

To get data from the In-Sight Explorer spreadsheet to a B&R PLC, the data must be written to the POWERLINK network by using the WriteResultsBuffer function. This function takes a buffer of data created by the FormatOutputBuffer function and writes the data to the configured data table of the B&R PLC. This data is then transferred during the next update cycle, which is synchronized, at most, every 4ms, regardless of the Cycle Time.

The following steps explain how to format the data that will be sent from an In-Sight vision system to a B&R PLC:

  1. To begin, using In-Sight Explorer, create a new job.
  2. From the Palette's Snippets tab, add these two Snippets to the spreadsheet: Acquisition > AcqCounter and Math & Logic > Random.
  3. Open the AcquireImage cell and set the Trigger parameter to Continuous.
  4. Right-click an empty cell and select Insert Function to open the Insert Function dialog. From the left pane, click the Input/Output category, then double-click the FormatOutputBuffer function, from the right pane, to insert it into the spreadsheet.
  5. From the FormatOutputBuffer dialog, click the Add button. This will initiate the cell selection mode; select the Scaled random number cell of the Random snippet.

  6. From the FormatOutputBuffer dialog, click the Add button again. This will initiate the cell selection mode; select the count cell of the AcqCounter snippet.

  7. Click the OK button to close the FormatOutputBuffer dialog.
  8. Right-click an empty cell and select Insert Function to open the Insert Function dialog. From the left pane, click the Input/Output category, then double-click the WriteResultsBuffer function, from the right pane, to insert it into the spreadsheet.
  9. Set the WriteResultsBuffer function's Buffer parameter as a cell reference to the recently created FormatOutputBuffer function's Buffer data structure.
  10. Place the In-Sight vision system Online.
  11. Verify that the In-Sight vision system is performing correctly by going into Monitor mode in Automation Studio, opening the I/O mapping of the vision system and validate that the ModuleOK channel is TRUE.

Send Data to an In-Sight Vision System

In order to send data from the B&R PLC to the In-Sight Explorer spreadsheet, the data must be pulled from the POWERLINK protocol stack by using the ReadUserDataBuffer function. This function takes the data format created within the FormatInputBuffer function, reads the data received from the B&R PLC, and formats this data into the In-Sight Explorer spreadsheet. In order to trigger the In-Sight vision system to read the user data from the B&R PLC, the Set User Data bit in the Control block must be triggered from the PLC.

EXAMPLE: Send Data to an In-Sight Vision System

For this example, create a new job within In-Sight Explorer and then perform the following steps to configure the data that will be received by the B&R PLC.

  1. Open the AcquireImage cell and set the Trigger parameter to Continuous.

    Note: Continuous trigger mode is intended for demonstration purposes only. In Continuous trigger mode, the vision system acquires as many images as possible, and once an event is initiated from the PLC, the data transfer from the PLC to the vision system can be immediately observed. Once you are ready to deploy the vision system for run time operation, you will need to reconfigure the Trigger parameter based on the source of the image acquisition trigger.
  2. Right-click an empty cell and select Insert Function to open the Insert Function dialog. From the left pane, click the Input/Output category, then double-click the FormatInputBuffer function, from the right pane, to insert it into the spreadsheet.

  3. From the FormatInputBuffer dialog, click the Add button and add a 32-bit float and a 32-bit integer to the list.

  4. Click the OK button to close the FormatInputBuffer dialog.
  5. Right-click an empty cell and select Insert Function to open the Insert Function dialog. From the left pane, click the Input/Output category, then double-click the ReadUserDataBuffer function, from the right pane, to insert it into the spreadsheet .
  6. Set the ReadUserDataBuffer function's Buffer parameter as a cell reference to the recently created FormatInputBuffer function's Buffer data structure.
  7. The Vision Data Access functions will automatically be added to the spreadsheet based on the fields added to the FormatInputBuffer function.
  8. Place the In-Sight vision system Online.
  9. Verify that the In-Sight vision system is performing correctly by going into Monitor mode in Automation Studio, and forcing data into the UserData fields.
  10. Set the Set User Data bit in the Control field of the Inspection Control Object.
  11. Clear the Set User Data bit in the Control field of the Inspection Control Object. Since the vision system is in Continuous trigger mode, the vision system is acquiring images, allowing the data transfer to be observed.

Add a POWERLINK Network to the In-Sight Network

Follow these steps to add a POWERLINK network to the In-Sight Network pane.

  1. On the System menu, click Remote Subnets.
  2. In the Explorer Remote Subnet List dialog, click the Add button to launch the Add Subnet dialog.
  3. In the Name field, enter a descriptive name for the subnet that will be added.
  4. In the IP Address field, the IP address should match the "POWERLINK NAT subnet" IP address programmed in the PLC for the POWERLINK network.
  5. In the Mask field, enter 255.255.255.0.
  6. If the network infrastructure is incapable of routing to the POWERLINK network, check the Use Custom Gateway option, and set the Gateway field to the IP address of the PLC on the standard Ethernet network. This will establish a route to the remote subnet in the PC's routing table.
  7. Click the OK button to accept the changes and close the Add Subnet dialog.
  8. The newly configured remote subnet will appear in the Explorer Remote Subnet List dialog. Click the OK button to close the dialog.
  9. The POWERLINK network will now be displayed in the In-Sight Network pane.

Disable POWERLINK Communications on an In-Sight Vision System

Follow these steps to disable an In-Sight vision system that was configured to operate on a POWERLINK network.

  1. From a PC running In-Sight Explorer, connect the In-Sight vision system to an available Ethernet port, set to DHCP, on the PC.
  2. On the System menu, click Add Sensor/Device to Network.
  3. In the Add Sensor/Device to Network dialog, select the In-Sight vision system, select the Obtain IP Address Automatically (DHCP) option and then click the Apply button.
  4. After a message prompt altering the successful change of the settings, the vision system should appear in the In-Sight Network pane.
  5. Open a connection to the vision system in either the Spreadsheet or EasyBuilder development environments.
  6. On the Sensor menu, click Network Settings to launch the Network Settings dialog.
  7. For the Industrial Ethernet Protocols, select None and then click the OK button.
  8. Restart the vision system to apply the changes.


Set Event

Triggers a specified event in the spreadsheet through a Native Mode command.

Note:
  • If the In-Sight vision system will be configured to accept an acquisition trigger from a PLC/Motion Controller via a Native Mode command, Cognex recommends that the SetEvent and Wait function be utilized, with the Event code set to 8 (SW8). This will ensure that vision system waits for both the acquisition and inspection to be completed before sending a "complete" response back to the PLC/Motion Controller, and that previous inspection results are not being sent to the PLC/Motion Controller. The "complete" response from the vision system can also then be used to create conditional PLC logic that sends a read request for the inspection results. If the SetEvent function will be used by a PLC/Motion Controller to trigger an acquisition, it should only be used in circumstances where the inspection results are not also being read. Otherwise, the acquisition and inspection will not be synchronized, with the vision system returning a response as soon as the image is acquired and before the inspection has been completed.
  • In job deployment environments where In-Sight Explorer or the VisionView application are monitoring inspections, if the job depends on a Soft Event (e.g., configured as a Timer function) to trigger a spreadsheet event, it may cause the inspection of an image to be delayed if it is triggered shortly before the acquisition cycle completes. If the job file is large (i.e., it contains many Vision Tools, such as Pattern Match, Flaw Detection or InspectEdge tools, in addition to other job logic), the update required by In-Sight Explorer or VisionView may prevent an image from being inspected until the display update is queued. For applications that require exact timing (e.g., measured in the 10s of milliseconds), this update might delay the determination of pass/fail results and the transmission of results to the next station (e.g., a PLC or motion controller) in the inspection process. To avoid delayed inspections in these application environments, Cognex recommends Soft Events not be used.

Set Event Inputs

Syntax: SE[Int]

Parameter

Description

Int

The Event code to set.

  • 0 to 7 = Specifies a soft trigger (Soft 0, Soft 1, ... Soft 7).
  • 8 = Acquire an image and update the spreadsheet. This option requires the AcquireImage function's Trigger parameter to be set to External, Manual or Network.

Set Event Outputs

Returns a status code, followed by the number of characters (in bytes) for the results, then the results in XML format. The status codes are:
Status Codes | Description
1 | The command was executed successfully.
0 | Unrecognized command.
-1 | The number is either out of range (0 to 8) or not an integer.
-2 | The command could not be executed.
-6 | User does not have Full Access to execute the command. For more information, see User Access Settings Dialog.


Set Float

Set Float: EasyBuilder View

Sets the floating-point value of a symbolic tag, such as an EasyBuilder Location or Inspection Tool parameter, or job data, to the specified floating-point value. The symbolic tag must be a Floating Point Data Type.

Set Float Inputs

Syntax: SF["Symbolic Tag"][Space][Float]

Parameter | Description
"Symbolic Tag" | The name of the symbolic tag [such as a Location or Inspection Tool parameter ("Pattern_1.Horizontal_Offset", for example) or EasyBuilder job data ("Acquistion.Exposure_Time", for example)] to be set.
Space | A blank space to separate the "symbolic tag" from the floating-point value.
Float | The floating-point value to set, including the decimal point (.) character.

Set Float Outputs

Returns a status code. The status codes are:

Status Codes | Description
1 | The command was executed successfully.
0 | Unrecognized command.
-1 | The "Symbolic Tag" is invalid, or the specified value does not contain a floating-point number.
-2 | The command could not be executed, or the specified floating point value is outside of the control's valid range. For example, the specified name may not contain a control of the valid Data Type.
-6 | User does not have Full Access to execute the command. For more information, see User Access Settings Dialog.

Set Float Example

You can set the floating-point value of a Location or Inspection Tool parameter, or job data, by sending a Set Float command containing the new floating-point value.

  1. Assume that your job contains a Pattern Location Tool, and the tool's current Horizontal Offset parameter setting is the default, 0.000:

  2. However, you would like to change that parameter's setting via the Set Float Native Mode command. Issue the command SFPattern_1.Horizontal_Offset 100.302 as shown in the following telnet client window:

  3. The In-Sight vision system responds with 1, indicating that the command was successfully executed. The tool's Horizontal Offset parameter has been successfully changed from 0.000 to 100.302:


Set Integer

Set Integer: EasyBuilder View

Sets the integer value of a symbolic tag, such as a parameter contained in an EasyBuilder Location or Inspection Tool, or job data, to the specified integer value. The parameter or job data must be an Integer Data Type.

Set Integer Inputs

Syntax: SI["Name"][Space][Int]

Parameter | Description
"Name" | The name of the Location or Inspection Tool parameter ("Pattern_1.Model_Type", for example) or EasyBuilder job data ("Job.External_Reset_Counters", for example) to be set.
Space | A blank space to separate the "name" from the integer value.
Int | The integer value to set.

Set Integer Outputs

Returns a status code. The status codes are:

Status Codes | Description
1 | The command was executed successfully.
0 | Unrecognized command.
-1 | The EasyBuilder "Name" is invalid, or was not an Integer Data Type.
-2 | The command could not be executed, or the specified integer value is outside of the control's valid range. For example, the specified name may not contain a control of the valid Data Type.
-6 | User does not have Full Access to execute the command. For more information, see User Access Settings Dialog.

Example: Change the Value of a Parameter Containing an Integer Value

You can set the integer value of a Location or Inspection Tool parameter, or job data, by sending a Set Integer command containing the new integer value.

  1. Assume that your job contains a Pattern Location Tool, and the tool's current Timeout parameter setting is the default, 5000 milliseconds:

  2. However, you would like to change that parameter's setting via the Set Integer Native Mode command. Issue the command SIPattern_1.Timeout 500 as shown in the following telnet client window:

    The In-Sight vision system responds with 1, indicating that the command was successfully executed. The tool's Timeout parameter has been successfully changed from 5000 to 500:

Example: Uncheck or Check a Parameter Containing a Checkbox

You can enable or disable a tool's checkbox parameter by using the Set Integer command to send a value of 1 (enable) or 0 (disable)

  1. Assume that your job contains a Pattern Location Tool, and the tool's current Scale Tolerance parameter setting is the default, disabled (unchecked):

  2. However, you would like to change that parameter's setting programmatically, to either enabled or disabled, based on a particular part. Issue the command SIPattern_1.Scale_Tolerance 1, as shown in the following telnet client window:

    The In-Sight vision system responds with 1, indicating that the command was successfully executed. The tool's Scale Tolerance parameter has been successfully changed from disabled (unchecked) to enabled (checked):

Example: Change the Selection Within a Drop-Down List

You can change the selection of a tool's drop-down menu list parameter by using the Set Integer command to send an integer indicating the desired selection. The items within the drop-down menu correspond to a ListBox control, which has an integer value (zero-based) assigned to it. You can "choose" a different value from the list by using the Set Integer Native Mode command to assign a different value to the parameter that contains the drop-down menu.

  1. Assume that your job contains a Blobs Counting Tool, and the tool's current Blob Color parameter setting is the default, Either/2:

  2. However, you would like to change that parameter's setting programmatically, to either Black/0 or White/1, based on a particular product part. Issue the command SIBlobs_1.Blob_Color 1, as shown in the following telnet client window:

    The In-Sight vision system responds with 1, indicating that the command was successfully executed. The tool's Blob Color parameter has been successfully changed from Either/2 to White/1:


Set Job

Loads a job from one of the job slots in flash memory on the In-Sight sensor, making it the active job.

Note:
  • The In-Sight sensor must be Offline.
  • This command only works on a job saved on the flash memory on the In-Sight vision system. If the job is stored on the configured Job Server or the SD Card installed to the In-Sight vision system, this command does not work.
  • To use the job ID number feature, the job to be loaded must be saved with a numerical prefix of 0 to 999.

Set Job Inputs

Syntax: SJ[ID]

Parameter | Description
ID | The ID number of the job to load (0 to 999).

Set Job Outputs

Returns a status code. The status codes are:

Status Codes | Description
1 | The command was executed successfully.
0 | Unrecognized command.
-1 | The ID is less than 0, or is not an integer.
-2 | The job failed to load, the sensor is Online or the file was not found, therefore the command could not be executed.
-4 | The In-Sight sensor is out of memory.
-6 | User does not have Full Access to execute the command. For more information, see User Access Settings Dialog.

Set Job Example

To load "85Test.job" as the active job on the In-Sight sensor, issue the following command: SJ85.

The In-Sight sensor responds with 1, indicating that the job was successfully loaded and made active.


Set Online

Sets the In-Sight sensor into Online or Offline mode. For more information, see Online/Offline.

Note:
  • This command cannot place the In-Sight sensor into Online mode if the sensor has been set Offline either manually in the In-Sight Explorer user interface or by a Discrete Input signal.
  • The In-Sight Explorer application will send Set Online commands to In-Sight sensors to perform administrative functions such as Backup and Restore.

Set Online Inputs

Syntax: SO[Int]

Parameter

Description

Int
  • 0 = Sets the In-Sight sensor Offline.
  • 1 = Sets the In-Sight sensor Online.

Set Online Outputs

Returns a status code. The status codes are:

Status Codes | Description
1 | The command was executed successfully.
0 | Unrecognized command.
-1 | The value given for Int is either out of range, or is not a valid integer.
-2 | The command could not be executed.
-5 | The communications flag was successful but the sensor did not go Online because the sensor is set Offline manually through the In-Sight Explorer user interface or by a Discrete I/O signal.
-6 | User does not have Full Access to execute the command. For more information, see User Access Settings Dialog.

Example: Set the In-Sight Sensor Into Online Mode

To set an In-Sight sensor into Online mode, issue the following command: SO1

The In-Sight sensor responds with a status code of 1, indicating that the sensor was successfully placed Online.

Example: Set the In-Sight Sensor into Offline Mode

To set an In-Sight sensor into Offline mode, issue the following command: SO0

The In-Sight sensor responds with a status code of 1, indicating that the sensor was successfully taken Offline.


Set String

Sets an edit box control contained in a cell to a specified string. The edit box must be of the type EditString.

Set String Inputs

Syntax: SS[Column][Row][String]

Parameter | Description
Column | The column letter of the cell value to set (A to Z).
Row | The row number of the cell value to set. The row number must contain a three-digit number (000 to 399).
String | The string to set.

Set String Outputs

Status Codes | Description
1 | The command was executed successfully.
0 | Unrecognized command.
-1 | The cell ID is invalid.
-2 | The input string is longer than the specified maximum string length in the EditString function or the cell does not contain an EditString function.
-6 | User does not have Full Access to execute the command. For more information, see User Access Settings Dialog.

Set String Example

  1. Assume cell B2 is populated as follows:

    B2 = EditString(20)

    The EditString control currently contains the text Before SS. The spreadsheet looks like this:

  2. To change this text to After SS using the Set String Native Mode command, issue the command SSB002After SS, as shown in the following telnet client window:

    The In-Sight sensor responds with 1, indicating that the command was successfully executed. The EditString control has been successfully changed from Before SS to After SS:


Store File

Saves the current job in flash memory on the In-Sight vision system, RAM Disk or SD Card.

Note:

  • If the Allow Online Job Save checkbox is enabled, users with Full or Protected access are allowed to save jobs while Online. If the Allow Online Job Save checkbox is not enabled, the vision system must be Offline to save jobs.

  • To save the current job file, with the specified filename, to the vision system's RAMDisk folder, the syntax is: TFRAMDisk/[Filename]. For example, to save the file "Test.job" to the vision system's RAMDisk folder, issue the following command: "TFRAMDisk/Test.job".
  • To save the current job file, with the specified file name, to the vision system's SD Card folder, the syntax is TFSDCARD/[Filename]. For example, to save the file "Test.job" stored to the vision system's SD Card folder, issue the following command: "TFSDCARD/Test.job".
  • The Job Server Settings dialog is used to configure an FTP server that will host In-Sight job files for the In-Sight vision system, which allows another device, such as a PLC or robot controller via the LF and TF Native Mode commands, to change jobs without specifying a location.

Store File Inputs

Syntax: TF[Filename]

Parameter | Description
Filename | The name of the job. The file extension must be .JOB.

Store File Outputs

Returns a status code, followed by a line terminator. The status codes are:

Status Codes | Description
1 | The command was executed successfully.
0 | Unrecognized command.
-1 | The filename is missing.
-2 | The job failed to save, the vision system is Online or the file was not found, therefore the command could not be executed.
-6 | User does not have Full Access to execute the command. For more information, see User Access Settings Dialog.

Store File Example

To name the current job "Test" and save it in flash memory on the In-Sight vision system, issue the following command: TFTest.job

The In-Sight vision system responds with 1, indicating that the current job was successfully saved.


Add Sensor/Device to Network Dialog

The Add Sensor/Device to Network dialog allows you to configure In-Sight Ethernet devices. You can use this dialog to:

  • Configure In-Sight devices for communication on a TCP/IP subnet or for a direct connection to a PC.

  • Configure In-Sight devices with invalid network settings. These devices are automatically detected and displayed in the list. If an In-Sight device is power-cycled while the dialog is open, it is also added to the list.

    Tip: If the device does not automatically appear in the list, select the Show All radio button to display all In-Sight devices detected on the subnet.
  • Reset the Admin password.
  • Reset the In-Sight device to the factory default settings.
Note:
  • You must have administrative privileges to the device to perform any of the Add Sensor/Device to Network operations.
  • The full functionality of the Add Sensor/Device to Network dialog is available for devices running firmware 4.1.0 or later; upgrading to the latest version is recommended.
  • Devices with temporary link-local IP addresses are automatically displayed in the Add Sensor/Device to Network dialog if the network adapter on the computer does not have a link-local IP address assigned; replacing these devices' IP addresses with static or dynamic IP addresses is strongly recommended. For more information, see Link-local IP Address.
  • Devices on remote networks are not displayed in this dialog. To connect to devices on remote networks, use the Explorer Host Table Setup Dialog or the Explorer Remote Subnet List on the System menu.

Add Sensor/Device to Network Dialog Controls

To display the Active Cells Limit dialog, click Add Sensor/Device to Network from the System menu. The fields in the dialog remain disabled until a device is selected in the list.

  • Filter textbox: Filters all displayed columns. For example, if you type “2000-130C”, only the rows with the text (2000-130C) will display.

  • Host Name: Specifies the name of the networked In-Sight device. Each device has its host name set automatically the first time it boots. You can change the host name by entering a new name into the field. Host names can contain a maximum of 63 characters. Valid characters for the host name are A–Z (upper and lowercase), 0 - 9, hyphen ('-'), colon (:), period ('.') and underscore ('_').
  • Obtain IP Address Automatically (DHCP): Specifies that the network settings of the In-Sight device will be configured dynamically by the DHCP Server on startup.
  • Use the Following Network Settings: Specifies that the In-Sight device will be configured according to the network settings configured below.
    • IP Address: Specifies a unique identifier for each In-Sight device on the network, which must be consistent with the IP address-numbering scheme of the local network.

    • Subnet Mask: Defines which part of the IP address refers to the network and which part refers to the host. The network part of the IP address is the same for all hosts on the same subnet, and the remainder is unique to each host.

      There are three classes of subnet masks. The class of a particular subnet on a network is defined by the number of bits used to represent the network and host address portions in the IP address, as in the table below:

      Class Subnet Mask Network Address Host Address

      A

      255.0.0.0

      8 bit

      24 bit

      B

      255.255.0.0

      16 bit

      16 bit

      C

      255.255.255.0

      24 bit

      8 bit

      For example, consider a networked In-Sight host system with the IP address 192.168.0.1. If the first three numbers (192.168.0) identify the 24-bit network address, and the last number (1) is the 8-bit address for the In-Sight host on the network, then the subnet mask for this host is 255.255.255.0.

    • Default Gateway: Specifies the IP address of the gateway host, if available on the network. The gateway host is responsible for relaying data between hosts on different networks. If an In-Sight device needs to communicate with a device on a different subnet, enter the address of the gateway device in the Default Gateway field. Otherwise, leave the field blank.
    • DNS Server: Specifies the IP address of the host on the network providing DNS resolution, if available.

    • Domain Name: Specifies the network domain for the host network. Domain names can contain a maximum of 63 characters.

  • Copy PC Network Settings: When enabled, specifies that all the network settings for the In-Sight device (except for the host portion of the IP address) will be configured according to those of the local computer.
  • Reset Admin Password: When enabled, resets the admin password for the In-Sight vision system to the factory defaults (blank).

  • Reset Sensor Settings to Factory Defaults: When enabled, resets all the settings for the In-Sight vision system (except for the network settings in this dialog) to the factory defaults. For example, user list, discrete I/O, date/time, host list, serial and FTP settings will all be reset.

    Note:
    • This option is disabled for the CIO-MICRO and CIO-MICRO-CC I/O modules.
    • The In-Sight emulator can be reset to the factory defaults using the Emulation option on the Restore Defaults dialog accessible from the Options dialog. For more information, see Restore Defaults.
  • Flash Lights: Causes the LEDs on the In-Sight device to flash, to help you visually locate it. This button toggles to the Stop Flashing button, and the LEDs continue flashing until you do one of the following: click Stop Flashing, close the Add Sensor/Device to Network dialog or select another device in the list.
  • Refresh: Refreshes the list of In-Sight devices.
  • Show All: Displays all In-Sight devices detected on the subnet.
  • Show New (default): Displays In-Sight devices with invalid network settings on the subnet. An In-Sight device that is power-cycled on the subnet while the dialog is open is also added to the list.

Reconfigure Invalid Network Settings

  1. Verify that your device is physically connected to the network.

  2. Open the Add Sensor/Device to Network dialog and select the device from the list. If the device does not appear in the list, select the Show All button or power-cycle the device.

    Note: When cycling power on the In-Sight 70xx - 74xx series vision system, Cognex recommends that the power be disconnected for at least 5 seconds.
  3. Verify that the host name is correct.

  4. Use either a dynamic or a static IP address for the device.

    For a dynamic IP address:

    1. Select Obtain IP Address Automatically (DHCP), which enables the DHCP server to dynamically configure the device on startup.

    For a static IP address:

    1. Select Use the Following Network Settings.
    2. Enter an IP address.
    3. Do one of the following:
      • Select Copy PC Network Settings, which automatically assigns the local computer's subnet mask, default gateway, DNS server and domain name to the device.
      • Contact your network administrator for the subnet mask, default gateway, DNS server and domain name and enter them manually.

  5. Click Apply.

    Note:

    If the selected vision system is running firmware 3.4.x or earlier:

    • A dialog will appear, indicating that the vision system settings will automatically be reset to the factory defaults.
    • A progress bar will appear, prompting you to cycle power on the vision system (as a result of the power cycling, the dialogs mentioned in steps 8 and 9 will not appear).
  8. In the confirmation dialog that appears, click OK.
  9. In the verification dialog that appears, click OK.

Reset In-Sight Vision System Settings to the Factory Defaults

Selecting this option will reset all the settings for the In-Sight vision system (except for the network settings in this dialog) to the factory defaults. For example, user list, discrete I/O, date/time, host list, serial and FTP settings will all be reset. One possible application is if you have forgotten the password to a vision system and want to revert to the default, which is <blank>.

Note:
  • This option is disabled for the CIO-MICRO and CIO-MICRO-CC I/O modules.
  • The In-Sight emulator can be reset to the factory defaults using the Emulation option on the Restore Defaults dialog accessible from the Options dialog.
  1. Verify that your device is physically connected to the network.

  2. Open the Add Sensor/Device to Network dialog and select the device from the list. If the device does not appear in the list, select the Show All button or power-cycle the device.

    Note: When cycling power on the In-Sight 70xx - 74xx series vision system, Cognex recommends that the power be disconnected for at least 5 seconds.
  3. Select Reset Sensor Settings to Factory Defaults.
  4. Click Apply.
  5. In the confirmation dialog that appears, click OK.
  6. A progress bar appears; cycle power on the vision system, as prompted, so the configuration changes take effect.
  7. Note: When cycling power on the In-Sight 70xx - 74xx series vision system, Cognex recommends that the power be disconnected for at least 5 seconds.
  8. In the verification dialog that appears, click OK.


Backup Dialog

The Backup dialog allows you to store an archival copy of the jobs, images and sensor settings from an In-Sight sensor or emulator to the hard disk on your PC or the SD card installed to the vision system. Network settings are stored in a backup, but they are restored only when you are restoring to the same sensor that was backed up.

Backup to the PC

The destination folder on the In-Sight vision system/emulator, or Backup Directory, for archived data is defined in the Options dialog. When In-Sight Explorer archives data from a vision system or emulator, a folder is created in the Backup Directory with a name identical to the vision system's host name, along with a numerical suffix, starting with ".000". If a backup already exists for that particular sensor, then the numerical suffix will be incremented (such as is5400_010203.000, is5400_010203.001, etc.)

Note:
  • A maximum of 1,000 backups can be stored per In-Sight sensor.
  • After backing up a vision system that uses one or more colons in the host name, the resulting folder name will use the plus sign (+) instead of the colon. This is expected behavior because Windows does not allow the colon character to be used in folder names.
  • Backup operations should normally be done while In-Sight vision systems are Offline because file transfer operations may affect the performance of time-critical jobs. For jobs that are not time-critical, you can enable Online backups by selecting the Allow Online Backups checkbox within the Options dialog.
  • When an Online sensor is in the process of being backed up, its status will temporarily change to [image]. Once the backup is complete, the status will return to [image].
  • The Backup Directory's default folder is in the following location, to allow Standard User access: C:\ProgramData\Cognex\In-Sight\In-Sight Explorer x.x.x

Backup to the SD Card Installed to the Vision System

The SD card stores one backup only. For subsequent backups, the previous backup is overwritten.

Note: The vision system(s) must be Offline in order to backup to the SD card.

Use the Backup Dialog

  1. To display the Backup dialog, click Backup from the System menu.

  2. Select any vision systems/sensors or emulators that you would like to back up by checking the checkbox on the left-hand side.

  3. If you would like to back up to a SD Card, check the Use SD Card checkbox.

    Note:
    • You can search your desired vision systems/sensors or emulators dynamically by using the search box.
    • The Use SD Card checkbox is enabled only when a SD Card is installed to the vision system.
    • If a vision system with a SD Card is selected but the Use SD Card checkbox is unchecked, the backup data will be archived to the PC.
  4. Click Backup.


Batch Run

The Batch Run dialog is used to load multiple In-Sight job files for use by TestRun, and to execute the tests as a single operation.

Batch Run Dialog Controls

To display the Batch Run dialog, navigate to the TestRun tab of the Palette, and press the Batch Run button on the TestRun toolbar.

  • Selected Jobs table: Displays a checkbox, the job name, directory location, and the status of the job while in TestRun and after completion (pass/fail).
  • Add Jobs: Press to launch the Open dialog, which will be used to select one or more jobs and/or directories. If a directory is selected, all the .job files within the directory will be added.
  • Remove: Select a job and press to remove from the list of jobs.
  • Remove All: Selects all of the jobs in the list and removes them.
  • Load Job: Select a job from the table of jobs and press to load that job to the currently connected In-Sight Emulator or vision system.
  • Include All: Press to automatically enable all of the jobs in the table for inclusion in the batch operation.
  • Exclude All: Press to automatically disable all of the jobs in the table from the batch operation.

  • Report Location: Displays the directory location of the Batch Run report log.

    Note:

    If the Report Location is set to use an FTP server, a slash must be used after the host name.

    • Correct: ftp://192.168.0.6/
    • Wrong: ftp://192.168.0.6
  • Browse: Press to launch the Open dialog, which is used to specify the directory location for storing the Batch Run report log.
  • Report Name: Displays the name of the Batch Run report log.
  • Credentials: Press to launch the Credentials dialog, where user credentials are entered for access to the folder containing the jobs (if necessary). The user credentials should match those supplied in the Image Database Folder step of the TestRun configuration.
  • Include date & time in report name: Specifies whether or not the date and time should be appended to the Batch Run report log file name. When enabled, a date/time stamp will be inserted between the name and the file format. For example, if the report's name is "MyReport" and the file format is XML, then the report name will be "MyReport.20121011_082345.xml."
  • Report Format: Specifies the file format of the Batch Run report (Plain Text, XML or HTML; default = XML).
  • Run: Press to begin the batch TestRun operations. A job and/or jobs must be selected, a report location specified and a report name created before the Run button is enabled. After pressing the Run button, the Status column of the Selected Jobs table will display the progress of the test execution.
  • Close: Press to exit the dialog.


Comment Dialog

A comment is a note that you attach to a cell, separate from other cell content. Cells with comments have color-coded triangular indicators in the upper-right corners. When the mouse is placed over a cell with a comment, its comment will appear. For an example click Closed here.

To Display the Comment Dialog

  1. Click the cell that you want to insert the comment on.
  2. On the Insert menu, click Comment. Alternately, right-click the cell that you want to insert the comment on and select Insert Comment from the shortcut menu.

  3. Enter the text for your comment in the available box.

    Note: The Comment dialog always appears as the Edit Comment dialog, regardless of whether you select it to insert or edit a comment.
  4. After you have finished typing your comment text, you can customize the color of the triangular indicator by using the Flag color drop-down menu.
  5. Once you have finalized the text and the indicator color, click OK to insert the comment.

To Edit a Comment

  1. Click a cell that has a comment.
  2. On the Insert menu, click Comment. Alternately, right-click the cell with the comment and select Edit Comment from the shortcut menu.
  3. Once you have finalized your edits, click OK to exit the Edit Comment dialog.

To Remove a Comment From a Cell

  1. Click the cell with the comment that you would like to remove.
  2. On the Edit menu, expand the Clear options and select Comments. Alternately, on the Insert menu, click Comment and delete the highlighted text, and then click OK to exit the Edit Comment dialog.

Comment Dialog Controls

  • Comment box: The comment box is the area in which you enter the text for your comment. A comment can contain up to 256 characters.
  • Flag color: Customize the color of your triangular indicator by selecting a color from this drop-down list.


Date/Time Settings Dialog

The Date/Time Settings dialog is used to establish the date and time on the active In-Sight vision system and configure the vision system to use CIP-Sync and the Precision Time Protocol (PTP), defined by the IEEE 1588 (version 2) standard. This synchronizes events between an In-Sight vision system and an external device, such as a PLC, over non-deterministic EtherNet/IP. You can also establish a local time zone and enable automatic clock adjustments for Daylight Saving Time. Automatic synchronization of the vision system's internal clock is allowed using a connection to a Simple Network Time Protocol (SNTP) server, a protocol for synchronizing the date and time of an In-Sight vision system to that of a remote server, which maintains reliably updated date and time information.

Note:
  • After any changes are made within the Date/Time Settings dialog, the power must be cycled on the active In-Sight vision system.
  • Selecting Use Time Synchronization automatically disables SNTP Services, and enabling SNTP Services automatically disables Time Synchronization. Only one service may be enabled on a vision system.
  • The Date/Time Settings dialog is disabled for emulators.
  • The Date/Time Settings dialog is not available on firmware revisions prior to 2.40.
  • If an In-Sight vision system is configured to utilize SNTP and a discrete output line is configured to Job Complete, while the vision system is Online, the Job Complete signal will be sent when the SNTP synchronization occurs.

Date/Time Settings Dialog Controls

To display the Date/Time Settings dialog, click Date/Time Settings from the Sensor menu.

  • Date: Displays the active In-Sight sensor's current date. Allows manual adjustment of the date on the active In-Sight sensor.

  • Time: Displays the active In-Sight sensor's current time. Allows manual adjustment of the time on the active In-Sight sensor.

    Note: If an SNTP server is not located when the In-Sight system's power is cycled, then the initial date and time will be set to Thursday, January 01, 1970 and 12:00:00 AM respectively.
  • Time Zone: List of all time zones.
  • Automatically Adjust for Daylight Saving Changes: Accounts for Daylight Saving time changes.
  • Time Synchronization:

    • Use Time Synchronization: Enables support for CIP-Sync and the Precision Time Protocol (PTP), defined by the IEEE 1588 (version 2) standard, to synchronize events between an In-Sight vision system and an external device, such as a PLC, over non-deterministic Ethernet. The IEEE 1588 specification for PTP allows devices to synchronize their local clocks to a master clock on a non-deterministic network. After enabling Time Synchronization, the vision system must be power cycled to initiate the use of PTP and for the vision system's date and time setting's to be synchronized to the master. Also, after enabling and power cycling the vision system, the AcquireImage function's Trigger parameter can be set to Timestamp to allow the vision system to be triggered via a timestamp sent over EtherNet/IP.

      CIP-Sync/PTP is supported on the following vision systems:

      • In-Sight 5000 series vision systems with 128MB non-volatile flash memory and running firmware version 4.5.0 or later

        Note: The In-Sight 5605 vision system (Hardware Type 821-0032-1R), In-Sight 5705 vision system and In-Sight 5705C vision systems are not supported.
      • In-Sight 7000 Gen2 series vision systems
      • In-Sight 9000 series vision systems
    • Synchronization Details: Click this button to launch the Time Synchronization Details dialog, which provides read-only, detailed information about the PTP stack.
  • SNTP Services:

    • Use SNTP Services: If this checkbox is selected, the active In-Sight sensor will automatically attempt to synchronize its date and time to an SNTP server. If this checkbox is cleared, or no SNTP server is available, then the date and time can be set manually.

      Note: Time synchronization may fail if the default gateway is not properly configured when an In-Sight sensor is assigned a static IP address. For more information, see Network Settings Dialog.
    • Synchronize: Click this button to synchronize the date and time to an SNTP server. Synchronizing the date and time will override manual settings.

    • Update Frequency: Specifies a recurrent period of time (in minutes) for synchronizing the date and time to an SNTP server. The default Update Frequency is 120 minutes. Enter a smaller value to synchronize more frequently; the smallest Update Frequency allowed is every 15 minutes. Enter a larger value to synchronize less frequently; the largest Update Frequency allowed is 1440 minutes, or once per day.

      Note: Most In-Sight sensors experience a clock drift (gain) of approximately 15 seconds in a 12 hour period.
    • SNTP Servers:

      • Locate Using DHCP: When this checkbox is selected, the active In-Sight sensor will attempt to connect to the SNTP server provided by a DHCP server. If an SNTP server is not given by a DHCP server, or a DHCP server cannot be located, then the Preferred and Alternate servers will be tried in succession.

        If an SNTP server is not specified by the DHCP server, and the Preferred and Alternate servers are not specified, the In-Sight sensor will attempt to locate an SNTP server on the network. If this checkbox is cleared, then only the Preferred and Alternate SNTP servers will be used.

      • Preferred: Specifies the IP Address or Host Name of the primary SNTP server, for use when the Locate Using DHCP checkbox is cleared or the DHCP server cannot locate an SNTP server. If the Preferred SNTP server is not available, the Alternate server will be used.
      • Alternate: Specifies the IP Address or Host Name of the secondary SNTP server, for use when the Locate Using DHCP checkbox is cleared and the Preferred SNTP server is not available.
      • Located: Displays the IP address of the located SNTP server, if any. Otherwise, displays 0.0.0.0.


Delete Cells Dialog

The Delete Cells dialog is used to remove a cell, a range of cells, a row or column of the spreadsheet.

Note: If your spreadsheet was created in EasyBuilder View, you will not be able to use the Delete Cells dialog. To use Delete, first go to the File menu and click Unprotect Job.

  1. Click a cell or a range of cells in which you would like to remove a cell, a range of cells, a row or column.

  2. On the Edit menu, click Delete.

  3. Select the appropriate delete action:
    • Shift cells left: Removes the selected cell(s) and shifts the remaining cells to the left. Select the same number of cells as you want to remove.
    • Shift cells up: Removes the selected cell(s) and shifts the remaining cells up. Select the same number of cells as you want to remove.
    • Entire row: Removes an entire row of cells; click a cell in the row that you want removed. For example, to delete row 5, click a cell in row 5.
    • Entire column: Removes an entire column of cells; click a cell in the column that you want to remove. For example, to delete column B, click a cell in column B.
  4. Click OK to delete the cell(s), row or column.


In-Sight 7000 Gen2 Hardware I/O Configurations

There are several options for connecting the In-Sight 7000 Gen2 series vision system's trigger, inputs, outputs, serial and power.

Breakout Cable Only

The vision system is connected to the Breakout cable (CCB-PWRIO- xx or CCB-PWRIO- xxR) and a Direct I/O connection has been established in the I/O Module Configuration dialog. In this configuration:

  • The Breakout cable supplies power to the vision system.
  • There is no connection to an I/O module.
  • Direct I/O is selected in the I/O Module Configuration dialog.
  • The vision system supports bi-directional high-speed outputs and general-purpose inputs for IN 2 / HSOUT 2 and IN 3 / HSOUT 3. These lines are configured as outputs by default.
Breakout Cable Pins | Supported
TRIGGER | √
HSOUT 0 | √
HSOUT 1 | √
IN 1 | √
IN 2 / HSOUT 2 | √
IN 3 / HSOUT 3 | √
COMMON IN | √
COMMON OUT | √
RS-232 TRANSMIT | √
RS-232 RECEIVE | √
+24VDC | √
GND | √

Breakout Cable and CIO-MICRO I/O Module

The vision system is connected to the Breakout cable (CCB-PWRIO- xx or CCB-PWRIO- xxR) and an Ethernet connection to a CIO-MICRO I/O module has been established in the I/O Module Configuration dialog. In this configuration:

  • The Breakout cable supplies power to the vision system.
  • CIO-MICRO is selected in the I/O Module Configuration dialog.
  • The vision system supports bi-directional high-speed outputs and general-purpose inputs for IN 2 / HSOUT 2 and IN 3 / HSOUT 3. These lines are configured as outputs by default.
  • The CIO-MICRO I/O module's TRIGGER+, TRIGGER-, HSOUT 0, HSOUT 1 and HS COMMON terminals are not supported. Do not connect wire leads from remote devices to these terminals.
  • The RS-232 TRANSMIT and RS-232 RECEIVE pins on the Breakout cable are disabled. Use the I/O module's RS-232 OUT port (DB9) to connect to a serial device.
Breakout Cable Pins | Supported
TRIGGER | √
HSOUT 0 | √
HSOUT 1 | √
IN 1 | √
IN 2 / HSOUT 2 | √
IN 3 / HSOUT 3 | √
COMMON IN | √
COMMON OUT | √
RS-232 TRANSMIT | Not Supported
RS-232 RECEIVE | Not Supported
+24VDC | √
GND | √
CIO-MICRO I/O Module Terminals | Supported
+24VDC | Not Supported
-24VDC | Not Supported
TRIGGER+ | Not Supported
TRIGGER- | Not Supported
HSOUT 1 | Not Supported
HSOUT 0 | Not Supported
HS COMMON | Not Supported
INPUT 7 | √
INPUT 6 | √
INPUT 5 | √
INPUT 4 | √
INPUT 3 | √
INPUT 2 | √
INPUT 1 | √
INPUT 0 | √
IN COMMON | √
OUT 7 | √
OUT 6 | √
OUT 5 | √
OUT 4 | √
OUT 3 | √
OUT 2 | √
OUT 1 | √
OUT 0 | √
OUT COMMON | √
RS-232 OUT | √

I/O Module Cable and CIO-MICRO I/O Module

The vision system is connected to the I/O Module cable (CCB-PWRIO-MOD-xx) and an Ethernet connection to a CIO-MICRO I/O module has been established in the I/O Module Configuration dialog. In this configuration:

  • The I/O module cable supplies power to the vision system.
  • CIO-MICRO is selected in the I/O Module Configuration dialog.
  • The vision system's IN 1, IN 2, IN 3, HSOUT 2 and HSOUT 3 lines are displayed in the Discrete I/O Settings dialog but are not supported. These lines are only supported when the vision system is connected to the Breakout cable.
  • TRIGGER+, TRIGGER-, HSOUT 0, HSOUT 1 and HS COMMON are connected via the CIO-MICRO I/O module terminals.
  • Illumination accessories attached to the vision system faceplate or LIGHT connector are not supported. If these illumination accessories are attached, the Breakout cable must be used to supply power to the vision system and a connection to the I/O module established via Ethernet only.
CIO-MICRO I/O Module Terminals | Supported
+24VDC | √
-24VDC | √
TRIGGER+ | √
TRIGGER- | √
HSOUT 0 | √
HSOUT 1 | √
HS COMMON | √
INPUT 7 | √
INPUT 6 | √
INPUT 5 | √
INPUT 4 | √
INPUT 3 | √
INPUT 2 | √
INPUT 1 | √
INPUT 0 | √
IN COMMON | √
OUT 7 | √
OUT 6 | √
OUT 5 | √
OUT 4 | √
OUT 3 | √
OUT 2 | √
OUT 1 | √
OUT 0 | √
OUT COMMON | √
RS-232 OUT | √

I/O Module Cable and CIO-1400 I/O Module

The vision system is connected to the I/O Module cable (CCB-PWRIO-MOD-xx) and a connection to a CIO-1400 I/O module has been established in the I/O Module Configuration dialog. In this configuration:

  • The I/O module cable supplies power to the vision system.
  • CIO-1400 is selected in the I/O Module Configuration dialog.
  • The vision system's IN 1, IN 2, IN 3, HSOUT 2 and HSOUT 3 lines are not supported.
CIO-1400 I/O Module | Supported
+24VDC | √
-24VDC | √
TRIGGER- | √
TRIGGER+ | √
INPUT 7 | √
INPUT 6 | √
INPUT 5 | √
INPUT 4 | √
INPUT 3 | √
INPUT 2 | √
INPUT 1 | √
INPUT 0 | √
IN COMMON | √
OUT 7 | √
OUT 6 | √
OUT 5 | √
OUT 4 | √
OUT 3 | √
OUT 2 | √
OUT 1 | √
OUT 0 | √
HSOUT 1 | √
HSOUT 0 | √
OUT COMMON | √
RS-232 OUT | √


In-Sight 9902L Hardware I/O Configurations

There are several options for connecting the In-Sight 9902L vision system's trigger, inputs, outputs, serial and power.

Breakout Cable Only

The vision system is connected to the Breakout cable (CCB-PWRIO- xx or CCB-PWRIO- xxR) and a Direct I/O connection has been established in the I/O Module Configuration dialog. In this configuration:

  • The Breakout cable supplies power to the vision system.
  • There is no connection to an I/O module.
  • Direct I/O is selected in the I/O Module Configuration dialog.
Breakout Cable Pins | Supported
TRIGGER | √
HSOUT 0 | √
HSOUT 1 | √
IN 1 | √
ENCODER A INPUT | √
ENCODER B INPUT | √
COMMON IN | √
COMMON OUT | √
RS-232 TRANSMIT | √
RS-232 RECEIVE | √
+24VDC | √
GND | √

Breakout Cable and CIO-MICRO I/O Module

The vision system is connected to the Breakout cable (CCB-PWRIO- xx or CCB-PWRIO- xxR) and an Ethernet connection to a CIO-MICRO I/O module has been established in the I/O Module Configuration dialog. In this configuration:

  • The Breakout cable supplies power to the vision system.
  • CIO-MICRO is selected in the I/O Module Configuration dialog.
  • The CIO-MICRO I/O module's TRIGGER+, TRIGGER-, HSOUT 0, HSOUT 1 and HS COMMON terminals are not supported. Do not connect wire leads from remote devices to these terminals.
  • The RS-232 TRANSMIT and RS-232 RECEIVE pins on the Breakout cable are disabled. Use the I/O module's RS-232 OUT port (DB9) to connect to a serial device.
Breakout Cable Pins | Supported
TRIGGER | √
HSOUT 0 | √
HSOUT 1 | √
IN 1 | √
ENCODER A INPUT | √
ENCODER B INPUT | √
COMMON IN | √
COMMON OUT | √
RS-232 TRANSMIT | Not Supported
RS-232 RECEIVE | Not Supported
+24VDC | √
GND | √
CIO-MICRO I/O Module Terminals | Supported
+24VDC | Not Supported
-24VDC | Not Supported
TRIGGER+ | Not Supported
TRIGGER- | Not Supported
HSOUT 1 | Not Supported
HSOUT 0 | Not Supported
HS COMMON | Not Supported
INPUT 7 | √
INPUT 6 | √
INPUT 5 | √
INPUT 4 | √
INPUT 3 | √
INPUT 2 | √
INPUT 1 | √
INPUT 0 | √
IN COMMON | √
OUT 7 | √
OUT 6 | √
OUT 5 | √
OUT 4 | √
OUT 3 | √
OUT 2 | √
OUT 1 | √
OUT 0 | √
OUT COMMON | √
RS-232 OUT | √

I/O Module Cable and CIO-MICRO I/O Module

The vision system is connected to the I/O Module cable (CCB-PWRIO-MOD-xx) and an Ethernet connection to a CIO-MICRO I/O module has been established in the I/O Module Configuration dialog. In this configuration:

  • The I/O module cable supplies power to the vision system.
  • CIO-MICRO is selected in the I/O Module Configuration dialog.
  • The vision system's ENCODER A INPUT, ENCODER B INPUT and IN 1 lines are not supported. These lines are only supported when the vision system is connected to the Breakout cable.
  • TRIGGER+, TRIGGER-, HSOUT 0, HSOUT 1 and HS COMMON are connected via the CIO-MICRO I/O module terminals.
CIO-MICRO I/O Module Terminals | Supported
+24VDC | √
-24VDC | √
TRIGGER+ | √
TRIGGER- | √
HSOUT 0 | √
HSOUT 1 | √
HS COMMON | √
INPUT 7 | √
INPUT 6 | √
INPUT 5 | √
INPUT 4 | √
INPUT 3 | √
INPUT 2 | √
INPUT 1 | √
INPUT 0 | √
IN COMMON | √
OUT 7 | √
OUT 6 | √
OUT 5 | √
OUT 4 | √
OUT 3 | √
OUT 2 | √
OUT 1 | √
OUT 0 | √
OUT COMMON | √
RS-232 OUT | √

I/O Module Cable and CIO-1400 I/O Module

The vision system is connected to the I/O Module cable (CCB-PWRIO-MOD-xx) and a connection to a CIO-1400 I/O module has been established in the I/O Module Configuration dialog. In this configuration:

  • The I/O module cable supplies power to the vision system.
  • CIO-1400 is selected in the I/O Module Configuration dialog.
  • The vision system's ENCODER A INPUT, ENCODER B INPUT and IN 1 lines are not supported. These lines are only supported when the vision system is connected to the Breakout cable.
CIO-1400 I/O Module | Supported
+24VDC | √
-24VDC | √
TRIGGER- | √
TRIGGER+ | √
INPUT 7 | √
INPUT 6 | √
INPUT 5 | √
INPUT 4 | √
INPUT 3 | √
INPUT 2 | √
INPUT 1 | √
INPUT 0 | √
IN COMMON | √
OUT 7 | √
OUT 6 | √
OUT 5 | √
OUT 4 | √
OUT 3 | √
OUT 2 | √
OUT 1 | √
OUT 0 | √
HSOUT 1 | √
HSOUT 0 | √
OUT COMMON | √
RS-232 OUT | √


In-Sight 9912 Hardware I/O Configurations

There are several options for connecting the In-Sight 9912 vision system's trigger, inputs, outputs, serial and power.

Breakout Cable Only

The vision system is connected to the Breakout cable (CCB-PWRIO- xx or CCB-PWRIO- xxR) and a Direct I/O connection has been established in the I/O Module Configuration dialog. In this configuration:

  • The Breakout cable supplies power to the vision system.
  • There is no connection to an I/O module.
  • Direct I/O is selected in the I/O Module Configuration dialog.
  • The vision system supports bi-directional high-speed outputs and general-purpose inputs for IN 2 / HSOUT 2 and IN 3 / HSOUT 3. These lines are configured as outputs by default.
Breakout Cable Pins | Supported
TRIGGER | √
HSOUT 0 | √
HSOUT 1 | √
IN 1 | √
IN 2 / HSOUT 2 | √
IN 3 / HSOUT 3 | √
COMMON IN | √
COMMON OUT | √
RS-232 TRANSMIT | √
RS-232 RECEIVE | √
+24VDC | √
GND | √

Breakout Cable and CIO-MICRO I/O Module

The vision system is connected to the Breakout cable (CCB-PWRIO- xx or CCB-PWRIO- xxR) and an Ethernet connection to a CIO-MICRO I/O module has been established in the I/O Module Configuration dialog. In this configuration:

  • The Breakout cable supplies power to the vision system.
  • CIO-MICRO is selected in the I/O Module Configuration dialog.
  • The vision system supports bi-directional high-speed outputs and general-purpose inputs for IN 2 / HSOUT 2 and IN 3 / HSOUT 3. These lines are configured as outputs by default.
  • The CIO-MICRO I/O module's TRIGGER+, TRIGGER-, HSOUT 0, HSOUT 1 and HS COMMON terminals are not supported. Do not connect wire leads from remote devices to these terminals.
  • The RS-232 TRANSMIT and RS-232 RECEIVE pins on the Breakout cable are disabled. Use the I/O module's RS-232 OUT port (DB9) to connect to a serial device.
Breakout Cable Pins | Supported
TRIGGER | √
HSOUT 0 | √
HSOUT 1 | √
IN 1 | √
IN 2 / HSOUT 2 | √
IN 3 / HSOUT 3 | √
COMMON IN | √
COMMON OUT | √
RS-232 TRANSMIT | Not Supported
RS-232 RECEIVE | Not Supported
+24VDC | √
GND | √
CIO-MICRO I/O Module Terminals | Supported
+24VDC | Not Supported
-24VDC | Not Supported
TRIGGER+ | Not Supported
TRIGGER- | Not Supported
HSOUT 1 | Not Supported
HSOUT 0 | Not Supported
HS COMMON | Not Supported
INPUT 7 | √
INPUT 6 | √
INPUT 5 | √
INPUT 4 | √
INPUT 3 | √
INPUT 2 | √
INPUT 1 | √
INPUT 0 | √
IN COMMON | √
OUT 7 | √
OUT 6 | √
OUT 5 | √
OUT 4 | √
OUT 3 | √
OUT 2 | √
OUT 1 | √
OUT 0 | √
OUT COMMON | √
RS-232 OUT | √

I/O Module Cable and CIO-MICRO I/O Module

The vision system is connected to the I/O Module cable (CCB-PWRIO-MOD-xx) and an Ethernet connection to a CIO-MICRO I/O module has been established in the I/O Module Configuration dialog. In this configuration:

  • The I/O module cable supplies power to the vision system.
  • CIO-MICRO is selected in the I/O Module Configuration dialog.
  • The vision system's IN 1, IN 2, IN 3, HSOUT 2 and HSOUT 3 lines are displayed in the Discrete I/O Settings dialog but are not supported. These lines are only supported when the vision system is connected to the Breakout cable.
  • TRIGGER+, TRIGGER-, HSOUT 0, HSOUT 1 and HS COMMON are connected via the CIO-MICRO I/O module terminals.
  • Illumination accessories attached to the vision system LIGHT connector are not supported. If these illumination accessories are attached, the Breakout cable must be used to supply power to the vision system and a connection to the I/O module established via Ethernet only.
CIO-MICRO I/O Module Terminals | Supported
+24VDC | √
-24VDC | √
TRIGGER+ | √
TRIGGER- | √
HSOUT 0 | √
HSOUT 1 | √
HS COMMON | √
INPUT 7 | √
INPUT 6 | √
INPUT 5 | √
INPUT 4 | √
INPUT 3 | √
INPUT 2 | √
INPUT 1 | √
INPUT 0 | √
IN COMMON | √
OUT 7 | √
OUT 6 | √
OUT 5 | √
OUT 4 | √
OUT 3 | √
OUT 2 | √
OUT 1 | √
OUT 0 | √
OUT COMMON | √
RS-232 OUT | √

I/O Module Cable and CIO-1400 I/O Module

The vision system is connected to the I/O Module cable (CCB-PWRIO-MOD-xx) and a connection to a CIO-1400 I/O module has been established in the I/O Module Configuration dialog. In this configuration:

  • The I/O module cable supplies power to the vision system.
  • CIO-1400 is selected in the I/O Module Configuration dialog.
  • The vision system's IN 1, IN 2, IN 3, HSOUT 2 and HSOUT 3 lines are not supported.
CIO-1400 I/O Module | Supported
+24VDC | √
-24VDC | √
TRIGGER- | √
TRIGGER+ | √
INPUT 7 | √
INPUT 6 | √
INPUT 5 | √
INPUT 4 | √
INPUT 3 | √
INPUT 2 | √
INPUT 1 | √
INPUT 0 | √
IN COMMON | √
OUT 7 | √
OUT 6 | √
OUT 5 | √
OUT 4 | √
OUT 3 | √
OUT 2 | √
OUT 1 | √
OUT 0 | √
HSOUT 1 | √
HSOUT 0 | √
OUT COMMON | √
RS-232 OUT | √


Explorer Host Table Setup Dialog

The Explorer Host Table Setup dialog provides In-Sight Explorer access to vision systems or emulators on different subnets and allows you to create aliases for vision systems or emulators. Explorer Host Table entries do not actually change the network settings of hosts at the specified IP addresses; these entries simply appear as additional vision systems or emulators to the In-Sight Network pane.

CAUTION: Sensors that are configured using DHCP cannot be guaranteed to have a specific IP address. Since the Explorer Host Table requires a fixed IP address in order to communicate with a sensor, it is strongly recommended that you set up any sensors on different subnets with static IP addresses.

Explorer Host Table Setup Dialog Controls

To display the Explorer Host Table Setup dialog, click Explorer Host Table from the System menu.

  • Add: Creates a new entry in the host table. You will be prompted with the Add Host dialog, where you can enter the host name, IP address and device type of the new host. When finished, click OK.

    Note:
    • Valid characters for the Host Name are A-Z (upper and lowercase), 0-9, hyphen ('-'), colon (:), comma (',') and underscore ('_').
    • Host Names can contain a maximum of 63 characters.

  • Edit: Modifies an existing entry in the host table. Select an entry from the list and click Edit. You will be prompted with the Edit Host dialog, where you can change the host name, IP address or device type of the host you selected. When you are finished, click OK.

  • Delete: Removes a host from the host table. Select the host that you wish to delete and click Delete.

    Tip: To select multiple hosts, hold down the CTRL key while selecting the Host Names.

Host Parameters

  • Host Name: The name of the networked In-Sight vision system or emulator to map (or assign) to the specified IP address. The host name entered will appear in any list of host names throughout the In-Sight interface.
  • IP Address: The IP address of the networked In-Sight vision system or emulator to map to the specified host name.
  • Sensor Type: The device type of the networked In-Sight vision system or emulator to map to the specified host name/IP address. The icon of the specified device type will be displayed next to the drop-down.


Explorer Remote Subnet List

Configures remote subnet settings to add and manage subnets in the In-Sight Network pane. When no remote subnetwork are configured, vision systems which are not in the same subnetwork as your PC will be ignored during automatic discovery. Configuring a remote subnet allows vision systems from that subnetwork to appear in the In-Sight network list automatically when your PC receives discovery message from them, even if they are not in the same subnetwork as your PC.

Explorer Remote Subnet List Dialog Controls

To display the Explorer Remote Subnet List dialog, click Remote Subnets from the System menu.

  • Name: Displays the name for the subnet, as it appears in the In-Sight Network pane.
  • IP Address: Displays the network IP address of the remote subnet.
  • Mask: Displays the subnet mask of the remote subnet.
  • Custom Gateway: Displays the gateway IP address, if necessary.
  • Add: Launches the Add Subnet dialog, where subnet information is added.
  • Edit: Launches the Edit Subnet dialog, where a previously created subnet may be modified.
  • Delete: Removes the selected subnet from the list.

Add/Edit Subnet Dialog Controls

The Add Subnet dialog is launched by pressing the Add button in the Explorer Remote Subnet List. The Edit Subnet dialog is launched by selecting an existing subnet in the Explorer Remote Subnet List and pressing the Edit button, or by double-clicking the selected subnet in the list.

  • Name: Specifies a descriptive name for the subnet, as it appears in the In-Sight Network pane.
  • IP Address: Specifies the network IP address of the remote subnet.
  • Mask: Specifies the subnet mask of the remote subnet.
  • Use Custom Gateway: Specifies whether or not a custom gateway is required to access the subnet, if the network infrastructure is incapable of routing to the network.
  • Gateway: Specifies the gateway IP address to be used to access the remote subnet.


Format String Dialog

EasyBuilder View

The FormatString dialog is used to select and format Location and Inspection Tool data to generate an Output String that can be sent to a remote device, such as a robot controller. When configuring a string for a robot (in the Communication group-box of the Communication Application Step, the Device is set to Robot, or the Protocol is set to Serial Kuka or Serial Motoman), the FormatString dialog will automatically select the fixture output generated in the job.

Within the FormatString dialog, each referenced tool result is listed as an individual item. Each item can be formatted by assigning a Label, Data Type, number of Decimal Places, Fixed Width and Pad. In order to format an item, it must first be highlighted in the list. The entire Output String can be formatted by adding Leading Text, Trailing Text, Terminators and Delimiters.

Note:
  • To format multiple, non-consecutive items, hold down the CTRL key and highlight the items.
  • To format multiple, consecutive items, hold down the SHIFT key and highlight the first item, and then the last item, in the list.

Format String Dialog Controls

  • Leading Text: The Output String prefix. The maximum string length is 30 characters.
  • Trailing Text: The Output String suffix. The maximum string length is 30 characters.

  • Terminators: Appends the selected terminator character(s) to the Output String.

    • None: No terminator is appended to the Output String.
    • Line Feed (LF): Appends a line feed to the Output String.
    • Carriage Return (CR): Appends a carriage return to the Output String.
    • Carriage Return and Line Feed (CR+LF): Appends a carriage return and a line feed to the Output String.

  • Use Delimiter: Enabled by default; the items are delimited. The maximum string length is 1 character.
    • Standard: Allows you to select a standard delimiter: Comma, Space, Tab, Semicolon or Underscore.
    • Other: Allows you to enter a custom, single-character delimiter.
  • Add: Launches the Select Output Data dialog, which contains data from any Location or Inspection Tools that were added to the job. After selecting the desired results, the FormatString dialog returns and creates one item for each selected result.
  • Delete: Removes the highlighted item from the item list. If no items are highlighted, the Delete button is disabled.
  • Move Up: Moves the highlighted item up in the item list. If the item is first in the list, the button is disabled.
  • Move Down: Moves the highlighted item down in the item list. If the item is last in the list, the button is disabled.
  • Label: Each item may be assigned a label to help identify it. The maximum string length is 12 characters.
  • Include Label: When enabled, the item's Label is included in the Output String, preceding the item's string.
  • Data Type: The FormatString dialog automatically determines the Data Type for each item, based on the contents of the referenced result.
    • Integer: Returns a string containing an integer value.
    • Unsigned Integer: Returns a string containing an unsigned integer value.
    • Integer (hex): Returns a lower-case string containing the hexadecimal value for an integer value, or the first character in an alphanumeric string.
    • Integer (HEX): Returns an upper-case string containing the hexadecimal value for an integer value, or the first character in an alphanumeric string.
    • Integer (Octal): Returns a string containing the octal value for an integer, or the first character in an alphanumeric string.
    • Floating Point: Returns a string containing a floating point value.
    • Scientific Notation: Returns a string containing a Scientific Notation value.
    • Character: Returns the ASCII character corresponding to an integer value. When supplied with an alphanumeric text string, returns the first character.
    • String: Returns a string containing an integer value.
  • Decimal Places: Selects the number of decimal places for Floating Point or Scientific Notation Data Types. (0 to 6; default = 6)
  • Fixed Width: Each item's string may be configured to be a fixed width.
    • Field Width: Specifies the minimum number of characters contained in each item's string. (1 to 30; default = 8)
    • Pad: If the item's string has fewer characters than the specified Field Width, it is padded in one of the following ways:
      • Leading Spaces: Right justified with leading spaces.
      • Trailing Spaces: Left justified with trailing spaces.
      • Leading Zeros: Right justified with leading zeros.

  • Output String: Displays the Output String. The characters that correspond to the currently highlighted item are bolded. The total character count is displayed. Syntax: <Leading Text (optional)><Label (optional)><Item0><Delimiter (optional)><Item1><Delimiter (optional)>...<Terminator>


FTP Settings Dialog

The FTP Settings dialog configures an In-Sight sensor to share jobs, images and settings with other network devices that use the File Transfer Protocol.

Users typically do not need to modify the default settings on dedicated, local In-Sight networks where all FTP connections will occur between In-Sight sensors. However, if FTP connections are needed between In-Sight sensors and other network servers, or between In-Sight sensors on different networks, then the default FTP settings may need to be changed.

FTP Settings Dialog Controls

To display the FTP Settings dialog, click FTP Settingsfrom the Sensor menu.

  • Idle Timeout: The length of time (in seconds) that a connection from another host to this In-Sight sensor may be left open without any activity, before the connection times out (disconnects). (Default = 120)

  • Read Timeout: The length of time (in seconds) that the active In-Sight sensor waits for data after connecting to a remote FTP server; this value is used to recover from an unresponsive peer. (Default = 120)

  • Connection Retry: The number of times the In-Sight sensor tries to reconnect to a remote FTP server (if the initial connection attempt was unsuccessful). (Default = 1)

  • Local Port: The local port is the port on which the active In-Sight sensor listens for incoming FTP connections. (Default = 21)

    Local Port Example: An In-Sight sensor named is5100_010203 has its Local Port set to 442. is5100_010203 is acting as an FTP server and is listening on port 442 for incoming connections from remote sensors. Any In-Sight sensor or emulator that connects to is5100_010203 will need its Remote Port set to 442. In order for In-Sight Explorer to view Files on is5100_010203, the Explorer FTP Port must be set to 442.

    WARNING: If the Local Port is not set to the same value as the Explorer FTP Port, then In-Sight Explorer may not be able to perform file operations on the In-Sight sensor such as Backup, Restore, Firmware Update, or view the files in the In-Sight Files pane.

  • Remote Port: The remote port is the port to which the active In-Sight sensor attempts to connect on other In-Sight systems or FTP servers. (Default = 21)

    Remote Port Example: Assume that an In-Sight sensor named FLOOR1 needs to load a job file from a remote In-Sight sensor named FLOOR2. FLOOR2 has its Local Port set to 2360; in other words, FLOOR2 is running a FTP server on port 2360. In this case, FLOOR1 would need its Remote Port set to 2360 in order to connect to FLOOR2 and to load the job file.

  • Passive Transfers: When selected, this checkbox enables passive FTP client transfers, which may be required when In-Sight sensors need to access an FTP server through a firewall that does not allow connections to be initiated from the outside. (Default = not selected)


HMI Settings Dialog

The HMI Settings dialog is used to configure the Web HMI settings.

Note:
  • The Web HMI application is only available on vision systems or sensors running In-Sight firmware 5.6.0 and later.
  • The HTTPS HMI Mode is only available on vision systems or sensors running In-Sight firmware 5.7.3 and later.

HMI Settings Dialog Controls

  • To display the HMI Settings dialog, click HMI Settings from the Sensor menu.

HMI Mode

  • Disabled: Select this option to disable the HMI server. You are not able to use the Web HMI application if the HMI server is disabled.
  • HTTP: Select this option to enable the HTTP Web HMI server.
  • HTTPS: Select this option to enable the HTTPS Web HMI server.

Maximum View Connections

The Maximum View Connections setting is used to configure the maximum number of applications (In-Sight Explorer, In-Sight Display Control, In-Sight SDK, VisionView or Web HMI) allowed to connect to an In-Sight vision system or sensor (1 - 5, default = 2). If you change the number of the Maximum View Connections, you must restart the vision system or sensor for the changes to take effect.

Note:
  • When the Maximum View Connections is set to 2 or more, additional image buffers are automatically allocated to the In-Sight vision system or sensor. For example, when the Maximum View Connections is set to 2 and the number of Image Buffers in the Image Buffers dialog is set to 3, 5 image buffers are allocated to the vision system or sensor. If the total number of image buffers exceeds the maximum number of image buffers available on the vision system or sensor, the maximum number of image buffers is allocated to the vision system or sensor. For more information, see Image Buffers Dialog.
  • Increasing the number of image buffers may decrease the maximum number of the Web HMI connections you are allowed to have.
  • The Maximum View Connections setting for In-Sight 2000 series vision sensor is 1 - 3, default = 2.
  • Increasing the number of view connections will decrease the amount of RAM available for other tasks, such as loading jobs and acquiring images, and may degrade performance.
  • For more information on how to use the multiple view connections with VisionView, see Multiple View Connections with VisionView.

Connection Mode

An In-Sight vision system or sensor can connect to only one application with the Standard View Connection and up to four applications with the View Only Connection.

Maximum View Connections | Standard View Connection (In-Sight Explorer, In-Sight Display Control, In-Sight SDK, VisionView or Web HMI) | View Only Connection (VisionView and/or Web HMI)
1 | 1 | 0
2 | 1 | 1
3 | 1 | 2
4 | 1 | 3
5 | 1 | 4

Standard View Connection

Allows any access level (Full, Protected or Locked). Typically, this connection mode is used by an application that performs various run mode actions such as editing interactive controls, placing the vision system or sensor online/offline, loading a new job or triggering the vision system or sensor.

If two or more applications are connected to the vision system or sensor, you can establish only one application with the standard view connection. If you set the Maximum View Connection to 1, the application is connected automatically with the standard view connection.

Note: The In-Sight Explorer, In-Sight Display Control, and In-Sight SDK can only be connected with the standard view connection mode.

View Only Connection

Allows only Locked access. With this connection mode, the application can only view the operation of the vision system or sensor. All interactive controls, such as Trigger, Online/Offline, etc., are disabled.

HMI Settings

  • HTTP Port: Specifies the port number to use in the web address of the selected vision system or sensor. The default port number is set to 8087, but can be changed to any available port on the server.

    Note:
    • The HTTP port number and the HTTPS port number cannot be the same.
    • For information about In-Sight reserved ports, see In-Sight Ports.

  • Inactivity Timeout (Min.): Specifies the amount of time (0 to 60 minutes; default = 15) the Web HMI application can remain inactive before the application logs you off. To disable the Inactivity Timeout, set the number to 0.

    Note: The Inactivity Timeout setting does not apply to the vision system or sensor with the default credentials (i.e., the admin user with a blank password).
  • Image Resolution: Specifies the image resolution (Full, Half, Quarter or Eighth) to use in the Web HMI display. You can improve the image transfer time by reducing the image resolution.

  • Allow Local Storage: Specifies whether your web browser will remember the Web HMI configuration settings (image scale, image degrees, image offset and view settings). If the checkbox is selected (default), the Web HMI configuration settings are automatically saved each time you click the Switch View button or adjust the image display settings.

    Note: Check your web browser's setting to make sure cookies and DOM/local storage are enabled. Otherwise, your Web HMI configuration settings will not be saved, and you may receive an error message.
  • Allow View Selection: Specifies whether the Switch View button is enabled in the Web HMI application.
  • Allow Online/Offline: Specifies whether the Online and Offline buttons are enabled in the Web HMI application.
  • Allow Live Video: Specifies whether the Live Mode button is enabled in the Web HMI application.
  • Allow Trigger: Specifies whether the Trigger button is enabled in the Web HMI application.
  • Allow Adjust Image: Specifies whether the Image Toolbar is enabled in the Web HMI application.

HTTPS

Note:
  • To enable the HTTPS settings, you need to select HTTPS from the HMI Mode drop-down list.
  • For information about how to configure the HTTPS connection, refer to Configure the HTTPS Connection.
  • Sending images using the HTTPS mode will be slower than the HTTP mode due to encryption.

  • HTTPS Port: Specifies the port number to use for the secure web connection of the selected vision system or sensor. The port number is set to 8443 by default, but it can be changed to any available port on the server.

    Note:
    • The HTTP port number and the HTTPS port number cannot be the same.
    • For information about In-Sight reserved ports, see In-Sight Ports.

  • Cognex Network Server: Enter the host name or IP address of the Cognex Network Server. The host name and IP address information can be found in the Cognex Network Server Manager.

    Note: For information about how to install the Cognex Network Server software, refer to Install the Cognex Network Server Software. For information about the Cognex Network Server, refer to the Cognex Network Server Help File, which is installed with Cognex Network Server software.
  • Password: Enter the password of the Cognex Network Server. By default, the password is 1234. The password can be changed in the Cognex Network Server Manager.
  • Save Password: Select this checkbox if you want In-Sight Explorer to remember the password of your Cognex Network Server.
  • HTTP Image Transfer: Select this checkbox to enable transferring images under HTTP mode (unsecure mode). When this option is enabled, the image content is not encrypted, but the image update rate is faster than using HTTPS mode (secure mode). By default, this checkbox is unchecked.
  • Verify HTTPS: Click the Verify HTTPS button to verify the HTTPS connection between your In-Sight device and the Cognex Network Server.

  • Status: Displays the information about HTTPS connection status between your In-Sight device and the Cognex Network Server.

    Note: For more information about the status message and possible solutions, refer to HTTPS Configuration Troubleshooting.


HMI View Selection Dialog

The HMI View Selection dialog allows you to specify the Run Mode views visible to users from the human-machine interface (HMI) applications and the order of the views when you press the Switch View button in the HMI application. The HMI View Selection settings are saved in the job file.

Note:
  • The Current Image and Last Failed Image (Horizontal) and Current Image and Last Failed Image (Vertical) options are automatically included in job files created using In-Sight Explorer 4.5.0 or higher. If the job file was created using an earlier version of In-Sight Explorer, these options are only included if the job does not contain a Custom View or an EasyView.
  • The Current Image and Last Failed Image (Horizontal), Current Image and Last Failed Image (Vertical) and Image with Graphics and Custom View options are supported on VisionView only.
  • To toggle the Run Mode views in the Web HMI, you must first enable the Allow View Selection option in the HMI Settings dialog. For more information, see HMI Settings Dialog.
  • To toggle the Run Mode views in the VisionView, you must first enable the Switch View option in the VisionView Operator Controls screen.

HMI View Selection Dialog Controls

To display the HMI View Selection, click HMI View Selection from the Edit menu.

  • Views: Displays a list of all Run Mode views available for the active job file.

    • Image with Graphics and EasyView: Displays the image, tool graphics, and the EasyView. To make the Image with Graphics and EasyView option available in the dialog, you must first create an EasyView within In-Sight Explorer and save it with the job.

    • Image with Graphics and Custom View - VisionView Only: Displays the image, tool graphics, and the Custom View. To make the Image with Graphics and Custom View option available in the dialog, you must first create a Custom View within In-Sight Explorer and save it with the job.

    • Image Only: Displays only the image.

    • Image with Graphics: Displays the image and tool graphics.

    • Current Image and Last Failed Image (Horizontal) - VisionView Only: Displays the most recently acquired image and the last failed inspection image that is sent to the HMI display. The image is split in half, with the current image on the left and the last failed image on the right.

      Note:
      • If the VisionView Custom View Position is set to As Specified in Job, Upper Left, Upper Right, Lower Left, Lower Right or Centered, the Custom View will overlay the current image.
      • When the filmstrip is frozen, the highlighted filmstrip image is displayed in place of the current image and the last failed image is not updated.

    • Current Image and Last Failed Image (Vertical) - VisionView Only: Displays the most recently acquired image and the last failed inspection image that is sent to the HMI display. The image is split in half, with the current image on the top and the last failed image on the bottom.

      Note:
      • If the VisionView Custom View Position is set to As Specified in Job, Upper Left, Upper Right, Lower Left, Lower Right or Centered, the Custom View will overlay the current image.
      • When the filmstrip is frozen, the highlighted filmstrip image is displayed in place of the current image and the last failed image is not updated.
    • EasyView Only: Displays only the EasyView. To make the EasyView Only option available in the dialog, you must first create an EasyView within In-Sight Explorer and save it with the job.
  • Visible: When enabled, the corresponding Run Mode view is visible from the HMI application.
  • Up and Down: Use the Up and Down buttons to specify the order of the views after you press Switch View in the Web HMI application. Pressing the Up button moves the highlighted View up in the list; pressing the Down button moves the highlighted View down in the list. When you open an HMI application, the first view in the HMI View Selection dialog is displayed as the default view.


Image Buffers Dialog

The Image Buffers dialog is used to configure the number of image buffers allocated to the In-Sight vision system at startup when Overlapped is selected for the Buffer Mode parameter.

Each vision system has a default number of image buffers available for image acquisition and spreadsheet function execution:

  • The first available buffer is used for image acquisition.
  • Once acquisition is complete, another buffer is locked to use for the next acquisition.
  • The buffered image is sent to the spreadsheet for job execution.
  • The buffer stays locked until the job is executed.
  • Some functions (for example, WriteImageFTP and WriteSMTP) may keep a buffer locked after the job is executed, but the spreadsheet can receive another buffered image even if a function has a buffer locked. Buffered images are queued if a job is being executed or if images are queued for display (from In-Sight Explorer or the VisionView application).
Note:
  • The Image Buffers setting has no effect for the vision systems/sensors with Single Buffer Mode enabled, such as In-Sight 2000 series vision sensor EasyBuilder jobs.
  • Setting the number of image buffers in the Image Buffers Dialog is only supported for vision systems running firmware version 4.6.0 and later. If the vision system is running firmware version 4.5.0 and earlier, the SetSystemConfig() Extended Native Mode Command must be used to set the number of image buffers.
  • When in Camera Trigger mode, if a trigger is received but no buffer is available for image acquisition, the image acquisition does not occur. In addition, if a Discrete Output line is configured to use ERR: Missed Acquisition, this signal will be raised for each acquisition until a buffer is available.
  • If the vision system is configured to use the maximum number of image buffers available, and is also configured to use the Sensor Filmstrip when the vision system is Online, there may not be enough memory available to save filmstrip images to the vision system. In this case, decrease the number of image buffers below the maximum.

Image Buffers Dialog Controls

To display the Image Buffers dialog, click Image Buffers from the Sensor menu.

The slider control allows you to configure the number of image buffers allocated to the vision system at startup. The default and maximum number of image buffers is dependent on the vision system resolution and RAM size. The vision system must be rebooted for the changes to take effect.

Note:
  • To determine the RAM size of the vision system, right-click the vision system within the In-Sight Network pane and click Properties. Within the Properties dialog, select the Memory tab.
  • Increasing the number of image buffers will decrease the amount of RAM available for other tasks, such as loading jobs and acquiring images, and may degrade performance.
  • Additional image buffers are automatically allocated to the In-Sight vision system when the Maximum View Connections setting in the HMI Settings dialog is set to 2 or more. For example, when the Maximum View Connections is set to 2 and the Image Buffers setting is set to 3, 5 image buffers are allocated to the vision system. If the total number of image buffers exceeds the maximum number of image buffers available on the vision system, the maximum number of image buffers are allocated to the vision system. For more information, see HMI Settings Dialog.

In-Sight Vision Systems

Note:
  • For the following vision systems/sensors, the resolution can be configured in the Image Settings dialog: In-Sight Micro 1500, In-Sight 2000-130, 2000-130C, 2000-230, 2000-230C, 2000-23M, 2001-230, 2001-230C, In-Sight 7500, 7600, 7600C, 7800, 7800C, 7900, 7900C, 7802, 7802C, 7902, 7902C.
  • For the 5604 and 5614 line scan vision systems, the Image Height can be configured in the LineScan Settings dialog.
  • For the 9902L line scan vision system, the 1K Resolution (Low Light Mode) and Max Image Height can be configured in the LineScan Settings dialog.
In-Sight Model | Resolution (pixels) | RAM | Default Image Buffers | Maximum Image Buffers
In-Sight Micro 1020, 1050, 1100, 1110, 1400, 1410 | 640 x 480 | 128MB | 6 | 25
In-Sight Micro 1020, 1050, 1100, 1110, 1400, 1410 | 640 x 480 | 256MB | 12 | 25
In-Sight Micro 1100C, 1400C (128MB RAM) | 640 x 480 | 128MB | 3 | 6
In-Sight Micro 1100C, 1400C | 640 x 480 | 256MB | 6 | 25
In-Sight Micro 1402, 1412 | 1280 x 1024 | 256MB | 12 | 25
In-Sight Micro 1403, 1413 | 1600 x 1200 | 128MB | 3 | 6
In-Sight Micro 1403, 1413 | 1600 x 1200 | 256MB | 12 | 25
In-Sight Micro 1403C | 1600 x 1200 | 128MB | 3 | 6
In-Sight Micro 1403C | 1600 x 1200 | 256MB | 6 | 16
In-Sight Micro 1500 | 640 x 480 | 256MB | 12 | 25
 | 800 x 600 |  | 12 | 25
5100, 5110, 5400, 5410 | 640 x 480 | 256MB | 12 | 25
5100C, 5400C | 640 x 480 | 256MB | 6 | 25
5403, 5413 | 1600 x 1200 | 256MB | 12 | 25
5600, 5610 | 640 x 480 | 128MB | 6 | 25
5600, 5610 | 640 x 480 | 256MB | 12 | 25
5603, 5613 (128MB RAM) | 1600 x 1200 | 128MB | 3 | 6
5603, 5613 | 1600 x 1200 | 256MB | 12 | 25
Line Scan 5604, 5614 | 1024 x 2048 | 128MB | 6 | 6
 | 1024 x 8192 |  | 5 | 6
Line Scan 5604, 5614 | 1024 x 2048 | 256MB | 6 | 25
 | 1024 x 8192 |  | 6 | 16
5605, 5615 | 2448 x 2048 | 256MB | 6 | 16
5705, 5715 | 2448 x 2048 | 512MB | 12 | 25
5705C | 2448 x 2048 | 512MB | 8 | 16
7010, 7020, 7050, 7200, 7210, 7230, 7400, 7410, 7430 | 800 x 600 | 256MB | 12 | 25
7010C, 7200C, 7400C | 800 x 600 | 256MB | 6 | 25
7402, 7412, 7432 | 1280 x 1024 | 256MB | 12 | 25
7402C | 1280 x 1024 | 256MB | 6 | 25
7500, 7600, 7800, 7900 | 800 x 600 | 512MB | 12 | 25
 | 640 x 480 |  | 12 | 25
7600C, 7800C, 7900C | 800 x 600 | 512MB | 8 | 25
 | 640 x 480 |  | 8 | 25
7501, 7801, 7901 | 1280 x 1024 | 512MB | 12 | 25
7801C, 7901C | 1280 x 1024 | 512MB | 8 | 25
7802, 7902 | 1600 x 1200 | 512MB | 12 | 25
 | 800 x 600 (Low Light Mode) |  | 12 | 25
7802C, 7902C | 1600 x 1200 | 512MB | 8 | 16
 | 800 x 600 (Low Light Mode) |  | 8 | 25
7902P | 1920 x 1200 | 512MB | 12 | 25
7905 | 2448 x 2048 | 512MB | 12 | 25
7905C | 2448 x 2048 | 512MB | 8 | 16
8200, 8400 | 640 x 480 | 512MB | 12 | 25
8200C, 8400C | 640 x 480 | 512MB | 6 | 25
8401 | 1280 x 1024 | 512MB | 12 | 25
8401C | 1280 x 1024 | 512MB | 6 | 25
8402 | 1600 x 1200 | 512MB | 12 | 25
8402C | 1600 x 1200 | 512MB | 6 | 25
8405 | 2592 x 1944 | 512MB | 6 | 25
9902L | 2048 x 2048 | 512MB if using firmware version 5.6.1 PR1. 832MB if using firmware version 5.7.0 and later. | 12 | 25
 | 2048 x 4096 |  | 12 | 25
 | 2048 x 8192 |  | 12 | 16
 | 2048 x 12288 |  | 10 | 14
 | 2048 x 16384 |  | 6 | 10
9912 | 4096 x 3000 | 832MB | 12 | 25
9912C | 4096 x 3000 | 832MB | 8 | 16

In-Sight 2000 Series Vision Sensors

Note: The In-Sight 2000 series vision sensor's Buffer Mode is always set to Single Buffer Mode in EasyBuilder-only jobs. Therefore, in this scenario, the Image Buffers setting has no effect.
In-Sight Model | Resolution (pixels) | RAM | Default Image Buffers | Minimum Image Buffers | Maximum Image Buffers
2000-110 2000-120 | 640 x 480 | 128MB | 6 | 3 | 25
2000-120C | 640 x 480 | 128MB | 3 | 3 | 6
2000-130* | 640 x 480 | 128MB | 6 | 3 | 25
 | 800 x 600 |  | 3 | 3 | 6
2000-130C* | 640 x 480 | 128MB | 3 | 3 | 6
 | 800 x 600 |  | 3 | 3 | 6
2000-230* | 640 x 480 | 128MB | 6 | 3 | 25
 | 800 x 600 |  | 3 | 3 | 6
2000-230C* | 640 x 480 | 128MB | 3 | 3 | 6
 | 800 x 600 |  | 3 | 3 | 6
2000-23M* | 640 x 480 | 128MB | 6 | 3 | 25
 | 800 x 600 |  | 3 | 3 | 6
2001-230* | 640 x 480 | 128MB | 6 | 3 | 25
 | 800 x 600 |  | 3 | 3 | 6
 | 1280 x 960 |  | 3 | 3 | 6
2001-230C* | 640 x 480 | 128MB | 3 | 3 | 6
 | 800 x 600 |  | 3 | 3 | 6
 | 1280 x 960 |  | 3 | 3 | 6
*The resolution can be configured in the Image Settings dialog.


Image Settings Dialog

The Image Settings dialog configures the resolution and frame rate of Live Video and Online images and the resolution to use for image acquisition.

Note: The Live Acquisition and Online image settings only affect the image that is sent to the In-Sight Explorer user interface and do not affect the vision system image acquisition.

Image Settings Dialog Controls

To display the Image Settings dialog, click Image Settings from the Sensor menu.

Live Acquisition (Live Video)

  • Resolution: Full, Half, Quarter and Eighth resolution for live images displayed in the In-Sight Explorer user interface.

    Note: The Eighth resolution option is not supported for color vision systems.

  • Bit Depth: Specifies the bit depth (16-bit or 24-bit; default = 16-bit) at which color images will be displayed.

    Note: This option is only available on Color In-Sight vision systems.

  • Limit Maximum Rate: When selected, this checkbox enables the Maximum Rate (Frames/sec) text box for Live Acquisition.

    Note: This option is only enabled on In-Sight vision systems using In-Sight firmware 4.x.x, and is disabled on In-Sight vision systems running In-Sight firmware 5.1.0 and later. For a complete list of models and supported firmware versions, see Firmware Versions.

  • Maximum Rate (Frames/sec): Specifies the maximum number of images the vision system may send per second (0.016 to 100). This feature can be used to reduce network traffic by limiting the number of images sent.

    Note: This option is enabled only when the Limit Maximum Rate checkbox is checked.

Online (Online Mode)

  • Resolution: Optimized, Full, Half, Quarter and Eighth resolution for Online images displayed in the In-Sight Explorer user interface.

    Note:
    • For vision system running In-Sight firmware 4.x.x, Optimized returns a full size image with a Manual trigger, and a half resolution image with a Camera or Continuous trigger. For vision systems running In-Sight firmware 5.1.0 and later, Optimized optimizes the resolution of the image sent to In-Sight Explorer for speed.
    • The Eighth resolution option is not supported for color vision systems.

  • Bit Depth: Specifies the bit depth (16-bit or 24-bit; default = 16-bit) at which color images will be displayed.

    Note: This option is only available on Color In-Sight vision systems.

  • Limit Maximum Rate: When selected, this checkbox enables the Maximum Rate (Frames/sec) text box for Online Acquisition.

    Note: This option is only enabled on In-Sight vision systems using In-Sight firmware 4.x.x, and is disabled on In-Sight vision systems running In-Sight firmware 5.1.0 and later. For a complete list of models and supported firmware versions, see Firmware Versions.

  • Maximum Rate (Frames/sec): Specifies the maximum number of images the vision system may send per second (0.016 to 100). This feature can be used to reduce network traffic by limiting the number of images sent.

    Note:
    • This option is only enabled on In-Sight vision systems using In-Sight firmware 4.x.x, and is disabled on In-Sight vision systems running In-Sight firmware 5.1.0 and later. For a complete list of models and supported firmware versions, see Firmware Versions.
    • This option is enabled only when the Limit Maximum Rate checkbox is checked.

Acquisition

  • Resolution: Specifies the resolution to use for image acquisition. The vision system must be rebooted for the changes to take effect. The Acquisition Resolution option is only available for the following vision sensors and vision systems:

    In-Sight Model Options Default
    In-Sight Micro 1500

    800 x 600

    640 x 480

             640 x 480

    In-Sight 2000-130, 2000-130C, 2000-230, 2000-230C

    800 x 600

    640 x 480

             640 x 480
    In-Sight 2000-23M

    800 x 600

    640 x 480

             800 x 600
    In-Sight 2001-230, 2001-230C

    1280 x 960

    800 x 600

    640 x 480

             1280 x 960
    In-Sight 7500, 7600, 7600C, 7800, 7800C, 7900, 7900C

    800 x 600

    640 x 480

             800 x 600
    In-Sight 7802, 7802C, 7902, 7902C

    1600 x 1200

    800 x 600 (Low Light Mode)

             1600 x 1200
    Note:
    • When using 640 x 480 for the In-Sight 2000 series vision sensor listed in the above table, Image Magnification Mode can be enabled and disabled in the Set Up Image application step. When using 800 x 600 or 1280 x 960 for the In-Sight 2000 series vision sensor listed in the above table, Image Magnification Mode is always enabled and cannot be disabled. For more information, refer to the EasyBuilder Help file.
    • When using 800 x 600 (Low Light Mode) for the In-Sight 7802, 7802C, 7902 and 7902C, it provides increased light sensitivity at a reduced resolution.

Focus

Note: The Focus group box is displayed only when connected to the In-Sight 2000 Mini series vision sensor.
  • Override Focus on Job Load: Specifies whether or not the vision sensor will override the Focus Distance (%) setting configured in the Focus tab in the EasyBuilder Set Up Image application step. By default, this checkbox is unchecked (= disabled). When checked, the Set button will be enabled.
  • Set button: When clicked, the Override Focus Distance (%) value is set to match the Current Focus Distance (%) value.
  • Current Focus Distance (%): Displays the current Focus Distance (%) value saved to the vision sensor's firmware.
  • Override Focus Distance (%): Displays the Focus Distance (%) value to use when the job is loaded.


Host Table Dialog

The In-Sight Host Table allows In-Sight vision systems on different networks (subnets) to communicate with one another. Host Table entries do not actually change the network settings of hosts at the specified IP addresses; these entries simply appear as additional vision systems to the active In-Sight vision system.

CAUTION: Vision systems that are configured using DHCP cannot be guaranteed to have a specific IP address. Since the Host Table requires a fixed IP address in order to communicate with a vision system, Cognex strongly recommends that you set up any vision systems on different subnets with static IP addresses.
Note:
  • The Host Table may be shared with other In-Sight vision systems via FTP upload of the hosts.net file to the target system from an In-Sight emulator. Each line of the uploaded file must follow the format, "xxx.xxx.xxx.xxx host_name", where "xxx.xxx.xxx.xxx" is any valid IP address. Blank lines, incomplete lines, and lines preceded by the '#' character are ignored. Characters following the host name are also ignored. The file may also be downloaded via FTP, but the format of the original uploaded file is not preserved.
  • The Update Firmware dialog does not support updating the firmware on In-Sight vision systems that are on different networks and added to In-Sight Explorer using In-Sight Host Table. The firmware on vision systems on different networks that are added to In-Sight Explorer using Explore Remote Subnet List can be updated; however, Cognex recommends to place vision systems on local network when updating firmware to avoid any network failure.

Host Table Dialog Controls

To display the In-Sight Host Table dialog, click Host Table from the Sensor menu.

  • Add: Creates a new entry in the host table. After clicking Add, you are prompted with the Add Host dialog, where you enter the host name and IP address of the new host:

    Note:
    • Valid characters for the Host Name are A-Z (upper and lowercase), 0-9, hyphen ('-'), colon (:), comma (',') and underscore ('_').
    • Host Names can contain a maximum of 63 characters.

  • Edit: Modifies an existing host table entry. Select an entry from the list and click Edit. You are prompted with the Edit Host dialog, where you can change the host name or IP address of the selected host.

  • Delete: Removes host(s) from the host table. Select the host(s) that you wish to remove and click Delete.

    Tip: Delete multiple hosts by holding down the CTRL key while selecting the host names.
  • Favor Host Table over DNS: When selected, this checkbox specifies that the search order for In-Sight host names is (1) host table, (2) network browser, and (3) DNS. When cleared, the host name search order is (1) network browser, (2) DNS, and (3) host table.

Host Parameters

  • Host Name: The name of the networked In-Sight vision system to map (or assign) to the specified IP address. Host names specified within the Host Table are only accessible by the active In-Sight vision system.
  • IP Address: The IP address of the networked In-Sight vision system to map to the specified host name.


I/O Module Configuration

The I/O Module Configuration dialog is used to configure the I/O module for use within In-Sight Explorer.

Access the I/O Module Configuration Dialog

  • From the EasyBuilder application Steps pane:
    • Click on the Inputs/Outputs Application Step; or
    • Click on the Communication Application Step, add a serial device and click the Serial Port Settings tab.
  • From the Spreadsheet view, select Serial Port Settings or Discrete I/O Settings from the Sensor menu. Click the I/O Module button.

Connect to the CIO-1400, CIO-1450 or CIO-1460

  1. Connect to a supported vision system from In-Sight Explorer.
  2. Open the I/O Module Configuration dialog.

  3. Select CIO-1400, CIO-1450 or CIO-1460 from the Select I/O Module drop-down list.

  4. Click OK to close the dialog.

Connect to the CIO-MICRO or CIO-MICRO-CC

  1. Connect to a supported vision system from In-Sight Explorer.
  2. Open the I/O Module Configuration dialog.

  3. Select CIO-MICRO or CIO-MICRO-CC from the Select I/O Module drop-down list.

  4. Select the appropriate I/O module from the Connect To drop-down list.

    Note: If the I/O module's host name is not displayed in the list, select <Connect by IP Address> and manually enter the I/O module's IP address.

  5. In the Update Time field, specify the time interval required for input and output synchronization (3ms - 500ms; default = 20ms) between the vision system and the CIO-MICRO or CIO-MICRO-CC I/O module.

    Note:
    • If excess output signal latency is a problem, decrease the Update Time. However, decrease the Update Time as little as necessary for your application; as the Update Time is decreased, job execution time may be increased.
    • When configuring the CIO-MICRO or CIO-MICRO-CC I/O modules, the specified Update Time must be no more than half of the time of the shortest expected input or output signal to ensure the signals are properly received and sent. For example, if the shortest expected I/O signal is 100ms, the Update Time should be no more than 50ms.

  6. Optionally, click the Change Settings... button to configure the I/O module's network settings.

  7. Optionally, assign the I/O module a new host name.

  8. By default, the In-Sight CIO-MICRO and CIO-MICRO-CC I/O modules are configured dynamically by the DHCP server on startup. If no DHCP server is available, the I/O module times out and binds to a link-local IP address. For more information, see Link-local IP Address. To manually configure the I/O module for a Non-DHCP network, uncheck the Use DHCP Server checkbox and setting the appropriate network settings:

    • IP Address: Assigns a unique identifier for each In-Sight vision system on the network, which must be consistent with the IP address-numbering scheme of the local network.

    • Subnet Mask: Defines which part of the IP address refers to the network and which part refers to the host. The network part of the IP address is the same for all hosts on the same subnet, and the remainder is unique to each host.

      There are three classes of subnet masks. The class of a particular subnet on a network is defined by the number of bits used to represent the network and host address portions in the IP address, as in the table below:

      Class Subnet Mask Network Address Host Address

      A

      255.0.0.0

      8 bit

      24 bit

      B

      255.255.0.0

      16 bit

      16 bit

      C

      255.255.255.0

      24 bit

      8 bit

      For example, consider a networked In-Sight host system with the IP address 192.168.0.1. If the first three numbers (192.168.0) identify the 24-bit network address, and the last number (1) is the 8-bit address for the In-Sight host on the network, then the subnet mask for this host is 255.255.255.0.

    • Default Gateway: Specifies the IP address of the gateway host, if available on the network. The gateway host is responsible for relaying data between hosts on different networks. If an In-Sight device needs to communicate with a device on a different subnet, enter the address of the gateway device in the Default Gateway field. Otherwise, leave the field blank.
    • DNS Server: Specifies the IP address of the host on the network providing DNS resolution, if available.
    • Domain Name: Specifies the network domain for the host network. Domain names can contain a maximum of 63 characters.
  9. Click OK to close the dialog.

Connect to the CIO-WENET

Note: Before the CIO-WENET Ethernet I/O Module can be configured in In-Sight Explorer, you will first need to assign an IP Address to the module.
  1. Connect to supported vision system from In-Sight Explorer.
  2. Open the I/O Module Configuration dialog.

  3. Select CIO-WENET from the Select I/O Module drop-down list.

  4. In the IP Address field, specify the IP address that you previously assigned to the CIO-WENET.

  5. In the Update Time field, specify the time interval required for input and output synchronization (1ms - 500ms; default = 20ms) between the In-Sight Micro 1000 series vision system and the CIO-WENET I/O module.

    Note:
    • If excess output signal latency is a problem, decrease the Update Time. However, decrease the Update Time as little as necessary for your application; as the Update Time is decreased, job execution time may be increased.
    • For the CIO-WENET, the synchronization time is 3ms longer than the Update Time.
  6. Click OK to close the dialog.


Job Pass/Fail Cell Setup Dialog

The Job Pass/Fail Cell Setup dialog allows you to monitor a cell, which contains a numeric result, to determine the job's overall pass/fail status. The job status can be sent as an output from the sensor to other applications, such as the Cognex VisionView.

Note:
  • The Job Pass/Fail Cell Setup dialog is available only to admin-level users.

  • There are three watch cells (Job Pass/Fail cell, Filmstrip Watch cell and Record/Playback watch cell) with similar effects in In-Sight. All three watch cells can be set independently, and control different functionality.

  • All EasyBuilder jobs displayed in the EasyBuilder View reference the same job pass/fail cell by default. If this cell reference is changed in the Job Pass/Fail Cell Setup dialog, it reverts to the default cell once the job is displayed again in the EasyBuilder View.

Set Up a Job Pass/Fail Cell

  1. Display the Job Pass/Fail Cell Setup dialog by clicking Job Pass/Fail on the Sensor menu (alternately, right-click on a cell and click Set Job Pass/Fail).

  2. Enable the Use Job Pass/Fail Cell checkbox, to access the other controls in the dialog.

  3. Click Select Cell. The Job Pass/Fail Cell Setup dialog enters cell selection mode.
  4. Select the desired cell in the spreadsheet and press the Enter key to confirm the cell selection. The Job Pass/Fail Cell Setup dialog reappears, displaying the selected cell reference in the Job Pass/Fail Cell field.
  5. From the Job Status drop-down lists, define how the job pass/fail's numeric result maps to the job pass/fail status. Status options include None, Pass, Fail or Warning.
    • Cell value < 0: The selected cell contains a numeric value that is less than zero. (default = Fail)
    • Cell value = 0: The selected cell contains a numeric value that is equal to zero. (default = Fail)

    • Cell value > 0: The selected cell contains a numeric value that is greater than zero. (default = Pass)

      Note:

      The following job status is automatically assigned in these cases:

      • Cell contains non-numeric result, not #ERR (for example, a string): Pass
      • Cell is empty: None
      • Cell contains #ERR: Fail
      • No cell selected: None
  6. Click OK.


Job Server Settings Dialog

The Job Server Settings dialog is used to configure an FTP server that hosts In-Sight job files for the In-Sight vision system. This allows another device, such as a PLC or robot controller, to change jobs without specifying a location via the LF and TF Native Mode commands. For more information, see Load File and Store File.

Note:
  • The Job Server Settings dialog has been tested with FileZilla FTP server software.
  • If a connection is made to a vision system that has been configured to use the Remote Job Server from an older version of In-Sight Explorer (e.g. In-Sight Explorer 4.9.1 or earlier), In-Sight Explorer will default to the vision system's file system. This will also occur if a connection is made via a VisionView Operator Interface Panel.
  • Job native mode commands (Set Job, Get Job, Delete Job, Store Job and Write Job) cannot be used for a job saved in the Job Server.

Configure the Job Server

  1. From the Sensor menu, click Job Server Settings.

  2. In the Job Server Settings dialog, check the Enable Job Server checkbox to enable the Server, Server Port, Username, Password and Directory fields.

  3. Enter the Server, Server Port, Username and Password of the FTP server. Optionally, enter a Directory name (or directory path) on the FTP server for saving or loading jobs.

    Note:
    • The user must have write/read permissions to the FTP server.
    • When an In-Sight emulator is specified as the Server:
      • Jobs are saved to or loaded from the Emulator directory (C:\ProgramData\Cognex\Emulators\x.x.x). For more information, see Emulation Panel.
      • The Directory field is not supported.
    • The Username is case-sensitive, and its length cannot exceed 63 characters.
    • The Password is case-sensitive, and its length cannot exceed 127 characters.
    • The entire FTP path (ftp://Username:Password@Server:PortNumber/Directory) cannot exceed 208 characters.

  4. Click OK. The In-Sight vision system is now connected to the Job Server for loading and saving jobs.

    Note:
    • For more information on manually saving or loading jobs using the Job Server, see Save & Open Dialogs.
    • For more information on automatically loading a job from the Job Server at startup, see Startup Dialog.

Save or Load a Job via Native Mode Command

Once the Job Server is enabled, the In-Sight vision system automatically uses the Job Server for saving or loading jobs when the TF or LF Native Mode commands is issued. For example, after enabling the Job Server, when the command LFProduct.job is issued, the LFProduct.job file stored in the Job Server is loaded to the vision system.

Note: For more information on the TF and LF Native Mode commands, see Store File and Load File.

Disable the Job Server

  1. From the Sensor menu, click Job Server Settings.

  2. In the Job Server Settings dialog, uncheck the Enable Job Server checkbox to disable the Server, Server Port, Username, Password and Directory fields.
  3. Click OK. The In-Sight vision system is now disconnected from the Job Server.


Job Size Limit

The Job Size Limit dialog is used to configure the job size memory allocation for a vision system, for use in the EasyBuilder development environment.

Note: Job size depends on whether the job was created in EasyBuilder or the Spreadsheet. For jobs created in EasyBuilder, space is calculated as the number of rows left available in each of the three columns. For jobs developed in the Spreadsheet, space is calculated on the basis of the number of unused cells still available in the allocated job space, and the Active Cells Limit Dialog is used to configure the number of cells.

  1. On the Sensor menu, click Job Size Limit. Alternately, the dialog may be accessed by pressing the Adjust Job Size button if the job memory error prompt ("There is not enough room in the job for the tool.") is encountered while adding tools to a job.

    Note:

    The Job Size Limit menu option is disabled for any of the following:

    • The vision system is online or is playing back images.
    • The vision system is in Live Video.
    • The user is in either the Locate Part or Inspect Part Application Steps.
    • The user does not have sufficient administrative privileges.
    • The vision system does not support adjusting its job size.

  2. Adjust the slider to set the job's memory size allocation. The Min and Max percentages depend on the type of vision system.

    Note: Do not power cycle the vision system while the Job Size Limit is being updated.
  3. Click OK.
  4. Adjusting the Job Size Limit requires the vision system be rebooted for the changes to take effect, and erases all job and settings files from non-volatile flash memory. Save or backup your job before continuing.
  5. Reboot the vision system.


Light Settings

The Light Settings dialog is used to configure lighting devices connected to the In-Sight 7000 series vision system. The appearance of the dialog varies depending on the type of vision system and the type of lighting device connected to the vision system.


In-Sight 70xx - 74xx Series Light Settings

The In-Sight 70xx - 74xx series vision system supports connecting an external strobe device or continuous lighting device to the vision system's LIGHT connector via the Light cable. If a connection is detected, the Light Settings dialog can be used to specify the type of external strobe or continuous lighting device connected to the In-Sight 70xx - 74xx series vision system.

Note: For In-Sight 70xx - 74xx series vision systems using an internal LED ring light, use the Light Control settings to configure the internal LED ring light.

  • Polarity: Specifies the type of strobe or continuous lighting device connected to the vision system.
    • Disabled: The vision system is not connected to a lighting device.
    • PNP (Sourcing): The vision system is connected to a PNP (current sourcing) lighting device.
    • NPN (Sinking): The vision system is connected to an NPN (current sinking) lighting device.


In-Sight 7000 Gen2 Series Light Settings

The In-Sight 7000 Gen2 series vision system supports connecting an integrated illumination accessory to the vision system's faceplate and connecting an external light to the vision system's LIGHT connector, but does not support using both lighting devices simultaneously. For a complete list of supported accessories, refer to the In-Sight® 7000 Gen2 Series Vision System Reference Guide.

  • If an integrated illumination accessory is installed to the vision system's faceplate, the Light Settings dialog can be used to specify the light settings for the LED ring light.
  • If an external light is connected to the vision system's LIGHT connector, the Light Settings dialog can be used to specify the light settings for the external strobe or continuous lighting device.


In-Sight 9912 Light Settings

If an external light is connected to the In-Sight 9912 vision system's LIGHT connector, the Light Settings dialog can be used to specify the light settings for the external strobe or continuous lighting device.

  • Polarity: Specifies the type of strobe or continuous lighting device connected to the vision system.
    • PNP (Sourcing): The vision system is connected to a PNP (current sourcing) lighting device.
    • NPN (Sinking): The vision system is connected to an NPN (current sinking) lighting device.
  • Intensity: Specifies the effective light intensity of the connected strobe device as a percentage. (0 to 100; default = 100)
  • Strobe Start Position: Specifies when the strobe should pulse.
    • Acquisition Start: Specifies that the strobe will pulse as the vision system begins its acquisition.
    • Camera Trigger: Specifies that the strobe will pulse upon receiving a camera trigger event.


Log On/Off Dialog

The Log On/Off dialog establishes a user name and password used to log on to individual In-Sight vision systems.

This dialog can also be used to log off from all vision systems. By default, In-Sight Explorer will use admin as a user name and a blank password to log on to vision systems. If the Startup user name and password defined in the Options dialog do not match the user name and password defined in the User Access Settings dialog, the Log On/Off dialog will appear when In-Sight Explorer is launched.

In addition to providing job editing and viewing capabilities, In-Sight Explorer also provides administrative services including Backup, Restore, Reporting and file management. These administrative services require connections to In-Sight vision systems using FTP and/or Native Mode protocols. Although these functions always appear to be enabled, user authentication is verified per vision system once the operation is initiated; based upon the current user name, you will be either allowed or disallowed to perform the function, depending on the current user's access level on each vision system.

Log On to In-Sight Vision Systems

  1. On the System menu, click Log On/Off.

  2. Enter the user name and password.
  3. Select the Remember Password checkbox for the entered User Name and Password to be remembered at the next log on. By default, this option is unchecked, and the password needs to be entered each time the system is logged on to.

  4. Click the Log On button to finish. The User Name and Password entered in the preceding steps will be used to log on to individual In-Sight vision systems (by double-clicking their names under the In-Sight Network.)

    Note: If you are logged on to a vision system and then change the User Name or Password, you may be disconnected from any vision systems that cannot authenticate the new user information.

Once the log on is complete, the access level specified for the User Name in the destination system's User List will be in effect regardless of the user's access level on the In-Sight vision system from which the log on was initiated.


Multiple View Connections with VisionView

When the In-Sight vision system has VisionView-only connections, up to 5 VisionView applications can be connected. When the vision system has both VisionView and In-Sight Explorer connections, one In-Sight Explorer application and up to 4 VisionView applications can be connected.

Note:

The following firmware and software versions are required to use the Multiple View Connections feature:

  • In-Sight vision system running firmware version 5.6.0 or later
  • VisionView application software version 1.6.3 or later

Set the Maximum View Connections

  1. From the Sensor menu, open the HMI Settings dialog.

  2. Specify the Maximum View Connections setting to configure the number of VisionView® applications allowed to be connected to the In-Sight vision system or sensor.

    Note:
    • In order to utilize the Multiple View Connections feature on the VisionView application, it must be upgraded to version 1.6.3. However, the VisionView 700 Operator Interface Panel does not support VisionView 1.6.3.
    • When the Maximum View Connections setting is set to 2 or more, additional image buffers are automatically allocated to the In-Sight vision system. For example, when the Maximum View Connections setting is set to 2 and the Image Buffers setting on the Image Buffers dialog is set to 3, 5 image buffers are allocated to the vision system. If the total number of image buffers exceeds the maximum number of image buffers available on the vision system, the maximum number of image buffers is allocated to the vision system.
    • Increasing the number of view connections will decrease the amount of RAM available for other tasks, such as loading jobs and acquiring images, and may degrade performance.

Connect Multiple Applications to an In-Sight Vision System

There are two types of view connections when 2 or more applications are connected to an In-Sight vision system: Standard View Connection and View Only Connection.

  • Standard View Connection: Allows any type of access privileges (Full, Protected or Locked). Typically, this connection is used by an application that performs various run mode actions such as editing interactive controls, placing the vision system Online/Offline, loading a new job or triggering the vision system (= Full or Protected Access level). Only one application can use this connection.

    Note: When the Maximum View Connections setting is set to 1, the standard view connection is used.

  • View Only Connection: Allows only Locked access privileges. With this connection, the application can only view the operation of the vision system. All interactive controls are disabled, and the filmstrip and buttons such as Trigger, Online/Offline, Focus, etc. are hidden. This connection is only used on VisionView.

    Note:
    • On VisionView, the Sensor User Name field on the Sensor Settings screen is used to configure the connection user name. If the connection user name is left as <default> or empty, VisionView automatically selects "admin", the default user name, and has a Full Access level.
    • Available VisionView Run Mode actions vary depending on the operator controls that are enabled on each VisionView.
    • For more information on VisionView, refer to the VisionView Help® file.

VisionView Only Connections

Note: The examples and illustrations in this section assume that only VisionView applications are connected to an In-Sight vision system, and the Maximum View Connections setting is set to 5.

  1. When multiple VisionView applications are connected to an In-Sight vision system, only one VisionView can have the standard view connection. The rest of VisionView applications have the view only connections. In the following illustration, VisionView 1 has the standard view connection (green). VisionView 2 - 5 have the view only connection (red).

  2. If two or more VisionView applications with Full or Protected privileges attempt to establish the standard view connection to the vision system, the first connected VisionView application has the standard view connection.

    In the following illustration, VisionView 1 has already established the standard view connection with Full or Protected privileges (green). VisionView 2 attempts to connect to the vision system with the standard view connection, however the connection is automatically converted to the view only connection with Locked privileges (red).

    Once converted, on VisionView 2, the Force Connection button as well as the "View Only" banner are displayed. Meanwhile, interactive controls are disabled, the filmstrip and buttons such as Trigger, Online/Offline, Focus, etc. are hidden.

    Note:
    • To display the Force Connection button, the Force Connection checkbox on the Operator Controls screen must be checked.
    • The Force Connection button is displayed when the standard view connection with Full or Protected privilege is converted to the view only connection with Locked privileges. If VisionView has a Locked Access level, the Force Connection button will not be displayed.

  3. Press the Force Connection button on VisionView 2 to reestablish the standard view connection to the vision system. Once reestablished, VisionView 2 will have Full or Protected privileges, and can perform various run mode actions. Meanwhile, VisionView 1's connection is automatically converted to the view only connection with Locked privileges.

    Note: The Force Connection button is also displayed when VisionView fails to connect to an In-Sight vision system because the maximum number of applications are already connected. In this scenario, by pressing the Force Connection button, VisionView reestablishes the standard connection to the vision system. Meanwhile, other VisionView is disconnected from the vision system.

VisionView and In-Sight Explorer Connections

Note: The examples in this section assume that both VisionView and In-Sight Explorer are connected to the same In-Sight vision system.

  1. When both the VisionView applications and the In-Sight Explorer application are connected to the same In-Sight vision system, In-Sight Explorer always has the standard view connection. All VisionView applications have the view only connection.

    Note: Only one In-Sight Explorer application can be connected to the vision system at a time.

  2. When In-Sight Explorer is already connected to the vision system, if a VisionView application attempts to establish the standard view connection with Full or Protected privileges, the connection is automatically converted to the view only connection with Locked privileges.

    Once converted, the Force Connection button as well as the "View Only" banner are displayed on the VisionView application. Meanwhile, interactive controls are disabled, the filmstrip and buttons such as Trigger, Online/Offline, Focus, etc. are hidden.

    Note:
    • To display the Force Connection button, the Force Connection checkbox on the Operator Controls screen must be checked.
    • The Force Connection button is displayed when the standard view connection with Full or Protected privilege is converted to the view only connection with Locked privileges. If VisionView has a Locked Access level, the Force Connection button will not be displayed.

  3. Press the Force Connection button on the VisionView application to reestablish the standard view connection to the vision system. Once reestablished, the VisionView application will have Full or Protected privileges, and can perform various run mode actions. Meanwhile, In-Sight Explorer is automatically disconnected from the vision system.

    Note: The Force Connection button is also displayed when VisionView fails to connect to an In-Sight vision system because the maximum number of applications are already connected. In this scenario, by pressing the Force Connection button, VisionView reestablishes the standard connection to the vision system. Meanwhile, other VisionView is disconnected from the vision system.


Link-local IP Address

The purpose of a link-local IP address (also known as an automatic private IP address) is to automatically provide a temporary IP address if a unique dynamic or static IP address is not immediately available. Link-local IP addresses are in the range of 169.254.0.0/16.

Link-local capability is available only on In-Sight devices that support Ethernet configuration with firmware 4.1.0 or later. If necessary, an In-Sight device will assign itself a link-local IP address so that it can connect, or maintain connection, to a PC or a network without any configuration. Examples of when link-local IP addresses are used include:

  • Connecting a new device to a static network.
  • Connecting a new device directly to a PC or a VisionView
  • Connecting a device with a static IP address to a static network, and the IP address is already taken.
  • Maintaining connection to a device with a dynamic IP address when its DHCP server fails.
  • Moving a device from a DHCP network to a static network.
Note:
  • New In-Sight Ethernet devices are factory-configured for installation on an existing network with a DHCP server.
  • Because routers cannot pass data to and from link-local IP addresses, replacing them with dynamic or static IP addresses in the Add Sensor/Device to Network dialog is strongly recommended. For more information, see Add Sensor/Device to Network Dialog.


Network Settings Dialog

The Network Settings dialog configures the active In-Sight vision system to communicate on a TCP/IP network.

Note:
  • If you choose not to restart an In-Sight vision system after modifying its network settings, In-Sight Explorer will not reflect the modifications until the vision system has been rebooted, despite the fact that the Network Settings dialog reports the new configuration.
  • In-Sight emulators inherit their network settings from Windows; these settings cannot be changed within In-Sight Explorer. To modify an emulator's network settings, open the network applet in the Windows Control Panel and make the desired change.
  • In-Sight automatically allocates EtherNet/IP multicast addresses from the IPv4 Organization Local Scope: 239.192.0.0/14.

Network Settings Dialog Controls

To display the Network Settings dialog, click Network Settings from the Sensor menu.

When connected to an In-Sight vision system/sensor running firmware version 5.8.0 or later, the following options are available.

When connected to an In-Sight vision system/sensor running firmware version 5.7.0 or later, the following options are available:

When connected to an In-Sight vision system/sensor running firmware version 5.3.0 or later, the following options are available:

When connected to an In-Sight vision system running firmware version 5.2.x or earlier, the following options are available:

Host Name

Specifies the name of the networked In-Sight device. Each device has its host name set automatically the first time it boots. You can change the host name by entering a new name into the field. Host names can contain a maximum of 63 characters. Valid characters for the host name are A–Z (upper and lowercase), 0 - 9, hyphen ('-'), colon (:), period ('.') and underscore ('_').

The default naming convention is as follows: "is" for "In-Sight", the model number, an underscore and the last 6 characters of the vision system's unique Media Access Control (MAC) address.

The MAC address is a hardware address that identifies a specific node of a network. Every In-Sight vision system has a unique MAC address assigned to it, which cannot be changed. For example, 00-d0-24-01-02-03. To locate the MAC address of an In-Sight vision system, look at the serial number label affixed to the vision system. Alternately, you can open the About In-Sight Explorer dialog.

For example, the host name of an In-Sight 7802 vision system with the MAC address of 00-d0-24-01-02-03 is "is7802_010203". The host name can be changed by entering a new name into the field.

If the local system is a networked PC running an In-Sight emulator, the host name is automatically inherited from the computer's name as defined in the Windows operating system.

Use DHCP Server

Specifies that the In-Sight vision system will be configured dynamically by the DHCP server on startup.

  • IP Address: Assigns a unique identifier for each In-Sight vision system on the network, which must be consistent with the IP address-numbering scheme of the local network.

  • Subnet Mask: Defines which part of the IP address refers to the network and which part refers to the host. The network part of the IP address is the same for all hosts on the same subnet, and the remainder is unique to each host.

    There are three classes of subnet masks. The class of a particular subnet on a network is defined by the number of bits used to represent the network and host address portions in the IP address, as in the table below:

    Class Subnet Mask Network Address Host Address

    A

    255.0.0.0

    8 bit

    24 bit

    B

    255.255.0.0

    16 bit

    16 bit

    C

    255.255.255.0

    24 bit

    8 bit

    For example, consider a networked In-Sight host system with the IP address 192.168.0.1. If the first three numbers (192.168.0) identify the 24-bit network address, and the last number (1) is the 8-bit address for the In-Sight host on the network, then the subnet mask for this host is 255.255.255.0.

  • Default Gateway: Specifies the IP address of the gateway host, if available on the network. The gateway host is responsible for relaying data between hosts on different networks. If an In-Sight device needs to communicate with a device on a different subnet, enter the address of the gateway device in the Default Gateway field. Otherwise, leave the field blank.
  • DNS Server: Specifies the IP address of the host on the network providing DNS resolution, if available.
  • Domain Name: Specifies the network domain for the host network. Domain names can contain a maximum of 63 characters.

  • DHCP Timeout: Specifies the time (5 to 180 seconds; default = 60) an In-Sight vision system will wait for a DHCP server to respond with an available IP address, when the vision system is configured for DHCP. If the vision system times out, network communication will be suspended. The vision system will not attempt to connect to the network again until power is cycled on the vision system.

    Tip: If the In-Sight vision system is not going to be connected to a network, specifying the minimum time of 5 seconds will reduce boot-up time of the vision system; the vision system must be configured for DHCP.

Link

  • Link Speed: Specifies the Ethernet speed and duplex mode between the vision system and the network device.

    CAUTION: If the network device is not configured to support the specified link speed, the vision system will not be reachable; configure the network device's Ethernet settings to match that of the vision system.
    • Auto-Negotiate (default): The vision system and network device communicate to choose the fastest Ethernet speed and duplex mode supported by both devices.
    • 10 Mbps Half Duplex: Ethernet speed is fixed to 10 megabits per second and data can only be sent or received at a given time.
    • 10 Mbps Full Duplex: Ethernet speed is fixed to 10 megabits per second and data can be sent and received at a given time.
    • 100 Mbps Half Duplex: Ethernet speed is fixed to 100 megabits per second and data can only be sent or received at a given time.
    • 100 Mbps Full Duplex: Ethernet speed is fixed to 100 megabits per second and data can be sent and received at a given time.

    • 1000 Mbps Full Duplex: Ethernet speed is fixed to 1000 megabits per second and data can be sent and received at a given time.

      Note: The 1000 Mbps Full Duplex option is only available for vision systems that support 1000 Mbps Ethernet speeds. For In-Sight 5600 series vision systems, it is only available on models with 128MB non-volatile flash memory or higher.
  • Current Speed: Displays the vision system's current Ethernet link speed and duplex mode (full or half).

Telnet

Specifies the vision system's telnet settings.

  • Telnet Port: Assigns the telnet port on which the active In-Sight vision system (a TCP/IP server waiting for communication) listens for incoming requests from a remote device (a TCP/IP client that initiates communication). A valid port assignment is any unused number between 1 and 65535, excluding ports reserved for In-Sight communications. For more information, see In-Sight Ports.

Industrial Ethernet Protocols

Enables or disables specific Ethernet protocols on In-Sight vision systems. When using an Industrial Ethernet protocol, set Robots to None.

Note:
  • If you are using EasyBuilder, you need to add and configure the Industrial Ethernet Device settings in the Communication application step. Otherwise, the Format Output Buffer settings are not configured and you will not get any result data. For more information, refer to the Device Setup topic in the EasyBuilder Help (Communication > Device Setup).
  • If you are using Spreadsheet, you need to enable the Industrial Ethernet protocol using this dialog. When selected protocol is PROFINET, SLMP Scanner, POWERLINK or Modbus TCP Server, you also need to configure the settings using the Settings button.
  • The EtherNet/IP, PROFINET, SLMP Scanner, POWERLINK and Modbus TCP Server protocols are mutually exclusive; therefore, protocols cannot be enabled at the same time.

  • EtherNet/IP: Enables the EtherNet/IP service on the vision system. Once selected, enables the Settings button to the right of the option, which launches the EtherNet/IP Settings dialog to configure the Enable User Data Bypass setting. Check the Enable User Data Bypass checkbox to bypass the cached data and read the raw user data directly. By default, this setting is disabled.

    Note: The Settings button next to the EtherNet/IP option is only available on In-Sight vision systems running In-Sight firmware 5.4.0 and later. For a complete list of models and supported firmware versions, see Firmware Versions.

  • PROFINET: Enables the PROFINET service on the vision system. Once selected, enables the Settings button to the right of the option, which launches the PROFINET Settings dialog to configure settings.

    Note: POWERLINK is only supported by In-Sight 70xx - 74xx series vision systems running In-Sight firmware version 4.7.2 or later, and In-Sight Explorer software version 4.7.2 or later. It is not supported with firmware version 5.1.0 or later.
  • SLMP Scanner: Enables the SLMP Scanner service on the vision system. Once selected, enables the Settings button to the right of the option, which launches the SLMP Scanner Settings dialog to configure settings.
  • CC-Link IE Field Basic: Enables the CC-Link IE Field Basic protocol on the vision system. Once selected, enables the Settings button to the right of the option, which launches the CC-Link IE Field Basic Settings dialog to configure the User Data Bypass setting.
  • POWERLINK: Enables the POWERLINK protocol on the vision system. Once selected, enables the Settings button to right of the option, which launches the POWERLINK Settings dialog to configure settings.

  • Modbus TCP Server: Enables the Modbus TCP Server service on the vision system. Once selected, enables the Settings button to the right of the option, which launches the Modbus TCP Server Settings dialog to configure settings.

    Note: This option is only available on In-Sight vision systems running In-Sight firmware version 5.3.0 or later.
  • None: Disables the Industrial Ethernet protocol on the vision system.

  • Enable iQ Sensor Solution: Enables or disables the iQ Sensor Solution on In-Sight vision systems.

    Note:
    • iQ Sensor Solution is only available on In-Sight vision systems using In-Sight firmware 4.x.x, or 5.7.4 or later.
    • Do not change the Network settings simultaneously in iQSS (GXWorks) and the Network Settings dialog.

OPC UA

  • Enable OPC UA Server: Enables or disables the In-Sight vision system/sensor to act as an OPC UA server. For more information, see OPC UA.

Modbus TCP Server Enable

  • Modbus TCP Server Enable: Enables or disables the In-Sight vision system to act as a Modbus/TCP server; multiple simultaneous connections are supported, as well as a configurable session idle timeout. When configured as a Modbus/TCP server, the vision system maintains a running count of the number of clients it will allow to connect. For each new established connection, the server subtracts from the maximum allowed connections until the count reaches zero, and any subsequent connection requests will be explicitly rejected. The server will only accept subsequent connection requests when the existing clients either explicitly close their connections or have their connections implicitly closed due to an idle timeout.

    Note:
    • The Modbus TCP Server Enable checkbox, Max Connections and Idle Timeout controls in the Protocol Services group box are only available on In-Sight vision systems running 4.x.x firmware. If using In-Sight vision systems running firmware version 5.3.0 or later, see Modbus TCP Server in the Industrial Ethernet Protocols group box.
    • When enabled, it is recommended that the maximum number of connection limits be set to 2x (two times) the number of Modbus/TCP connections that the application actually requires. This is done so that in the event of a power failure or a client reboot, all connections can be re-established without having to wait for the old connections to timeout.
    • Max Connections: Specifies the maximum number of simultaneous connections the vision system will support. (1 to 6 connections; default = 4)
    • Idle Timeout: Specifies the amount of time since the last issued Modbus/TCP request was received by the server from a client before that session is declared as idle. (0 to 3600 seconds; default = 120 seconds) The Modbus/TCP server checks all connected sessions every 500ms to determine if any session idle time limits have been reached. For all idle sessions, the Modbus/TCP server issues a socket close command and reclaims any resources allocated to the idle session.
    • Enable User Data Bypass: Check this checkbox to bypass the cached data and read the raw user data directly. By default, this setting is disabled.

Robots

Enables or disables specific Robot controller communication on In-Sight vision systems. When using a Robot controller, set Industrial Ethernet Protocol to None.

Note: The In-Sight 2000 series vision sensor does not support robot controllers.
  • None: Disables the Robot controller communication on the vision system.
  • Mitsubishi: Enables the Mitsubishi Robot controller communication on the vision system. Once selected, enables the Settings button to the right of the option, which launches the SLMP Scanner Settings dialog to configure settings.

Automatically Configure an In-Sight Vision System via DHCP

If your network uses a DHCP server to assign IP addresses, select the Use DHCP Server checkbox. The active In-Sight vision system is configured dynamically by the DHCP server on startup.

Optionally, a new host name and DHCP timeout can be assigned, but all other fields in the Network Settings dialog will be disabled. When a large number of vision systems are present, this setup is often preferred to entering configuration settings manually for every vision system. After initial setup, disabling DHCP on the vision system(s) and assigning a static IP address is strongly recommended.

If the Use DHCP Server checkbox is unchecked, then the network settings for the active In-Sight vision system must be configured manually.

Manually Configure an In-Sight Vision System for a Non-DHCP Network

  1. Deselect the Use DHCP Server checkbox, if it is currently selected.

    Note: If the In-Sight vision system previously had its network settings configured manually, those settings are automatically restored after you deselect the Use DHCP Server checkbox.
  2. Enter an IP Address.
  3. Enter a Subnet Mask.
  4. Optionally, configure the Host Name, Default Gateway, DNS Server and Domain Name.
  5. Click OK.
  6. You will be prompted to cycle power on the vision system so that any configuration changes can take effect.


Options Dialog

The Options dialog allows you to customize In-Sight Explorer's startup and default GUI preferences, to configure the Offline In-Sight emulator, and to configure file utility preferences.

To display the Options Dialog, click Options from the System menu:


Emulation Panel

  • Use Emulator: When selected, this checkbox enables the offline programmer known as the In-Sight offline emulator. The emulator will start each time In-Sight Explorer is launched. To disable the emulator, clear this checkbox.

    CAUTION: By unchecking Use Emulator, all local FTP services will be shut down including any WriteFTP, WriteImageFTP, control, or logging operations.

  • Model: Determines the emulator's behavior. The drop-down list includes all supported In-Sight vision systems, and the tools/functions that are available on those vision systems.

    Note:
    • The emulator that launches is the last supported version of the Model, except Standard (default) that always launches the latest emulator. For example, when In-Sight 8405 is the selected Model, the 5.x.x emulator is launched. When In-Sight Micro 1400 is the selected Model, the 4.x.x emulator is launched. For a complete list of models and supported firmware versions, see Firmware Versions.
    • Depending on the emulator version (5.x.x or 4.x.x), the Working Emulator Directory will be different:
      • 5.x.x emulator: [ProgramData]\Cognex\In-Sight\Emulators\5.x.x
      • 4.x.x emulator: [ProgramData]\Cognex\In-Sight\Emulators\4.x.x

      For example, if a job is saved to a 4.x.x emulator (e.g., In-Sight Micro 1400) and then the emulator Model is changed to 5.x.x (e.g., Standard), when attempting to open a saved job from the Open dialog, the job is not listed in the dialog.

    • The above working emulator directory is used regardless of the installation location of In-Sight Explorer.
    • Certain acquisition functions (such as Partial Acquisition and Lighting Parameters) are not supported on emulators. It is possible to create these functions on a vision system that supports them and load that job to an emulator which does not support the functions. This may cause the AcquireImage function in cell A0 to report #ERR.
  • FTP Sever Logins: Defines the maximum number of simultaneous incoming FTP connections the emulator can accept (0 to 32; default = 20).

  • Authorized FTP Directory: Specifies a path for FTP services. This is an additional directory that can be used for FTP server access, where files and images can be accessed and stored, allowing the directory and any sub-directories to be accessible to the FTP server (in addition to the emulator's working directory).

    Note: This option requires that Use Emulator is checked. The FTP directory must be a rooted, local path (e.g., C:\...) with proper permissions to write to the directory. The FTP directory must also exist. Any attempts to access the Authorized FTP Directory must precisely match the specified path. For example, if the Authorized FTP Directory is C:\temp, any requests to store the file "abc.txt" to that directory must be of the format, "put c:\temp\abc.txt." If the command is specified as "put abc.txt" instead, the file will be placed in the emulator's directory.
  • Offline Programming Reference: Code number that is automatically generated based upon your PC's configuration. Use this Reference number to obtain an Offline Programming Key to unlock the emulator.

  • Offline Programming Key: If In-Sight Explorer does not detect any In-Sight vision systems on your network, you are required to enter an Offline Programming Key here, to configure In-Sight jobs locally in the In-Sight Offline emulator environment. To obtain a Key, access the In-Sight® Key Generator site and follow the instructions.

    CAUTION: If you close the Options dialog without entering an Offline Programming Key, the Reference code will change. This will require you to obtain a new key upon reopening the dialog.
    • When attempting to enter the Offline Programming Key, the Run As dialog is displayed if you are logged into Windows as a Standard User and the User Account Control (UAC) is disabled. Provide the Administrator credentials to continue the operation. For more information, see Run As Dialog.
    • If you have purchased Offline programming licenses for any version of PC Host, then these licenses will work as valid Offline Programming Keys for In-Sight Explorer.
  • Help: Displays the Software Registration.


File Utilities Panel

  • Explorer FTP Port: Defines the network port that In-Sight Explorer attempts to connect to remote vision systems for file saving and opening. The vision system must have the Local Port in the FTP Settings dialog configured to the same value as the Explorer FTP Port for In-Sight Explorer to perform file operations (such as Backup, Restore, Firmware Update) and to view files in the In-Sight Files pane (1 to 65535; default = 21). For more information, see FTP Settings Dialog.

  • Backup Directory: Defines the folder on the local PC that In-Sight Explorer stores backups of In-Sight vision systems or emulators. The default location is: C:\ProgramData\Cognex\In-Sight\In-Sight Explorer x.x.x.

  • Allow Online Backups: When checked, In-Sight Explorer allows you to back up vision systems when Online. When unchecked, Online vision systems may not be backed up. You are prompted with a dialog to place the vision system Offline before proceeding with the backup operation. For more information, see Online/Offline.
  • Enable Passive FTP: When checked, the In-Sight Explorer allows you to save and load files using passive FTP mode. This option is useful when you need to access an FTP client through a firewall that does not allow connections to be initiated from the outside. By default, this option is enabled.


Image Display Panel

  • Low Saturation Level: When Show Image Saturation is enabled from the Image menu, pixels in the image that are less than or equal to the specified 8-bit value (the greyscale value for non-color In-Sight vision systems or the maximum R, G or B value for color In-Sight vision systems) are displayed in blue. (0 to 255; default = 5)
  • High Saturation Level: When Show Image Saturation is enabled from the Image menu, pixels in the image that are greater than or equal to the specified 8-bit value (the greyscale value for non-color In-Sight vision systems or the maximum R, G or B value for color In-Sight vision systems) are displayed in red. (1 to 255; default = 240)


Job View Panel

  • Make Spreadsheet View the Default View: When checked, In-Sight Explorer opens in Spreadsheet View.
  • Locked Connections: When checked, users are prevented from remotely logging on to a vision system or emulator if another user is already logged on.
  • Confirm Online / Offline Transitions: When checked, you are prompted with a confirmation dialog each time you toggle the Online state of a vision system. When unchecked, no confirmation is required to change the Online/Offline state. For more information, see Online/Offline.

  • Default Transparency: Specifies the default opacity of the spreadsheet overlay in relation to the background image and graphics. When this value is set to 0, the spreadsheet overlay completely blocks the background image and graphics. Increasing the percentage allows more of the image and graphics to show through the spreadsheet. This setting is overridden if any changes are made in the Overlay Transparency from the Image Menu.


Record Defaults Panel

The Record Defaults panel options are the default settings used for all vision systems and emulators the first time the Record option is executed. Use the Record/Playback Options dialog to adjust Record settings on an individual vision system. For more information, see Record/Playback Options Dialog: EasyBuilder View.

Tip: Use the Record Defaults panel to configure Record settings on multiple vision systems and emulators prior to the first execution of the Record option. For example, you can change the default Record Folder directory path for multiple vision systems that have never executed the Record option.

  • Record Folder: A user-specified directory for storing recorded images.

    Note: The Record Folder's default location is: C:\ProgramData\Cognex\In-Sight\In-Sight Explorer x.x.x
  • Maximum Images: The maximum number of images stored in the Record Folder. (1 to 10,000; default = 10,000)

  • Image Resolution: Sensor resolution while recording images. The sensor resolution will be restored to its original settings, configured in the Image Settings dialog, once recording is complete. Resolution options are: Full, Half, Quarter and Eighth resolution for stored images; the default resolution is Full. For more information, see Image Settings Dialog.

    Note: The Eighth resolution option is not supported for color vision systems.

  • Bit Depth: Specifies the bit depth to use when recording color images. (16 bit or 24 bit; default = 24 bit)

    Note:
    • This option is only supported on Color In-Sight vision systems.
    • JPEG (*.jpg) images are always recorded at 24-bit depth. If 16-bit depth is necessary, record the images as Bitmap files (*.bmp).
  • Filename Format: The filename format and file type of recorded images.
    • Prefix: The filename prefix of recorded images.
    • Format: The filename format of recorded images. Format options are: [Index] and [DateTime].
    • File Type: The file type of recorded images. File Type options are: Bitmap files (*.bmp) and JPEG files (*.jpg).
    • Example: Displays an example of the naming convention of recorded image files based on the Filename Format options currently selected in the Format and File Type drop-down lists.


Restore Defaults

The Restore Defaults dialog allows you to reset specific options to their original values as when In-Sight Explorer was installed. This can be useful if, for example, if you changed display resolutions and certain dialogs are being displayed at inaccessible regions of the screen. Options can be restored by individual category or all at once, depending on the checkboxes selected.

Note: Screen captures for each category, below, show default settings.


POWERLINK Settings Dialog

Configures the Node ID of the In-Sight vision system for POWERLINK communications, when configuring the POWERLINK Industrial Ethernet Protocol.

  1. In the Network Settings dialog, from the Industrial Ethernet Protocols drop-down, select POWERLINK.

  2. Press the Settings... button to the right of the POWERLINK selection, to launch the POWERLINK Settings dialog.

  3. Specify the Node ID (1-239; default = 1) for the In-Sight vision system on the POWERLINK network. Every device on the POWERLINK network is identified by a Node ID, which is combined with the fixed ID subnet of 192.168.100<NodeID> to give each device on the network a fixed IP address within the POWERLINK network.

    The Node ID, together with the POWERLINK network’s NAT IP address, can be used to communicate with other devices outside of the POWERLINK network. For example, the default NAT IP address is 192.168.101.0. To communicate with an In-Sight vision system with a Node ID of 26, combine the NAT IP address with the Node ID: 192.168.101.26.


RAM Disk Settings Dialog

The RAM Disk Settings allows users to emulate a file system by utilizing the system RAM of an In-Sight sensor or emulator. When used in conjunction with the Export/Import Cells and ExportData and ImportData functions, RAM Disk allows data to be shared between In-Sight sensors and external devices, such as PLCs and robot controllers. Once the RAM Disk has been enabled and its size configured, a folder named "RAMDisk" will appear as a subdirectory on the sensor or emulator in the In-Sight Files pane.

Note:
  • Only Job (.JOB) and Cell Data (.CXD) files are supported and can be stored in the RAMDisk folder.
  • All files stored in the RAMDisk folder are deleted when the sensor is power cycled or when the RAMDisk settings are disabled.

RAM Disk Settings Controls

To display the RAM Disk Settings dialog, click RAM Disk Settings from the Sensor menu.

Note: If a sensor or emulator does not support RAM Disk, the RAM Disk Settings menu item will be grayed out. Only sensors with firmware version 3.20.00 or higher are supported.
  • Enabled: Check the box to enable using the RAM Disk. By default, RAM Disk is not enabled.
  • Size (MB) : This setting determines the maximum amount of data, in megabytes, that will be stored in RAM Disk. RAM Disk will track the total amount of memory used and reference that value against the Size setting. The maximum size for sensors is 32MB; emulators have a maximum setting of 64MB.

Store Files in a Vision System or Emulator's RAM Disk

  • Store .JOB Files: To save a .JOB file to a sensor or emulator's RAMDisk folder, use the Save As dialog and, using the Look in: drop-down list, set the file's location to the RAMDisk folder of the desired sensor or emulator. Alternately, you can also drag a .JOB file from the In-Sight Files pane and drop it into the desired sensor or emulator's RAMDisk folder; or you can use the right-click shortcut menu in the In-Sight Files pane to copy and then paste a .JOB file into a RAMDisk folder.

  • Store .CXD Files: To save multiple spreadsheet cells to a .CXD file and export that file to a sensor or emulator's RAMDisk folder, use the Export Cells dialog and specify the RAMDisk folder of the desired sensor or emulator. To save a single cell's data to a .CXD file and export that file to a sensor or emulator's RAMDisk folder, use the ExportData function and specify the RAMDisk folder of the desired sensor or emulator.

    Note:
    • When naming files, avoid using the backslash character ("\") because files with a backslash character in their name cannot be copied or deleted without first renaming the file and removing the backslash character; file names with a backslash will also cause an error during a restore operation.
    • The RAMDisk folder is not case sensitive; but the name of the RAMDisk folder cannot be modified. The RAMDisk folder itself may not be copied, but the contents within the folder may be copied.

Access Files in a Vision System or Emulator's RAM Disk

  • Open .JOB Files: To open a .JOB file in a sensor or emulator's RAMDisk folder, use the Open dialog and, using the Look in: drop-down list, set the file's location to the RAMDisk folder of the desired sensor or emulator.
  • Open .CXD Files: To open a .CXD file from a sensor or emulator's RAMDisk folder, use either the Import Cells dialog (for files containing multiple spreadsheet cells) or the ImportData function (for files containing a single cell's data) and specify the RAMDisk folder of the desired sensor or emulator.
  • Remotely Access RAMDisk Files: When remotely accessing files in a sensor or emulator's RAMDisk folder, follow these file name protocols:

    • In-Sight Sensors: "ramdisk/filename.type"

    • Connect to the sensor using an FTP command prompt.

      Note:
      • The CD (change directory) FTP command is not supported.
      • The RAMDisk folder cannot be accessed using FTP from a web browser.

  • Native Mode: "[Command]RAMDisk/filename.job". For example, to use the Read File Native Mode command to read the file "Model.job", issue the following command: "RFRAMDisk/Model.job".

    Note: It is not possible to get the file list from a RAMDisk folder using the Get Filelist Native Mode command. In order to obtain the file list of a RAMDisk folder, use the FTP protocol instead.


Record/Playback Options Dialog: EasyBuilder View

The Record/Playback Options dialog allows you to adjust record and playback settings for individual vision systems and emulators. After configuring the dialog settings, you can record and play back acquired images that are stored in the specified Record Folder and Playback Folder, located on the PC.

Note:
  • Use the Record Defaults panel to adjust record and playback settings for multiple vision systems prior to the first execution of the Record option. For more information, see Options Dialog.
  • After the first execution of the Record option, changes made in the Record Defaults panel are not reflected in the Record/Playback Options dialog unless you select Restore Defaults from the Record/Playback Options dialog for the active vision system or emulator.
  • In-Sight Color vision systems do not support recording quarter resolution images. If a Color vision system is configured to record images at quarter resolution in the Record/Playback Options dialog, the image that is recorded will actually be recorded at half resolution.
  • The Record/Playback Options dialog does not support the SD Card installed to the vision system.

Display the Record/Playback Options Dialog

Do one of the following:

  • On the Image menu, click Record/Playback Options.
  • Click the Record/Playback Options button [image] on the EasyBuilder toolbar.
  • Press CTRL+T.
  • Click Load Images from PC in the Set Up Image settings pane.
  • Click Playback in the Filmstrip settings pane.

Record Tab Controls

  • Record Folder: A user-specified directory for storing recorded images.

    Note: The Good and Bad Folders are created as subdirectories of the Record Folder.
  • Image Count: If Do Not Sort (Record All to Record Folder) is selected, Image Count displays the number of images currently stored in the Record folder. If Do Not Sort (Record All to Record Folder) is not selected, Image Count displays the number of images currently stored in the Good/Bad folders.
  • Filename Format: The filename format and file type of recorded images.
    • Prefix: The filename prefix of recorded images.
    • Format: The filename format of recorded images. Format options are: [Index] and [DateTime].
    • File Type: The file type of recorded images. File Type options are: Bitmap files (*.bmp) and JPEG files (*.jpg).
    • Example: Displays an example of the naming convention of recorded image files based on the Filename Format options currently selected in the Format and File Type drop-down lists.
  • Maximum Images: The maximum number of images stored in the Record Folder. (1 - 10,000; default = 10,000)

  • Image Resolution: Specifies the In-Sight vision system resolution while recording images. The vision system resolution is restored to its original settings, configured in the Image Settings dialog, once recording is complete. Resolution options are: Full, Half, Quarter and Eighth resolution for stored images; the default resolution is Full. For more information, see Image Settings Dialog.

    Note:
    • If the vision system does not support Full resolution, this option is not available from the drop-down list.
    • This setting only applies while the vision system is Online. All images recorded while the vision system is Offline are recorded at full resolution.
    • The Eighth resolution option is not supported for color vision systems.

  • Bit Depth: Specifies the bit depth for recorded images (16 bit or 24 bit; default = 24 bit.

    Note:
    • This option is only available on Color In-Sight vision systems.
    • JPEG (*.jpg) images are always recorded at 24-bit depth. If 16-bit depth is necessary, record the images as Bitmap files (*.bmp).

  • Clear Record Folder: Opens the Clear Recorded Images dialog, allowing you to choose to delete images from the Record Folder, Good Folder and Bad Folder.

    Note: If the Record Folder and the Playback Folder are the same, selecting Record Folder also deletes all Playback Folder images.

  • Clear Good/Bad Folders: Opens the Clear Recorded Images dialog, allowing you to delete images from the Record Folder, Good Folder and Bad Folder.

    Note: If the Record Folder and the Playback Folder are the same, selecting Record Folder also deletes all Playback Folder images.
  • Pass/Fail Sort: Sort images based on the job's overall pass/fail status.
    • Do Not Sort (Record All to Record Folder): Records all images to the Record folder. Pass/fail sort is not enabled.
    • Record Pass Images to Good Folder: Records pass images to the Good folder.
    • Record Fail Images to Bad Folder: Records fail images to the Bad folder.
    • Sort on Pass/Fail (Record to Good/Bad Folders): Sorts and records pass and fail images to the Good and Bad folders, respectively.
  • Always Show this Dialog Before Record/Playback: Select this checkbox to open the Record/Playback Options dialog before recording or playing back images.
  • Restore Defaults: Resets the Record Folder, Maximum Images, Image Resolution and Filename Format settings to match the current settings in the Record Defaults panel in the Options dialog. Restores the remaining Record tab and Playback tab settings to their original defaults. For more information, see Record Defaults Panel.

Playback Tab Controls

  • Playback Folder: A user-specified directory where recorded images are stored for playback.
  • Image Count: Displays the number of images currently stored in the Playback Folder.

  • Playback Mode: Determines how images are displayed when Play is clicked from the Image menu or the EasyBuilder toolbar. Images are played back in alphabetical and then numerical order. If Play is selected after playback of images has been paused, selecting Play resumes playback with the last displayed image. Select First Image from the Image menu or Play First from the Record/Playback toolbar to start playback from the beginning.

    Note: To allow the playback of images when a vision system is in Online mode, the Trigger parameter in the Set Up Image step must be set to External, Manual or Network.
  • Continuous: Images stored in the Playback Folder are continuously displayed.
  • Single Pass: Images stored in the Playback Folder are displayed a single time.
  • Time Delay: The time delay between images during playback. (0 - 60 seconds; default = 0.5)
  • Always Show this Dialog Before Record/Playback: Select this checkbox to open the Record/Playback Options dialog before recording or playing back images.
  • Restore Defaults: Resets the Record Folder, Maximum Images, Image Resolution and Filename Format settings to match the current settings in the Record Defaults panel in the Options dialog. Restores the remaining Record tab and Playback tab settings to their original defaults. For more information, see Record Defaults Panel.


Restore Dialog

The Restore dialog allows you to retrieve an archived copy of the jobs, images and sensor settings from an In-Sight vision system/sensor or emulator; they must be backed up to your local PC before they will appear in the Restore dialog. The dialog also allows you to retrieve a backup stored on the SD card installed to the In-Sight vision system.

Restore From the PC

Archived backups are restored from the Backup Directory, which is defined in the Options dialog. In-Sight Explorer will look for any sub-folders that match sensor names from the In-Sight Network and display them in the Restore dialog.

Note:
  • Only the most recent backup for any archived vision system/sensor is listed in the Restore dialog. If you would like to restore from an older backup, or restore a backup from a different vision system/sensor, use the Restore From dialog instead.
  • Vision systems/sensors must be Offline to perform the Restore function. Attempting to restore an Online vision system/sensor will prompt a warning dialog to take the sensor Offline.
  • When restoring, existing files with the same name on the vision system/sensor or emulator, including the current Network Settings, will be overwritten. Existing files which are not in the set of files being restored will not be overwritten.
  • If a vision system/sensor is restored, the User List will not be cleared. Therefore, any user names that were added to the User List before the vision system/sensor has been restored will remain on the vision system/sensor after it has been restored. After the vision system/sensor has been restored, manually add or remove users from the User List.
  • The Backup Directory's default folder is in the following location, to allow Standard User access: C:\ProgramData\Cognex\In-Sight\In-Sight Explorer x.x.x

Restore From the SD Card Installed to the In-Sight Vision System

The most recent backup on the SD card will be restored to the In-Sight vision system.

Note:
  • The vision systems must be Offline in order to restore from the SD card.
  • The SD card stores one backup only. For the subsequent backups, the previous backup will be overwritten.
  • A backup on the SD card can only be restored to the In-Sight vision system that the SD card is installed.

Use the Restore Dialog

  1. From the System menu, click Restore.

  2. Select any vision systems/sensors or emulators that you would like to restore by checking the checkbox on the left-hand side.

    Tip: You can search your desired vision systems/sensors or emulators dynamically by using the search box.

  3. If you would like to restore from the SD Card, check the Use SD Card checkbox.

    Note:
    • The Use SD Card checkbox is enabled only when the SD card is installed to the vision system and there is a backup for the selected vision system on the PC.
    • When the SD Card is not installed to the vision system, the Use SD Card checkbox is disabled. When the SD card is installed to the vision system but there is no backup for the selected vision system on the PC, the Use SD Card checkbox is checked and disabled.
    • If a vision system with a SD Card is selected but the Use SD Card checkbox is unchecked, the archived data will be restored from the PC. For more information on the archived locations (PC or SD Card), refer to the Backup dialog.
  4. Click Restore.


Restore From Dialog

The Restore From dialog allows you to retrieve the following:

  • The most current archive of jobs, images, and configuration data for an In-Sight vision system/emulator.
  • Older archived copies of jobs, images, and configuration data for an In-Sight vision system/emulator.
  • An archive from a different In-Sight vision system/emulator
  • A backup from the SD Card installed to the vision system

Restore From the PC

Archived backups on the In-Sight vision system/sensor are restored from the Backup Directory, which is defined in the Options dialog. In-Sight Explorer will look for any subfolders that match sensor names from the In-Sight Network and display them in the Restore From dialog.

If a vision system has only been backed up once, then a single instance of its name (with a folder [image] icon) will appear in the right-hand pane. If a sensor has been backed up multiple times, additional folders show up with incremental numbers following the sensor name (such as is7802_010203.000, is7802_010203.001, etc.) The highest number corresponds to the most recent backup for a given sensor.

Note:
  • Vision systems/sensors must be Offline in order to perform the Restore From function; attempting to restore an Online vision system/sensor will prompt a warning dialog to take the sensor Offline.
  • Restoring an In-Sight vision system/sensor from the archive of a different vision system/sensor can cause unexpected behavior if the two sensors are different models (for example, attempting to restore from an In-Sight 5400C archive to an In-Sight Micro 1400 vision system); some job functions of the source In-Sight vision system/sensor might not be supported on the target In-Sight vision system/sensor.
  • When restoring, existing files with the same name on the vision system/sensor or emulator, including the current Network Settings, will be overwritten. Existing files which are not in the set of files being restored will not be overwritten.
  • If a vision system/sensor is restored, the User List will not be cleared. Therefore, any user names that were added to the User List before the vision system/sensor has been restored will remain on the vision system/sensor after it has been restored. After the vision system/sensor has been restored, manually add or remove users from the User List.
  • The Backup Directory's default folder is in the following location, to allow Standard User access: C:\ProgramData\Cognex\In-Sight\In-Sight Explorer x.x.x

Restore From the SD Card Installed to the Vision System

The most recent backup on the SD card will be restored to the In-Sight vision system.

Note:
  • The vision systems must be Offline in order to restore from the SD card.
  • The SD card stores one backup only. For the subsequent backups, the previous backup will be overwritten.
  • A backup on the SD card can only be restored to the In-Sight vision system that the SD card is installed.

Use the Restore From Dialog

  1. From the System menu, click Restore From.

  2. Select a vision system or emulator from the left-hand pane to receive files from the backup. Only one vision system or emulator can be selected at a time.
  3. Select the backup location from the right-hand pane to restore.

    1. SD Card: The last backup will be restored.

      Note: The SD Card option is enabled only when the In-Sight vision system with the SD Card installed is selected in the left-hand pane (the Select In-Sight Sensor to Restore list box).
    2. Backup Set: Select an archive from the list.
  4. Click Restore From.


Run As Dialog

The Run As dialog allows Standard Users to write to certain areas of the registry that require Administrator privilege. If you are logged into Windows as a Standard User, you are not allowed to write to the registry. However, when using the In-Sight Explorer, writing to the registry is required when entering the Offline Programming Key or changing the Start at Windows Log On option. In such cases, when the User Account Control (UAC) is disabled, the Run As dialog will be displayed and allow you to write to the registry by providing Administrator credentials.

Note:
  • Under the following conditions, Window's Run As dialog will be displayed when attempting to enter the Offline Programming Key or change the Start at Windows Log On option. Provide the Administrator credentials to continue the operation.
    • When using Windows 7/Windows 10, logged into Windows as a Standard User and the User Account Control (UAC) is enabled.
  • If you are using Windows 7/Windows 10, logged into Windows as an Administrator and the User Account Control (UAC) is enabled, the Allow/Deny dialog will be displayed when attempting to enter the Offline Programming Key or change the Start at Windows Log On option. Select Deny to continue the operation.
  • The following default folder locations were moved to new locations to allow Standard User access (these folders are also now accessible from the Start Menu in In-Sight Explorer 4.5.0 and later):

    • Folders | In-Sight Explorer 4.4.x and earlier | In-Sight Explorer 4.5.0 and later
Sample Jobs | C:\Program Files\Cognex\In-Sight\In-Sight Explorer x.x.x\Sample Jobs | Windows 7/Windows 10: C:\Users\Public\Documents\Cognex\In-Sight\In-Sight Explorerx.x.x
Sample Projects | C:\Program Files\Cognex\In-Sight\In-Sight Explorer x.x.x\Sample Projects | Windows 7/Windows 10: C:\Users\Public\Documents\Cognex\In-Sight Sample Projects x.x.x

Run As Dialog Controls

  • Domain: Specifies the network domain.

  • Username: Specifies the Username that belongs to the Administrator.

  • Password: Specifies the password for the Username.

    Note: Once the valid Administrator credentials are provided, the status is in effect until exiting In-Sight Explorer.


Save & Open Dialogs

The Save and Open dialogs are essentially FTP clients that establish a connection either between two In-Sight vision systems. Job and image files can be loaded from remote vision systems, as well as saved to remote vision systems.

Note:
  • In-Sight vision system settings (for example, network configuration) cannot be saved using the Save As dialog. A vision system settings file (proc.set) can only be transferred using standard FTP commands from an In-Sight emulator or other non-In-Sight FTP device on the network.
  • There are two Working Emulator Directories (C:\ProgramData\Cognex\In-Sight\Emulators\5.x.x and C:\ProgramData\Cognex\In-Sight\Emulators\4.x.x). When the In-Sight emulator is used, depending on the Emulation Model, a different directory will be used for saving or opening jobs/images. For example, when the Emulator Model is set to In-Sight 8405, jobs/image will be saved to the 5.x.x directory. When the emulator Model is set to In-Sight Micro 1400, jobs/images will be saved to the 4.x.x directory. Therefore, if a job is saved to a 4.x.x emulator (e.g. In-Sight Micro 1400 Model) and then the emulator Model is changed to 5.x.x (e.g. Standard Model), when attempting to open the job from the Open dialog, the job will not be listed in the dialog.

Open a Job

The Open dialog allows you to load a job file into the memory of an In-Sight vision system as the active job.

To open a job file from an In-Sight vision system:

  1. On the File Menu, click Open Job.

  2. Choose the location that contains the desired job file to open. The Look In: drop-down list contains drives on your local PC, network drives, detected In-Sight vision systems and emulators on your local subnet, Job Server as well as any devices defined in the Explorer Host Table. To list the available jobs on a vision system, select the vision system from the drop-down list.

  3. Highlight the desired job and click Open. Alternatively, you can double-click the job file or type in the file name.

    Note:
    • Unless defined within the Explorer Host Table, In-Sight vision systems that are not located on your subnet do not automatically appear within the Look In: drop-down list.
    • The Open dialog is not accessible under any of the following conditions:
      • The active In-Sight vision system is Online.
      • The user's access level is locked.
    • The Open dialog is accessible for a user with protected access only if FTP-Read privileges are granted to that particular user within the user list.
    • In-Sight vision system settings cannot be loaded from the Open dialog. A vision system settings file (proc.set) can only be transferred using standard FTP commands from an In-Sight emulator or another non-In-Sight FTP device on the network.

    • The Job Server location only appears when the Job Server is enabled using the Job Server Settings dialog.

    • Job Server is not supported on the In-Sight 2000 series vision sensor.
    • Right-clicking a file from the dialog allows you to copy, delete and rename files. Copied jobs can be pasted to other In-Sight vision systems, emulators or SD Cards.

Save a Job

The Save As dialog stores a job file into flash memory on an In-Sight vision system. When the destination is an In-Sight emulator, the job is saved to a file on the PC's hard disk.

To save a job file on an In-Sight vision system:

  1. On the File menu, click Save Job.

  2. Choose the location where you want to save the file. The Look In: drop-down list contains drives on your local PC, network drives, detected In-Sight vision systems and emulators on your local subnet, Job Server as well as any devices defined in the Explorer Host Table. To list the available jobs on a vision system, select the vision system from the drop-down list.

  3. To save the active job as a new file, enter a name inside the File name: text box and click Save. To replace an existing file, select that file from the list and click Save.

    Note:
    • If you are saving the file for the first time, you will be asked to specify a file name. When naming files, avoid using the backslash character ("\") because files with a backslash character in their name cannot be copied or deleted without first renaming the file and removing the backslash character; file names with a backslash will also cause an error during a restore operation.
    • A file Name can contain spaces.
    • A file Name cannot contain any of the following characters: / : , ; * ? " < > | %
    • Do not cycle power on the vision system while a job is being saved. If power is interrupted while the file is being saved, the file must be saved again.
    • Depending on the size of the job or the connection speed of the device the job is being saved to, some jobs may take longer to save than others.
    • To save a copy of the file or select a different location to save the file, select Save Job As from the File Menu.
    • Job file path names can contain a maximum of 255 characters. The job file path name refers to all of the characters from the root directory through the file name and file extension. If you will be using Native Mode commands, job slots that are pre-pended to the filename have to be factored into the total number of characters.
    • Unless defined within the Explorer Host Table, In-Sight vision systems that are not located on your subnet do not automatically appear within the Look In: drop-down list.
    • The Save As dialog is not accessible under either of the following conditions:

      • The active In-Sight vision system is Online. However, if the Allow Online Job Save checkbox on the User dialog is enabled, users with Full or Protected access are allowed to access the Save As dialog.

      • The user's access level is locked.

    • The Save As dialog is accessible for a user with protected access only if FTP-Write privileges are granted to that particular user within the user list.
    • Beginning with In-Sight Explorer 4.4.1, if a job has been protected, a drop-down menu option, Encryption, will become enabled. There are two options: Fast (default) and Legacy. The Fast option reduces job-related delays, especially with large job files; the Legacy option is used for jobs that must be compatible with In-Sight vision systems running 4.4.0 or earlier. The Encryption drop-down is set to the current encryption option used by the job.

    • The Job Server location only appears when the Job Server is enabled using the Job Server Settings dialog.

    • Job Server is not supported on the In-Sight 2000 series vision sensor.
    • Right-clicking a file from the dialog allows you to copy, delete and rename files. Copied jobs can be pasted to other In-Sight vision systems, emulators or SD Cards.

Open an Image

The Open dialog also allows you to load a standard .BMP or .JPG file onto an In-Sight vision system; the image becomes the active image on the destination vision system and replaces image.bmp on the In-Sight file system.

To load an image file as the active image on an In-Sight vision system:

  1. On the File menu, click Open Image.

  2. Choose the location that contains the desired image file to open. Choose the location that contains the desired image file to open. The Look In: drop-down list contains drives on your local PC, network drives, detected In-Sight vision systems and emulators (including SD Card folders) on your local subnet, as well as any devices defined in the Explorer Host Table.

  3. Highlight the desired image and click Open. Alternatively, you can double-click an image file or type in the file name.

    Note:
    • The Open dialog is not accessible under either of the following conditions:
      • The active In-Sight vision system is Online.
      • The user's access level is locked.
    • The Open dialog is accessible for a user with protected access only if FTP-Read privileges are granted to that particular user within the User List.
    • In-Sight vision systems (except color vision systems) can output the last acquired image as a low-resolution image. Using the get [File Name] FTP command from a separate FTP connection, low-resolution images are available as image2.bmp (½ high by ½ wide) or image4.bmp (¼ high by ¼ wide). For example, from the FTP command line type, "get image2.bmp”.

Save an Image

The Save As dialog allows you to store the active image from an In-Sight vision system for later retrieval. Images may be saved in either bitmap (*.BMP) or JPEG (*.JPG) format onto any In-Sight vision system or emulator.

Note: Saving any image to an In-Sight vision system will replace image.bmp on that vision system, which becomes the active image. Alternate file names for images are not supported on In-Sight vision systems. On In-Sight emulators, however, alternate image file names are permitted; image storage space depends on the PC's hard drive capacity.

To save an image file on an In-Sight vision system:

  1. On the File menu, click Save Image As.

  2. Choose the In-Sight vision system on which you want to save the image. Choose the location that contains the desired image file to open. The Look In: drop-down list contains drives on your local PC, network drives, detected In-Sight vision systems and emulators (including SD Card folders) on your local subnet, as well as any devices defined in the Explorer Host Table.

  3. To save the image as a new file, enter a name inside the File name: text box and click Save. To replace an existing file, select that file from the list and click Save.

    Note:
    • Image file names can contain a maximum of 251 characters (excluding the .BMP or .JPG extension).
    • A file Name cannot contain any of the following characters: / : , ; * ? " < > | %
    • The Save As dialog is not accessible under any of the following conditions:
      • The active In-Sight vision system is Online.
      • The user's access level is locked.
    • The Save As dialog is accessible for a user with protected access only if FTP-Write privileges are granted to that particular user within the User List.


Insert Cells Dialog

The Insert Cells dialog is used to add a cell, a range of cells, a new row or new column to the spreadsheet.

  1. Click a cell or a range of cells in which you would like to insert a new cell, a range of cells, a new row or a new column.

  2. From the Insert menu, click Cells.

  3. Select the appropriate insert action:
    • Shift cells right: Inserts the new cells to the left of the selected cell(s). Select the same number of cells that you want to insert.
    • Shift cells down: Inserts the new cells above the selected cell(s). Select the same number of cells that you want to insert.
    • Entire row: Inserts an entire row of cells. Click a cell in the row immediately below where you want the new row. For example, to insert a new row above row 5, click a cell in row 5.
    • Entire column: Inserts an entire column of cells. Click a cell in the column immediately to the right of where you want to insert the new column. For example, to insert a new column to the left of column B, click a cell in column B.
  4. Click OK to insert the cell(s), row or column.


Startup Dialog

The Startup dialog specifies job-related boot-time options for an In-Sight vision system, including the default job and Online/Offline status. User-related startup parameters are specified in the Options dialog.

Note:
  • In-Sight vision systems must be manually restarted before changes will take effect. Similarly, the In-Sight emulator must be disabled and re-enabled from the Options dialog before modified Startup settings will take effect.
  • No warning is given if the specified startup job does not exist (for example, after the job has been deleted or renamed).
  • A job saved in a Job Server can also be used as a default job, and automatically loaded to the vision system at startup. Use the Job Server Settings dialog to enable and configure the Job Server.

To Display the Startup Dialog

  • On the Sensor menu, click Startup.

    When a Job Server is enabled, the following dialog is displayed:

Startup Dialog Controls

  • Load Job on Startup: If this checkbox is checked, the selected job will be automatically loaded on startup. The list contains the jobs stored on the connected vision system/sensor, SD card installed to the connected vision system, or emulator.

  • Load Remote Job on Startup: If this checkbox is checked, the selected job will be automatically loaded on startup. The list contains the jobs stored on the Job Server.

    Note:
    • This checkbox is displayed only when the Job Server is enabled in the Job Server Settings dialog.
    • When the Job Server is enabled, a job saved in the Job Server can only be selected. If a job saved in the vision system should be loaded at startup, disable the Job Server.

  • Start the Sensor in Online Mode: If this checkbox is checked, the active In-Sight vision system/sensor will boot into Online mode.

    Note: As a safety precaution to prevent unintended activation of external devices such as robots, the In-Sight vision system will not automatically acquire an initialization image on job load when the Online checkbox is checked. This will result in slower than normal job processing time when the first acquisition trigger is received. Subsequent images will be processed at the normal speed.


User Access Settings Dialog

The User Access Settings dialog is used to set the security mode of In-Sight vision systems. The User Access Settings dialog maintains the access level and FTP read/write privileges for authorized users of In-Sight vision systems and emulators. The User Access Settings determine which users may log onto a particular In-Sight vision system through the Log On/Off dialog, as well as the types of changes they can make to the active job. Each In-Sight vision system has its own User List, separate from every other vision system on the network. If a user needs access to a particular vision system, they must know a user name and password that already exists in that vision system's User List.

User Access Settings Dialog Controls

To display the User Access Settings dialog, click User Access Settings from the Sensor menu.

  • Name: Specifies the user name that is used to log on to the vision system.
  • Access: Specifies the access level of the user. This sets the user permissions on a granular scale, with three levels possible: Full, Protected and Locked.

  • View: Specifies the view after successful log on when the Job View is the Spreadsheet View. If Normal is specified, the Spreadsheet View is displayed after log on. If Custom is specified, the Custom View is displayed after log on.

    Note:
    • For the Full access-level users, the initial view is specified. Once logged on, the user can toggle between the Spreadsheet View and Custom View by pressing F6 or by clicking the Custom View button in the Job Display Toolbar.
    • The Protected or Locked access level users are only allowed to access the Custom View.
  • FTP-R: Specifies the FTP Read privilege, which controls whether the user is allowed to load jobs onto the vision system. Yes indicates that the user is allowed to load jobs. No indicates the user cannot load jobs.
  • FTP-W: Specifies the FTP Write privilege, which controls whether the user is allowed to save jobs on the vision system. Yes indicates that the user is allowed to save jobs. No indicates the user cannot save jobs.
  • Online/Offline: Specifies whether the user is allowed to change the Online/Offline status of the vision system. Enabled indicates that the user is allowed to transition the vision system between Online/Offline states. Disabled indicates the user cannot transition the vision system between Online/Offline states.
  • Online Job Save: Specifies whether the user is allowed to save jobs when the vision system is Online. Enabled indicates that the user is allowed to save jobs while Online. Disabled indicates the user cannot save jobs while Online.

Create a New User

  1. Click Add.

  2. Enter an alphanumeric string for the User Name field.

    Note: The length of the User Name and Password strings cannot exceed 15 characters (the User Name must be from 1 and 15 characters, and the Password must be from 0 and 15 characters). Valid characters include letters, numeric digits and "_" and "-".
  3. Enter a password for the new user.

  4. Retype the password in the Verify Password field.

  5. Select an access level for the new user from the Access drop-down list. The access level controls how much interaction is allowed for the current user to prevent inadvertent or unauthorized changes to the configuration. The selected access level is in effect whenever anyone logs on to In-Sight Explorer with the selected User Name and Password. Three access levels are available:
    • Full: This offers complete, unrestricted access to the In-Sight vision system. Any job can be loaded, modified or saved, and all menu selections are available. The default admin user account has Full access.
    • Protected: The user has limited access to the vision system. Protected mode allows you to access Live Video mode, toggle the Online/Offline status of the vision system (if permitted by your Allow Online/Offline privileges), open or save jobs (if permitted by your FTP Read/Write privileges) and customize the appearance of the interface through the Options dialog. In EasyBuilder View, Protected access allows you to edit tool parameters, but not to add or delete tools. In Spreadsheet View, Protected access always displays the Custom View of the spreadsheet. A user in Protected mode can edit the values of any Graphics Controls functions visible in the Custom View, but cannot change the functions themselves. The default operator user account has Protected access.
    • Locked: This offers the most restrictive access. You can only monitor the operation of the current In-Sight vision system. The default monitor user account has Locked access.

  6. Optionally, uncheck Show Custom View at Log On to display the Spreadsheet View after successful log on when the Job View is the Spreadsheet View. By default, this is checked and the Custom View is displayed at log on. This checkbox is always grayed out when the selected access level is Protected or Locked.

    Note:
    • By default, this is unchecked for the pre-configured admin user.
    • When checked, "Custom" is displayed in the View column in the User Access Settings dialog. When unchecked, "Normal" is displayed in the View Column in the User Access Settings dialog.
  7. Optionally, uncheck Allow Online/Offline to restrict users with Protected access from toggling the Online/Offline state of the vision system. This checkbox is always grayed out when the selected access level is Full or Locked. For more information, see Online/Offline.

  8. Optionally, check Allow Online Job Saveto allow users with Full or Protected access to save jobs while online. This checkbox is grayed out when the selected access level is Locked.

    Note:
    • When checked, users with Protected access can save jobs while online even if the FTP Write privilege is not enabled.

    • If the Allow Online Job Save checkbox is checked and the job is running at the maximum possible trigger rate, triggers may be missed while saving the job.

  9. Specify the user's FTP, Read and Write privileges. FTP Read privileges apply to opening job or image files from the In-Sight vision system, while FTP Write privileges apply to saving jobs or images to the In-Sight vision system. Additionally, these permissions are in effect when the user attempts to log on to the active In-Sight system from a remote FTP client on the network.
  10. Click OK.

Modify an Existing User

  1. Highlight a user from the list.

  2. Click Edit.

  3. Modify user settings as necessary. See the preceding section on creating a new user for a detailed description of the user options.

    Note:
    • If the admin password is changed, you must log off then log back on to the vision system with the new password or errors may occur. For more information, see Error Messages.
    • The Access level, Allow Online/Offline privileges, FTP privileges and User Name for admin cannot be modified.
    • The Show Custom View at Log On checkbox affects only the Spreadsheet View; EasyBuilder does not support Custom Views.

Delete a User

Note: The admin user cannot be deleted.
  1. Highlight a user in the list.

  2. Click Delete.

  3. Confirm the deletion.


Formatting Input/Output Data

Data from EasyBuilder jobs, such as individual tool results or overall job results (output only), can be communicated over Ethernet/IP, DeviceNet, Modbus TCP, PROFINET and POWERLINK. Formatted input data will be read after the sensor acquires an image, and output data will be sent after the sensor completes its job execution.

Note: DeviceNet, POWERLINK and CC-Link are only available on In-Sight vision systems using In-Sight firmware 4.x.x, and are not available on In-Sight vision systems running In-Sight firmware 5.1.0 and later. For a complete list of models and supported firmware versions, see Firmware Versions.

To format your data:

  1. Click either the Format Input Data or Format Output Data tab.
  2. Press the Add button to launch the Select Input Data or Select Output Data dialogs.
  3. The Select Input Data or Select Output Data dialogs contain the data from any Location or Inspection Tools that were added to your job and the overall job results (output only). From the dialog, select the appropriate data that you want to be sent from (or to) the In-Sight sensor, and press the OK button.

  4. After you have added your data, you can modify the default data type of the selected data by choosing a different data type in the Data Type drop-down list.

    Note:
    • If you select String or Byte-Swapped String from the Data Type drop-down list, the Element Size (bytes) control will be enabled and you can specify the string length by choosing the correct number of bytes.
    • When using PROFINET, the maximum length for input and output data is 4,000 bytes. When using POWERLINK, the maximum length for input and output data is 256 bytes.

  5. You can also customize the byte order by specifying Low Byte first versus High Byte first by un-checking the High Byte/Low Byte checkbox (by default, it is unchecked for all protocols except PROFINET). You can customize the word ordering by specifying Low Word first versus High Word first by un-checking the High Word/Low Word checkbox (by default, it is unchecked). Any changes made on the Format Output Data tab will be updated in the preview window.

    Note: Any changes made to the byte or word ordering will affect all the data signals in the Format Output Data and Format Input Data tabs.
  6. Rearrange the order of the data that will be sent or received by selecting the data from the list and clicking either the Up or Down buttons to set your desired order.


Caliper Array

Caliper arrays are used to isolate edges within a region of the image, using the edge model method, in which edge peaks are detected within individual Calipers using a 1D kernel. The Caliper array produces a 1D representation of the portion of the image that contains the edges of interest. This 1D image will contain not only the edges of interest, but also other edges caused by noise and other unwanted information in the original image. Applying the Caliper Size, Edge Width and Minimum Contrast parameters in the Edges tab of the tools utilizing the Caliper Array, to the 1D image increases the strength of the edges of interest, while at the same time decreasing image noise.

Each Caliper in the array is evaluated individually, and the edge candidates within are scored to determine which edge should be selected. For positional defects, a best-fit line is created, based on each found edge, and defects are determined by comparing the found edge to the best-fit line for variances from the specified tolerances. For width defects, the distance between the two edges found within the Caliper are calculated to determine their distance, and defects are determined by comparing the distance to the expected range.

The Caliper array within the region defines the size of the detectable defects and/or gaps. The size of the detectable defect or gap is determined by the number of edges that can be detected, which is determined by the number of Calipers placed along the edge. The Calipers are displayed within the region as red rectangles when the Show All Calipers checkbox is enabled (disabled by default).

Note: The more Calipers that are applied within the region will increase the tool's execution time.


Adding and Editing Color Models

A Color Model is a collection of Colors that are used to define an object and background in an image. Each Color Model represents a 3D color space in which you add or subtract the RGB values of Colors of the object and background you are acquiring.

Closed Adding a Color Model
  1. From the Settings tab, select the Color Library to reference from the Color Library drop-down menu. By default, the first Color Library (ExtractColorLibrary_1) is selected.
  2. Press the Train Color button to launch the ExtractColor Training dialog.
  3. In the Color Models group box of the ExtractColor Training dialog, press the New Model button to add a new Color Model to the Color Library. The default name is "Model_1" (if it is the first Color Model added to the Color Library, otherwise it will be incremented, e.g. "Model_2", "Model_3", etc.).
  4. If desired, rename the Color Model to a name more specific to your application, especially if you will have multiple Color Models. A Color Model can be renamed at any time by highlighting the Color Model and pressing the Rename button above the Color Library directory.
  5. Color Models can be removed from the list by selecting the Color Model and pressing the Delete Model button.
Closed Adding and Subtracting Colors in Color Model
Closed Adding or Subtracting a Single Color to a Color Model
  1. Select the Color Model to modify.
  2. In the Train group box, select Most Dominant Color (the default setting).
  3. In the Train group box, select the type of region that will be used to define the Color: Region, Circle, Annulus, Polygon or Freehand.
  4. Press the Add New Color or the Subtract New Color button, and configure the region within the image so that it only includes the RGB values that you want to add or subtract.
  5. Either double-click the region or press the OK button in the Job Edit toolbar once you have configured the region.
  6. For an Add Operation, the Color added to the Color Model contains the peak RGB values from within the region, and those values will be added to the cumulative Color Model.
  7. For a Subtract Operation, the Color added to the Color Model contains the peak RGB values from within the region, and those values will be subtracted from the cumulative Color Model.
  8. Colors in the Color Model list may be moved within the list to modify which Color begins or ends the operation. The fist Color applied to the inspection is listed first.
Closed Adding or Subtracting Multiple Colors to a Color Model
  1. Select the Color Model to modify.
  2. In the Train group box, select Multiple Colors.
  3. In the Train group box, select the type of region that will be used to define the Color: Region, Circle, Annulus, Polygon or Freehand.
  4. Press the Add New Color or Subtract New Color button, and configure the region within the image so that it only includes the RGB values that you want to add or subtract.
  5. Either double-click the region or press the OK button in the Job Edit toolbar once you have configured the region.
  6. For an Add Operation, the Color added to the Color Model contains the peak RGB values from within the region, and those values will be added to the cumulative Color Model.
  7. For a Subtract Operation, the Color added to the Color Model contains the peak RGB values from within the region, and those values will be subtracted from the cumulative Color Model.
  8. Colors in the Color Model list may be moved within the list to modify which Color begins or ends the operation. The fist Color applied to the inspection is listed first.
Closed Adjusting the Color Tolerance of a Color

Utilizing the Image Marking controls in conjunction with the Color Tolerance controls, you can determine how much of your object is being detected and adjust the Color Tolerance controls to increase or decrease the sensitivity of the tool by using the Darker, Lighter, Highlights and Hues settings in the Color Tolerance group box of the ExtractColor Training dialog.

Tip: When configuring the Color Tolerance controls, position the ExtractColor Training dialog so that you can easily view the image. As you adjust the controls, the image will update to reflect the changes, depending on the type of Image Marking selected.
Closed Color Tolerance Controls
Closed Darker

Increasing this setting adds space to the Color toward Black (0, 0, 0).

Closed Lighter

Increasing this setting adds space to the Color toward White (255, 255, 255).

Closed Highlights

Increasing this setting adds space to the Color from the initial Color position toward White (255, 255, 255).

Closed Hues

Increasing this setting increases the 3D "box" of the initial Color in three dimensions in the color space.

Closed Image Marking Controls

The Image Marking buttons allow you to determine what is highlighted in the image when you are adding/subtracting Color(s) and Color Model(s).

Closed Mark Results for Entire Group

All of the Colors in your Color Model are marked in the image.

Closed Mark Results up to Selected Color

If you select the second Color in a list of three, the first and second Colors are marked in the image.

Closed Mark Selected Colors Only

Only the selected Color is marked in the image.

Closed Editing a Color Model
  1. From the Settings tab, select the Color Library to reference from the Color Library drop-down menu.
  2. Press the Train Color button to launch the ExtractColor Training dialog.
  3. Select the Color Model to modify and utilize the controls in the dialog to edit the Color Model.


Adding and Editing Colors

Colors are defined by a region, and they store the average RGB and HSI values contained within the region at the time of training. The Library may contain up to 100 distinct Colors, which are composed of the RGB/HSI values of the object being examined.

Closed Adding a Color
  1. From the Settings tab, select the Color Library to reference from the Color Library drop-down menu. By default, the first Color Library (MatchColorLibrary_1) is selected.
  2. Press the Train Color button to launch the MatchColor Training dialog.
  3. In the Train group box, select the type of region that will be used to define the Color: Region, Circle, Annulus, Polygon, Draw Freehand or Point.
  4. Press the Add New Color button and configure the region within the image so that it only includes the RGB values that you want to add or subtract.
  5. Either double-click the region or press the OK button in the Job Edit toolbar once you have configured the region.
  6. If desired, rename the Color to a name more specific to your application, especially if you will have multiple Colors. A Color can be renamed at any time by highlighting the Color and pressing the Rename button above the Color Library directory.
  7. Colors can be removed from the list by selecting the Color and pressing the Delete Model button.
Closed Adjusting the Color Tolerance of a Color

Utilizing the Color Tolerance controls, you can determine how much of your object is being detected and adjust the Color Tolerance controls to increase or decrease the sensitivity of the tool by using the settings in the Color Tolerance group box of the MatchColor Training dialog.

Tip: When configuring the Color Tolerance controls, position the MatchColor Training dialog so that you can easily view the image. As you adjust the controls, the image will update to reflect the changes.
Closed Darker

Specifies the Darker Limit (0 to 1.0; default = 1.0). When the Color Space is set to RGB, the Darker limit expands the trained Color proportionally lower along a line from (0,0,0) to the trained color's RGB value. When the Color Space is set to HSI, the Darker limit expands the Intensity value of the trained Color lower.

Closed Lighter

Specifies the Lighter Limit(1.0 to 10.0; default = 1.0). When the Color Space is set to RGB, the Lighter limit expands the trained Color proportionally higher along a line from (0,0,0) to the trained color's RGB value. When the Color Space is set to HSI, the Lighter limit expands the Intensity value of the trained Color higher.

Closed Editing a Color Model
  1. From the Settings tab, select the Color Library to reference from the Color Library drop-down menu.
  2. Press the Train Color button to launch the ExtractColor Training dialog.
  3. Select the Color Model to modify and utilize the controls in the dialog to edit the Color Model.


Edge Candidates

When using a tool that incorporates Caliper arrays, edge candidates are denoted by small, color coded circles.

Closed Example - Passing Straight Best-Fit Line

Closed Example - Failing Straight Best-Fit Line

Closed Example - Failing Circular Best-Fit Line


EasyBuilder Tags and Tag Labels

EasyBuilder Tags provide GUI formatting and cell reference data to the EasyBuilder environment. EasyBuilder Tag Labels provide the displayed text in EasyBuilder, or indicate the EasyBuilder Tag in the Spreadsheet. EasyBuilder Tags are denoted by a green triangular Comment indicator in the lower left-hand corner of the cell, and contain a mouse-activated tooltip. For more information, see Comment Dialog.

EasyBuilder Tag cells conform to a specific syntax, and denote a cell or a group of cells that must maintain a pre-defined spatial relationship to one another. For example, the EasyBuilder Tag, Input:Fixture, must always consist of a row of three consecutive cells (below the row of EasyBuilder Tag Labels Row, Column and Theta), which relate the X,Y and Angle data in EasyBuilder. Altering the spatial relationship of the cells, or deleting certain cells, may cause the job to behave unexpectedly.

When a Location or Inspection Tool is added to an EasyBuilder job, the EasyBuilder application parses the EasyBuilder Spreadsheet for the EasyBuilder Tag and Text Label cells, which defines the behavior of the tool and what is displayed in EasyBuilder. The EasyBuilder Tag cells also denote cell references between other EasyBuilder Tag cells within the tool's snippet, as well as links to the other EasyBuilder snippets in the job. For example, the EasyBuilder Tool snippets manage fixture, calibration and overall pass/fail status data through EasyBuilder Tag cells.


Software Registration

If In-Sight Explorer does not detect any In-Sight vision systems on your network, then you will be required to enter an Offline Programming Key into the Options dialog in order to configure In-Sight jobs locally in the In-Sight offline emulator environment. For more information, see Emulation Panel.

Note:
  • If you have purchased Offline programming licenses for any version of PC Host, then these licenses will work as valid Offline Programming Keys for In-Sight Explorer.
  • If an Offline Programming Key has not been entered, you may see Error 6001 or Error 6047 when launching In-Sight Explorer. For more information, see Error Messages.


Install the Cognex Network Server Software

  1. Download the Cognex Network Server software from the Cognex support site.

  2. Run the Cognex Network Server installer you just downloaded.

  3. Click Next on the Welcome to the InstallShield Wizard for Cognex Network Server dialog.

  4. Accept the terms and click Next.

  5. Click Next to install the Cognex Network Server to the default location C:\Program Files (x86)\Cognex\Cognex Network Server x.x.x

    If you want to install the Cognex Network Server to a different folder, click the Change button to open the Browser for Destination Folder dialog. Specify a new installation destination folder, then click OK to confirm.

  6. Click Install to begin the installation.

  7. When prompted, specify the Cognex Network Server Data Folder and the 'adminserver' password in the Cognex Network Server dialog.

    By default, the Cognex Network Server Data Folder is C:\ProgramData\Cognex\Cognex Network Server\data, and the default password is 1234. The Host Name and the IP address will be auto-populated in the Server Identification field. You will need the Host Name (or the IP address) and Password to configure the HTTPS mode in the In-Sight Explorer HMI Settings dialog.

    Once finished, click Accept to start configuring the Cognex Network Server and creating the server certificate.

  8. Click Finish to exit the installation wizard.

Note: Your Certificate Authority (CA) private key is saved under C:\ProgramData\Cognex\Cognex Network Server\SSL. For security purposes, do not expose your private key and make sure your Certificate Authority (CA) private key is protected.


Configure the HTTPS Connection

This topic explains how to configure the HTTPS connection between your In-Sight device and Web HMI.

  1. Install the Cognex Network Server Software

    You will need a valid common Certificate Authority (CA) to enable trusted HTTPS connections in In-Sight Explorer. The Cognex Network Server provides you a mechanism to create a Certificate Authority (CA) and to generate trusted certificates.

    The Cognex Network Server software should be installed on a PC or server that your In-Sight devices and Web HMI browsers can both access.

    Note:

    Cognex Network Server Supported Operating Systems:

    • Microsoft Windows 10 Professional (64-bit)
    • Microsoft Windows Server 2016

  2. Enable HTTPS in In-Sight Explorer

    The next step is to enable the HTTPS server and connect your In-Sight devices to the Cognex Network Server using the HMI Settings Dialog.

  3. Install the Security Certificate

    You must install the Certificate Authority (CA) to your local PC to enable the HTTPS connection in your web browser. If you already have a certificate, you can skip this step and connect to the Web HMI application with an HTTPS connection directly. If you attempt to connect to the Web HMI application without a trusted certificate, you will be redirected to a certificate download page.

  4. Launch the Web HMI Application

    You must close all browser windows after the certificate is installed and launch the Web HMI application again. Your Web HMI application will be redirected to the HTTPS connection automatically.


Enable HTTPS in In-Sight Explorer

  1. Launch In-Sight Explorer and connect to a vision system or sensor.
  2. From the Sensor menu, select HMI Settings to open the HMI Settings dialog.

  3. From the HMI Mode drop-down list, select HTTPS.

  4. Specify the HTTPS port number. By default, the port number is set to 8443, but it can be changed to any available port on the server.

    Note:
    • The HTTP port number and the HTTPS port number cannot be the same.
    • For information about In-Sight reserved ports, see In-Sight Ports.

  5. In the Cognex Network Server field, enter the host name or the IP address of the Cognex Network Server. The host name and the IP address can be found in the Cognex Network Server Manager.

    Note: The Cognex Network Server Manager can be launched from either the Microsoft® Windows® Start menu or from the Cognex Network Server icon in the Microsoft Windows System Tray.
  6. Enter the Password of the Cognex Network Server you previously set up in the Cognex Network Server Manager.
  7. (Optional) Select the Save Password checkbox if you want In-Sight Explorer to remember the password of your Cognex Network Server.

  8. Click the Verify HTTPS button. A green check mark indicates that the HTTPS connection between your In-Sight device and the Cognex Network Server is correctly configured.

    Note:
    • If you have trouble configuring the HTTPS connection, see HTTPS Configuration Troubleshooting.
    • Updating the firmware or changing the network settings of your In-Sight vision system or sensor will result in certificate errors if the Cognex Network Server is not running correctly. Ensure the Cognex Network Server is running before updating firmware on an HTTPS enabled device. If the Cognex Network Server is down, the certificate cannot be reissued.

  9. Click OK to exit the HMI Settings dialog.

  10. When prompted, click Yes to restart the vision system or sensor.


Install the Security Certificate

You must install the Certificate Authority (CA) to your local PC to enable the HTTPS connection in your web browser. If you already have a certificate, you can skip this step and connect to the Web HMI application with an HTTPS connection directly. If you attempt to connect to the Web HMI application without a trusted certificate, you will be redirected to a certificate download page.

  1. Open the Web HMI Application.

    Option 1: Enter the Web Address into a Web Browser

    1. Open the web browser.

    2. Enter the IP address and port number of the selected vision system or sensor in the web browser's address bar.

      Web Address Syntax: http://<IP Address>:<HTTP Port>

      Note: Do not use the HTTPS port. If you attempt to connect to the HTTPS port without a trusted certificate, you will be redirected to a warning page.

    Option 2: Use the Open Web Browser View Option

    1. From the In-Sight Network pane, right-click the selected vision system or sensor.
    2. Click the Open Web Browser View to open the Web HMI application of the selected vision system or sensor.

  2. You will be redirected to a certificate download page if you do not have a Certificate Authority (CA) installed on your PC.

    If using Microsoft Windows, click the Download button to download the Certificate Authority (CA). If using a different operating system, click one of the links under the Other Operating System (OS) to manually install the Certificate Authority (CA).

    Note: If the Cognex Certificate Authority Installer doesn't launch from your web browser after you click the Download button, close the browser window and launch the installation application from the location where the Cognex Certificate Authority Installer is saved.

  3. When prompted, click Install. The unique Certificate Authority (CA) will be added to your local PC's Trusted Root Certification Authorities.

    Note: You do not need to enter or change the information in the Cognex Network Server Name or IP field. The Server Name or IP will be automatically populated.

  4. You will need to close all browser windows after the Certificate Authority (CA) is installed and then click OK.


Launch the Web HMI Application

  1. Open the Web HMI Application.

    Option 1: Enter the Web Address into a Web Browser

    1. Open the web browser.

    2. Enter the IP address and port number of the selected vision system or sensor in the web browser's address bar.

      Web Address Syntax: https://<IP Address>:<HTTPS Port> (e.g., https://192.168.0.1:8443)

      Note: You can also enter http://<IP Address>:<HTTP Port>. You will be redirected to the HTTPS connection automatically.

    Option 2: Use the Open Web Browser View Option

    1. From the In-Sight Network pane, right-click the selected vision system or sensor.
    2. Click the Open Web Browser View to open the Web HMI application of the selected vision system or sensor.

  2. The Web HMI application is opened with the HTTPS connection automatically.

    Note:

    If the HTTP Image Transfer checkbox is checked in the HMI Settings dialog, an information icon is displayed, indicating the connection is not fully secure.


HTTPS Configuration Troubleshooting

This topic provides information about the most common issues and possible solutions when configuring the HTTPS in the In-Sight Explorer.

Status Message | Possible Solution
The firmware on this device does not support HTTPS mode. | Update the firmware of your In-Sight device to 5.7.3 or later.
The In-Sight vision system is in HTTPS mode, but there is an internal error. Set the device to HTTP mode and change it back to HTTPS mode to correct the error. | Set the device to HTTP mode with server credentials correctly entered into the HMI Settings dialog. Click OK and restart the device. After the device is restarted, switch the device back to HTTPS mode.
The user credentials for the server are invalid.

Verify that the password you entered is correct. If you entered the correct password and this problem persists, open the Cognex Network Server Manager. Reset or change the password to ensure the correct password is used.
Unable to connect to the specified Cognex Network Server.

Open the Cognex Network Server Manager and verify that the Cognex Network Server Status is "Running".

If the Cognex Network Server is not running, click the Start button.

If the Cognex Network Server is running, ensure that the host name or IP address of the Cognex Network Server entered into the HMI Settings dialog matches the one listed on the Server Identification tab in the Cognex Network Server Manager.

If the Cognex Network Server is running and the HMI Settings dialog has the correct settings, ensure that the Cognex Network Server, the In-Sight vision system or sensor, and the computer using In-Sight Explorer are on the same network domain.
The device's certificate appears to be outdated or for a different server.

The HTTPs certificate on the In-Sight device isn’t based on the certificate authority of the server. The certificate on the In-Sight device needs to be updated. Enter the correct server information and click OK to accept the changes and restart the device to replace the old certificate with the new one.

If this problem persists, switch the device to HTTP mode. Click OK and restart the device. Once the device is restarted, switch the device back to HTTPS mode.
The time difference is too large for secure communication. | Open the Sensor -> Date Time Settings dialog. Use a time server by selecting either Time Synchronization or Use SNTP Services checkbox. If no time server is available, manually set the Date and Time.
Time synchronization is not configured. Enable SNTP or Time Synchronization. | Open the Sensor -> Date Time Settings dialog. Use a time server by selecting either Time Synchronization or Use SNTP Services checkbox. If no time server is available, manually set the Date and Time.
This In-Sight vision system and the server are not on the same subnet. Ensure that the routing between the subnets is correct. | Go to the Sensor -> Network Settings dialog and verify that the Subnet Mask is set to the correct value.
This In-Sight vision system cannot reach the server. Check the DNS server and gateway. | Go to the Sensor -> Network Settings dialog and verify that the Default Gateway and DNS Server are set to the correct values.
This In-Sight vision system cannot reach the server. Check the gateway. | Go to the Sensor -> Network Settings dialog and verify that the Default Gateway is set to the correct value.
Unable to check for potential network problems. | You may still be able to use your In-Sight device with HTTPS mode. If there is an issue, go to the Sensor -> Network Settings dialog and verify that the Default Gateway and DNS Server are set to the correct values.


CalibrateGrid

Utilizing a user-configurable calibration grid pattern, CalibrateGrid creates a 2D transformation to convert between pixel and real-world coordinate systems. CalibrateGrid also accounts for linear, non-linear and lens distortion.

About CalibrateGrid

CalibrateGrid computes a 2D transformation between the set of points identified by the dots found in a calibration grid-of-dots pattern, or the vertices of a checkerboard calibration grid pattern. In addition, CalibrateGrid automatically accounts for any optical or perspective distortion present in the lens being used to acquire the image.

The CalibrateGrid Setup pane is where the calibration pattern is configured:

  • The type of calibration grid pattern to be used.
  • The calibration grid pattern's spacing.
  • The type of real-world, physical measurement units.
  • The number of poses is set, from 1 to 30.

Optionally, a calibration plate grid can be printed if you don't already have one. Next, an image of the pattern is acquired, using the Pose pane. Once the image has been acquired, CalibrateGrid will automatically identify as many feature points as possible. As soon as the Calibration button is pressed, CalibrateGrid will begin to compute the calibration and report a "Calibration Score" based on the spacing of the feature points, with the results being displayed in the Results pane.

CalibrateGrid Dialog Panes and Controls

The CalibrateGrid dialog is composed of three panes for calibration: Setup pane, Pose pane, and Results pane.

Setup Pane

Parameter Description

Grid Type:

Specifies the type of calibration pattern that will be used to construct the calibration: Checkerboard, with fiducial; Checkerboard, no fiducial; Dots, with fiducial; or Dots, no fiducial.

Checkerboard, with fiducial

Tile vertices (the point where the corners of four tiles meet) are used to determine the feature location; vertices can be accurately located when the sensor is up to 45 degrees perpendicular to the surface; provides a fiducial marker to determine the grid's origin and identify the grid's orientation in real-world space.

Note: Checkerboard checks must be at least 15 pixels wide.

Checkerboard, no fiducial

Tile vertices (the point where the corners of four tiles meet) are used to determine the feature location; vertices can be accurately located when the sensor is up to 45 degrees perpendicular to the surface; the origin must be set using the Grid Axes.

Note: Checkerboard checks must be at least 15 pixels wide.

Dots, with fiducial

Less susceptible to variations in lighting across the field of view, as well as noise in the image, versus the checkerboard pattern; center of the dot determines the feature location; dots can be located when the sensor is up to 30 degrees perpendicular to the surface; provides a fiducial marker to determine the grid's origin and identify the grid's orientation in real-world space, as well as identifying and setting the grid spacing.

Note:
  • The recommended pixel diameter for the dots in the image should be between 15 to 30 pixels. The minimum and maximum range is 6 to 50 pixels; dots whose pixel diameters are above 50 or below 6 will not be found by the tool.

  • The Dots, with fiducial calibration pattern has a special identifying code in the calibration pattern, depending upon the values in the Grid Spacing and Grid Units fields. When the calibration pattern is captured as an image, the calibration tool will read this pattern and automatically fill in the Grid Spacing and Grid Units fields based upon the code in the calibration pattern. In situations where the actual grid size doesn't match the embedded code, but the same printed Dots, with fiducial calibration pattern needs to be used, select the Dots, no fiducial as the Grid Type and manually enter the values for the Grid Spacing and Grid Units. Then, for each pose, enter the values for the Grid Axes fields (Select Origin, Select X-Axis and Select Y-Axis). To create a Dots, with fiducial calibration pattern that does not automatically insert a coded symbol, simply set the Grid Spacing and Grid Units to any combination other than the 15 pre-configured patterns. The fifteen calibration patterns that have a special identifying code are:

    Grid Units – Inches: Grid Units – Millimeters:

    0.1

    1

    0.125

    2

    0.25

    5

    0.5

    10

    1

    20

    2

    50

    4

    100

    12

Dots, no fiducial

Less susceptible to variations in lighting across the field of view, as well as noise in the image, versus the checkerboard pattern; center of the dot determines the feature location; dots can be located when the sensor is up to 30 degrees perpendicular to the surface; the origin must be set using the Grid Axes.

Note: The dots must be at least 10 pixels in diameter in the acquired image (although 15 is the preferred value).

Grid Spacing:

Specifies either the size of a square in a checkerboard pattern, or the distance from center to center of the dots in a grid-of-dots pattern (.0000001 to 9999999; default = 10.00).

Grid Units:

Specifies the real-world measurement units (Microns, Millimeters (default), Centimeters or Inches) that the calibration will be based upon.

Number of Poses:

Specifies the number of poses that will be required to complete the calibration. Multiple poses are required when a single calibration pattern cannot fill the field of view. In this type of calibration, the calibration pattern is placed in various physical locations to cover the field of view. Each position of the calibration pattern is called a pose. CalibrateGrid can process between 1 and 30 poses. When more than two poses are selected, the Pose Location options will become enabled. These options are used to specify the expected movement of the calibration pattern between poses.

Lens Model:

Specifies the type of distortion correction (Radial or Projection; default = Radial) to use based on the type of lens being used to acquire the image. Radial refers to distortion that affects any optical lens where the magnification is different at the edges of the field of view than at the center of the field of view. Radial distortion is generally more severe with larger fields of view; wide-angle lens tend to exhibit more radial distortion than telephoto lens. Projection refers to distortion introduced when the vision system's optical axis is not perpendicular to the scene being acquired.

Print Grid:

Press to print the selected Grid Type.

Note: The Print Grid functionality should only be used in situations of coarse measurements and experimentation, and not in applications that require a high degree of precision and accuracy (a precisely fabricated calibration pattern is required for those types of applications).

Pose Locations - Automatic (default):

Specifies how the CalibrateGrid function should account for more than one pose (the Number of Poses parameter must be set to a value greater than 2 to enable this option).

The Automatic mode only provides optical calibration (correcting perspective and lens distortions) for the vision system. Since the Automatic mode is used to stitch up multiple views of the calibration grid into the coordinate system of the first pose view, the real-world coordinates of the origin in Pose 1 are the only world coordinate values that must be entered. All additional poses, as long as the fiducial is found, can be calibrated without specifying the origin for each pose.

Pose Locations - User-Specified:

Specifies how the CalibrateGrid function should account for more than one pose (the Number of Poses parameter must be set to a value greater than 2 to enable this option).

The User-Specified mode can be used to perform hand-eye calibration, a calibration type that not only provides data for correcting perspective and lens optical distortions, but also calibrates the camera from the image coordinate space to the motion coordinate space. Since the User-Specified mode is used for multi-view calibration, the motion device pose for each view must be manually entered.

Pose Pane

Parameter Description

Origin Location (World Coordinates):

Specifies the X and Y location of the origin in real-world coordinates; and in the event of a discrepancy between the angular relationship of the grid's axes and the real-world axes, the Angle may be specified, as well.

Note: If Pose Locations is enabled in the Setup pane, and User-Specified mode is selected, the Origin Location (World Coordinates) is actually used to specify the motion pose of the motion device instead of the position and angle of the calibration plate's origin.

Feature Points Found:

 Displays the total number of extracted feature points to be used in the calibration.

Acquire Image:

Specifies how the image will be acquired.

Manual Trigger: | Specifies that an image will be acquired after manually pressing the Manual Trigger button.
Live Mode: | Specifies that the In-Sight vision system will enter live video mode, where the focus of the vision system may be adjusted.
From File: | Specifies that an image will be loaded using the Open Image dialog.

Grid Axes:

 Specifies the grid axes of the calibration pattern when a calibration pattern without a fiducial is selected (Checkerboard, no fiducial or Dots, no fiducial).

Adjust Region:

 Launches interactive graphics mode to define a region of interest for the calibration; only features within the region of interest will be used in the calibration.

Feature Points Table:

Displays the feature points extracted from the image in their pixel row/column coordinates, as well as their calibration pattern location in grid coordinates (X,Y), relative to the origin. The X and Y coordinates are updated anytime the origin value changes. Extracted feature points are graphically displayed by a green-colored "x" at each feature location. Selecting a feature point from the table, or clicking on a feature point in the graphical display, will highlight the feature in both locations and show its coordinates graphically.

Results Pane

Parameter Description

Total Feature Points:

Displays the total number of feature points were extracted and used in the calibration.

Average Error:

Displays the average error, in pixels, during the calibration.

Maximum Error:

Displays the maximum error, in pixels, during the calibration.
Calibration Graphic:

Displays a graphic representation of the calibration.

  • Excellent = Error <= 0.25
  • Good = 0.25 < Error <= 0.5
  • Marginal = 0.5 < Error <= 2.0
  • Poor = 2.0 < Error <= 5.0
  • Very Poor = 5.0 < Error

Feature Points Table:

Displays the feature points extracted from the image in their pixel row/column coordinates, as well as their calibration pattern location in grid coordinates (X,Y), relative to the origin. The X and Y coordinates are updated anytime the origin value changes. Extracted feature points are graphically displayed by a green-colored "x" at each feature location. Selecting a feature point from the table, or clicking on a feature point in the graphical display, will highlight the feature in both locations and show its coordinates graphically.

How To Use CalibrateGrid

Configuring the Calibration Pattern Using the Setup Pane

When a CalibrateGrid function is first inserted, the Setup pane will automatically appear.

Note: To return to the Setup dialog from any of the CalibrateGrid dialogs, simply select Setup from the navigational pane in the left side of the dialog.
  1. To begin configuring the calibration pattern, from the Grid Type parameter, select a calibration pattern.
  2. Set the Grid Spacing value; this is used to define either the size of a square in a checkerboard pattern, or the distance from center to center of the dots in a grid-of-dots pattern.
  3. Set the Grid Units, which are the real-world measurement units that the real-world coordinates will be based upon.

  4. Determine the number of poses that will be necessary to complete the calibration and enter that value into the Number of poses parameter. When a single calibration pattern cannot fill the field of view, multiple calibration patterns must be used. In this type of calibration, the calibration pattern is placed in various physical locations to cover the field of view. Each position of the calibration pattern is called a pose. CalibrateGrid can process between 1 and 30 poses. When more than two poses are selected, the Pose Location options will become enabled. These options are used to specify the expected movement of the calibration pattern between poses.

    The default setting is Automatic, which essentially allows for free movement of the calibration pattern. When it is selected, the real-world coordinates of the origin in Pose 1 are the only world coordinate values that need to be entered. All additional poses, as long as the fiducial is found, are calibrated without specifying the origin for each pose.

    Note: The Automatic mode only provides optical calibration (correcting perspective and lens distortions) for the vision system.

    The User-Specified mode is selected when one wants to perform a hand-eye calibration to establish relationship to a motion device's motion coordinate system. The motion device pose for each view must be manually entered. Users do not need to determine the calibration plate's origin position, since the placement offset (in position and orientation) between the calibration plate and the motion device is unknown.

    Note: The User-Specified mode provides both optical calibration and motion device calibration.
  5. Before printing the grid pattern, select the Lens Model (Radial or Projection) to define the type of distortion correction to use based on the type of lens being used to acquire the image. Radial (the default setting) refers to distortion that affects any optical lens where the magnification is different at the edges of the field of view than at the center of the field of view. Radial distortion is generally more severe with larger fields of view; wide-angle lens tend to exhibit more radial distortion than telephoto lens. Projection refers to distortion introduced when the vision system's optical axis is not perpendicular to the scene being acquired.

Printing the Calibration Pattern Using the Print Grid Dialog

Note: The Print Grid functionality should only be used in situations of coarse measurements and experimentation, and not in applications that require a high degree of precision and accuracy (a precisely fabricated calibration pattern is required for those types of applications).
  1. Once the calibration pattern has been configured, click on the Print Grid button to print a copy of the calibration pattern.
  2. Click on the Page Setup button to configure the calibration pattern before printing, using the Page Setup dialog.
  3. Click on the Print button to launch the Print dialog. From here, the calibration pattern can be printed.

Acquiring an Image of the Calibration Pattern Using the Pose Pane

Once the calibration pattern has been configured in the Setup pane, select Pose (or Pose 1 if there are multiple poses to configure) from the navigational pane. This will display the Pose pane.

  1. There are three options for acquiring an image for calibration: Trigger, Live Video, or From File.

    Note: The most accurate results are obtained when the calibration pattern is sharply focused across the entire field of view. Also, when processing the features, CalibrateGrid does not discriminate whether or not the features are dark-on-light or light-on-dark.

  2. Once the image is acquired, CalibrateGrid will automatically extract the feature points.

  3. To display the data table showing each feature extracted, press the toggle button (press it again to hide the table). The table displays the feature points extracted from the image in their pixel row/column coordinates, as well as their calibration pattern location in grid coordinates (X,Y), relative to the origin. The X and Y coordinates are updated anytime the origin value changes. Extracted feature points are graphically displayed by a green-colored "x" at each feature location. Selecting a feature point from the table, or clicking on a feature point in the graphical display, will highlight the feature in both locations and show its coordinates graphically, as shown above.

In every instance that a new image is acquired or a Pose dialog is re-entered, the region size is adjusted and the feature points will be re-extracted and the display results will also be updated. By default, the entire image is used in feature extraction. Pressing the Adjust Region button launches interactive graphics mode, where it is possible to define a region of interest and ignore the parts of the image outside of that space.

Modifying or Setting the Origin in the Pose Pane (optional)

If Pose Locations is enabled in the Setup pane, and Automatic mode is selected, the Origin Location field is used to specify the X and Y location of the origin in real-world coordinates. In addition, if there is any discrepancy between the angular relationship of the grid's axes and the real-world axes, that can be set using the Angle box. The origin can be altered for instances where it might be more convenient to place the origin at the center of an object, rather than the corner of the image. The origin location of the calibration can be altered by adjusting the X, Y and/or Angle boxes in the Origin Location (World Coordinates) field. The values can be increased or decreased by clicking the [image] buttons, or by manually entering the desired numeric value. When Automatic mode is selected, the real-world coordinates of the origin in Pose 1 are the only world coordinate values that need to be entered. All additional poses, as long as the fiducial is found, are calibrated without specifying the origin for each pose.

If Pose Locations is enabled in the Setup pane, and User-Specified mode is selected, the Origin Location (World Coordinates) is actually used to specify the motion pose of the motion device instead of the position and angle of the calibration plate's origin. The User-Specified mode is used to perform a hand-eye calibration to establish relationship to a motion device's motion coordinate system. The motion device pose for each view must be manually entered. Users do not need to determine the calibration plate's origin position, since the placement offset (in position and orientation) between the calibration plate and the motion device is unknown.

Configuring a Calibration Pattern Without a Fiducial Using the Grid Axes (optional)

If the calibration pattern being used does not have a fiducial, the origin and the X and Y coordinate axes must be defined by using the Grid Axes settings, which are present and enabled only when a calibration pattern without a fiducial is chosen.

  1. After the image has been processed and the features have been extracted, click the Select Origin button.

  2. This launches interactive graphics mode; from here, double-click on any of the highlighted points to select that point as the origin.

    Note: Not all extracted features are capable of being an origin point; if a feature point is missing two adjacent points that are 90 degrees apart, it cannot be selected as an origin.

  3. Once the origin is set, it will be highlighted and displayed in the Spreadsheet View, and the selected origin coordinate will be automatically highlighted in the data table, as shown below.

  4. Next, click the Select X-Axis button; again, this launches interactive graphics mode, and from here, double-click on any of the highlighted points to select it as the X-axis.

  5. Once the X-axis is set, it will be highlighted and displayed in the Spreadsheet View, and the selected X-axis coordinate will be automatically highlighted in the data table, as shown below.

  6. Next, click the Select Y-Axis button; again, this launches interactive graphics mode, and from here, double-click on any of the highlighted points to select it as the Y-axis.

  7. Once the Y-axis is set, it will be highlighted and displayed in the Spreadsheet View, and the selected Y-axis coordinate will be automatically highlighted in the data table.

  8. Finally, once the Origin, X-Axis and Y-Axis have been set, click the Calibrate button to proceed to the Results pane and finish the calibration, or select a Pose from the navigational pane if there are more poses to configure.

Configuring More Than One Pose Using the Pose Dialog (optional)

Automatic Mode:

When a single calibration pattern cannot fill the field of view, multiple calibration patterns must be used. In this illustration of a multiple pose scenario, the grid-of-dots pattern, with the fiducial marker, has been used.

  1. Specify the Origin Location (World Coordinates) for Pose 1.
  2. Note: When Automatic mode is selected, the real-world coordinates of the origin in Pose 1 are the only world coordinate values that need to be entered. All additional poses, as long as the fiducial is found, are calibrated without specifying the origin for each pose.
  3. For each subsequent pose after Pose 1, a new image must be either loaded or acquired for each additional pose.
  4. Once all of the poses have been configured, click the Calibrate button to proceed to the Results dialog and finish the calibration.

User-Specified Mode:

If the calibration requires more than one pose with the pattern positioned in a different physical location for each pose, it will be necessary to accurately move the calibration pattern to several locations during the calibration sequence. This may be performed using a motion device, but the motion device control software is not automated in software, therefore, when a motion device is used, the motion device must be manually commanded by the motion device controller to move to each new pose before proceeding.

  1. Specify the Origin Location (World Coordinates) for each motion pose. The motion device pose must be manually entered for each view.
  2. Note: The Origin Location (World Coordinates) in User-Specified mode is actually used to specify the motion pose of the motion device instead of the position and angle of the calibration plate's origin. Users do not need to determine the calibration plate's origin position, since the placement offset (in position and orientation) between the calibration plate and the motion device is unknown.
  3. For each subsequent pose after Pose 1, a new image must be acquired for each additional pose.
  4. Once all of the poses have been configured, click the Calibrate button to proceed to the Results dialog and finish the calibration.

Verifying the Calibration Using the Results Dialog

Once the Calibrate button has been pressed, the function will begin to calculate the best 2D transformation, and the dialog will automatically display the Results pane. The Results pane displays a calibration summary, which shows the total number of feature points found, and the average and maximum calibration error in pixels. The error level is assigned a rating based on the average error, using the following rating values:

  • Excellent = Error <= 0.25
  • Good = 0.25 < Error <= 0.5
  • Marginal = 0.5 < Error <= 2.0
  • Poor = 2.0 < Error <= 5.0
  • Very Poor = 5.0 < Error

The rating can be viewed as the "score" of the total calibration. For instance, if the features are not evenly spaced on the grid, this will result in a lower score; or in a multiple pose calibration with User-Specified selected for the pose locations, if one of the poses is not accurately placed, this will also result in a lower score.

If the results are acceptable, click the OK button to finish the calibration.


Event

Updates the spreadsheet on the specified event trigger. The Event function is used as a critical dependency in causing the spreadsheet to update only on specific input/output conditions.

Event Inputs

Syntax: Event(Trigger,Manual)

Parameter | Description
Trigger | Specifies a trigger source for the event when the In-Sight sensor is Online.

16

 Acquisition Error

Generated when an ERR: Missed Acquisition output is sent, or when a vision system loses communication.

Note: The Trigger parameter in the AcquireImage property sheet must be set to Camera to use this trigger.

17

 Discrete I/O Error

Generated when a tracking pulse overrun occurs, or the tracking pulse queue is full.

18

 Serial Port 0 Error

Not implemented.

19

 Serial Port 1 Error

Not implemented.

20

 Spreadsheet Error

Generated when a #ERR is returned in a cell for the first time during job execution.

21

 System Error

Not implemented.

22

 Network Error

Generated when using the:

  • TCPDevice or WriteResult functions, and these functions have received a socket error from a low-level network library.
  • TCPDevice function and a packet is received but cannot be handled because the job is being executed.
  • WriteFTP or WriteImageFTP functions and network parameter settings (Host Name, User Name, Password, etc.) are invalid.

32

 Manual

Generated when a manual trigger is initiated with the vision system Online.

33

 Online/Offline

Generated when an In-Sight vision system switches between Online/Offline states.

35

 Job Load Done

Generated after a job is loaded.

39

 Acquisition Job Complete

Generated at the end of acquisition-initiated job execution.

Note: The Trigger parameter in the AcquireImage property sheet must be set to Manual to use this trigger.

49 to 60

Discrete 0 to 11

Generated when the corresponding discrete input is configured as an Event Trigger, and the specified signal activity (i.e. Rising Edge, Falling or both) occurs.

64

 Serial port 0

Not implemented.
65 Serial port 1

Generated when the serial port is configured for either DeviceNet or Text Mode, and data is received on the serial port.

80 to 87

Soft 0 - 7

(default = Soft 0)

Generated when a SetEvent, Button or Timer function, or a Set Event or Set Event and Wait Native Mode command, soft trigger is executed.
135 | Tune Button | Generated when the Tune button on the In-Sight 7000 Gen2 series vision system or In-Sight 9000 series vision system is pressed.
Manual

Specifies whether manual triggering is issued when the event is triggered while the In-Sight vision system is Offline.

0

OFF (default)

Manual triggering is not issued.

1 ON

Manual triggering is issued.

Event Outputs

Returns

An Event data structure, or #ERR if any of the input parameters are invalid.


ID

The In-Sight ID tool functions read alphanumeric data strings contained in linear 1D and 2D symbols. Optionally, the quality of most symbols can be verified according to published specification. The ID tool includes the following functions:

  • ReadIDMax: Finds and decodes 1D or 2D symbols (1D/Stacked, Data Matrix, QR Code and Postal) within a region of interest. The function can be configured for a variety of symbologies, a number of results, and can handle a high degree of rotation and perspective distortion. Optionally, can also be used to train Data Matrix and QR Code models, and verify quality metrics.

  • ReadIDCode:Decodes information contained in 1D and 2D symbols, optionally verifies quality.

    Note:
    • The ReadIDCode function is only available on In-Sight vision systems using In-Sight firmware 4.x.x, and is not available on In-Sight vision systems running In-Sight firmware 5.1.0 and later. For a complete list of models and supported firmware versions, see Firmware Versions.
    • Cognex recommends that the ReadIDMax function be used instead of the ReadIDCode function, which is a legacy function. The ReadIDMax function has enhanced performance capabilities.
  • ValidateIDData: Performs validation of the data decoded from 1D and 2D symbols.
  • VerifyIDCode: Used to extract metrics associated with code readability and mark quality from 1D and 2D symbols.


Online/Offline

The current Online/Offline status is indicated on the status bar in the lower right corner of the user interface. For the status bar to display an [image] status, three independent Online states must be achieved: GUI Online, Communications Online, and Discrete I/O Online.

Any of the following actions will toggle the GUI Online/Offline status of the active vision system:

  • From the Sensor menu, click Online.
  • Click the Online [image] toolbar button.
  • EasyBuilder only: In the Run Job settings pane, click the Online button.
  • Press CTRL+F8.

The following table summarizes the different Online/Offline modes of the vision system:

Online/Offline Status

 Condition

The Communications and Discrete I/O Online states have been achieved, but the vision system was placed Offline from the GUI.

The three independent Online states have been achieved; the vision system is in its Online mode of operation.

The vision system was placed in Online mode from the GUI, but a communication protocol (such as ProfiNET, EtherNet/IP or Native Mode) is holding the vision system Offline. For example, a Native Mode Set Online command, SO0, has been issued telling the vision system to go Offline. The Set Online command, SO1, must be sent to the vision system to allow it to go Online.

Note: The application will send Set Online commands to vision systems to perform administrative functions such as Backup and Restore. For more information, see Backup Dialog and Restore From Dialog.

The vision system was placed in Online mode from the GUI, but a Discrete Input line, configured as an Online/Offline Type, is set low (0). The vision system will wait for the Discrete Input signal to change states before proceeding to Online mode.
Tip: You can configure the active vision system to boot into Online mode in the Startup dialog. For more information, see Startup Dialog.

Online Mode

When the vision system is Online, the following operations are allowed:

  • Send/receive data to/from the job over the network using network I/O functions.
  • Send/receive data to/from the job over a serial port using Text, Native, DeviceNet, and Motoman modes.
  • Respond to Camera, External and Network image acquisition triggers.

  • Reading and writing discrete I/O.

  • Printing the spreadsheet.
  • Printing the Results Table of an EasyBuilder job.
  • Displaying images using the Record/Playback option (the image acquisition trigger must be set to Manual).

When the vision system is Online, the following actions are prohibited:

  • Saving and opening jobs or images (unless the image acquisition trigger is set to Manual, which permits opening of images while Online).

    Note: If the Allow Online Job Save checkbox on the User dialog is enabled, users with Full or Protected access are allowed to save jobs while Online. For more information, see User Access Settings Dialog.
  • Editing, moving, copying or pasting cells in the spreadsheet.
  • Editing, copying or pasting tools in an EasyBuilder job.
  • Accessing any vision system-specific menu items, except for placing the vision system Offline.
  • Interactive Graphics Mode when in the Spreadsheet view (except for EditRegion functions, which can be modified when the vision system is Online).

Offline Mode

When the vision system is Offline, it cannot respond to an acquisition trigger or send/receive data to/from the job; however, the vision system can still respond to selected serial, network and discrete input commands that specifically toggle the Online state.


WriteResultsBuffer

Writes data from a referenced Buffer data structure, created by a FormatOutputBuffer function, to the currently enabled factory communication protocol (which is enabled in the Network Settings dialog). This function also writes the Result Code field for the factory communication protocols.

Note: If the WriteResultsBuffer function is used when the PROFINET communication protocol is enabled, bytes will be swapped.

WriteResultsBuffer Inputs

Syntax: WriteResultsBuffer(Event,Buffer,Result Code,Protocol,Byte/Word Order)

Event

 Specifies the event that forces an update.This parameter must be a reference to one of the following:
  • The Image data structure in cell A0, containing the AcquireImage function.
  • A cell containing an Event function.
  • A cell containing a Button function.

Buffer

Specifies a reference to a Buffer data structure created by a FormatOutputBuffer function, which contains automatically formatted data.

Note: The maximum length for output data is 4,000 bytes.
Result Code

Specifies a 16-bit integer that can be used to communicate the result of the In-Sight vision system's inspection to any connected devices.
Protocol

Specifies which protocol the user data should be written to.

Note: This parameter is only available on In-Sight vision systems running In-Sight firmware 5.1.0 and later. For a complete list of models and supported firmware versions, see Firmware Versions.
0 = EtherNet/IP | Specifies that EtherNet/IP is the enabled factory communication protocol.
1 = PROFINET | Specifies that PROFINET is the enabled factory communication protocol.
2 = SLMP Protocol Scanner | Specifies that SLMP Scanner is the enabled factory communication protocol.
3 = Modbus TCP Server | Specifies that Modbus TCP Server is the enabled factory communication protocol. Note: This protocol is only available on In-Sight vision systems running In-Sight firmware version 5.3.0 and later.
8 = CC-Link IE Field Basic Bit | Specifies that CC-Link IE Field Basic is the enabled factory communication protocol, and writes result buffer to the RX bit space. For more information, see Communicating with a Mitsubishi Automation Controller on CC-Link IE Field Network Basic.
9 = CC-Link IE Field Basic Word | Specifies that CC-Link IE Field Basic is the enabled factory communication protocol, and writes result buffer to the RWr word space. For more information, see Communicating with a Mitsubishi Automation Controller on CC-Link IE Field Network Basic.
100 = Any (Default) | Specifies that the currently enabled factory communication protocol will be used (which is enabled via the Network Settings dialog). If more than one protocol is enabled, the first enabled protocol will be used. For more information, see Network Settings Dialog.

Byte/Word Order

Specifies the bit order for words and bytes read by the function.

Note: This parameter is only available on In-Sight vision systems running In-Sight firmware 5.1.0 and later. For a complete list of models and supported firmware versions, see Firmware Versions.

0 = Big endian (= default for Modbus)

Specifies that the most significant byte is stored first and subsequent bytes are stored in descending order.

1 = Little endian

Specifies that the least significant byte is stored first and subsequent bytes are stored in ascending order.

2 = Big endian (word swapping)

Big endian byte style will be applied and double word types will have their word pair order switched. (16-bit words)

3 = Little endian (word swapping)

Little endian byte style will be applied and double word types will have their word pair order switched. (16-bit words)

100 = Default (when unselected)

The default setting (below) is used.

EtherNet/IP | Little endian
PROFINET | Big endian
SLMP Protocol Scanner | Little endian
Modbus TCP Server | Big endian
CC-Link IE Field Basic | Little endian

Examples:

AB (one-word-sized value): A = the most significant byte, B = the least significant byte:

 | Order of Arrival
Big endian (=default) | AB
Little endian | BA
Big endian (word swapping) | AB
Little endian (word swapping) | BA

12AB (two-word-sized value): 1 = the most significant byte, B = the least significant byte:

 | Order of Arrival
Big endian (=default) | 12 | AB
Little endian | BA | 21
Big endian (word swapping) | AB | 12
Little endian (word swapping) | 21 | BA

WriteResultsBuffer Outputs

Returns
  • A Write Result data structure containing the data sent to the client.
  • When connected to an In-Sight vision system running In-Sight firmware 4.x.x and earlier, the function will return the number of elements written or #ERR if an input parameter is invalid, or if a connection to a client has not been established.


Error Messages

Select one of the following errors for more information and possible solutions:

Error Code | Error Message | Additional Information
N/A Maximum Reference Depth Exceeded

The maximum number of references within a chain of cell references is 256 cells, and this error is initiated when the chain of references exceeds 256. A common cause of this error occurs when creating index numbers (e.g. B0=0; B1=B0+1; B2=B1+1; B3=B2+1...B255=B254+1; B256=B255+1; B257=B256+1 --> Error is triggered). In order to prevent this error, hard code a break in the chain of references (e.g. B0=0; B1=B0+1; B2=B1+1; B3=B2+1...B199=B198+1; B200=200 --> hard coded limit, which still leaves an additional reference depth of 56, which might be used by other cells attached to the chain. The chain can then be resumed, B201=B200+1...B255=B254+1; B256=B255+1; B257=B256+1 --> Error is NOT triggered).

3000

 <number> is not a valid entry The first octet of the IP address of an Explorer Host Table entry must lie between 1 and 223 (inclusive). The fourth octet must lie between 1 and 254 (inclusive). IP addresses such as 0.5.2.8 and 10.40.6.255 are not allowed. For more information, see Explorer Host Table Setup Dialog.
5000 | No segments found | In-Sight Explorer did not detect any character instances in the region you have defined. Ensure that you have the correct polarity set (either light characters on dark background, or dark characters on light background) in the Font Training dialog, and ensure that your search region is positioned correctly around the desired characters.
5001 The font contains the maximum number of characters

Fonts are allowed to have a maximum of 64 character models. Delete unwanted existing models before attempting to add new models.

5100

 The In-Sight host name you entered already exists You have attempted to add a host to the In-Sight Host Table that already exists. Choose a different name. For more information, see Host Table Dialog.
5101 Host name is not allowed

A host name is required and cannot be blank. Choose a name for the host.
5102 | Host name is not allowed | You have attempted to define an Explorer Host Table entry with an invalid host name. Certain host names are reserved for system use only and cannot be used as Host Table names. Choose a different name. For more information, see Explorer Host Table Setup Dialog.
5106 IP address is not allowed

You have attempted to add a host to the In-Sight Host Table that has an invalid IP address. Choose a different IP address. For more information, see Host Table Dialog.
5107 IP address is already defined

You have attempted to add a host to the In-Sight Host Table that has an IP address already used by an existing host table entry. Choose a different IP address. For more information, see Host Table Dialog.

5200

 Password not verified N/A
5201 The user name you entered already exists

In-Sight user names must be unique. If you attempt to enter a new user with the same name as an existing user, you will receive Error 5201. For more information, see User Access Settings Dialog.

5300

Unable to restart <host name>

 N/A

5301

 Error restarting <host name> N/A
5302 Unable to establish native mode connection to <host name>

The Native Mode channel on <host name> has stopped responding to In-Sight Explorer. Reboot the sensor and try the operation again.
5400 | Unknown connection error | N/A
5401 | Connection denied | N/A
5402 | Invalid username or password | N/A
5403 Invalid username or password

You may receive Error 5403 when attempting to log on to a sensor with a valid User Name but an incorrect Password if another user is already logged on to the sensor.
5404 Unable to connect to <host name>

Error 5404 can occur when In-Sight Explorer cannot create a TCP Socket to <host name> over port 1069. Usually this occurs because a firewall on the machine preventing the TCP socket from being created, or a second Network Interface Card that is configured such that Windows tries to use the second NIC instead of the correct NIC.

Generally, if you can create a telnet or ftp connection to <host name> from windows, you can also create the TCP socket to the sensor through In-Sight Explorer.

From a Windows command prompt, type 'telnet aaa.bbb.ccc.ddd 1069' where aaa.bbb.ccc.ddd is the IP address of <host name>. If telnet is unable to create a socket connection to that port, then In-Sight Explorer cannot either.

Note: If you are using the LMHOSTS file within Microsoft Windows for NetBIOS name resolution and have recently changed your network configuration to communicate on a different subnet, check the LMHOSTS file to ensure that <host name> is mapped to the correct IP address.
5405 | Internal Connect/Disconnect error | In-Sight Explorer has lost communication with the sensor listed in the title bar of the dialog. Ensure that the sensor is booted and communicating properly on the network. Power-cycle the remote sensor, if necessary.

5406

 Version Mismatch When loading a job file, you may encounter a Version Mismatch error or warning if the job file was created on a different version of In-Sight Explorer or PC Host. Saving the job file will update the version information.
N/A Version stamp mismatch. Job is <version stamp number>, and sensor is <version stamp number>. Continue loading?

There is a Version Stamp Mismatch between the job that you are attempting to load and the In-Sight vision system/emulator that you are attempting to load it onto. This happens when a job is created using one version of In-Sight software or firmware, and is loaded using a different version.

This warning does not indicate a compatibility problem between the job and the vision system. It is meant to alert you to the possibility of such a compatibility problem. If no other error message regarding failing to load the job appears after this warning, the job and the vision system/emulator are compatible and no further action is needed. If such an error message appears, you may have to modify this job file in order to make it fully compatible with the firmware running on the vision system/emulator.
5407

Your access level has to be adjusted to <user name>

 N/A
5408 | User <user name> is already locally connected to this system | N/A
5409 | User <user name> from <host name> is already remotely connected to this system | N/A
5410 | None of the files in the drag and drop list is valid | N/A
5500 | Unable to save image to file <file name> | N/A
5501 Unable to save job to file 'Filename' Error 5501 occurs with a secondary error descriptor:

Not allowed while Online
You have attempted to save a job file while the active In-Sight sensor was Online. Take the sensor Offline or enable the Allow Online Job Save checkbox on the User dialog if you have Full or Protected access, then retry the operation. For more information, see User Access Settings Dialog. This may occur in the Emulation Panel when trying to disable the local emulator. For more information, see Emulation Panel.
5502 | Saving to file name image.bmp, image.jpg, screen.bmp, or screen.jpg on an emulator is not allowed | N/A
5503

Could not create new folder named <folder name>

 N/A

5504

 Folder named <folder name> already exists N/A
5506 | Unable to open image file <file name> | N/A
5507 Unable to open job file <file name> Error 5507 occurs with a secondary error descriptor:

Access is denied
This message can appear when dragging and dropping a job file from Windows Explorer to the spreadsheet if the file name contains Chinese or Korean characters, and In-Sight Explorer's Language (System > Options > Language) is not set to Chinese or Korean, respectively. Set the correct Language for the file name, restart In-Sight Explorer and retry the operation.
5600 | A device with IP address <IP address> was detected on the network | N/A
5700 The formula is too complex

The maximum combined number of functions, arguments, and operators allowed in any given formula is 254. When an argument to a function is a range of cells, each cell within the range is counted as one argument.
5701 | There is an error in the formula
5800 | Unknown Native Mode Response | N/A
5801 | Unknown Native Mode Command | N/A
5802 | Insufficient privileges to execute command | N/A
5803 | Native Mode Command Failed | N/A
6000 Could not restore layout

When In-Sight Explorer is launched, it attempts to load a startup layout from the options.xml file, which is located in the application's root folder. If a Host Name is defined in the startup layout but cannot be detected on the network, then you will receive this error.

Error 6000 often occurs if the Host Name of the sensor or emulator in question has changed since the startup layout was last saved. Saving a new startup layout can resolve this issue:

  1. Log on to any In-Sight sensors to which you would like In-Sight Explorer to automatically log on at startup.
  2. Arrange the visual layout of views as desired (tiled or a single view maximized.)
  3. On the System Menu, click Save View Layout.
6001 Unable to open UDP port 1069

In-Sight Explorer opens UDP port 1069 to communicate with In-Sight sensors on a TCP/IP network. Some PC applications (such as Microsoft Outlook or the Microsoft IIS Admin service) open random UDP ports; this can interfere with the operation of In-Sight Explorer. If you receive the following error:

Error 6001: Unable to open UDP port 1069. In-Sight Explorer will be unable to detect In-Sight sensors on the network. Press OK to continue.

Close all applications and restart In-Sight Explorer. If you still receive the error message after closing all other applications, then reboot the PC and launch In-Sight Explorer again, before launching any other applications. When In-Sight Explorer is installed, a registry entry is created to prevent other Windows applications from using these ports, however the registry entry doesn't take effect until the PC is rebooted.

6002 | Could not stop emulator | N/A
6003 Could not start emulator

If an In-Sight sensor or emulator appears within the In-Sight Network tree upon application launch but In-Sight Explorer is unable to communicate with it, you may receive this error. Often this results from a startup layout that contains a host, defined in the Explorer Host Table, that cannot be accessed on the network. For more information, see Explorer Host Table Setup Dialog.

Ensure that the In-Sight sensor or emulator represented by <host name> is powered on and that it can communicate on the network. If it is an Explorer Host Table entry, ensure that the IP address of the host table entry matches the actual IP address of <host name> as defined in the network settings. For more information, see Network Settings Dialog.

Error 6003 can also occur if the Internet Information Services (IIS) Admin service is started in the Windows control panel; if running, try stopping this service and restarting In-Sight Explorer. The IIS Admin service may be restarted afterIn-Sight Explorer has been launched.

Following the steps to resolve Error 6001 may also fix Error 6003, as these can appear together.
6004 Report could not be written

In-Sight Explorer could not write <file name> to disk. Ensure that the drive exists and that it has sufficient free space to write the report file. If <file name> points to a network drive, ensure that the drive is connected and that you have write access to it.

In-Sight Explorer was unable to Link to the destination host. The host could be down, or you may have chosen not to complete the link when prompted.
6005 | Could not copy the style sheet: <file name> | N/A
6006

Could not display release notes: <file name>

 N/A
6007 Unable to get the directory from <host name>

In-Sight Explorer was not able to retrieve file directory information from <host name>. Your user account may not have sufficient privileges to view the files contained in this folder. Ensure that the Local FTP Port on <host name> matches the Explorer FTP Port specified in the Options dialog.

For more information, see FTP Settings Dialog and Explorer Host Table Setup Dialog.
6008 Link to <host name> could not be completed

Connection Refused: connect

In-Sight Explorer cannot communicate with the sensor that is currently selected in the In-Sight Network tree. Refresh the In-Sight Network by selecting Refresh from the View Menu. If the sensor is still inaccessible, power-cycle the sensor and retry the operation.

Invalid password, not logged in.

The current user does not have access to display the files on <host name>. Log on as a different user with sufficient access to see the files contained on this sensor and retry the operation.
6010 Unable to backup the file <file name>

Error 6010 occurs with a secondary error descriptor:

File not found

<file name> may be invalid with respect to the In-Sight file system. Ensure that the file name does not contain any symbols or special characters (such as $). Attempt to rename the file and retry the operation.
6011 Unable to create the backup directory for <host name>

On the System Menu, click Options. Ensure that the Backup Directory is a valid folder name and that this folder is accessible through Windows Explorer.

  • Transfer Incomplete - No Space: This error can occur when a file name is too long for the In-Sight file system, or the file size is too large to fit on the destination sensor. Check the backup directory, located in: <ISE dir>\Backups\<host name>, where <ISE dir> is the folder in which In-Sight Explorer was installed, and <host name> is the name of the destination In-Sight sensor. Ensure that the length of 'file name' is 15 characters or less (not including the extension). If the destination sensor contains many files, try deleting other files and attempt the restore operation again. Alternatively, copy the file manually using the In-Sight Files pane or Windows Explorer. For more information, see In-Sight Files.
  • Restore Operation on emulator prompts error: While attempting to restore an emulator, this error will occur if any files (image1A.bmp, image1B.bmp, image2A.bmp, etc) are read-only; remove the read-only attribute and then attempt the restore operation again. For more information, see Restore Dialog.
6012 | Exception while closing FTP session to <host name> | N/A
6015 Backup directory for <host name> not found

In-Sight Explorer was not able to locate the backup folder for <host name>. Backup folders are stored in the following path:

<InSight2>\Backups

where <InSight2> is the folder in which In-Sight Explorer was installed. Backups are stored as subfolders with a name equal to the Host Name of the sensor. Ensure that this folder was not moved, renamed, or deleted. See Error 6046 for more information on how backup directories are named.
6016 Deleting <file name> is not allowed

Certain files within the In-Sight file system are critical to the operation of the sensor, and thus cannot be deleted. The following files cannot be removed from an In-Sight sensor or emulator:

  • proc.set
  • image.bmp
  • image.jpg
  • screen.bmp
  • screen.jpg
6017 Error deleting <file name>

In-Sight Explorer was unable to delete <file name> from the In-Sight system. Ensure that the file is not read-only.

The file may have been deleted remotely. Refresh the In-Sight files pane by selecting a file and pressing F5.
6018 Error copying <file name>

In-Sight Explorer could not copy <file name> to the destination In-Sight sensor. The following messages may appear with Error 6018:

  • Transfer Incomplete - No Heap: If you were copying a file to an In-Sight sensor, the sensor may not have enough free flash memory to complete the file transfer. Try removing some files and copy the file again.
  • Write permission denied: The file you attempted to overwrite has read-only permissions. Remove the permission and attempt the copy again.
  • File not found: The file you attempted to copy no longer exists on the source sensor. Refresh the In-Sight Files pane (F5) and ensure that the file exists on the source sensor.
  • Problems with drag-and-drop file operations:
    • Issue #1: On an English operating system, dragging and dropping file names that contain Korean or Chinese characters from Windows Explorer to the In-Sight Files pane will result in Error 6018.
    • Issue #2: On a Korean operating system, it is only possible to drag and drop file names that contain Korean or English characters from Windows Explorer to the In-Sight Files pane, all other characters will result in Error 6018.
    • Issue #3: On a Chinese operating system, it is only possible to drag and drop file names that contain Chinese or English characters from Windows Explorer to the In-Sight Files pane, all other characters will result in Error 6018.
  • Workarounds:
    • Use the Open Job dialog (File > Open Job) to load the file
    • Use English characters in the file names
6019 Copying <file name> is not allowed

Certain files, such as proc.set, contain vital network settings and cannot be simply copied to another sensor.
6020 | The In-Sight sensor <host name> is still Online | N/A
6021 | Unable to get the online status of <host name> | N/A
6022 | Unable to set the online status of <host name> | N/A
6023 | Unable to verify the offline status of <host name> | N/A
6024

Unable to backup <host name>

 N/A
6025 | Unable to restore the online status of <host name> | N/A
6027 | Restart of <host name> timed out | N/A
6028 | Error restarting <host name> | N/A
6030 | Unable to read the settings from <host name> | N/A
6031 | Unable to get the network settings from <host name> | N/A
6032 | Unable to write the settings to <file name> | N/A
6033 | Unable to write the network settings to <file name> | N/A
6034 | Unable to save the network settings on <host name> | N/A
6035 | Host name is not valid | Error 6035 can occur when adding a new host to the Explorer Host Table if the Host Name field is left blank. Enter a name and click OK. For more information, see Explorer Host Table Setup Dialog.
6036 | Host name is not allowed | Error 6036 will occur if you attempt to set the Host Name of an Explorer Host Table entry to the same name as the PC. Choose a different name and click OK. For more information, see Explorer Host Table Setup Dialog.
6037 | Host name already defined | The Host Name you have attempted to add to the Explorer Host Table already exists in the table. Choose a different name and click OK. For more information, see Explorer Host Table Setup Dialog.
6038 | IP address is not valid | Certain IP addresses (such as 0.0.0.0) are not allowed for Explorer Host Table entries. Substitute a valid IP address. For more information, see Explorer Host Table Setup Dialog.
6039 | IP address is not allowed | Error 6039 can occur when adding a new host to the Explorer Host Table if the IP Address field is left blank. Some IP addresses (including loopback addresses of 127.x.x.x) are not allowed for Explorer Host Table entries. Substitute a valid IP address. For more information, see Explorer Host Table Setup Dialog.
6040 | IP address is already defined | Any given IP address can only correspond to one host table entry in the Explorer Host Table. Attempts to add a second sensor with the same IP will result in Error 6040. For more information, see Explorer Host Table Setup Dialog.
6041 Invalid security key

The Offline Programming Key you have entered into the Options dialog is invalid. Contact your Sales Engineer or Cognex Technical Support to obtain a valid key.

6042 | Error writing registry | Error 6042 may appear when entering an Offline Programming Key if you are logged on to Windows as a user that does not have administrative rights. Log off Windows and log back on to the PC as an administrator. Then retry the operation. For more information, see Emulation Panel.

6043

Could not connect to emulator

 N/A
6044 | Failed to write Options.xml file | In-Sight Explorer was unable to save the options file. Ensure that options.xml (located in the root of your In-Sight Explorer installation folder) is not read-only and is not open in any other applications.
6046 Unable to create backup directory for <host name> In-Sight Explorer allows up to 256 backups for any given sensor name. If you exceed this number of backups, then you may receive an Error 6046. New incremental backups (such as sensor.002 and sensor.003) are created according to the highest-numbered backup in the folder.

For example, if you have created 100 backups for an In-Sight sensor named IS7K, then the Backup Directory would contain folders named IS7K, IS7K.001, IS7K.002, ..., IS7K.099. As long as IS7K.099 exists, the next backup created will be stored into IS7K.100 (even if all other backups were deleted).

To resolve Error 6046, you can browse to the Backup Directory in Windows Explorer and delete higher-numbered backups for <host name>. Alternatively, backups can be moved to a different folder. Keep in mind that in order for In-Sight Explorer to be able to restore backups, they must be located in the Backup Directory. For more information, see Backup Dialog and Restore Dialog.
6047 | The emulator was not started because no In-Sight sensors were detected on the network and an Offline Programming License has not been entered | Error 6047 will appear if you have not entered an Offline Programming Key and no In-Sight sensors could be detected on the network. This may occur if you do not have an active network connection. In-Sight Explorer will not connect to the local emulator without an Offline Programming Key if no sensors are detected on the network. For more information, see Emulation Panel.
6304 | Unable to open the directory <host name> | In-Sight Explorer was not able to perform a backup operation on <host name>. Ensure that you have a valid backup directory defined within the Options dialog and that this directory is not read-only. For more information, see File Utilities Panel.
6308 | Backup directory for <host name> not found | You have attempted to perform a restore operation for <host name> but In-Sight Explorer could not locate the backup files for this sensor. Ensure that the backup directory in the Options dialog is valid and points to a folder that contains a backup for <host name>. For more information, see File Utilities Panel.
6421 | Unable to connect to <host name> | This error can occur when attempting to restore a sensor from a backup. Your user account may not have sufficient permissions to access this sensor. Also ensure that the In-Sight sensor is powered on and that proper network cabling is attached.
6441 | Backup directory for <host name> not found | You have attempted to restore a sensor that has not been backed up, or the backup folder for that sensor is not accessible from the PC. Ensure that a backup operation has already been performed on <host name> and that the proper backup directory is defined within the Options dialog. For more information, see File Utilities Panel.

7001

Unknown error N/A
7003 Could not connect to host <host name>

In-Sight Explorer could not establish a connection to <host name>.

Error 7003 may appear with a secondary descriptor:

User <user name> from <host name> is already remotely connected to this system

To complete the operation, click Yes when prompted to Proceed with log on.
7700 | The account you entered does not have full permissions on any In-Sight vision sensor on your network | N/A
7705 | The IP address <IP address> conflicts with an existing In-Sight vision sensor's IP address | N/A
7706 | The IP address <IP address> conflicts with another device already on the network | N/A
7707 | The IP address <IP address> conflicts with an IP address that will be used by another In-Sight vision sensor | N/A
7708 | The host name <host name> conflicts with an existing In-Sight vision sensor's host name | You have attempted to add a host to the Explorer Host Table that already exists. Choose a different name. For more information, see Explorer Host Table Setup Dialog.
7709 | The host name <host name> conflicts with a host name that will be used by another In-Sight vision sensor | N/A
7711 | I/O error occurred during configuration | N/A
7712 | Configuration failed | The Add Sensor/Device to Network dialog was unable to properly configure the In-Sight sensor. See the error message that follows Error 7712 in the dialog for more troubleshooting information. For more information, see Add Sensor/Device to Network Dialog.
7713 | In-Sight vision sensor cannot be configured online | N/A
7714

Vision sensor is online - did not configure

 N/A
7715 | Failed to transition In-Sight vision sensor offline | N/A
7718 | Verification failed | The network settings you have attempted to configure through the Add Sensor/Device to Network dialog could not be applied. See the error message that follows Error 7718 in the dialog for specific troubleshooting information. For more information, see Add Sensor/Device to Network Dialog.
7719 | Configuration aborted | You have chosen to terminate the configuration of one or more In-Sight sensors within the Add Sensor/Device to Network dialog. For more information, see Add Sensor/Device to Network Dialog.
7720 | Invalid host name detected | Error 7720 can occur when adding a new host to the Explorer Host Table if the Host Name field is left blank. Enter a name and click OK. For more information, see Explorer Host Table Setup Dialog.
7721 Invalid IP address detected

The IP address you have specified could not be assigned to the In-Sight sensor. If you received this error message in the Add Sensor/Device to Network dialog, check to see if the In-Sight sensor is configured for IP Address Lock; the IP address of a sensor cannot be changed when IP address lock is set to true. Issuing SL0 to the sensor through a telnet session will remove the IP address lock.

Note: You must log on with Full access in order to modify this setting.) For more information, see User Access Settings Dialog.
7722 | Invalid DHCP setting detected | N/A
7723 | Invalid DNS server detected | N/A
7724 | Invalid default gateway server detected | N/A
7725 | Invalid subnet mask detected | N/A
7726 | Invalid domain detected | N/A
7727

Invalid username or password

 N/A
7728 Could not connect to In-Sight vision sensor

The Add Sensor/Device to Network dialog could not establish communication with the In-Sight sensor. Ensure that the sensor has power and an active network connection. See Error 5404 for more troubleshooting tips.
7729

In-Sight vision sensor did not properly reboot

 N/A
7731 Could not set the network settings on this device

See the note that follows Error 7731 in the dialog for more troubleshooting information.

In addition, ensure that the device is connected on the same physical subnet as the PC, and that it is powered on. Check all Ethernet cabling to the device.

If all else fails, connect the device directly to your PC and power-cycle the device.
7740 | The selected network interface is not connected | N/A
7741

The selected network interface is currently using DHCP

 N/A
7742 | The selected network interface is currently using DHCP and has an IP address of ''0.0.0.0''. You must reconfigure your network interface for a static IP address to continue with this procedure. | N/A


Cell References - Relative/Absolute

A cell reference is a link to a different cell. When data in the source cell changes, the value in the destination cell (the one that contains the reference) updates automatically. The link is unidirectional, however, as the source cell does not know that it is being referenced by another cell.

There are two kinds of cell references:

  • Relative: A cell reference whose row and column addresses can vary when copied to a new location. The amount of change is equal to the distance (both row- and column-wise) between the copied cell and the pasted cell. For example, assume that cell A2 contains the relative reference A1. If cell A2 is copied to cell S43, then cell S43 contains S42. In this case, the cell reference is essentially saying "always point to one cell above me."
  • Absolute: A cell reference that does not change when copied to a new location. In formulas, a dollar sign ($) indicates an absolute reference; this symbol can be used in conjunction with any row or column (or both) to construct an absolute cell reference.

Relative and absolute references can be used in conjunction to create a "mixed" reference.

The following table lists the four variants of absolute and relative cell references, including what happens after they are copied & pasted to a different cell:

Description | Reference Type | Example | Result after Pasting to New Cell
Relative Column & Relative Row | Relative | B4 | Both the row (4) and the column (B) vary according to the distance from the original cell.
Fixed Column & Fixed Row | Absolute | $A$1 | Always the same ($A$1).
Fixed Column & Relative Row | Mixed | $D9 | The column (D) is always the same, but the row (9) varies according to the distance (number of rows) from the original cell.
Relative Column & Fixed Row | Mixed | G$3 | The column (G) varies according to the distance (number of columns) from the original cell, but the row always remains the same (3).

Shortcuts for Creating a Cell Reference

  • Relative: Press CTRL+SHIFT+R, or click the relative reference [image] button. Cell selection mode allows you to choose the desired cell to reference.
  • Absolute: Press CTRL+SHIFT+A, or click the absolute reference [image] button. Cell selection mode allows you to graphically select the desired cell to reference from the spreadsheet.

Cell Reference Examples

Reference Type | Column | Row | Example
Relative Reference | Relative Column | Relative Row | Assume that cell C9 contains E14. If C9 is copied to B1, then B1 contains D6.
Absolute Reference | Fixed Column | Fixed Row | Assume that cell E2 contains $F$7. If E2 is copied to R7, then R7 contains $F$7.
Mixed Reference Fixed Column Relative Row

Suppose you want a cell reference that always refers to column A when copied to another cell, but the row address varies in relation to the change in distance from the original cell to the destination cell. Assume that 3 data points (5, 18, and 55) exist in cells A2, A3, and A4, as shown:

In this case, you would use a dollar sign in front of the column ($A) but not in front of the row (2) yielding a cell reference of $A2, which we could place in cell B2. Cell B2 is then copied and pasted to cells B3, B4, C2, C3 and C4. Observe how the pasted cells always look to column A, but the row is determined relative to the cell in which you pasted the reference.
Mixed Reference Relative Column Fixed Row

Suppose you want a cell reference that always refers to row 2 when copied to another cell, but the column address varies in relation to the destination column. Assume that 3 data points (13, 20, and 26) exist in cells A2, B2 and C2, as shown:

In this case, you would reference the column relatively (A) and the row absolutely ($2) yielding a cell reference of A$2, which we could place in cell A3. Cell A3 is then copied and pasted to cells A4, B3, B4, C3 and C4. Observe how the pasted cells always look to row 2 but the column is determined relative to the cell in which you pasted the reference.


Firmware Versions

The following topics list the supported firmware versions for In-Sight vision systems and sensors.

  • Firmware Version 4.x.x and Earlier
  • Firmware Version 5.x.x and Later


Firmware Version 4.x.x and Earlier

The following table lists the In-Sight model number, the amount of non-volatile flash memory (if applicable), the part number/product type and the supported firmware versions.

Note:
  • Models that have a Last Supported Firmware version of "4.9.x" cannot be upgraded to firmware version 5.1.0 or higher.
  • Part Numbers/Product Types appended by an "R" suffix indicate RoHS compliance.
In-Sight Model | Part Number/Type | First Supported Firmware | Last Supported Firmware
1000 1010 1000C (4MB non-volatile flash memory) | 800-5740-1 800-5749-1 800-5760-1 | 2.00.00 2.00.00 2.20.00 | 2.71.00 PR1
3000 (4MB non-volatile flash memory) | 800-5747-1 | 2.00.00 | 2.52.03
4000 4100 4001 (8MB non-volatile flash memory) | 800-5762-1 800-5763-1 800-5770-1 | 2.30.00 | 2.71.00 PR1
3400 (16MB non-volatile flash memory) | 800-5809-1 | 2.51.00 | 4.2.0
5100 5110 (16MB non-volatile flash memory) | 800-5834-1/2/3 800-5854-1 | 2.53.00 | 4.2.0
5400 5410 (16MB non-volatile flash memory) | 800-5828-1/2/3 | 2.53.00 | 4.2.0
5101 5111 (16MB non-volatile flash memory) | 800-5838-1/2/3 | 2.65.00 | 4.2.0
5100C (16MB non-volatile flash memory) | 800-5837-1/2/3 | 2.65.00 | 4.2.0
5000 (16MB non-volatile flash memory) | 800-5840-1/2/3 | 2.70.00 | 4.2.0
5400C 5400CS (16 MB non-volatile flash memory) | 800-5837-1/2/3 | 2.80.00 | 4.2.0
5401 5411 (16MB non-volatile flash memory) | 800-5838-1/2/3 | 2.80.00 | 4.2.0
5403 5403S (16MB non-volatile flash memory) | 800-5830-1/2/3 | 2.80.00 | 4.2.0
5000 (32MB non-volatile flash memory) | 800-5840-4/5/6 | 2.80.01 PR1 | 4.2.0
5400R (32MB non-volatile flash memory) | 800-5829-1/1R | 2.80.01 PR1 | 4.5.0
5100 5110 (32MB non-volatile flash memory) | 800-5870-1/1R/2/2R/3/3R | 2.80.01 PR1 | 4.7.3
5400 5410 5400S 5410S (32MB non-volatile flash memory) | 800-5855-1/1R/2/2R/3/3R | 2.80.01 PR1 | 4.7.3
5400C 5400CS (32MB non-volatile flash memory) | 800-5837-4/4R/5/5R/6/6R | 2.80.01 PR1 | 4.7.3
5401 5411 (32MB non-volatile flash memory) | 800-5838-4/4R/5/5R/6/6R | 2.80.01 PR1 | 4.7.3
5403 5413 5403S (32MB non-volatile flash memory) | 800-5830-4/4R/5/5R/6/6R | 2.80.01 PR1 | 4.7.3
5100C (32MB non-volatile flash memory) | 800-5837-4/4R/5/5R/6/6R | 3.4.0 | 4.7.3
5600 5610 (64MB non-volatile flash memory. 33.5MB maximum file size available.) | 800-5871-1/1R/2/2R/3/3R | 3.4.0 | 4.10.x
5603 5613 (64MB non-volatile flash memory. 33.5MB maximum file size available.) | 800-5873-1/1R | 3.4.0 | 4.10.x
In-Sight Micro 1020 1050 1100 1110 1400 1410 (64MB non-volatile flash memory. 33.5MB maximum file size available.) | Type 821-0002-1R Type 821-0002-5R | 4.1.0 | 4.10.x
In-Sight Micro 1403 1413 (64MB non-volatile flash memory. 33.5MB maximum file size available.) | Type 821-0003-1R Type 821-0003-5R | 4.1.0 | 4.10.x
CIO-MICRO I/O Module | Type 821-0016-1R Type 821-0016-2R | 4.2.0 | 4.9.3
CIO-MICRO-CC I/O Module | Type 821-0017-1R Type 821-0017-2R | 4.3.0 | 4.9.3
In-Sight Micro 1100C 1400C (64MB non-volatile flash memory. 33.5MB maximum file size available.) | Type 821-0002-2R Type 821-0002-6R | 4.3.0 | 4.10.x
In-Sight Micro 1403C (64MB non-volatile flash memory. 33.5MB maximum file size available.) | Type 821-0003-2R Type 821-0003-6R | 4.3.0 | 4.10.x
5604 (64MB non-volatile flash memory. 33.5MB maximum file size available.) | Type 800-5874-1R Type 800-5874-2R | 4.3.1 | 4.10.x
5605 5615 (128MB non-volatile flash memory. 33.5MB maximum file size available.) | Type 821-0032-1R Type 821-0032-2R | 4.4.1 | 4.10.x
5100 5110 5400 5410 (128MB non-volatile flash memory. 33.5MB maximum file size available.) | Type 821-0034-1R | 4.4.3 | 4.10.x
5100C 5400C (128MB non-volatile flash memory. 33.5MB maximum file size available.) | Type 821-0036-1R | 4.4.3 | 4.10.x
5400S 5410S (128MB non-volatile flash memory. 33.5MB maximum file size available.) | Type 821-0038-1R | 4.4.3 | 4.10.x
5400CS (128MB non-volatile flash memory. 33.5MB maximum file size available.) | Type 821-0039-1R | 4.4.3 | 4.10.x
5401 5411 (128MB non-volatile flash memory. 33.5MB maximum file size available.) | Type 821-0035-1R | 4.4.3 | 4.10.x
5403 5413 (128MB non-volatile flash memory. 33.5MB maximum file size available.) | Type 821-0037-1R | 4.4.3 | 4.10.x
5403S (128MB non-volatile flash memory. 33.5MB maximum file size available.) | Type 821-0040-1R | 4.4.3 | 4.10.x
5600 5610 (128MB non-volatile flash memory. 33.5MB maximum file size available.) | Type 821-0041-1R | 4.4.3 | 4.10.x
5603 5613 (128MB non-volatile flash memory. 33.5MB maximum file size available.) | Type 821-0042-1R | 4.4.3 | 4.10.x
5604 5614 (128MB non-volatile flash memory. 33.5MB maximum file size available.) | Type 821-0051-1R | 4.4.3 | 4.10.x
In-Sight Micro 1020 1050 1100 1110 1400 1410 (128MB non-volatile flash memory. 33.5MB maximum file size available.) | Type 821-0043-1R | 4.4.3 | 4.10.x
In-Sight Micro 1100C 1400C (128MB non-volatile flash memory. 33.5MB maximum file size available.) | Type 821-0044-1R | 4.4.3 | 4.10.x
In-Sight Micro 1403 1413 (128MB non-volatile flash memory. 33.5MB maximum file size available.) | Type 821-0047-1R | 4.4.3 | 4.10.x
In-Sight Micro 1403C (128MB non-volatile flash memory. 33.5MB maximum file size available.) | Type 821-0048-1R | 4.4.3 | 4.10.x
In-Sight Micro 1402 1412 (128MB non-volatile flash memory. 33.5MB maximum file size available.) | Type 821-0078-1R | 4.6.0 | 4.10.x
C-Mount Lens Configuration: 7010 7020 7050 7200 7210 7230 7400 7410 7430 7402 7412 7432 (512MB non-volatile flash memory. 134.2MB maximum file size available.) | Type 821-0084-1R Type 821-0084-3R Type 821-0084-5R Type 821-0084-9R | 4.9.0 | 4.10.x
M12 Lens Configuration: 7010 7020 7050 7200 7210 7230 7400 7410 7430 7402 7412 7432 (512MB non-volatile flash memory. 134.2MB maximum file size available.) | Type 821-0084-2R Type 821-0084-4R Type 821-0084-6R | 4.9.0 | 4.10.x
C-Mount Lens Configuration: 7010C 7200C 7400C 7402C (512MB non-volatile flash memory. 134.2MB maximum file size available.) | Type 821-0100-1R Type 821-0100-3R | 4.9.0 | 4.10.x
M12 Lens Configuration: 7010C 7200C 7400C 7402C (512MB non-volatile flash memory. 134.2MB maximum file size available.) | Type 821-0100-2R Type 821-0100-4R | 4.9.0 | 4.10.x
In-Sight Micro 1500 (128MB non-volatile flash memory. 33.5MB maximum file size available.) | Regulatory Model 1AAN | 4.9.1 | 4.10.x


Firmware Version 5.x.x and Later

The following table lists the In-Sight model number, the amount of non-volatile flash memory (if applicable), the regulatory model and the supported firmware versions.

In-Sight Model | Regulatory Model | Supported Firmware Versions
In-Sight 2000-110 2000-120 2000-130 (32MB non-volatile flash memory. 15.9MB maximum file size available.) Note: If you purchased an In-Sight 2000-110/120/130 vision sensor shipped with firmware version 5.7.3 or later, the firmware cannot be downgraded to 5.5.0 or earlier. | Regulatory Model R00039 | 5.2.1 5.2.3 5.3.0 5.4.0 5.5.0 5.6.0 5.6.1 5.7.0 5.7.1 5.7.2 5.7.3 5.7.4 5.8.0
In-Sight 2000-120C 2000-130C (32MB non-volatile flash memory. 15.9MB maximum file size available.) Note: If you purchased an In-Sight 2000-120C/130C vision sensor shipped with firmware version 5.7.3 or later, the firmware cannot be downgraded to 5.5.0 or earlier. | Regulatory Model R00039 | 5.3.0 5.4.0 5.5.0 5.6.0 5.6.1 5.7.0 5.7.1 5.7.2 5.7.3 5.7.4 5.8.0
In-Sight 2000-110 Mini 2000-120 Mini 2000-130 Mini 2000-120C Mini 2000-130C Mini (32MB non-volatile flash memory. 15.9MB maximum file size available.) Note: If you purchased an In-Sight 2000-110 Mini/120 Mini/130 Mini/120C Mini/130C Mini vision sensor shipped with firmware version 5.7.3 or later, the firmware cannot be downgraded to 5.5.0 or earlier. | Regulatory Model 1ABD | 5.5.0 5.6.0 5.6.1 5.7.0 5.7.1 5.7.2 5.7.3 5.7.4 5.8.0
In-Sight 2000-23M (32MB non-volatile flash memory. 15.9MB maximum file size available.) Note: If you purchased an In-Sight 2000-23M vision sensor shipped with firmware version 5.7.3 or later, the firmware cannot be downgraded to 5.5.0 or earlier. | Regulatory Model R00039 | 5.5.0 5.6.0 5.6.1 5.7.0 5.7.1 5.7.2 5.7.3 5.7.4 5.8.0
In-Sight 2000-23M Mini (32MB non-volatile flash memory. 15.9MB maximum file size available.) Note: If you purchased an In-Sight 2000-23M Mini vision sensor shipped with firmware version 5.7.3 or later, the firmware cannot be downgraded to 5.5.0 or earlier. | Regulatory Model 1ABD | 5.5.0 5.6.0 5.6.1 5.7.0 5.7.1 5.7.2 5.7.3 5.7.4 5.8.0
In-Sight 2000-230/230C 2001-230/230C (32MB non-volatile flash memory. 15.9MB maximum file size available.) | Regulatory Model R00039 | 5.6.0 5.6.1 5.7.0 5.7.1 5.7.2 5.7.3 5.7.4
In-Sight 2000-230 Mini/230C Mini 2001-230 Mini/230C Mini (32MB non-volatile flash memory. 15.9MB maximum file size available.) | Regulatory Model 1ABD | 5.6.0 5.6.1 5.7.0 5.7.1 5.7.2 5.7.3 5.7.4 5.8.0
In-Sight Mini PoE Models 2000-110 Mini 2000-120 Mini/120C Mini 2000-130 Mini/130C Mini 2000-23M Mini 2000-230 Mini/230C Mini 2001-230 Mini/230C Mini (32MB non-volatile flash memory. 15.9MB maximum file size available.) | Regulatory Model 1ABF | 5.6.0 5.6.1 5.7.0 5.7.1 5.7.2 5.7.3 5.7.4 5.8.0
In-Sight 5705 & 5715 (128MB non-volatile flash memory. 33.5MB maximum file size available.) | Regulatory Model 1AAF | 5.1.0 5.2.0 5.3.0 5.4.0 5.5.0 5.6.0 5.6.1 5.7.1 5.7.2 5.7.3 5.7.4 5.8.0
In-Sight 7500 7600 7800 7801 7802 (7.2GB non-volatile flash memory. 1.0GB maximum file size available.) Note: If an In-Sight 7000 Gen2 series vision system that shipped with 5.5.0 or later firmware is then downgraded to 5.4.1 firmware or earlier, it may take approximately four minutes for the vision system to reboot when power-cycled. | Regulatory Model 1AAB | 5.4.0 5.5.0 5.6.0 5.6.1 5.7.0 5.7.1 5.7.2 5.7.3 5.7.4 5.8.0
In-Sight 7501 7600C 7800C 7801C 7802C 7900 7902 (7.2GB non-volatile flash memory. 1.0GB maximum file size available.) Note: If an In-Sight 7000 Gen2 series series vision system that shipped with 5.5.0 or later firmware is then downgraded to 5.4.1 firmware or earlier, it may take approximately four minutes for the vision system to reboot when power-cycled. | Regulatory Model 1AAB | 5.5.0 5.6.0 5.6.1 5.7.0 5.7.1 5.7.2 5.7.3 5.7.4 5.8.0
In-Sight 7900C 7901 7901C 7902C (7.2GB non-volatile flash memory. 1.0GB maximum file size available.) | Regulatory Model 1AAB | 5.6.0 5.6.1 5.7.0 5.7.1 5.7.2 5.7.3 5.7.4 5.8.0
In-Sight 7902P | Regulatory Model R00063 | 5.7.4 5.8.0
In-Sight 7905 7905C (7.2GB non-volatile flash memory. 1.0GB maximum file size available.) | Regulatory Model R00063 | 5.6.0 5.6.1 5.7.0 5.7.1 5.7.2 5.7.3 5.7.4 5.8.0
In-Sight 8200 8400 8401 8402 (512MB non-volatile flash memory. 234MB maximum file size available.) | Regulatory Model 1AAW | 5.2.0 5.3.0 5.4.0 5.5.0 5.6.0 5.6.1 5.7.0 5.7.1 5.7.2 5.7.3 5.7.4 5.8.0
In-Sight 8200C 8400C 8401C 8402C (512MB non-volatile flash memory. 234MB maximum file size available.) | Regulatory Model 1AAW | 5.5.0 5.6.0 5.6.1 5.7.0 5.7.1 5.7.2 5.7.3 5.8.0
In-Sight 8405 (512MB non-volatile flash memory. 234MB maximum file size available.) | Regulatory Model 1AAU | 5.1.1 5.2.0 5.3.0 5.4.0 5.5.0 5.6.0 5.6.1 5.7.0 5.7.1 5.7.2 5.7.3 5.7.4 5.8.0
In-Sight 9902L (7.2GB non-volatile flash memory. 1.0GB maximum file size available.) | Regulatory Model 1AA9 | 5.6.1 PR1 5.7.0 5.7.1 5.7.2 5.7.3 5.7.4 5.8.0
In-Sight 9912 9912C (7.2GB non-volatile flash memory. 1.0GB maximum file size available.) | Regulatory Model R00064 | 5.7.0 5.7.1 5.7.2 5.7.3 5.7.4 5.8.0


In-Sight Files

The In-Sight Files pane can display two different sets of information:

  • Initially, the In-Sight Files pane displays all In-Sight vision systems detected on the network as well as any Explorer Host Table entries.
  • Double-clicking on a device displays the files and any enabled, configured RAM Disk folders and SD Card folders on that device.

Display/Hide the In-Sight Files Pane

From the View menu, click In-Sight Files.

Note: You may see AAF files (*.aaf) in the In-Sight Files pane. AAF files are audit messages saved to the In-Sight flash memory when the Audit Message Server is unreachable. Once the connection to the Audit Message Server is reestablished, the AAF files are sent one at a time, and deleted upon receipt of the expected response from the Audit Message Server.

Drag-and-Drop Files

Files can be dragged from both the In-Sight Files pane and Microsoft Windows Explorer folders to any device within the In-Sight Network pane. This is equivalent to a Copy operation.

Note:
  • The vision system's title bar indicates the vision system name and file name of the active job. If you drag-and-drop the job file from your PC, the title bar does not display the job name until the job is saved to the vision system.
  • If drag-and-dropping a job file from the PC, the Sensor Status View displays the Current Job as "Drag And Drop Job" until the job is saved to the vision system.

Copy, Delete and Rename

Right-clicking a file from the In-Sight Files pane presents a shortcut menu allowing you to copy, delete and rename files.

Copied jobs can be pasted to other In-Sight vision systems, emulators or SD Cards. Copied images can be pasted as well, but note that for In-Sight vision systems, the pasted file will replace image.bmp and image.jpg as the active image on the destination vision system, rather than retaining the original filename.

Note: image.bmp, image.jpg, image2.bmp and image4.bmp cannot be pasted to an emulator.

Non-Deletable Files

The following In-Sight system files cannot be deleted:

  • hosts.net: Contains In-Sight host table entries.
  • image.jpg: The active image.
  • image.bmp: The active image.
  • image2.bmp: ½ high by ½ wide version of the active image (firmware 2.60 and greater).
  • image4.bmp: ¼ high by ¼ wide version of the active image (firmware 2.60 and greater).
  • proc.set: Contains network configuration and vision system settings.

Images cannot be stored as "files" on an In-Sight vision system. If an image file is dragged to a vision system's In-Sight File pane or active view, it will become the active image on that vision system. In-Sight emulators, however, are able to store images with arbitrary file names.

SD Card Folder

If an SD Card is installed to a vision system, the SD Card folder is displayed in the In-Sight File pane. The SD Card supports jobs/images (Save and Open dialog) and cell data (Export/Import Cells dialog, ExportData and ImportData functions).

Note:
  • The SD Card does not support the following dialogs and features: Record/Playback Options and Filmstrip.
  • Use the following path to access a file in the SD Card: SDCARD/filename.type
  • The time that the file is created on the SD card will not be accurate unless the SNTP service is enabled and the SNTP server can acquire the network time. For more information, see Date/Time Settings Dialog.

RAM Disk Folder

If a vision system or emulator has an enabled and configured RAM Disk folder, the RAM folder is displayed in the In-Sight File pane. For more information, see RAM Disk Settings Dialog.


EasyView Pane

To display the EasyView pane in the Web HMI application, you need to:

  1. Create an EasyView within the In-Sight Explorer or EasyBuilder and save it with the job.
  2. Select Image with Graphics and EasyView and/or EasyView Only in the HMI View Selection dialog.
  3. Enable Allow View Selection in the HMI Settings dialog, if neither Image with Graphics and EasyView nor EasyView Only is the first view listed in the HMI View Selection dialog.
Note:
  • The EasyView pane is read-only if your user access level is Locked or your Web HMI Connection mode is View Only Connection.
  • For information about supported EasyView cell types, see Web HMI Supported Cell Types.


Web HMI Supported Cell Types

The Web HMI application supports below cell types in the EasyView pane:

  • Button: Displays a labeled button in the EasyView pane. Click the button to trigger an event.
  • CheckBox: Displays a labeled check box in the EasyView pane. Select the check box to toggle the state of the check box and associated value.
  • ColorLabel: Displays a colored text string with colored background in the EasyView pane.
  • EditAnnulus: Displays a button in the EasyView pane. Click the button to switch the display to Interactive Graphics Mode, where the position and size of the annulus can be adjusted.
  • EditCircle: Displays a button in the EasyView pane. Click the button to switch the display to Interactive Graphics Mode, where the position and size of the circle can be adjusted.
  • EditCompositeRegion: Displays a button in the EasyView pane. Click the button to switch the display to Interactive Graphics Mode, where the composite region can be adjusted. The composite region can consist of multiple subregions. A subregion can consist of an annulus, circle, polygon or rectangle.
  • EditFloat: Displays an edit box in the EasyView pane, which allows users to enter a floating-point numeric value.
  • EditInt: Displays an edit box in the EasyView pane, which allows users to enter an integer numeric value.
  • EditLine: Displays a button in the EasyView pane. Click the button to switch the display to Interactive Graphics Mode, where the position and size of the line can be adjusted.
  • EditMaskedRegion: Displays a button in the EasyView pane. Click the button to switch the display to Interactive Graphics Mode, where the composite region can be adjusted. The composite region can consist of multiple masked regions.
  • EditPoint: Displays a button in the EasyView pane. Click the button to switch the display to Interactive Graphics Mode, where the position of the point can be adjusted.
  • EditPolygon: Displays a button in the EasyView pane. Click the button to switch the display to Interactive Graphics Mode, where the position and size of the polygon can be adjusted.
  • EditPolylinePath: Displays a button in the EasyView pane. Click the button to switch the display to Interactive Graphics Mode, where the composite region can be adjusted. The composite region can consist of multiple path segments.
  • EditRegion: Displays a button in the EasyView pane. Click the button to switch the display to Interactive Graphics Mode, where the position, size, rotation, and bend of the region can be adjusted.
  • EditString: Displays a text edit box in the EasyView pane, which allows users to enter an alphanumeric text string.
  • FloatResult: Displays a floating-point numeric number as static text in the EasyView pane.
  • ListBox: Displays a drop-down list box in the EasyView pane, which provides users a list of options to choose. The currently selected option is highlighted.
  • MultiStatus: Displays a simulated LED status array in the EasyView pane.
  • Status: Displays a simulated multi-colored status LED with text label in the EasyView pane.
  • StatusLight: Displays a simulated LED status light with text label in the EasyView pane. The color of the status light and the label can both be user-specified.
  • StringResult: Displays an alphanumeric text string as static text in the EasyView pane.